000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBC809.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBC809 - CONVERT MTPT FORMAT FILES FROM 02.79 TO 08.04      *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700/
001800 DATA DIVISION.
001900 FILE SECTION.
002000 WORKING-STORAGE SECTION.
002100*
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*
002400     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTFI==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MTFI==.
002700/
002800     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTPT==.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MTPT==.
003100/
003200     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
003300/
003400     COPY MTPTIR REPLACING ==:MTPT:== BY ==MTPT==.
003500/
003600*****************************************************************
003700*                                                               *
003800*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
003900*                                                               *
004000*  PT27RL -------MONETARY TRANSACTION RECORD-------  350 BYTES  *
004100*                                                               *
004200*****************************************************************
004300 01  PT27-RECORD.
004400     03  PT27-KEY.
004500         05  PT27-ALIGN-KEY.
004600             07  PT27-ORG-MERCHANT.
004700                 88  PT27-HEADER             VALUE ZERO.
004800                 88  PT27-TRAILER            VALUE '999999999999'.
004900                 09  PT27-ORG-X.
005000                     11  PT27-ORG
005100                             PIC  9(03).
005200                 09  PT27-MERCHANT-X.
005300                     11  PT27-MERCHANT
005400                             PIC  9(09).
005500*
005600         05  PT27-SEQ-NBR    PIC S9(08)      COMP.
005700*
005800     03  PT27-STORE-AREA.
005900         05  PT27-STORE      PIC S9(09)      COMP-3.
006000*
006100     03  PT27-POST-KEY.
006200         05  PT27-PRODUCT-X.
006300             07  PT27-PRODUCT
006400                             PIC  9(02).
006500                 88  PT27-NON-PRODUCT        VALUE ZERO.
006600                 88  PT27-PROD-IS-VISA       VALUE 01.
006700                 88  PT27-PROD-IS-MC         VALUE 02.
006800                 88  PT27-PROD-IS-PL         VALUE 03 THRU 99.
006900*
007000         05  PT27-PLAN-X.
007100             07  PT27-PLAN
007200                             PIC  9(05).
007300*
007400         05  PT27-LOGIC-MODULE
007500                             PIC  9(03).
007600*
007700         05  PT27-QUAL-LEVEL-X.
007800             07  PT27-QUAL-LEVEL
007900                             PIC  9(02).
008000*
008100     03  PT27-DATA.
008200         05  PT27-TRANS-CODE
008300                             PIC S9(03)      COMP-3.
008400*
008500         05  PT27-TRANS-FLAG
008600                             PIC  X(01).
008700             88  PT27-TF-MEMO                VALUE 'M' SPACE.
008800             88  PT27-TF-CREDIT              VALUE 'C'.
008900             88  PT27-TF-DEBIT               VALUE 'D'.
009000             88  PT27-TF-NOT-YET-ASSIGNED    VALUE SPACE.
009100*
009200         05  PT27-NBR-ITEMS
009300                             PIC S9(08)      COMP.
009400*
009500         05  PT27-AMOUNT     PIC S9(17)      COMP-3.
009600*
009700         05  PT27-POST-DATE
009800                             PIC S9(07)      COMP-3.
009900*
010000         05  PT27-ENTRY-DATE
010100                             PIC S9(07)      COMP-3.
010200*
010300         05  PT27-STMT-FLAG
010400                             PIC  X(01).
010500             88  PT27-STATEMENTED            VALUE 'Y'.
010600             88  PT27-NOT-STATEMENTED        VALUE 'N'.
010700*
010800         05  PT27-SETT-FLAG
010900                             PIC  X(01).
011000             88  PT27-SETTLED                VALUE 'S' 'B' 'W'
011100                                                   '1' '2'
011200                                                   '3' '4'.
011300             88  PT27-NOT-SETTLED            VALUE 'N'.
011400             88  PT27-SETTLED-ACH-MAN        VALUE 'S'.
011500             88  PT27-SETTLED-BILLED         VALUE 'B'.
011600             88  PT27-SETTLED-WINDOW         VALUE 'W'.
011700             88  PT27-SETTLED-RESV-1         VALUE '1'.
011800             88  PT27-SETTLED-RESV-2         VALUE '2'.
011900             88  PT27-SETTLED-RESV-3         VALUE '3'.
012000             88  PT27-SETTLED-RESV-4         VALUE '4'.
012100*
012200         05  PT27-SETT-ACCT
012300                             PIC  9(01).
012400             88  PT27-SA-NOT-APPLICABLE      VALUE ZERO.
012500             88  PT27-SETT-ACCT-1            VALUE 1.
012600             88  PT27-SETT-ACCT-2            VALUE 2.
012700             88  PT27-SETT-ACCT-3            VALUE 3.
012800             88  PT27-SETT-ACCT-4            VALUE 4.
012900             88  PT27-SA-WINDOW              VALUE 5.
013000*
013100         05  PT27-SETT-DATE
013200                             PIC S9(07)      COMP-3.
013300*
013400         05  PT27-BATCH.
013500             07  PT27-BATCH-SORT.
013600                 09  PT27-BATCH-DATE
013700                             PIC S9(07)      COMP-3.
013800                 09  PT27-BATCH-SOURCE
013900                             PIC S9(05)      COMP-3.
014000                 09  PT27-BATCH-NBR
014100                             PIC S9(05)      COMP-3.
014200             07  PT27-BATCH-SEQ
014300                             PIC S9(08)      COMP.
014400*
014500         05  PT27-REF-BATCH.
014600             07  PT27-REF-BATCH-SORT.
014700                 09  PT27-REF-BATCH-DATE
014800                             PIC S9(07)      COMP-3.
014900                 09  PT27-REF-BATCH-SOURCE
015000                             PIC S9(05)      COMP-3.
015100                 09  PT27-REF-BATCH-NBR
015200                             PIC S9(05)      COMP-3.
015300             07  PT27-REF-BATCH-SEQ
015400                             PIC S9(08)      COMP.
015500*
015600         05  PT27-REF-DATA.
015700             07  PT27-REF-NBR
015800                             PIC  X(23).
015900             07  PT27-REF-AMOUNT-1
016000                             PIC S9(17)      COMP-3.
016100             07  PT27-REF-AMOUNT-2
016200                             PIC S9(17)      COMP-3.
016300             07  PT27-REF-NBR-ITEMS
016400                             PIC S9(08)      COMP.
016500             07  PT27-REF-PRODUCT-X.
016600                 09  PT27-REF-PRODUCT
016700                             PIC  9(02).
016800             07  PT27-REF-PLAN-X.
016900                 09  PT27-REF-PLAN
017000                             PIC S9(05)      COMP-3.
017100             07  PT27-REF-QUAL-LEVEL-X.
017200                 09  PT27-REF-QUAL-LEVEL
017300                             PIC  9(02).
017400*
017500         05  PT27-ORIG-GL-SOURCE
017600                             PIC  9(01).
017700             88  PT27-OGL-LOCAL-INP          VALUE ZERO.
017800             88  PT27-OGL-POS-1-INPUT        VALUE 1.
017900             88  PT27-OGL-POS-2-INPUT        VALUE 2.
018000             88  PT27-OGL-POS-3-INPUT        VALUE 3.
018100             88  PT27-OGL-DATA-CAPTURE-INPUT
018200                                             VALUE 4.
018300             88  PT27-OGL-USER-INP           VALUE 5.
018400             88  PT27-OGL-FE-GENERATED       VALUE 6.
018500             88  PT27-OGL-WAREHOUSED         VALUE 7.
018600             88  PT27-OGL-GENERATED          VALUE 8.
018700             88  PT27-OGL-RESERVED           VALUE 9.
018800*
018900         05  PT27-GL-SOURCE
019000                             PIC  9(01).
019100             88  PT27-GL-LOCAL-INP           VALUE ZERO.
019200             88  PT27-GL-POS-1-INPUT         VALUE 1.
019300             88  PT27-GL-POS-2-INPUT         VALUE 2.
019400             88  PT27-GL-POS-3-INPUT         VALUE 3.
019500             88  PT27-GL-DATA-CAPTURE-INPUT
019600                                             VALUE 4.
019700             88  PT27-GL-USER-INP            VALUE 5.
019800             88  PT27-GL-FE-GENERATED        VALUE 6.
019900             88  PT27-GL-WAREHOUSED          VALUE 7.
020000             88  PT27-GL-GENERATED           VALUE 8.
020100             88  PT27-GL-RESERVED            VALUE 9.
020200*
020300         05  PT27-TRANS-STATUS
020400                             PIC  X(01).
020500             88  PT27-TRANS-ACTIVE           VALUE 'R' 'A' SPACE.
020600             88  PT27-TRANS-FORCE-ADJ        VALUE 'A'.
020700             88  PT27-TRANS-REACTIVATED      VALUE 'R'.
020800             88  PT27-TRANS-DELETED          VALUE 'D'.
020900*
021000         05  PT27-QUAL-INDICATOR
021100                             PIC  X(01).
021200             88  PT27-QI-NOT-APPLICABLE      VALUE ZERO.
021300             88  PT27-QI-INTRACHANGE-DIFF    VALUE '1'.
021400             88  PT27-QI-INTRACHANGE-ONUS    VALUE '2'.
021500             88  PT27-QI-DOMESTIC-NORMAL     VALUE '3'.
021600             88  PT27-QI-DOMESTIC-ABOVE      VALUE '4'.
021700             88  PT27-QI-DOMESTIC-BELOW      VALUE '5'.
021800             88  PT27-QI-INTERNATIONAL-NORMAL
021900                                             VALUE '6'.
022000             88  PT27-QI-INTERNATIONAL-ABOVE
022100                                             VALUE '7'.
022200             88  PT27-QI-INTERNATIONAL-BELOW
022300                                             VALUE '8'.
022400             88  PT27-QI-REGIONAL-NORMAL     VALUE '9'.
022500             88  PT27-QI-REGIONAL-ABOVE      VALUE 'A'.
022600             88  PT27-QI-REGIONAL-BELOW      VALUE 'B'.
022700             88  PT27-QI-QUALIFIED           VALUE '3' '6' '9'.
022800             88  PT27-QI-NON-QUAL-ABOVE      VALUE '4' '7' 'A'.
022900             88  PT27-QI-NON-QUAL-BELOW      VALUE '5' '8' 'B'.
023000             88  PT27-QI-INTRACHANGE         VALUE '1' '2'.
023100             88  PT27-QI-INTERCHANGE         VALUE '3' THRU '9'
023200                                                   'A' 'B'.
023300             88  PT27-QI-DOMESTIC            VALUE '3' '4' '5'.
023400             88  PT27-QI-INTERNATIONAL       VALUE '6' '7' '8'.
023500             88  PT27-QI-REGIONAL            VALUE '9' 'A' 'B'.
023600*
023700         05  PT27-DATA-ENTRY-MODE
023800                             PIC  X(01).
023900             88  PT27-DEM-IS-NOT-APPLICABLE
024000                                             VALUE ZERO.
024100             88  PT27-DEM-IS-KEYED           VALUE '1'.
024200             88  PT27-DEM-IS-SWIPED          VALUE '2'.
024300*
024400         05  PT27-REJECT-REENTRY-FLAG
024500                             PIC  X(01).
024600             88  PT27-RR-POSTED-TO-MERCH     VALUE 'Y'.
024700             88  PT27-RR-NOT-POSTED-TO-MERCH
024800                                             VALUE 'N'.
024900*
025000         05  PT27-AR-CURR-INPUT-SOURCE
025100                             PIC  X(01).
025200             88  PT27-CIS-1ST-TIME           VALUE '0' SPACE.
025300             88  PT27-CIS-SUBSEQUENT         VALUE '1'.
025400             88  PT27-CIS-XFER-HISTORY       VALUE '9'.
025500*
025600         05  PT27-AR-MT-TYPE
025700                             PIC  X(01).
025800             88  PT27-AR-MT-MEMO             VALUE 'M' SPACE.
025900             88  PT27-AR-MT-CREDIT           VALUE 'C'.
026000             88  PT27-AR-MT-DEBIT            VALUE 'D'.
026100             88  PT27-AR-MT-NOT-FROM-CMS     VALUE 'N'.
026200*
026300         05  PT27-STORE-DUP-IND
026400                             PIC  X(01).
026500             88  PT27-STORE-DUP-INIT         VALUE LOW-VALUES.
026600*
026700         05  PT27-MERCH-DUP-IND
026800                             PIC  X(01).
026900             88  PT27-MERCH-DUP-INIT         VALUE LOW-VALUES.
027000*
027100         05  PT27-ORIG-OPERATOR
027200                             PIC  X(03).
027300*
027400         05  PT27-LAST-OPERATOR
027500                             PIC  X(03).
027600*
027700         05  PT27-GOVERNING-STATE
027800                             PIC  X(03).
027900*
028000         05  PT27-LOGO-X.
028100             07  PT27-LOGO
028200                             PIC  9(03).
028300*
028400         05  PT27-SKU-NBR-X.
028500             07  PT27-SKU-NBR
028600                             PIC  9(09).
028700*
028800         05  PT27-DEPT-CODE
028900                             PIC  X(04).
029000*
029100         05  PT27-DESC       PIC  X(40).
029200*
029300         05  PT27-RPT-DESC   PIC  X(15).
029400*
029500         05  PT27-CATEGORY-CODE
029600                             PIC  X(04).
029700             88  PT27-NO-CATEGORY-CODE       VALUE ZERO SPACES.
029800*
029900     03  PT27-FILLER         PIC  X(17).
030000*
030100     03  PT27-USER-FILLER    PIC  X(15).
030200*
030300     03  PT27-POST-FLAG      PIC  9(02).
030400         88  PT27-PF-POSTED-TRANSACTION      VALUE ZERO.
030500         88  PT27-PF-NO-STORE                VALUE 50.
030600         88  PT27-PF-NO-TC-TRANSLATION       VALUE 51.
030700         88  PT27-PF-INVALID-TC-OR-LM        VALUE 52.
030800         88  PT27-PF-NON-POST-MERCH-ITEM     VALUE 53.
030900         88  PT27-PF-PROCESSED-REPEAT-REJ    VALUE 54.
031000         88  PT27-PF-PROCESSED-POSTED-REJ    VALUE 55.
031100         88  PT27-PF-STORE-NON-SETTLEMENT    VALUE 56.
031200         88  PT27-PF-MERCHANT-BLOCKED        VALUE 57.
031300         88  PT27-PF-NO-POSTING-TO-STORE     VALUE 58.
031400         88  PT27-PF-NO-STORE-FOUND          VALUE 59.
031500         88  PT27-PF-QUALIFIED-NON-POST      VALUE 50 THRU 59.
031600         88  PT27-PF-NON-MERCH-ITEM          VALUE 50 THRU 52.
031700         88  PT27-PF-WAREHOUSED              VALUE 90.
031800*
031900     03  PT27-VAR-DATA-IND   PIC  9(01).
032000         88  PT27-VDI-NOT-PRESENT            VALUE ZERO.
032100         88  PT27-VDI-DEPOSIT-DATA           VALUE 1.
032200         88  PT27-VDI-FEE-DATA               VALUE 2.
032300         88  PT27-VDI-HEADER-DATA            VALUE 3.
032400*
032500     03  PT27-VARIABLE-DATA.
032600*
032700* N O T E --- AR ORG, ACCT AND TC ARE ONLY VALID ON VARIABLE DATA
032800*             AREAS 1 AND 2.
032900*
033000         05  PT27-VD-AR-ORG-ACCT-TC.
033100             07  PT27-AR-KEY.
033200                 09  PT27-AR-ORG-X.
033300                     11  PT27-AR-ORG
033400                             PIC  9(03).
033500                 09  PT27-AR-ACCT
033600                             PIC  X(19).
033700             07  PT27-AR-TRANS-CODE
033800                             PIC S9(03)      COMP-3.
033900             07  PT27-AR-LOGIC-MODULE
034000                             PIC  9(02).
034100             07  PT27-AR-POST-FLAG
034200                             PIC  9(02).
034300*
034400         05  FILLER          PIC  X(49).
034500*
034600     03  PT27-VD-DEPOSIT-DATA
034700                             REDEFINES PT27-VARIABLE-DATA.
034800         05  PT27-VD-DD-AR-ORG-ACCT-TC
034900                             PIC  X(28).
035000         05  PT27-INDIV-DISC-FLAG
035100                             PIC  X(01).
035200             88  PT27-INDIV-DISCOUNT         VALUE 'D'.
035300             88  PT27-INDIV-REFUND           VALUE 'C'.
035400*
035500         05  PT27-INDIV-DISC-AMT
035600                             PIC S9(17)      COMP-3.
035700*
035800         05  PT27-INDIV-DISC-IND
035900                             PIC  X(01).
036000             88  PT27-IDI-IS-RATE            VALUE 'R'.
036100             88  PT27-IDI-IS-PER-ITEM        VALUE 'P'.
036200*
036300         05  PT27-INDIV-DISC-RATE
036400                             PIC S9(07)      COMP-3.
036500         05  PT27-INDIV-DISC-PER-ITEM
036600                             REDEFINES PT27-INDIV-DISC-RATE
036700                             PIC S9(07)      COMP-3.
036800*
036900         05  PT27-INDIV-DISC-ADJ-RATE
037000                             PIC S9(07)      COMP-3.
037100         05  PT27-INDIV-DISC-ADJ-PER-ITEM
037200                             REDEFINES PT27-INDIV-DISC-ADJ-RATE
037300                             PIC S9(07)      COMP-3.
037400*
037500         05  PT27-INDIV-PART-FLAG
037600                             PIC  X(01).
037700             88  PT27-INDIV-PART-DR          VALUE 'D'.
037800             88  PT27-INDIV-PART-CR          VALUE 'C'.
037900*
038000         05  PT27-INDIV-PART-AMT
038100                             PIC S9(17)      COMP-3.
038200*
038300         05  PT27-INDIV-PART-IND
038400                             PIC  X(01).
038500             88  PT27-IPI-IS-RATE            VALUE 'R'.
038600             88  PT27-IPI-IS-PER-ITEM        VALUE 'P'.
038700*
038800         05  PT27-INDIV-PART-RATE
038900                             PIC S9(07)      COMP-3.
039000         05  PT27-INDIV-PART-PER-ITEM
039100                             REDEFINES PT27-INDIV-PART-RATE
039200                             PIC S9(07)      COMP-3.
039300*
039400         05  PT27-INDIV-PART-ADJ-RATE
039500                             PIC S9(07)      COMP-3.
039600         05  PT27-INDIV-PART-ADJ-PER-ITEM
039700                             REDEFINES PT27-INDIV-PART-ADJ-RATE
039800                             PIC S9(07)      COMP-3.
039900*
040000         05  PT27-AR-AUTH-CODE
040100                             PIC  X(06).
040200         05  PT27-CARD-PROD-TYPE
040300                             PIC  X(03).
040400         05  FILLER          PIC  X(02).
040500*
040600     03  PT27-VD-FEE-DATA    REDEFINES PT27-VARIABLE-DATA.
040700         05  PT27-VD-FEE-AREA.
040800             07  PT27-VD-FA-AR-ORG-ACCT-TC
040900                             PIC  X(28).
041000             07  PT27-FEE-FACTOR-NBR
041100                             PIC S9(09)      COMP-3.
041200             07  PT27-FEE-FACTOR-AMT
041300                             PIC S9(17)      COMP-3.
041400             07  PT27-FEE-INC-PER-ITEM
041500                             PIC S9(17)      COMP-3.
041600             07  PT27-FEE-INC-RATE
041700                             PIC S9(07)      COMP-3.
041800             07  PT27-FEE-EXP-PER-ITEM
041900                             PIC S9(17)      COMP-3.
042000             07  PT27-FEE-EXP-RATE
042100                             PIC S9(07)      COMP-3.
042200             07  PT27-FEE-EXP-AMOUNT
042300                             PIC S9(17)      COMP-3.
042400*
042500     03  PT27-VD-HEADER-DATA
042600                             REDEFINES PT27-VARIABLE-DATA.
042700         05  PT27-VD-HEADER-TOTALS.
042800             07  PT27-SALES-NBR
042900                             PIC S9(09)      COMP-3.
043000             07  PT27-SALES-AMT
043100                             PIC S9(17)      COMP-3.
043200             07  PT27-SALES-REV-NBR
043300                             PIC S9(09)      COMP-3.
043400             07  PT27-SALES-REV-AMT
043500                             PIC S9(17)      COMP-3.
043600             07  PT27-RETURNS-NBR
043700                             PIC S9(09)      COMP-3.
043800             07  PT27-RETURNS-AMT
043900                             PIC S9(17)      COMP-3.
044000             07  PT27-RETURNS-REV-NBR
044100                             PIC S9(09)      COMP-3.
044200             07  PT27-RETURNS-REV-AMT
044300                             PIC S9(17)      COMP-3.
044400             07  PT27-MEMO-NBR
044500                             PIC S9(09)      COMP-3.
044600             07  PT27-MEMO-AMT
044700                             PIC S9(17)      COMP-3.
044800         05  FILLER          PIC  X(07).
044900*
045000*       ***************************************************
045100*       *              END OF COPYBOOK PT27RL             *
045200*       ***************************************************
045300/
045400     COPY MB00WS.
045500/
045600     COPY SS00WS.
045700/
045800     COPY SS02WS.
045900*
046000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
046100/
046200 PROCEDURE DIVISION.
046300 A000-MAIN-LINE-SECT SECTION.
046400 A010-ML-BEGIN.
046500*
046600     MOVE 'MBC809'               TO SS02WS-ABEND-PROG-ID.
046700*
046800     MOVE 'O1FI'                 TO SS02WS-ABEND-LOCATION.
046900     SET MTFIRB-OPEN-INPUT       TO TRUE.
047000     PERFORM MB00PD-MTFI-ACCESS
047100        THRU MB00PD-MTFI-ACCESS-EXIT.
047200*
047300     MOVE 'O1PT'                 TO SS02WS-ABEND-LOCATION.
047400     SET MTPTRB-OPEN-OUTPUT      TO TRUE.
047500     PERFORM MB00PD-MTPT-ACCESS
047600        THRU MB00PD-MTPT-ACCESS-EXIT.
047700*
047800     MOVE SS02WS-END-OF-FILE     TO MTFIRB-PERM-STATUS-1.
047900*
048000 A100-ML-READ-MTFI.
048100*
048200     MOVE 'R1FI'                 TO SS02WS-ABEND-LOCATION.
048300     SET MTFIRB-READ-SEQ         TO TRUE.
048400     PERFORM MB00PD-MTFI-ACCESS
048500        THRU MB00PD-MTFI-ACCESS-EXIT.
048600*
048700     IF  SS02WS-FS-END-OF-FILE
048800         GO TO A900-ML-CLOSE-FILES.
048900*
049000     MOVE MTFIIO-RECORD          TO PT27-RECORD.
049100*
049200     EVALUATE TRUE
049300         WHEN PT27-HEADER
049400         WHEN PT27-TRAILER
049500             MOVE PT27-RECORD    TO MTPTIO-RECORD
049600         WHEN OTHER
049700             PERFORM 8800-CONVERT-MTPT
049800                THRU 8899-CMTPT-EXIT
049900     END-EVALUATE.
050000*
050100     MOVE 'W9PT'                 TO SS02WS-ABEND-LOCATION.
050200     SET MTPTRB-WRITE            TO TRUE.
050300     PERFORM MB00PD-MTPT-ACCESS
050400        THRU MB00PD-MTPT-ACCESS-EXIT.
050500*
050600     GO TO A100-ML-READ-MTFI.
050700*
050800*
050900*
051000 A900-ML-CLOSE-FILES.
051100*
051200     MOVE 'C1FI'                 TO SS02WS-ABEND-LOCATION.
051300     SET MTFIRB-CLOSE            TO TRUE.
051400     PERFORM MB00PD-MTFI-ACCESS
051500        THRU MB00PD-MTFI-ACCESS-EXIT.
051600*
051700     MOVE 'C1PT'                 TO SS02WS-ABEND-LOCATION.
051800     SET MTPTRB-CLOSE            TO TRUE.
051900     PERFORM MB00PD-MTPT-ACCESS
052000        THRU MB00PD-MTPT-ACCESS-EXIT.
052100*
052200     GO TO 9999-END-OF-PROGRAM.
052300*
052400 A099-ML-EXIT.
052500     EXIT.
052600/
052700 8800-CONVERT-MTPT SECTION.
052800 8801-CMTPT-BEGIN.
052900*
053000     MOVE MTPTIR-RECORD          TO MTPT-RECORD.
053100*
053200     MOVE PT27-ORG
053300       TO MTPT-ORG.
053400     MOVE PT27-MERCHANT
053500       TO MTPT-MERCHANT.
053600     MOVE PT27-SEQ-NBR
053700       TO MTPT-SEQ-NBR.
053800     MOVE PT27-STORE
053900       TO MTPT-STORE.
054000     MOVE PT27-PRODUCT
054100       TO MTPT-PRODUCT.
054200     MOVE PT27-PLAN-X
054300       TO MTPT-PLAN-X.
054400     MOVE PT27-LOGIC-MODULE
054500       TO MTPT-LOGIC-MODULE.
054600     MOVE PT27-QUAL-LEVEL-X
054700       TO MTPT-QUAL-LEVEL-X.
054800     MOVE PT27-TRANS-CODE
054900       TO MTPT-TRANS-CODE.
055000     MOVE PT27-TRANS-FLAG
055100       TO MTPT-TRANS-FLAG.
055200     MOVE PT27-NBR-ITEMS
055300       TO MTPT-NBR-ITEMS.
055400     MOVE PT27-AMOUNT
055500       TO MTPT-AMOUNT.
055600     MOVE PT27-POST-DATE
055700       TO MTPT-POST-DATE.
055800     MOVE PT27-ENTRY-DATE
055900       TO MTPT-ENTRY-DATE.
056000     MOVE PT27-STMT-FLAG
056100       TO MTPT-STMT-FLAG.
056200     MOVE PT27-SETT-FLAG
056300       TO MTPT-SETT-FLAG.
056400     MOVE PT27-SETT-ACCT
056500       TO MTPT-SETT-ACCT.
056600     MOVE PT27-SETT-DATE
056700       TO MTPT-SETT-DATE.
056800     MOVE PT27-BATCH
056900       TO MTPT-BATCH.
057000     MOVE PT27-REF-BATCH
057100       TO MTPT-REF-BATCH.
057200     MOVE PT27-REF-DATA
057300       TO MTPT-REF-DATA.
057400     MOVE PT27-ORIG-GL-SOURCE
057500       TO MTPT-ORIG-GL-SOURCE.
057600     MOVE PT27-GL-SOURCE
057700       TO MTPT-GL-SOURCE.
057800     MOVE PT27-TRANS-STATUS
057900       TO MTPT-TRANS-STATUS.
058000     MOVE PT27-QUAL-INDICATOR
058100       TO MTPT-QUAL-INDICATOR.
058200     MOVE PT27-DATA-ENTRY-MODE
058300       TO MTPT-DATA-ENTRY-MODE.
058400     MOVE PT27-REJECT-REENTRY-FLAG
058500       TO MTPT-REJECT-REENTRY-FLAG.
058600     MOVE PT27-AR-CURR-INPUT-SOURCE
058700       TO MTPT-AR-CURR-INPUT-SOURCE.
058800     MOVE PT27-AR-MT-TYPE
058900       TO MTPT-AR-MT-TYPE.
059000     MOVE PT27-STORE-DUP-IND
059100       TO MTPT-STORE-DUP-IND.
059200     MOVE PT27-MERCH-DUP-IND
059300       TO MTPT-MERCH-DUP-IND.
059400     MOVE PT27-ORIG-OPERATOR
059500       TO MTPT-ORIG-OPERATOR.
059600     MOVE PT27-LAST-OPERATOR
059700       TO MTPT-LAST-OPERATOR.
059800     MOVE PT27-GOVERNING-STATE
059900       TO MTPT-GOVERNING-STATE.
060000     MOVE PT27-LOGO-X
060100       TO MTPT-LOGO-X.
060200     MOVE PT27-SKU-NBR-X
060300       TO MTPT-SKU-NBR-X.
060400     MOVE PT27-DEPT-CODE
060500       TO MTPT-DEPT-CODE.
060600     MOVE PT27-DESC
060700       TO MTPT-DESC.
060800     MOVE PT27-RPT-DESC
060900       TO MTPT-RPT-DESC.
061000     MOVE PT27-CATEGORY-CODE
061100       TO MTPT-CATEGORY-CODE.
061200     MOVE PT27-USER-FILLER
061300       TO MTPT-USER-FILLER.
061400     MOVE PT27-POST-FLAG
061500       TO MTPT-POST-FLAG.
061600     MOVE PT27-VAR-DATA-IND
061700       TO MTPT-VAR-DATA-IND.
061800     EVALUATE TRUE
061900         WHEN MTPT-VDI-DEPOSIT-DATA
062000             MOVE PT27-AR-ORG
062100               TO MTPT-AR-ORG
062200             MOVE PT27-AR-ACCT
062300               TO MTPT-AR-ACCT
062400             MOVE PT27-AR-TRANS-CODE
062500               TO MTPT-AR-TRANS-CODE
062600             MOVE PT27-AR-LOGIC-MODULE
062700               TO MTPT-AR-LOGIC-MODULE
062800             MOVE PT27-AR-POST-FLAG
062900               TO MTPT-AR-POST-FLAG
063000             MOVE PT27-INDIV-DISC-FLAG
063100               TO MTPT-INDIV-DISC-FLAG
063200             MOVE PT27-INDIV-DISC-AMT
063300               TO MTPT-INDIV-DISC-AMT
063400             MOVE PT27-INDIV-DISC-IND
063500               TO MTPT-INDIV-DISC-IND
063600             MOVE PT27-INDIV-DISC-RATE
063700               TO MTPT-INDIV-DISC-RATE
063800             MOVE PT27-INDIV-DISC-ADJ-RATE
063900               TO MTPT-INDIV-DISC-ADJ-RATE
064000             MOVE PT27-INDIV-PART-FLAG
064100               TO MTPT-INDIV-PART-FLAG
064200             MOVE PT27-INDIV-PART-AMT
064300               TO MTPT-INDIV-PART-AMT
064400             MOVE PT27-INDIV-PART-IND
064500               TO MTPT-INDIV-PART-IND
064600             MOVE PT27-INDIV-PART-RATE
064700               TO MTPT-INDIV-PART-RATE
064800             MOVE PT27-INDIV-PART-ADJ-RATE
064900               TO MTPT-INDIV-PART-ADJ-RATE
065000             MOVE PT27-AR-AUTH-CODE
065100               TO MTPT-AR-AUTH-CODE
065200             MOVE PT27-CARD-PROD-TYPE
065300               TO MTPT-CARD-PROD-TYPE
065400         WHEN MTPT-VDI-FEE-DATA
065500             MOVE PT27-AR-ORG
065600               TO MTPT-AR-ORG
065700             MOVE PT27-AR-ACCT
065800               TO MTPT-AR-ACCT
065900             MOVE PT27-AR-TRANS-CODE
066000               TO MTPT-AR-TRANS-CODE
066100             MOVE PT27-AR-LOGIC-MODULE
066200               TO MTPT-AR-LOGIC-MODULE
066300             MOVE PT27-AR-POST-FLAG
066400               TO MTPT-AR-POST-FLAG
066500             MOVE PT27-FEE-FACTOR-NBR
066600               TO MTPT-FEE-FACTOR-NBR
066700             MOVE PT27-FEE-FACTOR-AMT
066800               TO MTPT-FEE-FACTOR-AMT
066900             MOVE PT27-FEE-INC-PER-ITEM
067000               TO MTPT-FEE-INC-PER-ITEM
067100             MOVE PT27-FEE-INC-RATE
067200               TO MTPT-FEE-INC-RATE
067300             MOVE PT27-FEE-EXP-PER-ITEM
067400               TO MTPT-FEE-EXP-PER-ITEM
067500             MOVE PT27-FEE-EXP-RATE
067600               TO MTPT-FEE-EXP-RATE
067700             MOVE PT27-FEE-EXP-AMOUNT
067800               TO MTPT-FEE-EXP-AMOUNT
067900         WHEN MTPT-VDI-HEADER-DATA
068000             MOVE PT27-SALES-NBR
068100               TO MTPT-SALES-NBR
068200             MOVE PT27-SALES-AMT
068300               TO MTPT-SALES-AMT
068400             MOVE PT27-SALES-REV-NBR
068500               TO MTPT-SALES-REV-NBR
068600             MOVE PT27-SALES-REV-AMT
068700               TO MTPT-SALES-REV-AMT
068800             MOVE PT27-RETURNS-NBR
068900               TO MTPT-RETURNS-NBR
069000             MOVE PT27-RETURNS-AMT
069100               TO MTPT-RETURNS-AMT
069200             MOVE PT27-RETURNS-REV-NBR
069300               TO MTPT-RETURNS-REV-NBR
069400             MOVE PT27-RETURNS-REV-AMT
069500               TO MTPT-RETURNS-REV-AMT
069600             MOVE PT27-MEMO-NBR
069700               TO MTPT-MEMO-NBR
069800             MOVE PT27-MEMO-AMT
069900               TO MTPT-MEMO-AMT
070000         WHEN OTHER
070100             SET MTPT-VDI-NOT-PRESENT
070200                                 TO TRUE
070300             MOVE MTPTIR-VD-DEPOSIT-DATA
070400               TO MTPT-VD-DEPOSIT-DATA
070500     END-EVALUATE.
070600*
070700     MOVE MTPT-RECORD            TO MTPTIO-RECORD.
070800*
070900 8899-CMTPT-EXIT.
071000     EXIT.
071100/
071200 9000-PERFORMED-ROUTINES SECTION.
071300     COPY MB00PD REPLACING ==:MB00:== BY ==MTFI==.
071400/
071500     COPY MB00PD REPLACING ==:MB00:== BY ==MTPT==.
071600/
071700     COPY SS02PD.
071800*
071900 9995-END-SOURCE-STATEMENTS SECTION.
072000 9999-END-OF-PROGRAM.
072100     STOP RUN.
