000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBC829.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBC829 - CONVERT MTPT FORMAT FROM 8.03 TO 8.04          *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700/
001800 DATA DIVISION.
001900 FILE SECTION.
002000 WORKING-STORAGE SECTION.
002100*
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*
002400 01  MBC270CC-PROGRAM-X.
002500     03  MBC270CC            PIC  X(08)      VALUE 'MBC270CC'.
002600     03  MB00WS-MCFIAB       PIC  X(08)      VALUE 'MCFIAB'.
002700*
002800 01  WS-C270CC-WORK-AREAS.
002900     03  WS-C270CC-ORG100-SW PIC  X(01)      VALUE 'N'.
003000/
003100     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTFI==.
003200/
003300     COPY MB00RB REPLACING ==:MB00:== BY ==MTFI==.
003400/
003500     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTFI==.
003600/
003700     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTFJ==.
003800/
003900     COPY MB00RB REPLACING ==:MB00:== BY ==MTFJ==.
004000/
004100     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTFJ==.
004200/
004300     COPY MTPTIR REPLACING ==:MTPT:== BY ==MTPT==.
004400/
004500     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
004600/
004700*****************************************************************
004800*                                                               *
004900*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
005000*                                                               *
005100*  PT25RL -------MONETARY TRANSACTION RECORD-------  350 BYTES  * EH27001
005200*                                                               *
005300*****************************************************************
005400 01  PT25-RECORD.
005500     03  PT25-KEY.
005600         05  PT25-ALIGN-KEY.
005700             07  PT25-ORG-MERCHANT.
005800                 88  PT25-HEADER             VALUE ZERO.
005900                 88  PT25-TRAILER            VALUE '999999999999'.
006000                 09  PT25-ORG-X.
006100                     11  PT25-ORG
006200                             PIC  9(03).
006300                 09  PT25-MERCHANT-X.
006400                     11  PT25-MERCHANT
006500                             PIC  9(09).
006600*
006700         05  PT25-SEQ-NBR    PIC S9(08)      BINARY.
006800*
006900     03  PT25-STORE-AREA.
007000         05  PT25-STORE      PIC S9(09)      COMP-3.
007100*
007200     03  PT25-POST-KEY.
007300         05  PT25-PRODUCT-X.
007400             07  PT25-PRODUCT
007500                             PIC  9(02).
007600                 88  PT25-NON-PRODUCT        VALUE ZERO.
007700                 88  PT25-PROD-IS-VISA       VALUE 01.
007800                 88  PT25-PROD-IS-MC         VALUE 02.
007900                 88  PT25-PROD-IS-PL         VALUE 03 THRU 99.
008000*
008100         05  PT25-PLAN-X.
008200             07  PT25-PLAN
008300                             PIC  9(05).
008400*
008500         05  PT25-LOGIC-MODULE
008600                             PIC  9(03).
008700*
008800         05  PT25-QUAL-LEVEL-X.
008900             07  PT25-QUAL-LEVEL
009000                             PIC  9(02).
009100*
009200     03  PT25-DATA.
009300         05  PT25-TRANS-CODE
009400                             PIC S9(03)      COMP-3.
009500*
009600         05  PT25-TRANS-FLAG
009700                             PIC  X(01).
009800             88  PT25-TF-MEMO                VALUE 'M' SPACE.
009900             88  PT25-TF-CREDIT              VALUE 'C'.
010000             88  PT25-TF-DEBIT               VALUE 'D'.
010100             88  PT25-TF-NOT-YET-ASSIGNED    VALUE SPACE.
010200*
010300         05  PT25-NBR-ITEMS
010400                             PIC S9(08)      BINARY.
010500*
010600         05  PT25-AMOUNT     PIC S9(17)      COMP-3.
010700*
010800         05  PT25-POST-DATE
010900                             PIC S9(07)      COMP-3.
011000*
011100         05  PT25-ENTRY-DATE
011200                             PIC S9(07)      COMP-3.
011300*
011400         05  PT25-STMT-FLAG
011500                             PIC  X(01).
011600             88  PT25-STATEMENTED            VALUE 'Y'.
011700             88  PT25-NOT-STATEMENTED        VALUE 'N'.
011800*
011900         05  PT25-SETT-FLAG
012000                             PIC  X(01).
012100             88  PT25-SETTLED                VALUE 'S' 'B' 'W'
012200                                                   '1' '2'
012300                                                   '3' '4'.
012400             88  PT25-NOT-SETTLED            VALUE 'N'.
012500             88  PT25-SETTLED-ACH-MAN        VALUE 'S'.
012600             88  PT25-SETTLED-BILLED         VALUE 'B'.
012700             88  PT25-SETTLED-WINDOW         VALUE 'W'.
012800             88  PT25-SETTLED-RESV-1         VALUE '1'.
012900             88  PT25-SETTLED-RESV-2         VALUE '2'.
013000             88  PT25-SETTLED-RESV-3         VALUE '3'.
013100             88  PT25-SETTLED-RESV-4         VALUE '4'.
013200*
013300         05  PT25-SETT-ACCT
013400                             PIC  9(01).
013500             88  PT25-SA-NOT-APPLICABLE      VALUE ZERO.
013600             88  PT25-SETT-ACCT-1            VALUE 1.
013700             88  PT25-SETT-ACCT-2            VALUE 2.
013800             88  PT25-SETT-ACCT-3            VALUE 3.
013900             88  PT25-SETT-ACCT-4            VALUE 4.
014000             88  PT25-SA-WINDOW              VALUE 5.
014100*
014200         05  PT25-SETT-DATE
014300                             PIC S9(07)      COMP-3.
014400*
014500         05  PT25-BATCH.
014600             07  PT25-BATCH-SORT.
014700                 09  PT25-BATCH-DATE
014800                             PIC S9(07)      COMP-3.
014900                 09  PT25-BATCH-SOURCE
015000                             PIC S9(05)      COMP-3.
015100                 09  PT25-BATCH-NBR
015200                             PIC S9(05)      COMP-3.
015300             07  PT25-BATCH-SEQ
015400                             PIC S9(08)      BINARY.
015500*
015600         05  PT25-REF-BATCH.
015700             07  PT25-REF-BATCH-SORT.
015800                 09  PT25-REF-BATCH-DATE
015900                             PIC S9(07)      COMP-3.
016000                 09  PT25-REF-BATCH-SOURCE
016100                             PIC S9(05)      COMP-3.
016200                 09  PT25-REF-BATCH-NBR
016300                             PIC S9(05)      COMP-3.
016400             07  PT25-REF-BATCH-SEQ
016500                             PIC S9(08)      BINARY.
016600*
016700         05  PT25-REF-DATA.
016800             07  PT25-REF-NBR
016900                             PIC  X(23).
017000             07  PT25-REF-AMOUNT-1
017100                             PIC S9(17)      COMP-3.
017200             07  PT25-REF-AMOUNT-2
017300                             PIC S9(17)      COMP-3.
017400             07  PT25-REF-NBR-ITEMS
017500                             PIC S9(08)      BINARY.
017600             07  PT25-REF-PRODUCT-X.
017700                 09  PT25-REF-PRODUCT
017800                             PIC  9(02).
017900             07  PT25-REF-PLAN-X.
018000                 09  PT25-REF-PLAN
018100                             PIC S9(05)      COMP-3.
018200             07  PT25-REF-QUAL-LEVEL-X.
018300                 09  PT25-REF-QUAL-LEVEL
018400                             PIC  9(02).
018500*
018600         05  PT25-ORIG-GL-SOURCE
018700                             PIC  9(01).
018800             88  PT25-OGL-LOCAL-INP          VALUE ZERO.
018900             88  PT25-OGL-POS-1-INPUT        VALUE 1.
019000             88  PT25-OGL-POS-2-INPUT        VALUE 2.
019100             88  PT25-OGL-POS-3-INPUT        VALUE 3.
019200             88  PT25-OGL-DATA-CAPTURE-INPUT
019300                                             VALUE 4.
019400             88  PT25-OGL-USER-INP           VALUE 5.
019500             88  PT25-OGL-FE-GENERATED       VALUE 6.
019600             88  PT25-OGL-WAREHOUSED         VALUE 7.
019700             88  PT25-OGL-GENERATED          VALUE 8.
019800             88  PT25-OGL-RESERVED           VALUE 9.
019900*
020000         05  PT25-GL-SOURCE
020100                             PIC  9(01).
020200             88  PT25-GL-LOCAL-INP           VALUE ZERO.
020300             88  PT25-GL-POS-1-INPUT         VALUE 1.
020400             88  PT25-GL-POS-2-INPUT         VALUE 2.
020500             88  PT25-GL-POS-3-INPUT         VALUE 3.
020600             88  PT25-GL-DATA-CAPTURE-INPUT
020700                                             VALUE 4.
020800             88  PT25-GL-USER-INP            VALUE 5.
020900             88  PT25-GL-FE-GENERATED        VALUE 6.
021000             88  PT25-GL-WAREHOUSED          VALUE 7.
021100             88  PT25-GL-GENERATED           VALUE 8.
021200             88  PT25-GL-RESERVED            VALUE 9.
021300*
021400         05  PT25-TRANS-STATUS
021500                             PIC  X(01).
021600             88  PT25-TRANS-ACTIVE           VALUE 'R' 'A' SPACE.
021700             88  PT25-TRANS-FORCE-ADJ        VALUE 'A'.
021800             88  PT25-TRANS-REACTIVATED      VALUE 'R'.
021900             88  PT25-TRANS-DELETED          VALUE 'D'.
022000*
022100         05  PT25-QUAL-INDICATOR
022200                             PIC  X(01).
022300             88  PT25-QI-NOT-APPLICABLE      VALUE ZERO.
022400             88  PT25-QI-INTRACHANGE-DIFF    VALUE '1'.
022500             88  PT25-QI-INTRACHANGE-ONUS    VALUE '2'.
022600             88  PT25-QI-DOMESTIC-NORMAL     VALUE '3'.
022700             88  PT25-QI-DOMESTIC-ABOVE      VALUE '4'.
022800             88  PT25-QI-DOMESTIC-BELOW      VALUE '5'.
022900             88  PT25-QI-INTERNATIONAL-NORMAL
023000                                             VALUE '6'.
023100             88  PT25-QI-INTERNATIONAL-ABOVE
023200                                             VALUE '7'.
023300             88  PT25-QI-INTERNATIONAL-BELOW
023400                                             VALUE '8'.
023500             88  PT25-QI-REGIONAL-NORMAL     VALUE '9'.
023600             88  PT25-QI-REGIONAL-ABOVE      VALUE 'A'.
023700             88  PT25-QI-REGIONAL-BELOW      VALUE 'B'.
023800             88  PT25-QI-QUALIFIED           VALUE '3' '6' '9'.
023900             88  PT25-QI-NON-QUAL-ABOVE      VALUE '4' '7' 'A'.
024000             88  PT25-QI-NON-QUAL-BELOW      VALUE '5' '8' 'B'.
024100             88  PT25-QI-INTRACHANGE         VALUE '1' '2'.
024200             88  PT25-QI-INTERCHANGE         VALUE '3' THRU '9'
024300                                                   'A' 'B'.
024400             88  PT25-QI-DOMESTIC            VALUE '3' '4' '5'.
024500             88  PT25-QI-INTERNATIONAL       VALUE '6' '7' '8'.
024600             88  PT25-QI-REGIONAL            VALUE '9' 'A' 'B'.
024700*
024800         05  PT25-DATA-ENTRY-MODE
024900                             PIC  X(01).
025000             88  PT25-DEM-IS-NOT-APPLICABLE
025100                                             VALUE ZERO.
025200             88  PT25-DEM-IS-KEYED           VALUE '1'.
025300             88  PT25-DEM-IS-SWIPED          VALUE '2'.
025400*
025500         05  PT25-REJECT-REENTRY-FLAG
025600                             PIC  X(01).
025700             88  PT25-RR-POSTED-TO-MERCH     VALUE 'Y'.
025800             88  PT25-RR-NOT-POSTED-TO-MERCH
025900                                             VALUE 'N'.
026000*
026100         05  PT25-AR-CURR-INPUT-SOURCE
026200                             PIC  X(01).
026300             88  PT25-CIS-1ST-TIME           VALUE '0' SPACE.
026400             88  PT25-CIS-SUBSEQUENT         VALUE '1'.
026500             88  PT25-CIS-XFER-HISTORY       VALUE '9'.
026600*
026700         05  PT25-AR-MT-TYPE
026800                             PIC  X(01).
026900             88  PT25-AR-MT-MEMO             VALUE 'M' SPACE.
027000             88  PT25-AR-MT-CREDIT           VALUE 'C'.
027100             88  PT25-AR-MT-DEBIT            VALUE 'D'.
027200             88  PT25-AR-MT-NOT-FROM-CMS     VALUE 'N'.
027300*
027400         05  PT25-DUP-IN-BATCH-FLAG
027500                             PIC  X(01).
027600             88  PT25-DUP-IN-BATCH           VALUE 'Y'.
027700             88  PT25-NOT-DUP-IN-BATCH       VALUE 'N'.
027800*
027900         05  PT25-DUP-BY-DAY-FLAG
028000                             PIC  X(01).
028100             88  PT25-DUP-BY-DAY             VALUE 'Y'.
028200             88  PT25-NOT-DUP-BY-DAY         VALUE 'N'.
028300*
028400         05  PT25-ORIG-OPERATOR
028500                             PIC  X(03).
028600*
028700         05  PT25-LAST-OPERATOR
028800                             PIC  X(03).
028900*
029000         05  PT25-GOVERNING-STATE
029100                             PIC  X(03).
029200*
029300         05  PT25-LOGO-X.
029400             07  PT25-LOGO
029500                             PIC  9(03).
029600*
029700         05  PT25-SKU-NBR-X.
029800             07  PT25-SKU-NBR
029900                             PIC  9(09).
030000*
030100         05  PT25-DEPT-CODE
030200                             PIC  X(04).
030300*
030400         05  PT25-DESC       PIC  X(40).
030500*
030600         05  PT25-RPT-DESC PIC    X(15).
030700         05  PT25-CARD-PROD-TYPE                                  EH800900
030800                             PIC  X(03).                          EH800900
030900*
031000     03  PT25-FILLER         PIC  X(18).                          EH800900
031100*
031200     03  PT25-USER-FILLER    PIC  X(15).
031300*
031400     03  PT25-POST-FLAG      PIC  9(02).
031500         88  PT25-PF-POSTED-TRANSACTION      VALUE ZERO.
031600         88  PT25-PF-NO-STORE                VALUE 50.
031700         88  PT25-PF-NO-TC-TRANSLATION       VALUE 51.
031800         88  PT25-PF-INVALID-TC-OR-LM        VALUE 52.
031900         88  PT25-PF-NON-POST-MERCH-ITEM     VALUE 53.
032000         88  PT25-PF-PROCESSED-REPEAT-REJ    VALUE 54.
032100         88  PT25-PF-PROCESSED-POSTED-REJ    VALUE 55.
032200         88  PT25-PF-STORE-NON-SETTLEMENT    VALUE 56.
032300         88  PT25-PF-MERCHANT-BLOCKED        VALUE 57.
032400         88  PT25-PF-NO-POSTING-TO-STORE     VALUE 58.
032500         88  PT25-PF-NO-STORE-FOUND          VALUE 59.
032600         88  PT25-PF-QUALIFIED-NON-POST      VALUE 50 THRU 59.
032700         88  PT25-PF-NON-MERCH-ITEM          VALUE 50 THRU 52.
032800         88  PT25-PF-WAREHOUSED              VALUE 90.
032900*
033000     03  PT25-VAR-DATA-IND PIC    9(01).
033100         88  PT25-VDI-NOT-PRESENT            VALUE ZERO.
033200         88  PT25-VDI-DEPOSIT-DATA           VALUE 1.
033300         88  PT25-VDI-FEE-DATA               VALUE 2.
033400         88  PT25-VDI-HEADER-DATA            VALUE 3.
033500*
033600     03  PT25-VARIABLE-DATA.
033700*
033800* N O T E --- AR ORG, ACCT AND TC ARE ONLY VALID ON VARIABLE DATA
033900*             AREAS 1 AND 2.
034000*
034100         05  PT25-VD-AR-ORG-ACCT-TC.
034200             07  PT25-AR-KEY.
034300                 09  PT25-AR-ORG-X.
034400                     11  PT25-AR-ORG
034500                             PIC  9(03).
034600                 09  PT25-AR-ACCT
034700                             PIC  X(19).
034800             07  PT25-AR-TRANS-CODE
034900                             PIC S9(03)      COMP-3.
035000             07  PT25-AR-LOGIC-MODULE
035100                             PIC  9(02).
035200             07  PT25-AR-POST-FLAG
035300                             PIC  9(02).
035400*
035500         05  FILLER          PIC  X(49).
035600*
035700     03  PT25-VD-DEPOSIT-DATA
035800                             REDEFINES PT25-VARIABLE-DATA.
035900         05  PT25-VD-DD-AR-ORG-ACCT-TC
036000                             PIC  X(28).
036100         05  PT25-INDIV-DISC-FLAG
036200                             PIC  X(01).
036300             88  PT25-INDIV-DISCOUNT         VALUE 'D'.
036400             88  PT25-INDIV-REFUND           VALUE 'C'.
036500*
036600         05  PT25-INDIV-DISC-AMT
036700                             PIC S9(17)      COMP-3.
036800*
036900         05  PT25-INDIV-DISC-IND
037000                             PIC  X(01).
037100             88  PT25-IDI-IS-RATE            VALUE 'R'.
037200             88  PT25-IDI-IS-PER-ITEM        VALUE 'P'.
037300*
037400         05  PT25-INDIV-DISC-RATE
037500                             PIC S9(09)      COMP-3.
037600         05  PT25-INDIV-DISC-PER-ITEM
037700                             REDEFINES PT25-INDIV-DISC-RATE
037800                             PIC S9(09)      COMP-3.
037900*
038000         05  PT25-INDIV-DISC-ADJ-RATE
038100                             PIC S9(09)      COMP-3.
038200         05  PT25-INDIV-DISC-ADJ-PER-ITEM
038300                             REDEFINES PT25-INDIV-DISC-ADJ-RATE
038400                             PIC S9(09)      COMP-3.
038500*
038600         05  PT25-INDIV-PART-FLAG
038700                             PIC  X(01).
038800             88  PT25-INDIV-PART-DR          VALUE 'D'.
038900             88  PT25-INDIV-PART-CR          VALUE 'C'.
039000*
039100         05  PT25-INDIV-PART-AMT
039200                             PIC S9(17)      COMP-3.
039300*
039400         05  PT25-INDIV-PART-IND
039500                             PIC  X(01).
039600             88  PT25-IPI-IS-RATE            VALUE 'R'.
039700             88  PT25-IPI-IS-PER-ITEM        VALUE 'P'.
039800*
039900         05  PT25-INDIV-PART-RATE
040000                             PIC S9(09)      COMP-3.
040100         05  PT25-INDIV-PART-PER-ITEM
040200                             REDEFINES PT25-INDIV-PART-RATE
040300                             PIC S9(09)      COMP-3.
040400*
040500         05  PT25-INDIV-PART-ADJ-RATE
040600                             PIC S9(09)      COMP-3.
040700         05  PT25-INDIV-PART-ADJ-PER-ITEM
040800                             REDEFINES PT25-INDIV-PART-ADJ-RATE
040900                             PIC S9(09)      COMP-3.
041000*
041100         05  PT25-AR-AUTH-CODE
041200                             PIC  X(06).
041300         05  FILLER          PIC  X(01).
041400*
041500     03  PT25-VD-FEE-DATA    REDEFINES PT25-VARIABLE-DATA.
041600         05  PT25-VD-FEE-AREA.
041700             07  PT25-VD-FA-AR-ORG-ACCT-TC
041800                             PIC  X(28).
041900             07  PT25-FEE-FACTOR-NBR
042000                             PIC S9(09)      COMP-3.
042100             07  PT25-FEE-FACTOR-AMT
042200                             PIC S9(17)      COMP-3.
042300             07  PT25-FEE-INC-PER-ITEM
042400                             PIC S9(09)      COMP-3.
042500             07  PT25-FEE-INC-RATE
042600                             PIC S9(07)      COMP-3.
042700             07  PT25-FEE-EXP-PER-ITEM
042800                             PIC S9(09)      COMP-3.
042900             07  PT25-FEE-EXP-RATE
043000                             PIC S9(07)      COMP-3.
043100             07  PT25-FEE-EXP-AMOUNT
043200                             PIC S9(17)      COMP-3.
043300             07  FILLER      PIC  X(08).
043400*
043500     03  PT25-VD-HEADER-DATA
043600                             REDEFINES PT25-VARIABLE-DATA.
043700         05  PT25-VD-HEADER-TOTALS.
043800             07  PT25-SALES-NBR
043900                             PIC S9(09)      COMP-3.
044000             07  PT25-SALES-AMT
044100                             PIC S9(17)      COMP-3.
044200             07  PT25-SALES-REV-NBR
044300                             PIC S9(09)      COMP-3.
044400             07  PT25-SALES-REV-AMT
044500                             PIC S9(17)      COMP-3.
044600             07  PT25-RETURNS-NBR
044700                             PIC S9(09)      COMP-3.
044800             07  PT25-RETURNS-AMT
044900                             PIC S9(17)      COMP-3.
045000             07  PT25-RETURNS-REV-NBR
045100                             PIC S9(09)      COMP-3.
045200             07  PT25-RETURNS-REV-AMT
045300                             PIC S9(17)      COMP-3.
045400             07  PT25-MEMO-NBR
045500                             PIC S9(09)      COMP-3.
045600             07  PT25-MEMO-AMT
045700                             PIC S9(17)      COMP-3.
045800         05  FILLER          PIC  X(07).
045900*                                                                 EH25005
046000*       ***************************************************       EH25005
046100*       *              END OF COPYBOOK PT25RL             *       EH25005
046200*       ***************************************************       EH25005
046300/
046400     COPY MB00WS.
046500/
046600     COPY MB99WS.
046700/
046800     COPY SS00WS.
046900/
047000     COPY SS01WS.
047100/
047200     COPY SS02WS.
047300*
047400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
047500/
047600 PROCEDURE DIVISION.
047700 A000-MAIN-LINE-SECT SECTION.
047800 A010-ML-BEGIN.
047900*
048000     MOVE 'MBC829'               TO SS02WS-ABEND-PROG-ID.
048100*
048200     MOVE 'O1FI'                 TO SS02WS-ABEND-LOCATION.
048300     SET MTFIRB-OPEN-INPUT       TO TRUE.
048400     PERFORM MB00PD-MTFI-ACCESS
048500        THRU MB00PD-MTFI-ACCESS-EXIT.
048600*
048700     MOVE 'O1FJ'                 TO SS02WS-ABEND-LOCATION.
048800     SET MTFJRB-OPEN-OUTPUT      TO TRUE.
048900     PERFORM MB00PD-MTFJ-ACCESS
049000        THRU MB00PD-MTFJ-ACCESS-EXIT.
049100*
049200     MOVE SPACES                 TO MTFJIO-RECORD.
049300     MOVE ZERO                   TO MTFJIO-ORG.
049400     MOVE ZERO                   TO MTFJIO-MERCHANT.
049500     MOVE ZERO                   TO MTFJIO-SEQ-NBR.
049600     MOVE ZERO                   TO MTFJIO-DATE-STAMP.
049700     MOVE ZERO                   TO MTFJIO-TIME-STAMP.
049800*
049900     MOVE 'W0FJ'                 TO SS02WS-ABEND-LOCATION.
050000     SET MTFJRB-WRITE            TO TRUE.
050100     PERFORM MB00PD-MTFJ-ACCESS
050200        THRU MB00PD-MTFJ-ACCESS-EXIT.
050300*
050400     MOVE SS02WS-END-OF-FILE     TO MTFIRB-PERM-STATUS-1.
050500*
050600 A100-ML-READ-MTFI.
050700*
050800     MOVE 'R1FI'                 TO SS02WS-ABEND-LOCATION.
050900     SET MTFIRB-READ-SEQ         TO TRUE.
051000     PERFORM MB00PD-MTFI-ACCESS
051100        THRU MB00PD-MTFI-ACCESS-EXIT.
051200*
051300     IF  SS02WS-FS-END-OF-FILE
051400         GO TO A900-ML-CLOSE-FILES.
051500*
051600     IF  MTFIIO-HEADER
051700         GO TO A100-ML-READ-MTFI.
051800*
051900     IF  MTFIIO-TRAILER
052000         GO TO A100-ML-READ-MTFI.
052100*
052200     MOVE MTFIIO-RECORD          TO PT25-RECORD.
052300*
052400     PERFORM X700-CONVERT-MTPT
052500        THRU X709-CMTPT-EXIT.
052600*
052700     PERFORM B000-WRITE-MTFJ
052800        THRU B099-WMTFJ-EXIT.
052900*
053000     GO TO A100-ML-READ-MTFI.
053100*
053200*
053300*
053400 A900-ML-CLOSE-FILES.
053500*
053600     MOVE SPACES                 TO MTFJIO-RECORD.
053700     MOVE 999                    TO MTFJIO-ORG.
053800     MOVE 999999999              TO MTFJIO-MERCHANT.
053900     MOVE ZERO                   TO MTFJIO-SEQ-NBR.
054000     MOVE ZERO                   TO MTFJIO-DATE-STAMP.
054100     MOVE ZERO                   TO MTFJIO-TIME-STAMP.
054200*
054300     MOVE 'W9FJ'                 TO SS02WS-ABEND-LOCATION.
054400     SET MTFJRB-WRITE            TO TRUE.
054500     PERFORM MB00PD-MTFJ-ACCESS
054600        THRU MB00PD-MTFJ-ACCESS-EXIT.
054700*
054800*
054900*
055000     MOVE 'C1FI'                 TO SS02WS-ABEND-LOCATION.
055100     SET MTFIRB-CLOSE            TO TRUE.
055200     PERFORM MB00PD-MTFI-ACCESS
055300        THRU MB00PD-MTFI-ACCESS-EXIT.
055400*
055500     MOVE 'C1FJ'                 TO SS02WS-ABEND-LOCATION.
055600     SET MTFJRB-CLOSE            TO TRUE.
055700     PERFORM MB00PD-MTFJ-ACCESS
055800        THRU MB00PD-MTFJ-ACCESS-EXIT.
055900*
056000     GO TO 9999-END-OF-PROGRAM.
056100*
056200 A099-ML-EXIT.
056300     EXIT.
056400/
056500 B000-WRITE-MTFJ SECTION.
056600 B001-WMTFJ-BEGIN.
056700*
056800     IF  WS-C270CC-ORG100-SW IS EQUAL TO 'Y'
056900         IF  MTFJ-ORG-X IS EQUAL TO '100'
057000             GO TO B099-WMTFJ-EXIT.
057100*
057200     MOVE MTFJ-RECORD            TO MTFJIO-RECORD.
057300*
057400     MOVE 'W5FJ'                 TO SS02WS-ABEND-LOCATION.
057500     SET MTFJRB-WRITE            TO TRUE.
057600     PERFORM MB00PD-MTFJ-ACCESS
057700        THRU MB00PD-MTFJ-ACCESS-EXIT.
057800*
057900 B099-WMTFJ-EXIT.
058000     EXIT.
058100/
058200 X700-CONVERT-MTPT SECTION.
058300 X701-CMTPT-BEGIN.
058400*
058500     MOVE MTPTIR-RECORD          TO MTFJ-RECORD.
058600     MOVE PT25-RECORD (1:152)    TO MTFJ-RECORD (1:152).
058700     MOVE PT25-RECORD (155:83)   TO MTFJ-RECORD (155:83).
058800     MOVE PT25-RECORD (256:95)   TO MTFJ-RECORD (256:95).
058900*
059000*
059100 X709-CMTPT-EXIT.
059200     EXIT.
059300/
059400 9000-PERFORMED-ROUTINES SECTION.
059500/
059600     COPY MB00PD REPLACING ==:MB00:== BY ==MTFI==.
059700/
059800     COPY MB00PD REPLACING ==:MB00:== BY ==MTFJ==.
059900/
060000     COPY MB99PD.
060100/
060200     COPY SS02PD.
060300/
060400     COPY SS07PD.
060500/
060600     COPY SS08PD.
060700/
060800     COPY SS16PD.
060900/
061000     COPY SS26PD.
061100/
061200     COPY SS27PD.
061300*
061400 9995-END-SOURCE-STATEMENTS SECTION.
061500 9999-END-OF-PROGRAM.
061600     STOP RUN.
