000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD100 - FILE RECOVERY AND NON-MONETARY REPORTS         *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600*
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000/
002100 DATA DIVISION.
002200 FILE SECTION.
002300*
002400     COPY MS1SSD.
002500     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
002600 01  MS1S-SORT-RECORD.
002700     03  MS1S-SORT-KEY-2.
002800         05  FILLER          PIC  X(14).
002900     03  MS1S-SORT-KEY-1.
003000         05  FILLER          PIC  X(23).
003100     03  MS1S-SORT-KEY-3.
003200         05  FILLER          PIC  X(06).
003300     03  MS1S-FIXED-AREA.
003400         05  FILLER          PIC  X(31).
003500     03  MS1S-REST-OF-RECORD.
003600         05  FILLER          PIC  X(01)      OCCURS 0 TO 16300
003700                                             TIMES
003800                                             DEPENDING ON
003900                                             MS1S-LENGTH.
004000/
004100 WORKING-STORAGE SECTION.
004200*
004300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
004400*
004500     COPY MBD100WS.
004600/
004700 01  WS-MBD100-WORK-AREAS.
004800     03  MS1S-LENGTH         PIC S9(08)      BINARY VALUE ZERO.
004900     03  WS-D100-SORT-EOF-SW PIC  X(01)      VALUE 'N'.
005000         88  WS-D100-SORT-AT-EOF             VALUE 'Y'.
005100     03  WS-D100-LOG-EOF-SW  PIC  X(01)      VALUE 'N'.
005200         88  WS-D100-LOG-AT-EOF              VALUE 'Y'.
005300     03  WS-D100-FILE-CODE.
005400         05  WS-D100-FC-NBR  PIC  9(02)      VALUE ZERO.
005500     03  WS-D100-INTERNAL-RPT-ID.
005600         05  WS-D100-IRD-LIT PIC  X(01)      VALUE 'O'.
005700         05  WS-D100-IRD-NBR PIC  9(02)      VALUE ZERO.
005800*
005900     03  WS-D100-TOT-RECS    PIC S9(09)      COMP-3 VALUE ZERO.
006000     03  WS-D100-TOT-MAINT   PIC S9(09)      COMP-3 VALUE ZERO.
006100     03  WS-D100-TOT-ADD     PIC S9(09)      COMP-3 VALUE ZERO.
006200     03  WS-D100-TOT-REP     PIC S9(09)      COMP-3 VALUE ZERO.
006300*
006400     03  WS-D100-LEN         PIC  9(02)      VALUE ZERO.
006500     03  WS-D100-BEG         PIC  9(02)      VALUE ZERO.
006600*
006700 01  WS-D100-HEADING-1.
006800     03  WS-D100-H1-1-22     PIC  X(22)      VALUE SPACES.
006900     03  FILLER              PIC  X(22)      VALUE
007000        'FLD  OCC1             '.
007100     03  FILLER              PIC  X(44)      VALUE
007200        '                                            '.
007300     03  FILLER              PIC  X(44)      VALUE
007400        '                         EVENT  EVENT TERM F'.
007500*
007600 01  WS-D100-HEADING-2.
007700     03  WS-D100-H2-1-22     PIC  X(22)      VALUE SPACES.
007800     03  FILLER              PIC  X(22)      VALUE
007900        'CODE OCC2 *-FIELD  DES'.
008000     03  FILLER              PIC  X(44)      VALUE
008100        'CRIPTION-*      *------------------ CHANGE D'.
008200     03  FILLER              PIC  X(44)      VALUE
008300        'ATA ------------------*  DATE   TIME   ID  S'.
008400/
008500     COPY MMSCRL.
008600/
008700     COPY MMSCIO.
008800/
008900     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
009000/
009100     COPY MMOCRL.
009200/
009300     COPY MMOCIO.
009400/
009500     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
009600/
009700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
009800/
009900     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
010000/
010100     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
010200/
010300     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
010400/
010500     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTC1==.
010600/
010700     COPY MB00RB REPLACING ==:MB00:== BY ==MTC1==.
010800/
010900     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
011000/
011100     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTC2==.
011200/
011300     COPY MB00RB REPLACING ==:MB00:== BY ==MTC2==.
011400/
011500     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
011600/
011700     COPY MML1IO REPLACING ==:MML1:== BY ==MTL1==.
011800/
011900     COPY MB00RB REPLACING ==:MB00:== BY ==MTL1==.
012000/
012100     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
012200/
012300     COPY MB00WS.
012400/
012500     COPY MB20WS.
012600*
012700 01  WS-D100-TOTAL-LINE      REDEFINES MB20WS-PRINT-LINE.
012800     03  WS-D100-TL-LIT      PIC  X(30).
012900     03  WS-D100-TL-NBR      PIC  X(12).
013000     03  FILLER              PIC  X(90).
013100/
013200     COPY SS95WS.
013300/
013400     COPY SS00WS.
013500/
013600     COPY SS01WS.
013700/
013800     COPY SS02WS.
013900*
014000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014100/
014200 PROCEDURE DIVISION.
014300 A000-MAIN-LINE-SECT SECTION.
014400 A010-ML-BEGIN.
014500*
014600     MOVE 'MBD100'               TO SS02WS-ABEND-PROG-ID.
014700     MOVE SPACES                 TO MTCC-RECORD.
014800     MOVE SPACES                 TO MTC1-RECORD.
014900     MOVE SPACES                 TO MTC2-RECORD.
015000     MOVE SPACES                 TO MBD100WS-PRINT-LINE-1.
015100     MOVE SPACES                 TO MBD100WS-PRINT-LINE-2.
015200     MOVE ZERO                   TO MBD100WS-FIELD-CODE.
015300     SET SS95WS-FUNCTION-INITIALIZE
015400                                 TO TRUE.
015500     PERFORM SS95PD-NAP-ROUTINE
015600        THRU SS95PD-NAP-EXIT.
015700*
015800*
015900     PERFORM Z000-GET-CONTROL-OPTION
016000        THRU Z099-GCO-EXIT.
016100*
016200     MOVE 'O1L1'                 TO SS02WS-ABEND-LOCATION.
016300     SET MTL1RB-OPEN-INPUT       TO TRUE.
016400     PERFORM MB00PD-MTL1-ACCESS
016500        THRU MB00PD-MTL1-ACCESS-EXIT.
016600*
016700     MOVE 'O1C1'                 TO SS02WS-ABEND-LOCATION.
016800     SET MTC1RB-OPEN-OUTPUT      TO TRUE.
016900     PERFORM MB00PD-MTC1-ACCESS
017000        THRU MB00PD-MTC1-ACCESS-EXIT.
017100*
017200     MOVE 'O1C2'                 TO SS02WS-ABEND-LOCATION.
017300     SET MTC2RB-OPEN-OUTPUT      TO TRUE.
017400     PERFORM MB00PD-MTC2-ACCESS
017500        THRU MB00PD-MTC2-ACCESS-EXIT.
017600*
017700     MOVE 'O'                    TO MBD100WS-FUNCTION.
017800*
017900     PERFORM X000-CALL-MBD100SC
018000        THRU X009-C-SC-EXIT.
018100*
018200     MOVE 'R'                    TO MBD100WS-FUNCTION.
018300*
018400     PERFORM X000-CALL-MBD100SC
018500        THRU X009-C-SC-EXIT.
018600*
018700     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
018800     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
018900     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
019000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
019100        THRU SS26PD-NED-EXIT.
019200     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
019300*
019400     MOVE 'O'                    TO MBD100WS-FUNCTION.
019500*
019600     PERFORM X010-CALL-MBD100SS
019700        THRU X019-C-SS-EXIT.
019800*
019900     PERFORM X020-CALL-MBD100OC
020000        THRU X029-C-OC-EXIT.
020100*
020200     PERFORM X030-CALL-MBD100BC
020300        THRU X039-C-BC-EXIT.
020400*
020500     PERFORM X040-CALL-MBD100CT
020600        THRU X049-C-CT-EXIT.
020700*
020800     PERFORM X050-CALL-MBD100EF
020900        THRU X059-C-EF-EXIT.
021000*
021100     PERFORM X060-CALL-MBD100EX
021200        THRU X069-C-EX-EXIT.
021300*
021400     PERFORM X070-CALL-MBD100FP
021500        THRU X079-C-FP-EXIT.
021600*
021700     PERFORM X080-CALL-MBD100FS
021800        THRU X089-C-FS-EXIT.
021900*
022000     PERFORM X090-CALL-MBD100GD
022100        THRU X099-C-GD-EXIT.
022200*
022300     PERFORM X100-CALL-MBD100IC
022400        THRU X109-C-IC-EXIT.
022500*
022600     PERFORM X110-CALL-MBD100IF
022700        THRU X119-C-IF-EXIT.
022800*
022900     PERFORM X120-CALL-MBD100MM
023000        THRU X129-C-MM-EXIT.
023100*
023200     PERFORM X130-CALL-MBD100MP
023300        THRU X139-C-MP-EXIT.
023400*
023500     PERFORM X140-CALL-MBD100PF
023600        THRU X149-C-PF-EXIT.
023700*
023800     PERFORM X150-CALL-MBD100RC
023900        THRU X159-C-RC-EXIT.
024000*
024100     PERFORM X160-CALL-MBD100RD
024200        THRU X169-C-RD-EXIT.
024300*
024400     PERFORM X170-CALL-MBD100RT
024500        THRU X179-C-RT-EXIT.
024600*
024700     PERFORM X180-CALL-MBD100SM
024800        THRU X189-C-SM-EXIT.
024900*
025000     PERFORM X190-CALL-MBD100TC
025100        THRU X199-C-TC-EXIT.
025200*
025300     PERFORM X200-CALL-MBD100TM
025400        THRU X209-C-TM-EXIT.
025500*
025600     PERFORM X210-CALL-MBD100XR
025700        THRU X219-C-XR-EXIT.
025800*
025900     PERFORM X220-CALL-MBD100XT
026000        THRU X229-C-XT-EXIT.
026100*
026200     PERFORM X230-CALL-MBD100SD
026300        THRU X239-C-SD-EXIT.
026400*
026500     PERFORM X240-CALL-MBD100SR
026600        THRU X249-C-SR-EXIT.
026700*
026800*
026900*
027000     IF  MBD100WS-UPDATE
027100         SET MBD100WS-FA-OPEN    TO TRUE
027200         PERFORM X990-CALL-MBD100FA
027300            THRU X999-C-FA-EXIT.
027400*
027500*
027600*
027700     SORT MS1S-SORT-FILE ON ASCENDING KEY MS1S-SORT-KEY-1
027800                                          MS1S-SORT-KEY-2
027900                                          MS1S-SORT-KEY-3
028000          INPUT  PROCEDURE IS B000-LOAD-LOG-FILE-SECT
028100          OUTPUT PROCEDURE IS C000-RECOVER-AND-REPORT-SECT.
028200*
028300     PERFORM SS98PD-VERIFY-SORT-RETURN
028400        THRU SS98PD-VSR-EXIT.
028500*
028600*
028700*
028800     MOVE 'C1L1'                 TO SS02WS-ABEND-LOCATION.
028900     SET MTL1RB-CLOSE            TO TRUE.
029000     PERFORM MB00PD-MTL1-ACCESS
029100        THRU MB00PD-MTL1-ACCESS-EXIT.
029200*
029300     MOVE 'C1C1'                 TO SS02WS-ABEND-LOCATION.
029400     SET MTC1RB-CLOSE            TO TRUE.
029500     PERFORM MB00PD-MTC1-ACCESS
029600        THRU MB00PD-MTC1-ACCESS-EXIT.
029700*
029800     MOVE 'C1C2'                 TO SS02WS-ABEND-LOCATION.
029900     SET MTC2RB-CLOSE            TO TRUE.
030000     PERFORM MB00PD-MTC2-ACCESS
030100        THRU MB00PD-MTC2-ACCESS-EXIT.
030200*
030300     MOVE 'C'                    TO MBD100WS-FUNCTION.
030400*
030500     PERFORM X000-CALL-MBD100SC
030600        THRU X009-C-SC-EXIT.
030700*
030800     PERFORM X010-CALL-MBD100SS
030900        THRU X019-C-SS-EXIT.
031000*
031100     PERFORM X020-CALL-MBD100OC
031200        THRU X029-C-OC-EXIT.
031300*
031400     PERFORM X030-CALL-MBD100BC
031500        THRU X039-C-BC-EXIT.
031600*
031700     PERFORM X040-CALL-MBD100CT
031800        THRU X049-C-CT-EXIT.
031900*
032000     PERFORM X050-CALL-MBD100EF
032100        THRU X059-C-EF-EXIT.
032200*
032300     PERFORM X060-CALL-MBD100EX
032400        THRU X069-C-EX-EXIT.
032500*
032600     PERFORM X070-CALL-MBD100FP
032700        THRU X079-C-FP-EXIT.
032800*
032900     PERFORM X080-CALL-MBD100FS
033000        THRU X089-C-FS-EXIT.
033100*
033200     PERFORM X090-CALL-MBD100GD
033300        THRU X099-C-GD-EXIT.
033400*
033500     PERFORM X100-CALL-MBD100IC
033600        THRU X109-C-IC-EXIT.
033700*
033800     PERFORM X110-CALL-MBD100IF
033900        THRU X119-C-IF-EXIT.
034000*
034100     PERFORM X120-CALL-MBD100MM
034200        THRU X129-C-MM-EXIT.
034300*
034400     PERFORM X130-CALL-MBD100MP
034500        THRU X139-C-MP-EXIT.
034600*
034700     PERFORM X140-CALL-MBD100PF
034800        THRU X149-C-PF-EXIT.
034900*
035000     PERFORM X150-CALL-MBD100RC
035100        THRU X159-C-RC-EXIT.
035200*
035300     PERFORM X160-CALL-MBD100RD
035400        THRU X169-C-RD-EXIT.
035500*
035600     PERFORM X170-CALL-MBD100RT
035700        THRU X179-C-RT-EXIT.
035800*
035900     PERFORM X180-CALL-MBD100SM
036000        THRU X189-C-SM-EXIT.
036100*
036200     PERFORM X190-CALL-MBD100TC
036300        THRU X199-C-TC-EXIT.
036400*
036500     PERFORM X200-CALL-MBD100TM
036600        THRU X209-C-TM-EXIT.
036700*
036800     PERFORM X210-CALL-MBD100XR
036900        THRU X219-C-XR-EXIT.
037000*
037100     PERFORM X220-CALL-MBD100XT
037200        THRU X229-C-XT-EXIT.
037300*
037400     PERFORM X230-CALL-MBD100SD
037500        THRU X239-C-SD-EXIT.
037600*
037700     PERFORM X240-CALL-MBD100SR
037800        THRU X249-C-SR-EXIT.
037900*
038000*
038100*
038200     IF  MBD100WS-UPDATE
038300         SET MBD100WS-FA-CLOSE   TO TRUE
038400         PERFORM X990-CALL-MBD100FA
038500            THRU X999-C-FA-EXIT.
038600*
038700*
038800*
038900     PERFORM MB20PD-CLOSE-PRINT-FILES
039000        THRU MB20PD-CPF-EXIT.
039100*
039200     STOP RUN.
039300*
039400 A099-ML-EXIT.
039500     EXIT.
039600/
039700 B000-LOAD-LOG-FILE-SECT SECTION.
039800 B010-LLF-BEGIN.
039900*
040000     MOVE SS02WS-END-OF-FILE     TO MTL1RB-PERM-STATUS-1.
040100*
040200     PERFORM B100-LLF-READ-LOG-FILE
040300        THRU B199-LLF-RLF-EXIT
040400        UNTIL WS-D100-LOG-AT-EOF.
040500*
040600     IF  MBD100WS-AUDIT
040700         MOVE 05                 TO WS-D100-FC-NBR
040800         PERFORM B200-LLF-LOAD-TRAILERS
040900            THRU B299-LLF-LT-EXIT
041000         GO TO B999-LLF-EXIT.
041100*
041200     PERFORM B200-LLF-LOAD-TRAILERS
041300        THRU B299-LLF-LT-EXIT
041400        VARYING WS-D100-FC-NBR FROM 1 BY 1
041500          UNTIL WS-D100-FC-NBR IS GREATER THAN 24.
041600*
041700     MOVE ZERO                   TO WS-D100-FC-NBR.
041800     PERFORM B200-LLF-LOAD-TRAILERS
041900        THRU B299-LLF-LT-EXIT.
042000*
042100     GO TO B999-LLF-EXIT.
042200*
042300*
042400*
042500 B100-LLF-READ-LOG-FILE.
042600*
042700     MOVE 'R1L1'                 TO SS02WS-ABEND-LOCATION.
042800     SET MTL1RB-READ-SEQ         TO TRUE.
042900     PERFORM MB00PD-MTL1-ACCESS
043000        THRU MB00PD-MTL1-ACCESS-EXIT.
043100*
043200     IF  SS02WS-FS-END-OF-FILE
043300         MOVE 'Y'                TO WS-D100-LOG-EOF-SW
043400         GO TO B199-LLF-RLF-EXIT.
043500*
043600     MOVE MTL1IO-RECORD          TO MTL1-RECORD.
043700*
043800     MOVE LENGTH OF MTL1-SORT-KEY-1
043900                                 TO WS-D100-LEN.
044000     SUBTRACT 8                FROM WS-D100-LEN.
044100     MOVE 3                      TO WS-D100-BEG.
044200*
044300     EVALUATE TRUE
044400         WHEN MTL1-FILE-IS-MMSC
044500             MOVE LENGTH OF MTL1-MMSC-KEY
044600                                 TO WS-D100-BEG
044700         WHEN MTL1-FILE-IS-MMSS
044800             MOVE LENGTH OF MTL1-MMSS-KEY
044900                                 TO WS-D100-BEG
045000         WHEN MTL1-FILE-IS-MMOC
045100             MOVE LENGTH OF MTL1-MMOC-KEY
045200                                 TO WS-D100-BEG
045300         WHEN MTL1-FILE-IS-MMBC
045400             MOVE LENGTH OF MTL1-MMBC-KEY
045500                                 TO WS-D100-BEG
045600         WHEN MTL1-FILE-IS-MMCT
045700             MOVE LENGTH OF MTL1-MMCT-KEY
045800                                 TO WS-D100-BEG
045900         WHEN MTL1-FILE-IS-MMEF
046000             MOVE LENGTH OF MTL1-MMEF-KEY
046100                                 TO WS-D100-BEG
046200         WHEN MTL1-FILE-IS-MMEX
046300             MOVE LENGTH OF MTL1-MMEX-KEY
046400                                 TO WS-D100-BEG
046500         WHEN MTL1-FILE-IS-MMFP
046600             MOVE LENGTH OF MTL1-MMFP-KEY
046700                                 TO WS-D100-BEG
046800         WHEN MTL1-FILE-IS-MMFS
046900             MOVE LENGTH OF MTL1-MMFS-KEY
047000                                 TO WS-D100-BEG
047100         WHEN MTL1-FILE-IS-MMGD
047200             MOVE LENGTH OF MTL1-MMGD-KEY
047300                                 TO WS-D100-BEG
047400         WHEN MTL1-FILE-IS-MMIC
047500             MOVE LENGTH OF MTL1-MMIC-KEY
047600                                 TO WS-D100-BEG
047700         WHEN MTL1-FILE-IS-MMIF
047800             MOVE LENGTH OF MTL1-MMIF-KEY
047900                                 TO WS-D100-BEG
048000         WHEN MTL1-FILE-IS-MMMM
048100             MOVE LENGTH OF MTL1-MMMM-KEY
048200                                 TO WS-D100-BEG
048300             ADD  1              TO WS-D100-BEG
048400         WHEN MTL1-FILE-IS-MMMP
048500             MOVE LENGTH OF MTL1-MMMP-KEY
048600                                 TO WS-D100-BEG
048700             ADD  1              TO WS-D100-BEG
048800         WHEN MTL1-FILE-IS-MMPF
048900             MOVE LENGTH OF MTL1-MMPF-KEY
049000                                 TO WS-D100-BEG
049100         WHEN MTL1-FILE-IS-MMRC
049200             MOVE LENGTH OF MTL1-MMRC-KEY
049300                                 TO WS-D100-BEG
049400         WHEN MTL1-FILE-IS-MMRD
049500             MOVE LENGTH OF MTL1-MMRD-KEY
049600                                 TO WS-D100-BEG
049700         WHEN MTL1-FILE-IS-MMRT
049800             MOVE LENGTH OF MTL1-MMRT-KEY
049900                                 TO WS-D100-BEG
050000         WHEN MTL1-FILE-IS-MMSM
050100             MOVE LENGTH OF MTL1-MMSM-KEY
050200                                 TO WS-D100-BEG
050300             ADD  1              TO WS-D100-BEG
050400         WHEN MTL1-FILE-IS-MMTC
050500             MOVE LENGTH OF MTL1-MMTC-KEY
050600                                 TO WS-D100-BEG
050700         WHEN MTL1-FILE-IS-MMTM
050800             MOVE LENGTH OF MTL1-MMTM-KEY
050900                                 TO WS-D100-BEG
051000             ADD  1              TO WS-D100-BEG
051100         WHEN MTL1-FILE-IS-MMXR
051200             MOVE LENGTH OF MTL1-MMXR-KEY
051300                                 TO WS-D100-BEG
051400         WHEN MTL1-FILE-IS-MMXT
051500             MOVE LENGTH OF MTL1-MMXT-KEY
051600                                 TO WS-D100-BEG
051700         WHEN MTL1-FILE-IS-MMSD
051800             MOVE LENGTH OF MTL1-MMSD-KEY
051900                                 TO WS-D100-BEG
052000         WHEN MTL1-FILE-IS-MMSR
052100             MOVE LENGTH OF MTL1-MMSR-KEY
052200                                 TO WS-D100-BEG
052300     END-EVALUATE.
052400*
052500     SUBTRACT WS-D100-BEG      FROM WS-D100-LEN.
052600*
052700     ADD  3                      TO WS-D100-BEG.
052800*
052900     IF  MBD100WS-AUDIT
053000         EVALUATE TRUE
053100             WHEN MTL1-FILE-IS-MMMM
053200                 IF  MTL1-MMMM-AUDIT-REPORT
053300                     MOVE '12'   TO MTL1-FILE-CODE
053400                 END-IF
053500             WHEN MTL1-FILE-IS-MMSM
053600                 IF  MTL1-MMMM-AUDIT-REPORT
053700                     MOVE '18'   TO MTL1-FILE-CODE
053800                 END-IF
053900         END-EVALUATE
054000     ELSE
054100         EVALUATE TRUE
054200             WHEN MTL1-FILE-IS-MMMM
054300                 MOVE SPACES     TO MTL1-MMMM-AUDIT-CODE
054400             WHEN MTL1-FILE-IS-MMMP
054500                 MOVE SPACES     TO MTL1-MMMP-AUDIT-CODE
054600             WHEN MTL1-FILE-IS-MMSM
054700                 MOVE SPACES     TO MTL1-MMSM-AUDIT-CODE
054800             WHEN MTL1-FILE-IS-MMTM
054900                 MOVE SPACES     TO MTL1-MMTM-AUDIT-CODE
055000         END-EVALUATE
055100         EVALUATE TRUE
055200             WHEN MTL1-FILE-IS-MMSC
055300                 MOVE '00'       TO MTL1-FILE-CODE
055400             WHEN MTL1-FILE-IS-MMSS
055500                 MOVE '01'       TO MTL1-FILE-CODE
055600             WHEN MTL1-FILE-IS-MMOC
055700                 MOVE '02'       TO MTL1-FILE-CODE
055800             WHEN MTL1-FILE-IS-MMBC
055900                 MOVE '03'       TO MTL1-FILE-CODE
056000             WHEN MTL1-FILE-IS-MMCT
056100                 MOVE '04'       TO MTL1-FILE-CODE
056200             WHEN MTL1-FILE-IS-MMEF
056300                 MOVE '05'       TO MTL1-FILE-CODE
056400             WHEN MTL1-FILE-IS-MMEX
056500                 MOVE '06'       TO MTL1-FILE-CODE
056600             WHEN MTL1-FILE-IS-MMFP
056700                 MOVE '07'       TO MTL1-FILE-CODE
056800             WHEN MTL1-FILE-IS-MMFS
056900                 MOVE '08'       TO MTL1-FILE-CODE
057000             WHEN MTL1-FILE-IS-MMGD
057100                 MOVE '09'       TO MTL1-FILE-CODE
057200             WHEN MTL1-FILE-IS-MMIC
057300                 MOVE '10'       TO MTL1-FILE-CODE
057400             WHEN MTL1-FILE-IS-MMIF
057500                 MOVE '11'       TO MTL1-FILE-CODE
057600             WHEN MTL1-FILE-IS-MMMM
057700                 MOVE '12'       TO MTL1-FILE-CODE
057800             WHEN MTL1-FILE-IS-MMMP
057900                 MOVE '13'       TO MTL1-FILE-CODE
058000             WHEN MTL1-FILE-IS-MMPF
058100                 MOVE '14'       TO MTL1-FILE-CODE
058200             WHEN MTL1-FILE-IS-MMRC
058300                 MOVE '15'       TO MTL1-FILE-CODE
058400             WHEN MTL1-FILE-IS-MMRD
058500                 MOVE '16'       TO MTL1-FILE-CODE
058600             WHEN MTL1-FILE-IS-MMRT
058700                 MOVE '17'       TO MTL1-FILE-CODE
058800             WHEN MTL1-FILE-IS-MMSM
058900                 MOVE '18'       TO MTL1-FILE-CODE
059000             WHEN MTL1-FILE-IS-MMTC
059100                 MOVE '19'       TO MTL1-FILE-CODE
059200             WHEN MTL1-FILE-IS-MMTM
059300                 MOVE '20'       TO MTL1-FILE-CODE
059400             WHEN MTL1-FILE-IS-MMXR
059500                 MOVE '21'       TO MTL1-FILE-CODE
059600             WHEN MTL1-FILE-IS-MMXT
059700                 MOVE '22'       TO MTL1-FILE-CODE
059800             WHEN MTL1-FILE-IS-MMSD
059900                 MOVE '23'       TO MTL1-FILE-CODE
060000             WHEN MTL1-FILE-IS-MMSR
060100                 MOVE '24'       TO MTL1-FILE-CODE
060200         END-EVALUATE.
060300*
060400     IF  MTL1-FILE-TRANSLATED-MBD100
060500         MOVE MTL1-RECORD        TO MML1-RECORD
060600*****    DISPLAY 'FILE=' MTL1-FILE-CODE
060700*****            ' BEG=' WS-D100-BEG
060800*****            ' LEN=' WS-D100-LEN
060900         MOVE LOW-VALUES         TO MS1S-SORT-KEY-1
061000                                    (WS-D100-BEG:WS-D100-LEN)
061100         PERFORM B800-LLF-RELEASE-SORT
061200            THRU B899-LLF-RS-EXIT.
061300*
061400 B199-LLF-RLF-EXIT.
061500     EXIT.
061600*
061700*
061800*
061900 B200-LLF-LOAD-TRAILERS.
062000*
062100     MOVE LOW-VALUES             TO MML1-RECORD.
062200     MOVE ZERO                   TO MML1-DATE-STAMP.
062300     MOVE HIGH-VALUES            TO MML1-FILE-KEY-AREA.
062400     MOVE 999                    TO MML1-ORG.
062500     MOVE WS-D100-FILE-CODE      TO MML1-FILE-CODE.
062600*
062700     PERFORM B800-LLF-RELEASE-SORT
062800        THRU B899-LLF-RS-EXIT.
062900*
063000 B299-LLF-LT-EXIT.
063100     EXIT.
063200*
063300*
063400*
063500 B800-LLF-RELEASE-SORT.
063600*
063700     MOVE MML1-VARIABLE-LENGTH   TO MS1S-LENGTH.
063800*
063900     RELEASE MS1S-SORT-RECORD.
064000*
064100 B899-LLF-RS-EXIT.
064200     EXIT.
064300*
064400*
064500*
064600 B999-LLF-EXIT.
064700     EXIT.
064800/
064900 C000-RECOVER-AND-REPORT-SECT SECTION.
065000 C010-RAR-BEGIN.
065100*
065200     MOVE 999                    TO MMOC-ORG.
065300     MOVE ZERO                   TO MTL1-ORG.
065400     SET MTL1-FILE-IS-MMSC       TO TRUE.
065500     PERFORM C700-RAR-SET-HEADINGS
065600        THRU C799-RAR-SH-EXIT.
065700*
065800     PERFORM C100-RAR-RETURN-SORT
065900        THRU C199-RAR-RS-EXIT
066000        UNTIL WS-D100-SORT-AT-EOF.
066100*
066200     GO TO C999-RAR-EXIT.
066300*
066400*
066500*
066600 C100-RAR-RETURN-SORT.
066700*
066800     RETURN MS1S-SORT-FILE INTO MTL1-RECORD
066900         AT END
067000             MOVE 'Y'            TO WS-D100-SORT-EOF-SW
067100             GO TO C199-RAR-RS-EXIT.
067200*
067300     IF  MTL1-TOTALS-RECORD
067400         PERFORM C600-RAR-PROCESS-LOG-FILE
067500            THRU C699-RAR-PLF-EXIT
067600         PERFORM C800-RAR-REPORT-TOTALS
067700            THRU C899-RAR-RT-EXIT
067800         MOVE 999                TO MMOC-ORG
067900         GO TO C199-RAR-RS-EXIT.
068000*
068100     IF  MTL1-ORG-X IS NOT EQUAL TO MMOC-ORG-X
068200         PERFORM C800-RAR-REPORT-TOTALS
068300            THRU C899-RAR-RT-EXIT
068400         MOVE 'R'                TO MBD100WS-FUNCTION
068500         PERFORM X020-CALL-MBD100OC
068600            THRU X029-C-OC-EXIT
068700         PERFORM C700-RAR-SET-HEADINGS
068800            THRU C799-RAR-SH-EXIT.
068900*
069000     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
069100*
069200     ADD 1                       TO WS-D100-TOT-RECS.
069300*
069400     IF  MBD100WS-FC-1-2-ADD
069500     AND MBD100WS-FC-3-4-ADD
069600         ADD 1                   TO WS-D100-TOT-ADD
069700     ELSE
069800         IF  MBD100WS-FC-1-2-REP
069900         AND MBD100WS-FC-3-4-REP
070000             ADD 1               TO WS-D100-TOT-REP
070100         ELSE
070200             ADD 1               TO WS-D100-TOT-MAINT.
070300*
070400     PERFORM C600-RAR-PROCESS-LOG-FILE
070500        THRU C699-RAR-PLF-EXIT.
070600*
070700     MOVE 'FROM='                TO MBD100WS-PL1-FROM.
070800     MOVE MTL1-FIELD-CODE        TO MBD100WS-PL1-FC.
070900     MOVE MTL1-SIGNON-NAME       TO MBD100WS-PL1-SEC-NAME.
071000     MOVE '  TO='                TO MBD100WS-PL2-TO.
071100     MOVE MTL1-DATE-STAMP        TO SS01WS-JULIAN.
071200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
071300        THRU SS26PD-NED-EXIT.
071400     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-DTS-DATE.
071500     COMPUTE SS01WS-TIME-HHMMSS  =  MTL1-TIME-STAMP / 100.
071600     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
071700        THRU SS27PD-NET-EXIT.
071800     MOVE SS01WS-HH-MM           TO MBD100WS-PL2-DTS-TIME.
071900     MOVE MTL1-TERMINAL-ID       TO MBD100WS-PL2-DTS-TERM-ID.
072000     MOVE MTL1-FIELD-SECURITY    TO MBD100WS-PL2-DTS-FS.
072100*
072200     IF  MTL1-FIELD-OCCURRENCE IS NOT EQUAL TO ZERO
072300         MOVE MTL1-FIELD-OCCURRENCE
072400                                 TO MBD100WS-PL1-FI-1.
072500*
072600     IF  MTL1-FIELD-OCCURRENCE-2 IS NOT EQUAL TO ZERO
072700         MOVE MTL1-FIELD-OCCURRENCE-2
072800                                 TO MBD100WS-PL2-FI-2.
072900*
073000     MOVE MBD100WS-PRINT-LINE-1  TO MB20WS-PRINT-LINE.
073100     PERFORM MB20PD-PRINT-1-LINE
073200        THRU MB20PD-P1L-EXIT.
073300*
073400     MOVE MBD100WS-PRINT-LINE-2  TO MB20WS-PRINT-LINE.
073500     PERFORM MB20PD-PRINT-2-LINES
073600        THRU MB20PD-P2L-EXIT.
073700*
073800     MOVE SPACES                 TO MBD100WS-PRINT-LINE-1.
073900     MOVE SPACES                 TO MBD100WS-PRINT-LINE-2.
074000*
074100 C199-RAR-RS-EXIT.
074200     EXIT.
074300/
074400 C600-RAR-PROCESS-LOG-FILE.
074500*
074600     MOVE 'P'                    TO MBD100WS-FUNCTION.
074700*
074800     EVALUATE TRUE
074900         WHEN MTL1-FILE-IS-MMSC
075000             PERFORM X000-CALL-MBD100SC
075100                THRU X009-C-SC-EXIT
075200         WHEN MTL1-FILE-IS-MMSS
075300             PERFORM X010-CALL-MBD100SS
075400                THRU X019-C-SS-EXIT
075500         WHEN MTL1-FILE-IS-MMOC
075600             PERFORM X020-CALL-MBD100OC
075700                THRU X029-C-OC-EXIT
075800         WHEN MTL1-FILE-IS-MMBC
075900             PERFORM X030-CALL-MBD100BC
076000                THRU X039-C-BC-EXIT
076100         WHEN MTL1-FILE-IS-MMCT
076200             PERFORM X040-CALL-MBD100CT
076300                THRU X049-C-CT-EXIT
076400         WHEN MTL1-FILE-IS-MMEF
076500             PERFORM X050-CALL-MBD100EF
076600                THRU X059-C-EF-EXIT
076700         WHEN MTL1-FILE-IS-MMEX
076800             PERFORM X060-CALL-MBD100EX
076900                THRU X069-C-EX-EXIT
077000         WHEN MTL1-FILE-IS-MMFP
077100             PERFORM X070-CALL-MBD100FP
077200                THRU X079-C-FP-EXIT
077300         WHEN MTL1-FILE-IS-MMFS
077400             PERFORM X080-CALL-MBD100FS
077500                THRU X089-C-FS-EXIT
077600         WHEN MTL1-FILE-IS-MMGD
077700             PERFORM X090-CALL-MBD100GD
077800                THRU X099-C-GD-EXIT
077900         WHEN MTL1-FILE-IS-MMIC
078000             PERFORM X100-CALL-MBD100IC
078100                THRU X109-C-IC-EXIT
078200         WHEN MTL1-FILE-IS-MMIF
078300             PERFORM X110-CALL-MBD100IF
078400                THRU X119-C-IF-EXIT
078500         WHEN MTL1-FILE-IS-MMMM
078600             PERFORM X120-CALL-MBD100MM
078700                THRU X129-C-MM-EXIT
078800             EVALUATE TRUE
078900                 WHEN MTL1-TOTALS-RECORD
079000                     CONTINUE
079100                 WHEN MBD100WS-UPDATE
079200                     IF  MTL1-FIELD-CODE IS EQUAL TO ZERO
079300                     OR  MTL1-FIELD-CODE IS EQUAL TO 0100
079400                         SET MBD100WS-FA-ADD-RECORD
079500                                 TO TRUE
079600                         PERFORM X990-CALL-MBD100FA
079700                            THRU X999-C-FA-EXIT
079800                     END-IF
079900             END-EVALUATE
080000         WHEN MTL1-FILE-IS-MMMP
080100             PERFORM X130-CALL-MBD100MP
080200                THRU X139-C-MP-EXIT
080300         WHEN MTL1-FILE-IS-MMPF
080400             PERFORM X140-CALL-MBD100PF
080500                THRU X149-C-PF-EXIT
080600         WHEN MTL1-FILE-IS-MMRC
080700             PERFORM X150-CALL-MBD100RC
080800                THRU X159-C-RC-EXIT
080900         WHEN MTL1-FILE-IS-MMRD
081000             PERFORM X160-CALL-MBD100RD
081100                THRU X169-C-RD-EXIT
081200         WHEN MTL1-FILE-IS-MMRT
081300             PERFORM X170-CALL-MBD100RT
081400                THRU X179-C-RT-EXIT
081500         WHEN MTL1-FILE-IS-MMSM
081600             PERFORM X180-CALL-MBD100SM
081700                THRU X189-C-SM-EXIT
081800         WHEN MTL1-FILE-IS-MMTC
081900             PERFORM X190-CALL-MBD100TC
082000                THRU X199-C-TC-EXIT
082100         WHEN MTL1-FILE-IS-MMTM
082200             PERFORM X200-CALL-MBD100TM
082300                THRU X209-C-TM-EXIT
082400         WHEN MTL1-FILE-IS-MMXR
082500             PERFORM X210-CALL-MBD100XR
082600                THRU X219-C-XR-EXIT
082700         WHEN MTL1-FILE-IS-MMXT
082800             PERFORM X220-CALL-MBD100XT
082900                THRU X229-C-XT-EXIT
083000         WHEN MTL1-FILE-IS-MMSD
083100             PERFORM X230-CALL-MBD100SD
083200                THRU X239-C-SD-EXIT
083300         WHEN MTL1-FILE-IS-MMSR
083400             PERFORM X240-CALL-MBD100SR
083500                THRU X249-C-SR-EXIT
083600     END-EVALUATE.
083700*
083800     IF  MTC1-RECORD IS NOT EQUAL TO SPACES
083900         MOVE MTC1-RECORD        TO MTC1IO-RECORD
084000         MOVE 'W1C1'             TO SS02WS-ABEND-LOCATION
084100         SET MTC1RB-WRITE        TO TRUE
084200         PERFORM MB00PD-MTC1-ACCESS
084300            THRU MB00PD-MTC1-ACCESS-EXIT
084400         MOVE SPACES             TO MTC1-RECORD.
084500*
084600     IF  MTC2-RECORD IS NOT EQUAL TO SPACES
084700         MOVE MTC2-RECORD        TO MTC2IO-RECORD
084800         MOVE 'W1C2'             TO SS02WS-ABEND-LOCATION
084900         SET MTC2RB-WRITE        TO TRUE
085000         PERFORM MB00PD-MTC2-ACCESS
085100            THRU MB00PD-MTC2-ACCESS-EXIT
085200         MOVE SPACES             TO MTC2-RECORD.
085300*
085400 C699-RAR-PLF-EXIT.
085500     EXIT.
085600/
085700 C700-RAR-SET-HEADINGS.
085800*
085900     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
086000     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
086100*
086200     IF  MTL1-FILE-IS-MMSC
086300     OR  MTL1-FILE-IS-MMSS
086400         MOVE MMSC-ORG           TO MB20WS-SH-ORG
086500         MOVE MMSC-PROC-CENTER-ID
086600                                 TO MB20WS-SH-ORG-NAME
086700         MOVE MMSC-LINES-PER-PAGE
086800                                 TO MB20WS-LINES-PER-PAGE
086900         MOVE '                      '
087000                                 TO WS-D100-H1-1-22
087100         MOVE '                      '
087200                                 TO WS-D100-H2-1-22
087300         MOVE 'MB000000'         TO MB20WS-SH-RPT-ID
087400         MOVE 'S100'             TO MB20WS-SH-INTERNAL-RPT-ID
087500         MOVE '  SYSTEM RECORD MAINTENANCE   '
087600                                 TO MB20WS-SH-RPT-NAME
087700         EVALUATE TRUE
087800             WHEN MTL1-FILE-IS-MMSS
087900                 MOVE '                      '
088000                                 TO WS-D100-H1-1-22
088100                 MOVE ' SEQ                  '
088200                                 TO WS-D100-H2-1-22
088300                 MOVE 'MB000000' TO MB20WS-SH-RPT-ID
088400                 MOVE 'S101'     TO MB20WS-SH-INTERNAL-RPT-ID
088500                 MOVE 'SYSTEM SOURCE DEFINITION MAINT'
088600                                 TO MB20WS-SH-RPT-NAME
088700         END-EVALUATE
088800         MOVE MMSC-FORM          TO MB20WS-FORM-CODE
088900         MOVE MMSC-FICHE-FLAG    TO MB20WS-FICHE-CODE
089000         MOVE SPACES             TO MB20WS-SH-DEST-ID
089100         MOVE SPACES             TO MB20WS-SH-DEST-DESC
089200         MOVE SPACES             TO MB20WS-SH-LIT-5
089300         MOVE WS-D100-HEADING-1  TO MB20WS-SH-L5
089400         MOVE WS-D100-HEADING-2  TO MB20WS-SH-L6
089500         GO TO C799-RAR-SH-EXIT.
089600*
089700     MOVE MMOC-ORG               TO MB20WS-SH-ORG.
089800     MOVE MMOC-NA-LINE (1 1)     TO MB20WS-SH-ORG-NAME.
089900     MOVE MMOC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
090000*
090100     SET X-MMOC-OR               TO 61.
090200     MOVE 'ORG                   '
090300                                 TO WS-D100-H1-1-22.
090400     MOVE 'NBR                   '
090500                                 TO WS-D100-H2-1-22.
090600*
090700     IF  MTL1-FILE-IS-MMOC
090800         MOVE 'ORG                   '
090900                                 TO WS-D100-H1-1-22
091000         MOVE 'NBR                   '
091100                                 TO WS-D100-H2-1-22
091200         SET X-MMOC-OR           TO 73.
091300*
091400     IF  MTL1-FILE-IS-MMBC
091500         MOVE '  INSERT              '
091600                                 TO WS-D100-H1-1-22
091700         MOVE '  NUMBER              '
091800                                 TO WS-D100-H2-1-22
091900         SET X-MMOC-OR           TO 62.
092000*
092100     IF  MTL1-FILE-IS-MMCT
092200         MOVE '                      '
092300                                 TO WS-D100-H1-1-22
092400         MOVE ' SEQ                  '
092500                                 TO WS-D100-H2-1-22
092600         SET X-MMOC-OR           TO 63.
092700*
092800     IF  MTL1-FILE-IS-MMEF
092900         MOVE '  TABLE               '
093000                                 TO WS-D100-H1-1-22
093100         MOVE ' NUMBER               '
093200                                 TO WS-D100-H2-1-22
093300         SET X-MMOC-OR           TO 64.
093400*
093500     IF  MTL1-FILE-IS-MMEX
093600         MOVE 'REQUEST               '
093700                                 TO WS-D100-H1-1-22
093800         MOVE ' NUMBER               '
093900                                 TO WS-D100-H2-1-22
094000         SET X-MMOC-OR           TO 65.
094100*
094200     IF  MTL1-FILE-IS-MMFP
094300         MOVE '  TABLE               '
094400                                 TO WS-D100-H1-1-22
094500         MOVE ' NUMBER               '
094600                                 TO WS-D100-H2-1-22
094700         SET X-MMOC-OR           TO 66.
094800*
094900     IF  MTL1-FILE-IS-MMFS
095000         MOVE '    FS                '
095100                                 TO WS-D100-H1-1-22
095200         MOVE '   CODE               '
095300                                 TO WS-D100-H2-1-22
095400         SET X-MMOC-OR           TO 67.
095500*
095600     IF  MTL1-FILE-IS-MMGD
095700         MOVE '                      '
095800                                 TO WS-D100-H1-1-22
095900         MOVE '                      '
096000                                 TO WS-D100-H2-1-22
096100         SET X-MMOC-OR           TO 68.
096200*
096300     IF  MTL1-FILE-IS-MMIC
096400         MOVE ' MERCHANT             '
096500                                 TO WS-D100-H1-1-22
096600         MOVE 'OR  STORE             '
096700                                 TO WS-D100-H2-1-22
096800         SET X-MMOC-OR           TO 69.
096900*
097000     IF  MTL1-FILE-IS-MMIF
097100         MOVE '  TABLE               '
097200                                 TO WS-D100-H1-1-22
097300         MOVE ' NUMBER               '
097400                                 TO WS-D100-H2-1-22
097500         SET X-MMOC-OR           TO 70.
097600*
097700     IF  MTL1-FILE-IS-MMMM
097800         MOVE ' MERCHANT             '
097900                                 TO WS-D100-H1-1-22
098000         MOVE '  NUMBER              '
098100                                 TO WS-D100-H2-1-22
098200         SET X-MMOC-OR           TO 71
098300         IF  MBD100WS-AUDIT
098400             SET X-MMOC-OR       TO 61.                           FX800045
098500*
098600     IF  MTL1-FILE-IS-MMMP
098700         MOVE ' MERCHANT  PROD       '
098800                                 TO WS-D100-H1-1-22
098900         MOVE '  NUMBER   CODE       '
099000                                 TO WS-D100-H2-1-22
099100         SET X-MMOC-OR           TO 72
099200         IF  MBD100WS-AUDIT
099300             SET X-MMOC-OR       TO 61.                           FX800045
099400*
099500     IF  MTL1-FILE-IS-MMPF
099600         MOVE ' MERCHANT             '
099700                                 TO WS-D100-H1-1-22
099800         MOVE 'OR  STORE  TYPE       '
099900                                 TO WS-D100-H2-1-22
100000         SET X-MMOC-OR           TO 74.
100100*
100200     IF  MTL1-FILE-IS-MMRC
100300         MOVE '  CHAIN               '
100400                                 TO WS-D100-H1-1-22
100500         MOVE ' NUMBER               '
100600                                 TO WS-D100-H2-1-22
100700         SET X-MMOC-OR           TO 75.
100800*
100900     IF  MTL1-FILE-IS-MMRD
101000         MOVE '  CHAIN               '
101100                                 TO WS-D100-H1-1-22
101200         MOVE ' NUMBER    SEQ        '
101300                                 TO WS-D100-H2-1-22
101400         SET X-MMOC-OR           TO 76.
101500*
101600     IF  MTL1-FILE-IS-MMRT
101700         MOVE '  TABLE               '
101800                                 TO WS-D100-H1-1-22
101900         MOVE ' NUMBER    TYPE       '
102000                                 TO WS-D100-H2-1-22
102100         SET X-MMOC-OR           TO 77.
102200*
102300     IF  MTL1-FILE-IS-MMSM
102400         MOVE '  STORE               '
102500                                 TO WS-D100-H1-1-22
102600         MOVE ' NUMBER               '
102700                                 TO WS-D100-H2-1-22
102800         SET X-MMOC-OR           TO 78
102900         IF  MBD100WS-AUDIT
103000             SET X-MMOC-OR       TO 61.                           FX800045
103100*
103200     IF  MTL1-FILE-IS-MMTC
103300         MOVE 'T/C                   '
103400                                 TO WS-D100-H1-1-22
103500         MOVE 'NBR                   '
103600                                 TO WS-D100-H2-1-22
103700         SET X-MMOC-OR           TO 79.
103800*
103900     IF  MTL1-FILE-IS-MMXR
104000         MOVE 'MERCHANT     STORE    '
104100                                 TO WS-D100-H1-1-22
104200         MOVE ' NUMBER     NUMBER    '
104300                                 TO WS-D100-H2-1-22
104400         SET X-MMOC-OR           TO 80.
104500*
104600     IF  MTL1-FILE-IS-MMTM
104700         MOVE 'MERCHANT              '
104800                                 TO WS-D100-H1-1-22
104900         MOVE ' NUMBER               '
105000                                 TO WS-D100-H2-1-22
105100         SET X-MMOC-OR           TO 82.
105200*
105300     IF  MTL1-FILE-IS-MMXT
105400         MOVE '                      '
105500                                 TO WS-D100-H1-1-22
105600         MOVE '                      '
105700                                 TO WS-D100-H2-1-22
105800         SET X-MMOC-OR           TO 81.
105900*
106000     IF  MTL1-FILE-IS-MMSR
106100         MOVE '  CHAIN               '
106200                                 TO WS-D100-H1-1-22
106300         MOVE ' NUMBER               '
106400                                 TO WS-D100-H2-1-22
106500         SET X-MMOC-OR           TO 84.
106600*
106700     IF  MTL1-FILE-IS-MMSD
106800         MOVE '  CHAIN               '
106900                                 TO WS-D100-H1-1-22
107000         MOVE ' NUMBER    SEQ        '
107100                                 TO WS-D100-H2-1-22
107200         SET X-MMOC-OR           TO 83.
107300*
107400     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
107500     MOVE MMOC-OR-FORM-1    (X-MMOC-OR)
107600                                 TO MB20WS-FORM-CODE.
107700     MOVE MMOC-OR-FICHE-FLAG    (X-MMOC-OR)
107800                                 TO MB20WS-FICHE-CODE.
107900     MOVE MMOC-OR-REPORT-ID    (X-MMOC-OR)
108000                                 TO MB20WS-SH-RPT-ID.
108100     SET WS-D100-IRD-NBR         TO X-MMOC-OR.
108200     MOVE WS-D100-INTERNAL-RPT-ID
108300                                 TO MB20WS-SH-INTERNAL-RPT-ID.
108400     MOVE MMOC-OR-RPT-TITLE    (X-MMOC-OR)
108500                                 TO MB20WS-SH-RPT-NAME.
108600     MOVE MMOC-OR-REPORT-DEST-ID    (X-MMOC-OR)
108700                                 TO MB20WS-SH-DEST-ID.
108800     MOVE SPACES                 TO MB20WS-SH-DEST-DESC.
108900     MOVE ' - '                  TO MB20WS-SH-LIT-5.
109000*
109100     SET X-MMOC-RDEST            TO 1.
109200     SEARCH MMOC-REPORT-DESTINATION    VARYING X-MMOC-RDEST
109300         AT END
109400             SET X-MMOC-RDEST    TO 1
109500         WHEN MMOC-REPORT-DEST-ID    (X-MMOC-RDEST)
109600                                 IS EQUAL TO
109700              MMOC-OR-REPORT-DEST-ID    (X-MMOC-OR)
109800              MOVE MMOC-REPORT-DEST-DESC    (X-MMOC-RDEST)
109900                                 TO MB20WS-SH-DEST-DESC.
110000*
110100     MOVE WS-D100-HEADING-1      TO MB20WS-SH-L5.
110200     MOVE WS-D100-HEADING-2      TO MB20WS-SH-L6.
110300*
110400 C799-RAR-SH-EXIT.
110500     EXIT.
110600/
110700 C800-RAR-REPORT-TOTALS.
110800*
110900     IF  WS-D100-TOT-RECS  IS EQUAL TO ZERO
111000     AND WS-D100-TOT-ADD   IS EQUAL TO ZERO
111100     AND WS-D100-TOT-REP   IS EQUAL TO ZERO
111200     AND WS-D100-TOT-MAINT IS EQUAL TO ZERO
111300         GO TO C899-RAR-RT-EXIT.
111400*
111500     COMPUTE MB20WS-LINES-REMAINING
111600                                 =  MB20WS-LINE-LIMIT
111700                                 -  MB20WS-LINE-COUNT.
111800*
111900     IF  MB20WS-LINES-REMAINING IS LESS THAN 6
112000         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
112100*
112200     MOVE SPACES                 TO MB20WS-PRINT-LINE.
112300     PERFORM MB20PD-PRINT-2-LINES
112400        THRU MB20PD-P2L-EXIT.
112500*
112600     MOVE 'ADD RECORDS'          TO WS-D100-TL-LIT.
112700     MOVE WS-D100-TOT-ADD        TO SS95WS-IN-NBR.
112800     PERFORM SS95PD-NAP-ROUTINE
112900        THRU SS95PD-NAP-EXIT.
113000     MOVE SS95WS-OUT-NBR-L12     TO WS-D100-TL-NBR.
113100     PERFORM MB20PD-PRINT-1-LINE
113200        THRU MB20PD-P1L-EXIT.
113300*
113400     MOVE 'REPLACEMENT RECORDS'  TO WS-D100-TL-LIT.
113500     MOVE WS-D100-TOT-REP        TO SS95WS-IN-NBR.
113600     PERFORM SS95PD-NAP-ROUTINE
113700        THRU SS95PD-NAP-EXIT.
113800     MOVE SS95WS-OUT-NBR-L12     TO WS-D100-TL-NBR.
113900     PERFORM MB20PD-PRINT-1-LINE
114000        THRU MB20PD-P1L-EXIT.
114100*
114200     MOVE 'MAINTENANCE RECORDS'  TO WS-D100-TL-LIT.
114300     MOVE WS-D100-TOT-MAINT      TO SS95WS-IN-NBR.
114400     PERFORM SS95PD-NAP-ROUTINE
114500        THRU SS95PD-NAP-EXIT.
114600     MOVE SS95WS-OUT-NBR-L12     TO WS-D100-TL-NBR.
114700     PERFORM MB20PD-PRINT-1-LINE
114800        THRU MB20PD-P1L-EXIT.
114900*
115000     MOVE 'TOTAL RECORDS PROCESSED'
115100                                 TO WS-D100-TL-LIT.
115200     MOVE WS-D100-TOT-RECS       TO SS95WS-IN-NBR.
115300     PERFORM SS95PD-NAP-ROUTINE
115400        THRU SS95PD-NAP-EXIT.
115500     MOVE SS95WS-OUT-NBR-L12     TO WS-D100-TL-NBR.
115600     PERFORM MB20PD-PRINT-1-LINE
115700        THRU MB20PD-P1L-EXIT.
115800*
115900     MOVE ZERO                   TO WS-D100-TOT-RECS.
116000     MOVE ZERO                   TO WS-D100-TOT-ADD.
116100     MOVE ZERO                   TO WS-D100-TOT-REP.
116200     MOVE ZERO                   TO WS-D100-TOT-MAINT.
116300*
116400 C899-RAR-RT-EXIT.
116500     EXIT.
116600*
116700*
116800*
116900 C999-RAR-EXIT.
117000     EXIT.
117100/
117200 X000-CALL-MBD100SC SECTION.
117300 X001-C-SC-BEGIN.
117400*
117500     CALL MB00WS-MBD100SC        USING MBD100WS-AREA
117600                                       MMSC-RECORD
117700                                       MMOC-RECORD
117800                                       MTL1-RECORD
117900                                       MTC1-RECORD
118000                                       MTC2-RECORD.
118100*
118200 X009-C-SC-EXIT.
118300     EXIT.
118400/
118500 X010-CALL-MBD100SS SECTION.
118600 X011-C-SS-BEGIN.
118700*
118800     CALL MB00WS-MBD100SS        USING MBD100WS-AREA
118900                                       MMSC-RECORD
119000                                       MMOC-RECORD
119100                                       MTL1-RECORD
119200                                       MTC1-RECORD
119300                                       MTC2-RECORD.
119400*
119500 X019-C-SS-EXIT.
119600     EXIT.
119700/
119800 X020-CALL-MBD100OC SECTION.
119900 X021-C-OC-BEGIN.
120000*
120100     CALL MB00WS-MBD100OC        USING MBD100WS-AREA
120200                                       MMSC-RECORD
120300                                       MMOC-RECORD
120400                                       MTL1-RECORD
120500                                       MTC1-RECORD
120600                                       MTC2-RECORD.
120700*
120800 X029-C-OC-EXIT.
120900     EXIT.
121000/
121100 X030-CALL-MBD100BC SECTION.
121200 X031-C-BC-BEGIN.
121300*
121400     CALL MB00WS-MBD100BC        USING MBD100WS-AREA
121500                                       MMSC-RECORD
121600                                       MMOC-RECORD
121700                                       MTL1-RECORD
121800                                       MTC1-RECORD
121900                                       MTC2-RECORD.
122000*
122100 X039-C-BC-EXIT.
122200     EXIT.
122300/
122400 X040-CALL-MBD100CT SECTION.
122500 X041-C-CT-BEGIN.
122600*
122700     CALL MB00WS-MBD100CT        USING MBD100WS-AREA
122800                                       MMSC-RECORD
122900                                       MMOC-RECORD
123000                                       MTL1-RECORD
123100                                       MTC1-RECORD
123200                                       MTC2-RECORD.
123300*
123400 X049-C-CT-EXIT.
123500     EXIT.
123600/
123700 X050-CALL-MBD100EF SECTION.
123800 X051-C-EF-BEGIN.
123900*
124000     CALL MB00WS-MBD100EF        USING MBD100WS-AREA
124100                                       MMSC-RECORD
124200                                       MMOC-RECORD
124300                                       MTL1-RECORD
124400                                       MTC1-RECORD
124500                                       MTC2-RECORD.
124600*
124700 X059-C-EF-EXIT.
124800     EXIT.
124900/
125000 X060-CALL-MBD100EX SECTION.
125100 X061-C-EX-BEGIN.
125200*
125300     CALL MB00WS-MBD100EX        USING MBD100WS-AREA
125400                                       MMSC-RECORD
125500                                       MMOC-RECORD
125600                                       MTL1-RECORD
125700                                       MTC1-RECORD
125800                                       MTC2-RECORD.
125900*
126000 X069-C-EX-EXIT.
126100     EXIT.
126200/
126300 X070-CALL-MBD100FP SECTION.
126400 X071-C-FP-BEGIN.
126500*
126600     CALL MB00WS-MBD100FP        USING MBD100WS-AREA
126700                                       MMSC-RECORD
126800                                       MMOC-RECORD
126900                                       MTL1-RECORD
127000                                       MTC1-RECORD
127100                                       MTC2-RECORD.
127200*
127300 X079-C-FP-EXIT.
127400     EXIT.
127500/
127600 X080-CALL-MBD100FS SECTION.
127700 X081-C-FS-BEGIN.
127800*
127900     CALL MB00WS-MBD100FS        USING MBD100WS-AREA
128000                                       MMSC-RECORD
128100                                       MMOC-RECORD
128200                                       MTL1-RECORD
128300                                       MTC1-RECORD
128400                                       MTC2-RECORD.
128500*
128600 X089-C-FS-EXIT.
128700     EXIT.
128800/
128900 X090-CALL-MBD100GD SECTION.
129000 X091-C-GD-BEGIN.
129100*
129200     CALL MB00WS-MBD100GD        USING MBD100WS-AREA
129300                                       MMSC-RECORD
129400                                       MMOC-RECORD
129500                                       MTL1-RECORD
129600                                       MTC1-RECORD
129700                                       MTC2-RECORD.
129800*
129900 X099-C-GD-EXIT.
130000     EXIT.
130100/
130200 X100-CALL-MBD100IC SECTION.
130300 X101-C-IC-BEGIN.
130400*
130500     CALL MB00WS-MBD100IC        USING MBD100WS-AREA
130600                                       MMSC-RECORD
130700                                       MMOC-RECORD
130800                                       MTL1-RECORD
130900                                       MTC1-RECORD
131000                                       MTC2-RECORD.
131100*
131200 X109-C-IC-EXIT.
131300     EXIT.
131400/
131500 X110-CALL-MBD100IF SECTION.
131600 X111-C-IF-BEGIN.
131700*
131800     CALL MB00WS-MBD100IF        USING MBD100WS-AREA
131900                                       MMSC-RECORD
132000                                       MMOC-RECORD
132100                                       MTL1-RECORD
132200                                       MTC1-RECORD
132300                                       MTC2-RECORD.
132400*
132500 X119-C-IF-EXIT.
132600     EXIT.
132700/
132800 X120-CALL-MBD100MM SECTION.
132900 X121-C-MM-BEGIN.
133000*
133100     CALL MB00WS-MBD100MM        USING MBD100WS-AREA
133200                                       MMSC-RECORD
133300                                       MMOC-RECORD
133400                                       MTL1-RECORD
133500                                       MTC1-RECORD
133600                                       MTC2-RECORD.
133700*
133800 X129-C-MM-EXIT.
133900     EXIT.
134000/
134100 X130-CALL-MBD100MP SECTION.
134200 X131-C-MP-BEGIN.
134300*
134400     CALL MB00WS-MBD100MP        USING MBD100WS-AREA
134500                                       MMSC-RECORD
134600                                       MMOC-RECORD
134700                                       MTL1-RECORD
134800                                       MTC1-RECORD
134900                                       MTC2-RECORD.
135000*
135100 X139-C-MP-EXIT.
135200     EXIT.
135300/
135400 X140-CALL-MBD100PF SECTION.
135500 X141-C-PF-BEGIN.
135600*
135700     CALL MB00WS-MBD100PF        USING MBD100WS-AREA
135800                                       MMSC-RECORD
135900                                       MMOC-RECORD
136000                                       MTL1-RECORD
136100                                       MTC1-RECORD
136200                                       MTC2-RECORD.
136300*
136400 X149-C-PF-EXIT.
136500     EXIT.
136600/
136700 X150-CALL-MBD100RC SECTION.
136800 X151-C-RC-BEGIN.
136900*
137000     CALL MB00WS-MBD100RC        USING MBD100WS-AREA
137100                                       MMSC-RECORD
137200                                       MMOC-RECORD
137300                                       MTL1-RECORD
137400                                       MTC1-RECORD
137500                                       MTC2-RECORD.
137600*
137700 X159-C-RC-EXIT.
137800     EXIT.
137900/
138000 X160-CALL-MBD100RD SECTION.
138100 X161-C-RD-BEGIN.
138200*
138300     CALL MB00WS-MBD100RD        USING MBD100WS-AREA
138400                                       MMSC-RECORD
138500                                       MMOC-RECORD
138600                                       MTL1-RECORD
138700                                       MTC1-RECORD
138800                                       MTC2-RECORD.
138900*
139000 X169-C-RD-EXIT.
139100     EXIT.
139200/
139300 X170-CALL-MBD100RT SECTION.
139400 X171-C-RT-BEGIN.
139500*
139600     CALL MB00WS-MBD100RT        USING MBD100WS-AREA
139700                                       MMSC-RECORD
139800                                       MMOC-RECORD
139900                                       MTL1-RECORD
140000                                       MTC1-RECORD
140100                                       MTC2-RECORD.
140200*
140300 X179-C-RT-EXIT.
140400     EXIT.
140500/
140600 X180-CALL-MBD100SM SECTION.
140700 X181-C-SM-BEGIN.
140800*
140900     CALL MB00WS-MBD100SM        USING MBD100WS-AREA
141000                                       MMSC-RECORD
141100                                       MMOC-RECORD
141200                                       MTL1-RECORD
141300                                       MTC1-RECORD
141400                                       MTC2-RECORD.
141500*
141600 X189-C-SM-EXIT.
141700     EXIT.
141800/
141900 X190-CALL-MBD100TC SECTION.
142000 X191-C-TC-BEGIN.
142100*
142200     CALL MB00WS-MBD100TC        USING MBD100WS-AREA
142300                                       MMSC-RECORD
142400                                       MMOC-RECORD
142500                                       MTL1-RECORD
142600                                       MTC1-RECORD
142700                                       MTC2-RECORD.
142800*
142900 X199-C-TC-EXIT.
143000     EXIT.
143100/
143200 X200-CALL-MBD100TM SECTION.
143300 X201-C-TM-BEGIN.
143400*
143500     CALL MB00WS-MBD100TM        USING MBD100WS-AREA
143600                                       MMSC-RECORD
143700                                       MMOC-RECORD
143800                                       MTL1-RECORD
143900                                       MTC1-RECORD
144000                                       MTC2-RECORD.
144100*
144200 X209-C-TM-EXIT.
144300     EXIT.
144400/
144500 X210-CALL-MBD100XR SECTION.
144600 X211-C-XR-BEGIN.
144700*
144800     CALL MB00WS-MBD100XR        USING MBD100WS-AREA
144900                                       MMSC-RECORD
145000                                       MMOC-RECORD
145100                                       MTL1-RECORD
145200                                       MTC1-RECORD
145300                                       MTC2-RECORD.
145400*
145500 X219-C-XR-EXIT.
145600     EXIT.
145700/
145800 X220-CALL-MBD100XT SECTION.
145900 X221-C-XT-BEGIN.
146000*
146100     CALL MB00WS-MBD100XT        USING MBD100WS-AREA
146200                                       MMSC-RECORD
146300                                       MMOC-RECORD
146400                                       MTL1-RECORD
146500                                       MTC1-RECORD
146600                                       MTC2-RECORD.
146700*
146800 X229-C-XT-EXIT.
146900     EXIT.
147000/
147100 X230-CALL-MBD100SD SECTION.
147200 X231-C-SD-BEGIN.
147300*
147400     CALL MB00WS-MBD100SD        USING MBD100WS-AREA
147500                                       MMSC-RECORD
147600                                       MMOC-RECORD
147700                                       MTL1-RECORD
147800                                       MTC1-RECORD
147900                                       MTC2-RECORD.
148000*
148100 X239-C-SD-EXIT.
148200     EXIT.
148300/
148400 X240-CALL-MBD100SR SECTION.
148500 X241-C-SR-BEGIN.
148600*
148700     CALL MB00WS-MBD100SR        USING MBD100WS-AREA
148800                                       MMSC-RECORD
148900                                       MMOC-RECORD
149000                                       MTL1-RECORD
149100                                       MTC1-RECORD
149200                                       MTC2-RECORD.
149300*
149400 X249-C-SR-EXIT.
149500     EXIT.
149600/
149700 X990-CALL-MBD100FA SECTION.
149800 X991-C-FA-BEGIN.
149900*
150000     CALL MB00WS-MBD100FA        USING MBD100WS-AREA
150100                                       MTL1-RECORD
150200                                       MMSC-RECORD.
150300*
150400 X999-C-FA-EXIT.
150500     EXIT.
150600/
150700 Z000-GET-CONTROL-OPTION SECTION.
150800 Z010-GCO-BEGIN.
150900*
151000     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
151100     SET MTCCRB-OPEN-INPUT       TO TRUE.
151200     PERFORM MB00PD-MTCC-ACCESS
151300        THRU MB00PD-MTCC-ACCESS-EXIT.
151400*
151500     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
151600*
151700     PERFORM Z100-READ-CONTROL-CARD
151800        THRU Z199-RCC-EXIT
151900        UNTIL MTCC-MBD100-UPDATE
152000           OR MTCC-MBD100-AUDIT
152100           OR MTCC-MBD100-JOURNAL.
152200*
152300     IF  MTCC-MBD100-UPDATE
152400         MOVE 'U'                TO MBD100WS-OPTION
152500     ELSE
152600         IF  MTCC-MBD100-AUDIT
152700             MOVE 'A'            TO MBD100WS-OPTION
152800         ELSE
152900             MOVE 'J'            TO MBD100WS-OPTION.
153000*
153100     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
153200     SET MTCCRB-CLOSE            TO TRUE.
153300     PERFORM MB00PD-MTCC-ACCESS
153400        THRU MB00PD-MTCC-ACCESS-EXIT.
153500*
153600 Z099-GCO-EXIT.
153700     EXIT.
153800/
153900 Z100-READ-CONTROL-CARD SECTION.
154000 Z100-RCC-BEGIN.
154100*
154200     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
154300     SET MTCCRB-READ-SEQ         TO TRUE.
154400     PERFORM MB00PD-MTCC-ACCESS
154500        THRU MB00PD-MTCC-ACCESS-EXIT.
154600*
154700     IF  SS02WS-FS-END-OF-FILE
154800         MOVE 'JOURNAL'          TO MTCC-MBD100-OPTION
154900         GO TO Z199-RCC-EXIT.
155000*
155100     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
155200*
155300     IF  MTCC-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID
155400     AND (MTCC-MBD100-UPDATE
155500     OR   MTCC-MBD100-AUDIT
155600     OR   MTCC-MBD100-JOURNAL)
155700         GO TO Z199-RCC-EXIT.
155800*
155900     MOVE SPACES                 TO MTCC-RECORD.
156000*
156100 Z199-RCC-EXIT.
156200     EXIT.
156300/
156400 9000-PERFORMED-ROUTINES-SECT SECTION.
156500*
156600     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
156700/
156800     COPY MB00PD REPLACING ==:MB00:== BY ==MTC1==.
156900/
157000     COPY MB00PD REPLACING ==:MB00:== BY ==MTC2==.
157100/
157200     COPY MB00PD REPLACING ==:MB00:== BY ==MTL1==.
157300/
157400     COPY MB20PD.
157500/
157600     COPY SS95PD.
157700/
157800     COPY SS02PD.
157900/
158000     COPY SS07PD.
158100/
158200     COPY SS08PD.
158300/
158400     COPY SS16PD.
158500/
158600     COPY SS26PD.
158700/
158800     COPY SS27PD.
158900/
159000     COPY SS98PD.
159100*
159200 9995-END-SOURCE-STATEMENTS SECTION.
159300 9999-END-OF-PROGRAM.
159400     EXIT.
