000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100GD.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100GD - GENERATED/DEFAULT TRANSACTIONS RECOVERY AND    *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMGDRL.
002800/
002900     COPY MMGDIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMGD==.
003200/
003300     COPY MMGDIR.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS95WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SS01WS.
004800/
004900     COPY SS02WS.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400     COPY MBD100WS.
005500/
005600     COPY MMSCRL.
005700/
005800     COPY MMOCRL.
005900/
006000     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006500/
006600 PROCEDURE DIVISION              USING MBD100WS-AREA
006700                                       MMSC-RECORD
006800                                       MMOC-RECORD
006900                                       MTL1-RECORD
007000                                       MTC1-RECORD
007100                                       MTC2-RECORD.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'MBD100GD'             TO SS02WS-ABEND-PROG-ID.
007700     MOVE 'MMGD'                 TO MB99WS-FILE-ID.
007800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
007900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008000*
008100     IF  MBD100WS-OPEN-FILE
008200         SET SS95WS-FUNCTION-INITIALIZE
008300                                 TO TRUE
008400         PERFORM SS95PD-NAP-ROUTINE
008500            THRU SS95PD-NAP-EXIT
008600         PERFORM O000-OPEN-FILE
008700            THRU O999-OF-EXIT.
008800*
008900     IF  MBD100WS-CLOSE-FILE
009000         PERFORM C000-CLOSE-FILE
009100            THRU C999-CF-EXIT.
009200*
009300     IF  MBD100WS-PROCESS-RECORD
009400         PERFORM P000-PROCESS-RECORD
009500            THRU P099-PR-EXIT.
009600*
009700     GOBACK.
009800*
009900 A999-ML-EXIT.
010000     EXIT.
010100/
010200 C000-CLOSE-FILE SECTION.
010300 C010-CF-BEGIN.
010400*
010500     MOVE 'C1GD'                 TO SS02WS-ABEND-LOCATION.
010600     SET MMGDRB-CLOSE            TO TRUE.
010700     PERFORM MB00PD-MMGD-ACCESS
010800        THRU MB00PD-MMGD-ACCESS-EXIT.
010900*
011000 C999-CF-EXIT.
011100     EXIT.
011200/
011300 O000-OPEN-FILE SECTION.
011400 O010-OF-BEGIN.
011500*
011600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011700*
011800     MOVE 'O1GD'                 TO SS02WS-ABEND-LOCATION.
011900*
012000     IF  MBD100WS-UPDATE
012100         SET MMGDRB-OPEN-IO-DYN  TO TRUE
012200     ELSE
012300         SET MMGDRB-OPEN-INPUT-DYN
012400                                 TO TRUE.
012500*
012600     PERFORM MB00PD-MMGD-ACCESS
012700        THRU MB00PD-MMGD-ACCESS-EXIT.
012800*
012900     MOVE 'R0GD'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMGDRB-READ-SEQ         TO TRUE.
013100     PERFORM MB00PD-MMGD-ACCESS
013200        THRU MB00PD-MMGD-ACCESS-EXIT.
013300     MOVE 'MMGD'                 TO MB99WS-FILE-ID.
013400*
013500     IF  MMGDIO-HEADER
013600         NEXT SENTENCE
013700     ELSE
013800         PERFORM MB99PD-MISSING-HEADER-ABEND
013900            THRU MB99PD-MHA-EXIT.
014000*
014100     MOVE MMGDIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014200     MOVE MMGDIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014300     PERFORM MB99PD-CHECK-DATE-TIME
014400        THRU MB99PD-CDT-EXIT.
014500*
014600     PERFORM Z900-INIT-RECORD
014700        THRU Z999-IR-EXIT.
014800*
014900 O999-OF-EXIT.
015000     EXIT.
015100/
015200 P000-PROCESS-RECORD SECTION.
015300 P010-PR-BEGIN.
015400*
015500     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015600*
015700     IF  MTL1-MMGD-KEY IS NOT EQUAL TO MMGD-KEY
015800         PERFORM P500-FILE-UPDATE
015900            THRU P599-FU-EXIT.
016000*
016100     IF  MTL1-TOTALS-RECORD
016200         GO TO P099-PR-EXIT.
016300*
016400     IF  MTL1-MMGD-KEY IS NOT EQUAL TO MMGD-KEY
016500         PERFORM P700-GET-RECORD-TO-UPDATE
016600            THRU P799-GRTU-EXIT.
016700*
016800     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
016900*
017000     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017100     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017200         PERFORM U000-NEW-RECORD
017300            THRU U099-NR-EXIT
017400     ELSE
017500         PERFORM 0000-MAINT-RECORD
017600            THRU 5999-MR-EXIT.
017700*
017800 P099-PR-EXIT.
017900     EXIT.
018000/
018100 P500-FILE-UPDATE SECTION.
018200 P510-FU-BEGIN.
018300*
018400     IF  MBD100WS-JOURNAL
018500         GO TO P599-FU-EXIT.
018600*
018700     IF  MMGD-KEY IS EQUAL TO MMGDIR-KEY
018800         GO TO P599-FU-EXIT.
018900*
019000     IF  MBD100WS-IO-REWRITE
019100         MOVE MMGD-RECORD        TO MMGDIO-RECORD
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMGDRB-TEMP-STATUS-1
019400         MOVE 'U1GD'             TO SS02WS-ABEND-LOCATION
019500         SET MMGDRB-REWRITE      TO TRUE
019600         PERFORM MB00PD-MMGD-ACCESS
019700            THRU MB00PD-MMGD-ACCESS-EXIT
019800         IF  SS02WS-FS-NO-RECORD-FOUND
019900             MOVE 'W'            TO MBD100WS-IO-SW.
020000*
020100     IF  MBD100WS-IO-NO-REC-FOUND
020200     OR  MBD100WS-IO-WRITE
020300         MOVE MMGD-RECORD        TO MMGDIO-RECORD
020400         MOVE SS02WS-DUPLICATE-RECORD
020500                                 TO MMGDRB-TEMP-STATUS-1
020600         MOVE 'W2GD'             TO SS02WS-ABEND-LOCATION
020700         SET MMGDRB-WRITE        TO TRUE
020800         PERFORM MB00PD-MMGD-ACCESS
020900            THRU MB00PD-MMGD-ACCESS-EXIT
021000         IF  SS02WS-FS-DUPLICATE-RECORD
021100             MOVE 'U'            TO MBD100WS-IO-SW
021200             MOVE MMGD-RECORD    TO MMGDIO-RECORD
021300             MOVE 'U2GD'         TO SS02WS-ABEND-LOCATION
021400             SET MMGDRB-REWRITE  TO TRUE
021500             PERFORM MB00PD-MMGD-ACCESS
021600                THRU MB00PD-MMGD-ACCESS-EXIT.
021700*
021800     PERFORM Z900-INIT-RECORD
021900        THRU Z999-IR-EXIT.
022000*
022100 P599-FU-EXIT.
022200     EXIT.
022300/
022400 P700-GET-RECORD-TO-UPDATE SECTION.
022500 P710-GRTU-BEGIN.
022600*
022700     IF  MBD100WS-JOURNAL
022800         PERFORM Z900-INIT-RECORD
022900            THRU Z999-IR-EXIT
023000         GO TO P799-GRTU-EXIT.
023100*
023200     MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MMGDRB-TEMP-STATUS-1.
023400     MOVE MTL1-MMGD-KEY          TO MMGDIO-KEY.
023500*
023600     MOVE 'R1GD'                 TO SS02WS-ABEND-LOCATION.
023700     SET MMGDRB-READ-RANDOM      TO TRUE.
023800     PERFORM MB00PD-MMGD-ACCESS
023900        THRU MB00PD-MMGD-ACCESS-EXIT.
024000*
024100     IF  SS02WS-FS-NO-RECORD-FOUND
024200         PERFORM Z900-INIT-RECORD
024300            THRU Z999-IR-EXIT
024400         MOVE 'N'                TO MBD100WS-IO-SW
024500     ELSE
024600         MOVE MMGDIO-RECORD      TO MMGD-RECORD
024700         MOVE 'U'                TO MBD100WS-IO-SW.
024800*
024900 P799-GRTU-EXIT.
025000     EXIT.
025100/
025200 U000-NEW-RECORD SECTION.
025300 U010-NR-BEGIN.
025400*
025500     PERFORM Z100-COMMON-FROM-DATA
025600        THRU Z199-CFD-EXIT.
025700*
025800     PERFORM Z200-COMMON-TO-DATA
025900        THRU Z299-CTD-EXIT.
026000*
026100     MOVE MTL1-ADD-AREA          TO MMGD-RECORD.
026200*
026300     IF  MBD100WS-IO-NO-REC-FOUND
026400         MOVE 'W'                TO MBD100WS-IO-SW.
026500*
026600     IF  MBD100WS-FC-1-2-ADD
026700         MOVE '*** NEW RECORD ADDED ***'
026800                                 TO MBD100WS-PL2-TO-VALUE
026900                                    MBD100WS-PL1-FROM-VALUE
027000     ELSE
027100         MOVE '*** REPLACEMENT RECORD ***'
027200                                 TO MBD100WS-PL2-TO-VALUE
027300                                    MBD100WS-PL1-FROM-VALUE.
027400*
027500     MOVE SPACES                 TO MTCC-RECORD.
027600     MOVE MMGD-ORG               TO MTCC-MBU910-BEG-ORG.
027700     MOVE 'MBU910'               TO MTCC-PROGRAM-ID.
027800     MOVE MTCC-RECORD            TO MTC2-RECORD.
027900*
028000 U099-NR-EXIT.
028100     EXIT.
028200/
028300 Z100-COMMON-FROM-DATA SECTION.
028400 Z110-CFD-BEGIN.
028500*
028600     MOVE MTL1-MMGD-ORG          TO MBD100WS-PL1-ORG.
028700*
028800 Z199-CFD-EXIT.
028900     EXIT.
029000/
029100 Z200-COMMON-TO-DATA SECTION.
029200 Z210-CTD-BEGIN.
029300*
029400 Z299-CTD-EXIT.
029500     EXIT.
029600/
029700 Z900-INIT-RECORD SECTION.
029800 Z910-IR-BEGIN.
029900*
030000     MOVE MMGDIR-RECORD          TO MMGD-RECORD.
030100     MOVE SPACES                 TO MTC1-RECORD.
030200     MOVE SPACES                 TO MTC2-RECORD.
030300*
030400 Z999-IR-EXIT.
030500     EXIT.
030600/
030700 0000-MAINT-RECORD SECTION.
030800 0010-MR-BEGIN.
030900*
031000     PERFORM Z100-COMMON-FROM-DATA
031100        THRU Z199-CFD-EXIT.
031200*
031300     PERFORM Z200-COMMON-TO-DATA
031400        THRU Z299-CTD-EXIT.
031500*
031600     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
031700         GO TO 0101-MR-FIELD.
031800*
031900     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
032000         GO TO 0102-MR-FIELD.
032100*
032200     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
032300         GO TO 0103-MR-FIELD.
032400*
032500     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
032600         GO TO 0198-MR-FIELD.
032700*
032800     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
032900         GO TO 0199-MR-FIELD.
033000*
033100     IF  MTL1-FIELD-CODE IS EQUAL TO 0201
033200         GO TO 0201-MR-FIELD.
033300*
033400     MOVE '*** ERROR - INVALID FIELD CODE ***'
033500                                 TO MBD100WS-PL2-TO-VALUE.
033600     GO TO 5999-MR-EXIT.
033700*
033800 0101-MR-FIELD.
033900*
034000     SET X-MMGD-GT               TO MTL1-FIELD-OCCURRENCE.
034100*
034200     IF  MBD100WS-JOURNAL
034300         MOVE MTL1-VL03-B-DATA-9 TO MMGD-GT-TC-SETT
034400                                    (X-MMGD-GT).
034500*
034600     MOVE 'GENERATED SETT T/C    '
034700                                 TO MBD100WS-PL1-DESC.
034800     MOVE MMGD-GT-TC-SETT
034900          (X-MMGD-GT)            TO MBD100WS-PL1-FV-999.
035000     MOVE MTL1-VL03-A-DATA-9     TO MMGD-GT-TC-SETT
035100                                    (X-MMGD-GT).
035200     MOVE MMGD-GT-TC-SETT
035300          (X-MMGD-GT)            TO MBD100WS-PL2-TV-999.
035400     GO TO 5100-MR-NO-REC-CHECK.
035500*
035600*
035700*
035800 0102-MR-FIELD.
035900*
036000     SET X-MMGD-GT               TO MTL1-FIELD-OCCURRENCE.
036100*
036200     IF  MBD100WS-JOURNAL
036300         MOVE MTL1-VL03-B-DATA-9 TO MMGD-GT-TC-BILL
036400                                    (X-MMGD-GT).
036500*
036600     MOVE 'GENERATED BILL T/C    '
036700                                 TO MBD100WS-PL1-DESC.
036800     MOVE MMGD-GT-TC-BILL
036900          (X-MMGD-GT)            TO MBD100WS-PL1-FV-999.
037000     MOVE MTL1-VL03-A-DATA-9     TO MMGD-GT-TC-BILL
037100                                    (X-MMGD-GT).
037200     MOVE MMGD-GT-TC-BILL
037300          (X-MMGD-GT)            TO MBD100WS-PL2-TV-999.
037400     GO TO 5100-MR-NO-REC-CHECK.
037500*
037600*
037700*
037800 0103-MR-FIELD.
037900*
038000     SET X-MMGD-GT               TO MTL1-FIELD-OCCURRENCE.
038100*
038200     IF  MBD100WS-JOURNAL
038300         MOVE MTL1-VL03-B-DATA-9 TO MMGD-GT-TC-WAIVE
038400                                    (X-MMGD-GT).
038500*
038600     MOVE 'GENERATED WAIVE T/C   '
038700                                 TO MBD100WS-PL1-DESC.
038800     MOVE MMGD-GT-TC-WAIVE
038900          (X-MMGD-GT)            TO MBD100WS-PL1-FV-999.
039000     MOVE MTL1-VL03-A-DATA-9     TO MMGD-GT-TC-WAIVE
039100                                    (X-MMGD-GT).
039200     MOVE MMGD-GT-TC-WAIVE
039300          (X-MMGD-GT)            TO MBD100WS-PL2-TV-999.
039400     GO TO 5100-MR-NO-REC-CHECK.
039500*
039600*
039700*
039800 0198-MR-FIELD.
039900*
040000     IF  MBD100WS-JOURNAL
040100         MOVE MTL1-VL03-B-DATA-X TO MMGD-LAST-MAINT-OPER.
040200*
040300     MOVE 'LAST MAINT OPERATOR   '
040400                                 TO MBD100WS-PL1-DESC.
040500     MOVE MMGD-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
040600     MOVE MTL1-VL03-A-DATA-X     TO MMGD-LAST-MAINT-OPER.
040700     MOVE MMGD-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
040800     GO TO 5100-MR-NO-REC-CHECK.
040900*
041000*
041100*
041200 0199-MR-FIELD.
041300*
041400     IF  MBD100WS-JOURNAL
041500         MOVE MTL1-VL07-B-DATA-9 TO MMGD-LAST-MAINT-DATE.
041600*
041700     MOVE 'DATE LAST MAINTENANCE '
041800                                 TO MBD100WS-PL1-DESC.
041900     MOVE MMGD-LAST-MAINT-DATE   TO SS01WS-JULIAN.
042000     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
042100     MOVE MTL1-VL07-A-DATA-9     TO MMGD-LAST-MAINT-DATE.
042200     MOVE MMGD-LAST-MAINT-DATE   TO SS01WS-JULIAN.
042300     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
042400     GO TO 5100-MR-NO-REC-CHECK.
042500*
042600*
042700*
042800 0201-MR-FIELD.
042900*
043000     SET X-MMGD-DT               TO MTL1-FIELD-OCCURRENCE.
043100*
043200     IF  MBD100WS-JOURNAL
043300         MOVE MTL1-VL03-B-DATA-9 TO MMGD-DT-TC
043400                                    (X-MMGD-DT).
043500*
043600     MOVE 'DEFAULT TRANSACTION   '
043700                                 TO MBD100WS-PL1-DESC.
043800     MOVE MMGD-DT-TC
043900          (X-MMGD-DT)            TO MBD100WS-PL1-FV-999.
044000     MOVE MTL1-VL03-A-DATA-9     TO MMGD-DT-TC
044100                                    (X-MMGD-DT).
044200     MOVE MMGD-DT-TC
044300          (X-MMGD-DT)            TO MBD100WS-PL2-TV-999.
044400     GO TO 5100-MR-NO-REC-CHECK.
044500*
044600*
044700*
044800 5100-MR-NO-REC-CHECK.
044900*
045000     IF  MBD100WS-UPDATE
045100     AND MBD100WS-IO-NO-REC-FOUND
045200         MOVE '*** ERROR - NO RECORD FOUND ***'
045300                                 TO MBD100WS-PL2-TO-VALUE.
045400*
045500 5999-MR-EXIT.
045600     EXIT.
045700/
045800 8100-FROM-DATE SECTION.
045900 8110-FD-BEGIN.
046000*
046100     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
046200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
046300        THRU SS26PD-NED-EXIT.
046400     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
046500     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
046600*
046700 8199-FD-EXIT.
046800     EXIT.
046900*
047000*
047100*
047200 8200-TO-DATE SECTION.
047300 8210-TD-BEGIN.
047400*
047500     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
047600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
047700        THRU SS26PD-NED-EXIT.
047800     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
047900     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
048000*
048100 8299-TD-EXIT.
048200     EXIT.
048300/
048400 9000-PERFORMED-ROUTINES-SECT SECTION.
048500*
048600     COPY MB00PD REPLACING ==:MB00:== BY ==MMGD==.
048700/
048800     COPY SS95PD.
048900/
049000     COPY MB99PD.
049100/
049200     COPY SS02PD.
049300/
049400     COPY SS07PD.
049500/
049600     COPY SS08PD.
049700/
049800     COPY SS26PD.
049900/
050000     COPY SS27PD.
050100*
050200 9995-END-SOURCE-STATEMENTS SECTION.
050300 9999-END-OF-PROGRAM.
050400     EXIT.
