000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100SC.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100SC - SYSTEM CONTROL MASTER FILE RECOVERY AND        *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700 01  WS-D100-MAINT-SW        PIC  X(01)      VALUE 'N'.
002800*
002900     COPY MMSCIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003200/
003300     COPY MMSCIR.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY MB00KY.
004200/
004300     COPY SS95WS.
004400/
004500     COPY MB99WS.
004600/
004700     COPY SS00WS.
004800/
004900     COPY SS01WS.
005000/
005100     COPY SS02WS.
005200*
005300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005400/
005500 LINKAGE SECTION.
005600     COPY MBD100WS.
005700/
005800     COPY MMSCRL.
005900/
006000     COPY MMOCRL.
006100/
006200     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006500/
006600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006700/
006800 PROCEDURE DIVISION              USING MBD100WS-AREA
006900                                       MMSC-RECORD
007000                                       MMOC-RECORD
007100                                       MTL1-RECORD
007200                                       MTC1-RECORD
007300                                       MTC2-RECORD.
007400*
007500 A000-MAIN-LINE-SECT SECTION.
007600 A010-ML-BEGIN.
007700*
007800     MOVE 'U'                    TO MBD100WS-IO-SW.
007900     MOVE 'MBD100SC'             TO SS02WS-ABEND-PROG-ID.
008000     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
008100*
008200     IF  MBD100WS-OPEN-FILE
008300         SET SS95WS-FUNCTION-INITIALIZE
008400                                 TO TRUE
008500         PERFORM SS95PD-NAP-ROUTINE
008600            THRU SS95PD-NAP-EXIT
008700         PERFORM O000-OPEN-FILE
008800            THRU O999-OF-EXIT.
008900*
009000     IF  MBD100WS-CLOSE-FILE
009100         PERFORM C000-CLOSE-FILE
009200            THRU C999-CF-EXIT.
009300*
009400     IF  MBD100WS-MBD100SC-READ-SYS
009500         PERFORM D000-READ-SYSTEM
009600            THRU D999-RS-EXIT
009700         MOVE MMSC-TODAYS-JULIAN TO MB99WS-PROC-DATE
009800         MOVE MMSC-TIME-STAMP    TO MB99WS-PROC-TIME.
009900*
010000     IF  MBD100WS-PROCESS-RECORD
010100         PERFORM P000-PROCESS-RECORD
010200            THRU P099-PR-EXIT.
010300*
010400     GOBACK.
010500*
010600 A999-ML-EXIT.
010700     EXIT.
010800/
010900 C000-CLOSE-FILE SECTION.
011000 C010-CF-BEGIN.
011100*
011200     IF  MBD100WS-UPDATE
011300         PERFORM P500-FILE-UPDATE
011400            THRU P599-FU-EXIT.
011500*
011600     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
011700     SET MMSCRB-CLOSE            TO TRUE.
011800     PERFORM MB00PD-MMSC-ACCESS
011900        THRU MB00PD-MMSC-ACCESS-EXIT.
012000*
012100 C999-CF-EXIT.
012200     EXIT.
012300/
012400 D000-READ-SYSTEM SECTION.
012500 D010-RS-BEGIN.
012600*
012700     MOVE ZERO                   TO MMSCIO-ORG.
012800*
012900     MOVE 'RAOC'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMSCRB-READ-RANDOM      TO TRUE.
013100     PERFORM MB00PD-MMSC-ACCESS
013200        THRU MB00PD-MMSC-ACCESS-EXIT.
013300*
013400     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013500     MOVE MMSC-KEY               TO MB00KY-MMSC-KEY.
013600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
013700*
013800 D999-RS-EXIT.
013900     EXIT.
014000/
014100 O000-OPEN-FILE SECTION.
014200 O010-OF-BEGIN.
014300*
014400     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
014500*
014600     IF  MBD100WS-UPDATE
014700         SET MMSCRB-OPEN-IO-DYN  TO TRUE
014800     ELSE
014900         SET MMSCRB-OPEN-INPUT-DYN
015000                                 TO TRUE.
015100*
015200     PERFORM MB00PD-MMSC-ACCESS
015300        THRU MB00PD-MMSC-ACCESS-EXIT.
015400*
015500     PERFORM Z900-INIT-RECORD
015600        THRU Z999-IR-EXIT.
015700*
015800 O999-OF-EXIT.
015900     EXIT.
016000/
016100 P000-PROCESS-RECORD SECTION.
016200 P010-PR-BEGIN.
016300*
016400     MOVE 'USD'                  TO SS95WS-CURRENCY-CODE.
016500*
016600     IF  MTL1-MMSC-KEY IS NOT EQUAL TO MMSC-KEY
016700         PERFORM P500-FILE-UPDATE
016800            THRU P599-FU-EXIT.
016900*
017000     IF  MTL1-TOTALS-RECORD
017100         GO TO P099-PR-EXIT.
017200*
017300     IF  MTL1-MMSC-KEY IS NOT EQUAL TO MMSC-KEY
017400         PERFORM P700-GET-RECORD-TO-UPDATE
017500            THRU P799-GRTU-EXIT.
017600*
017700     MOVE 'Y'                    TO WS-D100-MAINT-SW.
017800*
017900     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
018000*
018100     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
018200     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
018300         PERFORM U000-NEW-RECORD
018400            THRU U099-NR-EXIT
018500     ELSE
018600         PERFORM 0000-MAINT-RECORD
018700            THRU 5999-MR-EXIT.
018800*
018900 P099-PR-EXIT.
019000     EXIT.
019100/
019200 P500-FILE-UPDATE SECTION.
019300 P510-FU-BEGIN.
019400*
019500     IF  MBD100WS-JOURNAL
019600         GO TO P599-FU-EXIT.
019700*
019800*****IF  MMSC-KEY IS EQUAL TO MMSCIR-KEY
019900*****    GO TO P599-FU-EXIT.
020000*
020100     IF  MBD100WS-IO-REWRITE
020200         MOVE MMSC-RECORD        TO MMSCIO-RECORD
020300         MOVE SS02WS-NO-RECORD-FOUND
020400                                 TO MMSCRB-TEMP-STATUS-1
020500         MOVE 'U1OC'             TO SS02WS-ABEND-LOCATION
020600         SET MMSCRB-REWRITE      TO TRUE
020700         PERFORM MB00PD-MMSC-ACCESS
020800            THRU MB00PD-MMSC-ACCESS-EXIT
020900         IF  SS02WS-FS-NO-RECORD-FOUND
021000             MOVE 'W'            TO MBD100WS-IO-SW.
021100*
021200     IF  MBD100WS-IO-NO-REC-FOUND
021300     OR  MBD100WS-IO-WRITE
021400         MOVE MMSC-RECORD        TO MMSCIO-RECORD
021500         MOVE SS02WS-DUPLICATE-RECORD
021600                                 TO MMSCRB-TEMP-STATUS-1
021700         MOVE 'W2OC'             TO SS02WS-ABEND-LOCATION
021800         SET MMSCRB-WRITE        TO TRUE
021900         PERFORM MB00PD-MMSC-ACCESS
022000            THRU MB00PD-MMSC-ACCESS-EXIT
022100         IF  SS02WS-FS-DUPLICATE-RECORD
022200             MOVE 'U'            TO MBD100WS-IO-SW
022300             MOVE MMSC-RECORD    TO MMSCIO-RECORD
022400             MOVE 'U2OC'         TO SS02WS-ABEND-LOCATION
022500             SET MMSCRB-REWRITE  TO TRUE
022600             PERFORM MB00PD-MMSC-ACCESS
022700                THRU MB00PD-MMSC-ACCESS-EXIT.
022800*
022900     PERFORM Z900-INIT-RECORD
023000        THRU Z999-IR-EXIT.
023100*
023200 P599-FU-EXIT.
023300     EXIT.
023400/
023500 P700-GET-RECORD-TO-UPDATE SECTION.
023600 P710-GRTU-BEGIN.
023700*
023800     IF  MBD100WS-JOURNAL
023900         PERFORM Z900-INIT-RECORD
024000            THRU Z999-IR-EXIT
024100         GO TO P799-GRTU-EXIT.
024200*
024300     MOVE SS02WS-NO-RECORD-FOUND
024400                                 TO MMSCRB-TEMP-STATUS-1.
024500     MOVE MTL1-MMSC-KEY          TO MMSCIO-KEY.
024600*
024700     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
024800     SET MMSCRB-READ-RANDOM      TO TRUE.
024900     PERFORM MB00PD-MMSC-ACCESS
025000        THRU MB00PD-MMSC-ACCESS-EXIT.
025100*
025200     IF  SS02WS-FS-NO-RECORD-FOUND
025300         PERFORM Z900-INIT-RECORD
025400            THRU Z999-IR-EXIT
025500         MOVE 'N'                TO MBD100WS-IO-SW
025600     ELSE
025700         MOVE MMSCIO-RECORD      TO MMSC-RECORD
025800         MOVE 'U'                TO MBD100WS-IO-SW.
025900*
026000 P799-GRTU-EXIT.
026100     EXIT.
026200/
026300 U000-NEW-RECORD SECTION.
026400 U010-NR-BEGIN.
026500*
026600     PERFORM Z100-COMMON-FROM-DATA
026700        THRU Z199-CFD-EXIT.
026800*
026900     PERFORM Z200-COMMON-TO-DATA
027000        THRU Z299-CTD-EXIT.
027100*
027200     MOVE MTL1-ADD-AREA          TO MMSC-RECORD.
027300*
027400     IF  MBD100WS-IO-NO-REC-FOUND
027500         MOVE 'W'                TO MBD100WS-IO-SW.
027600*
027700     IF  MBD100WS-FC-1-2-ADD
027800         MOVE '*** NEW RECORD ADDED ***'
027900                                 TO MBD100WS-PL2-TO-VALUE
028000                                    MBD100WS-PL1-FROM-VALUE
028100     ELSE
028200         MOVE '*** REPLACEMENT RECORD ***'
028300                                 TO MBD100WS-PL2-TO-VALUE
028400                                    MBD100WS-PL1-FROM-VALUE.
028500*
028600     MOVE SPACES                 TO MTCC-RECORD.
028700     MOVE MMSC-ORG               TO MTCC-MBU901-BEG-ORG.
028800     MOVE 'MBU901'               TO MTCC-PROGRAM-ID.
028900     MOVE MTCC-RECORD            TO MTC2-RECORD.
029000*
029100 U099-NR-EXIT.
029200     EXIT.
029300/
029400 Z100-COMMON-FROM-DATA SECTION.
029500 Z110-CFD-BEGIN.
029600*
029700 Z199-CFD-EXIT.
029800     EXIT.
029900/
030000 Z200-COMMON-TO-DATA SECTION.
030100 Z210-CTD-BEGIN.
030200*
030300 Z299-CTD-EXIT.
030400     EXIT.
030500/
030600 Z900-INIT-RECORD SECTION.
030700 Z910-IR-BEGIN.
030800*
030900     MOVE SPACES                 TO MTC1-RECORD.
031000     MOVE SPACES                 TO MTC2-RECORD.
031100*
031200 Z999-IR-EXIT.
031300     EXIT.
031400/
031500 0000-MAINT-RECORD SECTION.
031600 0010-MR-BEGIN.
031700*
031800     PERFORM Z100-COMMON-FROM-DATA
031900        THRU Z199-CFD-EXIT.
032000*
032100     PERFORM Z200-COMMON-TO-DATA
032200        THRU Z299-CTD-EXIT.
032300*
032400     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
032500         GO TO 0101-MR-FIELD.
032600*
032700     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
032800         GO TO 0102-MR-FIELD.
032900*
033000     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
033100         GO TO 0103-MR-FIELD.
033200*
033300     IF  MTL1-FIELD-CODE IS EQUAL TO 0104
033400         GO TO 0104-MR-FIELD.
033500*
033600     IF  MTL1-FIELD-CODE IS EQUAL TO 0105
033700         GO TO 0105-MR-FIELD.
033800*
033900     IF  MTL1-FIELD-CODE IS EQUAL TO 0106
034000         GO TO 0106-MR-FIELD.
034100*
034200     IF  MTL1-FIELD-CODE IS EQUAL TO 0107
034300         GO TO 0107-MR-FIELD.
034400*
034500     IF  MTL1-FIELD-CODE IS EQUAL TO 0108
034600         GO TO 0108-MR-FIELD.
034700*
034800     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
034900         GO TO 0198-MR-FIELD.
035000*
035100     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
035200         GO TO 0199-MR-FIELD.
035300*
035400     IF  MTL1-FIELD-CODE IS EQUAL TO 0201
035500         GO TO 0201-MR-FIELD.
035600*
035700     IF  MTL1-FIELD-CODE IS EQUAL TO 0202
035800         GO TO 0202-MR-FIELD.
035900*
036000     IF  MTL1-FIELD-CODE IS EQUAL TO 0203
036100         GO TO 0203-MR-FIELD.
036200*
036300     IF  MTL1-FIELD-CODE IS EQUAL TO 0204
036400         GO TO 0204-MR-FIELD.
036500*
036600     IF  MTL1-FIELD-CODE IS EQUAL TO 0205
036700         GO TO 0205-MR-FIELD.
036800*
036900     IF  MTL1-FIELD-CODE IS EQUAL TO 0206
037000         GO TO 0206-MR-FIELD.
037100*
037200     IF  MTL1-FIELD-CODE IS EQUAL TO 0207
037300         GO TO 0207-MR-FIELD.
037400*
037500     IF  MTL1-FIELD-CODE IS EQUAL TO 0210
037600         GO TO 0210-MR-FIELD.
037700*
037800     IF  MTL1-FIELD-CODE IS EQUAL TO 0211
037900         GO TO 0211-MR-FIELD.
038000*
038100     IF  MTL1-FIELD-CODE IS EQUAL TO 0212
038200         GO TO 0212-MR-FIELD.
038300*
038400     IF  MTL1-FIELD-CODE IS EQUAL TO 0213
038500         GO TO 0213-MR-FIELD.
038600*
038700     IF  MTL1-FIELD-CODE IS EQUAL TO 0214
038800         GO TO 0214-MR-FIELD.
038900*
039000     IF  MTL1-FIELD-CODE IS EQUAL TO 0215
039100         GO TO 0215-MR-FIELD.
039200*
039300     IF  MTL1-FIELD-CODE IS EQUAL TO 0216
039400         GO TO 0216-MR-FIELD.
039500*
039502     IF  MTL1-FIELD-CODE IS EQUAL TO 0217                         EH800900
039504         GO TO 0217-MR-FIELD.                                     EH800900
039506*                                                                 EH800900
039510     IF  MTL1-FIELD-CODE IS EQUAL TO 0218                         FX800054
039512         GO TO 0218-MR-FIELD.                                     FX800054
039514*                                                                 FX800054
039516     IF  MTL1-FIELD-CODE IS EQUAL TO 0219                         FX800054
039518         GO TO 0219-MR-FIELD.                                     FX800054
039520*                                                                 FX800054
039522     IF  MTL1-FIELD-CODE IS EQUAL TO 0220                         FX800054
039524         GO TO 0220-MR-FIELD.                                     FX800054
039526*                                                                 FX800054
039528     IF  MTL1-FIELD-CODE IS EQUAL TO 0221                         FX800054
039530         GO TO 0221-MR-FIELD.                                     FX800054
039532*                                                                 FX800054
039534     IF  MTL1-FIELD-CODE IS EQUAL TO 0222                         FX800054
039536         GO TO 0222-MR-FIELD.                                     FX800054
039538*                                                                 FX800054
039600     IF  MTL1-FIELD-CODE IS EQUAL TO 0301
039700         GO TO 0301-MR-FIELD.
039800*
039900     IF  MTL1-FIELD-CODE IS EQUAL TO 0302
040000         GO TO 0302-MR-FIELD.
040100*
040200     IF  MTL1-FIELD-CODE IS EQUAL TO 0303
040300         GO TO 0303-MR-FIELD.
040400*
040500     IF  MTL1-FIELD-CODE IS EQUAL TO 0304
040600         GO TO 0304-MR-FIELD.
040700*
040800     IF  MTL1-FIELD-CODE IS EQUAL TO 0305
040900         GO TO 0305-MR-FIELD.
041000*
041100     IF  MTL1-FIELD-CODE IS EQUAL TO 0306
041200         GO TO 0306-MR-FIELD.
041300*
041400     IF  MTL1-FIELD-CODE IS EQUAL TO 0307
041500         GO TO 0307-MR-FIELD.
041600*
041700     IF  MTL1-FIELD-CODE IS EQUAL TO 0308
041800         GO TO 0308-MR-FIELD.
041900*
042000     IF  MTL1-FIELD-CODE IS EQUAL TO 0309
042100         GO TO 0309-MR-FIELD.
042200*
042300     MOVE '*** ERROR - INVALID FIELD CODE ***'
042400                                 TO MBD100WS-PL2-TO-VALUE.
042500     GO TO 5999-MR-EXIT.
042600*
042700 0101-MR-FIELD.
042800*
042900     IF  MBD100WS-JOURNAL
043000         MOVE MTL1-VL30-B-DATA-X TO MMSC-PROC-CENTER-ID.
043100*
043200     MOVE 'PROCESSING CENTER ID  '
043300                                 TO MBD100WS-PL1-DESC.
043400     MOVE MMSC-PROC-CENTER-ID    TO MBD100WS-PL1-FROM-VALUE.
043500     MOVE MTL1-VL30-A-DATA-X     TO MMSC-PROC-CENTER-ID.
043600     MOVE MMSC-PROC-CENTER-ID    TO MBD100WS-PL2-TO-VALUE.
043700     GO TO 5100-MR-NO-REC-CHECK.
043800*
043900*
044000*
044100 0102-MR-FIELD.
044200*
044300     IF  MBD100WS-JOURNAL
044400         MOVE MTL1-VL30-B-DATA-X TO MMSC-SCREEN-HEADER.
044500*
044600     MOVE 'SCREEN HEADER TITLE   '
044700                                 TO MBD100WS-PL1-DESC.
044800     MOVE MMSC-SCREEN-HEADER     TO MBD100WS-PL1-FROM-VALUE.
044900     MOVE MTL1-VL30-A-DATA-X     TO MMSC-SCREEN-HEADER.
045000     MOVE MMSC-SCREEN-HEADER     TO MBD100WS-PL2-TO-VALUE.
045100     GO TO 5100-MR-NO-REC-CHECK.
045200*
045300*
045400*
045500 0103-MR-FIELD.
045600*
045700     SET X-MMSC-WW               TO MTL1-FIELD-OCCURRENCE.
045800*
045900     IF  MBD100WS-JOURNAL
046000         MOVE MTL1-VL01-B-DATA-X TO MMSC-WORK-WEEK-R
046100                                    (X-MMSC-WW).
046200*
046300     MOVE 'DAY OF WORK WEEK      '
046400                                 TO MBD100WS-PL1-DESC.
046500     MOVE MMSC-WORK-WEEK-R
046600          (X-MMSC-WW)            TO MBD100WS-PL1-FROM-VALUE.
046700     MOVE MTL1-VL01-A-DATA-X     TO MMSC-WORK-WEEK-R
046800                                    (X-MMSC-WW).
046900     MOVE MMSC-WORK-WEEK-R
047000          (X-MMSC-WW)            TO MBD100WS-PL2-TO-VALUE.
047100     GO TO 5100-MR-NO-REC-CHECK.
047200*
047300*
047400*
047500 0104-MR-FIELD.
047600*
047700     SET X-MMSC-HOL              TO MTL1-FIELD-OCCURRENCE.
047800*
047900     IF  MBD100WS-JOURNAL
048000         MOVE MTL1-VL07-B-DATA-9 TO MMSC-HOLIDAYS
048100                                    (X-MMSC-HOL).
048200*
048300     MOVE 'SYSTEM HOLIDAY        '
048400                                 TO MBD100WS-PL1-DESC.
048500     MOVE MMSC-HOLIDAYS
048600          (X-MMSC-HOL)           TO SS01WS-JULIAN.
048700     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
048800     MOVE MTL1-VL07-A-DATA-9     TO MMSC-HOLIDAYS
048900                                    (X-MMSC-HOL).
049000     MOVE MMSC-HOLIDAYS
049100          (X-MMSC-HOL)           TO SS01WS-JULIAN.
049200     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
049300     GO TO 5100-MR-NO-REC-CHECK.
049400*
049500*
049600*
049700 0105-MR-FIELD.
049800*
049900     IF  MBD100WS-JOURNAL
050000         MOVE MTL1-VL07-B-DATA-9 TO MMSC-ACCR-THRU-DATE.
050100*
050200     MOVE 'ACCRUED THRU DATE     '
050300                                 TO MBD100WS-PL1-DESC.
050400     MOVE MMSC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
050500     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
050600     MOVE MTL1-VL07-A-DATA-9     TO MMSC-ACCR-THRU-DATE.
050700     MOVE MMSC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
050800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
050900     GO TO 5100-MR-NO-REC-CHECK.
051000*
051100*
051200*
051300 0106-MR-FIELD.
051400*
051500     IF  MBD100WS-JOURNAL
051600         MOVE MTL1-VL07-B-DATA-9 TO MMSC-DATE-NEXT-PROC.
051700*
051800     MOVE 'DATE NEXT PROCESSING  '
051900                                 TO MBD100WS-PL1-DESC.
052000     MOVE MMSC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
052100     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
052200     MOVE MTL1-VL07-A-DATA-9     TO MMSC-DATE-NEXT-PROC.
052300     MOVE MMSC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
052400     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
052500     GO TO 5100-MR-NO-REC-CHECK.
052600*
052700*
052800*
052900 0107-MR-FIELD.
053000*
053100     IF  MBD100WS-JOURNAL
053200         MOVE MTL1-VL07-B-DATA-9 TO MMSC-TODAYS-JULIAN.
053300*
053400     MOVE 'TODAYS JULIAN DATE    '
053500                                 TO MBD100WS-PL1-DESC.
053600     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
053700     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
053800     MOVE MTL1-VL07-A-DATA-9     TO MMSC-TODAYS-JULIAN.
053900     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
054000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
054100     GO TO 5100-MR-NO-REC-CHECK.
054200*
054300*
054400*
054500 0108-MR-FIELD.
054600*
054700     IF  MBD100WS-JOURNAL
054800         MOVE MTL1-VL10-B-DATA-9 TO MMSC-TODAYS-CALENDAR.
054900*
055000     MOVE 'TODAYS CALENDAR DATE  '
055100                                 TO MBD100WS-PL1-DESC.
055200     MOVE MMSC-TODAYS-CALENDAR   TO MBD100WS-PL1-FV-99999999.
055300     MOVE MTL1-VL10-A-DATA-9     TO MMSC-TODAYS-CALENDAR.
055400     MOVE MMSC-TODAYS-CALENDAR   TO MBD100WS-PL2-TV-99999999.
055500     GO TO 5100-MR-NO-REC-CHECK.
055600*
055700*
055800*
055900 0201-MR-FIELD.
056000*
056100     IF  MBD100WS-JOURNAL
056200         MOVE MTL1-VL01-B-DATA-9 TO MMSC-FICHE-FLAG.
056300*
056400     MOVE 'FICHE FLAG            '
056500                                 TO MBD100WS-PL1-DESC.
056600     MOVE MMSC-FICHE-FLAG        TO MBD100WS-PL1-FV-9.
056700     MOVE MTL1-VL01-A-DATA-9     TO MMSC-FICHE-FLAG.
056800     MOVE MMSC-FICHE-FLAG        TO MBD100WS-PL2-TV-9.
056900     GO TO 5100-MR-NO-REC-CHECK.
057000*
057100*
057200*
057300 0202-MR-FIELD.
057400*
057500     IF  MBD100WS-JOURNAL
057600         MOVE MTL1-VL01-B-DATA-X TO MMSC-MER-GROUP-STAT-FLAG.
057700*
057800     MOVE 'MERCH GROUP STAT FLAG '
057900                                 TO MBD100WS-PL1-DESC.
058000     MOVE MMSC-MER-GROUP-STAT-FLAG
058100                                 TO MBD100WS-PL1-FROM-VALUE.
058200     MOVE MTL1-VL01-A-DATA-X     TO MMSC-MER-GROUP-STAT-FLAG.
058300     MOVE MMSC-MER-GROUP-STAT-FLAG
058400                                 TO MBD100WS-PL2-TO-VALUE.
058500     GO TO 5100-MR-NO-REC-CHECK.
058600*
058700*
058800*
058900 0203-MR-FIELD.
059000*
059100     IF  MBD100WS-JOURNAL
059200         MOVE MTL1-VL02-B-DATA-9 TO MMSC-FORM.
059300*
059400     MOVE 'FORM CODE             '
059500                                 TO MBD100WS-PL1-DESC.
059600     MOVE MMSC-FORM              TO MBD100WS-PL1-FV-99.
059700     MOVE MTL1-VL02-A-DATA-9     TO MMSC-FORM.
059800     MOVE MMSC-FORM              TO MBD100WS-PL2-TV-99.
059900     GO TO 5100-MR-NO-REC-CHECK.
060000*
060100*
060200*
060300 0204-MR-FIELD.
060400*
060500     IF  MBD100WS-JOURNAL
060600         MOVE MTL1-VL01-B-DATA-X TO MMSC-MISC-CMS-ACTIVE.
060700*
060800     MOVE 'C-M-S ACTIVE FLAG     '
060900                                 TO MBD100WS-PL1-DESC.
061000     MOVE MMSC-MISC-CMS-ACTIVE   TO MBD100WS-PL1-FROM-VALUE.
061100     MOVE MTL1-VL01-A-DATA-X     TO MMSC-MISC-CMS-ACTIVE.
061200     MOVE MMSC-MISC-CMS-ACTIVE   TO MBD100WS-PL2-TO-VALUE.
061300     GO TO 5100-MR-NO-REC-CHECK.
061400*
061500*
061600*
061700 0205-MR-FIELD.
061800*
061900     IF  MBD100WS-JOURNAL
062000         MOVE MTL1-VL02-B-DATA-9 TO MMSC-LINES-PER-PAGE.
062100*
062200     MOVE 'LINES-PER-PAGE        '
062300                                 TO MBD100WS-PL1-DESC.
062400     MOVE MMSC-LINES-PER-PAGE    TO MBD100WS-PL1-FV-99.
062500     MOVE MTL1-VL02-A-DATA-9     TO MMSC-LINES-PER-PAGE.
062600     MOVE MMSC-LINES-PER-PAGE    TO MBD100WS-PL2-TV-99.
062700     GO TO 5100-MR-NO-REC-CHECK.
062800*
062900*
063000*
063100 0206-MR-FIELD.
063200*
063300     IF  MBD100WS-JOURNAL
063400         MOVE MTL1-VL02-B-DATA-9 TO MMSC-CRB-FREQ.
063500*
063600     MOVE 'CRB FREQUENCY         '
063700                                 TO MBD100WS-PL1-DESC.
063800     MOVE MMSC-CRB-FREQ          TO MBD100WS-PL1-FV-99.
063900     MOVE MTL1-VL02-A-DATA-9     TO MMSC-CRB-FREQ.
064000     MOVE MMSC-CRB-FREQ          TO MBD100WS-PL2-TV-99.
064100     GO TO 5100-MR-NO-REC-CHECK.
064200*
064300*
064400*
064500 0207-MR-FIELD.
064600*
064700     IF  MBD100WS-JOURNAL
064800         MOVE MTL1-VL01-B-DATA-X TO MMSC-CRB-DEMAND-REQ.
064900*
065000     MOVE 'CRB DEMAND REQUEST    '
065100                                 TO MBD100WS-PL1-DESC.
065200     MOVE MMSC-CRB-DEMAND-REQ    TO MBD100WS-PL1-FROM-VALUE.
065300     MOVE MTL1-VL01-A-DATA-X     TO MMSC-CRB-DEMAND-REQ.
065400     MOVE MMSC-CRB-DEMAND-REQ    TO MBD100WS-PL2-TO-VALUE.
065500     GO TO 5100-MR-NO-REC-CHECK.
065600*
065700*
065800*
065900 0210-MR-FIELD.
066000*
066100     IF  MBD100WS-JOURNAL
066200         MOVE MTL1-VL01-B-DATA-X TO MMSC-MULTIPLE-INTCHG.
066300*
066400     MOVE 'MULTIPLE INTERCHANGE  '
066500                                 TO MBD100WS-PL1-DESC.
066600     MOVE MMSC-MULTIPLE-INTCHG   TO MBD100WS-PL1-FROM-VALUE.
066700     MOVE MTL1-VL01-A-DATA-X     TO MMSC-MULTIPLE-INTCHG.
066800     MOVE MMSC-MULTIPLE-INTCHG   TO MBD100WS-PL2-TO-VALUE.
066900     GO TO 5100-MR-NO-REC-CHECK.
067000*
067100*
067200*
067300 0211-MR-FIELD.
067400*
067500     IF  MBD100WS-JOURNAL
067600         MOVE MTL1-VL07-B-DATA-9 TO MMSC-INTCHG-BIN.
067700*
067800     MOVE 'INTERCHANGE BIN       '
067900                                 TO MBD100WS-PL1-DESC.
068000     MOVE MMSC-INTCHG-BIN        TO MBD100WS-PL1-FV-999999.
068100     MOVE MTL1-VL07-A-DATA-9     TO MMSC-INTCHG-BIN.
068200     MOVE MMSC-INTCHG-BIN        TO MBD100WS-PL2-TV-999999.
068300     GO TO 5100-MR-NO-REC-CHECK.
068400*
068500*
068600*
068700 0212-MR-FIELD.
068800*
068900     IF  MBD100WS-JOURNAL
069000         MOVE MTL1-VL01-B-DATA-X TO MMSC-ICA-TABLE-OR-FILE.
069100*
069200     MOVE 'ICA TABLE/FILE FLAG   '
069300                                 TO MBD100WS-PL1-DESC.
069400     MOVE MMSC-ICA-TABLE-OR-FILE TO MBD100WS-PL1-FROM-VALUE.
069500     MOVE MTL1-VL01-A-DATA-X     TO MMSC-ICA-TABLE-OR-FILE.
069600     MOVE MMSC-ICA-TABLE-OR-FILE TO MBD100WS-PL2-TO-VALUE.
069700     GO TO 5100-MR-NO-REC-CHECK.
069800*
069900*
070000*
070100 0213-MR-FIELD.
070200*
070300     IF  MBD100WS-JOURNAL
070400         MOVE MTL1-VL01-B-DATA-X TO MMSC-VI-ON-US-INTCHG.
070500*
070600     MOVE 'VISA ON-US INTCHG FLAG'
070700                                 TO MBD100WS-PL1-DESC.
070800     MOVE MMSC-VI-ON-US-INTCHG   TO MBD100WS-PL1-FROM-VALUE.
070900     MOVE MTL1-VL01-A-DATA-X     TO MMSC-VI-ON-US-INTCHG.
071000     MOVE MMSC-VI-ON-US-INTCHG   TO MBD100WS-PL2-TO-VALUE.
071100     GO TO 5100-MR-NO-REC-CHECK.
071200*
071300*
071400*
071500 0214-MR-FIELD.
071600*
071700     IF  MBD100WS-JOURNAL
071800         MOVE MTL1-VL04-B-DATA-9 TO MMSC-INTCHG-ICA.
071900*
072000     MOVE 'INTERCHANGE ICA NBR   '
072100                                 TO MBD100WS-PL1-DESC.
072200     MOVE MMSC-INTCHG-ICA        TO MBD100WS-PL1-FV-9999.
072300     MOVE MTL1-VL04-A-DATA-9     TO MMSC-INTCHG-ICA.
072400     MOVE MMSC-INTCHG-ICA        TO MBD100WS-PL2-TV-9999.
072500     GO TO 5100-MR-NO-REC-CHECK.
072600*
072700*
072800*
072900 0215-MR-FIELD.
073000*
073100     IF  MBD100WS-JOURNAL
073200         MOVE MTL1-VL01-B-DATA-X TO MMSC-STORE-GROUP-STAT-FLAG.
073300*
073400     MOVE 'STORE GROUP STAT FLAG '
073500                                 TO MBD100WS-PL1-DESC.
073600     MOVE MMSC-STORE-GROUP-STAT-FLAG
073700                                 TO MBD100WS-PL1-FROM-VALUE.
073800     MOVE MTL1-VL01-A-DATA-X     TO MMSC-STORE-GROUP-STAT-FLAG.
073900     MOVE MMSC-STORE-GROUP-STAT-FLAG
074000                                 TO MBD100WS-PL2-TO-VALUE.
074100     GO TO 5100-MR-NO-REC-CHECK.
074200 0216-MR-FIELD.
074300*
074400     IF  MBD100WS-JOURNAL
074500         MOVE MTL1-VL01-B-DATA-X TO MMSC-EUROPAY-FLAG.
074600*
074700     MOVE 'EUROPEAN QTR RPT FLAG '
074800                                 TO MBD100WS-PL1-DESC.
074900     MOVE MMSC-EUROPAY-FLAG
075000                                 TO MBD100WS-PL1-FROM-VALUE.
075100     MOVE MTL1-VL01-A-DATA-X     TO MMSC-EUROPAY-FLAG.
075200     MOVE MMSC-EUROPAY-FLAG
075300                                 TO MBD100WS-PL2-TO-VALUE.
075400     GO TO 5100-MR-NO-REC-CHECK.
075500*
075600*
075700*
075702 0217-MR-FIELD.                                                   EH800900
075704*                                                                 EH800900
075706     IF  MBD100WS-JOURNAL                                         EH800900
075708         MOVE MTL1-VL10-B-DATA-9 TO MMSC-EUROPAY-CMID.            EH800900
075710*                                                                 EH800900
075712     MOVE 'EUROPAY CMID          '                                EH800900
075714                                 TO MBD100WS-PL1-DESC.            EH800900
075716     MOVE MMSC-EUROPAY-CMID      TO MBD100WS-PL1-FV-999999999.    EH800900
075718     MOVE MTL1-VL10-A-DATA-9     TO MMSC-EUROPAY-CMID             EH800900
075720     MOVE MMSC-EUROPAY-CMID      TO MBD100WS-PL2-TV-999999999.    EH800900
075722     GO TO 5100-MR-NO-REC-CHECK.                                  EH800900
075800*
075802*                                                                 FX800054
075804*                                                                 FX800054
075806 0218-MR-FIELD.                                                   FX800054
075808*                                                                 FX800054
075810     IF  MBD100WS-JOURNAL                                         FX800054
075812         MOVE MTL1-VL01-B-DATA-X TO MMSC-REGION-CANADA.           FX800054
075814*                                                                 FX800054
075816     MOVE 'CANADIAN  QTR RPT FLAG'                                FX800054
075818                                 TO MBD100WS-PL1-DESC.            FX800054
075820     MOVE MMSC-REGION-CANADA                                      FX800054
075822                                 TO MBD100WS-PL1-FROM-VALUE.      FX800054
075824     MOVE MTL1-VL01-A-DATA-X     TO MMSC-REGION-CANADA.           FX800054
075826     MOVE MMSC-REGION-CANADA                                      FX800054
075828                                 TO MBD100WS-PL2-TO-VALUE.        FX800054
075830     GO TO 5100-MR-NO-REC-CHECK.                                  FX800054
075832*                                                                 FX800054
075834*                                                                 FX800054
075836*                                                                 FX800054
075838 0219-MR-FIELD.                                                   FX800054
075840*                                                                 FX800054
075842     IF  MBD100WS-JOURNAL                                         FX800054
075844         MOVE MTL1-VL01-B-DATA-X TO MMSC-REGION-RESERVED.         FX800054
075846*                                                                 FX800054
075848     MOVE 'RESERVED  QTR RPT FLAG'                                FX800054
075850                                 TO MBD100WS-PL1-DESC.            FX800054
075852     MOVE MMSC-REGION-RESERVED                                    FX800054
075854                                 TO MBD100WS-PL1-FROM-VALUE.      FX800054
075856     MOVE MTL1-VL01-A-DATA-X     TO MMSC-REGION-RESERVED.         FX800054
075858     MOVE MMSC-REGION-RESERVED                                    FX800054
075860                                 TO MBD100WS-PL2-TO-VALUE.        FX800054
075862     GO TO 5100-MR-NO-REC-CHECK.                                  FX800054
075864*                                                                 FX800054
075866*                                                                 FX800054
075868*                                                                 FX800054
075870 0220-MR-FIELD.                                                   FX800054
075872*                                                                 FX800054
075874     IF  MBD100WS-JOURNAL                                         FX800054
075876         MOVE MTL1-VL01-B-DATA-X TO MMSC-REGION-ASIA-PACIFIC.     FX800054
075878*                                                                 FX800054
075880     MOVE 'ASIA/PAC  QTR RPT FLAG'                                FX800054
075882                                 TO MBD100WS-PL1-DESC.            FX800054
075884     MOVE MMSC-REGION-ASIA-PACIFIC                                FX800054
075886                                 TO MBD100WS-PL1-FROM-VALUE.      FX800054
075888     MOVE MTL1-VL01-A-DATA-X     TO MMSC-REGION-ASIA-PACIFIC.     FX800054
075890     MOVE MMSC-REGION-ASIA-PACIFIC                                FX800054
075892                                 TO MBD100WS-PL2-TO-VALUE.        FX800054
075894     GO TO 5100-MR-NO-REC-CHECK.                                  FX800054
075896*                                                                 FX800054
075898*                                                                 FX800054
075900*                                                                 FX800054
075902 0221-MR-FIELD.                                                   FX800054
075904*                                                                 FX800054
075906     IF  MBD100WS-JOURNAL                                         FX800054
075908         MOVE MTL1-VL01-B-DATA-X TO MMSC-REGION-LATAM-CARIB.      FX800054
075910*                                                                 FX800054
075912     MOVE 'LA/CARIB  QTR RPT FLAG'                                FX800054
075914                                 TO MBD100WS-PL1-DESC.            FX800054
075916     MOVE MMSC-REGION-LATAM-CARIB                                 FX800054
075918                                 TO MBD100WS-PL1-FROM-VALUE.      FX800054
075920     MOVE MTL1-VL01-A-DATA-X     TO MMSC-REGION-LATAM-CARIB.      FX800054
075922     MOVE MMSC-REGION-LATAM-CARIB                                 FX800054
075924                                 TO MBD100WS-PL2-TO-VALUE.        FX800054
075926     GO TO 5100-MR-NO-REC-CHECK.                                  FX800054
075928*                                                                 FX800054
075930*                                                                 FX800054
075932*                                                                 FX800054
075934 0222-MR-FIELD.                                                   FX800054
075936*                                                                 FX800054
075938     IF  MBD100WS-JOURNAL                                         FX800054
075940         MOVE MTL1-VL01-B-DATA-X TO MMSC-REGION-CEMEA.            FX800054
075942*                                                                 FX800054
075944     MOVE 'CEMEA QTR RPT FLAG    '                                FX800054
075946                                 TO MBD100WS-PL1-DESC.            FX800054
075948     MOVE MMSC-REGION-CEMEA                                       FX800054
075950                                 TO MBD100WS-PL1-FROM-VALUE.      FX800054
075952     MOVE MTL1-VL01-A-DATA-X     TO MMSC-REGION-CEMEA.            FX800054
075954     MOVE MMSC-REGION-CEMEA                                       FX800054
075956                                 TO MBD100WS-PL2-TO-VALUE.        FX800054
075958     GO TO 5100-MR-NO-REC-CHECK.                                  FX800054
075960*                                                                 FX800054
075962*                                                                 FX800054
076000*
076100 0301-MR-FIELD.
076200*
076300     SET X-MMSC-ACH-WW           TO MTL1-FIELD-OCCURRENCE.
076400*
076500     IF  MBD100WS-JOURNAL
076600         MOVE MTL1-VL01-B-DATA-X TO MMSC-ACH-WORK-WEEK-R
076700                                    (X-MMSC-ACH-WW).
076800*
076900     MOVE 'ACH WORK WEEK DAY     '
077000                                 TO MBD100WS-PL1-DESC.
077100     MOVE MMSC-ACH-WORK-WEEK-R
077200          (X-MMSC-ACH-WW)        TO MBD100WS-PL1-FROM-VALUE.
077300     MOVE MTL1-VL01-A-DATA-X     TO MMSC-ACH-WORK-WEEK-R
077400                                    (X-MMSC-ACH-WW).
077500     MOVE MMSC-ACH-WORK-WEEK-R
077600          (X-MMSC-ACH-WW)        TO MBD100WS-PL2-TO-VALUE.
077700     GO TO 5100-MR-NO-REC-CHECK.
077800*
077900*
078000*
078100 0302-MR-FIELD.
078200*
078300     SET X-MMSC-ACH-HOL          TO MTL1-FIELD-OCCURRENCE.
078400*
078500     IF  MBD100WS-JOURNAL
078600         MOVE MTL1-VL07-B-DATA-9 TO MMSC-ACH-HOLIDAYS
078700                                    (X-MMSC-ACH-HOL).
078800*
078900     MOVE 'ACH HOLIDAY           '
079000                                 TO MBD100WS-PL1-DESC.
079100     MOVE MMSC-ACH-HOLIDAYS
079200          (X-MMSC-ACH-HOL)       TO SS01WS-JULIAN.
079300     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
079400     MOVE MTL1-VL07-A-DATA-9     TO MMSC-ACH-HOLIDAYS
079500                                    (X-MMSC-ACH-HOL).
079600     MOVE MMSC-ACH-HOLIDAYS
079700          (X-MMSC-ACH-HOL)       TO SS01WS-JULIAN.
079800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
079900     GO TO 5100-MR-NO-REC-CHECK.
080000*
080100*
080200*
080300 0303-MR-FIELD.
080400*
080500     IF  MBD100WS-JOURNAL
080600         MOVE MTL1-VL30-B-DATA-X TO MMSC-ACH-DEST-NAME.
080700*
080800     MOVE 'ACH DESTINATION NAME  '
080900                                 TO MBD100WS-PL1-DESC.
081000     MOVE MMSC-ACH-DEST-NAME     TO MBD100WS-PL1-FROM-VALUE.
081100     MOVE MTL1-VL30-A-DATA-X     TO MMSC-ACH-DEST-NAME.
081200     MOVE MMSC-ACH-DEST-NAME     TO MBD100WS-PL2-TO-VALUE.
081300     GO TO 5100-MR-NO-REC-CHECK.
081400*
081500*
081600*
081700 0304-MR-FIELD.
081800*
081900     IF  MBD100WS-JOURNAL
082000         MOVE MTL1-VL10-B-DATA-9 TO MMSC-ACH-DEST-ABA-NBR.
082100*
082200     MOVE 'ACH DEST R/T NUMBER   '
082300                                 TO MBD100WS-PL1-DESC.
082400     MOVE MMSC-ACH-DEST-ABA-NBR  TO MBD100WS-PL1-FV-999999999.
082500     MOVE MTL1-VL10-A-DATA-9     TO MMSC-ACH-DEST-ABA-NBR.
082600     MOVE MMSC-ACH-DEST-ABA-NBR  TO MBD100WS-PL2-TV-999999999.
082700     GO TO 5100-MR-NO-REC-CHECK.
082800*
082900*
083000*
083100 0305-MR-FIELD.
083200*
083300     IF  MBD100WS-JOURNAL
083400         MOVE MTL1-VL30-B-DATA-X TO MMSC-ACH-ORIGIN-NAME.
083500*
083600     MOVE 'ACH ORIGIN NAME       '
083700                                 TO MBD100WS-PL1-DESC.
083800     MOVE MMSC-ACH-ORIGIN-NAME   TO MBD100WS-PL1-FROM-VALUE.
083900     MOVE MTL1-VL30-A-DATA-X     TO MMSC-ACH-ORIGIN-NAME.
084000     MOVE MMSC-ACH-ORIGIN-NAME   TO MBD100WS-PL2-TO-VALUE.
084100     GO TO 5100-MR-NO-REC-CHECK.
084200*
084300*
084400*
084500 0306-MR-FIELD.
084600*
084700     IF  MBD100WS-JOURNAL
084800         MOVE MTL1-VL10-B-DATA-9 TO MMSC-ACH-ORIGIN-ABA-NBR.
084900*
085000     MOVE 'ACH ORIGIN R/T NBR    '
085100                                 TO MBD100WS-PL1-DESC.
085200     MOVE MMSC-ACH-ORIGIN-ABA-NBR
085300                                 TO MBD100WS-PL1-FV-999999999.
085400     MOVE MTL1-VL10-A-DATA-9     TO MMSC-ACH-ORIGIN-ABA-NBR.
085500     MOVE MMSC-ACH-ORIGIN-ABA-NBR
085600                                 TO MBD100WS-PL2-TV-999999999.
085700     GO TO 5100-MR-NO-REC-CHECK.
085800*
085900*
086000*
086100 0307-MR-FIELD.
086200*
086300     IF  MBD100WS-JOURNAL
086400         MOVE MTL1-VL01-B-DATA-X TO MMSC-ACH-FILE-ID-MOD.
086500*
086600     MOVE 'ACH FILE ID MODIFIER  '
086700                                 TO MBD100WS-PL1-DESC.
086800     MOVE MMSC-ACH-FILE-ID-MOD   TO MBD100WS-PL1-FROM-VALUE.
086900     MOVE MTL1-VL01-A-DATA-X     TO MMSC-ACH-FILE-ID-MOD.
087000     MOVE MMSC-ACH-FILE-ID-MOD   TO MBD100WS-PL2-TO-VALUE.
087100     GO TO 5100-MR-NO-REC-CHECK.
087200*
087300*
087400*
087500 0308-MR-FIELD.
087600*
087700     IF  MBD100WS-JOURNAL
087800         MOVE MTL1-VL20-B-DATA-X TO MMSC-ACH-TAX-ID-NBR.
087900*
088000     MOVE 'ACH TAX-ID NUMBER     '
088100                                 TO MBD100WS-PL1-DESC.
088200     MOVE MMSC-ACH-TAX-ID-NBR    TO MBD100WS-PL1-FROM-VALUE.
088300     MOVE MTL1-VL20-A-DATA-X     TO MMSC-ACH-TAX-ID-NBR.
088400     MOVE MMSC-ACH-TAX-ID-NBR    TO MBD100WS-PL2-TO-VALUE.
088500     GO TO 5100-MR-NO-REC-CHECK.
088600*
088700*
088800*
088900 0309-MR-FIELD.
089000*
089100     IF  MBD100WS-JOURNAL
089200         MOVE MTL1-VL02-B-DATA-9 TO MMSC-ACH-CONFIRM-DAYS.
089300*
089400     MOVE 'ACH CONFIRM DAYS      '
089500                                 TO MBD100WS-PL1-DESC.
089600     MOVE MMSC-ACH-CONFIRM-DAYS  TO MBD100WS-PL1-FV-99.
089700     MOVE MTL1-VL02-A-DATA-9     TO MMSC-ACH-CONFIRM-DAYS.
089800     MOVE MMSC-ACH-CONFIRM-DAYS  TO MBD100WS-PL2-TV-99.
089900     GO TO 5100-MR-NO-REC-CHECK.
090000*
090100*
090200*
090300 0198-MR-FIELD.
090400*
090500     IF  MBD100WS-JOURNAL
090600         MOVE MTL1-VL03-B-DATA-X TO MMSC-LAST-MAINT-OPER.
090700*
090800     MOVE 'LAST MAINT OPERATOR   '
090900                                 TO MBD100WS-PL1-DESC.
091000     MOVE MMSC-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
091100     MOVE MTL1-VL03-A-DATA-X     TO MMSC-LAST-MAINT-OPER.
091200     MOVE MMSC-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
091300     GO TO 5100-MR-NO-REC-CHECK.
091400*
091500*
091600*
091700 0199-MR-FIELD.
091800*
091900     IF  MBD100WS-JOURNAL
092000         MOVE MTL1-VL07-B-DATA-9 TO MMSC-LAST-MAINT-DATE.
092100*
092200     MOVE 'DATE LAST MAINTENANCE '
092300                                 TO MBD100WS-PL1-DESC.
092400     MOVE MMSC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
092500     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
092600     MOVE MTL1-VL07-A-DATA-9     TO MMSC-LAST-MAINT-DATE.
092700     MOVE MMSC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
092800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
092900     GO TO 5100-MR-NO-REC-CHECK.
093000*
093100*
093200*
093300 5100-MR-NO-REC-CHECK.
093400*
093500     IF  MBD100WS-UPDATE
093600     AND MBD100WS-IO-NO-REC-FOUND
093700         MOVE '*** ERROR - NO RECORD FOUND ***'
093800                                 TO MBD100WS-PL2-TO-VALUE.
093900*
094000 5999-MR-EXIT.
094100     EXIT.
094200/
094300 8100-FROM-DATE SECTION.
094400 8110-FD-BEGIN.
094500*
094600     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
094700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
094800        THRU SS26PD-NED-EXIT.
094900     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
095000     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
095100*
095200 8199-FD-EXIT.
095300     EXIT.
095400*
095500*
095600*
095700 8200-TO-DATE SECTION.
095800 8210-TD-BEGIN.
095900*
096000     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
096100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
096200        THRU SS26PD-NED-EXIT.
096300     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
096400     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
096500*
096600 8299-TD-EXIT.
096700     EXIT.
096800/
096900 9000-PERFORMED-ROUTINES-SECT SECTION.
097000*
097100     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
097200/
097300     COPY SS95PD.
097400/
097500     COPY MB99PD.
097600/
097700     COPY SS02PD.
097800/
097900     COPY SS07PD.
098000/
098100     COPY SS08PD.
098200/
098300     COPY SS26PD.
098400/
098500     COPY SS27PD.
098600*
098700 9995-END-SOURCE-STATEMENTS SECTION.
098800 9999-END-OF-PROGRAM.
098900     EXIT.
