000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD374.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBD374 - ASIA/PACIFIC QUARTERLY REPORT TOTALS               *
000800*                     ---ACCEPTANCE TOTALS---                   *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000/
002100 DATA DIVISION.
002200 FILE SECTION.
002300*
002400     COPY MS1SSD.
002500 01  MS1S-RECORD.
002600     03  MS1S-KEY.
002700         05  MS1S-ORG-MERCHANT.
002800             88  MS1S-HEADER                 VALUE ZERO.
002900             88  MS1S-TRAILER                VALUE '999999999999'.
003000             07  MS1S-ORG-X.
003100                 09  MS1S-ORG
003200                             PIC  9(03).
003300             07  MS1S-MERCHANT-X.
003400                 09  MS1S-MERCHANT
003500                             PIC  9(09).
003600         05  MS1S-STORE-X.
003700             07  MS1S-STORE  PIC  9(09).
003800*
003900     03  MS1S-DATA.
004000         05  FILLER          PIC  X(79).
004100/
004200 WORKING-STORAGE SECTION.
004300*
004400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
004500*
004600 01  WS-D374-WORK-AREAS.
004700     03  WS-D374-VISA-SW
004800                             PIC  X(01)      VALUE 'N'.
004900         88  WS-D374-VISA-NO                 VALUE 'N'.
005000         88  WS-D374-VISA-YES                VALUE 'Y'.
005100/
005200     COPY MBD360WS.
005300/
005400******************************************************************
005500     COPY MMMMIO.
005600/
005700     COPY MMMPIO.
005800/
005900     COPY MMOCIO.
006000/
006100     COPY MMQ4IO.
006200/
006300     COPY MMSCIO.
006400/
006500     COPY MMSMIO.
006600/
006700     COPY MWEQIO.
006800/
006900******************************************************************
007000     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
007100/
007200     COPY MB00RB REPLACING ==:MB00:== BY ==MMMP==.
007300/
007400     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
007500/
007600     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ4==.
007700/
007800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
007900/
008000     COPY MB00RB REPLACING ==:MB00:== BY ==MMSM==.
008100/
008200     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
008300/
008400     COPY MB00RB REPLACING ==:MB00:== BY ==MWEQ==.
008500/
008600******************************************************************
008700     COPY MMMMRL.
008800/
008900     COPY MMMPRL.
009000/
009100     COPY MMOCRL.
009200/
009300     COPY MMQ4RL.
009400/
009500     COPY MMSCRL.
009600/
009700     COPY MMSMRL.
009800/
009900     COPY MWEQRL REPLACING ==:MWEQ:== BY ==MWEQ==.
010000/
010100******************************************************************
010200     COPY MMMPTB.
010300/
010400     COPY MMMMIR.
010500/
010600     COPY MMQ4IR.
010700/
010800     COPY MTPTWS REPLACING ==:MTPT:== BY ==MTPT==.
010900/
011000     COPY MB00WS.
011100/
011200     COPY MB99WS.
011300/
011400     COPY SS00WS.
011500/
011600     COPY SS01WS.
011700/
011800     COPY SS02WS.
011900*
012000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012100/
012200 PROCEDURE DIVISION.
012300*
012400 A000-MAIN-LINE-SECT SECTION.
012500 A010-ML-BEGIN.
012600*
012700     MOVE 'MBD374'               TO SS02WS-ABEND-PROG-ID.
012800*
012900     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMSCRB-OPEN-INPUT       TO TRUE.
013100     PERFORM MB00PD-MMSC-ACCESS
013200        THRU MB00PD-MMSC-ACCESS-EXIT.
013300*
013400*
013500*
013600     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
013700     SET MMSCRB-READ-SEQ         TO TRUE.
013800     PERFORM MB00PD-MMSC-ACCESS
013900        THRU MB00PD-MMSC-ACCESS-EXIT.
014000*
014100     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
014200*
014300     IF  MMSCIO-HEADER
014400         CONTINUE
014500     ELSE
014600         PERFORM MB99PD-MISSING-HEADER-ABEND
014700            THRU MB99PD-MHA-EXIT
014800     END-IF.
014900*
015000     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
015100*
015200*
015300*
015400     IF  MMSC-REGION-A-P-ON
015500         PERFORM A100-OPEN-FILES
015600            THRU A199-OF-EXIT
015700         PERFORM A400-EXTRACT-STORE-DATA
015800            THRU A499-ESD-EXIT
015900         PERFORM A500-POSTING-PROCESS
016000            THRU A599-PP-EXIT
016100            UNTIL MMOCIO-TRAILER
016200         PERFORM A900-CLOSE-FILES
016300            THRU A999-CF-EXIT
016400     END-IF.
016500*
016600*
016700*
016800     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
016900     SET MMSCRB-CLOSE            TO TRUE.
017000     PERFORM MB00PD-MMSC-ACCESS
017100        THRU MB00PD-MMSC-ACCESS-EXIT.
017200*
017300     GO TO 9999-END-OF-PROGRAM.
017400*
017500 A099-ML-EXIT.
017600     EXIT.
017700/
017800 A100-OPEN-FILES SECTION.
017900 A101-OF-OPEN-FILES.
018000*
018100     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
018200     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
018300*
018400*
018500*
018600     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
018700     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
018800     PERFORM MB00PD-MMOC-ACCESS
018900        THRU MB00PD-MMOC-ACCESS-EXIT.
019000*
019100     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
019200     SET MMMMRB-OPEN-INPUT       TO TRUE.
019300     PERFORM MB00PD-MMMM-ACCESS
019400        THRU MB00PD-MMMM-ACCESS-EXIT.
019500*
019600     MOVE 'O1MP'                 TO SS02WS-ABEND-LOCATION.
019700     SET MMMPRB-OPEN-INPUT       TO TRUE.
019800     PERFORM MB00PD-MMMP-ACCESS
019900        THRU MB00PD-MMMP-ACCESS-EXIT.
020000*
020100     MOVE 'O1Q4'                 TO SS02WS-ABEND-LOCATION.
020200     SET MMQ4RB-OPEN-IO-DYN      TO TRUE.
020300     PERFORM MB00PD-MMQ4-ACCESS
020400        THRU MB00PD-MMQ4-ACCESS-EXIT.
020500*
020600     MOVE 'O1SM'                 TO SS02WS-ABEND-LOCATION.
020700     SET MMSMRB-OPEN-INPUT       TO TRUE.
020800     PERFORM MB00PD-MMSM-ACCESS
020900        THRU MB00PD-MMSM-ACCESS-EXIT.
021000*
021100*
021200*
021300 A310-OF-CHECK-HEADERS.
021400*
021500*
021600*
021700     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
021800     SET MMOCRB-READ-SEQ         TO TRUE.
021900     PERFORM MB00PD-MMOC-ACCESS
022000        THRU MB00PD-MMOC-ACCESS-EXIT.
022100     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
022200*
022300     IF  MMOCIO-HEADER
022400         CONTINUE
022500     ELSE
022600         PERFORM MB99PD-MISSING-HEADER-ABEND
022700            THRU MB99PD-MHA-EXIT
022800     END-IF.
022900*
023000     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
023100     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
023200     PERFORM MB99PD-CHECK-DATE-TIME
023300        THRU MB99PD-CDT-EXIT.
023400*
023500     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
023600*
023700*
023800*
023900     MOVE 'R0MM'                 TO SS02WS-ABEND-LOCATION.
024000     SET MMMMRB-READ-SEQ         TO TRUE.
024100     PERFORM MB00PD-MMMM-ACCESS
024200        THRU MB00PD-MMMM-ACCESS-EXIT.
024300     MOVE 'MMMM'                 TO MB99WS-FILE-ID.
024400*
024500     IF  MMMMIO-HEADER
024600         CONTINUE
024700     ELSE
024800         PERFORM MB99PD-MISSING-HEADER-ABEND
024900            THRU MB99PD-MHA-EXIT
025000     END-IF.
025100*
025200     MOVE MMMMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
025300     MOVE MMMMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
025400     PERFORM MB99PD-CHECK-DATE-TIME
025500        THRU MB99PD-CDT-EXIT.
025600*
025700     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
025800     SET MMMMRB-READ-SEQ         TO TRUE.
025900     PERFORM MB00PD-MMMM-ACCESS
026000        THRU MB00PD-MMMM-ACCESS-EXIT.
026100*
026200     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
026300*
026400*
026500*
026600     MOVE 'R0MP'                 TO SS02WS-ABEND-LOCATION.
026700     SET MMMPRB-READ-SEQ         TO TRUE.
026800     PERFORM MB00PD-MMMP-ACCESS
026900        THRU MB00PD-MMMP-ACCESS-EXIT.
027000     MOVE 'MMMP'                 TO MB99WS-FILE-ID.
027100*
027200     IF  MMMPIO-HEADER
027300         CONTINUE
027400     ELSE
027500         PERFORM MB99PD-MISSING-HEADER-ABEND
027600            THRU MB99PD-MHA-EXIT
027700     END-IF.
027800*
027900     MOVE MMMPIO-DATE-STAMP      TO MB99WS-FILE-DATE.
028000     MOVE MMMPIO-TIME-STAMP      TO MB99WS-FILE-TIME.
028100     PERFORM MB99PD-CHECK-DATE-TIME
028200        THRU MB99PD-CDT-EXIT.
028300*
028400     MOVE 'R1MP'                 TO SS02WS-ABEND-LOCATION.
028500     SET MMMPRB-READ-SEQ         TO TRUE.
028600     PERFORM MB00PD-MMMP-ACCESS
028700        THRU MB00PD-MMMP-ACCESS-EXIT.
028800*
028900     MOVE MMMPIO-RECORD          TO MMMP-RECORD.
029000*
029100*
029200*
029300     MOVE 'R0Q4'                 TO SS02WS-ABEND-LOCATION.
029400     SET MMQ4RB-READ-SEQ         TO TRUE.
029500     PERFORM MB00PD-MMQ4-ACCESS
029600        THRU MB00PD-MMQ4-ACCESS-EXIT.
029700     MOVE 'MMQ4'                 TO MB99WS-FILE-ID.
029800*
029900     IF  MMQ4IO-HEADER
030000         CONTINUE
030100     ELSE
030200         PERFORM MB99PD-MISSING-HEADER-ABEND
030300            THRU MB99PD-MHA-EXIT
030400     END-IF.
030500*
030600     MOVE MMQ4IO-DATE-STAMP      TO MB99WS-FILE-DATE.
030700     MOVE MMQ4IO-TIME-STAMP      TO MB99WS-FILE-TIME.
030800     PERFORM MB99PD-CHECK-DATE-TIME
030900        THRU MB99PD-CDT-EXIT.
031000*
031100     MOVE 'R1Q4'                 TO SS02WS-ABEND-LOCATION.
031200     SET MMQ4RB-READ-SEQ         TO TRUE.
031300     PERFORM MB00PD-MMQ4-ACCESS
031400        THRU MB00PD-MMQ4-ACCESS-EXIT.
031500*
031600     MOVE MMQ4IO-RECORD          TO MMQ4-RECORD.
031700*
031800*
031900*
032000     MOVE 'R0SM'                 TO SS02WS-ABEND-LOCATION.
032100     SET MMSMRB-READ-SEQ         TO TRUE.
032200     PERFORM MB00PD-MMSM-ACCESS
032300        THRU MB00PD-MMSM-ACCESS-EXIT.
032400     MOVE 'MMSM'                 TO MB99WS-FILE-ID.
032500*
032600     IF  MMSMIO-HEADER
032700         CONTINUE
032800     ELSE
032900         PERFORM MB99PD-MISSING-HEADER-ABEND
033000            THRU MB99PD-MHA-EXIT
033100     END-IF.
033200*
033300     MOVE MMSMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
033400     MOVE MMSMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
033500     PERFORM MB99PD-CHECK-DATE-TIME
033600        THRU MB99PD-CDT-EXIT.
033700*
033800     MOVE 'R1SM'                 TO SS02WS-ABEND-LOCATION.
033900     SET MMSMRB-READ-SEQ         TO TRUE.
034000     PERFORM MB00PD-MMSM-ACCESS
034100        THRU MB00PD-MMSM-ACCESS-EXIT.
034200*
034300     MOVE MMSMIO-RECORD          TO MMSM-RECORD.
034400*
034500*
034600*
034700 A199-OF-EXIT.
034800     EXIT.
034900/
035000 A400-EXTRACT-STORE-DATA SECTION.
035100 A401-ESD-BEGIN.
035200*
035300     SORT MS1S-SORT-FILE
035400         ON ASCENDING KEY MS1S-KEY
035500         INPUT  PROCEDURE IS 1000-BUILD-MWEQ
035600         OUTPUT PROCEDURE IS 2000-WRITE-MWEQ.
035700
035800*
035810     PERFORM SS98PD-VERIFY-SORT-RETURN                            FX800014
035812        THRU SS98PD-VSR-EXIT.                                     FX800014
035814*                                                                 FX800014
035900     MOVE 'O2EQ'                 TO SS02WS-ABEND-LOCATION.
036000     SET MWEQRB-OPEN-INPUT       TO TRUE.
036100     PERFORM MB00PD-MWEQ-ACCESS
036200        THRU MB00PD-MWEQ-ACCESS-EXIT.
036300*
036400     MOVE 'R0EQ'                 TO SS02WS-ABEND-LOCATION.
036500     SET MWEQRB-READ-SEQ         TO TRUE.
036600     PERFORM MB00PD-MWEQ-ACCESS
036700        THRU MB00PD-MWEQ-ACCESS-EXIT.
036800*
036900     MOVE MWEQIO-RECORD          TO MWEQ-RECORD.
037000*
037100*
037200*
037300 A499-ESD-EXIT.
037400     EXIT.
037500*
037600*
037700*
037800 A500-POSTING-PROCESS SECTION.
037900 A501-PP-BEGIN.
038000*
038100     PERFORM B000-PROCESS-ORG
038200        THRU B099-PO-EXIT.
038300*
038400     IF  MMOCIO-TRAILER
038500         GO TO A599-PP-EXIT
038600     END-IF.
038700*
038800     PERFORM C000-PROCESS-MERCHANTS
038900        THRU C099-PM-EXIT
039000        UNTIL MMMMIO-ORG  IS GREATER THAN MMOC-ORG.
039100*
039200     MOVE MMQ4-RECORD            TO MMQ4IO-RECORD.
039300*
039400     MOVE 'U1Q4'                 TO SS02WS-ABEND-LOCATION.
039500     SET MMQ4RB-REWRITE          TO TRUE.
039600     PERFORM MB00PD-MMQ4-ACCESS
039700        THRU MB00PD-MMQ4-ACCESS-EXIT.
039800*
039900 A599-PP-EXIT.
040000     EXIT.
040100/
040200 A900-CLOSE-FILES SECTION.
040300 A901-CF-BEGIN.
040400*
040500     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
040600     SET MMOCRB-CLOSE            TO TRUE.
040700     PERFORM MB00PD-MMOC-ACCESS
040800        THRU MB00PD-MMOC-ACCESS-EXIT.
040900*
041000     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
041100     SET MMMMRB-CLOSE            TO TRUE.
041200     PERFORM MB00PD-MMMM-ACCESS
041300        THRU MB00PD-MMMM-ACCESS-EXIT.
041400*
041500     MOVE 'C1MP'                 TO SS02WS-ABEND-LOCATION.
041600     SET MMMPRB-CLOSE            TO TRUE.
041700     PERFORM MB00PD-MMMP-ACCESS
041800        THRU MB00PD-MMMP-ACCESS-EXIT.
041900*
042000     MOVE 'C1Q4'                 TO SS02WS-ABEND-LOCATION.
042100     SET MMQ4RB-CLOSE            TO TRUE.
042200     PERFORM MB00PD-MMQ4-ACCESS
042300        THRU MB00PD-MMQ4-ACCESS-EXIT.
042400*
042500     MOVE 'C1SM'                 TO SS02WS-ABEND-LOCATION.
042600     SET MMSMRB-CLOSE            TO TRUE.
042700     PERFORM MB00PD-MMSM-ACCESS
042800        THRU MB00PD-MMSM-ACCESS-EXIT.
042900*
043000     MOVE 'C2EQ'                 TO SS02WS-ABEND-LOCATION.
043100     SET MWEQRB-CLOSE            TO TRUE.
043200     PERFORM MB00PD-MWEQ-ACCESS
043300        THRU MB00PD-MWEQ-ACCESS-EXIT.
043400*
043500 A999-CF-EXIT.
043600     EXIT.
043700/
043800 B000-PROCESS-ORG SECTION.
043900 B010-PO-BEGIN.
044000*
044100     MOVE 'R2OC'                 TO SS02WS-ABEND-LOCATION.
044200     SET MMOCRB-READ-SEQ         TO TRUE.
044300     PERFORM MB00PD-MMOC-ACCESS
044400        THRU MB00PD-MMOC-ACCESS-EXIT.
044500*
044600     IF  MMOCIO-TRAILER
044700         GO TO B099-PO-EXIT
044800     END-IF.
044900*
045000     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
045100*
045200     IF  MMOC-REC-INCOMPLETE
045300     OR  MMOC-ADD-PENDING
045400     OR  MMOC-REC-PURGED
045500     OR  MMOC-NOT-PROCESSING
045600         GO TO B010-PO-BEGIN
045700     END-IF.
045800*
045900     IF  MMOC-VISA-QTR-FLAG-AP
046000         CONTINUE
046100     ELSE
046200         GO TO B010-PO-BEGIN
046300     END-IF.
046400*
046500     MOVE MMOC-ORG               TO MMQ4IO-ORG.
046600*
046700     MOVE 'R2Q4'                 TO SS02WS-ABEND-LOCATION.
046800     SET MMQ4RB-READ-RANDOM      TO TRUE.
046900     PERFORM MB00PD-MMQ4-ACCESS
047000        THRU MB00PD-MMQ4-ACCESS-EXIT.
047100*
047200     MOVE MMQ4IO-RECORD          TO MMQ4-RECORD.
047300*
047400     MOVE ZERO                   TO MMQ4-VI-NBR-MERCHANTS     (1).
047500     MOVE ZERO                   TO MMQ4-VI-NBR-STORES        (1).
047600     MOVE ZERO                   TO MMQ4-VI-NBR-ELECTRON-MERCH(1).
047700     MOVE ZERO                   TO MMQ4-VI-NBR-ELECTRON-STORES
047800                                                              (1).
047900     MOVE ZERO                   TO MMQ4-VI-NBR-INTERLINK-MERCH
048000                                                              (1).
048100     MOVE ZERO                   TO MMQ4-VI-NBR-INTERLINK-STORES
048200                                                              (1).
048300     MOVE ZERO                   TO MMQ4-VI-NBR-BRANCHS       (1).
048400     MOVE ZERO                   TO MMQ4-VI-NBR-EDC-TERMINALS (1).
048500     MOVE ZERO                   TO MMQ4-VI-NBR-AUTH-TERMINALS(1).
048600*
048700*
048800*
048900 B099-PO-EXIT.
049000     EXIT.
049100/
049200 C000-PROCESS-MERCHANTS SECTION.
049300 C010-PM-BEGIN.
049400*
049500     IF  MMMMIO-ORG IS LESS THAN MMOC-ORG
049600         PERFORM C900-GET-NEXT-MERCHANT
049700            THRU C999-GNM-EXIT
049800         MOVE MMMMIR-RECORD      TO MMMM-RECORD
049900         MOVE MMOC-ORG           TO MMMM-ORG
050000         GO TO C099-PM-EXIT
050100     END-IF.
050200*
050300     IF  MMMMIO-ORG IS NOT EQUAL TO MMOC-ORG
050400         GO TO C099-PM-EXIT
050500     END-IF.
050600*
050700     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
050800*
050900     IF  MMMM-REC-INCOMPLETE
051000     OR  MMMM-ADD-PENDING
051100     OR  MMMM-REC-MODEL
051200     OR  MMMM-REC-PURGED
051300         PERFORM C900-GET-NEXT-MERCHANT
051400            THRU C999-GNM-EXIT
051500         GO TO C099-PM-EXIT
051600     END-IF.
051700*
051800     PERFORM D000-MERCH-PRE-PROCESS
051900        THRU D099-MPP-EXIT.
052000*
052100     PERFORM D300-PROCESS-STORES
052200        THRU D399-PS-EXIT
052300        UNTIL MWEQIO-ORG-MERCHANT IS GREATER THAN
052400                                    MMMM-ORG-MERCHANT.
052500*
052600     PERFORM D900-MERCH-POST-PROCESS
052700        THRU D999-MPP-EXIT.
052800*
052900     PERFORM C900-GET-NEXT-MERCHANT
053000        THRU C999-GNM-EXIT.
053100*
053200 C099-PM-EXIT.
053300     EXIT.
053400/
053500 C900-GET-NEXT-MERCHANT SECTION.
053600 C910-GNM-BEGIN.
053700*
053800     MOVE 'R3MM'                 TO SS02WS-ABEND-LOCATION.
053900     SET MMMMRB-READ-SEQ         TO TRUE.
054000     PERFORM MB00PD-MMMM-ACCESS
054100        THRU MB00PD-MMMM-ACCESS-EXIT.
054200*
054300 C999-GNM-EXIT.
054400     EXIT.
054500/
054600 D000-MERCH-PRE-PROCESS SECTION.
054700 D010-MPP-BEGIN.
054800*
054900     SET WS-D374-VISA-NO         TO TRUE.
055000*
055100******************************************************************
055200*    LOAD MMMP RECORDS INTO TABLE FOR PROCESSING                 *
055300******************************************************************
055400     MOVE SPACES                 TO MMMPTB-TABLE-DATA.
055500     MOVE MMMM-ORG-MERCHANT      TO MMMPTB-START-ORG-ACCT.
055600     SET X-MMMPTB                TO 1.
055700     PERFORM MMMPPX-READ-AND-LOAD
055800        THRU MMMPPX-RAL-EXIT
055900        UNTIL MMMPIO-ORG-MERCHANT IS GREATER THAN
056000                                 MMMM-ORG-MERCHANT
056100          OR  X-MMMPTB IS GREATER THAN MMMPTB-MAX-ENTRIES
056200          OR  MMMPIO-TRAILER.
056300*
056400******************************************************************
056500*
056600     PERFORM
056700         VARYING X-MMMPTB FROM 1 BY 1
056800         UNTIL   X-MMMPTB IS GREATER THAN MMMPTB-MAX-ENTRIES
056900            OR   MMMPTB-END-OF-TABLE (X-MMMPTB)
057000         MOVE MMMPTB-RECORD (X-MMMPTB)
057100                                 TO MMMP-RECORD
057200         SET  X-MMOC-PROD        TO MMMP-PRODUCT
057300         EVALUATE TRUE
057400           WHEN NOT (MMMP-REC-ACTIVE)
057500             CONTINUE
057600           WHEN MMMP-PROD-NOT-ALLOWED
057700             CONTINUE
057800           WHEN MMMP-PROD-PURGED
057900             CONTINUE
058000           WHEN (MMMP-PROD-CLOSED
058100            AND  MMMP-PROD-EFF-DATE IS LESS THAN
058200                                 MMQ4-QTR-BEG-DATE (1))
058300             CONTINUE
058400           WHEN (MMMP-PROD-ACTIVE
058500            AND  MMMP-PROD-EFF-DATE IS GREATER THAN
058600                                 MMQ4-QTR-END-DATE (1))
058700             CONTINUE
058800           WHEN MMMP-PROD-IS-VISA
058900             SET  WS-D374-VISA-YES
059000                                 TO TRUE
059100         END-EVALUATE
059200     END-PERFORM.
059300*
059400     IF  WS-D374-VISA-YES
059500         ADD  1                  TO MMQ4-VI-NBR-MERCHANTS (1)
059600         EVALUATE TRUE
059700           WHEN MMMM-POS-DEV-NBR(1) > ZERO
059800           WHEN MMMM-POS-DEV-NBR(2) > ZERO
059900           WHEN MMMM-POS-DEV-NBR(3) > ZERO
060000               ADD  1            TO MMQ4-VI-NBR-ELECTRON-MERCH(1)
060100         END-EVALUATE
060200     END-IF.
060300*
060400 D099-MPP-EXIT.
060500     EXIT.
060600/
060700 D300-PROCESS-STORES SECTION.
060800 D301-PS-BEGIN.
060900*
061000     IF  MWEQIO-ORG-MERCHANT IS LESS THAN MMMM-ORG-MERCHANT
061100         MOVE 'R2EQ'             TO SS02WS-ABEND-LOCATION
061200         SET MWEQRB-READ-SEQ     TO TRUE
061300         PERFORM MB00PD-MWEQ-ACCESS
061400            THRU MB00PD-MWEQ-ACCESS-EXIT
061500         GO TO D399-PS-EXIT
061600     END-IF.
061700*
061800     MOVE MWEQIO-RECORD          TO MWEQ-RECORD.
061900*
062000     IF  WS-D374-VISA-YES
062100         ADD  1                  TO MMQ4-VI-NBR-STORES (1)
062200         EVALUATE TRUE
062300           WHEN MWEQ-STORE-CASH-ADV
062400               ADD  1            TO MMQ4-VI-NBR-BRANCHS(1)
062500         END-EVALUATE
062600         EVALUATE TRUE
062700           WHEN MWEQ-POS-DEV-NBR(1) > ZERO                        FX800048
062800           WHEN MWEQ-POS-DEV-NBR(2) > ZERO                        FX800048
062900           WHEN MWEQ-POS-DEV-NBR(3) > ZERO                        FX800048
063000               ADD  1            TO MMQ4-VI-NBR-ELECTRON-STORES(1)
063100         END-EVALUATE
063200     END-IF.
063300*
063400*
063500     MOVE 'R2EQ'                 TO SS02WS-ABEND-LOCATION.
063600     SET MWEQRB-READ-SEQ         TO TRUE.
063700     PERFORM MB00PD-MWEQ-ACCESS
063800        THRU MB00PD-MWEQ-ACCESS-EXIT.
063900*
064000     MOVE MWEQIO-RECORD          TO MWEQ-RECORD.
064100*
064200 D399-PS-EXIT.
064300     EXIT.
064400/
064500 D900-MERCH-POST-PROCESS SECTION.
064600 D910-MPP-BEGIN.
064700*
064800*
064900*
065000     MOVE ZERO                   TO MMQ4-VI-NBR-INTERLINK-MERCH
065100                                    (1).
065200     MOVE ZERO                   TO MMQ4-VI-NBR-INTERLINK-STORES
065300                                    (1).
065400*
065500*
065600*
065700 D999-MPP-EXIT.
065800     EXIT.
065900/
066000 1000-BUILD-MWEQ SECTION.
066100 1001-BMWEQ-BEGIN.
066200*
066300     MOVE ZERO                   TO MMOC-ORG.
066400*
066500     MOVE SPACES                 TO MWEQIO-RECORD.
066600     SET MWEQIO-HEADER           TO TRUE.
066700     MOVE ZERO                   TO MWEQIO-STORE.
066800     MOVE ZERO                   TO MWEQIO-DATE-STAMP.
066900     MOVE ZERO                   TO MWEQIO-TIME-STAMP.
067000     MOVE MWEQIO-RECORD          TO MS1S-RECORD.
067100     RELEASE MS1S-RECORD.
067200*
067300 1010-BMWEQ-READ-MMSM.
067400*
067500     MOVE 'R2SM'                 TO SS02WS-ABEND-LOCATION.
067600     SET MMSMRB-READ-SEQ         TO TRUE.
067700     PERFORM MB00PD-MMSM-ACCESS
067800        THRU MB00PD-MMSM-ACCESS-EXIT.
067900*
068000     IF  MMSMIO-HEADER
068100         GO TO 1010-BMWEQ-READ-MMSM
068200     END-IF.
068300*
068400     IF  MMSMIO-TRAILER
068500         GO TO 1090-BMWEQ-CLOSE-FILE
068600     END-IF.
068700*
068800     MOVE MMSMIO-RECORD          TO MMSM-RECORD.
068900*
069000     IF  MMSM-REC-INCOMPLETE
069100     OR  MMSM-ADD-PENDING
069200     OR  MMSM-REC-MODEL
069300     OR  MMSM-REC-PURGED
069400         GO TO 1010-BMWEQ-READ-MMSM
069500     END-IF.
069600*
069700     IF  MMOC-ORG-X IS NOT EQUAL TO MMSM-ORG-X
069800         MOVE MMSM-ORG           TO MMOCIO-ORG
069900         MOVE 'R3OC'             TO SS02WS-ABEND-LOCATION
070000         SET MMOCRB-READ-RANDOM  TO TRUE
070100         PERFORM MB00PD-MMOC-ACCESS
070200            THRU MB00PD-MMOC-ACCESS-EXIT
070300         MOVE MMOCIO-RECORD      TO MMOC-RECORD
070400     END-IF.
070500*
070600     IF  MMOC-NOT-PROCESSING
070700         GO TO 1010-BMWEQ-READ-MMSM
070800     END-IF.
070900*
071000     IF  MMOC-VISA-QTR-FLAG-AP
071100         CONTINUE
071200     ELSE
071300         GO TO 1010-BMWEQ-READ-MMSM
071400     END-IF.
071500*
071600     MOVE SPACES                 TO MWEQ-RECORD.
071700     MOVE MMSM-ORG               TO MWEQ-ORG.
071800     MOVE MMSM-MERCHANT-ID       TO MWEQ-MERCHANT.
071900     MOVE MMSM-STORE             TO MWEQ-STORE.
072000     MOVE MMSM-REC-STATUS        TO MWEQ-REC-STATUS.
072100     MOVE MMSM-STORE-TYPE        TO MWEQ-STORE-TYPE.
072200     MOVE MMSM-POS-DEV-NBR (1)   TO MWEQ-POS-DEV-NBR (1).
072300     MOVE MMSM-POS-DEV-NBR (2)   TO MWEQ-POS-DEV-NBR (2).
072400     MOVE MMSM-POS-DEV-NBR (3)   TO MWEQ-POS-DEV-NBR (3).
072500     MOVE MMSM-MC-CATEGORY-CODE  TO MWEQ-MC-CATEGORY-CODE.
072600     MOVE MMSM-DATE-OPENED       TO MWEQ-DATE-OPENED.
072700     MOVE MMSM-DATE-CLOSED       TO MWEQ-DATE-CLOSED.
072800     MOVE MWEQ-RECORD            TO MS1S-RECORD.
072900     RELEASE MS1S-RECORD.
073000     GO TO 1010-BMWEQ-READ-MMSM.
073100*
073200*
073300*
073400 1090-BMWEQ-CLOSE-FILE.
073500*
073600     MOVE SPACES                 TO MWEQIO-RECORD.
073700     SET MWEQIO-TRAILER          TO TRUE.
073800     MOVE ZERO                   TO MWEQIO-STORE.
073900     MOVE ZERO                   TO MWEQIO-DATE-STAMP.
074000     MOVE ZERO                   TO MWEQIO-TIME-STAMP.
074100     MOVE MWEQIO-RECORD          TO MS1S-RECORD.
074200     RELEASE MS1S-RECORD.
074300*
074400     MOVE SPACES                 TO MWEQ-RECORD.
074500*
074600     MOVE ZERO                   TO MMOCIO-ORG.
074700     MOVE 'R3OC'                 TO SS02WS-ABEND-LOCATION.
074800     SET MMOCRB-READ-RANDOM      TO TRUE.
074900     PERFORM MB00PD-MMOC-ACCESS
075000        THRU MB00PD-MMOC-ACCESS-EXIT.
075100*
075200     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
075300*
075400 1099-BMWEQ-EXIT.
075500     EXIT.
075600/
075700 2000-WRITE-MWEQ SECTION.
075800 2001-WMWEQ-BEGIN.
075900*
076000     MOVE 'O1EQ'                 TO SS02WS-ABEND-LOCATION.
076100     SET MWEQRB-OPEN-OUTPUT      TO TRUE.
076200     PERFORM MB00PD-MWEQ-ACCESS
076300        THRU MB00PD-MWEQ-ACCESS-EXIT.
076400*
076500 2010-WMWEQ-RETURN-SORT.
076600*
076700     RETURN MS1S-SORT-FILE
076800         AT END
076900             GO TO 2090-WMWEQ-CLOSE-FILE.
077000*
077100     MOVE MS1S-RECORD            TO MWEQIO-RECORD.
077200*
077300     MOVE 'W1EQ'                 TO SS02WS-ABEND-LOCATION.
077400     SET MWEQRB-WRITE            TO TRUE.
077500     PERFORM MB00PD-MWEQ-ACCESS
077600        THRU MB00PD-MWEQ-ACCESS-EXIT.
077700*
077800     GO TO 2010-WMWEQ-RETURN-SORT.
077900*
078000*
078100*
078200 2090-WMWEQ-CLOSE-FILE.
078300*
078400     MOVE 'C1EQ'                 TO SS02WS-ABEND-LOCATION.
078500     SET MWEQRB-CLOSE            TO TRUE.
078600     PERFORM MB00PD-MWEQ-ACCESS
078700        THRU MB00PD-MWEQ-ACCESS-EXIT.
078800*
078900 2099-WMWEQ-EXIT.
079000     EXIT.
079100/
079200 9000-PERFORMED-ROUTINES-SECT SECTION.
079300     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
079400/
079500     COPY MB00PD REPLACING ==:MB00:== BY ==MMMP==.
079600/
079700     COPY MMMPPX.
079800/
079900     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
080000/
080100     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ4==.
080200/
080300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
080400/
080500     COPY MB00PD REPLACING ==:MB00:== BY ==MMSM==.
080600/
080700     COPY MB00PD REPLACING ==:MB00:== BY ==MWEQ==.
080800/
080900     COPY MB99PD.
081000/
081100     COPY SS02PD.
081200/
081300     COPY SS07PD.
081400/
081500     COPY SS08PD.
081600/
081700     COPY SS16PD.
081702/                                                                 FX800014
081704     COPY SS98PD.                                                 FX800014
081800*
081900 9995-END-SOURCE-STATEMENTS SECTION.
082000 9999-END-OF-PROGRAM.
082100     STOP RUN.
