000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD660.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBD660 - ACTIVITY RECAP PRINT                           *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400*
001500 FILE-CONTROL.
001600*
001700     COPY MS1SES.
001800/
001900 DATA DIVISION.
002000 FILE SECTION.
002100*
002200     COPY MS1SSD.
002300     COPY MMAMRL REPLACING ==:MMAM:== BY ==MWAM==.
002400/
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*
002900 01  WS-MBD660-WORK-AREAS.
003000     03  WS-D660-INDEX-SW    PIC  X(01)      VALUE 'N'.
003100     03  WS-D660-OOB-SW      PIC  X(01)      VALUE 'N'.
003200     03  WS-D660-COL-HEADING-QTR.
003300         05  FILLER          PIC  X(11)      VALUE
003400            ' *-------- '.
003500         05  WS-D660-CH-OID-QTR
003600                             PIC  X(09)      VALUE SPACES.
003700         05  WS-D660-CH-YEAR-QTR
003800                             PIC  X(04)      VALUE SPACES.
003900         05  FILLER          PIC  X(11)      VALUE
004000            ' --------* '.
004100*
004200     03  WS-D660-COL-HEADING-MON.
004300         05  FILLER          PIC  X(13)      VALUE
004400            ' *---------- '.
004500         05  WS-D660-CH-OID-MON
004600                             PIC  X(05)      VALUE SPACES.
004700         05  WS-D660-CH-YEAR-MON
004800                             PIC  X(04)      VALUE SPACES.
004900         05  FILLER          PIC  X(13)      VALUE
005000            ' ----------* '.
005100*
005200     03  WS-D660-COL-HEADING.
005300         05  FILLER          PIC  X(35)      VALUE SPACES.
005400*
005500     03  WS-D660-QTD-TABLE-I.
005600         05  FILLER          PIC  X(11)      VALUE '1012OCT-DEC'.
005700         05  FILLER          PIC  X(11)      VALUE '0709JUL-SEP'.
005800         05  FILLER          PIC  X(11)      VALUE '0406APR-JUN'.
005900         05  FILLER          PIC  X(11)      VALUE '0103JAN-MAR'.
006000         05  FILLER          PIC  X(11)      VALUE '1012OCT-DEC'.
006100         05  FILLER          PIC  X(11)      VALUE '0709JUL-SEP'.
006200         05  FILLER          PIC  X(11)      VALUE '0406APR-JUN'.
006300         05  FILLER          PIC  X(11)      VALUE '0103JAN-MAR'.
006400         05  FILLER          PIC  X(11)      VALUE '1012OCT-DEC'.
006500         05  FILLER          PIC  X(11)      VALUE '0709JUL-SEP'.
006600         05  FILLER          PIC  X(11)      VALUE '0406APR-JUN'.
006700     03  WS-D660-QTD-TABLE-R REDEFINES WS-D660-QTD-TABLE-I.
006800         05  WS-D660-QTD-TABLE               OCCURS 11 TIMES
006900                                             INDEXED BY
007000                                             X-WS-D660-QTD.
007100             07  WS-D660-QTD-MON-1
007200                             PIC  9(02).
007300             07  WS-D660-QTD-MON-2
007400                             PIC  9(02).
007500             07  WS-D660-QTD-LIT
007600                             PIC  X(07).
007700 01  WS-D660-HEADING-1.
007800     03  WS-D660-H1-001-044  PIC  X(44)      VALUE
007900        '*-------------------------------------------'.
008000     03  WS-D660-H1-045-088  PIC  X(44)      VALUE
008100        '                                            '.
008200     03  WS-D660-H1-089-132  PIC  X(44)      VALUE
008300        '-------------------------------------------*'.
008400*
008500 01  WS-D660-HEADING-2.
008600     03  WS-D660-H2-MERCHANT-LIT
008700                             PIC  X(10)      VALUE SPACES.
008800     03  WS-D660-H2-LIT-1    PIC  X(17)      VALUE
008900        '  *-TRANSACTION-*'.
009000     03  WS-D660-H2-COL-1    PIC  X(35)      VALUE SPACES.
009100     03  WS-D660-H2-COL-2    PIC  X(35)      VALUE SPACES.
009200     03  WS-D660-H2-COL-3    PIC  X(35)      VALUE SPACES.
009300*
009400 01  WS-D660-HEADING-3.
009500     03  WS-D660-H3-MERCHANT PIC  9(09)-.
009600     03  WS-D660-H3-LIT-1    PIC  X(17)      VALUE
009700        'A *-DESCRIPTION-*'.
009800     03  WS-D660-H3-COL-1    PIC  X(35)      VALUE
009900        '               AMOUNT      NUMBER  '.
010000     03  WS-D660-H3-COL-2    PIC  X(35)      VALUE
010100        '               AMOUNT      NUMBER  '.
010200     03  WS-D660-H3-COL-3    PIC  X(35)      VALUE
010300        '               AMOUNT      NUMBER  '.
010400/
010500 01  WS-D660-HEADING-1-0.
010600     03  WS-D660-H10-001-044 PIC  X(44)      VALUE
010700        '*-------------------------------------------'.
010800     03  WS-D660-H10-045-088 PIC  X(44)      VALUE
010900        '---  S E T T L E M E N T   B A L A N C E  --'.
011000     03  WS-D660-H10-089-132 PIC  X(44)      VALUE
011100        '-------------------------------------------*'.
011200*
011300 01  WS-D660-HEADING-1-1.
011400     03  WS-D660-H11-001-044 PIC  X(44)      VALUE
011500        '*-------------------------------------------'.
011600     03  WS-D660-H11-045-088 PIC  X(44)      VALUE
011700        '----  R E S E R V E  -1-  B A L A N C E  ---'.
011800     03  WS-D660-H11-089-132 PIC  X(44)      VALUE
011900        '-------------------------------------------*'.
012000*
012100 01  WS-D660-HEADING-1-2.
012200     03  WS-D660-H12-001-044 PIC  X(44)      VALUE
012300        '*-------------------------------------------'.
012400     03  WS-D660-H12-045-088 PIC  X(44)      VALUE
012500        '----  R E S E R V E  -2-  B A L A N C E  ---'.
012600     03  WS-D660-H12-089-132 PIC  X(44)      VALUE
012700        '-------------------------------------------*'.
012800*
012900 01  WS-D660-HEADING-1-3.
013000     03  WS-D660-H13-001-044 PIC  X(44)      VALUE
013100        '*-------------------------------------------'.
013200     03  WS-D660-H13-045-088 PIC  X(44)      VALUE
013300        '----  R E S E R V E  -3-  B A L A N C E  ---'.
013400     03  WS-D660-H13-089-132 PIC  X(44)      VALUE
013500        '-------------------------------------------*'.
013600*
013700 01  WS-D660-HEADING-1-4.
013800     03  WS-D660-H14-001-044 PIC  X(44)      VALUE
013900        '*-------------------------------------------'.
014000     03  WS-D660-H14-045-088 PIC  X(44)      VALUE
014100        '----  R E S E R V E  -4-  B A L A N C E  ---'.
014200     03  WS-D660-H14-089-132 PIC  X(44)      VALUE
014300        '-------------------------------------------*'.
014400*
014500 01  WS-D660-HEADING-1-5.
014600     03  WS-D660-H15-001-044 PIC  X(44)      VALUE
014700        '*-------------------------------------------'.
014800     03  WS-D660-H15-045-088 PIC  X(44)      VALUE
014900        '------  F U T U R E    B A L A N C E  ------'.
015000     03  WS-D660-H15-089-132 PIC  X(44)      VALUE
015100        '-------------------------------------------*'.
015200*
015300 01  WS-D660-HEADING-1-6.
015400     03  WS-D660-H16-001-044 PIC  X(44)      VALUE
015500        '*-------------------------------------------'.
015600     03  WS-D660-H16-045-088 PIC  X(44)      VALUE
015700        '----  W A R E H O U S E   T O T A L S  -----'.
015800     03  WS-D660-H16-089-132 PIC  X(44)      VALUE
015900        '-------------------------------------------*'.
016000*
016100 01  WS-D660-HEADING-1-7.
016200     03  WS-D660-H17-001-044 PIC  X(44)      VALUE
016300        '*-------------------------------------------'.
016400     03  WS-D660-H17-045-088 PIC  X(44)      VALUE
016500        '  M I S C E L L A N E O U S    T O T A L S  '.
016600     03  WS-D660-H17-089-132 PIC  X(44)      VALUE
016700        '-------------------------------------------*'.
016800/
016900     COPY MMSCRL.
017000/
017100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
017200/
017300     COPY MMSCIO.
017400/
017500     COPY MMOCRL.
017600/
017700     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
017800/
017900     COPY MMOCIO.
018000/
018100     COPY MMAMRL REPLACING ==:MMAM:== BY ==MMAM==.
018200/
018300     COPY MMAMIR REPLACING ==:MMAM:== BY ==MMAM==.
018400/
018500     COPY MB00RB REPLACING ==:MB00:== BY ==MMAM==.
018600/
018700     COPY MMAMIO REPLACING ==:MMAM:== BY ==MMAM==.
018800/
018900     COPY MMAMWS.
019000/
019100     COPY MMAMRL REPLACING ==:MMAM:== BY ==MTAM==.
019200/
019300     COPY MB00RB REPLACING ==:MB00:== BY ==MTAM==.
019400/
019500     COPY MMAMIO REPLACING ==:MMAM:== BY ==MTAM==.
019600/
019700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
019800/
019900     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
020000/
020100     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
020200/
020300     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
020400/
020500     COPY MB20WS.
020600 01  WS-D660-PRINT-LINE-1    REDEFINES MB20WS-PRINT-LINE.
020700     03  WS-D660-PL1-MERCHANT-X.
020800         05  WS-D660-PL1-MERCHANT
020900                             PIC  9(09)-.
021000     03  WS-D660-PL1-TC-X    REDEFINES WS-D660-PL1-MERCHANT-X.
021100         05  FILLER          PIC  X(03).
021200         05  WS-D660-PL1-TC-LIT
021300                             PIC  X(03).
021400         05  WS-D660-PL1-TC  PIC  9(03)-.
021500     03  WS-D660-PL1-SIGN    PIC  X(02).
021600     03  WS-D660-PL1-DESC    PIC  X(15).
021700     03  WS-D660-PL1-COLUMNS                 OCCURS 3 TIMES
021800                                             INDEXED BY
021900                                             X-WS-D660-PL1.
022000         05  FILLER          PIC  X(01).
022100         05  WS-D660-PL1-AMOUNT
022200                             PIC  X(21).
022300         05  WS-D660-PL1-NUMBER
022400                             PIC  X(12).
022500         05  FILLER          PIC  X(01).
022600/
022700     COPY MB00WS.
022800/
022900     COPY MB00KY.
023000/
023100     COPY SS95WS.
023200/
023300     COPY MB99WS.
023400/
023500     COPY SS00WS.
023600/
023700     COPY SS01WS.
023800/
023900     COPY SS02WS.
024000*
024100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
024200/
024300 PROCEDURE DIVISION.
024400*
024500 A000-MAIN-LINE-SECT SECTION.
024600 A010-ML-BEGIN.
024700*
024800     MOVE 'MBD660'               TO SS02WS-ABEND-PROG-ID.
024900     MOVE WS-D660-HEADING-1-0    TO WS-D660-HEADING-1.
025000     MOVE ZERO                   TO MB00KY-MMAM-ORG.
025100*
025200     SET SS95WS-FUNCTION-INITIALIZE
025300                                 TO TRUE.
025400     PERFORM SS95PD-NAP-ROUTINE
025500        THRU SS95PD-NAP-EXIT.
025600*
025700     PERFORM Z000-GET-CONTROL-OPTION
025800        THRU Z099-GCO-EXIT.
025900*
026000     MOVE 'O1AM'                 TO SS02WS-ABEND-LOCATION.
026100     SET MMAMRB-OPEN-INPUT       TO TRUE.
026200     PERFORM MB00PD-MMAM-ACCESS
026300        THRU MB00PD-MMAM-ACCESS-EXIT.
026400*
026500     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
026600     SET MMSCRB-OPEN-INPUT       TO TRUE.
026700     PERFORM MB00PD-MMSC-ACCESS
026800        THRU MB00PD-MMSC-ACCESS-EXIT.
026900*
027000     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
027100     SET MMSCRB-READ-SEQ         TO TRUE.
027200     PERFORM MB00PD-MMSC-ACCESS
027300        THRU MB00PD-MMSC-ACCESS-EXIT.
027400     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
027500*
027600     IF  MMSCIO-HEADER
027700         NEXT SENTENCE
027800     ELSE
027900         PERFORM MB99PD-MISSING-HEADER-ABEND
028000            THRU MB99PD-MHA-EXIT.
028100*
028200     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
028300     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
028400     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
028500*
028600     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
028700     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
028800     MOVE SS02WS-ABEND-PROG-ID   TO MB20WS-SH-RPT-ID.
028900     MOVE 'S660'                 TO MB20WS-SH-INTERNAL-RPT-ID.
029000     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
029100     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
029200     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
029300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
029400        THRU SS26PD-NED-EXIT.
029500     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
029600     MOVE '*-------ACTIVITY RECAP-------*'
029700                                 TO MB20WS-SH-RPT-NAME.
029800     MOVE SPACES                 TO MB20WS-SH-LIT-5.
029900*
030000     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
030100     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
030200     PERFORM MB00PD-MMOC-ACCESS
030300        THRU MB00PD-MMOC-ACCESS-EXIT.
030400*
030500*
030600*
030700     MOVE 'R0AM'                 TO SS02WS-ABEND-LOCATION.
030800     SET MMAMRB-READ-SEQ         TO TRUE.
030900     PERFORM MB00PD-MMAM-ACCESS
031000        THRU MB00PD-MMAM-ACCESS-EXIT.
031100     MOVE 'MMAM'                 TO MB99WS-FILE-ID.
031200*
031300     IF  MMAMIO-HEADER
031400         NEXT SENTENCE
031500     ELSE
031600         PERFORM MB99PD-MISSING-HEADER-ABEND
031700            THRU MB99PD-MHA-EXIT.
031800*
031900     MOVE MMAMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
032000     MOVE MMAMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
032100     PERFORM MB99PD-CHECK-DATE-TIME
032200        THRU MB99PD-CDT-EXIT.
032300*
032400*
032500*
032600     MOVE ZERO                   TO MMOC-ORG.
032700     MOVE ZERO                   TO MMAM-ORG-MERCHANT.
032800*
032900*
033000*
033100     IF  MTCC-MBD660-MERCHANT
033200         MOVE '*** MERCHANT LEVEL ***'
033300                                 TO MB20WS-SH-DEST-DESC
033400         PERFORM D000-PRINT-MERCHANT-REPORT
033500            THRU D999-PMR-EXIT
033600            UNTIL MMAMIO-TRAILER
033700     ELSE
033800         MOVE '*** ORGANIZATION LEVEL ***'
033900                                 TO MB20WS-SH-DEST-DESC
034000         SORT MS1S-SORT-FILE ON ASCENDING KEY MWAM-KEY
034100              INPUT  PROCEDURE IS B000-LOAD-ACTIVITY-RECAP-SECT
034200              OUTPUT PROCEDURE IS C000-PRINT-ORG-REPORT-SECT
034300         PERFORM SS98PD-VERIFY-SORT-RETURN
034400            THRU SS98PD-VSR-EXIT
034500     END-IF.
034600*
034700*
034800*
034900     MOVE 'C1AM'                 TO SS02WS-ABEND-LOCATION.
035000     SET MMAMRB-CLOSE            TO TRUE.
035100     PERFORM MB00PD-MMAM-ACCESS
035200        THRU MB00PD-MMAM-ACCESS-EXIT.
035300*
035400     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
035500     SET MMOCRB-CLOSE            TO TRUE.
035600     PERFORM MB00PD-MMOC-ACCESS
035700        THRU MB00PD-MMOC-ACCESS-EXIT.
035800*
035900     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
036000     SET MMSCRB-CLOSE            TO TRUE.
036100     PERFORM MB00PD-MMSC-ACCESS
036200        THRU MB00PD-MMSC-ACCESS-EXIT.
036300*
036400     PERFORM MB20PD-CLOSE-PRINT-FILES
036500        THRU MB20PD-CPF-EXIT.
036600*
036700     IF  WS-D660-OOB-SW IS EQUAL TO 'Y'
036800         PERFORM MB90PD-SET-RETURN-CODE-4
036900            THRU MB90PD-SRC4-EXIT
037000     ELSE
037100         PERFORM MB90PD-SET-RETURN-CODE-0
037200            THRU MB90PD-SRC0-EXIT.
037300*
037400     STOP RUN.
037500*
037600 A099-ML-EXIT.
037700     EXIT.
037800/
037900 B000-LOAD-ACTIVITY-RECAP-SECT SECTION.
038000 B010-LAR-BEGIN.
038100*
038200     MOVE 'R1AM'                 TO SS02WS-ABEND-LOCATION.
038300     SET MMAMRB-READ-SEQ         TO TRUE.
038400     PERFORM MB00PD-MMAM-ACCESS
038500        THRU MB00PD-MMAM-ACCESS-EXIT.
038600*
038700     IF  MMAMIO-HEADER
038800         GO TO B010-LAR-BEGIN.
038900*
039000     MOVE MMAMIO-RECORD          TO MWAM-RECORD.
039100*
039200     IF  MWAM-ORG IS NOT EQUAL TO MMOC-ORG
039300     AND MWAM-ORG IS NOT EQUAL TO 999
039400         MOVE MWAM-ORG           TO MMOCIO-ORG
039500         MOVE 'R9OC'             TO SS02WS-ABEND-LOCATION
039600         SET MMOCRB-READ-RANDOM  TO TRUE
039700         PERFORM MB00PD-MMOC-ACCESS
039800            THRU MB00PD-MMOC-ACCESS-EXIT
039900         MOVE MMOCIO-RECORD      TO MMOC-RECORD
040000         MOVE MMOC-CURRENCY-CODE TO SS95WS-CURRENCY-CODE.
040100*
040200     MOVE ZERO                   TO MWAM-MERCHANT.
040300*
040400     IF  MB00KY-MMAM-ORG IS EQUAL TO ZERO
040500         MOVE MWAM-ORG           TO MB00KY-MMAM-ORG.
040600*
040700     IF  MTCC-MBD660-SYSTEM
040800     AND MWAM-ORG IS NOT EQUAL TO 999
040900         MOVE MB00KY-MMAM-ORG    TO MWAM-ORG.
041000*
041100     RELEASE MWAM-RECORD.
041200*
041300     IF  MMAMIO-TRAILER
041400         MOVE ZERO               TO MMOC-ORG
041500         GO TO B999-LAR-EXIT.
041600*
041700     GO TO B010-LAR-BEGIN.
041800*
041900 B999-LAR-EXIT.
042000     EXIT.
042100/
042200 C000-PRINT-ORG-REPORT-SECT SECTION.
042300 C005-POR-INIT.
042400*
042500     MOVE ZERO                   TO MMAM-ORG.
042600*
042700     IF  MTCC-MBD660-SYSTEM
042800         MOVE '*** SYSTEM LEVEL ***'
042900                                 TO MB20WS-SH-DEST-DESC.
043000*
043100 C010-POR-BEGIN.
043200*
043300     RETURN MS1S-SORT-FILE
043400         AT END
043500             GO TO C999-POR-EXIT.
043600*
043700     MOVE MWAM-RECORD            TO MTAM-RECORD.
043800*
043900     IF  MTAM-KEY IS NOT EQUAL TO MMAM-KEY
044000         IF  MMAM-ORG IS GREATER THAN ZERO
044100             PERFORM 1000-PRINT-ACTIVITY-REPORT
044200                THRU 1999-PAR-EXIT
044300             MOVE MTAM-RECORD    TO MMAM-RECORD
044400             GO TO C010-POR-BEGIN
044500         ELSE
044600             MOVE MTAM-RECORD    TO MMAM-RECORD
044700             GO TO C010-POR-BEGIN.
044800*
044900     ADD  MTAM-BAL-DIFF          TO MMAM-BAL-DIFF.
045000     ADD  MTAM-NUMBER (01)       TO MMAM-NUMBER (01).
045100     ADD  MTAM-NUMBER (02)       TO MMAM-NUMBER (02).
045200     ADD  MTAM-NUMBER (03)       TO MMAM-NUMBER (03).
045300     ADD  MTAM-NUMBER (04)       TO MMAM-NUMBER (04).
045400     ADD  MTAM-NUMBER (05)       TO MMAM-NUMBER (05).
045500     ADD  MTAM-NUMBER (06)       TO MMAM-NUMBER (06).
045600     ADD  MTAM-NUMBER (07)       TO MMAM-NUMBER (07).
045700     ADD  MTAM-NUMBER (08)       TO MMAM-NUMBER (08).
045800     ADD  MTAM-NUMBER (09)       TO MMAM-NUMBER (09).
045900     ADD  MTAM-NUMBER (10)       TO MMAM-NUMBER (10).
046000     ADD  MTAM-NUMBER (11)       TO MMAM-NUMBER (11).
046100     ADD  MTAM-NUMBER (12)       TO MMAM-NUMBER (12).
046200     ADD  MTAM-NUMBER (13)       TO MMAM-NUMBER (13).
046300     ADD  MTAM-NUMBER (14)       TO MMAM-NUMBER (14).
046400     ADD  MTAM-NUMBER (15)       TO MMAM-NUMBER (15).
046500     ADD  MTAM-NUMBER (16)       TO MMAM-NUMBER (16).
046600     ADD  MTAM-NUMBER (17)       TO MMAM-NUMBER (17).
046700     ADD  MTAM-NUMBER (18)       TO MMAM-NUMBER (18).
046800     ADD  MTAM-NUMBER (19)       TO MMAM-NUMBER (19).
046900     ADD  MTAM-NUMBER (20)       TO MMAM-NUMBER (20).
047000     ADD  MTAM-NUMBER (21)       TO MMAM-NUMBER (21).
047100     ADD  MTAM-NUMBER (22)       TO MMAM-NUMBER (22).
047200     ADD  MTAM-NUMBER (23)       TO MMAM-NUMBER (23).
047300     ADD  MTAM-NUMBER (24)       TO MMAM-NUMBER (24).
047400     ADD  MTAM-NUMBER (25)       TO MMAM-NUMBER (25).
047500     ADD  MTAM-AMOUNT (01)       TO MMAM-AMOUNT (01).
047600     ADD  MTAM-AMOUNT (02)       TO MMAM-AMOUNT (02).
047700     ADD  MTAM-AMOUNT (03)       TO MMAM-AMOUNT (03).
047800     ADD  MTAM-AMOUNT (04)       TO MMAM-AMOUNT (04).
047900     ADD  MTAM-AMOUNT (05)       TO MMAM-AMOUNT (05).
048000     ADD  MTAM-AMOUNT (06)       TO MMAM-AMOUNT (06).
048100     ADD  MTAM-AMOUNT (07)       TO MMAM-AMOUNT (07).
048200     ADD  MTAM-AMOUNT (08)       TO MMAM-AMOUNT (08).
048300     ADD  MTAM-AMOUNT (09)       TO MMAM-AMOUNT (09).
048400     ADD  MTAM-AMOUNT (10)       TO MMAM-AMOUNT (10).
048500     ADD  MTAM-AMOUNT (11)       TO MMAM-AMOUNT (11).
048600     ADD  MTAM-AMOUNT (12)       TO MMAM-AMOUNT (12).
048700     ADD  MTAM-AMOUNT (13)       TO MMAM-AMOUNT (13).
048800     ADD  MTAM-AMOUNT (14)       TO MMAM-AMOUNT (14).
048900     ADD  MTAM-AMOUNT (15)       TO MMAM-AMOUNT (15).
049000     ADD  MTAM-AMOUNT (16)       TO MMAM-AMOUNT (16).
049100     ADD  MTAM-AMOUNT (17)       TO MMAM-AMOUNT (17).
049200     ADD  MTAM-AMOUNT (18)       TO MMAM-AMOUNT (18).
049300     ADD  MTAM-AMOUNT (19)       TO MMAM-AMOUNT (19).
049400     ADD  MTAM-AMOUNT (20)       TO MMAM-AMOUNT (20).
049500     ADD  MTAM-AMOUNT (21)       TO MMAM-AMOUNT (21).
049600     ADD  MTAM-AMOUNT (22)       TO MMAM-AMOUNT (22).
049700     ADD  MTAM-AMOUNT (23)       TO MMAM-AMOUNT (23).
049800     ADD  MTAM-AMOUNT (24)       TO MMAM-AMOUNT (24).
049900     ADD  MTAM-AMOUNT (25)       TO MMAM-AMOUNT (25).
050000*
050100     GO TO C010-POR-BEGIN.
050200*
050300 C999-POR-EXIT.
050400     EXIT.
050500/
050600 D000-PRINT-MERCHANT-REPORT SECTION.
050700 D010-PMR-BEGIN.
050800*
050900     MOVE 'R2AM'                 TO SS02WS-ABEND-LOCATION.
051000     SET MMAMRB-READ-SEQ         TO TRUE.
051100     PERFORM MB00PD-MMAM-ACCESS
051200        THRU MB00PD-MMAM-ACCESS-EXIT.
051300*
051400     IF  MMAMIO-HEADER
051500     OR  MMAMIO-TRAILER
051600         GO TO D999-PMR-EXIT.
051700*
051800     MOVE MMAMIO-RECORD          TO MMAM-RECORD.
051900*
052000     PERFORM 1000-PRINT-ACTIVITY-REPORT
052100        THRU 1999-PAR-EXIT.
052200*
052300 D999-PMR-EXIT.
052400     EXIT.
052500/
052600 Z000-GET-CONTROL-OPTION SECTION.
052700 Z010-GCO-BEGIN.
052800*
052900     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
053000     SET MTCCRB-OPEN-INPUT       TO TRUE.
053100     PERFORM MB00PD-MTCC-ACCESS
053200        THRU MB00PD-MTCC-ACCESS-EXIT.
053300*
053400     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
053500*
053600     PERFORM Z100-READ-CONTROL-CARD
053700        THRU Z199-RCC-EXIT
053800        UNTIL MTCC-MBD660-SYSTEM
053900           OR MTCC-MBD660-ORG
054000           OR MTCC-MBD660-MERCHANT.
054100*
054200     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
054300     SET MTCCRB-CLOSE            TO TRUE.
054400     PERFORM MB00PD-MTCC-ACCESS
054500        THRU MB00PD-MTCC-ACCESS-EXIT.
054600*
054700 Z099-GCO-EXIT.
054800     EXIT.
054900/
055000 Z100-READ-CONTROL-CARD SECTION.
055100 Z100-RCC-BEGIN.
055200*
055300     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
055400     SET MTCCRB-READ-SEQ         TO TRUE.
055500     PERFORM MB00PD-MTCC-ACCESS
055600        THRU MB00PD-MTCC-ACCESS-EXIT.
055700*
055800     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
055900*
056000     IF  SS02WS-FS-END-OF-FILE
056100         MOVE 'OCURMTDYTD'       TO MTCC-RECORD
056200         MOVE 'MBD660'           TO MTCC-PROGRAM-ID
056300         GO TO Z199-RCC-EXIT.
056400*
056500     IF   MTCC-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID
056600     AND (MTCC-MBD660-SYSTEM
056700     OR   MTCC-MBD660-ORG
056800     OR   MTCC-MBD660-MERCHANT)
056900         MOVE MTCC-MBD660-OID-1  TO MMAMWS-OID-SEARCH
057000         IF  MMAMWS-OID-IS-VALID
057100             MOVE MTCC-MBD660-OID-2
057200                                 TO MMAMWS-OID-SEARCH
057300             IF  MMAMWS-OID-IS-VALID
057400                 MOVE MTCC-MBD660-OID-3
057500                                 TO MMAMWS-OID-SEARCH
057600                 IF  MMAMWS-OID-IS-VALID
057700                     GO TO Z199-RCC-EXIT.
057800*
057900     MOVE SPACES                 TO MTCC-RECORD.
058000*
058100 Z199-RCC-EXIT.
058200     EXIT.
058300/
058400 1000-PRINT-ACTIVITY-REPORT SECTION.
058500 1010-PAR-BEGIN.
058600*
058700     IF  MMAM-ORG IS NOT EQUAL TO MMOC-ORG
058800         PERFORM 2000-ORG-CHANGE
058900            THRU 2999-OC-EXIT.
059000*
059100     IF   MMAM-TC-BEG-BALANCE
059200     AND (MMAM-TC-SETT
059300     OR   MMAM-TC-WHSE)
059400         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
059500*
059600     IF   MTCC-MBD660-MERCHANT
059700     AND  MMAM-TC-BEG-BALANCE
059800     AND (MMAM-TC-SETT
059900     OR   MMAM-TC-WHSE)
060000         PERFORM 3000-MERCHANT-CHANGE
060100            THRU 3999-MC-EXIT.
060200*
060300     IF  WS-D660-INDEX-SW IS EQUAL TO 'N'
060400         PERFORM 4000-SET-INDEXES
060500            THRU 4999-SI-EXIT.
060600*
060700     IF  MMAM-TC-BEG-BALANCE
060800     AND MMAM-TC-SETT
060900         MOVE WS-D660-HEADING-1-0
061000                                 TO WS-D660-HEADING-1
061100         PERFORM 6000-PRINT-HEADINGS
061200            THRU 6999-PH-EXIT.
061300*
061400     IF  MMAM-TC-BEG-BALANCE
061500     AND MMAM-TC-RESV-1
061600         MOVE WS-D660-HEADING-1-1
061700                                 TO WS-D660-HEADING-1
061800         PERFORM 6000-PRINT-HEADINGS
061900            THRU 6999-PH-EXIT.
062000*
062100     IF  MMAM-TC-BEG-BALANCE
062200     AND MMAM-TC-RESV-2
062300         MOVE WS-D660-HEADING-1-2
062400                                 TO WS-D660-HEADING-1
062500         PERFORM 6000-PRINT-HEADINGS
062600            THRU 6999-PH-EXIT.
062700*
062800     IF  MMAM-TC-BEG-BALANCE
062900     AND MMAM-TC-RESV-3
063000         MOVE WS-D660-HEADING-1-3
063100                                 TO WS-D660-HEADING-1
063200         PERFORM 6000-PRINT-HEADINGS
063300            THRU 6999-PH-EXIT.
063400*
063500     IF  MMAM-TC-BEG-BALANCE
063600     AND MMAM-TC-RESV-4
063700         MOVE WS-D660-HEADING-1-4
063800                                 TO WS-D660-HEADING-1
063900         PERFORM 6000-PRINT-HEADINGS
064000            THRU 6999-PH-EXIT.
064100*
064200*****IF  MMAM-TC-BEG-BALANCE
064300*****AND MMAM-TC-FUTURE-USE
064400*****    MOVE WS-D660-HEADING-1-5
064500*****                            TO WS-D660-HEADING-1
064600*****    PERFORM 6000-PRINT-HEADINGS
064700*****       THRU 6999-PH-EXIT.
064800*
064900     IF  MMAM-TC-BEG-BALANCE
065000     AND MMAM-TC-WHSE
065100         MOVE WS-D660-HEADING-1-6
065200                                 TO WS-D660-HEADING-1
065300         PERFORM 6000-PRINT-HEADINGS
065400            THRU 6999-PH-EXIT.
065500*
065600     IF  MMAM-TC-BEG-BALANCE
065700     AND MMAM-TC-MISC
065800         MOVE WS-D660-HEADING-1-7
065900                                 TO WS-D660-HEADING-1
066000         PERFORM 6000-PRINT-HEADINGS
066100            THRU 6999-PH-EXIT.
066200*
066300     MOVE '+'                    TO WS-D660-PL1-SIGN.
066400*
066500     IF  MMAM-INFORMATIONAL
066600         MOVE 'I'                TO WS-D660-PL1-SIGN.
066700*
066800     IF  MMAM-DEBIT
066900         MOVE '-'                TO WS-D660-PL1-SIGN.
067000*
067100     IF  MMAM-TC-BEG-BALANCE
067200         MOVE 'TC='              TO WS-D660-PL1-TC-LIT
067300         MOVE SPACES             TO WS-D660-PL1-SIGN.
067400*
067500     IF  MMAM-TC-END-BALANCE
067600         MOVE '='                TO WS-D660-PL1-SIGN.
067700*
067800     MOVE MMAM-TC-NBR            TO WS-D660-PL1-TC.
067900     MOVE MMAM-RPT-DESC          TO WS-D660-PL1-DESC.
068000*
068100     MOVE MMAM-AMOUNT (X-MMAM-1) TO SS95WS-IN-AMT.
068200     MOVE MMAM-NUMBER (X-MMAM-1) TO SS95WS-IN-NBR.
068300     PERFORM SS95PD-NAP-ROUTINE
068400        THRU SS95PD-NAP-EXIT.
068500     MOVE SS95WS-OUT-AMT-L21     TO WS-D660-PL1-AMOUNT (1).
068600     MOVE SS95WS-OUT-NBR-L12     TO WS-D660-PL1-NUMBER (1).
068700*
068800     MOVE MMAM-AMOUNT (X-MMAM-2) TO SS95WS-IN-AMT.
068900     MOVE MMAM-NUMBER (X-MMAM-2) TO SS95WS-IN-NBR.
069000     PERFORM SS95PD-NAP-ROUTINE
069100        THRU SS95PD-NAP-EXIT.
069200     MOVE SS95WS-OUT-AMT-L21     TO WS-D660-PL1-AMOUNT (2).
069300     MOVE SS95WS-OUT-NBR-L12     TO WS-D660-PL1-NUMBER (2).
069400*
069500     MOVE MMAM-AMOUNT (X-MMAM-3) TO SS95WS-IN-AMT.
069600     MOVE MMAM-NUMBER (X-MMAM-3) TO SS95WS-IN-NBR.
069700     PERFORM SS95PD-NAP-ROUTINE
069800        THRU SS95PD-NAP-EXIT.
069900     MOVE SS95WS-OUT-AMT-L21     TO WS-D660-PL1-AMOUNT (3).
070000     MOVE SS95WS-OUT-NBR-L12     TO WS-D660-PL1-NUMBER (3).
070100*
070200     PERFORM MB20PD-PRINT-1-LINE
070300        THRU MB20PD-P1L-EXIT.
070400*
070500     IF  MMAM-TC-END-BALANCE
070600         IF  MMAM-BAL-DIFF IS NOT EQUAL TO ZERO
070700             MOVE 'Y'            TO WS-D660-OOB-SW
070800             PERFORM MB20PD-PRINT-1-LINE
070900                THRU MB20PD-P1L-EXIT
071000             MOVE '*** OUT-OF-BALANCE *** --->'
071100                                 TO MB20WS-PRINT-LINE
071200             MOVE MMAM-BAL-DIFF  TO SS95WS-IN-AMT
071300             PERFORM SS95PD-NAP-ROUTINE
071400                THRU SS95PD-NAP-EXIT
071500             MOVE SS95WS-OUT-AMT-L21
071600                                 TO WS-D660-PL1-AMOUNT (1)
071700             PERFORM MB20PD-PRINT-1-LINE
071800                THRU MB20PD-P1L-EXIT.
071900*
072000 1999-PAR-EXIT.
072100     EXIT.
072200/
072300 2000-ORG-CHANGE SECTION.
072400 2010-OC-BEGIN.
072500*
072600     MOVE MMAM-ORG               TO MMOCIO-ORG.
072700*
072800     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
072900     SET MMOCRB-READ-RANDOM      TO TRUE.
073000     PERFORM MB00PD-MMOC-ACCESS
073100        THRU MB00PD-MMOC-ACCESS-EXIT.
073200*
073300     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
073400*
073500     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
073600     MOVE MMOC-ORG               TO MB20WS-SH-ORG.
073700     MOVE MMOC-NA-LINE (1 1)     TO MB20WS-SH-ORG-NAME.
073800*
073900     IF  MTCC-MBD660-SYSTEM
074000         MOVE ZERO               TO MB20WS-SH-ORG
074100         MOVE MMSC-PROC-CENTER-ID
074200                                 TO MB20WS-SH-ORG-NAME.
074300*
074400     MOVE MMOC-OR-RPT-TITLE (96)
074500                                 TO MB20WS-SH-RPT-NAME.
074600     MOVE MMOC-OR-REPORT-DEST-ID (96)
074700                                 TO MB20WS-SH-RPT-ID.
074800     MOVE MMOC-OR-REPORT-ID (96)
074900                                 TO MB20WS-SH-RPT-ID.
075000     MOVE 'O96'                  TO MB20WS-SH-INTERNAL-RPT-ID.
075100     MOVE MMOC-LINES-PER-PAGE TO MB20WS-LINE-LIMIT.
075200     MOVE MMOC-OR-FORM-1 (96) TO MB20WS-FORM-CODE.
075300     MOVE MMOC-OR-FICHE-FLAG (96)
075400                                 TO MB20WS-FICHE-CODE.
075500     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
075600     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
075700     MOVE 'N'                    TO WS-D660-INDEX-SW.
075800*
075900 2999-OC-EXIT.
076000     EXIT.
076100/
076200 3000-MERCHANT-CHANGE SECTION.
076300 3010-MC-BEGIN.
076400*
076500     MOVE ' MERCHANT'            TO WS-D660-H2-MERCHANT-LIT.
076600     MOVE MMAM-MERCHANT          TO WS-D660-H3-MERCHANT.
076700     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
076800     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
076900*
077000 3999-MC-EXIT.
077100     EXIT.
077200/
077300 4000-SET-INDEXES SECTION.
077400 4010-SI-BEGIN.
077500*
077600     MOVE 'Y'                    TO WS-D660-INDEX-SW.
077700*
077800     MOVE MTCC-MBD660-OID-1      TO MMAMWS-OID-SEARCH.
077900     SET X-MMAM-1                TO 13.
078000     PERFORM MMAMPX-FIND-OCCURRENCE
078100        THRU MMAMPX-FO-EXIT.
078200*
078300     IF  MMAMWS-OID-INDEX  IS NOT EQUAL TO ZERO
078400         SET X-MMAM-1            TO MMAMWS-OID-INDEX.
078500*
078600     SET MMAMWS-OID-INDEX        TO X-MMAM-1.
078700     PERFORM 5000-GET-COLUMN-HEADING
078800        THRU 5999-GCH-EXIT.
078900     MOVE WS-D660-COL-HEADING    TO WS-D660-H2-COL-1.
079000*
079100*
079200*
079300     MOVE MTCC-MBD660-OID-2      TO MMAMWS-OID-SEARCH.
079400     SET X-MMAM-2                TO 15.
079500     PERFORM MMAMPX-FIND-OCCURRENCE
079600        THRU MMAMPX-FO-EXIT.
079700*
079800     IF  MMAMWS-OID-INDEX  IS NOT EQUAL TO ZERO
079900         SET X-MMAM-2            TO MMAMWS-OID-INDEX.
080000*
080100     SET MMAMWS-OID-INDEX        TO X-MMAM-2.
080200     PERFORM 5000-GET-COLUMN-HEADING
080300        THRU 5999-GCH-EXIT.
080400     MOVE WS-D660-COL-HEADING    TO WS-D660-H2-COL-2.
080500*
080600*
080700*
080800     MOVE MTCC-MBD660-OID-3      TO MMAMWS-OID-SEARCH.
080900     SET X-MMAM-3                TO 16.
081000     PERFORM MMAMPX-FIND-OCCURRENCE
081100        THRU MMAMPX-FO-EXIT.
081200*
081300     IF  MMAMWS-OID-INDEX  IS NOT EQUAL TO ZERO
081400         SET X-MMAM-3            TO MMAMWS-OID-INDEX.
081500*
081600     SET MMAMWS-OID-INDEX        TO X-MMAM-3.
081700     PERFORM 5000-GET-COLUMN-HEADING
081800        THRU 5999-GCH-EXIT.
081900     MOVE WS-D660-COL-HEADING    TO WS-D660-H2-COL-3.
082000*
082100 4999-SI-EXIT.
082200     EXIT.
082300/
082400 5000-GET-COLUMN-HEADING SECTION.
082500 5010-GCH-BEGIN.
082600*
082700     SET X-MMAM                  TO MMAMWS-OID-INDEX.
082800*
082900     IF  X-MMAM IS LESS THAN 13
083000     OR  X-MMAM IS EQUAL TO  16
083100     OR  X-MMAM IS EQUAL TO  24
083200     OR  X-MMAM IS EQUAL TO  25
083300         MOVE MMAM-OCCURRENCE-ID (X-MMAM)
083400                                 TO WS-D660-CH-OID-MON
083500         MOVE MMAM-OCCURRENCE-YEAR (X-MMAM)
083600                                 TO WS-D660-CH-YEAR-MON
083700         MOVE WS-D660-COL-HEADING-MON
083800                                 TO WS-D660-COL-HEADING
083900         GO TO 5999-GCH-EXIT.
084000*
084100     IF  X-MMAM IS EQUAL TO  13
084200         MOVE 'LAST'             TO WS-D660-CH-OID-MON
084300         MOVE 'PROC'             TO WS-D660-CH-YEAR-MON
084400         MOVE WS-D660-COL-HEADING-MON
084500                                 TO WS-D660-COL-HEADING
084600         GO TO 5999-GCH-EXIT.
084700*
084800     IF  X-MMAM IS EQUAL TO  15
084900         MOVE 'MONTH-TO-'        TO WS-D660-CH-OID-QTR
085000         MOVE 'DATE'             TO WS-D660-CH-YEAR-QTR
085100         MOVE WS-D660-COL-HEADING-QTR
085200                                 TO WS-D660-COL-HEADING
085300         GO TO 5999-GCH-EXIT.
085400*
085500     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
085600     PERFORM SS08PD-JUL-TO-GREG
085700        THRU SS08PD-JTG-EXIT.
085800     SET X-WS-D660-QTD           TO 1.
085900*
086000     SEARCH WS-D660-QTD-TABLE VARYING X-WS-D660-QTD
086100         AT END
086200             SET X-WS-D660-QTD   TO 1
086300         WHEN SS01WS-MM IS NOT LESS THAN
086400                             WS-D660-QTD-MON-1 (X-WS-D660-QTD)
086500          AND SS01WS-MM IS NOT GREATER THAN
086600                             WS-D660-QTD-MON-2 (X-WS-D660-QTD)
086700              NEXT SENTENCE.
086800*
086900     IF  X-MMAM IS EQUAL TO  17
087000         SET X-WS-D660-QTD       UP BY 1.
087100*
087200     IF  X-MMAM IS EQUAL TO  18
087300         SET X-WS-D660-QTD       UP BY 2.
087400*
087500     IF  X-MMAM IS EQUAL TO  19
087600         SET X-WS-D660-QTD       UP BY 3.
087700*
087800     IF  X-MMAM IS EQUAL TO  20
087900         SET X-WS-D660-QTD       UP BY 4.
088000*
088100     IF  X-MMAM IS EQUAL TO  21
088200         SET X-WS-D660-QTD       UP BY 5.
088300*
088400     IF  X-MMAM IS EQUAL TO  22
088500         SET X-WS-D660-QTD       UP BY 6.
088600*
088700     IF  X-MMAM IS EQUAL TO  23
088800         SET X-WS-D660-QTD       UP BY 7.
088900*
089000     MOVE WS-D660-QTD-LIT (X-WS-D660-QTD)
089100                                 TO WS-D660-CH-OID-QTR.
089200     MOVE MMAM-OCCURRENCE-YEAR (X-MMAM)
089300                                 TO WS-D660-CH-YEAR-QTR.
089400     MOVE WS-D660-COL-HEADING-QTR
089500                                 TO WS-D660-COL-HEADING.
089600*
089700 5999-GCH-EXIT.
089800     EXIT.
089900/
090000 6000-PRINT-HEADINGS SECTION.
090100 6010-PH-BEGIN.
090200*
090300     MOVE WS-D660-HEADING-1      TO MB20WS-SH-L5.
090400     MOVE WS-D660-HEADING-2      TO MB20WS-SH-L7.
090500     MOVE WS-D660-HEADING-3      TO MB20WS-SH-L8.
090600*
090700     IF  MMAM-TC-SETT
090800     OR  MMAM-TC-WHSE
090900         GO TO 6999-PH-EXIT.
091000*
091100     COMPUTE MB20WS-LINES-REMAINING
091200                                 =  MB20WS-LINE-LIMIT
091300                                 -  MB20WS-LINE-COUNT.
091400*
091500     IF  MB20WS-LINES-REMAINING IS LESS THAN 9
091600         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT
091700         GO TO 6999-PH-EXIT.
091800*
091900     PERFORM MB20PD-PRINT-2-LINES
092000        THRU MB20PD-P2L-EXIT.
092100*
092200     MOVE WS-D660-HEADING-1      TO MB20WS-PRINT-LINE.
092300     PERFORM MB20PD-PRINT-2-LINES
092400        THRU MB20PD-P2L-EXIT.
092500*
092600     MOVE WS-D660-HEADING-2      TO MB20WS-PRINT-LINE.
092700     PERFORM MB20PD-PRINT-1-LINE
092800        THRU MB20PD-P1L-EXIT.
092900*
093000     MOVE WS-D660-HEADING-3      TO MB20WS-PRINT-LINE.
093100     PERFORM MB20PD-PRINT-1-LINE
093200        THRU MB20PD-P1L-EXIT.
093300*
093400 6999-PH-EXIT.
093500     EXIT.
093600/
093700 9000-PERFORMED-ROUTINES-SECT SECTION.
093800*
093900     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
094000/
094100     COPY MB00PD REPLACING ==:MB00:== BY ==MMAM==.
094200/
094300     COPY MMAMPX.
094400/
094500     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
094600/
094700     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
094800/
094900     COPY MB20PD.
095000/
095100     COPY MB90PD.
095200/
095300     COPY SS95PD.
095400/
095500     COPY MB99PD.
095600/
095700     COPY SS02PD.
095800/
095900     COPY SS07PD.
096000/
096100     COPY SS08PD.
096200/
096300     COPY SS16PD.
096400/
096500     COPY SS26PD.
096600/
096700     COPY SS27PD.
096800/
096900     COPY SS98PD.
097000*
097100 9995-END-SOURCE-STATEMENTS SECTION.
097200 9999-END-OF-PROGRAM.
097300     EXIT.
