000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD700.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD700 - REPORT SORT                                    *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600*
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000/
002100 DATA DIVISION.
002200 FILE SECTION.
002300*
002400     COPY MS1SSD.
002500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTP0==.
002600/
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003000*
003100 01  WS-MBD700-WORK-AREAS.
003200     03  WS-D700-OUTPUT-FILE PIC S9(04)      BINARY.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003700/
003800     COPY MMSCIO.
003900/
004000     COPY MMOCRL.
004100/
004200     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
004300/
004400     COPY MMOCIO.
004500/
004600     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
004700/
004800     COPY MB00RB REPLACING ==:MB00:== BY ==MTRF==.
004900/
005000     COPY MTRFIO REPLACING ==:MTRF:== BY ==MTRF==.
005100/
005200     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
005300/
005400     COPY MB00RB REPLACING ==:MB00:== BY ==MTP0==.
005500/
005600     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP0==.
005700/
005800     COPY MB00RB REPLACING ==:MB00:== BY ==MTP1==.
005900/
006000     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP1==.
006100/
006200     COPY MB00RB REPLACING ==:MB00:== BY ==MTP2==.
006300/
006400     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP2==.
006500/
006600     COPY MB00RB REPLACING ==:MB00:== BY ==MTP3==.
006700/
006800     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP3==.
006900/
007000     COPY MB00RB REPLACING ==:MB00:== BY ==MTP4==.
007100/
007200     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP4==.
007300/
007400     COPY MB00RB REPLACING ==:MB00:== BY ==MTP5==.
007500/
007600     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP5==.
007700/
007800     COPY MB00RB REPLACING ==:MB00:== BY ==MTP6==.
007900/
008000     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP6==.
008100/
008200     COPY MB00RB REPLACING ==:MB00:== BY ==MTP7==.
008300/
008400     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP7==.
008500/
008600     COPY MB00RB REPLACING ==:MB00:== BY ==MTP8==.
008700/
008800     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP8==.
008900/
009000     COPY MB00RB REPLACING ==:MB00:== BY ==MTP9==.
009100/
009200     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP9==.
009300/
009400     COPY MB00RB REPLACING ==:MB00:== BY ==MTR0==.
009500/
009600     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR0==.
009700/
009800     COPY MB00RB REPLACING ==:MB00:== BY ==MTR1==.
009900/
010000     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR1==.
010100/
010200     COPY MB00RB REPLACING ==:MB00:== BY ==MTR2==.
010300/
010400     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR2==.
010500/
010600     COPY MB00RB REPLACING ==:MB00:== BY ==MTR3==.
010700/
010800     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR3==.
010900/
011000     COPY MB00RB REPLACING ==:MB00:== BY ==MTR4==.
011100/
011200     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR4==.
011300/
011400     COPY MB00RB REPLACING ==:MB00:== BY ==MTR5==.
011500/
011600     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR5==.
011700/
011800     COPY MB00RB REPLACING ==:MB00:== BY ==MTR6==.
011900/
012000     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR6==.
012100/
012200     COPY MB00RB REPLACING ==:MB00:== BY ==MTR7==.
012300/
012400     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR7==.
012500/
012600     COPY MB00RB REPLACING ==:MB00:== BY ==MTR8==.
012700/
012800     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR8==.
012900/
013000     COPY MB00RB REPLACING ==:MB00:== BY ==MTR9==.
013100/
013200     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTR9==.
013300/
013400     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
013500/
013600     COPY MB00WS.
013700/
013800     COPY MB99WS.
013900/
014000     COPY SS00WS.
014100/
014200     COPY SS01WS.
014300/
014400     COPY SS02WS.
014500*
014600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014700/
014800 PROCEDURE DIVISION.
014900 A000-MAIN-LINE-SECT SECTION.
015000 A010-ML-BEGIN.
015100*
015200     MOVE SPACES                 TO MTRF-RECORD.
015300*
015400     PERFORM A100-OPEN-FILES
015500        THRU A199-OF-EXIT.
015600*
015700     PERFORM A200-SORT-PROCESS
015800        THRU A299-SP-EXIT
015900        UNTIL MMOCIO-TRAILER.
016000*
016100     PERFORM A300-CLOSE-FILES
016200        THRU A399-CF-EXIT.
016300*
016400     STOP RUN.
016500*
016600 A099-ML-EXIT.
016700     EXIT.
016800/
016900 A100-OPEN-FILES SECTION.
017000 A101-OF-BEGIN.
017100*
017200     MOVE 'MBD700'               TO SS02WS-ABEND-PROG-ID.
017300*
017400     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
017500     SET MMSCRB-OPEN-INPUT       TO TRUE.
017600     PERFORM MB00PD-MMSC-ACCESS
017700        THRU MB00PD-MMSC-ACCESS-EXIT.
017800*
017900     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
018000     SET MMOCRB-OPEN-INPUT       TO TRUE.
018100     PERFORM MB00PD-MMOC-ACCESS
018200        THRU MB00PD-MMOC-ACCESS-EXIT.
018300*
018400     MOVE 'O1P0'                 TO SS02WS-ABEND-LOCATION.
018500     SET MTP0RB-OPEN-INPUT       TO TRUE.
018600     PERFORM MB00PD-MTP0-ACCESS
018700        THRU MB00PD-MTP0-ACCESS-EXIT.
018800*
018900     MOVE 'O1P1'                 TO SS02WS-ABEND-LOCATION.
019000     SET MTP1RB-OPEN-INPUT       TO TRUE.
019100     PERFORM MB00PD-MTP1-ACCESS
019200        THRU MB00PD-MTP1-ACCESS-EXIT.
019300*
019400     MOVE 'O1P2'                 TO SS02WS-ABEND-LOCATION.
019500     SET MTP2RB-OPEN-INPUT       TO TRUE.
019600     PERFORM MB00PD-MTP2-ACCESS
019700        THRU MB00PD-MTP2-ACCESS-EXIT.
019800*
019900     MOVE 'O1P3'                 TO SS02WS-ABEND-LOCATION.
020000     SET MTP3RB-OPEN-INPUT       TO TRUE.
020100     PERFORM MB00PD-MTP3-ACCESS
020200        THRU MB00PD-MTP3-ACCESS-EXIT.
020300*
020400     MOVE 'O1P4'                 TO SS02WS-ABEND-LOCATION.
020500     SET MTP4RB-OPEN-INPUT       TO TRUE.
020600     PERFORM MB00PD-MTP4-ACCESS
020700        THRU MB00PD-MTP4-ACCESS-EXIT.
020800*
020900     MOVE 'O1P5'                 TO SS02WS-ABEND-LOCATION.
021000     SET MTP5RB-OPEN-INPUT       TO TRUE.
021100     PERFORM MB00PD-MTP5-ACCESS
021200        THRU MB00PD-MTP5-ACCESS-EXIT.
021300*
021400     MOVE 'O1P6'                 TO SS02WS-ABEND-LOCATION.
021500     SET MTP6RB-OPEN-INPUT       TO TRUE.
021600     PERFORM MB00PD-MTP6-ACCESS
021700        THRU MB00PD-MTP6-ACCESS-EXIT.
021800*
021900     MOVE 'O1P7'                 TO SS02WS-ABEND-LOCATION.
022000     SET MTP7RB-OPEN-INPUT       TO TRUE.
022100     PERFORM MB00PD-MTP7-ACCESS
022200        THRU MB00PD-MTP7-ACCESS-EXIT.
022300*
022400     MOVE 'O1P8'                 TO SS02WS-ABEND-LOCATION.
022500     SET MTP8RB-OPEN-INPUT       TO TRUE.
022600     PERFORM MB00PD-MTP8-ACCESS
022700        THRU MB00PD-MTP8-ACCESS-EXIT.
022800*
022900     MOVE 'O1P9'                 TO SS02WS-ABEND-LOCATION.
023000     SET MTP9RB-OPEN-INPUT       TO TRUE.
023100     PERFORM MB00PD-MTP9-ACCESS
023200        THRU MB00PD-MTP9-ACCESS-EXIT.
023300*
023400     MOVE 'O1R0'                 TO SS02WS-ABEND-LOCATION.
023500     SET MTR0RB-OPEN-OUTPUT      TO TRUE.
023600     PERFORM MB00PD-MTR0-ACCESS
023700        THRU MB00PD-MTR0-ACCESS-EXIT.
023800*
023900     MOVE 'O1R1'                 TO SS02WS-ABEND-LOCATION.
024000     SET MTR1RB-OPEN-OUTPUT      TO TRUE.
024100     PERFORM MB00PD-MTR1-ACCESS
024200        THRU MB00PD-MTR1-ACCESS-EXIT.
024300*
024400     MOVE 'O1R2'                 TO SS02WS-ABEND-LOCATION.
024500     SET MTR2RB-OPEN-OUTPUT      TO TRUE.
024600     PERFORM MB00PD-MTR2-ACCESS
024700        THRU MB00PD-MTR2-ACCESS-EXIT.
024800*
024900     MOVE 'O1R3'                 TO SS02WS-ABEND-LOCATION.
025000     SET MTR3RB-OPEN-OUTPUT      TO TRUE.
025100     PERFORM MB00PD-MTR3-ACCESS
025200        THRU MB00PD-MTR3-ACCESS-EXIT.
025300*
025400     MOVE 'O1R4'                 TO SS02WS-ABEND-LOCATION.
025500     SET MTR4RB-OPEN-OUTPUT      TO TRUE.
025600     PERFORM MB00PD-MTR4-ACCESS
025700        THRU MB00PD-MTR4-ACCESS-EXIT.
025800*
025900     MOVE 'O1R5'                 TO SS02WS-ABEND-LOCATION.
026000     SET MTR5RB-OPEN-OUTPUT      TO TRUE.
026100     PERFORM MB00PD-MTR5-ACCESS
026200        THRU MB00PD-MTR5-ACCESS-EXIT.
026300*
026400     MOVE 'O1R6'                 TO SS02WS-ABEND-LOCATION.
026500     SET MTR6RB-OPEN-OUTPUT      TO TRUE.
026600     PERFORM MB00PD-MTR6-ACCESS
026700        THRU MB00PD-MTR6-ACCESS-EXIT.
026800*
026900     MOVE 'O1R7'                 TO SS02WS-ABEND-LOCATION.
027000     SET MTR7RB-OPEN-OUTPUT      TO TRUE.
027100     PERFORM MB00PD-MTR7-ACCESS
027200        THRU MB00PD-MTR7-ACCESS-EXIT.
027300*
027400     MOVE 'O1R8'                 TO SS02WS-ABEND-LOCATION.
027500     SET MTR8RB-OPEN-OUTPUT      TO TRUE.
027600     PERFORM MB00PD-MTR8-ACCESS
027700        THRU MB00PD-MTR8-ACCESS-EXIT.
027800*
027900     MOVE 'O1R9'                 TO SS02WS-ABEND-LOCATION.
028000     SET MTR9RB-OPEN-OUTPUT      TO TRUE.
028100     PERFORM MB00PD-MTR9-ACCESS
028200        THRU MB00PD-MTR9-ACCESS-EXIT.
028300*
028400*
028500*
028600     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
028700     SET MMSCRB-READ-SEQ         TO TRUE.
028800     PERFORM MB00PD-MMSC-ACCESS
028900        THRU MB00PD-MMSC-ACCESS-EXIT.
029000     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
029100*
029200     IF  MMSCIO-HEADER
029300         NEXT SENTENCE
029400     ELSE
029500         PERFORM MB99PD-MISSING-HEADER-ABEND
029600            THRU MB99PD-MHA-EXIT.
029700*
029800     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
029900     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
030000     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
030100     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
030200*
030300*
030400*
030500     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
030600     SET MMOCRB-READ-SEQ         TO TRUE.
030700     PERFORM MB00PD-MMOC-ACCESS
030800        THRU MB00PD-MMOC-ACCESS-EXIT.
030900     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
031000*
031100     IF  MMOCIO-HEADER
031200         NEXT SENTENCE
031300     ELSE
031400         PERFORM MB99PD-MISSING-HEADER-ABEND
031500            THRU MB99PD-MHA-EXIT.
031600*
031700     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
031800     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
031900     PERFORM MB99PD-CHECK-DATE-TIME
032000        THRU MB99PD-CDT-EXIT.
032100     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
032200*
032300*
032400*
032500*
032600     MOVE 'R0P0'                 TO SS02WS-ABEND-LOCATION.
032700     SET MTP0RB-READ-SEQ         TO TRUE.
032800     PERFORM MB00PD-MTP0-ACCESS
032900        THRU MB00PD-MTP0-ACCESS-EXIT.
033000     MOVE 'MTP0'                 TO MB99WS-FILE-ID.
033100*
033200     IF  MTP0IO-HEADER
033300         NEXT SENTENCE
033400     ELSE
033500         PERFORM MB99PD-MISSING-HEADER-ABEND
033600            THRU MB99PD-MHA-EXIT.
033700*
033800     MOVE MTP0IO-DATE-STAMP      TO MB99WS-FILE-DATE.
033900     MOVE MTP0IO-TIME-STAMP      TO MB99WS-FILE-TIME.
034000     PERFORM MB99PD-CHECK-DATE-TIME
034100        THRU MB99PD-CDT-EXIT.
034200*
034300     MOVE 'R1P0'                 TO SS02WS-ABEND-LOCATION.
034400     SET MTP0RB-READ-SEQ         TO TRUE.
034500     PERFORM MB00PD-MTP0-ACCESS
034600        THRU MB00PD-MTP0-ACCESS-EXIT.
034700*
034800*
034900*
035000     MOVE 'R0P1'                 TO SS02WS-ABEND-LOCATION.
035100     SET MTP1RB-READ-SEQ         TO TRUE.
035200     PERFORM MB00PD-MTP1-ACCESS
035300        THRU MB00PD-MTP1-ACCESS-EXIT.
035400     MOVE 'MTP1'                 TO MB99WS-FILE-ID.
035500*
035600     IF  MTP1IO-HEADER
035700         NEXT SENTENCE
035800     ELSE
035900         PERFORM MB99PD-MISSING-HEADER-ABEND
036000            THRU MB99PD-MHA-EXIT.
036100*
036200     MOVE MTP1IO-DATE-STAMP      TO MB99WS-FILE-DATE.
036300     MOVE MTP1IO-TIME-STAMP      TO MB99WS-FILE-TIME.
036400     PERFORM MB99PD-CHECK-DATE-TIME
036500        THRU MB99PD-CDT-EXIT.
036600*
036700     MOVE 'R1P1'                 TO SS02WS-ABEND-LOCATION.
036800     SET MTP1RB-READ-SEQ         TO TRUE.
036900     PERFORM MB00PD-MTP1-ACCESS
037000        THRU MB00PD-MTP1-ACCESS-EXIT.
037100*
037200*
037300*
037400     MOVE 'R0P2'                 TO SS02WS-ABEND-LOCATION.
037500     SET MTP2RB-READ-SEQ         TO TRUE.
037600     PERFORM MB00PD-MTP2-ACCESS
037700        THRU MB00PD-MTP2-ACCESS-EXIT.
037800     MOVE 'MTP2'                 TO MB99WS-FILE-ID.
037900*
038000     IF  MTP2IO-HEADER
038100         NEXT SENTENCE
038200     ELSE
038300         PERFORM MB99PD-MISSING-HEADER-ABEND
038400            THRU MB99PD-MHA-EXIT.
038500*
038600     MOVE MTP2IO-DATE-STAMP      TO MB99WS-FILE-DATE.
038700     MOVE MTP2IO-TIME-STAMP      TO MB99WS-FILE-TIME.
038800     PERFORM MB99PD-CHECK-DATE-TIME
038900        THRU MB99PD-CDT-EXIT.
039000*
039100     MOVE 'R1P2'                 TO SS02WS-ABEND-LOCATION.
039200     SET MTP2RB-READ-SEQ         TO TRUE.
039300     PERFORM MB00PD-MTP2-ACCESS
039400        THRU MB00PD-MTP2-ACCESS-EXIT.
039500*
039600*
039700*
039800     MOVE 'R0P3'                 TO SS02WS-ABEND-LOCATION.
039900     SET MTP3RB-READ-SEQ         TO TRUE.
040000     PERFORM MB00PD-MTP3-ACCESS
040100        THRU MB00PD-MTP3-ACCESS-EXIT.
040200     MOVE 'MTP3'                 TO MB99WS-FILE-ID.
040300*
040400     IF  MTP3IO-HEADER
040500         NEXT SENTENCE
040600     ELSE
040700         PERFORM MB99PD-MISSING-HEADER-ABEND
040800            THRU MB99PD-MHA-EXIT.
040900*
041000     MOVE MTP3IO-DATE-STAMP      TO MB99WS-FILE-DATE.
041100     MOVE MTP3IO-TIME-STAMP      TO MB99WS-FILE-TIME.
041200     PERFORM MB99PD-CHECK-DATE-TIME
041300        THRU MB99PD-CDT-EXIT.
041400*
041500     MOVE 'R1P3'                 TO SS02WS-ABEND-LOCATION.
041600     SET MTP3RB-READ-SEQ         TO TRUE.
041700     PERFORM MB00PD-MTP3-ACCESS
041800        THRU MB00PD-MTP3-ACCESS-EXIT.
041900*
042000*
042100*
042200     MOVE 'R0P4'                 TO SS02WS-ABEND-LOCATION.
042300     SET MTP4RB-READ-SEQ         TO TRUE.
042400     PERFORM MB00PD-MTP4-ACCESS
042500        THRU MB00PD-MTP4-ACCESS-EXIT.
042600     MOVE 'MTP4'                 TO MB99WS-FILE-ID.
042700*
042800     IF  MTP4IO-HEADER
042900         NEXT SENTENCE
043000     ELSE
043100         PERFORM MB99PD-MISSING-HEADER-ABEND
043200            THRU MB99PD-MHA-EXIT.
043300*
043400     MOVE MTP4IO-DATE-STAMP      TO MB99WS-FILE-DATE.
043500     MOVE MTP4IO-TIME-STAMP      TO MB99WS-FILE-TIME.
043600     PERFORM MB99PD-CHECK-DATE-TIME
043700        THRU MB99PD-CDT-EXIT.
043800*
043900     MOVE 'R1P4'                 TO SS02WS-ABEND-LOCATION.
044000     SET MTP4RB-READ-SEQ         TO TRUE.
044100     PERFORM MB00PD-MTP4-ACCESS
044200        THRU MB00PD-MTP4-ACCESS-EXIT.
044300*
044400*
044500*
044600     MOVE 'R0P5'                 TO SS02WS-ABEND-LOCATION.
044700     SET MTP5RB-READ-SEQ         TO TRUE.
044800     PERFORM MB00PD-MTP5-ACCESS
044900        THRU MB00PD-MTP5-ACCESS-EXIT.
045000     MOVE 'MTP5'                 TO MB99WS-FILE-ID.
045100*
045200     IF  MTP5IO-HEADER
045300         NEXT SENTENCE
045400     ELSE
045500         PERFORM MB99PD-MISSING-HEADER-ABEND
045600            THRU MB99PD-MHA-EXIT.
045700*
045800     MOVE MTP5IO-DATE-STAMP      TO MB99WS-FILE-DATE.
045900     MOVE MTP5IO-TIME-STAMP      TO MB99WS-FILE-TIME.
046000     PERFORM MB99PD-CHECK-DATE-TIME
046100        THRU MB99PD-CDT-EXIT.
046200*
046300     MOVE 'R1P5'                 TO SS02WS-ABEND-LOCATION.
046400     SET MTP5RB-READ-SEQ         TO TRUE.
046500     PERFORM MB00PD-MTP5-ACCESS
046600        THRU MB00PD-MTP5-ACCESS-EXIT.
046700*
046800*
046900*
047000     MOVE 'R0P6'                 TO SS02WS-ABEND-LOCATION.
047100     SET MTP6RB-READ-SEQ         TO TRUE.
047200     PERFORM MB00PD-MTP6-ACCESS
047300        THRU MB00PD-MTP6-ACCESS-EXIT.
047400     MOVE 'MTP6'                 TO MB99WS-FILE-ID.
047500*
047600     IF  MTP6IO-HEADER
047700         NEXT SENTENCE
047800     ELSE
047900         PERFORM MB99PD-MISSING-HEADER-ABEND
048000            THRU MB99PD-MHA-EXIT.
048100*
048200     MOVE MTP6IO-DATE-STAMP      TO MB99WS-FILE-DATE.
048300     MOVE MTP6IO-TIME-STAMP      TO MB99WS-FILE-TIME.
048400     PERFORM MB99PD-CHECK-DATE-TIME
048500        THRU MB99PD-CDT-EXIT.
048600*
048700     MOVE 'R1P6'                 TO SS02WS-ABEND-LOCATION.
048800     SET MTP6RB-READ-SEQ         TO TRUE.
048900     PERFORM MB00PD-MTP6-ACCESS
049000        THRU MB00PD-MTP6-ACCESS-EXIT.
049100*
049200*
049300*
049400     MOVE 'R0P7'                 TO SS02WS-ABEND-LOCATION.
049500     SET MTP7RB-READ-SEQ         TO TRUE.
049600     PERFORM MB00PD-MTP7-ACCESS
049700        THRU MB00PD-MTP7-ACCESS-EXIT.
049800     MOVE 'MTP7'                 TO MB99WS-FILE-ID.
049900*
050000     IF  MTP7IO-HEADER
050100         NEXT SENTENCE
050200     ELSE
050300         PERFORM MB99PD-MISSING-HEADER-ABEND
050400            THRU MB99PD-MHA-EXIT.
050500*
050600     MOVE MTP7IO-DATE-STAMP      TO MB99WS-FILE-DATE.
050700     MOVE MTP7IO-TIME-STAMP      TO MB99WS-FILE-TIME.
050800     PERFORM MB99PD-CHECK-DATE-TIME
050900        THRU MB99PD-CDT-EXIT.
051000*
051100     MOVE 'R1P7'                 TO SS02WS-ABEND-LOCATION.
051200     SET MTP7RB-READ-SEQ         TO TRUE.
051300     PERFORM MB00PD-MTP7-ACCESS
051400        THRU MB00PD-MTP7-ACCESS-EXIT.
051500*
051600*
051700*
051800     MOVE 'R0P8'                 TO SS02WS-ABEND-LOCATION.
051900     SET MTP8RB-READ-SEQ         TO TRUE.
052000     PERFORM MB00PD-MTP8-ACCESS
052100        THRU MB00PD-MTP8-ACCESS-EXIT.
052200     MOVE 'MTP8'                 TO MB99WS-FILE-ID.
052300*
052400     IF  MTP8IO-HEADER
052500         NEXT SENTENCE
052600     ELSE
052700         PERFORM MB99PD-MISSING-HEADER-ABEND
052800            THRU MB99PD-MHA-EXIT.
052900*
053000     MOVE MTP8IO-DATE-STAMP      TO MB99WS-FILE-DATE.
053100     MOVE MTP8IO-TIME-STAMP      TO MB99WS-FILE-TIME.
053200     PERFORM MB99PD-CHECK-DATE-TIME
053300        THRU MB99PD-CDT-EXIT.
053400*
053500     MOVE 'R1P8'                 TO SS02WS-ABEND-LOCATION.
053600     SET MTP8RB-READ-SEQ         TO TRUE.
053700     PERFORM MB00PD-MTP8-ACCESS
053800        THRU MB00PD-MTP8-ACCESS-EXIT.
053900*
054000*
054100*
054200     MOVE 'R0P9'                 TO SS02WS-ABEND-LOCATION.
054300     SET MTP9RB-READ-SEQ         TO TRUE.
054400     PERFORM MB00PD-MTP9-ACCESS
054500        THRU MB00PD-MTP9-ACCESS-EXIT.
054600     MOVE 'MTP9'                 TO MB99WS-FILE-ID.
054700*
054800     IF  MTP9IO-HEADER
054900         NEXT SENTENCE
055000     ELSE
055100         PERFORM MB99PD-MISSING-HEADER-ABEND
055200            THRU MB99PD-MHA-EXIT.
055300*
055400     MOVE MTP9IO-DATE-STAMP      TO MB99WS-FILE-DATE.
055500     MOVE MTP9IO-TIME-STAMP      TO MB99WS-FILE-TIME.
055600     PERFORM MB99PD-CHECK-DATE-TIME
055700        THRU MB99PD-CDT-EXIT.
055800*
055900     MOVE 'R1P9'                 TO SS02WS-ABEND-LOCATION.
056000     SET MTP9RB-READ-SEQ         TO TRUE.
056100     PERFORM MB00PD-MTP9-ACCESS
056200        THRU MB00PD-MTP9-ACCESS-EXIT.
056300*
056400*
056500*
056600     MOVE LOW-VALUES             TO MTR0IO-RECORD.
056700     MOVE MMSC-TODAYS-JULIAN     TO MTR0IO-DATE-STAMP.
056800     MOVE MMSC-TIME-STAMP        TO MTR0IO-TIME-STAMP.
056900*
057000     MOVE 'W0R0'                 TO SS02WS-ABEND-LOCATION.
057100     SET MTR0RB-WRITE            TO TRUE.
057200     PERFORM MB00PD-MTR0-ACCESS
057300        THRU MB00PD-MTR0-ACCESS-EXIT.
057400*
057500*
057600*
057700     MOVE LOW-VALUES             TO MTR1IO-RECORD.
057800     MOVE MMSC-TODAYS-JULIAN     TO MTR1IO-DATE-STAMP.
057900     MOVE MMSC-TIME-STAMP        TO MTR1IO-TIME-STAMP.
058000*
058100     MOVE 'W0R1'                 TO SS02WS-ABEND-LOCATION.
058200     SET MTR1RB-WRITE            TO TRUE.
058300     PERFORM MB00PD-MTR1-ACCESS
058400        THRU MB00PD-MTR1-ACCESS-EXIT.
058500*
058600*
058700*
058800     MOVE LOW-VALUES             TO MTR2IO-RECORD.
058900     MOVE MMSC-TODAYS-JULIAN     TO MTR2IO-DATE-STAMP.
059000     MOVE MMSC-TIME-STAMP        TO MTR2IO-TIME-STAMP.
059100*
059200     MOVE 'W0R2'                 TO SS02WS-ABEND-LOCATION.
059300     SET MTR2RB-WRITE            TO TRUE.
059400     PERFORM MB00PD-MTR2-ACCESS
059500        THRU MB00PD-MTR2-ACCESS-EXIT.
059600*
059700*
059800*
059900     MOVE LOW-VALUES             TO MTR3IO-RECORD.
060000     MOVE MMSC-TODAYS-JULIAN     TO MTR3IO-DATE-STAMP.
060100     MOVE MMSC-TIME-STAMP        TO MTR3IO-TIME-STAMP.
060200*
060300     MOVE 'W0R3'                 TO SS02WS-ABEND-LOCATION.
060400     SET MTR3RB-WRITE            TO TRUE.
060500     PERFORM MB00PD-MTR3-ACCESS
060600        THRU MB00PD-MTR3-ACCESS-EXIT.
060700*
060800*
060900*
061000     MOVE LOW-VALUES             TO MTR4IO-RECORD.
061100     MOVE MMSC-TODAYS-JULIAN     TO MTR4IO-DATE-STAMP.
061200     MOVE MMSC-TIME-STAMP        TO MTR4IO-TIME-STAMP.
061300*
061400     MOVE 'W0R4'                 TO SS02WS-ABEND-LOCATION.
061500     SET MTR4RB-WRITE            TO TRUE.
061600     PERFORM MB00PD-MTR4-ACCESS
061700        THRU MB00PD-MTR4-ACCESS-EXIT.
061800*
061900*
062000*
062100     MOVE LOW-VALUES             TO MTR5IO-RECORD.
062200     MOVE MMSC-TODAYS-JULIAN     TO MTR5IO-DATE-STAMP.
062300     MOVE MMSC-TIME-STAMP        TO MTR5IO-TIME-STAMP.
062400*
062500     MOVE 'W0R5'                 TO SS02WS-ABEND-LOCATION.
062600     SET MTR5RB-WRITE            TO TRUE.
062700     PERFORM MB00PD-MTR5-ACCESS
062800        THRU MB00PD-MTR5-ACCESS-EXIT.
062900*
063000*
063100*
063200     MOVE LOW-VALUES             TO MTR6IO-RECORD.
063300     MOVE MMSC-TODAYS-JULIAN     TO MTR6IO-DATE-STAMP.
063400     MOVE MMSC-TIME-STAMP        TO MTR6IO-TIME-STAMP.
063500*
063600     MOVE 'W0R6'                 TO SS02WS-ABEND-LOCATION.
063700     SET MTR6RB-WRITE            TO TRUE.
063800     PERFORM MB00PD-MTR6-ACCESS
063900        THRU MB00PD-MTR6-ACCESS-EXIT.
064000*
064100*
064200*
064300     MOVE LOW-VALUES             TO MTR7IO-RECORD.
064400     MOVE MMSC-TODAYS-JULIAN     TO MTR7IO-DATE-STAMP.
064500     MOVE MMSC-TIME-STAMP        TO MTR7IO-TIME-STAMP.
064600*
064700     MOVE 'W0R7'                 TO SS02WS-ABEND-LOCATION.
064800     SET MTR7RB-WRITE            TO TRUE.
064900     PERFORM MB00PD-MTR7-ACCESS
065000        THRU MB00PD-MTR7-ACCESS-EXIT.
065100*
065200*
065300*
065400     MOVE LOW-VALUES             TO MTR8IO-RECORD.
065500     MOVE MMSC-TODAYS-JULIAN     TO MTR8IO-DATE-STAMP.
065600     MOVE MMSC-TIME-STAMP        TO MTR8IO-TIME-STAMP.
065700*
065800     MOVE 'W0R8'                 TO SS02WS-ABEND-LOCATION.
065900     SET MTR8RB-WRITE            TO TRUE.
066000     PERFORM MB00PD-MTR8-ACCESS
066100        THRU MB00PD-MTR8-ACCESS-EXIT.
066200*
066300*
066400*
066500     MOVE LOW-VALUES             TO MTR9IO-RECORD.
066600     MOVE MMSC-TODAYS-JULIAN     TO MTR9IO-DATE-STAMP.
066700     MOVE MMSC-TIME-STAMP        TO MTR9IO-TIME-STAMP.
066800*
066900     MOVE 'W0R9'                 TO SS02WS-ABEND-LOCATION.
067000     SET MTR9RB-WRITE            TO TRUE.
067100     PERFORM MB00PD-MTR9-ACCESS
067200        THRU MB00PD-MTR9-ACCESS-EXIT.
067300*
067400*
067500*
067600 A199-OF-EXIT.
067700     EXIT.
067800/
067900 A200-SORT-PROCESS SECTION.
068000 A201-SP-BEGIN.
068100*
068200     SORT MS1S-SORT-FILE
068300         ON ASCENDING KEY MTP0-KEY-1
068400                          MTP0-KEY-2
068500         INPUT  PROCEDURE IS 1000-REPORT-FILES-INPUT-SECT
068600         OUTPUT PROCEDURE IS 2000-REPORT-FILES-OUTPUT-SECT.
068700*
068800     PERFORM SS98PD-VERIFY-SORT-RETURN
068900        THRU SS98PD-VSR-EXIT.
069000*
069100 A299-SP-EXIT.
069200     EXIT.
069300/
069400 A300-CLOSE-FILES SECTION.
069500 A301-CF-BEGIN.
069600*
069700*
069800*
069900     MOVE HIGH-VALUES            TO MTR0IO-RECORD.
070000*
070100     MOVE 'W9R0'                 TO SS02WS-ABEND-LOCATION.
070200     SET MTR0RB-WRITE            TO TRUE.
070300     PERFORM MB00PD-MTR0-ACCESS
070400        THRU MB00PD-MTR0-ACCESS-EXIT.
070500*
070600*
070700*
070800     MOVE HIGH-VALUES            TO MTR1IO-RECORD.
070900*
071000     MOVE 'W9R1'                 TO SS02WS-ABEND-LOCATION.
071100     SET MTR1RB-WRITE            TO TRUE.
071200     PERFORM MB00PD-MTR1-ACCESS
071300        THRU MB00PD-MTR1-ACCESS-EXIT.
071400*
071500*
071600*
071700     MOVE HIGH-VALUES            TO MTR2IO-RECORD.
071800*
071900     MOVE 'W9R2'                 TO SS02WS-ABEND-LOCATION.
072000     SET MTR2RB-WRITE            TO TRUE.
072100     PERFORM MB00PD-MTR2-ACCESS
072200        THRU MB00PD-MTR2-ACCESS-EXIT.
072300*
072400*
072500*
072600     MOVE HIGH-VALUES            TO MTR3IO-RECORD.
072700*
072800     MOVE 'W9R3'                 TO SS02WS-ABEND-LOCATION.
072900     SET MTR3RB-WRITE            TO TRUE.
073000     PERFORM MB00PD-MTR3-ACCESS
073100        THRU MB00PD-MTR3-ACCESS-EXIT.
073200*
073300*
073400*
073500     MOVE HIGH-VALUES            TO MTR4IO-RECORD.
073600*
073700     MOVE 'W9R4'                 TO SS02WS-ABEND-LOCATION.
073800     SET MTR4RB-WRITE            TO TRUE.
073900     PERFORM MB00PD-MTR4-ACCESS
074000        THRU MB00PD-MTR4-ACCESS-EXIT.
074100*
074200*
074300*
074400     MOVE HIGH-VALUES            TO MTR5IO-RECORD.
074500*
074600     MOVE 'W9R5'                 TO SS02WS-ABEND-LOCATION.
074700     SET MTR5RB-WRITE            TO TRUE.
074800     PERFORM MB00PD-MTR5-ACCESS
074900        THRU MB00PD-MTR5-ACCESS-EXIT.
075000*
075100*
075200*
075300     MOVE HIGH-VALUES            TO MTR6IO-RECORD.
075400*
075500     MOVE 'W9R6'                 TO SS02WS-ABEND-LOCATION.
075600     SET MTR6RB-WRITE            TO TRUE.
075700     PERFORM MB00PD-MTR6-ACCESS
075800        THRU MB00PD-MTR6-ACCESS-EXIT.
075900*
076000*
076100*
076200     MOVE HIGH-VALUES            TO MTR7IO-RECORD.
076300*
076400     MOVE 'W9R7'                 TO SS02WS-ABEND-LOCATION.
076500     SET MTR7RB-WRITE            TO TRUE.
076600     PERFORM MB00PD-MTR7-ACCESS
076700        THRU MB00PD-MTR7-ACCESS-EXIT.
076800*
076900*
077000*
077100     MOVE HIGH-VALUES            TO MTR8IO-RECORD.
077200*
077300     MOVE 'W9R8'                 TO SS02WS-ABEND-LOCATION.
077400     SET MTR8RB-WRITE            TO TRUE.
077500     PERFORM MB00PD-MTR8-ACCESS
077600        THRU MB00PD-MTR8-ACCESS-EXIT.
077700*
077800*
077900*
078000     MOVE HIGH-VALUES            TO MTR9IO-RECORD.
078100*
078200     MOVE 'W9R9'                 TO SS02WS-ABEND-LOCATION.
078300     SET MTR9RB-WRITE            TO TRUE.
078400     PERFORM MB00PD-MTR9-ACCESS
078500        THRU MB00PD-MTR9-ACCESS-EXIT.
078600*
078700*
078800*
078900     MOVE 'C1P0'                 TO SS02WS-ABEND-LOCATION.
079000     SET MTP0RB-CLOSE            TO TRUE.
079100     PERFORM MB00PD-MTP0-ACCESS
079200        THRU MB00PD-MTP0-ACCESS-EXIT.
079300*
079400     MOVE 'C1P1'                 TO SS02WS-ABEND-LOCATION.
079500     SET MTP1RB-CLOSE            TO TRUE.
079600     PERFORM MB00PD-MTP1-ACCESS
079700        THRU MB00PD-MTP1-ACCESS-EXIT.
079800*
079900     MOVE 'C1P2'                 TO SS02WS-ABEND-LOCATION.
080000     SET MTP2RB-CLOSE            TO TRUE.
080100     PERFORM MB00PD-MTP2-ACCESS
080200        THRU MB00PD-MTP2-ACCESS-EXIT.
080300*
080400     MOVE 'C1P3'                 TO SS02WS-ABEND-LOCATION.
080500     SET MTP3RB-CLOSE            TO TRUE.
080600     PERFORM MB00PD-MTP3-ACCESS
080700        THRU MB00PD-MTP3-ACCESS-EXIT.
080800*
080900     MOVE 'C1P4'                 TO SS02WS-ABEND-LOCATION.
081000     SET MTP4RB-CLOSE            TO TRUE.
081100     PERFORM MB00PD-MTP4-ACCESS
081200        THRU MB00PD-MTP4-ACCESS-EXIT.
081300*
081400     MOVE 'C1P5'                 TO SS02WS-ABEND-LOCATION.
081500     SET MTP5RB-CLOSE            TO TRUE.
081600     PERFORM MB00PD-MTP5-ACCESS
081700        THRU MB00PD-MTP5-ACCESS-EXIT.
081800*
081900     MOVE 'C1P6'                 TO SS02WS-ABEND-LOCATION.
082000     SET MTP6RB-CLOSE            TO TRUE.
082100     PERFORM MB00PD-MTP6-ACCESS
082200        THRU MB00PD-MTP6-ACCESS-EXIT.
082300*
082400     MOVE 'C1P7'                 TO SS02WS-ABEND-LOCATION.
082500     SET MTP7RB-CLOSE            TO TRUE.
082600     PERFORM MB00PD-MTP7-ACCESS
082700        THRU MB00PD-MTP7-ACCESS-EXIT.
082800*
082900     MOVE 'C1P8'                 TO SS02WS-ABEND-LOCATION.
083000     SET MTP8RB-CLOSE            TO TRUE.
083100     PERFORM MB00PD-MTP8-ACCESS
083200        THRU MB00PD-MTP8-ACCESS-EXIT.
083300*
083400     MOVE 'C1P9'                 TO SS02WS-ABEND-LOCATION.
083500     SET MTP9RB-CLOSE            TO TRUE.
083600     PERFORM MB00PD-MTP9-ACCESS
083700        THRU MB00PD-MTP9-ACCESS-EXIT.
083800*
083900     MOVE 'C1R0'                 TO SS02WS-ABEND-LOCATION.
084000     SET MTR0RB-CLOSE            TO TRUE.
084100     PERFORM MB00PD-MTR0-ACCESS
084200        THRU MB00PD-MTR0-ACCESS-EXIT.
084300*
084400     MOVE 'C1R1'                 TO SS02WS-ABEND-LOCATION.
084500     SET MTR1RB-CLOSE            TO TRUE.
084600     PERFORM MB00PD-MTR1-ACCESS
084700        THRU MB00PD-MTR1-ACCESS-EXIT.
084800*
084900     MOVE 'C1R2'                 TO SS02WS-ABEND-LOCATION.
085000     SET MTR2RB-CLOSE            TO TRUE.
085100     PERFORM MB00PD-MTR2-ACCESS
085200        THRU MB00PD-MTR2-ACCESS-EXIT.
085300*
085400     MOVE 'C1R3'                 TO SS02WS-ABEND-LOCATION.
085500     SET MTR3RB-CLOSE            TO TRUE.
085600     PERFORM MB00PD-MTR3-ACCESS
085700        THRU MB00PD-MTR3-ACCESS-EXIT.
085800*
085900     MOVE 'C1R4'                 TO SS02WS-ABEND-LOCATION.
086000     SET MTR4RB-CLOSE            TO TRUE.
086100     PERFORM MB00PD-MTR4-ACCESS
086200        THRU MB00PD-MTR4-ACCESS-EXIT.
086300*
086400     MOVE 'C1R5'                 TO SS02WS-ABEND-LOCATION.
086500     SET MTR5RB-CLOSE            TO TRUE.
086600     PERFORM MB00PD-MTR5-ACCESS
086700        THRU MB00PD-MTR5-ACCESS-EXIT.
086800*
086900     MOVE 'C1R6'                 TO SS02WS-ABEND-LOCATION.
087000     SET MTR6RB-CLOSE            TO TRUE.
087100     PERFORM MB00PD-MTR6-ACCESS
087200        THRU MB00PD-MTR6-ACCESS-EXIT.
087300*
087400     MOVE 'C1R7'                 TO SS02WS-ABEND-LOCATION.
087500     SET MTR7RB-CLOSE            TO TRUE.
087600     PERFORM MB00PD-MTR7-ACCESS
087700        THRU MB00PD-MTR7-ACCESS-EXIT.
087800*
087900     MOVE 'C1R8'                 TO SS02WS-ABEND-LOCATION.
088000     SET MTR8RB-CLOSE            TO TRUE.
088100     PERFORM MB00PD-MTR8-ACCESS
088200        THRU MB00PD-MTR8-ACCESS-EXIT.
088300*
088400     MOVE 'C1R9'                 TO SS02WS-ABEND-LOCATION.
088500     SET MTR9RB-CLOSE            TO TRUE.
088600     PERFORM MB00PD-MTR9-ACCESS
088700        THRU MB00PD-MTR9-ACCESS-EXIT.
088800*
088900     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
089000     SET MMOCRB-CLOSE            TO TRUE.
089100     PERFORM MB00PD-MMOC-ACCESS
089200        THRU MB00PD-MMOC-ACCESS-EXIT.
089300*
089400     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
089500     SET MMSCRB-CLOSE            TO TRUE.
089600     PERFORM MB00PD-MMSC-ACCESS
089700        THRU MB00PD-MMSC-ACCESS-EXIT.
089800*
089900 A399-CF-EXIT.
090000     EXIT.
090100/
090200 1000-REPORT-FILES-INPUT-SECT SECTION.
090300 1010-RFI-BEGIN.
090400*
090500     PERFORM 1100-RFI-PROCESS-ORG
090600        THRU 1199-RFI-PO-EXIT
090700        UNTIL MMOCIO-TRAILER.
090800*
090900     GO TO 1999-RFI-EXIT.
091000*
091100 1100-RFI-PROCESS-ORG.
091200*
091300     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
091400     SET MMOCRB-READ-SEQ         TO TRUE.
091500     PERFORM MB00PD-MMOC-ACCESS
091600        THRU MB00PD-MMOC-ACCESS-EXIT.
091700*
091800     IF  MMOCIO-TRAILER
091900         GO TO 1199-RFI-PO-EXIT.
092000*
092100     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
092200*
092300     IF  MMOC-REC-INCOMPLETE
092400     OR  MMOC-REC-PURGED
092500     OR  MMOC-ADD-PENDING
092600         GO TO 1100-RFI-PROCESS-ORG.
092700*
092800     PERFORM MTRFPX-BUILD-REPORT-TABLE
092900        THRU MTRFPX-BRT-EXIT.
093000*
093100     MOVE SPACES                 TO MTRFWS-O58-AREA.
093200*
093300     MOVE MTP0IO-RECORD          TO MTRF-RECORD.
093400     PERFORM 1200-RFI-PROCESS-EXTRACT-0
093500        THRU 1209-RFI-PE0-EXIT
093600        UNTIL MTRF-K1-TRAILER
093700           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
093800*
093900*
094000     MOVE MTP1IO-RECORD          TO MTRF-RECORD.
094100     PERFORM 1210-RFI-PROCESS-EXTRACT-1
094200        THRU 1219-RFI-PE1-EXIT
094300        UNTIL MTRF-K1-TRAILER
094400           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
094500*
094600     MOVE MTP2IO-RECORD          TO MTRF-RECORD.
094700     PERFORM 1220-RFI-PROCESS-EXTRACT-2
094800        THRU 1229-RFI-PE2-EXIT
094900        UNTIL MTRF-K1-TRAILER
095000           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
095100*
095200     MOVE MTP3IO-RECORD          TO MTRF-RECORD.
095300     PERFORM 1230-RFI-PROCESS-EXTRACT-3
095400        THRU 1239-RFI-PE3-EXIT
095500        UNTIL MTRF-K1-TRAILER
095600           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
095700*
095800     MOVE MTP4IO-RECORD          TO MTRF-RECORD.
095900     PERFORM 1240-RFI-PROCESS-EXTRACT-4
096000        THRU 1249-RFI-PE4-EXIT
096100        UNTIL MTRF-K1-TRAILER
096200           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
096300*
096400     MOVE MTP5IO-RECORD          TO MTRF-RECORD.
096500     PERFORM 1250-RFI-PROCESS-EXTRACT-5
096600        THRU 1259-RFI-PE5-EXIT
096700        UNTIL MTRF-K1-TRAILER
096800           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
096900*
097000     MOVE MTP6IO-RECORD          TO MTRF-RECORD.
097100     PERFORM 1260-RFI-PROCESS-EXTRACT-6
097200        THRU 1269-RFI-PE6-EXIT
097300        UNTIL MTRF-K1-TRAILER
097400           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
097500*
097600     MOVE MTP7IO-RECORD          TO MTRF-RECORD.
097700     PERFORM 1270-RFI-PROCESS-EXTRACT-7
097800        THRU 1279-RFI-PE7-EXIT
097900        UNTIL MTRF-K1-TRAILER
098000           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
098100*
098200     MOVE MTP8IO-RECORD          TO MTRF-RECORD.
098300     PERFORM 1280-RFI-PROCESS-EXTRACT-8
098400        THRU 1289-RFI-PE8-EXIT
098500        UNTIL MTRF-K1-TRAILER
098600           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
098700*
098800     MOVE MTP9IO-RECORD          TO MTRF-RECORD.
098900     PERFORM 1290-RFI-PROCESS-EXTRACT-9
099000        THRU 1299-RFI-PE9-EXIT
099100        UNTIL MTRF-K1-TRAILER
099200           OR MTRF-K1-ORG IS GREATER THAN MMOC-ORG.
099300*
099400     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (58)
099500         NEXT SENTENCE
099600     ELSE
099700         PERFORM 1600-RFI-O58-TABLE-F1
099800            THRU 1699-RFI-O58-TF1-EXIT
099900            VARYING X-MTRFWS-ORT  FROM 1 BY 1
100000              UNTIL X-MTRFWS-ORT  IS GREATER THAN 96
100100         MOVE SPACES             TO MTRF-RECORD
100200         MOVE MTRFWS-ORT-FREQ-1  (58)
100300                                 TO MTRF-KEY-1
100400         MOVE 1                  TO MTRF-K1-REC-TYPE
100500         MOVE ZERO               TO MTRF-MERCHANT
100600         MOVE ZERO               TO MTRF-CHAIN
100700         MOVE 2                  TO MTRF-K2-O58-REC-TYPE
100800         MOVE ZERO               TO MTRF-K2-O58-RPT-NBR
100900         PERFORM 1300-PROCESS-REPORT-RECORD
101000            THRU 1399-PRR-EXIT.
101100*
101200     IF  MTRFWS-ORT-F2-NOT-REQUESTED  (58)
101300         NEXT SENTENCE
101400     ELSE
101500         PERFORM 1700-RFI-O58-TABLE-F2
101600            THRU 1799-RFI-O58-TF2-EXIT
101700            VARYING X-MTRFWS-ORT  FROM 1 BY 1
101800              UNTIL X-MTRFWS-ORT  IS GREATER THAN 96
101900         MOVE SPACES             TO MTRF-RECORD
102000         MOVE MTRFWS-ORT-FREQ-2  (58)
102100                                 TO MTRF-KEY-1
102200         MOVE 1                  TO MTRF-K1-REC-TYPE
102300         MOVE ZERO               TO MTRF-MERCHANT
102400         MOVE ZERO               TO MTRF-CHAIN
102500         MOVE 2                  TO MTRF-K2-O58-REC-TYPE
102600         MOVE ZERO               TO MTRF-K2-O58-RPT-NBR
102700         PERFORM 1300-PROCESS-REPORT-RECORD
102800            THRU 1399-PRR-EXIT.
102900*
103000 1199-RFI-PO-EXIT.
103100     EXIT.
103200/
103300 1200-RFI-PROCESS-EXTRACT-0.
103400*
103500     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
103600         NEXT SENTENCE
103700     ELSE
103800         PERFORM 1300-PROCESS-REPORT-RECORD
103900            THRU 1399-PRR-EXIT.
104000*
104100     MOVE 'R2P0'                 TO SS02WS-ABEND-LOCATION.
104200     SET MTP0RB-READ-SEQ         TO TRUE.
104300     PERFORM MB00PD-MTP0-ACCESS
104400        THRU MB00PD-MTP0-ACCESS-EXIT.
104500     MOVE MTP0IO-RECORD          TO MTRF-RECORD.
104600*
104700 1209-RFI-PE0-EXIT.
104800     EXIT.
104900*
105000*
105100*
105200 1210-RFI-PROCESS-EXTRACT-1.
105300*
105400     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
105500         NEXT SENTENCE
105600     ELSE
105700         PERFORM 1300-PROCESS-REPORT-RECORD
105800            THRU 1399-PRR-EXIT.
105900*
106000     MOVE 'R2P1'                 TO SS02WS-ABEND-LOCATION.
106100     SET MTP1RB-READ-SEQ         TO TRUE.
106200     PERFORM MB00PD-MTP1-ACCESS
106300        THRU MB00PD-MTP1-ACCESS-EXIT.
106400     MOVE MTP1IO-RECORD          TO MTRF-RECORD.
106500*
106600 1219-RFI-PE1-EXIT.
106700     EXIT.
106800*
106900*
107000*
107100 1220-RFI-PROCESS-EXTRACT-2.
107200*
107300     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
107400         NEXT SENTENCE
107500     ELSE
107600         PERFORM 1300-PROCESS-REPORT-RECORD
107700            THRU 1399-PRR-EXIT.
107800*
107900     MOVE 'R2P2'                 TO SS02WS-ABEND-LOCATION.
108000     SET MTP2RB-READ-SEQ         TO TRUE.
108100     PERFORM MB00PD-MTP2-ACCESS
108200        THRU MB00PD-MTP2-ACCESS-EXIT.
108300     MOVE MTP2IO-RECORD          TO MTRF-RECORD.
108400*
108500 1229-RFI-PE2-EXIT.
108600     EXIT.
108700/
108800 1230-RFI-PROCESS-EXTRACT-3.
108900*
109000     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
109100         NEXT SENTENCE
109200     ELSE
109300         PERFORM 1300-PROCESS-REPORT-RECORD
109400            THRU 1399-PRR-EXIT.
109500*
109600     MOVE 'R2P3'                 TO SS02WS-ABEND-LOCATION.
109700     SET MTP3RB-READ-SEQ         TO TRUE.
109800     PERFORM MB00PD-MTP3-ACCESS
109900        THRU MB00PD-MTP3-ACCESS-EXIT.
110000     MOVE MTP3IO-RECORD          TO MTRF-RECORD.
110100*
110200 1239-RFI-PE3-EXIT.
110300     EXIT.
110400*
110500*
110600*
110700 1240-RFI-PROCESS-EXTRACT-4.
110800*
110900     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
111000         NEXT SENTENCE
111100     ELSE
111200         PERFORM 1300-PROCESS-REPORT-RECORD
111300            THRU 1399-PRR-EXIT.
111400*
111500     MOVE 'R2P4'                 TO SS02WS-ABEND-LOCATION.
111600     SET MTP4RB-READ-SEQ         TO TRUE.
111700     PERFORM MB00PD-MTP4-ACCESS
111800        THRU MB00PD-MTP4-ACCESS-EXIT.
111900     MOVE MTP4IO-RECORD          TO MTRF-RECORD.
112000*
112100 1249-RFI-PE4-EXIT.
112200     EXIT.
112300*
112400*
112500*
112600 1250-RFI-PROCESS-EXTRACT-5.
112700*
112800     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
112900         NEXT SENTENCE
113000     ELSE
113100         PERFORM 1300-PROCESS-REPORT-RECORD
113200            THRU 1399-PRR-EXIT.
113300*
113400     MOVE 'R2P5'                 TO SS02WS-ABEND-LOCATION.
113500     SET MTP5RB-READ-SEQ         TO TRUE.
113600     PERFORM MB00PD-MTP5-ACCESS
113700        THRU MB00PD-MTP5-ACCESS-EXIT.
113800     MOVE MTP5IO-RECORD          TO MTRF-RECORD.
113900*
114000 1259-RFI-PE5-EXIT.
114100     EXIT.
114200*
114300*
114400*
114500 1260-RFI-PROCESS-EXTRACT-6.
114600*
114700     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
114800         NEXT SENTENCE
114900     ELSE
115000         PERFORM 1300-PROCESS-REPORT-RECORD
115100            THRU 1399-PRR-EXIT.
115200*
115300     MOVE 'R2P6'                 TO SS02WS-ABEND-LOCATION.
115400     SET MTP6RB-READ-SEQ         TO TRUE.
115500     PERFORM MB00PD-MTP6-ACCESS
115600        THRU MB00PD-MTP6-ACCESS-EXIT.
115700     MOVE MTP6IO-RECORD          TO MTRF-RECORD.
115800*
115900 1269-RFI-PE6-EXIT.
116000     EXIT.
116100*
116200*
116300*
116400 1270-RFI-PROCESS-EXTRACT-7.
116500*
116600     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
116700         NEXT SENTENCE
116800     ELSE
116900         PERFORM 1300-PROCESS-REPORT-RECORD
117000            THRU 1399-PRR-EXIT.
117100*
117200     MOVE 'R2P7'                 TO SS02WS-ABEND-LOCATION.
117300     SET MTP7RB-READ-SEQ         TO TRUE.
117400     PERFORM MB00PD-MTP7-ACCESS
117500        THRU MB00PD-MTP7-ACCESS-EXIT.
117600     MOVE MTP7IO-RECORD          TO MTRF-RECORD.
117700*
117800 1279-RFI-PE7-EXIT.
117900     EXIT.
118000*
118100*
118200*
118300 1280-RFI-PROCESS-EXTRACT-8.
118400*
118500     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
118600         NEXT SENTENCE
118700     ELSE
118800         PERFORM 1300-PROCESS-REPORT-RECORD
118900            THRU 1399-PRR-EXIT.
119000*
119100     MOVE 'R2P8'                 TO SS02WS-ABEND-LOCATION.
119200     SET MTP8RB-READ-SEQ         TO TRUE.
119300     PERFORM MB00PD-MTP8-ACCESS
119400        THRU MB00PD-MTP8-ACCESS-EXIT.
119500     MOVE MTP8IO-RECORD          TO MTRF-RECORD.
119600*
119700 1289-RFI-PE8-EXIT.
119800     EXIT.
119900*
120000*
120100*
120200 1290-RFI-PROCESS-EXTRACT-9.
120300*
120400     IF  MTRF-K1-ORG IS LESS THAN MMOC-ORG
120500         NEXT SENTENCE
120600     ELSE
120700         PERFORM 1300-PROCESS-REPORT-RECORD
120800            THRU 1399-PRR-EXIT.
120900*
121000     MOVE 'R2P9'                 TO SS02WS-ABEND-LOCATION.
121100     SET MTP9RB-READ-SEQ         TO TRUE.
121200     PERFORM MB00PD-MTP9-ACCESS
121300        THRU MB00PD-MTP9-ACCESS-EXIT.
121400     MOVE MTP9IO-RECORD          TO MTRF-RECORD.
121500*
121600 1299-RFI-PE9-EXIT.
121700     EXIT.
121800/
121900 1300-PROCESS-REPORT-RECORD.
122000*
122100     IF  MTRF-K1-RPT-OPTIONAL
122200         PERFORM 1500-RFI-REPORT-58
122300            THRU 1599-RFI-R58-EXIT.
122400*
122500     IF  MTRF-K1-REPORT-X IS EQUAL TO 'O58'
122600     AND MTRF-K1-RT-DETAIL
122700     AND MTRF-K2-O58-RT-IS-ACT-TABLE
122800         MOVE MTRFWS-O58-RPT-TABLE-X
122900                                 TO MTRF-O58-RPT-TABLE-X.
123000*
123100     IF  MTRF-K1-RT-HEADER
123200         MOVE MMSC-DATE-FORMAT
123300                                 TO MTRF-HD-DATE-FORMAT.
123400*
123500     MOVE MTRF-RECORD            TO MTP0-RECORD.
123600     RELEASE MTP0-RECORD.
123700*
123800 1399-PRR-EXIT.
123900     EXIT.
124000/
124100 1500-RFI-REPORT-58.
124200*
124300     SET X-MTRFWS-O58-RT         TO MTRF-K1-RPT-NBR.
124400*
124500     IF  MTRF-K1-RT-HEADER
124600     AND MTRFWS-O58-RPT-NOT-APPLICABLE  (X-MTRFWS-O58-RT)
124700         MOVE 'N'                TO MTRFWS-O58-RPT-FLAG
124800                                    (X-MTRFWS-O58-RT)
124900         IF  MTRF-HD-AF-PRODUCE
125000             MOVE 'A'            TO MTRFWS-O58-RPT-FLAG
125100                                    (X-MTRFWS-O58-RT).
125200*
125300     IF  MTRF-K1-RT-DETAIL
125400         MOVE 'P'                TO MTRFWS-O58-RPT-FLAG
125500                                    (X-MTRFWS-O58-RT).
125600*
125700 1599-RFI-R58-EXIT.
125800     EXIT.
125900*
126000*
126100*
126200 1600-RFI-O58-TABLE-F1.
126300*
126400     MOVE SPACES                 TO MTRF-RECORD.
126500     MOVE MTRFWS-ORT-FREQ-1  (58)
126600                                 TO MTRF-KEY-1.
126700     MOVE 1                      TO MTRF-K1-REC-TYPE.
126800     MOVE ZERO                   TO MTRF-MERCHANT.
126900     MOVE ZERO                   TO MTRF-CHAIN.
127000     MOVE 1                      TO MTRF-K2-O58-REC-TYPE.
127100     SET MTRF-K2-O58-RPT-NBR     TO X-MTRFWS-ORT.
127200*
127300     MOVE MTRF-K2-O58-RPT-NBR    TO MTRF-O58-R1-RPT-NBR.
127400     MOVE MTRFWS-ORT-REPORT-DEST-ID  (X-MTRFWS-ORT)
127500                                 TO MTRF-O58-R1-REPORT-DEST-ID.
127600     MOVE MTRFWS-ORT-REPORT-ID  (X-MTRFWS-ORT)
127700                                 TO MTRF-O58-R1-REPORT-ID.
127800     MOVE MTRFWS-ORT-RPT-TITLE  (X-MTRFWS-ORT)
127900                                 TO MTRF-O58-R1-RPT-TITLE.
128000*
128100     PERFORM 1300-PROCESS-REPORT-RECORD
128200        THRU 1399-PRR-EXIT.
128300*
128400 1699-RFI-O58-TF1-EXIT.
128500     EXIT.
128600*
128700*
128800*
128900 1700-RFI-O58-TABLE-F2.
129000*
129100     MOVE SPACES                 TO MTRF-RECORD.
129200     MOVE MTRFWS-ORT-FREQ-2  (58)
129300                                 TO MTRF-KEY-1.
129400     MOVE 1                      TO MTRF-K1-REC-TYPE.
129500     MOVE ZERO                   TO MTRF-MERCHANT.
129600     MOVE ZERO                   TO MTRF-CHAIN.
129700     MOVE 1                      TO MTRF-K2-O58-REC-TYPE.
129800     SET MTRF-K2-O58-RPT-NBR     TO X-MTRFWS-ORT.
129900*
130000     MOVE MTRF-K2-O58-RPT-NBR    TO MTRF-O58-R1-RPT-NBR.
130100     MOVE MTRFWS-ORT-REPORT-DEST-ID  (X-MTRFWS-ORT)
130200                                 TO MTRF-O58-R1-REPORT-DEST-ID.
130300     MOVE MTRFWS-ORT-REPORT-ID  (X-MTRFWS-ORT)
130400                                 TO MTRF-O58-R1-REPORT-ID.
130500     MOVE MTRFWS-ORT-RPT-TITLE  (X-MTRFWS-ORT)
130600                                 TO MTRF-O58-R1-RPT-TITLE.
130700*
130800     PERFORM 1300-PROCESS-REPORT-RECORD
130900        THRU 1399-PRR-EXIT.
131000*
131100 1799-RFI-O58-TF2-EXIT.
131200     EXIT.
131300*
131400*
131500*
131600 1999-RFI-EXIT.
131700     EXIT.
131800/
131900 2000-REPORT-FILES-OUTPUT-SECT SECTION.
132000 2010-RFO-BEGIN.
132100*
132200     RETURN MS1S-SORT-FILE
132300         AT END
132400             GO TO 2999-RFO-EXIT.
132500*
132600     MOVE MTP0-RECORD            TO MTRF-RECORD.
132700     COMPUTE WS-D700-OUTPUT-FILE =  MTRF-K1-PRINT-FILE + 1.
132800*
132900     GO TO   2100-RFO-REPORT-FILE-0
133000             2110-RFO-REPORT-FILE-1
133100             2120-RFO-REPORT-FILE-2
133200             2130-RFO-REPORT-FILE-3
133300             2140-RFO-REPORT-FILE-4
133400             2150-RFO-REPORT-FILE-5
133500             2160-RFO-REPORT-FILE-6
133600             2170-RFO-REPORT-FILE-7
133700             2180-RFO-REPORT-FILE-8
133800             2190-RFO-REPORT-FILE-9
133900             DEPENDING ON WS-D700-OUTPUT-FILE.
134000*
134100 2100-RFO-REPORT-FILE-0.
134200*
134300     MOVE MTRF-RECORD            TO MTR0IO-RECORD.
134400*
134500     MOVE 'W2R0'                 TO SS02WS-ABEND-LOCATION.
134600     SET MTR0RB-WRITE            TO TRUE.
134700     PERFORM MB00PD-MTR0-ACCESS
134800        THRU MB00PD-MTR0-ACCESS-EXIT.
134900*
135000     GO TO 2010-RFO-BEGIN.
135100*
135200*
135300*
135400 2110-RFO-REPORT-FILE-1.
135500*
135600     MOVE MTRF-RECORD            TO MTR1IO-RECORD.
135700*
135800     MOVE 'W2R1'                 TO SS02WS-ABEND-LOCATION.
135900     SET MTR1RB-WRITE            TO TRUE.
136000     PERFORM MB00PD-MTR1-ACCESS
136100        THRU MB00PD-MTR1-ACCESS-EXIT.
136200*
136300     GO TO 2010-RFO-BEGIN.
136400*
136500*
136600*
136700 2120-RFO-REPORT-FILE-2.
136800*
136900     MOVE MTRF-RECORD            TO MTR2IO-RECORD.
137000*
137100     MOVE 'W2R2'                 TO SS02WS-ABEND-LOCATION.
137200     SET MTR2RB-WRITE            TO TRUE.
137300     PERFORM MB00PD-MTR2-ACCESS
137400        THRU MB00PD-MTR2-ACCESS-EXIT.
137500*
137600     GO TO 2010-RFO-BEGIN.
137700*
137800*
137900*
138000 2130-RFO-REPORT-FILE-3.
138100*
138200     MOVE MTRF-RECORD            TO MTR3IO-RECORD.
138300*
138400     MOVE 'W2R3'                 TO SS02WS-ABEND-LOCATION.
138500     SET MTR3RB-WRITE            TO TRUE.
138600     PERFORM MB00PD-MTR3-ACCESS
138700        THRU MB00PD-MTR3-ACCESS-EXIT.
138800*
138900     GO TO 2010-RFO-BEGIN.
139000*
139100*
139200*
139300 2140-RFO-REPORT-FILE-4.
139400*
139500     MOVE MTRF-RECORD            TO MTR4IO-RECORD.
139600*
139700     MOVE 'W2R4'                 TO SS02WS-ABEND-LOCATION.
139800     SET MTR4RB-WRITE            TO TRUE.
139900     PERFORM MB00PD-MTR4-ACCESS
140000        THRU MB00PD-MTR4-ACCESS-EXIT.
140100*
140200     GO TO 2010-RFO-BEGIN.
140300*
140400*
140500*
140600 2150-RFO-REPORT-FILE-5.
140700*
140800     MOVE MTRF-RECORD            TO MTR5IO-RECORD.
140900*
141000     MOVE 'W2R5'                 TO SS02WS-ABEND-LOCATION.
141100     SET MTR5RB-WRITE            TO TRUE.
141200     PERFORM MB00PD-MTR5-ACCESS
141300        THRU MB00PD-MTR5-ACCESS-EXIT.
141400*
141500     GO TO 2010-RFO-BEGIN.
141600*
141700*
141800*
141900 2160-RFO-REPORT-FILE-6.
142000*
142100     MOVE MTRF-RECORD            TO MTR6IO-RECORD.
142200*
142300     MOVE 'W2R6'                 TO SS02WS-ABEND-LOCATION.
142400     SET MTR6RB-WRITE            TO TRUE.
142500     PERFORM MB00PD-MTR6-ACCESS
142600        THRU MB00PD-MTR6-ACCESS-EXIT.
142700*
142800     GO TO 2010-RFO-BEGIN.
142900*
143000*
143100*
143200 2170-RFO-REPORT-FILE-7.
143300*
143400     MOVE MTRF-RECORD            TO MTR7IO-RECORD.
143500*
143600     MOVE 'W2R7'                 TO SS02WS-ABEND-LOCATION.
143700     SET MTR7RB-WRITE            TO TRUE.
143800     PERFORM MB00PD-MTR7-ACCESS
143900        THRU MB00PD-MTR7-ACCESS-EXIT.
144000*
144100     GO TO 2010-RFO-BEGIN.
144200*
144300*
144400*
144500 2180-RFO-REPORT-FILE-8.
144600*
144700     MOVE MTRF-RECORD            TO MTR8IO-RECORD.
144800*
144900     MOVE 'W2R8'                 TO SS02WS-ABEND-LOCATION.
145000     SET MTR8RB-WRITE            TO TRUE.
145100     PERFORM MB00PD-MTR8-ACCESS
145200        THRU MB00PD-MTR8-ACCESS-EXIT.
145300*
145400     GO TO 2010-RFO-BEGIN.
145500*
145600*
145700*
145800 2190-RFO-REPORT-FILE-9.
145900*
146000     MOVE MTRF-RECORD            TO MTR9IO-RECORD.
146100*
146200     MOVE 'W2R9'                 TO SS02WS-ABEND-LOCATION.
146300     SET MTR9RB-WRITE            TO TRUE.
146400     PERFORM MB00PD-MTR9-ACCESS
146500        THRU MB00PD-MTR9-ACCESS-EXIT.
146600*
146700     GO TO 2010-RFO-BEGIN.
146800*
146900*
147000*
147100 2999-RFO-EXIT.
147200     EXIT.
147300/
147400 9000-PERFORMED-ROUTINES-SECT SECTION.
147500*
147600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
147700/
147800     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
147900/
148000     COPY MB00PD REPLACING ==:MB00:== BY ==MTP0==.
148100/
148200     COPY MB00PD REPLACING ==:MB00:== BY ==MTP1==.
148300/
148400     COPY MB00PD REPLACING ==:MB00:== BY ==MTP2==.
148500/
148600     COPY MB00PD REPLACING ==:MB00:== BY ==MTP3==.
148700/
148800     COPY MB00PD REPLACING ==:MB00:== BY ==MTP4==.
148900/
149000     COPY MB00PD REPLACING ==:MB00:== BY ==MTP5==.
149100/
149200     COPY MB00PD REPLACING ==:MB00:== BY ==MTP6==.
149300/
149400     COPY MB00PD REPLACING ==:MB00:== BY ==MTP7==.
149500/
149600     COPY MB00PD REPLACING ==:MB00:== BY ==MTP8==.
149700/
149800     COPY MB00PD REPLACING ==:MB00:== BY ==MTP9==.
149900/
150000     COPY MB00PD REPLACING ==:MB00:== BY ==MTR0==.
150100/
150200     COPY MB00PD REPLACING ==:MB00:== BY ==MTR1==.
150300/
150400     COPY MB00PD REPLACING ==:MB00:== BY ==MTR2==.
150500/
150600     COPY MB00PD REPLACING ==:MB00:== BY ==MTR3==.
150700/
150800     COPY MB00PD REPLACING ==:MB00:== BY ==MTR4==.
150900/
151000     COPY MB00PD REPLACING ==:MB00:== BY ==MTR5==.
151100/
151200     COPY MB00PD REPLACING ==:MB00:== BY ==MTR6==.
151300/
151400     COPY MB00PD REPLACING ==:MB00:== BY ==MTR7==.
151500/
151600     COPY MB00PD REPLACING ==:MB00:== BY ==MTR8==.
151700/
151800     COPY MB00PD REPLACING ==:MB00:== BY ==MTR9==.
151900/
152000     COPY MB99PD.
152100/
152200     COPY MTRFPX.
152300/
152400     COPY SS02PD.
152500/
152600     COPY SS03PD.
152700/
152800     COPY SS06PD.
152900/
153000     COPY SS07PD.
153100/
153200     COPY SS08PD.
153300/
153400     COPY SS98PD.
153500*
153600 9995-END-SOURCE-STATEMENTS SECTION.
153700 9999-END-OF-PROGRAM.
153800     EXIT.
