000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72020.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72020 - OPTIONAL REPORT 20 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72020-WORK-AREAS.
002100     03  WS-D72020-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +13.
002400     03  WS-D720-ORG-TOTALS-AREA-X.
002500         05  WS-D720-ORG-TOTALS-AREA.
002600             07  WS-D720-ORG-TOTALS-X.
002700                 09  WS-D720-ORG-TOTALS
002800                                             OCCURS 4 TIMES
002900                                             INDEXED BY
003000                                             X-WS-D720-OT.
003100                     11  WS-D720-OT-OOB-FLAG
003200                             PIC  X(01).
003300                         88  WS-D720-OT-IN-BALANCE
003400                                             VALUE 'Y' SPACE.
003500                         88  WS-D720-OT-OUT-OF-BAL
003600                                             VALUE 'N'.
003700                     11  WS-D720-OT-BEG-BAL
003800                             PIC S9(17)      COMP-3.
003900                     11  WS-D720-OT-FUND-TODAY
004000                             PIC S9(17)      COMP-3.
004100                     11  WS-D720-OT-INCREASES
004200                             PIC S9(17)      COMP-3.
004300                     11  WS-D720-OT-TO-SETT
004400                             PIC S9(17)      COMP-3.
004500                     11  WS-D720-OT-TO-PROC
004600                             PIC S9(17)      COMP-3.
004700                     11  WS-D720-OT-END-BAL
004800                             PIC S9(17)      COMP-3.
004900/
005000     COPY MB20WS.
005100 01  WS-PRINT-LINE-1         REDEFINES MB20WS-PRINT-LINE.
005200     03  WS-PL1-MERCHANT     PIC  9(09).
005300     03  FILLER              PIC  X(123).
005400*
005500 01  WS-PRINT-LINE-2         REDEFINES MB20WS-PRINT-LINE.
005600     03  FILLER              PIC  X(08).
005700     03  WS-PL2-RESV-DATA                    OCCURS 4 TIMES
005800                                             INDEXED BY
005900                                             X-WS-PL2.
006000         05  WS-PL2-RESV-DESC.
006100             07  FILLER      PIC  X(02).
006200             07  WS-PL2-RESV-FREQ
006300                             PIC  X(01).
006400             07  FILLER      PIC  X(02).
006500             07  WS-PL2-RESV-LEVEL
006600                             PIC  X(01).
006700             07  FILLER      PIC  X(02).
006800             07  WS-PL2-RESV-FEE-BASE
006900                             PIC  X(01).
007000             07  FILLER      PIC  X(02).
007100             07  WS-PL2-AMT  PIC  X(20).
007200*
007300 01  WS-PRINT-LINE-3         REDEFINES MB20WS-PRINT-LINE.
007400     03  FILLER              PIC  X(07).
007500     03  WS-PL3-MATH         PIC  X(01).
007600     03  WS-PL3-RESV-DATA                    OCCURS 4 TIMES
007700                                             INDEXED BY
007800                                             X-WS-PL3.
007900             07  FILLER      PIC  X(01).
008000             07  WS-PL3-BAL-LIT.
008100                 09  WS-PL3-RATE-TABLE
008200                             PIC  9(09).
008300             07  FILLER      PIC  X(01).
008400             07  WS-PL3-AMT  PIC  X(20).
008500*
008600 01  WS-ORG-TOTAL-LINE-1     REDEFINES MB20WS-PRINT-LINE.
008700     03  WS-OTL1-LIT-1       PIC  X(47).
008800     03  FILLER              PIC  X(03).
008900     03  WS-OTL1-ORG-NBR     PIC  9(03).
009000     03  FILLER              PIC  X(10).
009100     03  WS-OTL1-ORG-DESC    PIC  X(40).
009200     03  FILLER              PIC  X(29).
009300/
009400     COPY SS95WS.
009500/
009600     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
009700/
009800     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
009900/
010000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
010100/
010200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
010300/
010400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
010500/
010600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
010700/
010800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
010900/
011000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
011100/
011200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
011300/
011400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
011500/
011600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
011700/
011800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
011900/
012000     COPY MB00WS.
012100/
012200     COPY SS00WS.
012300/
012400     COPY SS01WS.
012500/
012600     COPY SS02WS.
012700*
012800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012900/
013000 LINKAGE SECTION.
013100     COPY MB22WS.
013200/
013300     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
013400/
013500 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
013600                                       MTRF-RECORD.
013700*
013800 A000-MAIN-LINE-SECT SECTION.
013900 A010-ML-BEGIN.
014000*
014100     IF  MTRF-K1-RT-DETAIL
014200         PERFORM D000-DETAIL-RECORD
014300            THRU D099-DR-EXIT.
014400*
014500     IF  MTRF-K1-RT-HEADER
014600         PERFORM H000-HEADER-RECORD
014700            THRU H099-HR-EXIT.
014800*
014900     IF  MTRF-K1-RT-TRAILER
015000         PERFORM T000-TRAILER-RECORD
015100            THRU T099-TR-EXIT.
015200*
015300     GOBACK.
015400*
015500 A099-ML-EXIT.
015600     EXIT.
015700/
015800 D000-DETAIL-RECORD SECTION.
015900 D010-DR-BEGIN.
016000*
016100     EVALUATE TRUE
016200       WHEN MTRF-K2-O20-MERCH-HEADER
016300         MOVE MTRF-RECORD        TO MWRF-RECORD
016400       WHEN MTRF-K2-O20-RESV-1-4-DATA
016500         PERFORM D100-PRINT-REPORT-20
016600            THRU D199-PR20-EXIT
016700     END-EVALUATE.
016800*
016900 D099-DR-EXIT.
017000     EXIT.
017100/
017200 D100-PRINT-REPORT-20 SECTION.
017300 D101-PR20-BEGIN.
017400*
017500     MOVE 'Y'                    TO WS-D72020-ACTIVITY-SW.
017600*
017700     MOVE 13                     TO WS-D720-LINE-CHECK.
017800     PERFORM 9100-CHECK-NBR-LINES
017900        THRU 9100-CNL-EXIT.
018000*
018100     PERFORM
018200         VARYING X-WS-PL2 FROM 1 BY 1
018300         UNTIL   X-WS-PL2 IS GREATER THAN 4
018400         SET X-MWRF-R0-O20-RESV  TO X-WS-PL2
018500         MOVE MWRF-O20-RESV-FREQ (X-MWRF-R0-O20-RESV)
018600                                 TO WS-PL2-RESV-FREQ (X-WS-PL2)
018700         MOVE MWRF-O20-RESV-LEVEL (X-MWRF-R0-O20-RESV)
018800                                 TO WS-PL2-RESV-LEVEL (X-WS-PL2)
018900         MOVE MWRF-O20-RESV-FEE-BASE (X-MWRF-R0-O20-RESV)
019000                                 TO WS-PL2-RESV-FEE-BASE(X-WS-PL2)
019100         MOVE MWRF-O20-RESV-FLOOR (X-MWRF-R0-O20-RESV)
019200                                 TO SS95WS-IN-AMT
019300         PERFORM SS95PD-NAP-ROUTINE
019400            THRU SS95PD-NAP-EXIT
019500         MOVE SS95WS-OUT-AMT-L20 TO WS-PL2-AMT (X-WS-PL2)
019600     END-PERFORM.
019700*
019800     MOVE MTRF-K2-O20-MERCHANT   TO WS-PL1-MERCHANT.
019900*
020000     EVALUATE TRUE
020100         WHEN MTRF-K1-DETAIL
020200             PERFORM MB22PD-PRINT-1-LINE
020300                THRU MB22PD-P1L-EXIT
020400         WHEN OTHER
020500             MOVE SPACES         TO MB20WS-PRINT-LINE
020600     END-EVALUATE.
020700*
020800*
020900*
021000     PERFORM
021100         VARYING X-WS-PL3 FROM 1 BY 1
021200         UNTIL   X-WS-PL3 IS GREATER THAN 4
021300         SET X-MWRF-R0-O20-RESV  TO X-WS-PL3
021400         MOVE MWRF-O20-RESV-RATE-TABLE (X-MWRF-R0-O20-RESV)
021500                                 TO WS-PL3-RATE-TABLE (X-WS-PL3)
021600         MOVE MWRF-O20-RESV-CEILING (X-MWRF-R0-O20-RESV)
021700                                 TO SS95WS-IN-AMT
021800         PERFORM SS95PD-NAP-ROUTINE
021900            THRU SS95PD-NAP-EXIT
022000         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
022100     END-PERFORM.
022200*
022300     EVALUATE TRUE
022400         WHEN MTRF-K1-DETAIL
022500             PERFORM MB22PD-PRINT-1-LINE
022600                THRU MB22PD-P1L-EXIT
022700         WHEN OTHER
022800             MOVE SPACES         TO MB20WS-PRINT-LINE
022900     END-EVALUATE.
023000*
023100*
023200*
023300     MOVE MWRF-O20-RESV-DESC (1) TO WS-PL2-RESV-DESC (1) (2:30).
023400     MOVE MWRF-O20-RESV-DESC (2) TO WS-PL2-RESV-DESC (2) (2:30).
023500     MOVE MWRF-O20-RESV-DESC (3) TO WS-PL2-RESV-DESC (3) (2:30).
023600     MOVE MWRF-O20-RESV-DESC (4) TO WS-PL2-RESV-DESC (4) (2:30).
023700*
023800     EVALUATE TRUE
023900         WHEN MTRF-K1-DETAIL
024000             PERFORM MB22PD-PRINT-2-LINES
024100                THRU MB22PD-P2L-EXIT
024200         WHEN OTHER
024300             MOVE SPACES         TO MB20WS-PRINT-LINE
024400     END-EVALUATE.
024500*
024600*
024700*
024800     PERFORM
024900         VARYING X-WS-PL3 FROM 1 BY 1
025000         UNTIL   X-WS-PL3 IS GREATER THAN 4
025100         SET X-MTRF-R1-O20-RESV  TO X-WS-PL3
025200         MOVE MTRF-O20-RESV-BEG-BAL (X-MTRF-R1-O20-RESV)
025300                                 TO SS95WS-IN-AMT
025400         PERFORM SS95PD-NAP-ROUTINE
025500            THRU SS95PD-NAP-EXIT
025600         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
025700     END-PERFORM.
025800*
025900     MOVE 'BEG BAL'              TO WS-PL3-BAL-LIT (1).
026000*
026100     EVALUATE TRUE
026200         WHEN MTRF-K1-DETAIL
026300             PERFORM MB22PD-PRINT-1-LINE
026400                THRU MB22PD-P1L-EXIT
026500         WHEN OTHER
026600             MOVE SPACES         TO MB20WS-PRINT-LINE
026700     END-EVALUATE.
026800*
026900*
027000*
027100     PERFORM
027200         VARYING X-WS-PL3 FROM 1 BY 1
027300         UNTIL   X-WS-PL3 IS GREATER THAN 4
027400         SET X-MTRF-R1-O20-RESV  TO X-WS-PL3
027500         MOVE MTRF-O20-RESV-FUND-TODAY (X-MTRF-R1-O20-RESV)
027600                                 TO SS95WS-IN-AMT
027700         PERFORM SS95PD-NAP-ROUTINE
027800            THRU SS95PD-NAP-EXIT
027900         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
028000     END-PERFORM.
028100*
028200     MOVE 'FUND TDY'             TO WS-PL3-BAL-LIT (1).
028300     MOVE '+'                    TO WS-PL3-MATH.
028400*
028500     EVALUATE TRUE
028600         WHEN MTRF-K1-DETAIL
028700             PERFORM MB22PD-PRINT-1-LINE
028800                THRU MB22PD-P1L-EXIT
028900         WHEN OTHER
029000             MOVE SPACES         TO MB20WS-PRINT-LINE
029100     END-EVALUATE.
029200*
029300*
029400*
029500     PERFORM
029600         VARYING X-WS-PL3 FROM 1 BY 1
029700         UNTIL   X-WS-PL3 IS GREATER THAN 4
029800         SET X-MTRF-R1-O20-RESV  TO X-WS-PL3
029900         MOVE MTRF-O20-RESV-INCREASES (X-MTRF-R1-O20-RESV)
030000                                 TO SS95WS-IN-AMT
030100         PERFORM SS95PD-NAP-ROUTINE
030200            THRU SS95PD-NAP-EXIT
030300         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
030400     END-PERFORM.
030500*
030600     MOVE 'INCREASES'            TO WS-PL3-BAL-LIT (1).
030700     MOVE '+'                    TO WS-PL3-MATH.
030800*
030900     EVALUATE TRUE
031000         WHEN MTRF-K1-DETAIL
031100             PERFORM MB22PD-PRINT-1-LINE
031200                THRU MB22PD-P1L-EXIT
031300         WHEN OTHER
031400             MOVE SPACES         TO MB20WS-PRINT-LINE
031500     END-EVALUATE.
031600*
031700*
031800*
031900     PERFORM
032000         VARYING X-WS-PL3 FROM 1 BY 1
032100         UNTIL   X-WS-PL3 IS GREATER THAN 4
032200         SET X-MTRF-R1-O20-RESV  TO X-WS-PL3
032300         MOVE MTRF-O20-RESV-TO-SETT (X-MTRF-R1-O20-RESV)
032400                                 TO SS95WS-IN-AMT
032500         PERFORM SS95PD-NAP-ROUTINE
032600            THRU SS95PD-NAP-EXIT
032700         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
032800     END-PERFORM.
032900*
033000     MOVE 'RESV SETT'            TO WS-PL3-BAL-LIT (1).
033100     MOVE '-'                    TO WS-PL3-MATH.
033200*
033300     EVALUATE TRUE
033400         WHEN MTRF-K1-DETAIL
033500             PERFORM MB22PD-PRINT-1-LINE
033600                THRU MB22PD-P1L-EXIT
033700         WHEN OTHER
033800             MOVE SPACES         TO MB20WS-PRINT-LINE
033900     END-EVALUATE.
034000*
034100*
034200*
034300     PERFORM
034400         VARYING X-WS-PL3 FROM 1 BY 1
034500         UNTIL   X-WS-PL3 IS GREATER THAN 4
034600         SET X-MTRF-R1-O20-RESV  TO X-WS-PL3
034700         MOVE MTRF-O20-RESV-TO-PROC (X-MTRF-R1-O20-RESV)
034800                                 TO SS95WS-IN-AMT
034900         PERFORM SS95PD-NAP-ROUTINE
035000            THRU SS95PD-NAP-EXIT
035100         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
035200     END-PERFORM.
035300*
035400     MOVE 'RESV PROC'            TO WS-PL3-BAL-LIT (1).
035500     MOVE '-'                    TO WS-PL3-MATH.
035600*
035700     EVALUATE TRUE
035800         WHEN MTRF-K1-DETAIL
035900             PERFORM MB22PD-PRINT-1-LINE
036000                THRU MB22PD-P1L-EXIT
036100         WHEN OTHER
036200             MOVE SPACES         TO MB20WS-PRINT-LINE
036300     END-EVALUATE.
036400*
036500*
036600*
036700     MOVE ALL '-'                TO WS-PL3-AMT (1).
036800     MOVE ALL '-'                TO WS-PL3-AMT (2).
036900     MOVE ALL '-'                TO WS-PL3-AMT (3).
037000     MOVE ALL '-'                TO WS-PL3-AMT (4).
037100*
037200     EVALUATE TRUE
037300         WHEN MTRF-K1-DETAIL
037400             PERFORM MB22PD-PRINT-1-LINE
037500                THRU MB22PD-P1L-EXIT
037600         WHEN OTHER
037700             MOVE SPACES         TO MB20WS-PRINT-LINE
037800     END-EVALUATE.
037900*
038000*
038100*
038200     PERFORM
038300         VARYING X-WS-PL3 FROM 1 BY 1
038400         UNTIL   X-WS-PL3 IS GREATER THAN 4
038500         SET X-MTRF-R1-O20-RESV  TO X-WS-PL3
038600         MOVE MTRF-O20-RESV-END-BAL (X-MTRF-R1-O20-RESV)
038700                                 TO SS95WS-IN-AMT
038800         PERFORM SS95PD-NAP-ROUTINE
038900            THRU SS95PD-NAP-EXIT
039000         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
039100     END-PERFORM.
039200*
039300     MOVE 'END BAL'              TO WS-PL3-BAL-LIT (1).
039400     MOVE '='                    TO WS-PL3-MATH.
039500*
039600     EVALUATE TRUE
039700         WHEN MTRF-K1-DETAIL
039800             PERFORM MB22PD-PRINT-1-LINE
039900                THRU MB22PD-P1L-EXIT
040000         WHEN OTHER
040100             MOVE SPACES         TO MB20WS-PRINT-LINE
040200     END-EVALUATE.
040300*
040400*
040500*
040600     PERFORM
040700         VARYING X-WS-PL2 FROM 1 BY 1
040800         UNTIL   X-WS-PL2 IS GREATER THAN 4
040900         SET X-MTRF-R1-O20-RESV  TO X-WS-PL2
041000         IF  MTRF-O20-RESV-OUT-OF-BAL (X-MTRF-R1-O20-RESV)
041100             MOVE '********OUT-OF-BALANCE********'
041200                                 TO WS-PL2-RESV-DESC
041300                                    (X-WS-PL2) (2:30)
041400         END-IF
041500     END-PERFORM.
041600*
041700     EVALUATE TRUE
041800         WHEN MTRF-K1-DETAIL
041900             PERFORM MB22PD-PRINT-1-LINE
042000                THRU MB22PD-P1L-EXIT
042100         WHEN OTHER
042200             MOVE SPACES         TO MB20WS-PRINT-LINE
042300     END-EVALUATE.
042400*
042500*
042600*
042700     EVALUATE TRUE
042800         WHEN MTRF-K1-DETAIL
042900             PERFORM MB22PD-PRINT-1-LINE
043000                THRU MB22PD-P1L-EXIT
043100         WHEN OTHER
043200             MOVE SPACES         TO MB20WS-PRINT-LINE
043300     END-EVALUATE.
043400*
043500*
043600*
043700     IF  MTRF-O20-RESV-OUT-OF-BAL  (1)
043800         SET WS-D720-OT-OUT-OF-BAL (1)
043900                                 TO TRUE.
044000*
044100     ADD MTRF-O20-RESV-BEG-BAL    (1)
044200                                 TO WS-D720-OT-BEG-BAL    (1).
044300     ADD MTRF-O20-RESV-FUND-TODAY (1)
044400                                 TO WS-D720-OT-FUND-TODAY (1).
044500     ADD MTRF-O20-RESV-INCREASES  (1)
044600                                 TO WS-D720-OT-INCREASES  (1).
044700     ADD MTRF-O20-RESV-TO-SETT    (1)
044800                                 TO WS-D720-OT-TO-SETT    (1).
044900     ADD MTRF-O20-RESV-TO-PROC    (1)
045000                                 TO WS-D720-OT-TO-PROC    (1).
045100     ADD MTRF-O20-RESV-END-BAL    (1)
045200                                 TO WS-D720-OT-END-BAL    (1).
045300*
045400*
045500*
045600     IF  MTRF-O20-RESV-OUT-OF-BAL  (2)
045700         SET WS-D720-OT-OUT-OF-BAL (2)
045800                                 TO TRUE.
045900*
046000     ADD MTRF-O20-RESV-BEG-BAL    (2)
046100                                 TO WS-D720-OT-BEG-BAL    (2).
046200     ADD MTRF-O20-RESV-FUND-TODAY (2)
046300                                 TO WS-D720-OT-FUND-TODAY (2).
046400     ADD MTRF-O20-RESV-INCREASES  (2)
046500                                 TO WS-D720-OT-INCREASES  (2).
046600     ADD MTRF-O20-RESV-TO-SETT    (2)
046700                                 TO WS-D720-OT-TO-SETT    (2).
046800     ADD MTRF-O20-RESV-TO-PROC    (2)
046900                                 TO WS-D720-OT-TO-PROC    (2).
047000     ADD MTRF-O20-RESV-END-BAL    (2)
047100                                 TO WS-D720-OT-END-BAL    (2).
047200*
047300*
047400*
047500     IF  MTRF-O20-RESV-OUT-OF-BAL  (3)
047600         SET WS-D720-OT-OUT-OF-BAL (3)
047700                                 TO TRUE.
047800*
047900     ADD MTRF-O20-RESV-BEG-BAL    (3)
048000                                 TO WS-D720-OT-BEG-BAL    (3).
048100     ADD MTRF-O20-RESV-FUND-TODAY (3)
048200                                 TO WS-D720-OT-FUND-TODAY (3).
048300     ADD MTRF-O20-RESV-INCREASES  (3)
048400                                 TO WS-D720-OT-INCREASES  (3).
048500     ADD MTRF-O20-RESV-TO-SETT    (3)
048600                                 TO WS-D720-OT-TO-SETT    (3).
048700     ADD MTRF-O20-RESV-TO-PROC    (3)
048800                                 TO WS-D720-OT-TO-PROC    (3).
048900     ADD MTRF-O20-RESV-END-BAL    (3)
049000                                 TO WS-D720-OT-END-BAL    (3).
049100*
049200*
049300*
049400     IF  MTRF-O20-RESV-OUT-OF-BAL  (4)
049500         SET WS-D720-OT-OUT-OF-BAL (4)
049600                                 TO TRUE.
049700*
049800     ADD MTRF-O20-RESV-BEG-BAL    (4)
049900                                 TO WS-D720-OT-BEG-BAL    (4).
050000     ADD MTRF-O20-RESV-FUND-TODAY (4)
050100                                 TO WS-D720-OT-FUND-TODAY (4).
050200     ADD MTRF-O20-RESV-INCREASES  (4)
050300                                 TO WS-D720-OT-INCREASES  (4).
050400     ADD MTRF-O20-RESV-TO-SETT    (4)
050500                                 TO WS-D720-OT-TO-SETT    (4).
050600     ADD MTRF-O20-RESV-TO-PROC    (4)
050700                                 TO WS-D720-OT-TO-PROC    (4).
050800     ADD MTRF-O20-RESV-END-BAL    (4)
050900                                 TO WS-D720-OT-END-BAL    (4).
051000*
051100*
051200*
051300 D199-PR20-EXIT.
051400     EXIT.
051500/
051600 H000-HEADER-RECORD SECTION.
051700 H010-HR-BEGIN.
051800*
051900     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
052000     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
052100     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
052200     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
052300     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
052400     MOVE 'O20'                  TO MB20WS-SH-INTERNAL-RPT-ID.
052500     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
052600     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
052700     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
052800     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
052900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
053000        THRU SS26PD-NED-EXIT.
053100     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
053200     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
053300     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
053400*
053500     MOVE '         *---------RESERVE 1----------* *---'
053600                                 TO MB20WS-SH-L5R-1.
053700     MOVE '------RESERVE 2----------* *---------RESERVE'
053800                                 TO MB20WS-SH-L5R-2.
053900     MOVE ' 3----------* *---------RESERVE 4----------*'
054000                                 TO MB20WS-SH-L5R-3.
054100*
054200     MOVE 'MERCHANT FQ LV FB         FLOOR AMOUNT  FQ L'
054300                                 TO MB20WS-SH-L6R-1.
054400     MOVE 'V FB         FLOOR AMOUNT  FQ LB FB         '
054500                                 TO MB20WS-SH-L6R-2.
054600     MOVE 'FLOOR AMOUNT  FQ LV FB         FLOOR AMOUNT '
054700                                 TO MB20WS-SH-L6R-3.
054800*
054900     MOVE ' NUMBER  RATE-TBL       CEILING AMOUNT  RATE'
055000                                 TO MB20WS-SH-L7R-1.
055100     MOVE '-TBL       CEILING AMOUNT  RATE-TBL       CE'
055200                                 TO MB20WS-SH-L7R-2.
055300     MOVE 'ILING ANOUNT  RATE-TBL       CEILING AMOUNT '
055400                                 TO MB20WS-SH-L7R-3.
055500*
055600     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
055700     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
055800     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
055900     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
056000     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
056100     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
056200     SET SS95WS-FUNCTION-INITIALIZE
056300                                 TO TRUE.
056400     PERFORM SS95PD-NAP-ROUTINE
056500        THRU SS95PD-NAP-EXIT.
056600*
056700     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
056800     MOVE 'N'                    TO WS-D72020-ACTIVITY-SW.
056900     MOVE MTRF-RECORD            TO MTR9-RECORD.
057000     INITIALIZE                     WS-D720-ORG-TOTALS-X.
057100*
057200 H099-HR-EXIT.
057300     EXIT.
057400/
057500 T000-TRAILER-RECORD SECTION.
057600 T010-TR-BEGIN.
057700     MOVE MTR9-RECORD            TO MTRF-RECORD.
057800*
057900     IF  WS-D72020-ACTIVITY-SW IS EQUAL TO 'N'
058000         IF  MTRF-HD-AF-PRODUCE
058100             PERFORM MB22PD-PRINT-NO-ACTIVITY
058200                                 THRU MB22PD-PNA-EXIT
058300             GO TO T099-TR-EXIT
058400         ELSE
058500             GO TO T099-TR-EXIT.
058600*
058700     PERFORM 9010-PRINT-ORG-TOTALS
058800        THRU 9010-POT-EXIT.
058900*
059000 T099-TR-EXIT.
059100     EXIT.
059200/
059300 9000-PERFORMED-ROUTINES-SECT SECTION.
059400 9010-PRINT-ORG-TOTALS.
059500*
059600     MOVE 9                      TO WS-D720-LINE-CHECK.
059700     PERFORM 9100-CHECK-NBR-LINES
059800        THRU 9100-CNL-EXIT.
059900*
060000     MOVE '**** ORGANIZATION TOTALS ****  FOR ORGANIZATION'
060100                                 TO WS-OTL1-LIT-1.
060200     MOVE MTRF-K1-ORG            TO WS-OTL1-ORG-NBR.
060300     MOVE MTRF-HD-ORG-NAME       TO WS-OTL1-ORG-DESC.
060400     PERFORM MB22PD-PRINT-1-LINE
060500        THRU MB22PD-P1L-EXIT.
060600*
060700     PERFORM
060800         VARYING X-WS-PL3 FROM 1 BY 1
060900         UNTIL   X-WS-PL3 IS GREATER THAN 4
061000         SET X-WS-D720-OT        TO X-WS-PL3
061100         MOVE WS-D720-OT-BEG-BAL (X-WS-D720-OT)
061200                                 TO SS95WS-IN-AMT
061300         PERFORM SS95PD-NAP-ROUTINE
061400            THRU SS95PD-NAP-EXIT
061500         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
061600     END-PERFORM.
061700*
061800     MOVE 'BEG BAL'              TO WS-PL3-BAL-LIT (1).
061900*
062000     PERFORM MB22PD-PRINT-1-LINE
062100        THRU MB22PD-P1L-EXIT.
062200*
062300*
062400*
062500     PERFORM
062600         VARYING X-WS-PL3 FROM 1 BY 1
062700         UNTIL   X-WS-PL3 IS GREATER THAN 4
062800         SET X-WS-D720-OT        TO X-WS-PL3
062900         MOVE WS-D720-OT-FUND-TODAY (X-WS-D720-OT)
063000                                 TO SS95WS-IN-AMT
063100         PERFORM SS95PD-NAP-ROUTINE
063200            THRU SS95PD-NAP-EXIT
063300         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
063400     END-PERFORM.
063500*
063600     MOVE 'FUND TDY'             TO WS-PL3-BAL-LIT (1).
063700     MOVE '+'                    TO WS-PL3-MATH.
063800*
063900     PERFORM MB22PD-PRINT-1-LINE
064000        THRU MB22PD-P1L-EXIT.
064100*
064200*
064300*
064400     PERFORM
064500         VARYING X-WS-PL3 FROM 1 BY 1
064600         UNTIL   X-WS-PL3 IS GREATER THAN 4
064700         SET X-WS-D720-OT        TO X-WS-PL3
064800         MOVE WS-D720-OT-INCREASES (X-WS-D720-OT)
064900                                 TO SS95WS-IN-AMT
065000         PERFORM SS95PD-NAP-ROUTINE
065100            THRU SS95PD-NAP-EXIT
065200         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
065300     END-PERFORM.
065400*
065500     MOVE 'INCREASES'            TO WS-PL3-BAL-LIT (1).
065600     MOVE '+'                    TO WS-PL3-MATH.
065700*
065800     PERFORM MB22PD-PRINT-1-LINE
065900        THRU MB22PD-P1L-EXIT.
066000*
066100*
066200*
066300     PERFORM
066400         VARYING X-WS-PL3 FROM 1 BY 1
066500         UNTIL   X-WS-PL3 IS GREATER THAN 4
066600         SET X-WS-D720-OT        TO X-WS-PL3
066700         MOVE WS-D720-OT-TO-SETT (X-WS-D720-OT)
066800                                 TO SS95WS-IN-AMT
066900         PERFORM SS95PD-NAP-ROUTINE
067000            THRU SS95PD-NAP-EXIT
067100         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
067200     END-PERFORM.
067300*
067400     MOVE 'RESV SETT'            TO WS-PL3-BAL-LIT (1).
067500     MOVE '-'                    TO WS-PL3-MATH.
067600*
067700     PERFORM MB22PD-PRINT-1-LINE
067800        THRU MB22PD-P1L-EXIT.
067900*
068000*
068100*
068200     PERFORM
068300         VARYING X-WS-PL3 FROM 1 BY 1
068400         UNTIL   X-WS-PL3 IS GREATER THAN 4
068500         SET X-WS-D720-OT        TO X-WS-PL3
068600         MOVE WS-D720-OT-TO-PROC (X-WS-D720-OT)
068700                                 TO SS95WS-IN-AMT
068800         PERFORM SS95PD-NAP-ROUTINE
068900            THRU SS95PD-NAP-EXIT
069000         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
069100     END-PERFORM.
069200*
069300     MOVE 'RESV PROC'            TO WS-PL3-BAL-LIT (1).
069400     MOVE '-'                    TO WS-PL3-MATH.
069500*
069600     PERFORM MB22PD-PRINT-1-LINE
069700        THRU MB22PD-P1L-EXIT.
069800*
069900*
070000*
070100     MOVE ALL '-'                TO WS-PL3-AMT (1).
070200     MOVE ALL '-'                TO WS-PL3-AMT (2).
070300     MOVE ALL '-'                TO WS-PL3-AMT (3).
070400     MOVE ALL '-'                TO WS-PL3-AMT (4).
070500*
070600     PERFORM MB22PD-PRINT-1-LINE
070700        THRU MB22PD-P1L-EXIT.
070800*
070900*
071000*
071100     PERFORM
071200         VARYING X-WS-PL3 FROM 1 BY 1
071300         UNTIL   X-WS-PL3 IS GREATER THAN 4
071400         SET X-WS-D720-OT        TO X-WS-PL3
071500         MOVE WS-D720-OT-END-BAL (X-WS-D720-OT)
071600                                 TO SS95WS-IN-AMT
071700         PERFORM SS95PD-NAP-ROUTINE
071800            THRU SS95PD-NAP-EXIT
071900         MOVE SS95WS-OUT-AMT-L20 TO WS-PL3-AMT (X-WS-PL3)
072000     END-PERFORM.
072100*
072200     MOVE 'END BAL'              TO WS-PL3-BAL-LIT (1).
072300     MOVE '='                    TO WS-PL3-MATH.
072400*
072500     PERFORM MB22PD-PRINT-1-LINE
072600        THRU MB22PD-P1L-EXIT.
072700*
072800*
072900*
073000     PERFORM
073100         VARYING X-WS-PL2 FROM 1 BY 1
073200         UNTIL   X-WS-PL2 IS GREATER THAN 4
073300         SET X-WS-D720-OT        TO X-WS-PL2
073400         IF  WS-D720-OT-OUT-OF-BAL (X-WS-D720-OT)
073500             MOVE '********OUT-OF-BALANCE********'
073600                                 TO WS-PL2-RESV-DESC
073700                                    (X-WS-PL2) (2:30)
073800         END-IF
073900     END-PERFORM.
074000*
074100     PERFORM MB22PD-PRINT-1-LINE
074200        THRU MB22PD-P1L-EXIT.
074300*
074400*
074500*
074600 9010-POT-EXIT.
074700     EXIT.
074800/
074900*
075000 9100-CHECK-NBR-LINES.
075100*
075200     COMPUTE MB20WS-LINES-REMAINING
075300                                 = MB20WS-LINE-LIMIT
075400                                 - MB20WS-LINE-COUNT.
075500*
075600     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
075700         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
075800*
075900 9100-CNL-EXIT.
076000     EXIT.
076100/
076200     COPY MB22PD.
076300/
076400     COPY SS95PD.
076500/
076600     COPY SS02PD.
076700/
076800     COPY SS07PD.
076900/
077000     COPY SS08PD.
077100/
077200     COPY SS16PD.
077300/
077400     COPY SS26PD.
077500/
077600     COPY SS27PD.
077700*
077800 9995-END-SOURCE-STATEMENTS SECTION.
077900 9999-END-OF-PROGRAM.
078000     EXIT.
