000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72022.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72022 - OPTIONAL REPORT 22 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72001-WORK-AREAS.
002100     03  WS-D72001-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-RT-NBR.
002400         05  WS-D720-RT-1-4  PIC  9(04).
002500         05  WS-D720-RT-5-8  PIC  9(04).
002600         05  WS-D720-RT-9    PIC  9(01).
002700     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002800*
002900     03  WS-D720-ACH-TOT-NBR
003000                             PIC S9(09)      COMP-3 VALUE ZEROS.
003100     03  WS-D720-ACH-TOT-AMT
003200                             PIC S9(17)      COMP-3 VALUE ZEROS.
003300*
003400     03  WS-D720-WIRE-TOT-NBR
003500                             PIC S9(09)      COMP-3 VALUE ZEROS.
003600     03  WS-D720-WIRE-TOT-AMT
003700                             PIC S9(17)      COMP-3 VALUE ZEROS.
003800*
003900     03  WS-D720-CHECK-TOT-NBR
004000                             PIC S9(09)      COMP-3 VALUE ZEROS.
004100     03  WS-D720-CHECK-TOT-AMT
004200                             PIC S9(17)      COMP-3 VALUE ZEROS.
004300*
004400     03  WS-D720-WINDOW-TOT-NBR
004500                             PIC S9(09)      COMP-3 VALUE ZEROS.
004600     03  WS-D720-WINDOW-TOT-AMT
004700                             PIC S9(17)      COMP-3 VALUE ZEROS.
004800*
004900     03  WS-D720-MAN-TOT-NBR
005000                             PIC S9(09)      COMP-3 VALUE ZEROS.
005100     03  WS-D720-MAN-TOT-AMT
005200                             PIC S9(17)      COMP-3 VALUE ZEROS.
005300*
005400     03  WS-D720-INV-TOT-NBR
005500                             PIC S9(09)      COMP-3 VALUE ZEROS.
005600     03  WS-D720-INV-TOT-AMT
005700                             PIC S9(17)      COMP-3 VALUE ZEROS.
005800*
005900     03  WS-D720-ORG-TOT-NBR
006000                             PIC S9(09)      COMP-3 VALUE ZEROS.
006100     03  WS-D720-ORG-TOT-AMT
006200                             PIC S9(17)      COMP-3 VALUE ZEROS.
006300*
006400     03  WS-D720-MERCH-TOTAL
006500                             PIC S9(17)      COMP-3 VALUE ZEROS.
006600*
006700     03  WS-D720-TAT-TOTAL   PIC S9(17)      COMP-3 VALUE ZEROS.
006800*
006900     COPY MB20WS.
007000*
007100 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
007200     03  FILLER              PIC  X(01).
007300     03  WS-DL1-MER-NBR      PIC  9(09).
007400     03  FILLER              PIC  X(02).
007500     03  WS-DL1-SETT-DEST    PIC  X(02).
007600     03  FILLER              PIC  X(03).
007700     03  WS-DL1-DEST-METH    PIC  X(05).
007800     03  FILLER              PIC  X(02).
007900     03  WS-DL1-RT-NBR.
008000         05  WS-DL1-RT-1-4   PIC  9(04).
008100         05  WS-DL1-DASH-1   PIC  X(01).
008200         05  WS-DL1-RT-5-8   PIC  9(04).
008300         05  WS-DL1-DASH-2   PIC  X(01).
008400         05  WS-DL1-RT-9     PIC  9(01).
008500     03  WS-DL1-ORG-X REDEFINES WS-DL1-RT-NBR.
008600         05  FILLER          PIC  X(03).
008700         05  WS-DL1-ORG      PIC  9(03).
008800         05  FILLER          PIC  X(05).
008900     03  FILLER              PIC  X(03).
009000     03  WS-DL1-ACCT-NBR     PIC  X(19).
009100     03  FILLER              PIC  X(04).
009200     03  WS-DL1-TRANS-AMT    PIC  X(23).
009300     03  FILLER              PIC  X(03).
009400     03  WS-DL1-MAN-METHOD   PIC  X(01).
009500     03  FILLER              PIC  X(05).
009600     03  WS-DL1-DESC         PIC  X(15).
009700*
009800 01  WS-TOTAL-LINE-1         REDEFINES MB20WS-PRINT-LINE.
009900     03  WS-TL1-LIT-1        PIC  X(25).
010000     03  FILLER              PIC  X(14).
010100     03  WS-TL1-LIT-2        PIC  X(22).
010200     03  WS-TL1-TRAN-AMT     PIC  X(23).
010300     03  FILLER              PIC  X(09).
010400     03  WS-TL1-LIT-3        PIC  X(08).
010500     03  FILLER              PIC  X(01).
010600     03  WS-TL1-MERCH-NBR    PIC  9(09).
010700*
010800 01  WS-TOTAL-LINE-2         REDEFINES MB20WS-PRINT-LINE.
010900     03  FILLER              PIC  X(16).
011000     03  WS-TL2-DESC         PIC  X(18).
011100     03  FILLER              PIC  X(08).
011200     03  WS-TL2-NBR          PIC  X(12).
011300     03  FILLER              PIC  X(04).
011400     03  WS-TL2-AMT          PIC  X(23).
011500*
011600 01  WS-TOTAL-LINE-3         REDEFINES MB20WS-PRINT-LINE.
011700     03  WS-TL3-LIT-1        PIC  X(47).
011800     03  FILLER              PIC  X(03).
011900     03  WS-TL3-FOR-ORG      PIC  9(03).
012000     03  FILLER              PIC  X(04).
012100     03  WS-TL3-FOR-DESC     PIC  X(40).
012200     03  FILLER              PIC  X(35).
012300*
012400/
012500     COPY SS95WS.
012600/
012700     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
012800/
012900     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
013000/
013100     COPY MTSIRL.
013200/
013300     COPY MMTCWS.
013400/
013500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
013600/
013700     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
013800/
013900     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
014000/
014100     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
014200/
014300     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
014400/
014500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
014600/
014700     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
014800/
014900     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
015000/
015100     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
015200/
015300     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
015400/
015500     COPY MB00WS.
015600/
015700     COPY SS00WS.
015800/
015900     COPY SS01WS.
016000/
016100     COPY SS02WS.
016200*
016300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
016400/
016500 LINKAGE SECTION.
016600     COPY MB22WS.
016700/
016800     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
016900/
017000 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
017100                                       MTRF-RECORD.
017200*
017300 A000-MAIN-LINE-SECT SECTION.
017400 A010-ML-BEGIN.
017500*
017600     IF  MTRF-K1-RT-DETAIL
017700         PERFORM D000-DETAIL-RECORD
017800            THRU D099-DR-EXIT.
017900*
018000     IF  MTRF-K1-RT-HEADER
018100         PERFORM H000-HEADER-RECORD
018200            THRU H099-HR-EXIT.
018300*
018400     IF  MTRF-K1-RT-TRAILER
018500         PERFORM T000-TRAILER-RECORD
018600            THRU T099-TR-EXIT.
018700*
018800     GOBACK.
018900*
019000 A099-ML-EXIT.
019100     EXIT.
019200/
019300 D000-DETAIL-RECORD SECTION.
019400 D010-DR-BEGIN.
019500*
019600     MOVE 'Y'                    TO WS-D72001-ACTIVITY-SW.
019700*
019800     MOVE MTRF-SI-RECORD         TO MTSI-RECORD.
019900*
020000     IF  MWRF-K2-O22-SETT-METHOD IS EQUAL TO SPACES
020100         PERFORM E100-MOVE-FIELDS
020200                                 THRU E199-MF-EXIT
020300         GO TO D099-DR-EXIT.
020400*
020500     IF  MTRF-K2-O22-SETT-METHOD IS NOT EQUAL TO
020600                                 MWRF-K2-O22-SETT-METHOD
020700         MOVE +3                 TO WS-D720-LINE-CHECK
020800         PERFORM 9100-CHECK-NBR-LINES
020900            THRU 9100-CNL-EXIT
021000         PERFORM E400-PRINT-TAT-TOTALS
021100                                 THRU E499-PTT-EXIT
021200         PERFORM E500-PRINT-MERCH-TOTALS
021300                                 THRU E599-PMT-EXIT
021400         PERFORM E600-PRINT-METH-TOTALS
021500                                 THRU E699-PMT-EXIT
021600         PERFORM E100-MOVE-FIELDS
021700                                 THRU E199-MF-EXIT
021800         GO TO D099-DR-EXIT.
021900*
022000     IF  MTRF-K2-O22-MERCHANT IS NOT EQUAL TO
022100                                 MWRF-K2-O22-MERCHANT
022200         MOVE +3                 TO WS-D720-LINE-CHECK
022300         PERFORM 9100-CHECK-NBR-LINES
022400            THRU 9100-CNL-EXIT
022500         PERFORM E400-PRINT-TAT-TOTALS
022600                                 THRU E499-PTT-EXIT
022700         PERFORM E500-PRINT-MERCH-TOTALS
022800                                 THRU E599-PMT-EXIT
022900         PERFORM E100-MOVE-FIELDS
023000                                 THRU E199-MF-EXIT
023100         GO TO D099-DR-EXIT.
023200*
023300     IF  MTRF-K2-O22-SETT-DEST-X IS NOT EQUAL TO
023400                                 MWRF-K2-O22-SETT-DEST-X
023500         MOVE +3                 TO WS-D720-LINE-CHECK
023600         PERFORM 9100-CHECK-NBR-LINES
023700            THRU 9100-CNL-EXIT
023800         PERFORM E400-PRINT-TAT-TOTALS
023900                                 THRU E499-PTT-EXIT
024000         PERFORM E100-MOVE-FIELDS
024100                                 THRU E199-MF-EXIT
024200         GO TO D099-DR-EXIT.
024300*
024400     PERFORM E100-MOVE-FIELDS    THRU E199-MF-EXIT.
024500*
024600 D099-DR-EXIT.
024700     EXIT.
024800/
024900 E100-MOVE-FIELDS SECTION.
025000 E110-MFS-BEGIN.
025100*
025200     MOVE MTSI-MERCHANT          TO WS-DL1-MER-NBR.
025300     MOVE MTRF-K2-O22-SETT-DEST  TO WS-DL1-SETT-DEST.
025400*
025500     EVALUATE TRUE
025600       WHEN (MTSI-TC-ACH-DDA-CR
025700         OR  MTSI-TC-ACH-DDA-DR
025800         OR  MTSI-TC-MANUAL-DDA-CR
025900         OR  MTSI-TC-MANUAL-DDA-DR)
026000             MOVE 'DDA'          TO WS-DL1-DEST-METH
026100       WHEN (MTSI-TC-ACH-SAV-CR
026200         OR  MTSI-TC-ACH-SAV-DR
026300         OR  MTSI-TC-MANUAL-SAV-CR
026400         OR  MTSI-TC-MANUAL-SAV-DR)
026500             MOVE 'SAV'          TO WS-DL1-DEST-METH
026600     END-EVALUATE.
026700*
026800     IF  MTRF-K2-O22-SM-BILLED
026900         MOVE MTSI-CMS-ORG       TO WS-DL1-ORG
027000         MOVE MTSI-CMS-ACCT      TO WS-DL1-ACCT-NBR
027100     ELSE
027200         MOVE MTSI-ACH-ACCT      TO WS-DL1-ACCT-NBR
027300         MOVE MTSI-RT-NBR        TO WS-D720-RT-NBR
027400         MOVE WS-D720-RT-1-4     TO WS-DL1-RT-1-4
027500         MOVE WS-D720-RT-5-8     TO WS-DL1-RT-5-8
027600         MOVE WS-D720-RT-9       TO WS-DL1-RT-9
027700         MOVE '-'                TO WS-DL1-DASH-1
027800                                    WS-DL1-DASH-2.
027900*
028000     MOVE MTSI-AMOUNT            TO SS95WS-IN-AMT.
028100     PERFORM SS95PD-NAP-ROUTINE
028200        THRU SS95PD-NAP-EXIT.
028300     MOVE SS95WS-OUT-AMT-L23     TO WS-DL1-TRANS-AMT.
028400*
028500     MOVE MTSI-TAT-USER-CODE     TO WS-DL1-MAN-METHOD.
028600*
028700     MOVE MTSI-ACH-DESC          TO WS-DL1-DESC.
028800*
028900     IF  MTSI-TC-BILL-DR
029000     OR  MTSI-TC-MANUAL-DR
029100     OR  MTSI-TC-ACH-DR
029200     OR  MTSI-TC-WINDOW-DR
029300         COMPUTE WS-D720-TAT-TOTAL = WS-D720-TAT-TOTAL
029400                                   - MTSI-AMOUNT
029500     ELSE
029600         COMPUTE WS-D720-TAT-TOTAL = WS-D720-TAT-TOTAL
029700                                   + MTSI-AMOUNT.
029800*
029900     EVALUATE TRUE
030000       WHEN MTRF-K2-O22-SM-ACH
030100         COMPUTE WS-D720-ACH-TOT-NBR = WS-D720-ACH-TOT-NBR
030200                                     + 1
030300       WHEN MTRF-K2-O22-SM-CHECK
030400         COMPUTE WS-D720-CHECK-TOT-NBR = WS-D720-CHECK-TOT-NBR
030500                                     + 1
030600       WHEN MTRF-K2-O22-SM-WIRE
030700         COMPUTE WS-D720-WIRE-TOT-NBR = WS-D720-WIRE-TOT-NBR
030800                                     + 1
030900       WHEN MTRF-K2-O22-SM-WINDOW
031000         COMPUTE WS-D720-WINDOW-TOT-NBR = WS-D720-WINDOW-TOT-NBR
031100                                     + 1
031200       WHEN MTRF-K2-O22-SM-BILLED
031300         COMPUTE WS-D720-INV-TOT-NBR = WS-D720-INV-TOT-NBR
031400                                     + 1
031500       WHEN OTHER
031600         COMPUTE WS-D720-MAN-TOT-NBR = WS-D720-MAN-TOT-NBR
031700                                     + 1
031800     END-EVALUATE.
031900*
032000     EVALUATE TRUE
032100         WHEN MTRF-K1-DETAIL
032200             PERFORM MB22PD-PRINT-1-LINE
032300                THRU MB22PD-P1L-EXIT
032400         WHEN OTHER
032500             MOVE SPACES         TO MB20WS-PRINT-LINE
032600     END-EVALUATE.
032700*
032800     MOVE MTRF-RECORD            TO MWRF-RECORD.
032900*
033000 E199-MF-EXIT.
033100     EXIT.
033200/
033300 E400-PRINT-TAT-TOTALS SECTION.
033400 E410-PTT-BEGIN.
033500*
033600     MOVE 'NET DESTINATION'      TO WS-TL1-LIT-2.
033700*
033800     MOVE WS-D720-TAT-TOTAL      TO SS95WS-IN-AMT.
033900     PERFORM SS95PD-NAP-ROUTINE
034000        THRU SS95PD-NAP-EXIT.
034100     MOVE SS95WS-OUT-AMT-L23     TO WS-TL1-TRAN-AMT.
034200*
034300     COMPUTE WS-D720-MERCH-TOTAL = WS-D720-MERCH-TOTAL
034400                                 + WS-D720-TAT-TOTAL.
034500*
034600     MOVE ZEROS                  TO WS-D720-TAT-TOTAL.
034700*
034800     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
034900*
035000 E499-PTT-EXIT.
035100     EXIT.
035200/
035300 E500-PRINT-MERCH-TOTALS SECTION.
035400 E510-PMT-BEGIN.
035500*
035600     MOVE 'NET METHOD TOTAL'     TO WS-TL1-LIT-2.
035700*
035800     MOVE WS-D720-MERCH-TOTAL    TO SS95WS-IN-AMT.
035900     PERFORM SS95PD-NAP-ROUTINE
036000        THRU SS95PD-NAP-EXIT.
036100     MOVE SS95WS-OUT-AMT-L23     TO WS-TL1-TRAN-AMT.
036200*
036300     EVALUATE TRUE
036400       WHEN MWRF-K2-O22-SM-BILLED
036500         COMPUTE WS-D720-INV-TOT-AMT = WS-D720-INV-TOT-AMT
036600                                     + WS-D720-MERCH-TOTAL
036700       WHEN MWRF-K2-O22-SM-ACH
036800         COMPUTE WS-D720-ACH-TOT-AMT = WS-D720-ACH-TOT-AMT
036900                                     + WS-D720-MERCH-TOTAL
037000       WHEN MWRF-K2-O22-SM-CHECK
037100         COMPUTE WS-D720-CHECK-TOT-AMT = WS-D720-CHECK-TOT-AMT
037200                                     + WS-D720-MERCH-TOTAL
037300       WHEN MWRF-K2-O22-SM-WIRE
037400         COMPUTE WS-D720-WIRE-TOT-AMT = WS-D720-WIRE-TOT-AMT
037500                                     + WS-D720-MERCH-TOTAL
037600       WHEN MWRF-K2-O22-SM-WINDOW
037700         COMPUTE WS-D720-WINDOW-TOT-AMT = WS-D720-WINDOW-TOT-AMT
037800                                     + WS-D720-MERCH-TOTAL
037900       WHEN OTHER
038000         COMPUTE WS-D720-MAN-TOT-AMT = WS-D720-MAN-TOT-AMT
038100                                     + WS-D720-MERCH-TOTAL
038200     END-EVALUATE.
038300*
038400     MOVE 'MERCHANT'             TO WS-TL1-LIT-3.
038500     MOVE MWRF-K2-O22-MERCHANT   TO WS-TL1-MERCH-NBR.
038600*
038700     MOVE ZEROS                  TO WS-D720-MERCH-TOTAL.
038800*
038900     PERFORM MB22PD-PRINT-2-LINES
039000                                 THRU MB22PD-P2L-EXIT.
039100*
039200 E599-PMT-EXIT.
039300     EXIT.
039400/
039500 E600-PRINT-METH-TOTALS SECTION.
039600 E610-PMT-BEGIN.
039700*
039800     MOVE '***** METHOD TOTALS *****'
039900                                 TO WS-TL1-LIT-1.
040000*
040100     EVALUATE TRUE
040200       WHEN MWRF-K2-O22-SM-BILLED
040300         MOVE 'INVOICE SETTLEMENT'
040400                                 TO WS-TL1-LIT-2
040500         MOVE WS-D720-INV-TOT-AMT
040600                                 TO SS95WS-IN-AMT
040700       WHEN MWRF-K2-O22-SM-ACH
040800         MOVE 'ACH SETTLEMENT'   TO WS-TL1-LIT-2
040900         MOVE WS-D720-ACH-TOT-AMT
041000                                 TO SS95WS-IN-AMT
041100       WHEN MWRF-K2-O22-SM-CHECK
041200         MOVE 'CHECK SETTLEMENT' TO WS-TL1-LIT-2
041300         MOVE WS-D720-CHECK-TOT-AMT
041400                                 TO SS95WS-IN-AMT
041500       WHEN MWRF-K2-O22-SM-WIRE
041600         MOVE 'WIRE SETTLEMENT'  TO WS-TL1-LIT-2
041700         MOVE WS-D720-WIRE-TOT-AMT
041800                                 TO SS95WS-IN-AMT
041900       WHEN MWRF-K2-O22-SM-WINDOW
042000         MOVE 'WINDOW SETTLEMENT'
042100                                 TO WS-TL1-LIT-2
042200         MOVE WS-D720-WINDOW-TOT-AMT
042300                                 TO SS95WS-IN-AMT
042400       WHEN OTHER
042500         MOVE 'MANUAL SETTLEMENT'
042600                                 TO WS-TL1-LIT-2
042700         MOVE WS-D720-MAN-TOT-AMT
042800                                 TO SS95WS-IN-AMT
042900     END-EVALUATE.
043000*
043100     PERFORM SS95PD-NAP-ROUTINE
043200        THRU SS95PD-NAP-EXIT.
043300     MOVE SS95WS-OUT-AMT-L23     TO WS-TL1-TRAN-AMT.
043400*
043500     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
043600*
043700     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
043800*
043900 E699-PMT-EXIT.
044000     EXIT.
044100/
044200 H000-HEADER-RECORD SECTION.
044300 H010-HR-BEGIN.
044400*
044500     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
044600     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
044700     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
044800     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
044900     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
045000     MOVE 'O22'                  TO MB20WS-SH-INTERNAL-RPT-ID.
045100     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
045200     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
045300     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
045400     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
045500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
045600        THRU SS26PD-NED-EXIT.
045700     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
045800     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
045900     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
046000*
046100     MOVE ' MERCHANT   S/D  ACCT  *-------- DESTINATION'
046200                                 TO MB20WS-SH-L5R-1.
046300     MOVE ' ---------*           TRANSACTION         US'
046400                                 TO MB20WS-SH-L5R-2.
046500     MOVE 'ER   TRANSACTION                            '
046600                                 TO MB20WS-SH-L5R-3.
046700*
046800     MOVE '  NUMBER    NBR  TYPE   R/T NUMBER    ACCOUN'
046900                                 TO MB20WS-SH-L6R-1.
047000     MOVE 'T NUMBER                 AMOUNT           CO'
047100                                 TO MB20WS-SH-L6R-2.
047200     MOVE 'DE   DESCRIPTION                            '
047300                                 TO MB20WS-SH-L6R-3.
047400*
047500     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
047600     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
047700     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
047800     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
047900     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
048000     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
048100     SET SS95WS-FUNCTION-INITIALIZE
048200                                 TO TRUE.
048300     PERFORM SS95PD-NAP-ROUTINE
048400        THRU SS95PD-NAP-EXIT.
048500*
048600     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
048700     SET SS95WS-NAP-IND-IS-ALL   TO TRUE.
048800     MOVE 'N'                    TO WS-D72001-ACTIVITY-SW.
048900     MOVE MTRF-RECORD            TO MTR9-RECORD.
049000     MOVE SPACES                 TO MWRF-RECORD.
049100*
049200     MOVE ZEROS                  TO WS-D720-ACH-TOT-NBR
049300                                    WS-D720-ACH-TOT-AMT
049400                                    WS-D720-MAN-TOT-NBR
049500                                    WS-D720-MAN-TOT-AMT
049600                                    WS-D720-CHECK-TOT-NBR
049700                                    WS-D720-CHECK-TOT-AMT
049800                                    WS-D720-WIRE-TOT-NBR
049900                                    WS-D720-WIRE-TOT-AMT
050000                                    WS-D720-INV-TOT-NBR
050100                                    WS-D720-INV-TOT-AMT
050200                                    WS-D720-WINDOW-TOT-NBR
050300                                    WS-D720-WINDOW-TOT-AMT
050400                                    WS-D720-ORG-TOT-NBR
050500                                    WS-D720-ORG-TOT-AMT.
050600*
050700 H099-HR-EXIT.
050800     EXIT.
050900/
051000 T000-TRAILER-RECORD SECTION.
051100 T010-TR-BEGIN.
051200*
051300     MOVE MTR9-RECORD            TO MTRF-RECORD.
051400*
051500     IF  WS-D72001-ACTIVITY-SW IS EQUAL TO 'N'
051600         IF  MTRF-HD-AF-PRODUCE
051700             PERFORM MB22PD-PRINT-NO-ACTIVITY
051800                THRU MB22PD-PNA-EXIT
051900             GO TO T099-TR-EXIT
052000         ELSE
052100             GO TO T099-TR-EXIT.
052200*
052300     MOVE +3                     TO WS-D720-LINE-CHECK.
052400*
052500     PERFORM 9100-CHECK-NBR-LINES
052600        THRU 9100-CNL-EXIT.
052700*
052800     PERFORM E400-PRINT-TAT-TOTALS
052900                                 THRU E499-PTT-EXIT.
053000*
053100     MOVE +3                     TO WS-D720-LINE-CHECK.
053200*
053300     PERFORM 9100-CHECK-NBR-LINES
053400        THRU 9100-CNL-EXIT.
053500*
053600     PERFORM E500-PRINT-MERCH-TOTALS
053700                                 THRU E599-PMT-EXIT.
053800*
053900     MOVE +10                    TO WS-D720-LINE-CHECK.
054000*
054100     PERFORM 9100-CHECK-NBR-LINES
054200        THRU 9100-CNL-EXIT.
054300*
054400     PERFORM E600-PRINT-METH-TOTALS
054500                                 THRU E699-PMT-EXIT.
054600*
054700     PERFORM 9060-PRINT-ORG-TOTALS
054800                                 THRU 9060-POT-EXIT.
054900     MOVE SPACES                 TO MWRF-RECORD.
055000*
055100 T099-TR-EXIT.
055200     EXIT.
055300/
055400 9000-PERFORMED-ROUTINES-SECT SECTION.
055500/
055600 9060-PRINT-ORG-TOTALS.
055700*
055800     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
055900*
056000     MOVE SPACES                 TO MB20WS-SH-LINE-5
056100                                    MB20WS-SH-LINE-6
056200                                    MB20WS-SH-LINE-7
056300                                    MB20WS-SH-LINE-8.
056400*
056500     MOVE '**** ORGANIZATION TOTALS **** FOR ORGANIZATION '
056600                                 TO WS-TL3-LIT-1.
056700     MOVE MTRF-K1-ORG            TO WS-TL3-FOR-ORG.
056800     MOVE MTRF-HD-ORG-NAME       TO WS-TL3-FOR-DESC.
056900     PERFORM MB22PD-PRINT-2-LINES
057000                                 THRU MB22PD-P2L-EXIT.
057100*
057200     MOVE 'ACH SETTLEMENT'       TO WS-TL2-DESC.
057300     MOVE WS-D720-ACH-TOT-NBR    TO SS95WS-IN-NBR.
057400     MOVE WS-D720-ACH-TOT-AMT    TO SS95WS-IN-AMT.
057500     PERFORM SS95PD-NAP-ROUTINE
057600                                 THRU SS95PD-NAP-EXIT.
057700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
057800     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
057900*
058000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
058100*
058200     MOVE 'CHECK SETTLEMENT'     TO WS-TL2-DESC.
058300     MOVE WS-D720-CHECK-TOT-NBR  TO SS95WS-IN-NBR.
058400     MOVE WS-D720-CHECK-TOT-AMT  TO SS95WS-IN-AMT.
058500     PERFORM SS95PD-NAP-ROUTINE
058600                                 THRU SS95PD-NAP-EXIT.
058700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
058800     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
058900*
059000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
059100*
059200     MOVE 'WIRE SETTLEMENT'      TO WS-TL2-DESC.
059300     MOVE WS-D720-WIRE-TOT-NBR   TO SS95WS-IN-NBR.
059400     MOVE WS-D720-WIRE-TOT-AMT   TO SS95WS-IN-AMT.
059500     PERFORM SS95PD-NAP-ROUTINE
059600                                 THRU SS95PD-NAP-EXIT.
059700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
059800     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
059900*
060000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
060100*
060200     MOVE 'MANUAL SETTLEMENT'    TO WS-TL2-DESC.
060300     MOVE WS-D720-MAN-TOT-NBR    TO SS95WS-IN-NBR.
060400     MOVE WS-D720-MAN-TOT-AMT    TO SS95WS-IN-AMT.
060500     PERFORM SS95PD-NAP-ROUTINE
060600                                 THRU SS95PD-NAP-EXIT.
060700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
060800     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
060900*
061000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
061100*
061200     MOVE 'INVOICE SETTLEMENT'   TO WS-TL2-DESC.
061300     MOVE WS-D720-INV-TOT-NBR    TO SS95WS-IN-NBR.
061400     MOVE WS-D720-INV-TOT-AMT    TO SS95WS-IN-AMT.
061500     PERFORM SS95PD-NAP-ROUTINE
061600                                 THRU SS95PD-NAP-EXIT.
061700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
061800     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
061900*
062000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
062100*
062200     MOVE 'WINDOW SETTLEMENT'    TO WS-TL2-DESC.
062300     MOVE WS-D720-WINDOW-TOT-NBR TO SS95WS-IN-NBR.
062400     MOVE WS-D720-WINDOW-TOT-AMT TO SS95WS-IN-AMT.
062500     PERFORM SS95PD-NAP-ROUTINE
062600                                 THRU SS95PD-NAP-EXIT.
062700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
062800     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
062900*
063000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
063100*
063200     COMPUTE WS-D720-ORG-TOT-NBR = WS-D720-ORG-TOT-NBR
063300                                 + WS-D720-ACH-TOT-NBR
063400                                 + WS-D720-CHECK-TOT-NBR
063500                                 + WS-D720-WIRE-TOT-NBR
063600                                 + WS-D720-MAN-TOT-NBR
063700                                 + WS-D720-INV-TOT-NBR
063800                                 + WS-D720-WINDOW-TOT-NBR.
063900     COMPUTE WS-D720-ORG-TOT-AMT = WS-D720-ORG-TOT-AMT
064000                                 + WS-D720-ACH-TOT-AMT
064100                                 + WS-D720-CHECK-TOT-AMT
064200                                 + WS-D720-WIRE-TOT-AMT
064300                                 + WS-D720-MAN-TOT-AMT
064400                                 + WS-D720-INV-TOT-AMT
064500                                 + WS-D720-WINDOW-TOT-AMT.
064600*
064700     MOVE 'TOTAL SETTLEMENT'     TO WS-TL2-DESC.
064800     MOVE WS-D720-ORG-TOT-NBR    TO SS95WS-IN-NBR.
064900     MOVE WS-D720-ORG-TOT-AMT    TO SS95WS-IN-AMT.
065000     PERFORM SS95PD-NAP-ROUTINE
065100                                 THRU SS95PD-NAP-EXIT.
065200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
065300     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
065400*
065500     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
065600*
065700 9060-POT-EXIT.
065800     EXIT.
065900*
066000 9100-CHECK-NBR-LINES.
066100*
066200     COMPUTE MB20WS-LINES-REMAINING
066300                                 = MB20WS-LINE-LIMIT
066400                                 - MB20WS-LINE-COUNT.
066500*
066600     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
066700         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
066800*
066900 9100-CNL-EXIT.
067000     EXIT.
067100/
067200     COPY MB22PD.
067300/
067400     COPY SS95PD.
067500/
067600     COPY SS02PD.
067700/
067800     COPY SS07PD.
067900/
068000     COPY SS08PD.
068100/
068200     COPY SS16PD.
068300/
068400     COPY SS26PD.
068500/
068600     COPY SS27PD.
068700*
068800 9995-END-SOURCE-STATEMENTS SECTION.
068900 9999-END-OF-PROGRAM.
069000     EXIT.
