000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72023.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72023 - OPTIONAL REPORT 23 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72001-WORK-AREAS.
002100     03  WS-D72001-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400     03  WS-D720-WORK-SETT   PIC S9(17)      COMP-3 VALUE ZERO.
002500     03  WS-D720-ORG-SETT    PIC S9(17)      COMP-3 VALUE ZERO.
002600     03  WS-D720-MERCH-SETT  PIC S9(17)      COMP-3 VALUE ZERO.
002700/
002800     COPY MB20WS.
002900*
003000 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
003100     03  WS-DL1-MER-NBR      PIC  9(09).
003200     03  FILLER              PIC  X(02).
003300     03  WS-DL1-SETT-FLAG    PIC  X(01).
003400     03  WS-DL1-SETT-ACCT    PIC  9(01).
003500     03  FILLER              PIC  X(03).
003600     03  WS-DL1-TC-NBR       PIC  9(03).
003700     03  FILLER              PIC  X(01).
003800     03  WS-DL1-LM-NBR       PIC  9(03).
003900     03  FILLER              PIC  X(01).
004000     03  WS-DL1-CP-NBR       PIC  9(02).
004100     03  FILLER              PIC  X(01).
004200     03  WS-DL1-QL-NBR       PIC  9(02).
004300     03  FILLER              PIC  X(01).
004400     03  WS-DL1-PLAN-NBR     PIC  9(05).
004500     03  FILLER              PIC  X(02).
004600     03  WS-DL1-DATE         PIC  X(10).
004700     03  FILLER              PIC  X(01).
004800     03  WS-DL1-SOURCE-NBR   PIC  9(05).
004900     03  FILLER              PIC  X(01).
005000     03  WS-DL1-NBR          PIC  9(05).
005100     03  FILLER              PIC  X(01).
005200     03  WS-DL1-SEQ-NBR      PIC  9(08).
005300     03  FILLER              PIC  X(02).
005400     03  WS-DL1-GL-NBR       PIC  9(01).
005500     03  FILLER              PIC  X(02).
005600     03  WS-DL1-TRANS-AMT    PIC  X(23).
005700     03  FILLER              PIC  X(01).
005800     03  WS-DL1-DESCRIPTION  PIC  X(15).
005900     03  FILLER              PIC  X(02).
006000     03  WS-DL1-TRAN-TYPE    PIC  X(15).
006100     03  FILLER              PIC  X(02).
006200     03  WS-DL1-CODE         PIC  X(01).
006300*
006400 01  WS-DETAIL-LINE-2        REDEFINES MB20WS-PRINT-LINE.
006500     03  FILLER              PIC  X(02).
006600     03  WS-DL2-SETT-LIT     PIC  X(08).
006700     03  WS-DL2-SETT-ACCT    PIC  9(01).
006800     03  FILLER              PIC  X(01).
006900     03  WS-DL2-DASH         PIC  X(02).
007000     03  WS-DL2-ACCT-TYPE    PIC  X(04).
007100     03  WS-DL2-ACCT-DATA-SETT.
007200         05  WS-DL2-R-T-LIT  PIC  X(04).
007300         05  WS-DL2-R-T      PIC  9999,9999,9-.
007400         05  WS-DL2-ACCT-LIT PIC  X(05).
007500         05  WS-DL2-ACCT     PIC  X(18).
007600     03  WS-DL2-ACCT-DATA-BILL
007700                             REDEFINES WS-DL2-ACCT-DATA-SETT.
007800         05  WS-DL2-ORG-LIT  PIC  X(04).
007900         05  WS-DL2-ORG      PIC  999-.
008000         05  WS-DL2-BS-ACCT-LIT
008100                             PIC  X(08).
008200         05  WS-DL2-BS-ACCT  PIC  X(19).
008300         05  FILLER          PIC  X(04).
008400     03  WS-DL2-ACTION-DESC.
008500         05  WS-DL2-METHOD-DESC
008600                             PIC  X(09).
008700         05  WS-DL2-CR-DR-DESC
008800                             PIC  X(07).
008900     03  WS-DL2-AMOUNT       PIC  X(23).
009000     03  WS-DL2-MSG          PIC  X(36).
009100*
009200 01  WS-TOTAL-LINE-1         REDEFINES MB20WS-PRINT-LINE.
009300     03  WS-TL1-LIT-1        PIC  X(47).
009400     03  FILLER              PIC  X(03).
009500     03  WS-TL1-FOR-NBR      PIC  9(09).
009600     03  FILLER              PIC  X(04).
009700     03  WS-TL1-FOR-DESC     PIC  X(41).
009800     03  WS-TL1-MSG          PIC  X(28).
009900*
010000 01  WS-TOTAL-LINE-2         REDEFINES MB20WS-PRINT-LINE.
010100     03  WS-TL2-LIT-1        PIC  X(47).
010200     03  FILLER              PIC  X(03).
010300     03  WS-TL2-FOR-NBR      PIC  9(03).
010400     03  FILLER              PIC  X(04).
010500     03  WS-TL2-FOR-DESC     PIC  X(40).
010600     03  FILLER              PIC  X(35).
010700*
010800 01  WS-SETT-LINE-1          REDEFINES MB20WS-PRINT-LINE.
010900     03  FILLER              PIC  X(81).
011000     03  WS-SL1-LIT-1        PIC  X(06).
011100     03  FILLER              PIC  X(09).
011200     03  WS-SL1-LIT-2        PIC  X(06).
011300     03  FILLER              PIC  X(30).
011400*
011500 01  WS-SETT-LINE-2          REDEFINES MB20WS-PRINT-LINE.
011600     03  FILLER              PIC  X(47).
011700     03  WS-SL2-LIT-1        PIC  X(25).
011800     03  WS-SL2-AMT          PIC  X(23).
011900     03  FILLER              PIC  X(01).
012000     03  WS-SL2-METHOD       PIC  X(06).
012100     03  FILLER              PIC  X(30).
012200*
012300 01  WS-BILL-LINE-1          REDEFINES MB20WS-PRINT-LINE.
012400     03  FILLER              PIC  X(47).
012500     03  WS-BL1-LIT-1        PIC  X(25).
012600     03  WS-BL1-AMT          PIC  X(23).
012700     03  FILLER              PIC  X(37).
012800*
012900/
013000     COPY SS95WS.
013100/
013200     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
013300/
013400     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
013500/
013600     COPY MTSIRL.
013700/
013800     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMSH==.
013900/
014000     COPY MMTCWS.
014100/
014200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
014300/
014400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
014500/
014600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
014700/
014800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
014900/
015000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
015100/
015200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
015300/
015400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
015500/
015600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
015700/
015800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
015900/
016000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
016100/
016200     COPY MB00WS.
016300/
016400     COPY MB23WS.
016500/
016600     COPY SS00WS.
016700/
016800     COPY SS01WS.
016900/
017000     COPY SS02WS.
017100*
017200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
017300/
017400 LINKAGE SECTION.
017500     COPY MB22WS.
017600/
017700     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
017800/
017900 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
018000                                       MTRF-RECORD.
018100*
018200 A000-MAIN-LINE-SECT SECTION.
018300 A010-ML-BEGIN.
018400*
018500     IF  MTRF-K1-RT-DETAIL
018600         PERFORM D000-DETAIL-RECORD
018700            THRU D099-DR-EXIT.
018800*
018900     IF  MTRF-K1-RT-HEADER
019000         PERFORM H000-HEADER-RECORD
019100            THRU H099-HR-EXIT.
019200*
019300     IF  MTRF-K1-RT-TRAILER
019400         PERFORM T000-TRAILER-RECORD
019500            THRU T099-TR-EXIT.
019600*
019700     GOBACK.
019800*
019900 A099-ML-EXIT.
020000     EXIT.
020100/
020200 D000-DETAIL-RECORD SECTION.
020300 D010-DR-BEGIN.
020400*
020500     MOVE 'Y'                    TO WS-D72001-ACTIVITY-SW.
020600*
020700     IF  MTRF-K2-O23-SETT-TOTALS
020800         MOVE MTRF-O23-SETT-TOTALS-X
020900                                 TO MB23WS-SETT-TOTALS-X
021000         GO TO D099-DR-EXIT.
021100*
021200     IF  MTRF-K2-O23-MERCH-TRAILER
021300         PERFORM 9010-PRINT-MER-TOTALS
021400            THRU 9010-PMT-EXIT
021500         PERFORM MB22PD-PRINT-1-LINE
021600            THRU MB22PD-P1L-EXIT
021700         MOVE ZERO               TO WS-D720-MERCH-SETT
021800         GO TO D099-DR-EXIT.
021900*
022000     MOVE MTRF-SH-RECORD         TO MMSH-RECORD.
022100*
022200     MOVE MMSH-MERCHANT          TO WS-DL1-MER-NBR.
022300     MOVE MMSH-SETT-FLAG         TO WS-DL1-SETT-FLAG.
022400     MOVE MMSH-SETT-ACCT         TO WS-DL1-SETT-ACCT.
022500     MOVE MMSH-TRANS-CODE        TO WS-DL1-TC-NBR.
022600     MOVE MMSH-LOGIC-MODULE      TO WS-DL1-LM-NBR.
022700     MOVE MMSH-PRODUCT           TO WS-DL1-CP-NBR.
022800     MOVE MMSH-QUAL-LEVEL        TO WS-DL1-QL-NBR.
022900     MOVE MMSH-PLAN              TO WS-DL1-PLAN-NBR.
023000     MOVE MMSH-BATCH-DATE        TO SS01WS-JULIAN.
023100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
023200        THRU SS26PD-NED-EXIT.
023300     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
023400     MOVE MMSH-BATCH-SOURCE      TO WS-DL1-SOURCE-NBR.
023500     MOVE MMSH-BATCH-NBR         TO WS-DL1-NBR.
023600     MOVE MMSH-BATCH-SEQ         TO WS-DL1-SEQ-NBR.
023700     MOVE MMSH-GL-SOURCE         TO WS-DL1-GL-NBR.
023800*
023900     MOVE MMSH-AMOUNT            TO SS95WS-IN-AMT.
024000     PERFORM SS95PD-NAP-ROUTINE
024100        THRU SS95PD-NAP-EXIT.
024200     MOVE SS95WS-OUT-AMT-L23     TO WS-DL1-TRANS-AMT.
024300     MOVE MMSH-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
024400*
024500     MOVE MMSH-RPT-DESC          TO WS-DL1-DESCRIPTION.
024600*
024700     EVALUATE TRUE
024800         WHEN MMTCWS-LM-SETTLEMENT-CR
024900             CONTINUE
025000         WHEN MMTCWS-LM-SETTLEMENT-DR
025100             CONTINUE
025200         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 1
025300           MOVE 'RESERVE FUNDING'
025400                                 TO WS-DL1-TRAN-TYPE
025500         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 2
025600           MOVE 'RESERVE TO SETT'
025700                                 TO WS-DL1-TRAN-TYPE
025800         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 3
025900           MOVE 'DISCOUNT       '
026000                                 TO WS-DL1-TRAN-TYPE
026100         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 4
026200           MOVE 'DISCOUNT REFUND'
026300                                 TO WS-DL1-TRAN-TYPE
026400         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 5
026500           MOVE 'PART OWED (DR) '
026600                                 TO WS-DL1-TRAN-TYPE
026700         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 6
026800           MOVE 'PART EARN (CR) '
026900                                 TO WS-DL1-TRAN-TYPE
027000         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 7
027100           MOVE 'ADJUSTMENT DR  '
027200                                 TO WS-DL1-TRAN-TYPE
027300         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 8
027400           MOVE 'ADJUSTMENT CR  '
027500                                 TO WS-DL1-TRAN-TYPE
027600         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 9
027700           MOVE 'RECOVER  ADJ DR'
027800                                 TO WS-DL1-TRAN-TYPE
027900         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 10
028000           MOVE 'RECOVER  ADJ CR'
028100                                 TO WS-DL1-TRAN-TYPE
028200         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 11
028300           MOVE 'USER FEES      '
028400                                 TO WS-DL1-TRAN-TYPE
028500         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 12
028600           MOVE 'USER CREDITS   '
028700                                 TO WS-DL1-TRAN-TYPE
028800         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 13
028900           MOVE 'SYSTEM FEES    '
029000                                 TO WS-DL1-TRAN-TYPE
029100         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 14
029200           CONTINUE
029300         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 15
029400           MOVE 'INTERCHG FEES  '
029500                                 TO WS-DL1-TRAN-TYPE
029600         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 21
029700           MOVE 'NET SETTLE 1   '
029800                                 TO WS-DL1-TRAN-TYPE
029900         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 22
030000           MOVE 'NET SETTLE 2   '
030100                                 TO WS-DL1-TRAN-TYPE
030200         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 23
030300           MOVE 'NET SETTLE 3   '
030400                                 TO WS-DL1-TRAN-TYPE
030500         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 24
030600           MOVE 'NET SETTLE 4   '
030700                                 TO WS-DL1-TRAN-TYPE
030800         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 25
030900           MOVE 'WINDOW SETT    '
031000                                 TO WS-DL1-TRAN-TYPE
031100         WHEN MTRF-K2-O23-SETT-BILL-INDEX IS EQUAL TO 31
031200           MOVE 'XFER TO INVOICE'
031300                                 TO WS-DL1-TRAN-TYPE
031400         WHEN OTHER
031500           MOVE 'DEPOSITS       '
031600                                 TO WS-DL1-TRAN-TYPE
031700     END-EVALUATE.
031800*
031900     MOVE MTRF-K2-O23-TAT-USER-CODE
032000                                 TO WS-DL1-CODE.
032100*
032200     EVALUATE TRUE
032300         WHEN MTRF-K1-DETAIL
032400             PERFORM MB22PD-PRINT-1-LINE
032500                THRU MB22PD-P1L-EXIT
032600         WHEN OTHER
032700             MOVE SPACES         TO MB20WS-PRINT-LINE
032800     END-EVALUATE.
032900*
033000     MOVE MTRF-RECORD            TO MWRF-RECORD.
033100*
033200 D099-DR-EXIT.
033300     EXIT.
033400/
033500 H000-HEADER-RECORD SECTION.
033600 H010-HR-BEGIN.
033700*
033800     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
033900     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
034000     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
034100     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
034200     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
034300     MOVE 'O23'                  TO MB20WS-SH-INTERNAL-RPT-ID.
034400     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
034500     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
034600     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
034700     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
034800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
034900        THRU SS26PD-NED-EXIT.
035000     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
035100     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
035200     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
035300*
035400     MOVE 'MERCHANT  SETT  *-- POSTING DATA --* *----- '
035500                                 TO MB20WS-SH-L5R-1.
035600     MOVE 'BATCH INFORMATION -----*                TRAN'
035700                                 TO MB20WS-SH-L5R-2.
035800     MOVE 'SACTION                   TRANSACTION   CODE'
035900                                 TO MB20WS-SH-L5R-3.
036000*
036100     MOVE ' NUMBER   ACCT  T/C L/M PR QL PLAN      DATE'
036200                                 TO MB20WS-SH-L6R-1.
036300     MOVE '   SOURCE  NBR    SEQ    G/L                '
036400                                 TO MB20WS-SH-L6R-2.
036500     MOVE ' AMOUNT  DESCRIPTION         TYPE           '
036600                                 TO MB20WS-SH-L6R-3.
036700*
036800     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
036900     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
037000     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
037100     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
037200     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
037300     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
037400     SET SS95WS-FUNCTION-INITIALIZE
037500                                 TO TRUE.
037600     PERFORM SS95PD-NAP-ROUTINE
037700        THRU SS95PD-NAP-EXIT.
037800*
037900     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
038000     SET SS95WS-NAP-IND-IS-ALL   TO TRUE.
038100     MOVE 'N'                    TO WS-D72001-ACTIVITY-SW.
038200     MOVE MTRF-RECORD            TO MTR9-RECORD.
038300     MOVE SPACES                 TO MWRF-RECORD.
038400     MOVE ZEROS                  TO MWRF-MERCHANT.
038500     MOVE ZERO                   TO WS-D720-ORG-SETT.
038600     MOVE ZERO                   TO WS-D720-MERCH-SETT.
038700*
038800 H099-HR-EXIT.
038900     EXIT.
039000/
039100 T000-TRAILER-RECORD SECTION.
039200 T010-TR-BEGIN.
039300*
039400     MOVE MTR9-RECORD            TO MTRF-RECORD.
039500*
039600     IF  WS-D72001-ACTIVITY-SW IS EQUAL TO 'N'
039700         IF  MTRF-HD-AF-PRODUCE
039800             PERFORM MB22PD-PRINT-NO-ACTIVITY
039900                THRU MB22PD-PNA-EXIT
040000             GO TO T099-TR-EXIT
040100         ELSE
040200             GO TO T099-TR-EXIT.
040300*
040400***************************************************************
040500*    WE MUST NOW PRINT MERCHANT TOTALS. THE REASON IS WE COULD*
040600*    HAVE PRINTED SEVERAL DETAIL RECORDS AND THEN ENCOUNTERED *
040700*    A TRAILER RECORD WITH OUT HAVING  PROCESSED THE MERCHANT *
040800*    BREAK/TOTALING LOGIC. THIS CODE WILL FORCE MERCHANT      *
040900*    TOTALS TO BE PRINTED.                                    *
041000***************************************************************
041100*
041200     MOVE 5                      TO WS-D720-LINE-CHECK.
041300*
041400     PERFORM 9100-CHECK-NBR-LINES
041500        THRU 9100-CNL-EXIT.
041600*
041700     PERFORM 9020-PRINT-ORG-TOTALS
041800        THRU 9020-POT-EXIT.
041900*
042000 T099-TR-EXIT.
042100     EXIT.
042200/
042300 9000-PERFORMED-ROUTINES-SECT SECTION.
042400 9010-PRINT-MER-TOTALS.
042500*
042600     MOVE 4                      TO WS-D720-LINE-CHECK.
042700*
042800     PERFORM 9100-CHECK-NBR-LINES
042900        THRU 9100-CNL-EXIT.
043000*
043100     PERFORM MB22PD-PRINT-1-LINE
043200        THRU MB22PD-P1L-EXIT.
043300*
043400     MOVE '****   MERCHANT TOTALS   ****    FOR MERCHANT  '
043500                                 TO WS-TL1-LIT-1.
043600     MOVE MTRF-MERCHANT          TO WS-TL1-FOR-NBR.
043700     MOVE MTRF-NAME              TO WS-TL1-FOR-DESC.
043800     PERFORM MB22PD-PRINT-1-LINE
043900        THRU MB22PD-P1L-EXIT.
044000*
044100     PERFORM
044200         VARYING X-MTRF-O23-SETT-ACCT FROM 1 BY 1
044300         UNTIL   X-MTRF-O23-SETT-ACCT IS GREATER THAN 4
044400         SET X-MB23WS-SAMT       TO X-MTRF-O23-SETT-ACCT
044500         EVALUATE TRUE
044600             WHEN MTRF-O23-SETT-ACCT-SKIP (X-MTRF-O23-SETT-ACCT)
044700                 CONTINUE
044800             WHEN OTHER
044900                 PERFORM 9030-SETTLED-TOTALS
045000                    THRU 9039-ST-EXIT
045100         END-EVALUATE
045200     END-PERFORM.
045300*
045400     PERFORM
045500         VARYING X-MTRF-O23-SETT-ACCT FROM 1 BY 1
045600         UNTIL   X-MTRF-O23-SETT-ACCT IS GREATER THAN 4
045700         SET X-MB23WS-SBT        TO X-MTRF-O23-SETT-ACCT
045800         EVALUATE TRUE
045900             WHEN MTRF-O23-BUF-NOT-ACTIVE (X-MTRF-O23-SETT-ACCT)
046000                 CONTINUE
046100             WHEN OTHER
046200                 PERFORM 9040-INVOICED-TOTALS
046300                    THRU 9049-IT-EXIT
046400         END-EVALUATE
046500     END-PERFORM.
046600*
046700     IF  MB23WS-WINDOW-AMT IS NOT EQUAL TO ZERO
046800         PERFORM 9050-WINDOW-TOTALS
046900            THRU 9059-WT-EXIT.
047000*
047100     MOVE ALL '-'                TO WS-DL2-AMOUNT.
047200     PERFORM MB22PD-PRINT-1-LINE
047300        THRU MB22PD-P1L-EXIT.
047400*
047500     MOVE 'TOTAL SETT'           TO WS-DL2-ACTION-DESC.
047600     MOVE WS-D720-MERCH-SETT     TO SS95WS-IN-AMT.
047700     PERFORM SS95PD-NAP-ROUTINE
047800        THRU SS95PD-NAP-EXIT.
047900     MOVE SS95WS-OUT-AMT-L23     TO WS-DL2-AMOUNT.
048000*
048100     PERFORM MB22PD-PRINT-1-LINE
048200        THRU MB22PD-P1L-EXIT.
048300*
048400 9010-PMT-EXIT.
048500     EXIT.
048600/
048700 9020-PRINT-ORG-TOTALS.
048800*
048900     PERFORM MB22PD-PRINT-1-LINE
049000        THRU MB22PD-P1L-EXIT.
049100*
049200     MOVE SPACES                 TO MB20WS-SH-LINE-5
049300                                    MB20WS-SH-LINE-6
049400                                    MB20WS-SH-LINE-7
049500                                    MB20WS-SH-LINE-8.
049600*
049700     MOVE '**** ORGANIZATION TOTALS **** FOR ORGANIZATION '
049800                                 TO WS-TL2-LIT-1.
049900     MOVE MTRF-K1-ORG            TO WS-TL2-FOR-NBR.
050000     MOVE MTRF-HD-ORG-NAME       TO WS-TL2-FOR-DESC.
050100     PERFORM MB22PD-PRINT-1-LINE
050200        THRU MB22PD-P1L-EXIT.
050300*
050400     MOVE SPACES                 TO WS-SETT-LINE-1.
050500     MOVE 'AMOUNT'               TO WS-SL1-LIT-1.
050600     PERFORM MB22PD-PRINT-1-LINE
050700        THRU MB22PD-P1L-EXIT.
050800*
050900     MOVE SPACES                 TO WS-SETT-LINE-2.
051000     MOVE 'TOTAL SETTLEMENT        '
051100                                 TO WS-SL2-LIT-1.
051200     MOVE WS-D720-ORG-SETT       TO SS95WS-IN-AMT.
051300     PERFORM SS95PD-NAP-ROUTINE
051400        THRU SS95PD-NAP-EXIT.
051500     MOVE SS95WS-OUT-AMT-L23     TO WS-SL2-AMT.
051600     PERFORM MB22PD-PRINT-1-LINE
051700        THRU MB22PD-P1L-EXIT.
051800*
051900 9020-POT-EXIT.
052000     EXIT.
052100*
052200 9030-SETTLED-TOTALS.
052300*
052400     MOVE 'SETTLED'              TO WS-DL2-SETT-LIT.
052500     SET WS-DL2-SETT-ACCT        TO X-MTRF-O23-SETT-ACCT.
052600     MOVE '-'                    TO WS-DL2-DASH.
052700*
052800     EVALUATE TRUE
052900         WHEN (MTRF-O23-SETT-ACCT-ACH    (X-MTRF-O23-SETT-ACCT)
053000           OR  MTRF-O23-SETT-ACCT-WIRE   (X-MTRF-O23-SETT-ACCT)
053100           OR  MTRF-O23-SETT-ACCT-MANUAL (X-MTRF-O23-SETT-ACCT))
053200             IF  MTRF-O23-CR-ACCT-SAV (X-MTRF-O23-SETT-ACCT)
053300                 MOVE 'SAV'      TO WS-DL2-ACCT-TYPE
053400             ELSE
053500                 MOVE 'DDA'      TO WS-DL2-ACCT-TYPE
053600             END-IF
053700             IF  MTRF-O23-SA-CR-RT (X-MTRF-O23-SETT-ACCT)
053800                                 IS NOT EQUAL TO ZERO
053900                 MOVE 'R/T='     TO WS-DL2-R-T-LIT
054000                 MOVE MTRF-O23-SA-CR-RT (X-MTRF-O23-SETT-ACCT)
054100                                 TO WS-DL2-R-T
054200                 INSPECT WS-DL2-R-T REPLACING ALL ',' BY '-'
054300             END-IF
054400             IF  MTRF-O23-SA-CR-ACCT (X-MTRF-O23-SETT-ACCT)
054500                                 IS NOT EQUAL TO SPACES
054600                 MOVE 'ACCT='    TO WS-DL2-ACCT-LIT
054700                 MOVE MTRF-O23-SA-CR-ACCT (X-MTRF-O23-SETT-ACCT)
054800                                 TO WS-DL2-ACCT
054900             END-IF
055000             MOVE MB23WS-SAMT-CR-AMT (X-MB23WS-SAMT)
055100                                 TO SS95WS-IN-AMT
055200             EVALUATE TRUE
055300                 WHEN MTRF-O23-SETT-ACCT-ACH
055400                      (X-MTRF-O23-SETT-ACCT)
055500                     MOVE 'A C H--X'
055600                                 TO WS-DL2-METHOD-DESC
055700                     MOVE MTRF-O23-SETT-ACCT-METHOD
055800                          (X-MTRF-O23-SETT-ACCT) (2:1)
055900                                 TO WS-DL2-METHOD-DESC (8:1)
056000                     MOVE 'CREDIT'
056100                                 TO WS-DL2-CR-DR-DESC
056200                     IF  MTRF-O23-SETT-NET-SETTLEMENT
056300                          (X-MTRF-O23-SETT-ACCT)
056400                         MOVE 'NET CR'
056500                                 TO WS-DL2-CR-DR-DESC
056600                         MOVE MB23WS-SAMT-NET-CR-AMT
056700                              (X-MB23WS-SAMT)
056800                                 TO SS95WS-IN-AMT
056900                     END-IF
057000                 WHEN MTRF-O23-SETT-ACCT-MANUAL
057100                      (X-MTRF-O23-SETT-ACCT)
057200                     MOVE 'MANUAL-X'
057300                                 TO WS-DL2-METHOD-DESC
057400                     MOVE MTRF-O23-SETT-ACCT-METHOD
057500                          (X-MTRF-O23-SETT-ACCT) (2:1)
057600                                 TO WS-DL2-METHOD-DESC (8:1)
057700                     MOVE 'CREDIT'
057800                                 TO WS-DL2-CR-DR-DESC
057900                     IF  MTRF-O23-SETT-NET-SETTLEMENT
058000                          (X-MTRF-O23-SETT-ACCT)
058100                         MOVE 'NET CR'
058200                                 TO WS-DL2-CR-DR-DESC
058300                         MOVE MB23WS-SAMT-NET-CR-AMT
058400                         (X-MB23WS-SAMT)
058500                                 TO SS95WS-IN-AMT
058600                     END-IF
058700                 WHEN MTRF-O23-SETT-ACCT-WIRE
058800                      (X-MTRF-O23-SETT-ACCT)
058900                     MOVE 'WIRE TRANSFER'
059000                                 TO WS-DL2-ACTION-DESC
059100                     MOVE MB23WS-SAMT-NET-CR-AMT
059200                          (X-MB23WS-SAMT)
059300                                 TO SS95WS-IN-AMT
059400             END-EVALUATE
059500         WHEN OTHER
059600             MOVE 'CHECK SETTLEMENT'
059700                                 TO WS-DL2-ACCT-DATA-SETT
059800             MOVE 'CHECK ISSUED' TO WS-DL2-ACTION-DESC
059900             MOVE MB23WS-SAMT-NET-CR-AMT (X-MB23WS-SAMT)
060000                                 TO SS95WS-IN-AMT
060100     END-EVALUATE.
060200*
060300     ADD  SS95WS-IN-AMT          TO WS-D720-MERCH-SETT.
060400     ADD  SS95WS-IN-AMT          TO WS-D720-ORG-SETT.
060500     PERFORM SS95PD-NAP-ROUTINE
060600        THRU SS95PD-NAP-EXIT.
060700     MOVE SS95WS-OUT-AMT-L23     TO WS-DL2-AMOUNT.
060800     PERFORM MB22PD-PRINT-1-LINE
060900        THRU MB22PD-P1L-EXIT.
061000*
061100     EVALUATE TRUE
061200         WHEN (MTRF-O23-SETT-ACCT-METHOD (X-MTRF-O23-SETT-ACCT)
061300                                 IS EQUAL TO 'A1'
061400           OR  MTRF-O23-SETT-ACCT-METHOD (X-MTRF-O23-SETT-ACCT)
061500                                 IS EQUAL TO 'A4'
061600           OR  MTRF-O23-SETT-ACCT-METHOD (X-MTRF-O23-SETT-ACCT)
061700                                 IS EQUAL TO 'M1'
061800           OR  MTRF-O23-SETT-ACCT-METHOD (X-MTRF-O23-SETT-ACCT)
061900                                 IS EQUAL TO 'M4')
062000             IF  MTRF-O23-DR-ACCT-SAV (X-MTRF-O23-SETT-ACCT)
062100                 MOVE 'SAV'      TO WS-DL2-ACCT-TYPE
062200             ELSE
062300                 MOVE 'DDA'      TO WS-DL2-ACCT-TYPE
062400             END-IF
062500             IF  MTRF-O23-SA-DR-RT (X-MTRF-O23-SETT-ACCT)
062600                                 IS NOT EQUAL TO ZERO
062700                 MOVE 'R/T='     TO WS-DL2-R-T-LIT
062800                 MOVE MTRF-O23-SA-DR-RT (X-MTRF-O23-SETT-ACCT)
062900                                 TO WS-DL2-R-T
063000                 INSPECT WS-DL2-R-T REPLACING ALL ',' BY '-'
063100             END-IF
063200             IF  MTRF-O23-SA-DR-ACCT (X-MTRF-O23-SETT-ACCT)
063300                                 IS NOT EQUAL TO SPACES
063400                 MOVE 'ACCT='    TO WS-DL2-ACCT-LIT
063500                 MOVE MTRF-O23-SA-DR-ACCT (X-MTRF-O23-SETT-ACCT)
063600                                 TO WS-DL2-ACCT
063700             END-IF
063800             MOVE MB23WS-SAMT-DR-AMT (X-MB23WS-SAMT)
063900                                 TO SS95WS-IN-AMT
064000             MOVE MB23WS-SAMT-DR-AMT (X-MB23WS-SAMT)
064100                                 TO WS-D720-WORK-SETT
064200             MOVE 'DEBIT'        TO WS-DL2-CR-DR-DESC
064300             IF  MTRF-O23-SETT-NET-SETTLEMENT
064400                 (X-MTRF-O23-SETT-ACCT)
064500                 MOVE 'NET DR'   TO WS-DL2-CR-DR-DESC
064600                 MOVE MB23WS-SAMT-NET-DR-AMT (X-MB23WS-SAMT)
064700                                 TO SS95WS-IN-AMT
064800                 MOVE MB23WS-SAMT-NET-DR-AMT (X-MB23WS-SAMT)
064900                                 TO WS-D720-WORK-SETT
065000             END-IF
065100         WHEN (MTRF-O23-SETT-ACCT-METHOD (X-MTRF-O23-SETT-ACCT)
065200                                 IS EQUAL TO 'A3'
065300           OR  MTRF-O23-SETT-ACCT-METHOD (X-MTRF-O23-SETT-ACCT)
065400                                 IS EQUAL TO 'M3')
065500             MOVE 'TRANSFER/INVOICE'
065600                                 TO WS-DL2-ACTION-DESC
065700             MOVE MB23WS-SAMT-XFER-INV (X-MB23WS-SAMT)
065800                                 TO SS95WS-IN-AMT
065900             MOVE ZERO           TO WS-D720-WORK-SETT
066000         WHEN OTHER
066100             MOVE 'HOLDOVER DEBIT'
066200                                 TO WS-DL2-ACTION-DESC
066300             MOVE MB23WS-SAMT-HOLDOVER (X-MB23WS-SAMT)
066400                                 TO SS95WS-IN-AMT
066500             MOVE ZERO           TO WS-D720-WORK-SETT
066600     END-EVALUATE.
066700*
066800     ADD  WS-D720-WORK-SETT      TO WS-D720-MERCH-SETT.
066900     ADD  WS-D720-WORK-SETT      TO WS-D720-ORG-SETT.
067000     PERFORM SS95PD-NAP-ROUTINE
067100        THRU SS95PD-NAP-EXIT.
067200     MOVE SS95WS-OUT-AMT-L23     TO WS-DL2-AMOUNT.
067300     PERFORM MB22PD-PRINT-1-LINE
067400        THRU MB22PD-P1L-EXIT.
067500*
067600 9039-ST-EXIT.
067700     EXIT.
067800*
067900 9040-INVOICED-TOTALS.
068000*
068100     MOVE 'INVOICE'              TO WS-DL2-SETT-LIT.
068200     SET WS-DL2-SETT-ACCT        TO X-MTRF-O23-SETT-ACCT.
068300     MOVE '-'                    TO WS-DL2-DASH.
068400*
068500     MOVE 'CMS'                  TO WS-DL2-ACCT-TYPE.
068600     MOVE 'ORG='                 TO WS-DL2-ORG-LIT.
068700     MOVE MTRF-O23-BILLING-ORG (X-MTRF-O23-SETT-ACCT)
068800                                 TO WS-DL2-ORG.
068900     MOVE 'ACCOUNT='             TO WS-DL2-BS-ACCT-LIT.
069000     MOVE MTRF-O23-BILLING-ACCT (X-MTRF-O23-SETT-ACCT)
069100                                 TO WS-DL2-BS-ACCT.
069200     MOVE 'NET INVOICED'         TO WS-DL2-ACTION-DESC.
069300     MOVE MB23WS-SBT-AMT (X-MB23WS-SBT)
069400                                 TO SS95WS-IN-AMT.
069500*
069600     ADD  SS95WS-IN-AMT          TO WS-D720-MERCH-SETT.
069700     ADD  SS95WS-IN-AMT          TO WS-D720-ORG-SETT.
069800     PERFORM SS95PD-NAP-ROUTINE
069900        THRU SS95PD-NAP-EXIT.
070000     MOVE SS95WS-OUT-AMT-L23     TO WS-DL2-AMOUNT.
070100*
070200     IF  MTRF-O23-BUF-HOLDOVER-TO-XFER (X-MTRF-O23-SETT-ACCT)
070300         MOVE '(INCLUDES TRANSFERS TO INVOICE)'
070400                                 TO WS-DL2-MSG.
070500*
070600     PERFORM MB22PD-PRINT-1-LINE
070700        THRU MB22PD-P1L-EXIT.
070800*
070900 9049-IT-EXIT.
071000     EXIT.
071100*
071200 9050-WINDOW-TOTALS.
071300*
071400     MOVE 'WINDOW ----'          TO MB20WS-PRINT-LINE.
071500*
071600     MOVE 'WIND'                 TO WS-DL2-ACCT-TYPE.
071700     MOVE 'OW SETTLEMENT'        TO WS-DL2-ACCT-DATA-SETT.
071800     MOVE 'NET WINDOW'           TO WS-DL2-ACTION-DESC.
071900     MOVE MB23WS-WINDOW-AMT      TO SS95WS-IN-AMT.
072000*
072100     ADD  MB23WS-WINDOW-AMT      TO WS-D720-MERCH-SETT.
072200     ADD  MB23WS-WINDOW-AMT      TO WS-D720-ORG-SETT.
072300     PERFORM SS95PD-NAP-ROUTINE
072400        THRU SS95PD-NAP-EXIT.
072500     MOVE SS95WS-OUT-AMT-L23     TO WS-DL2-AMOUNT.
072600*
072700     PERFORM MB22PD-PRINT-1-LINE
072800        THRU MB22PD-P1L-EXIT.
072900*
073000 9059-WT-EXIT.
073100     EXIT.
073200*
073300 9100-CHECK-NBR-LINES.
073400*
073500     COMPUTE MB20WS-LINES-REMAINING
073600                                 = MB20WS-LINE-LIMIT
073700                                 - MB20WS-LINE-COUNT.
073800*
073900     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
074000         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
074100*
074200 9100-CNL-EXIT.
074300     EXIT.
074400/
074500     COPY MB22PD.
074600/
074700     COPY SS95PD.
074800/
074900     COPY SS02PD.
075000/
075100     COPY SS07PD.
075200/
075300     COPY SS08PD.
075400/
075500     COPY SS16PD.
075600/
075700     COPY SS26PD.
075800/
075900     COPY SS27PD.
076000*
076100 9995-END-SOURCE-STATEMENTS SECTION.
076200 9999-END-OF-PROGRAM.
076300     EXIT.
