000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72032.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72032 - OPTIONAL REPORT 32 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72032-WORK-AREAS.
002100     03  WS-D72032-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400     03  WS-D720-RESULT      PIC S9(14)V999  VALUE ZERO.
002500     03  WS-D720-DENOM       PIC S9(14)V999  VALUE ZERO.
002600     03  WS-D720-NUMER       PIC S9(14)V999  VALUE ZERO.
002700     03  WS-D720-DUP         PIC  9(01)      VALUE ZERO.
002800     03  WS-D720-POS         PIC  9(02)      VALUE ZERO.
002900     03  WS-D720-MAX         PIC  9(02)      VALUE ZERO.
003000     03  WS-D720-NBR-MERCH-SALES-C-H
003100                             PIC S9(09)      VALUE ZERO.
003200     03  WS-D720-NBR-MERCH-AUTHS-C-H
003300                             PIC S9(09)      VALUE ZERO.
003400     03  WS-D720-NBR-MERCH-SALES-BIN
003500                             PIC S9(09)      VALUE ZERO.
003600     03  WS-D720-NBR-MERCH-AUTHS-BIN
003700                             PIC S9(09)      VALUE ZERO.
003800     03  WS-D720-NBR-STORE-SALES-C-H
003900                             PIC S9(09)      VALUE ZERO.
004000     03  WS-D720-NBR-STORE-AUTHS-C-H
004100                             PIC S9(09)      VALUE ZERO.
004200     03  WS-D720-NBR-STORE-SALES-BIN
004300                             PIC S9(09)      VALUE ZERO.
004400     03  WS-D720-NBR-STORE-AUTHS-BIN
004500                             PIC S9(09)      VALUE ZERO.
004600     03  WS-D720-DUP-MERCH-SALES-C-H
004700                             PIC S9(09)      VALUE ZERO.
004800     03  WS-D720-DUP-MERCH-AUTHS-C-H
004900                             PIC S9(09)      VALUE ZERO.
005000     03  WS-D720-DUP-MERCH-SALES-BIN
005100                             PIC S9(09)      VALUE ZERO.
005200     03  WS-D720-DUP-MERCH-AUTHS-BIN
005300                             PIC S9(09)      VALUE ZERO.
005400     03  WS-D720-DUP-STORE-SALES-C-H
005500                             PIC S9(09)      VALUE ZERO.
005600     03  WS-D720-DUP-STORE-AUTHS-C-H
005700                             PIC S9(09)      VALUE ZERO.
005800     03  WS-D720-DUP-STORE-SALES-BIN
005900                             PIC S9(09)      VALUE ZERO.
006000     03  WS-D720-DUP-STORE-AUTHS-BIN
006100                             PIC S9(09)      VALUE ZERO.
006200*
006300/
006400     COPY MB20WS.
006500 01  WS-PRINT-LINE-01        REDEFINES MB20WS-PRINT-LINE.
006600     03  WS-PL01-MERCHANT    PIC  9(09)-.
006700     03  WS-PL01-NAME.
006800         05  WS-PL01-DATE-OPENED
006900                             PIC  X(11).
007000         05  WS-PL01-DATE-LAST-STMT
007100                             PIC  X(11).
007200         05  WS-PL01-ALLOWED PIC  999.
007300         05  FILLER          PIC  X(01).
007400     03  WS-PL01-ACCT        PIC  X(20).
007500     03  WS-PL01-BATCH-DATE  PIC  X(11).
007600     03  WS-PL01-BATCH-SOURCE
007700                             PIC  99999-.
007800     03  WS-PL01-BATCH-NBR   PIC  99999-.
007900     03  WS-PL01-BATCH-SEQ   PIC  99999999-.
008000     03  FILLER              PIC  X(01).
008100     03  WS-PL01-TC          PIC  999-.
008200     03  FILLER              PIC  X(01).
008300     03  WS-PL01-AMT         PIC  X(23).
008400     03  FILLER              PIC  X(01).
008500     03  WS-PL01-LIT-1.
008600         05  WS-PL01-PERCENT-OVER
008700                             PIC  X(14).
008800 01  WS-PRINT-LINE-02        REDEFINES MB20WS-PRINT-LINE.
008900     03  WS-PL02-LIT-1       PIC  X(50).
009000     03  WS-PL02-NBR         PIC  X(12).
009100     03  FILLER              PIC  X(70).
009200 01  WS-PRINT-LINE-03        REDEFINES MB20WS-PRINT-LINE.
009300     03  WS-PL03-LIT-1       PIC  X(43).
009400     03  WS-PL03-ORG         PIC  9(03)-.
009500     03  WS-PL03-NAME        PIC  X(40).
009600     03  FILLER              PIC  X(45).
009700/
009800     COPY SS95WS.
009900/
010000     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
010100/
010200     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
010300/
010400     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
010500/
010600     COPY MTPTIR REPLACING ==:MTPT:== BY ==MTPT==.
010700/
010800     COPY MTPTWS REPLACING ==:MTPT:== BY ==MTPT==.
010900/
011000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
011100/
011200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
011300/
011400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
011500/
011600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
011700/
011800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
011900/
012000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
012100/
012200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
012300/
012400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
012500/
012600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
012700/
012800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
012900/
013000     COPY MB00WS.
013100/
013200     COPY SS00WS.
013300/
013400     COPY SS01WS.
013500/
013600     COPY SS02WS.
013700/
013800     COPY SS31WS.
013900*
014000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014100/
014200 LINKAGE SECTION.
014300     COPY MB22WS.
014400/
014500     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
014600/
014700 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
014800                                       MTRF-RECORD.
014900*
015000 A000-MAIN-LINE-SECT SECTION.
015100 A010-ML-BEGIN.
015200*
015300     IF  MTRF-K1-RT-DETAIL
015400         PERFORM D000-DETAIL-RECORD
015500            THRU D099-DR-EXIT
015600     END-IF.
015700*
015800     IF  MTRF-K1-RT-HEADER
015900         PERFORM H000-HEADER-RECORD
016000            THRU H099-HR-EXIT
016100     END-IF.
016200*
016300     IF  MTRF-K1-RT-TRAILER
016400         PERFORM T000-TRAILER-RECORD
016500            THRU T099-TR-EXIT
016600     END-IF.
016700*
016800     GO TO 9999-END-OF-PROGRAM.
016900*
017000 A099-ML-EXIT.
017100     EXIT.
017200/
017300 D000-DETAIL-RECORD SECTION.
017400 D010-DR-BEGIN.
017500*
017600     IF  MTRF-K2-O32-HEADER
017700         MOVE MTRF-RECORD        TO MWRF-RECORD
017800     END-IF.
017900*
018000     IF  MWRF-O32-DUP-ACTUAL < MWRF-O32-DUP-ALLOWED
018100         GO TO D099-DR-EXIT
018200     END-IF.
018300*
018400     MOVE 'Y'                    TO WS-D72032-ACTIVITY-SW.
018500*
018600     IF  MTRF-K2-O32-HEADER
018700         EVALUATE TRUE
018800             WHEN MTRF-K1-DETAIL
018900                 PERFORM MB22PD-PRINT-1-LINE
019000                    THRU MB22PD-P1L-EXIT
019100             WHEN OTHER
019200                 MOVE SPACES     TO MB20WS-PRINT-LINE
019300         END-EVALUATE
019400         EVALUATE TRUE
019500             WHEN MTRF-K2-O32-KT-STORE
019600                 MOVE MTRF-K2-O32-STORE
019700                                 TO WS-PL01-MERCHANT
019800                 EVALUATE TRUE
019900                     WHEN MTRF-K2-O32-H-SALES-DAY-C-H
020000                         ADD  1  TO WS-D720-NBR-STORE-SALES-C-H
020100                     WHEN MTRF-K2-O32-H-SALES-DAY-BIN
020200                         ADD  1  TO WS-D720-NBR-STORE-SALES-BIN
020300                     WHEN MTRF-K2-O32-H-AUTHS-DAY-C-H
020400                         ADD  1  TO WS-D720-NBR-STORE-AUTHS-C-H
020500                     WHEN MTRF-K2-O32-H-AUTHS-DAY-BIN
020600                         ADD  1  TO WS-D720-NBR-STORE-AUTHS-BIN
020700                 END-EVALUATE
020800             WHEN OTHER
020900                 MOVE MTRF-K2-O32-MERCHANT
021000                                 TO WS-PL01-MERCHANT
021100                 EVALUATE TRUE
021200                     WHEN MTRF-K2-O32-H-SALES-DAY-C-H
021300                         ADD  1  TO WS-D720-NBR-MERCH-SALES-C-H
021400                     WHEN MTRF-K2-O32-H-SALES-DAY-BIN
021500                         ADD  1  TO WS-D720-NBR-MERCH-SALES-BIN
021600                     WHEN MTRF-K2-O32-H-AUTHS-DAY-C-H
021700                         ADD  1  TO WS-D720-NBR-MERCH-AUTHS-C-H
021800                     WHEN MTRF-K2-O32-H-AUTHS-DAY-BIN
021900                         ADD  1  TO WS-D720-NBR-MERCH-AUTHS-BIN
022000                 END-EVALUATE
022100         END-EVALUATE
022200         MOVE 2                  TO WS-D720-LINE-CHECK
022300         PERFORM 9100-CHECK-NBR-LINES
022400            THRU 9199-CNL-EXIT
022500         MOVE MTRF-O32-DBA-NAME  TO WS-PL01-NAME
022600         MOVE 'STATUS='          TO WS-PL01-ACCT
022700         MOVE MTRF-REC-STATUS    TO WS-PL01-ACCT (8:1)
022800         MOVE 'C-REASON='        TO WS-PL01-ACCT (10:9)
022900         MOVE MTRF-CLOSE-REASON  TO WS-PL01-ACCT (19:2)
023000*
023100         MOVE MTRF-O32-DUP-ACTUAL
023200                                 TO WS-D720-NUMER
023300         MOVE MTRF-O32-DUP-ALLOWED
023400                                 TO WS-D720-DENOM
023500         EVALUATE TRUE
023600             WHEN WS-D720-DENOM = ZERO
023700                 MOVE ZERO       TO WS-D720-RESULT
023800             WHEN OTHER
023900                 COMPUTE WS-D720-RESULT ROUNDED
024000                                 =  WS-D720-NUMER
024100                                 /  WS-D720-DENOM
024200                 SUBTRACT 1.000  FROM WS-D720-RESULT
024300         END-EVALUATE
024400         EVALUATE TRUE
024500             WHEN WS-D720-RESULT > 999999999.999
024600                 MOVE ' > 1000000000%'
024700                                 TO WS-PL01-LIT-1
024800             WHEN OTHER
024900                 MOVE WS-D720-RESULT
025000                                 TO SS95WS-IN-PCT-V93
025100                 MOVE 3          TO SS95WS-IN-PCT-DECIMALS
025200                 PERFORM SS95PD-NAP-ROUTINE
025300                    THRU SS95PD-NAP-EXIT
025400                 MOVE SS95WS-OUT-PCT-L14
025500                                 TO WS-PL01-PERCENT-OVER
025600         END-EVALUATE
025700         EVALUATE TRUE
025800             WHEN MTRF-K1-DETAIL
025900                 PERFORM MB22PD-PRINT-1-LINE
026000                    THRU MB22PD-P1L-EXIT
026100             WHEN OTHER
026200                 MOVE SPACES     TO MB20WS-PRINT-LINE
026300         END-EVALUATE
026400         EVALUATE TRUE
026500             WHEN MTRF-K2-O32-KT-STORE
026600                 MOVE MTRF-MERCHANT
026700                                 TO WS-PL01-MERCHANT
026800         END-EVALUATE
026900         MOVE MWRF-O32-DATE-OPENED
027000                                 TO SS01WS-JULIAN
027100         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
027200            THRU SS26PD-NED-EXIT
027300         MOVE SS01WS-XX-XX-YYYY  TO WS-PL01-DATE-OPENED
027400         MOVE MWRF-O32-DATE-LAST-STMT
027500                                 TO SS01WS-JULIAN
027600         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
027700            THRU SS26PD-NED-EXIT
027800         MOVE SS01WS-XX-XX-YYYY  TO WS-PL01-DATE-LAST-STMT
027900         MOVE MTRF-O32-DUP-ALLOWED
028000                                 TO WS-PL01-ALLOWED
028100         GO TO D099-DR-EXIT
028200     END-IF.
028300*
028400     MOVE 1                      TO WS-D720-LINE-CHECK.
028500     PERFORM 9100-CHECK-NBR-LINES
028600        THRU 9199-CNL-EXIT.
028700*
028800     IF  MB20WS-LINE-COUNT = MB20WS-FORCE-PAGE
028900         MOVE '          (CONTINUED)'
029000                                 TO MB20WS-PRINT-LINE
029100         EVALUATE TRUE
029200             WHEN MTRF-K2-O32-KT-STORE
029300                 MOVE MTRF-K2-O32-STORE
029400                                 TO WS-PL01-MERCHANT
029500                 EVALUATE TRUE
029600                     WHEN MTRF-K1-DETAIL
029700                         PERFORM MB22PD-PRINT-1-LINE
029800                            THRU MB22PD-P1L-EXIT
029900                     WHEN OTHER
030000                         MOVE SPACES
030100                                 TO MB20WS-PRINT-LINE
030200                 END-EVALUATE
030300                 MOVE MTRF-K2-O32-MERCHANT
030400                                 TO WS-PL01-MERCHANT
030500             WHEN OTHER
030600                 MOVE MTRF-K2-O32-MERCHANT
030700                                 TO WS-PL01-MERCHANT
030800         END-EVALUATE
030900     END-IF.
031000*
031100     MOVE MTRF-MT-TRANSACTION    TO MTPT-RECORD.
031200*
031300     IF  MTPT-VDI-DEPOSIT-DATA
031400         NEXT SENTENCE
031500     ELSE
031600         MOVE MTPTIR-VD-DEPOSIT-DATA
031700                                 TO MTPT-VD-DEPOSIT-DATA
031800     END-IF.
031900*
032000     MOVE MTPT-AR-ACCT           TO WS-PL01-ACCT.
032100     MOVE MTPT-BATCH-DATE        TO SS01WS-JULIAN.
032200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
032300        THRU SS26PD-NED-EXIT
032400     MOVE SS01WS-XX-XX-YYYY      TO WS-PL01-BATCH-DATE.
032500     MOVE MTPT-BATCH-SOURCE      TO WS-PL01-BATCH-SOURCE.
032600     MOVE MTPT-BATCH-NBR         TO WS-PL01-BATCH-NBR.
032700     MOVE MTPT-BATCH-SEQ         TO WS-PL01-BATCH-SEQ.
032800     MOVE MTPT-TRANS-CODE        TO WS-PL01-TC.
032900     MOVE MTPT-AMOUNT            TO SS95WS-IN-AMT.
033000     PERFORM SS95PD-NAP-ROUTINE
033100        THRU SS95PD-NAP-EXIT.
033200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
033300*
033400     MOVE 1                      TO WS-D720-POS.
033500*
033600     EVALUATE TRUE
033700         WHEN MTRF-K2-O32-KT-STORE
033800             PERFORM Z700-STORE-DUP-IND
033900                THRU Z799-SDI-EXIT
034000             PERFORM Z800-MERCH-DUP-IND
034100                THRU Z899-MDI-EXIT
034200         WHEN OTHER
034300             PERFORM Z800-MERCH-DUP-IND
034400                THRU Z899-MDI-EXIT
034500             PERFORM Z700-STORE-DUP-IND
034600                THRU Z799-SDI-EXIT
034700     END-EVALUATE.
034800*
034900     EVALUATE TRUE
035000         WHEN MTRF-K2-O32-KT-STORE
035100             MOVE MTRF-K2-O32-STORE
035200                                 TO WS-PL01-MERCHANT
035300             EVALUATE TRUE
035400                 WHEN MTRF-K2-O32-D-SALES-DAY-C-H
035500                     ADD  1      TO WS-D720-DUP-STORE-SALES-C-H
035600                 WHEN MTRF-K2-O32-D-SALES-DAY-BIN
035700                     ADD  1      TO WS-D720-DUP-STORE-SALES-BIN
035800                 WHEN MTRF-K2-O32-D-AUTHS-DAY-C-H
035900                     ADD  1      TO WS-D720-DUP-STORE-AUTHS-C-H
036000                 WHEN MTRF-K2-O32-D-AUTHS-DAY-BIN
036100                     ADD  1      TO WS-D720-DUP-STORE-AUTHS-BIN
036200             END-EVALUATE
036300         WHEN OTHER
036400             MOVE MTRF-K2-O32-MERCHANT
036500                                 TO WS-PL01-MERCHANT
036600             EVALUATE TRUE
036700                 WHEN MTRF-K2-O32-D-SALES-DAY-C-H
036800                     ADD  1      TO WS-D720-DUP-MERCH-SALES-C-H
036900                 WHEN MTRF-K2-O32-D-SALES-DAY-BIN
037000                     ADD  1      TO WS-D720-DUP-MERCH-SALES-BIN
037100                 WHEN MTRF-K2-O32-D-AUTHS-DAY-C-H
037200                     ADD  1      TO WS-D720-DUP-MERCH-AUTHS-C-H
037300                 WHEN MTRF-K2-O32-D-AUTHS-DAY-BIN
037400                     ADD  1      TO WS-D720-DUP-MERCH-AUTHS-BIN
037500             END-EVALUATE
037600     END-EVALUATE.
037700*
037800     EVALUATE TRUE
037900         WHEN MTRF-K1-DETAIL
038000             PERFORM MB22PD-PRINT-1-LINE
038100                THRU MB22PD-P1L-EXIT
038200         WHEN OTHER
038300             MOVE SPACES         TO MB20WS-PRINT-LINE
038400     END-EVALUATE.
038500*
038600 D099-DR-EXIT.
038700     EXIT.
038800/
038900 H000-HEADER-RECORD SECTION.
039000 H010-HR-BEGIN.
039100*
039200     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
039300     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
039400     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
039500     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
039600     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
039700     MOVE 'O32'                  TO MB20WS-SH-INTERNAL-RPT-ID.
039800     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
039900     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
040000     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
040100     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
040200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
040300        THRU SS26PD-NED-EXIT.
040400     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
040500     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
040600     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
040700*
040800     MOVE ' *STORE*  *--------DBA NAME-------* *----CAR'
040900                                 TO MB20WS-SH-L5R-1.
041000     MOVE 'DHOLDER---* *----------B A T C H----------* '
041100                                 TO MB20WS-SH-L5R-2.
041200     MOVE '                 TRANSACTION  %OVER ALLOWED '
041300                                 TO MB20WS-SH-L5R-3.
041400*
041500     MOVE ' MERCHANT DATE OPEN  LAST STMT ALLOW*-ACCOUN'
041600                                 TO MB20WS-SH-L6R-1.
041700     MOVE 'T  NUMBER-*    DATE   SOURCE  NBR  SEQUENCE '
041800                                 TO MB20WS-SH-L6R-2.
041900     MOVE ' T/C                  AMOUNT  REASON CODES  '
042000                                 TO MB20WS-SH-L6R-3.
042100*
042200     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
042300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
042400     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
042500     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
042600     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
042700     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
042800     SET SS95WS-FUNCTION-INITIALIZE
042900                                 TO TRUE.
043000     PERFORM SS95PD-NAP-ROUTINE
043100        THRU SS95PD-NAP-EXIT.
043200*
043300     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
043400     MOVE 'N'                    TO WS-D72032-ACTIVITY-SW.
043500     MOVE MTRF-RECORD            TO MTR9-RECORD.
043600*
043700     SET MWRF-K2-O32-KT-MERCHANT TO TRUE.
043800     MOVE ZERO                   TO MWRF-K2-O32-MERCHANT.
043900*
044000     MOVE ZERO                   TO WS-D720-NBR-MERCH-SALES-C-H.
044100     MOVE ZERO                   TO WS-D720-NBR-MERCH-AUTHS-C-H.
044200     MOVE ZERO                   TO WS-D720-NBR-MERCH-SALES-BIN.
044300     MOVE ZERO                   TO WS-D720-NBR-MERCH-AUTHS-BIN.
044400     MOVE ZERO                   TO WS-D720-NBR-STORE-SALES-C-H.
044500     MOVE ZERO                   TO WS-D720-NBR-STORE-AUTHS-C-H.
044600     MOVE ZERO                   TO WS-D720-NBR-STORE-SALES-BIN.
044700     MOVE ZERO                   TO WS-D720-NBR-STORE-AUTHS-BIN.
044800     MOVE ZERO                   TO WS-D720-DUP-MERCH-SALES-C-H.
044900     MOVE ZERO                   TO WS-D720-DUP-MERCH-AUTHS-C-H.
045000     MOVE ZERO                   TO WS-D720-DUP-MERCH-SALES-BIN.
045100     MOVE ZERO                   TO WS-D720-DUP-MERCH-AUTHS-BIN.
045200     MOVE ZERO                   TO WS-D720-DUP-STORE-SALES-C-H.
045300     MOVE ZERO                   TO WS-D720-DUP-STORE-AUTHS-C-H.
045400     MOVE ZERO                   TO WS-D720-DUP-STORE-SALES-BIN.
045500     MOVE ZERO                   TO WS-D720-DUP-STORE-AUTHS-BIN.
045600     MOVE LENGTH OF WS-PL01-PERCENT-OVER
045700                                 TO WS-D720-MAX.
045800*
045900 H099-HR-EXIT.
046000     EXIT.
046100/
046200 T000-TRAILER-RECORD SECTION.
046300 T010-TR-BEGIN.
046400     MOVE MTR9-RECORD            TO MTRF-RECORD.
046500*
046600     IF  WS-D72032-ACTIVITY-SW = 'N'
046700         IF  MTRF-HD-AF-PRODUCE
046800             PERFORM MB22PD-PRINT-NO-ACTIVITY
046900                                 THRU MB22PD-PNA-EXIT
047000             GO TO T099-TR-EXIT
047100         ELSE
047200             GO TO T099-TR-EXIT
047300         END-IF
047400     END-IF.
047500*
047600     MOVE 3                      TO WS-D720-LINE-CHECK.
047700*
047800     IF  WS-D720-NBR-MERCH-SALES-C-H NOT = ZERO
047900         ADD 3                   TO WS-D720-LINE-CHECK
048000     END-IF.
048100*
048200     IF  WS-D720-NBR-MERCH-AUTHS-C-H NOT = ZERO
048300         ADD 3                   TO WS-D720-LINE-CHECK
048400     END-IF.
048500*
048600     IF  WS-D720-NBR-MERCH-SALES-BIN NOT = ZERO
048700         ADD 3                   TO WS-D720-LINE-CHECK
048800     END-IF.
048900*
049000     IF  WS-D720-NBR-MERCH-AUTHS-BIN NOT = ZERO
049100         ADD 3                   TO WS-D720-LINE-CHECK
049200     END-IF.
049300*
049400     IF  WS-D720-NBR-STORE-SALES-C-H NOT = ZERO
049500         ADD 3                   TO WS-D720-LINE-CHECK
049600     END-IF.
049700*
049800     IF  WS-D720-NBR-STORE-AUTHS-C-H NOT = ZERO
049900         ADD 3                   TO WS-D720-LINE-CHECK
050000     END-IF.
050100*
050200     IF  WS-D720-NBR-STORE-SALES-BIN NOT = ZERO
050300         ADD 3                   TO WS-D720-LINE-CHECK
050400     END-IF.
050500*
050600     IF  WS-D720-NBR-STORE-AUTHS-BIN NOT = ZERO
050700         ADD 3                   TO WS-D720-LINE-CHECK
050800     END-IF.
050900*
051000     PERFORM 9100-CHECK-NBR-LINES
051100        THRU 9199-CNL-EXIT.
051200     PERFORM 9300-PRINT-ORG-TOTALS
051300        THRU 9399-POT-EXIT.
051400*
051500 T099-TR-EXIT.
051600     EXIT.
051700/
051800 Z700-STORE-DUP-IND SECTION.
051900 Z701-SDI-BEGIN.
052000*
052100     MOVE MTPT-STORE-DUP-IND     TO SS31WS-BYTE.
052200     PERFORM SS31PD-EXPAND-BYTE
052300        THRU SS31PD-EB-EXIT.
052400     MOVE SS31WS-EXPANDED-BITS-X TO MTPTWS-STORE-DUP-FIELDS.
052500*
052600     IF  MTPTWS-STORE-DUP-FIELDS = ZERO
052700         GO TO Z799-SDI-EXIT
052800     END-IF.
052900*
053000     MOVE 'S'                    TO WS-PL01-PERCENT-OVER
053100                                    (WS-D720-POS:1).
053200     ADD  1                      TO WS-D720-POS.
053300*
053400     PERFORM
053500         VARYING X-SS31WS-BIT FROM 1 BY 1
053600         UNTIL   X-SS31WS-BIT > 8
053700            OR   WS-D720-POS  > WS-D720-MAX
053800         IF  SS31WS-BIT-ON(X-SS31WS-BIT)
053900             SET  WS-D720-DUP    TO X-SS31WS-BIT
054000             MOVE WS-D720-DUP    TO WS-PL01-PERCENT-OVER
054100                                    (WS-D720-POS:1)
054200             ADD  1              TO WS-D720-POS
054300         END-IF
054400     END-PERFORM.
054500*
054600     ADD  1                      TO WS-D720-POS.
054700*
054800 Z799-SDI-EXIT.
054900     EXIT.
055000/
055100 Z800-MERCH-DUP-IND SECTION.
055200 Z801-MDI-BEGIN.
055300*
055400     MOVE MTPT-MERCH-DUP-IND     TO SS31WS-BYTE.
055500     PERFORM SS31PD-EXPAND-BYTE
055600        THRU SS31PD-EB-EXIT.
055700     MOVE SS31WS-EXPANDED-BITS-X TO MTPTWS-MERCH-DUP-FIELDS.
055800*
055900     IF  MTPTWS-MERCH-DUP-FIELDS = ZERO
056000         GO TO Z899-MDI-EXIT
056100     END-IF.
056200*
056300     MOVE 'M'                    TO WS-PL01-PERCENT-OVER
056400                                    (WS-D720-POS:1).
056500     ADD  1                      TO WS-D720-POS.
056600*
056700     PERFORM
056800         VARYING X-SS31WS-BIT FROM 1 BY 1
056900         UNTIL   X-SS31WS-BIT > 8
057000            OR   WS-D720-POS  > WS-D720-MAX
057100         IF  SS31WS-BIT-ON(X-SS31WS-BIT)
057200             SET  WS-D720-DUP    TO X-SS31WS-BIT
057300             MOVE WS-D720-DUP    TO WS-PL01-PERCENT-OVER
057400                                    (WS-D720-POS:1)
057500             ADD  1              TO WS-D720-POS
057600         END-IF
057700     END-PERFORM.
057800*
057900     ADD  1                      TO WS-D720-POS.
058000*
058100 Z899-MDI-EXIT.
058200     EXIT.
058300/
058400 9000-PERFORMED-ROUTINES-SECT SECTION.
058500*
058600 9100-CHECK-NBR-LINES.
058700*
058800     COMPUTE MB20WS-LINES-REMAINING
058900                                 = MB20WS-LINE-LIMIT
059000                                 - MB20WS-LINE-COUNT.
059100*
059200     IF  MB20WS-LINES-REMAINING < WS-D720-LINE-CHECK
059300         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT
059400     END-IF.
059500*
059600 9199-CNL-EXIT.
059700     EXIT.
059800*
059900*
060000*
060100 9300-PRINT-ORG-TOTALS.
060200*
060300     PERFORM MB22PD-PRINT-1-LINE
060400        THRU MB22PD-P1L-EXIT.
060500*
060600     MOVE '***ORGANIZATION TOTALS*** FOR ORGANIZATION'
060700                                 TO WS-PL03-LIT-1.
060800     MOVE MTRF-K1-ORG            TO WS-PL03-ORG.
060900     MOVE MTRF-HD-ORG-NAME       TO WS-PL03-NAME.
061000     PERFORM MB22PD-PRINT-2-LINES
061100        THRU MB22PD-P2L-EXIT.
061200*
061300     IF  WS-D720-NBR-MERCH-SALES-C-H NOT = ZERO
061400         MOVE 'NUMBER OF MERCHANTS WITH DUP SALES/CARDHOLDERS'
061500                                 TO WS-PL02-LIT-1
061600         MOVE WS-D720-NBR-MERCH-SALES-C-H
061700                                 TO SS95WS-IN-NBR
061800         PERFORM SS95PD-NAP-ROUTINE
061900            THRU SS95PD-NAP-EXIT
062000         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
062100         PERFORM MB22PD-PRINT-1-LINE
062200            THRU MB22PD-P1L-EXIT
062300         MOVE '                          NUMBER OF DUPLICATES'
062400                                 TO WS-PL02-LIT-1
062500         MOVE WS-D720-DUP-MERCH-SALES-C-H
062600                                 TO SS95WS-IN-NBR
062700         PERFORM SS95PD-NAP-ROUTINE
062800            THRU SS95PD-NAP-EXIT
062900         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
063000         PERFORM MB22PD-PRINT-2-LINES
063100            THRU MB22PD-P2L-EXIT
063200     END-IF.
063300*
063400     IF  WS-D720-NBR-MERCH-AUTHS-C-H NOT = ZERO
063500         MOVE 'NUMBER OF MERCHANTS WITH DUP AUTHS/CARDHOLDERS'
063600                                 TO WS-PL02-LIT-1
063700         MOVE WS-D720-NBR-MERCH-AUTHS-C-H
063800                                 TO SS95WS-IN-NBR
063900         PERFORM SS95PD-NAP-ROUTINE
064000            THRU SS95PD-NAP-EXIT
064100         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
064200         PERFORM MB22PD-PRINT-1-LINE
064300            THRU MB22PD-P1L-EXIT
064400         MOVE '                          NUMBER OF DUPLICATES'
064500                                 TO WS-PL02-LIT-1
064600         MOVE WS-D720-DUP-MERCH-AUTHS-C-H
064700                                 TO SS95WS-IN-NBR
064800         PERFORM SS95PD-NAP-ROUTINE
064900            THRU SS95PD-NAP-EXIT
065000         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
065100         PERFORM MB22PD-PRINT-2-LINES
065200            THRU MB22PD-P2L-EXIT
065300     END-IF.
065400*
065500     IF  WS-D720-NBR-MERCH-SALES-BIN NOT = ZERO
065600         MOVE 'NUMBER OF MERCHANTS WITH DUP SALES/BIN NUMBER '
065700                                 TO WS-PL02-LIT-1
065800         MOVE WS-D720-NBR-MERCH-SALES-BIN
065900                                 TO SS95WS-IN-NBR
066000         PERFORM SS95PD-NAP-ROUTINE
066100            THRU SS95PD-NAP-EXIT
066200         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
066300         PERFORM MB22PD-PRINT-1-LINE
066400            THRU MB22PD-P1L-EXIT
066500         MOVE '                          NUMBER OF DUPLICATES'
066600                                 TO WS-PL02-LIT-1
066700         MOVE WS-D720-DUP-MERCH-SALES-BIN
066800                                 TO SS95WS-IN-NBR
066900         PERFORM SS95PD-NAP-ROUTINE
067000            THRU SS95PD-NAP-EXIT
067100         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
067200         PERFORM MB22PD-PRINT-2-LINES
067300            THRU MB22PD-P2L-EXIT
067400     END-IF.
067500*
067600     IF  WS-D720-NBR-MERCH-AUTHS-BIN NOT = ZERO
067700         MOVE 'NUMBER OF MERCHANTS WITH DUP AUTHS/BIN NUMBER '
067800                                 TO WS-PL02-LIT-1
067900         MOVE WS-D720-NBR-MERCH-AUTHS-BIN
068000                                 TO SS95WS-IN-NBR
068100         PERFORM SS95PD-NAP-ROUTINE
068200            THRU SS95PD-NAP-EXIT
068300         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
068400         PERFORM MB22PD-PRINT-1-LINE
068500            THRU MB22PD-P1L-EXIT
068600         MOVE '                          NUMBER OF DUPLICATES'
068700                                 TO WS-PL02-LIT-1
068800         MOVE WS-D720-DUP-MERCH-AUTHS-BIN
068900                                 TO SS95WS-IN-NBR
069000         PERFORM SS95PD-NAP-ROUTINE
069100            THRU SS95PD-NAP-EXIT
069200         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
069300         PERFORM MB22PD-PRINT-2-LINES
069400            THRU MB22PD-P2L-EXIT
069500     END-IF.
069600*
069700     IF  WS-D720-NBR-STORE-SALES-C-H NOT = ZERO
069800         MOVE 'NUMBER OF STORES WITH DUP SALES/CARDHOLDERS'
069900                                 TO WS-PL02-LIT-1
070000         MOVE WS-D720-NBR-STORE-SALES-C-H
070100                                 TO SS95WS-IN-NBR
070200         PERFORM SS95PD-NAP-ROUTINE
070300            THRU SS95PD-NAP-EXIT
070400         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
070500         PERFORM MB22PD-PRINT-1-LINE
070600            THRU MB22PD-P1L-EXIT
070700         MOVE '                       NUMBER OF DUPLICATES'
070800                                 TO WS-PL02-LIT-1
070900         MOVE WS-D720-DUP-STORE-SALES-C-H
071000                                 TO SS95WS-IN-NBR
071100         PERFORM SS95PD-NAP-ROUTINE
071200            THRU SS95PD-NAP-EXIT
071300         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
071400         PERFORM MB22PD-PRINT-2-LINES
071500            THRU MB22PD-P2L-EXIT
071600     END-IF.
071700*
071800     IF  WS-D720-NBR-STORE-AUTHS-C-H NOT = ZERO
071900         MOVE 'NUMBER OF STORES WITH DUP AUTHS/CARDHOLDERS'
072000                                 TO WS-PL02-LIT-1
072100         MOVE WS-D720-NBR-STORE-AUTHS-C-H
072200                                 TO SS95WS-IN-NBR
072300         PERFORM SS95PD-NAP-ROUTINE
072400            THRU SS95PD-NAP-EXIT
072500         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
072600         PERFORM MB22PD-PRINT-1-LINE
072700            THRU MB22PD-P1L-EXIT
072800         MOVE '                       NUMBER OF DUPLICATES'
072900                                 TO WS-PL02-LIT-1
073000         MOVE WS-D720-DUP-STORE-AUTHS-C-H
073100                                 TO SS95WS-IN-NBR
073200         PERFORM SS95PD-NAP-ROUTINE
073300            THRU SS95PD-NAP-EXIT
073400         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
073500         PERFORM MB22PD-PRINT-2-LINES
073600            THRU MB22PD-P2L-EXIT
073700     END-IF.
073800*
073900     IF  WS-D720-NBR-STORE-SALES-BIN NOT = ZERO
074000         MOVE 'NUMBER OF STORES WITH DUP SALES/BIN NUMBER '
074100                                 TO WS-PL02-LIT-1
074200         MOVE WS-D720-NBR-STORE-SALES-BIN
074300                                 TO SS95WS-IN-NBR
074400         PERFORM SS95PD-NAP-ROUTINE
074500            THRU SS95PD-NAP-EXIT
074600         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
074700         PERFORM MB22PD-PRINT-1-LINE
074800            THRU MB22PD-P1L-EXIT
074900         MOVE '                       NUMBER OF DUPLICATES'
075000                                 TO WS-PL02-LIT-1
075100         MOVE WS-D720-DUP-STORE-SALES-BIN
075200                                 TO SS95WS-IN-NBR
075300         PERFORM SS95PD-NAP-ROUTINE
075400            THRU SS95PD-NAP-EXIT
075500         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
075600         PERFORM MB22PD-PRINT-2-LINES
075700            THRU MB22PD-P2L-EXIT
075800     END-IF.
075900*
076000     IF  WS-D720-NBR-STORE-AUTHS-BIN NOT = ZERO
076100         MOVE 'NUMBER OF STORES WITH DUP AUTHS/BIN NUMBER '
076200                                 TO WS-PL02-LIT-1
076300         MOVE WS-D720-NBR-STORE-AUTHS-BIN
076400                                 TO SS95WS-IN-NBR
076500         PERFORM SS95PD-NAP-ROUTINE
076600            THRU SS95PD-NAP-EXIT
076700         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
076800         PERFORM MB22PD-PRINT-1-LINE
076900            THRU MB22PD-P1L-EXIT
077000         MOVE '                       NUMBER OF DUPLICATES'
077100                                 TO WS-PL02-LIT-1
077200         MOVE WS-D720-DUP-STORE-AUTHS-BIN
077300                                 TO SS95WS-IN-NBR
077400         PERFORM SS95PD-NAP-ROUTINE
077500            THRU SS95PD-NAP-EXIT
077600         MOVE SS95WS-OUT-NBR-L12 TO WS-PL02-NBR
077700         PERFORM MB22PD-PRINT-2-LINES
077800            THRU MB22PD-P2L-EXIT
077900     END-IF.
078000*
078100 9399-POT-EXIT.
078200     EXIT.
078300/
078400     COPY MB22PD.
078500/
078600     COPY SS95PD.
078700/
078800     COPY SS31PD.
078900/
079000     COPY SS02PD.
079100/
079200     COPY SS07PD.
079300/
079400     COPY SS08PD.
079500/
079600     COPY SS26PD.
079700/
079800     COPY SS27PD.
079900/
080000     COPY SS16PD.
080100*
080200 9995-END-SOURCE-STATEMENTS SECTION.
080300 9999-END-OF-PROGRAM.
080400     GOBACK.
