000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72036.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72036 - OPTIONAL REPORT 36 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72036-WORK-AREAS.
002100     03  WS-D72036-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400     03  WS-DO36-TOT-PURGED-MERCH
002500                             PIC  9(09)      VALUE ZERO.
002600     03  WS-DO36-TOT-PURGED-STORE
002700                             PIC  9(09)      VALUE ZERO.
002800     03  WS-DO36-MERCH-PURGED-TODAY
002900                             PIC  9(09)      VALUE ZERO.
003000     03  WS-DO36-STORE-PURGED-TODAY
003100                             PIC  9(09)      VALUE ZERO.
003200*
003300/
003400     COPY MB20WS.
003500*
003600 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
003700     03  WS-DL1-MERCH-STORE  PIC  9(09).
003800     03  FILLER              PIC  X(02).
003900     03  WS-DL1-FILE-TYPE    PIC  X(01).
004000     03  FILLER              PIC  X(02).
004100     03  WS-DL1-DBA-NAME     PIC  X(25).
004200     03  FILLER              PIC  X(02).
004300     03  WS-DL1-DATE-OPENED  PIC  X(10).
004400     03  FILLER              PIC  X(02).
004500     03  WS-DL1-DATE-LAST-STMT
004600                             PIC  X(10).
004700     03  FILLER              PIC  X(02).
004800     03  WS-DL1-NBR-STORES   PIC  X(10).
004900     03  FILLER              PIC  X(01).
005000     03  WS-DL1-AGENT        PIC  9(05).
005100     03  FILLER              PIC  X(06).
005200     03  WS-DL1-REASON       PIC  X(02).
005300     03  FILLER              PIC  X(03).
005400     03  WS-DL1-DATE-CLOSED  PIC  X(10).
005500     03  FILLER              PIC  X(03).
005600     03  WS-DL1-MESSAGE      PIC  X(25).
005700*
005800 01  WS-DETAIL-LINE-2        REDEFINES MB20WS-PRINT-LINE.
005900     03  FILLER              PIC  X(14).
006000     03  WS-DL2-DBA-CITY     PIC  X(13).
006100     03  FILLER              PIC  X(03).
006200     03  WS-DL2-DBA-STATE    PIC  X(03).
006300     03  FILLER              PIC  X(08).
006400     03  WS-DL2-DATE-LAST-ACTIVE
006500                             PIC  X(10).
006600     03  FILLER              PIC  X(02).
006700     03  WS-DL2-DATE-LAST-SETT
006800                             PIC  X(10).
006900     03  FILLER              PIC  X(02).
007000     03  WS-DL2-NBR-CHAINS   PIC  X(10).
007100     03  FILLER              PIC  X(01).
007200     03  WS-DL2-BRANCH       PIC  9(09).
007300     03  FILLER              PIC  X(02).
007400     03  WS-DL2-OPER         PIC  X(03).
007500     03  FILLER              PIC  X(02).
007600     03  WS-DL2-DATE-PURGED  PIC  X(10).
007700*
007800 01  WS-TOTAL-LINE           REDEFINES MB20WS-PRINT-LINE.
007900     03  FILLER              PIC  X(04).
008000     03  WS-TL1-NAME1        PIC  X(21).
008100     03  FILLER              PIC  X(02).
008200     03  WS-TL1-NBR1         PIC  X(11).
008300     03  FILLER              PIC  X(16).
008400     03  WS-TL1-NAME2        PIC  X(26).
008500     03  FILLER              PIC  X(02).
008600     03  WS-TL1-NBR2         PIC  X(11).
008700/
008800     COPY SS95WS.
008900/
009000     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
009100/
009200     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
009300/
009400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
009500/
009600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
009700/
009800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
009900/
010000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
010100/
010200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
010300/
010400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
010500/
010600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
010700/
010800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
010900/
011000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
011100/
011200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
011300/
011400     COPY MB00WS.
011500/
011600     COPY SS00WS.
011700/
011800     COPY SS01WS.
011900/
012000     COPY SS02WS.
012100*
012200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012300/
012400 LINKAGE SECTION.
012500     COPY MB22WS.
012600/
012700     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
012800/
012900 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
013000                                       MTRF-RECORD.
013100*
013200 A000-MAIN-LINE-SECT SECTION.
013300 A010-ML-BEGIN.
013400*
013500     IF  MTRF-K1-RT-DETAIL
013600         PERFORM D000-DETAIL-RECORD
013700            THRU D099-DR-EXIT.
013800*
013900     IF  MTRF-K1-RT-HEADER
014000         PERFORM H000-HEADER-RECORD
014100            THRU H099-HR-EXIT.
014200*
014300     IF  MTRF-K1-RT-TRAILER
014400         PERFORM T000-TRAILER-RECORD
014500            THRU T099-TR-EXIT.
014600*
014700     GOBACK.
014800*
014900 A099-ML-EXIT.
015000     EXIT.
015100/
015200 D000-DETAIL-RECORD SECTION.
015300 D010-DR-BEGIN.
015400*
015500     MOVE 'Y'                    TO WS-D72036-ACTIVITY-SW.
015600*
015700     EVALUATE TRUE
015800         WHEN MTRF-K2-O36-FT-MERCHANT
015900             MOVE MTRF-K2-O36-MERCHANT
016000                                 TO WS-DL1-MERCH-STORE
016100             ADD 1               TO WS-DO36-TOT-PURGED-MERCH
016200             IF  MTRF-O36-PURGING-ACTION IS GREATER THAN ZERO
016300                 ADD 1           TO WS-DO36-MERCH-PURGED-TODAY
016400             END-IF
016500         WHEN MTRF-K2-O36-FT-STORE
016600             MOVE MTRF-K2-O36-STORE
016700                                 TO WS-DL1-MERCH-STORE
016800             ADD 1               TO WS-DO36-TOT-PURGED-STORE
016900             IF  MTRF-O36-PURGING-ACTION IS GREATER THAN ZERO
017000                 ADD 1           TO WS-DO36-STORE-PURGED-TODAY
017100             END-IF
017200     END-EVALUATE.
017300*
017400     MOVE MTRF-K2-O36-FILE-TYPE  TO WS-DL1-FILE-TYPE.
017500     MOVE MTRF-O36-DBA-NAME      TO WS-DL1-DBA-NAME.
017600*
017700     MOVE MTRF-O36-DATE-OPENED   TO SS01WS-JULIAN.
017800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
017900     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE-OPENED.
018000*
018100     MOVE MTRF-O36-DATE-LAST-STMT
018200                                 TO SS01WS-JULIAN.
018300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
018400     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE-LAST-STMT.
018500*
018600     IF  MTRF-K2-O36-FT-MERCHANT
018700         MOVE MTRF-O36-NBR-STORES
018800                                 TO SS95WS-IN-NBR
018900         PERFORM SS95PD-NAP-ROUTINE
019000                                 THRU SS95PD-NAP-EXIT
019100         MOVE SS95WS-OUT-NBR-L10 TO WS-DL1-NBR-STORES.
019200*
019300     MOVE MTRF-O36-AGENT-BANK    TO WS-DL1-AGENT.
019400     MOVE MTRF-O36-CLOSE-REASON  TO WS-DL1-REASON.
019500*
019600     MOVE MTRF-O36-DATE-CLOSED   TO SS01WS-JULIAN.
019700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
019800     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE-CLOSED.
019900*
020000     EVALUATE TRUE
020100         WHEN MTRF-O36-PA-AUTO
020200             MOVE 'STATUS CHANGE - AUTO'
020300                                 TO WS-DL1-MESSAGE
020400         WHEN MTRF-O36-PA-MANUAL
020500             MOVE 'STATUS CHANGE - MANUAL'
020600                                 TO WS-DL1-MESSAGE
020700     END-EVALUATE.
020800*
020900     PERFORM MB22PD-PRINT-1-LINE
021000        THRU MB22PD-P1L-EXIT.
021100*
021200     IF  MTRF-K2-O36-FT-STORE
021300         MOVE MTRF-O36-NBR-STORES
021400                                 TO WS-DL1-MERCH-STORE.
021500*
021600     MOVE MTRF-O36-DBA-CITY      TO WS-DL2-DBA-CITY.
021700     MOVE MTRF-O36-DBA-COUNTRY-CODE
021800                                 TO WS-DL2-DBA-STATE.
021900*
022000     MOVE MTRF-O36-DATE-LAST-ACTIVE
022100                                 TO SS01WS-JULIAN.
022200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
022300     MOVE SS01WS-XX-XX-YYYY      TO WS-DL2-DATE-LAST-ACTIVE.
022400*
022500     MOVE MTRF-O36-DATE-LAST-SETT
022600                                 TO SS01WS-JULIAN.
022700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
022800     MOVE SS01WS-XX-XX-YYYY      TO WS-DL2-DATE-LAST-SETT.
022900*
023000     MOVE MTRF-O36-NBR-CHAINS    TO SS95WS-IN-NBR.
023100     PERFORM SS95PD-NAP-ROUTINE
023200                                 THRU SS95PD-NAP-EXIT.
023300     MOVE SS95WS-OUT-NBR-L10     TO WS-DL2-NBR-CHAINS.
023400*
023500     MOVE MTRF-O36-BRANCH        TO WS-DL2-BRANCH.
023600     MOVE MTRF-O36-STATUS-CHANGE-OPER
023700                                 TO WS-DL2-OPER.
023800*
023900     MOVE MTRF-O36-DATE-PURGED   TO SS01WS-JULIAN.
024000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
024100     MOVE SS01WS-XX-XX-YYYY      TO WS-DL2-DATE-PURGED.
024200*
024300     PERFORM MB22PD-PRINT-2-LINES
024400        THRU MB22PD-P2L-EXIT.
024500*
024600 D099-DR-EXIT.
024700     EXIT.
024800/
024900 H000-HEADER-RECORD SECTION.
025000 H010-HR-BEGIN.
025100*
025200     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
025300     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
025400     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
025500     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
025600     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
025700     MOVE 'O36'                  TO MB20WS-SH-INTERNAL-RPT-ID.
025800     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
025900     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
026000     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
026100     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
026200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
026300        THRU SS26PD-NED-EXIT.
026400     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
026500     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
026600     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
026700*
026800     MOVE 'M/S       M/S DBA NAME                   DAT'
026900                                 TO MB20WS-SH-L5R-1.
027000     MOVE 'E OPEN   LAST STMT   # STORES   AGENT       '
027100                                 TO MB20WS-SH-L5R-2.
027200     MOVE 'RSN  CLOSE DATE   MESSAGE                   '
027300                                 TO MB20WS-SH-L5R-3.
027400*
027500     MOVE 'NUMBER    IND DBA CITY       ST/PR       LAS'
027600                                 TO MB20WS-SH-L6R-1.
027700     MOVE 'T ACTIVE LAST SETT   # CHAINS   BRANCH      '
027800                                 TO MB20WS-SH-L6R-2.
027900     MOVE 'OPR  PURGED DATE                            '
028000                                 TO MB20WS-SH-L6R-3.
028100*
028200     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
028300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
028400     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
028500     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
028600     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
028700     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
028800     SET SS95WS-FUNCTION-INITIALIZE
028900                                 TO TRUE.
029000     PERFORM SS95PD-NAP-ROUTINE
029100        THRU SS95PD-NAP-EXIT.
029200*
029300     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
029400     MOVE 'N'                    TO WS-D72036-ACTIVITY-SW.
029500     MOVE MTRF-RECORD            TO MTR9-RECORD.
029600*
029700     MOVE ZEROS                  TO WS-DO36-TOT-PURGED-MERCH
029800                                    WS-DO36-TOT-PURGED-STORE
029900                                    WS-DO36-STORE-PURGED-TODAY
030000                                    WS-DO36-MERCH-PURGED-TODAY.
030100*
030200 H099-HR-EXIT.
030300     EXIT.
030400/
030500 T000-TRAILER-RECORD SECTION.
030600 T010-TR-BEGIN.
030700     MOVE MTR9-RECORD            TO MTRF-RECORD.
030800*
030900     IF  WS-D72036-ACTIVITY-SW IS EQUAL TO 'N'
031000         IF  MTRF-HD-AF-PRODUCE
031100             PERFORM MB22PD-PRINT-NO-ACTIVITY
031200                                 THRU MB22PD-PNA-EXIT
031300             GO TO T099-TR-EXIT
031400         ELSE
031500             GO TO T099-TR-EXIT.
031600*
031700     PERFORM 9100-CHECK-NBR-LINES
031800        THRU 9100-CNL-EXIT.
031900     PERFORM 9010-PRINT-ORG-TOTALS
032000        THRU 9010-POT-EXIT.
032100*
032200 T099-TR-EXIT.
032300     EXIT.
032400/
032500 9000-PERFORMED-ROUTINES-SECT SECTION.
032600 9010-PRINT-ORG-TOTALS.
032700*
032800     MOVE 2                      TO WS-D720-LINE-CHECK.
032900     PERFORM 9100-CHECK-NBR-LINES
033000                                 THRU 9100-CNL-EXIT.
033100     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
033200*
033300     MOVE ' **** ORGANIZATION TOTALS **** FOR ORGANIZATION   '
033400                                 TO MB20WS-PRINT-LINE (1:50).
033500     MOVE MTRF-K1-ORG            TO MB20WS-PRINT-LINE (52:3).
033600     MOVE MTRF-HD-ORG-NAME       TO MB20WS-PRINT-LINE (64:40).
033700*
033800     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
033900*
034000     MOVE 'TOTAL PURGED MERCHANT'
034100                                 TO WS-TL1-NAME1.
034200*
034300     MOVE WS-DO36-TOT-PURGED-MERCH
034400                                 TO SS95WS-IN-NBR.
034500     PERFORM SS95PD-NAP-ROUTINE
034600                                 THRU SS95PD-NAP-EXIT.
034700     MOVE SS95WS-OUT-NBR-L10     TO WS-TL1-NBR1.
034800*
034900     MOVE 'NBR MERCHANTS PURGED TODAY'
035000                                 TO WS-TL1-NAME2.
035100*
035200     MOVE WS-DO36-MERCH-PURGED-TODAY
035300                                 TO SS95WS-IN-NBR.
035400     PERFORM SS95PD-NAP-ROUTINE
035500                                 THRU SS95PD-NAP-EXIT.
035600     MOVE SS95WS-OUT-NBR-L10     TO WS-TL1-NBR2.
035700*
035800     PERFORM MB22PD-PRINT-1-LINE
035900                                 THRU MB22PD-P1L-EXIT.
036000*
036100     MOVE 'TOTAL PURGED STORES '
036200                                 TO WS-TL1-NAME1.
036300*
036400     MOVE WS-DO36-TOT-PURGED-STORE
036500                                 TO SS95WS-IN-NBR.
036600     PERFORM SS95PD-NAP-ROUTINE
036700                                 THRU SS95PD-NAP-EXIT.
036800     MOVE SS95WS-OUT-NBR-L10     TO WS-TL1-NBR1.
036900*
037000     MOVE 'NBR STORES PURGED TODAY   '
037100                                 TO WS-TL1-NAME2.
037200*
037300     MOVE WS-DO36-STORE-PURGED-TODAY
037400                                 TO SS95WS-IN-NBR.
037500     PERFORM SS95PD-NAP-ROUTINE
037600                                 THRU SS95PD-NAP-EXIT.
037700     MOVE SS95WS-OUT-NBR-L10     TO WS-TL1-NBR2.
037800*
037900     PERFORM MB22PD-PRINT-1-LINE
038000                                 THRU MB22PD-P1L-EXIT.
038100 9010-POT-EXIT.
038200     EXIT.
038300/
038400*
038500 9100-CHECK-NBR-LINES.
038600*
038700     COMPUTE MB20WS-LINES-REMAINING
038800                                 = MB20WS-LINE-LIMIT
038900                                 - MB20WS-LINE-COUNT.
039000*
039100     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
039200         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
039300*
039400 9100-CNL-EXIT.
039500     EXIT.
039600/
039700     COPY MB22PD.
039800/
039900     COPY SS95PD.
040000/
040100     COPY SS02PD.
040200/
040300     COPY SS07PD.
040400/
040500     COPY SS08PD.
040600/
040700     COPY SS16PD.
040800/
040900     COPY SS26PD.
041000/
041100     COPY SS27PD.
041200*
041300 9995-END-SOURCE-STATEMENTS SECTION.
041400 9999-END-OF-PROGRAM.
041500     EXIT.
