000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72038.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72038 - OPTIONAL REPORT 38 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72038-WORK-AREAS.
002100     03  WS-D72038-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +4.
002400     03  WS-D720-REVIEW-NBR-MS
002500                             PIC  9(09)      VALUE ZEROS.
002600     03  WS-D720-ORG-NBR-MS  PIC  9(09)      VALUE ZEROS.
002700*
002800/
002900     COPY MB20WS.
003000*
003100 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
003200     03  WS-DL1-MERCHANT     PIC  9(09).
003300     03  FILLER              PIC  X(01).
003400     03  WS-DL1-NAME.
003500         05  WS-DL1-ADDRESS.
003600             07  WS-DL1-CITY PIC  X(13).
003700             07  FILLER      PIC  X(01).
003800             07  WS-DL1-STATE
003900                             PIC  X(03).
004000             07  FILLER      PIC  X(08).
004100     03  FILLER              PIC  X(01).
004200     03  WS-DL1-FREQ-1       PIC  9(02).
004300     03  FILLER              PIC  X(01).
004400     03  WS-DL1-FREQ-2       PIC  9(02).
004500     03  FILLER              PIC  X(01).
004600     03  WS-DL1-TYPE-X.
004700         05  FILLER          PIC  X(03).
004800         05  WS-DL1-TYPE     PIC  X(03).
004900         05  FILLER          PIC  X(03).
005000     03  WS-DL1-TYPE-R       REDEFINES WS-DL1-TYPE-X.
005100         05  FILLER          PIC  X(03).
005200         05  WS-DL1-TYPE-N   PIC  9(03).
005300         05  FILLER          PIC  X(03).
005400     03  WS-DL1-TYPE-A       REDEFINES WS-DL1-TYPE-X.
005500         05  FILLER          PIC  X(02).
005600         05  WS-DL1-AGENT    PIC  9(05).
005700         05  FILLER          PIC  X(02).
005800     03  WS-DL1-TYPE-B       REDEFINES WS-DL1-TYPE-X.
005900         05  WS-DL1-BRANCH   PIC  9(09).
006000     03  FILLER              PIC  X(01).
006100     03  WS-DL1-DATE         PIC  X(10).
006200     03  FILLER              PIC  X(04).
006300     03  WS-DL1-SALES-NBR    PIC  X(11).
006400     03  FILLER              PIC  X(01).
006500     03  WS-DL1-SALES        PIC  X(22).
006600     03  FILLER              PIC  X(02).
006700     03  WS-DL1-INCOME       PIC  X(22).
006800     03  FILLER              PIC  X(02).
006900     03  WS-DL1-REC-STATUS   PIC  X(01).
007000     03  FILLER              PIC  X(03).
007100     03  WS-DL1-CLOSE-REASON PIC  X(02).
007200*
007300 01  WS-TOTAL-LINE-1         REDEFINES MB20WS-PRINT-LINE.
007400     03  FILLER              PIC  X(06).
007500     03  WS-TL1-LIT-1        PIC  X(23).
007600     03  FILLER              PIC  X(14).
007700     03  WS-TL1-MER-STORE-NBR
007800                             PIC  X(11).
007900     03  FILLER              PIC  X(78).
008000/
008100     COPY SS95WS.
008200/
008300     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
008400/
008500     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
008600/
008700     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
008800/
008900     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
009000/
009100     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
009200/
009300     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
009400/
009500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
009600/
009700     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
009800/
009900     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
010000/
010100     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
010200/
010300     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
010400/
010500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
010600/
010700     COPY MB00WS.
010800/
010900     COPY SS00WS.
011000/
011100     COPY SS01WS.
011200/
011300     COPY SS02WS.
011400*
011500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011600/
011700 LINKAGE SECTION.
011800     COPY MB22WS.
011900/
012000     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
012100/
012200 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
012300                                       MTRF-RECORD.
012400*
012500 A000-MAIN-LINE-SECT SECTION.
012600 A010-ML-BEGIN.
012700*
012800     IF  MTRF-K1-RT-DETAIL
012900         PERFORM D000-DETAIL-RECORD
013000            THRU D099-DR-EXIT.
013100*
013200     IF  MTRF-K1-RT-HEADER
013300         PERFORM H000-HEADER-RECORD
013400            THRU H099-HR-EXIT.
013500*
013600     IF  MTRF-K1-RT-TRAILER
013700         PERFORM T000-TRAILER-RECORD
013800            THRU T099-TR-EXIT.
013900*
014000     GOBACK.
014100*
014200 A099-ML-EXIT.
014300     EXIT.
014400/
014500 D000-DETAIL-RECORD SECTION.
014600 D010-DR-BEGIN.
014700*
014800     MOVE 'Y'                    TO WS-D72038-ACTIVITY-SW.
014900*
015000     IF  MTRF-K2-O38-REVIEW-REP-OPER
015100                                 IS NOT EQUAL TO
015200                                 MWRF-K2-O38-REVIEW-REP-OPER
015300     AND MWRF-K2-O38-REVIEW-REP-OPER IS NOT EQUAL TO HIGH-VALUES
015400         PERFORM 9100-CHECK-NBR-LINES
015500                                 THRU 9100-CNL-EXIT
015600         PERFORM 9020-PRINT-REVIEW-TOTALS
015700                                 THRU 9029-EXIT.
015800*
015900     PERFORM 9100-CHECK-NBR-LINES
016000                                 THRU 9100-CNL-EXIT.
016100*
016200     MOVE MTRF-K2-O38-MERCHANT   TO WS-DL1-MERCHANT.
016300     MOVE MTRF-O38-DBA-NAME      TO WS-DL1-NAME.
016400     MOVE MTRF-DISC-FREQ-1       TO WS-DL1-FREQ-1.
016500     MOVE MTRF-DISC-FREQ-2       TO WS-DL1-FREQ-2.
016600     MOVE MTRF-O38-AGENT-BANK    TO WS-DL1-AGENT.
016700     MOVE MTRF-O38-DATE-NEXT-REVIEW
016800                                 TO SS01WS-JULIAN.
016900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
017000        THRU SS26PD-NED-EXIT.
017100     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
017200*
017300     MOVE MTRF-O38-MTD-SALES-NBR TO SS95WS-IN-NBR.
017400     MOVE MTRF-O38-MTD-NET-SALES TO SS95WS-IN-AMT.
017500     PERFORM SS95PD-NAP-ROUTINE
017600        THRU SS95PD-NAP-EXIT.
017700     MOVE SS95WS-OUT-NBR-L12     TO WS-DL1-SALES-NBR.
017800     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-SALES.
017900*
018000     MOVE MTRF-O38-MTD-DISCOUNT-AMT
018100                                 TO SS95WS-IN-AMT.
018200     PERFORM SS95PD-NAP-ROUTINE
018300        THRU SS95PD-NAP-EXIT.
018400     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-INCOME.
018500     MOVE MTRF-REC-STATUS        TO WS-DL1-REC-STATUS.
018600     MOVE MTRF-CLOSE-REASON      TO WS-DL1-CLOSE-REASON.
018700*
018800     EVALUATE TRUE
018900         WHEN MTRF-K1-DETAIL
019000             PERFORM MB22PD-PRINT-1-LINE
019100                THRU MB22PD-P1L-EXIT
019200         WHEN OTHER
019300             MOVE SPACES         TO MB20WS-PRINT-LINE
019400     END-EVALUATE.
019500*
019600*
019700*
019800     IF  MTRF-K2-O38-STORE IS NOT EQUAL TO ZERO
019900         MOVE MTRF-K2-O38-STORE  TO WS-DL1-MERCHANT.
020000*
020100     MOVE MTRF-O38-DBA-CITY      TO WS-DL1-CITY.
020200     MOVE MTRF-O38-DBA-COUNTRY-CODE
020300                                 TO WS-DL1-STATE.
020400     MOVE MTRF-PART-FREQ-1       TO WS-DL1-FREQ-1.
020500     MOVE MTRF-PART-FREQ-2       TO WS-DL1-FREQ-2.
020600     MOVE MTRF-O38-BRANCH        TO WS-DL1-BRANCH.
020700     MOVE MTRF-O38-DATE-LAST-REVIEW
020800                                 TO SS01WS-JULIAN.
020900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
021000        THRU SS26PD-NED-EXIT.
021100     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
021200*
021300     MOVE MTRF-O38-YTD-SALES-NBR TO SS95WS-IN-NBR.
021400     MOVE MTRF-O38-YTD-NET-SALES TO SS95WS-IN-AMT.
021500     PERFORM SS95PD-NAP-ROUTINE
021600        THRU SS95PD-NAP-EXIT.
021700     MOVE SS95WS-OUT-NBR-L12     TO WS-DL1-SALES-NBR.
021800     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-SALES.
021900*
022000     MOVE MTRF-O38-YTD-DISCOUNT-AMT
022100                                 TO SS95WS-IN-AMT.
022200     PERFORM SS95PD-NAP-ROUTINE
022300        THRU SS95PD-NAP-EXIT.
022400     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-INCOME.
022500*
022600     EVALUATE TRUE
022700         WHEN MTRF-K1-DETAIL
022800             PERFORM MB22PD-PRINT-1-LINE
022900                THRU MB22PD-P1L-EXIT
023000         WHEN OTHER
023100             MOVE SPACES         TO MB20WS-PRINT-LINE
023200     END-EVALUATE.
023300*
023400*
023500*
023600     MOVE MTRF-O38-PHONE         TO WS-DL1-ADDRESS.
023700     MOVE MTRF-SETT-FREQ-1       TO WS-DL1-FREQ-1.
023800     MOVE MTRF-SETT-FREQ-2       TO WS-DL1-FREQ-2.
023900     MOVE MTRF-O38-STORE-TYPE    TO WS-DL1-TYPE.
024000     MOVE MTRF-O38-DATE-OPENED   TO SS01WS-JULIAN.
024100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
024200        THRU SS26PD-NED-EXIT.
024300     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
024400*
024500     EVALUATE TRUE
024600         WHEN MTRF-K1-DETAIL
024700             PERFORM MB22PD-PRINT-1-LINE
024800                THRU MB22PD-P1L-EXIT
024900         WHEN OTHER
025000             MOVE SPACES         TO MB20WS-PRINT-LINE
025100     END-EVALUATE.
025200*
025300*
025400*
025500     MOVE MTRF-STMT-FREQ-1       TO WS-DL1-FREQ-1.
025600     MOVE MTRF-STMT-FREQ-2       TO WS-DL1-FREQ-2.
025700     MOVE MTRF-BLOCK-CODE        TO WS-DL1-TYPE.
025800     MOVE MTRF-O38-DATE-LAST-ACTIVE
025900                                 TO SS01WS-JULIAN.
026000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
026100        THRU SS26PD-NED-EXIT.
026200     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
026300*
026400     EVALUATE TRUE
026500         WHEN MTRF-K1-DETAIL
026600             PERFORM MB22PD-PRINT-1-LINE
026700                THRU MB22PD-P1L-EXIT
026800         WHEN OTHER
026900             MOVE SPACES         TO MB20WS-PRINT-LINE
027000     END-EVALUATE.
027100*
027200     MOVE MTRF-K2-O38-REVIEW-REP-OPER
027300                                 TO MWRF-K2-O38-REVIEW-REP-OPER.
027400     MOVE MTRF-O38-REVIEW-REP-NAME
027500                                 TO MWRF-O38-REVIEW-REP-NAME.
027600*
027700     COMPUTE WS-D720-REVIEW-NBR-MS = WS-D720-REVIEW-NBR-MS + 1.
027800*
027900     COMPUTE WS-D720-ORG-NBR-MS = WS-D720-ORG-NBR-MS + 1.
028000
028100*
028200*
028300*
028400 D099-DR-EXIT.
028500     EXIT.
028600/
028700 H000-HEADER-RECORD SECTION.
028800 H010-HR-BEGIN.
028900*
029000     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
029100     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
029200     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
029300     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
029400     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
029500     MOVE 'O38'                  TO MB20WS-SH-INTERNAL-RPT-ID.
029600     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
029700     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
029800     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
029900     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
030000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
030100        THRU SS26PD-NED-EXIT.
030200     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
030300     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
030400     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
030500*
030600     MOVE 'MERCHANT  DBA NAME                 DI FREQ  '
030700                                 TO MB20WS-SH-L5R-1.
030800     MOVE 'AGENT   DATE REVIEW   MTD SALES #         MT'
030900                                 TO MB20WS-SH-L5R-2.
031000     MOVE 'D NET SALES         MTD DISC INCOME         '
031100                                 TO MB20WS-SH-L5R-3.
031200*
031300     MOVE 'STORE     DBA CITY     ST/PR       PT FREQ  '
031400                                 TO MB20WS-SH-L6R-1.
031500     MOVE 'BRANCH  LAST REVIEW   YTD SALES #         YT'
031600                                 TO MB20WS-SH-L6R-2.
031700     MOVE 'D NET SALES         YTD DISC INCOME         '
031800                                 TO MB20WS-SH-L6R-3.
031900*
032000     MOVE '          PHONE NUMBER             SE FREQ  '
032100                                 TO MB20WS-SH-L7R-1.
032200     MOVE 'TYPE    DATE OPENED                         '
032300                                 TO MB20WS-SH-L7R-2.
032400     MOVE '                                     REC CL '
032500                                 TO MB20WS-SH-L7R-3.
032600*
032700     MOVE '                                   ST FREQ  '
032800                                 TO MB20WS-SH-L8R-1.
032900     MOVE 'BLOCK   DATE LST ACT                        '
033000                                 TO MB20WS-SH-L8R-2.
033100     MOVE '                                     STA RSN'
033200                                 TO MB20WS-SH-L8R-3.
033300*
033400     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
033500     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
033600     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
033700     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
033800     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
033900     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
034000     SET SS95WS-FUNCTION-INITIALIZE
034100                                 TO TRUE.
034200     PERFORM SS95PD-NAP-ROUTINE
034300        THRU SS95PD-NAP-EXIT.
034400*
034500     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
034600     MOVE 'N'                    TO WS-D72038-ACTIVITY-SW.
034700     MOVE MTRF-RECORD            TO MTR9-RECORD.
034800     MOVE HIGH-VALUES            TO MWRF-K2-O38-REVIEW-REP-OPER.
034900*
035000 H099-HR-EXIT.
035100     EXIT.
035200/
035300 T000-TRAILER-RECORD SECTION.
035400 T010-TR-BEGIN.
035500     MOVE MTR9-RECORD            TO MTRF-RECORD.
035600*
035700     IF  WS-D72038-ACTIVITY-SW IS EQUAL TO 'N'
035800         IF  MTRF-HD-AF-PRODUCE
035900             PERFORM MB22PD-PRINT-NO-ACTIVITY
036000                                 THRU MB22PD-PNA-EXIT
036100             GO TO T099-TR-EXIT
036200         ELSE
036300             GO TO T099-TR-EXIT.
036400*
036500     PERFORM 9100-CHECK-NBR-LINES
036600                                 THRU 9100-CNL-EXIT.
036700     PERFORM 9020-PRINT-REVIEW-TOTALS
036800                                 THRU 9029-EXIT.
036900*
037000     PERFORM MB22PD-PRINT-1-LINE
037100        THRU MB22PD-P1L-EXIT.
037200*
037300     PERFORM 9010-PRINT-ORG-TOTALS
037400                                 THRU 9010-POT-EXIT.
037500*
037600 T099-TR-EXIT.
037700     EXIT.
037800/
037900 9000-PERFORMED-ROUTINES-SECT SECTION.
038000 9010-PRINT-ORG-TOTALS.
038100*
038200     MOVE ' **** ORGANIZATION TOTALS **** FOR ORGANIZATION   '
038300                                 TO MB20WS-PRINT-LINE (1:50).
038400     MOVE MTRF-K1-ORG            TO MB20WS-PRINT-LINE (52:3).
038500     MOVE MTRF-HD-ORG-NAME       TO MB20WS-PRINT-LINE (64:40).
038600*
038700     PERFORM MB22PD-PRINT-1-LINE
038800        THRU MB22PD-P1L-EXIT.
038900*
039000     MOVE 'NUMBER OF MERCH/STORES '
039100                                 TO WS-TL1-LIT-1.
039200*
039300     MOVE WS-D720-ORG-NBR-MS     TO SS95WS-IN-NBR.
039400     PERFORM SS95PD-NAP-ROUTINE
039500        THRU SS95PD-NAP-EXIT.
039600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-MER-STORE-NBR.
039700*
039800     PERFORM MB22PD-PRINT-1-LINE
039900        THRU MB22PD-P1L-EXIT.
040000*
040100     MOVE ZEROS                  TO WS-D720-ORG-NBR-MS.
040200*
040300 9010-POT-EXIT.
040400     EXIT.
040500/
040600*
040700 9020-PRINT-REVIEW-TOTALS.
040800*
040900     MOVE ' ***** REVIEW REP TOTALS ****** FOR REPRESENTATIVE '
041000                                 TO MB20WS-PRINT-LINE (1:50).
041100     MOVE MWRF-K2-O38-REVIEW-REP-OPER
041200                                 TO MB20WS-PRINT-LINE (52:3).
041300     MOVE MWRF-O38-REVIEW-REP-NAME
041400                                 TO MB20WS-PRINT-LINE (64:40).
041500*
041600     EVALUATE TRUE
041700         WHEN MTRF-K1-DETAIL
041800             PERFORM MB22PD-PRINT-1-LINE
041900                THRU MB22PD-P1L-EXIT
042000         WHEN OTHER
042100             MOVE SPACES         TO MB20WS-PRINT-LINE
042200     END-EVALUATE.
042300*
042400     MOVE ' NUMBER OF MERCH/STORES'
042500                                 TO WS-TL1-LIT-1.
042600*
042700     MOVE WS-D720-REVIEW-NBR-MS    TO SS95WS-IN-NBR.
042800     PERFORM SS95PD-NAP-ROUTINE
042900        THRU SS95PD-NAP-EXIT.
043000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-MER-STORE-NBR.
043100*
043200     EVALUATE TRUE
043300         WHEN MTRF-K1-DETAIL
043400             PERFORM MB22PD-PRINT-2-LINES
043500                THRU MB22PD-P2L-EXIT
043600         WHEN OTHER
043700             MOVE SPACES         TO MB20WS-PRINT-LINE
043800     END-EVALUATE.
043900*
044000     MOVE ZEROS                  TO WS-D720-REVIEW-NBR-MS.
044100*
044200 9029-EXIT.
044300     EXIT.
044400/
044500*
044600 9100-CHECK-NBR-LINES.
044700*
044800     COMPUTE MB20WS-LINES-REMAINING
044900                                 = MB20WS-LINE-LIMIT
045000                                 - MB20WS-LINE-COUNT.
045100*
045200     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
045300         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
045400*
045500 9100-CNL-EXIT.
045600     EXIT.
045700/
045800     COPY MB22PD.
045900/
046000     COPY SS95PD.
046100/
046200     COPY SS02PD.
046300/
046400     COPY SS07PD.
046500/
046600     COPY SS08PD.
046700/
046800     COPY SS16PD.
046900/
047000     COPY SS26PD.
047100/
047200     COPY SS27PD.
047300*
047400 9995-END-SOURCE-STATEMENTS SECTION.
047500 9999-END-OF-PROGRAM.
047600     EXIT.
