000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72058.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBD72058 - OPTIONAL REPORT 58 SUBROUTINE                *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 DATA DIVISION.
001400 WORKING-STORAGE SECTION.
001500*
001600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001700*
001800 01  WS-MBD72058-WORK-AREAS.
001900     03  WS-D72058-ACTIVITY-SW
002000                             PIC  X(01)      VALUE 'N'.
002100     03  WS-D72058-HEADER-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-ORG-TOT-PRODUCED
002400                             PIC S9(03)      COMP-3 VALUE ZERO.
002500     03  WS-ORG-TOT-NOT-PRODUCED
002600                             PIC S9(03)      COMP-3 VALUE ZERO.
002700/
002800     COPY MB20WS.
002900 01  WS-PRINT-LINE-1         REDEFINES MB20WS-PRINT-LINE.
003000     03  WS-PL1-HEADING-1    PIC  X(44).
003100     03  WS-PL1-HEADING-2    PIC  X(44).
003200     03  WS-PL1-HEADING-3    PIC  X(44).
003300*
003400 01  WS-PRINT-LINE-2         REDEFINES MB20WS-PRINT-LINE.
003500     03  FILLER              PIC  X(33).
003600     03  WS-PL2-REPORT-DEST-ID
003700                             PIC  X(05).
003800     03  FILLER              PIC  X(07).
003900     03  WS-PL2-REPORT-ID    PIC  X(08).
004000     03  FILLER              PIC  X(05).
004100     03  WS-PL2-LIT          PIC  X(01).
004200     03  WS-PL2-RPT-NBR      PIC  9(02).
004300     03  FILLER              PIC  X(01).
004400     03  WS-PL2-RPT-TITLE    PIC  X(30).
004500     03  FILLER              PIC  X(08).
004600     03  WS-PL2-MESSAGE      PIC  X(32).
004700*
004800 01  WS-PRINT-LINE-3         REDEFINES MB20WS-PRINT-LINE.
004900     03  FILLER              PIC  X(31).
005000     03  WS-PL3-ORG-LIT.
005100         05  WS-PL3-TOTAL-LIT
005200                             PIC  X(47).
005300         05  WS-PL3-TOTAL    PIC  ZZ9-.
005400     03  FILLER              PIC  X(50).
005500/
005600     COPY SS95WS.
005700/
005800     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
005900/
006000     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
006100/
006200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
006300/
006400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
006500/
006600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
006700/
006800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
006900/
007000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
007100/
007200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
007300/
007400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
007500/
007600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
007700/
007800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
007900/
008000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
008100/
008200     COPY MMTCWS.
008300/
008400     COPY SS00WS.
008500/
008600     COPY SS01WS.
008700/
008800     COPY SS02WS.
008900*
009000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009100/
009200 LINKAGE SECTION.
009300     COPY MB22WS.
009400/
009500     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
009600/
009700 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
009800                                       MTRF-RECORD.
009900*
010000 A000-MAIN-LINE-SECT SECTION.
010100 A010-ML-BEGIN.
010200*
010300     IF  MTRF-K1-RT-DETAIL
010400         PERFORM D000-DETAIL-RECORD
010500            THRU D099-DR-EXIT.
010600*
010700     IF  MTRF-K1-RT-HEADER
010800         PERFORM H000-HEADER-RECORD
010900            THRU H099-HR-EXIT.
011000*
011100     IF  MTRF-K1-RT-TRAILER
011200         PERFORM T000-TRAILER-RECORD
011300            THRU T099-TR-EXIT.
011400*
011500     GOBACK.
011600*
011700 A099-ML-EXIT.
011800     EXIT.
011900/
012000 D000-DETAIL-RECORD SECTION.
012100 D010-DR-BEGIN.
012200*
012300     IF  WS-D72058-HEADER-SW IS EQUAL TO 'N'
012400         GO TO D099-DR-EXIT.
012500*
012600     MOVE 'Y'                    TO WS-D72058-ACTIVITY-SW.
012700*
012800     IF  MTRF-K2-O58-RT-IS-RPT-DATA
012900         SET X-MTRFWS-ORT        TO MTRF-O58-R1-RPT-NBR
013000         MOVE MTRF-O58-R1-REPORT-DEST-ID
013100                                 TO MTRFWS-ORT-REPORT-DEST-ID
013200                                    (X-MTRFWS-ORT)
013300         MOVE MTRF-O58-R1-REPORT-ID
013400                                 TO MTRFWS-ORT-REPORT-ID
013500                                    (X-MTRFWS-ORT)
013600         MOVE MTRF-O58-R1-RPT-TITLE
013700                                 TO MTRFWS-ORT-RPT-TITLE
013800                                    (X-MTRFWS-ORT)
013900         GO TO D099-DR-EXIT.
014000*
014100     IF  MTRF-K2-O58-RT-IS-ACT-TABLE
014200         MOVE '                                            '
014300                                 TO MB20WS-SH-L5R-1
014400         MOVE '          REPORTS REQUESTED WITH ACTIVITY   '
014500                                 TO MB20WS-SH-L5R-2
014600         MOVE '                                            '
014700                                 TO MB20WS-SH-L5R-3
014800         MOVE '                             DESTINATION ID '
014900                                 TO MB20WS-SH-L7R-1
015000         MOVE ' REPORT ID        *------- REPORT TITLE ----'
015100                                 TO MB20WS-SH-L7R-2
015200         MOVE '---*                                        '
015300                                 TO MB20WS-SH-L7R-3
015400         PERFORM D100-ACTIVITY-REPORTS
015500            THRU D199-AR-EXIT
015600            VARYING X-MTRF-O58-RT FROM 1 BY 1
015700              UNTIL X-MTRF-O58-RT IS GREATER THAN 96
015800         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT
015900         MOVE '                                            '
016000                                 TO MB20WS-SH-L5R-1
016100         MOVE '          REPORTS REQUESTED WITH NO ACTIVITY'
016200                                 TO MB20WS-SH-L5R-2
016300         MOVE '                                            '
016400                                 TO MB20WS-SH-L5R-3
016500         MOVE '                             DESTINATION ID '
016600                                 TO MB20WS-SH-L7R-1
016700         MOVE ' REPORT ID        *------- REPORT TITLE ----'
016800                                 TO MB20WS-SH-L7R-2
016900         MOVE '---*        MESSAGE                         '
017000                                 TO MB20WS-SH-L7R-3
017100         PERFORM D200-NO-ACTIVITY-REPORTS
017200            THRU D299-NAR-EXIT
017300            VARYING X-MTRF-O58-RT FROM 1 BY 1
017400              UNTIL X-MTRF-O58-RT IS GREATER THAN 96.
017500*
017600 D099-DR-EXIT.
017700     EXIT.
017800/
017900 D100-ACTIVITY-REPORTS SECTION.
018000 D110-AR-BEGIN.
018100*
018200     IF  MTRF-O58-RPT-PRODUCED (X-MTRF-O58-RT)
018300         NEXT SENTENCE
018400     ELSE
018500         GO TO D199-AR-EXIT.
018600*
018700     ADD  1                      TO WS-ORG-TOT-PRODUCED.
018800     SET X-MTRFWS-ORT            TO X-MTRF-O58-RT.
018900*
019000     MOVE 'O'                    TO WS-PL2-LIT.
019100     SET  WS-PL2-RPT-NBR         TO X-MTRFWS-ORT.
019200     MOVE MTRFWS-ORT-REPORT-DEST-ID  (X-MTRFWS-ORT)
019300                                 TO WS-PL2-REPORT-DEST-ID.
019400     MOVE MTRFWS-ORT-REPORT-ID  (X-MTRFWS-ORT)
019500                                 TO WS-PL2-REPORT-ID.
019600     MOVE MTRFWS-ORT-RPT-TITLE  (X-MTRFWS-ORT)
019700                                 TO WS-PL2-RPT-TITLE.
019800*
019900     PERFORM MB22PD-PRINT-1-LINE
020000        THRU MB22PD-P1L-EXIT.
020100*
020200 D199-AR-EXIT.
020300     EXIT.
020400/
020500 D200-NO-ACTIVITY-REPORTS SECTION.
020600 D210-NAR-BEGIN.
020700*
020800     IF  MTRF-O58-RPT-W-NO-ACTIVITY (X-MTRF-O58-RT)
020900         NEXT SENTENCE
021000     ELSE
021100         GO TO D299-NAR-EXIT.
021200*
021300     ADD  1                      TO WS-ORG-TOT-NOT-PRODUCED.
021400     SET X-MTRFWS-ORT            TO X-MTRF-O58-RT.
021500*
021600     MOVE 'O'                    TO WS-PL2-LIT.
021700     SET  WS-PL2-RPT-NBR         TO X-MTRFWS-ORT.
021800     MOVE MTRFWS-ORT-REPORT-DEST-ID  (X-MTRFWS-ORT)
021900                                 TO WS-PL2-REPORT-DEST-ID.
022000     MOVE MTRFWS-ORT-REPORT-ID  (X-MTRFWS-ORT)
022100                                 TO WS-PL2-REPORT-ID.
022200     MOVE MTRFWS-ORT-RPT-TITLE  (X-MTRFWS-ORT)
022300                                 TO WS-PL2-RPT-TITLE.
022400*
022500     IF  MTRF-O58-RPT-PRODUCED-W-NA (X-MTRF-O58-RT)
022600         MOVE 'BANNER PAGE PRODUCED            '
022700                                 TO WS-PL2-MESSAGE.
022800*
022900     PERFORM MB22PD-PRINT-1-LINE
023000        THRU MB22PD-P1L-EXIT.
023100*
023200 D299-NAR-EXIT.
023300     EXIT.
023400/
023500 H000-HEADER-RECORD SECTION.
023600 H010-HR-BEGIN.
023700*
023800     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
023900     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
024000     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
024100     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
024200     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
024300     MOVE 'O58'                  TO MB20WS-SH-INTERNAL-RPT-ID.
024400     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
024500     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
024600     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
024700     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
024800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
024900     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
025000     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
025100     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
025200     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
025300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
025400     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
025500     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
025600     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
025700     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
025800     SET SS95WS-FUNCTION-INITIALIZE
025900                                 TO TRUE.
026000     PERFORM SS95PD-NAP-ROUTINE
026100        THRU SS95PD-NAP-EXIT.
026200*
026300     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
026400*
026500     MOVE 'N'                    TO WS-D72058-ACTIVITY-SW.
026600     MOVE 'Y'                    TO WS-D72058-HEADER-SW.
026700     MOVE MTRF-RECORD            TO MTR9-RECORD.
026800     PERFORM 9070-ZERO-ORG-ACCUMS
026900        THRU 9070-ZOA-EXIT.
027000*
027100 H099-HR-EXIT.
027200     EXIT.
027300/
027400 T000-TRAILER-RECORD SECTION.
027500 T010-TR-BEGIN.
027600*
027700     MOVE MTR9-RECORD            TO MTRF-RECORD.
027800*
027900     IF  WS-D72058-ACTIVITY-SW IS EQUAL TO 'N'
028000         IF  MTRF-HD-AF-PRODUCE
028100             PERFORM MB22PD-PRINT-NO-ACTIVITY
028200                                 THRU MB22PD-PNA-EXIT
028300             GO TO T099-TR-EXIT
028400         ELSE
028500             GO TO T099-TR-EXIT.
028600*
028700     PERFORM 9030-PRINT-ORG-TOTALS
028800        THRU 9030-POT-EXIT.
028900*
029000     MOVE 'N'                    TO WS-D72058-HEADER-SW.
029100*
029200 T099-TR-EXIT.
029300     EXIT.
029400/
029500 9000-PERFORMED-ROUTINES-SECT SECTION.
029600 9030-PRINT-ORG-TOTALS.
029700*
029800     PERFORM 9100-CHECK-NBR-LINES
029900        THRU 9100-CNL-EXIT.
030000*
030100     PERFORM MB22PD-PRINT-1-LINE
030200        THRU MB22PD-P1L-EXIT.
030300     PERFORM MB22PD-PRINT-1-LINE
030400        THRU MB22PD-P1L-EXIT.
030500     PERFORM MB22PD-PRINT-1-LINE
030600        THRU MB22PD-P1L-EXIT.
030700     PERFORM MB22PD-PRINT-1-LINE
030800        THRU MB22PD-P1L-EXIT.
030900*
031000     MOVE '**** ORGANIZATION TOTALS ****'
031100                                 TO WS-PL3-ORG-LIT.
031200     PERFORM MB22PD-PRINT-2-LINES
031300        THRU MB22PD-P2L-EXIT.
031400*
031500     MOVE 'NUMBER OF REPORTS PRODUCED'
031600                                 TO WS-PL3-TOTAL-LIT.
031700     MOVE WS-ORG-TOT-PRODUCED    TO WS-PL3-TOTAL.
031800     PERFORM MB22PD-PRINT-1-LINE
031900        THRU MB22PD-P1L-EXIT.
032000*
032100     MOVE 'NUMBER OF REPORTS PRODUCED WITH NO ACTIVITY'
032200                                 TO WS-PL3-TOTAL-LIT.
032300     MOVE WS-ORG-TOT-NOT-PRODUCED
032400                                 TO WS-PL3-TOTAL.
032500     PERFORM MB22PD-PRINT-1-LINE
032600        THRU MB22PD-P1L-EXIT.
032700*
032800 9030-POT-EXIT.
032900     EXIT.
033000*
033100*
033200*
033300 9070-ZERO-ORG-ACCUMS.
033400*
033500     MOVE ZERO                   TO WS-ORG-TOT-PRODUCED.
033600     MOVE ZERO                   TO WS-ORG-TOT-NOT-PRODUCED.
033700     MOVE ZERO                   TO MTRFWS-OPT-RPT-TABLE-AREA.
033800*
033900 9070-ZOA-EXIT.
034000     EXIT.
034100*
034200*
034300*
034400 9100-CHECK-NBR-LINES.
034500*
034600     COMPUTE MB20WS-LINES-REMAINING
034700                                 = MB20WS-LINE-LIMIT
034800                                 - MB20WS-LINE-COUNT.
034900*
035000     IF  MB20WS-LINES-REMAINING IS LESS THAN 8
035100         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
035200*
035300 9100-CNL-EXIT.
035400     EXIT.
035500/
035600     COPY MB22PD.
035700/
035800     COPY SS95PD.
035900/
036000     COPY SS02PD.
036100/
036200     COPY SS07PD.
036300/
036400     COPY SS08PD.
036500/
036600     COPY SS16PD.
036700/
036800     COPY SS26PD.
036900/
037000     COPY SS27PD.
037100*
037200 9995-END-SOURCE-STATEMENTS SECTION.
037300 9999-END-OF-PROGRAM.
037400     EXIT.
