000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72088.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72088 - OPTIONAL REPORT 88 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72088-WORK-AREAS.
002100     03  WS-D72088-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400     03  WS-D720-HIST-HEADING                OCCURS 3 TIMES
002500                                             INDEXED BY
002600                                             X-D720-HIST.
002700         05  WS-D720-HIST-ID PIC  X(03).
002800         05  WS-D720-HIST-YR PIC  9(04).
002900*
003000/
003100     COPY MB20WS.
003200 01  WS-PRINT-LINE-00        REDEFINES MB20WS-PRINT-LINE.
003300     03  FILLER              PIC  X(01).
003400     03  WS-PL00-DESC        PIC  X(16).
003500     03  FILLER              PIC  X(04).
003600     03  WS-PL00-PERIOD-1-NBR
003700                             PIC  X(14).
003800     03  FILLER              PIC  X(01).
003900     03  WS-PL00-PERIOD-1-AMT
004000                             PIC  X(21).
004100     03  FILLER              PIC  X(02).
004200     03  WS-PL00-PERIOD-2-NBR
004300                             PIC  X(14).
004400     03  FILLER              PIC  X(01).
004500     03  WS-PL00-PERIOD-2-AMT
004600                             PIC  X(21).
004700     03  FILLER              PIC  X(02).
004800     03  WS-PL00-PERIOD-3-NBR
004900                             PIC  X(14).
005000     03  FILLER              PIC  X(01).
005100     03  WS-PL00-PERIOD-3-AMT
005200                             PIC  X(21).
005300*
005400 01  WS-PRINT-LINE-02        REDEFINES MB20WS-PRINT-LINE.
005500     03  FILLER              PIC  X(01).
005600     03  WS-PL02-MONTH       PIC  X(03).
005700     03  FILLER              PIC  X(09).
005800     03  WS-PL02-SALES-NBR   PIC  X(14).
005900     03  FILLER              PIC  X(08).
006000     03  WS-PL02-RETURNS-NBR PIC  X(14).
006100     03  FILLER              PIC  X(08).
006200     03  WS-PL02-REC-ADJ-NBR PIC  X(14).
006300     03  FILLER              PIC  X(08).
006400     03  WS-PL02-ADJ-NBR     PIC  X(14).
006500     03  FILLER              PIC  X(01).
006600     03  WS-PL02-AVG-TKT-NBR PIC  X(14).
006700     03  FILLER              PIC  X(01).
006800     03  WS-PL02-TOT-INCOME  PIC  X(21).
006900*
007000 01  WS-PRINT-LINE-03        REDEFINES MB20WS-PRINT-LINE.
007100     03  FILLER              PIC  X(01).
007200     03  WS-PL03-YEAR        PIC  9(04).
007300     03  FILLER              PIC  X(01).
007400     03  WS-PL03-SALES-AMT   PIC  X(21).
007500     03  FILLER              PIC  X(01).
007600     03  WS-PL03-RETURNS-AMT PIC  X(21).
007700     03  FILLER              PIC  X(01).
007800     03  WS-PL03-REC-ADJ-AMT PIC  X(21).
007900     03  FILLER              PIC  X(01).
008000     03  WS-PL03-ADJ-AMT     PIC  X(21).
008100/
008200     COPY SS95WS.
008300/
008400     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
008500/
008600     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
008700/
008800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
008900/
009000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
009100/
009200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
009300/
009400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
009500/
009600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
009700/
009800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
009900/
010000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
010100/
010200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
010300/
010400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
010500/
010600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
010700/
010800     COPY MMTCWS.
010900/
011000     COPY MMGDTB.
011100/
011200     COPY MB00WS.
011300/
011400     COPY SS00WS.
011500/
011600     COPY SS01WS.
011700/
011800     COPY SS02WS.
011900*
012000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012100/
012200 LINKAGE SECTION.
012300     COPY MB22WS.
012400/
012500     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
012600/
012700 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
012800                                       MTRF-RECORD.
012900*
013000 A000-MAIN-LINE-SECT SECTION.
013100 A010-ML-BEGIN.
013200*
013300     IF  MTRF-K1-RT-DETAIL
013400         PERFORM D000-DETAIL-RECORD
013500            THRU D099-DR-EXIT.
013600*
013700     IF  MTRF-K1-RT-HEADER
013800         PERFORM H000-HEADER-RECORD
013900            THRU H099-HR-EXIT.
014000*
014100     IF  MTRF-K1-RT-TRAILER
014200         PERFORM T000-TRAILER-RECORD
014300            THRU T099-TR-EXIT.
014400*
014500     GOBACK.
014600*
014700 A099-ML-EXIT.
014800     EXIT.
014900/
015000 D000-DETAIL-RECORD SECTION.
015100 D010-DR-BEGIN.
015200*
015300     MOVE 'Y'                    TO WS-D72088-ACTIVITY-SW.
015400*
015500     PERFORM E000-PROCESS-MERCH  THRU E099-PM-EXIT.
015600*
015700 D099-DR-EXIT.
015800     EXIT.
015900/
016000 E000-PROCESS-MERCH SECTION.
016100 E001-PM-BEGIN.
016200*
016300     IF  MTRF-K2-O88-RS-HEADER
016400         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT
016500         MOVE SPACES             TO MB20WS-SH-L5
016600         MOVE SPACES             TO MB20WS-SH-L6
016700         MOVE SPACES             TO MB20WS-SH-L7
016800         MOVE SPACES             TO MB20WS-SH-L8
016900         MOVE MTRF-RECORD        TO MWRF-RECORD
017000         EVALUATE TRUE
017100             WHEN MTRF-K2-O88-KT-MERCHANT
017200                 MOVE MTRF-K2-O88-MERCHANT
017300                                 TO MB20WS-SH-L5
017400             WHEN MTRF-K2-O88-KT-ORG-TOTALS
017500                 MOVE 'ORG='     TO MB20WS-SH-L5
017600                 MOVE MTRF-K1-ORG-X
017700                                 TO MB20WS-SH-L5 (5:3)
017800             WHEN OTHER
017900                 MOVE SPACES     TO MB20WS-SH-L2-CLEAR
018000                 MOVE 'SYSTEM'   TO MB20WS-SH-L5
018100         END-EVALUATE
018200         IF  NOT MTRF-K2-O88-KT-SYSTEM-TOTALS
018300             MOVE MWRF-O88-NAME  TO MB20WS-SH-L5 (11:40)
018400         END-IF
018500         PERFORM
018600             VARYING X-MWRF-O88-HIST
018700             FROM 1 BY 1
018800             UNTIL X-MWRF-O88-HIST IS GREATER THAN 3
018900             SET X-D720-HIST     TO X-MWRF-O88-HIST
019000             MOVE MWRF-O88-HIST-HEADING-ID (X-MWRF-O88-HIST)
019100                                 TO WS-D720-HIST-ID
019200                                    (X-D720-HIST)
019300             MOVE MWRF-O88-HIST-HEADING-YR (X-MWRF-O88-HIST)
019400                                 TO WS-D720-HIST-YR
019500                                    (X-D720-HIST)
019600         END-PERFORM
019700         GO TO E099-PM-EXIT.
019800*
019900     IF  MTRF-K2-O88-RS-PRODUCT
020000         PERFORM E100-PROCESS-PRODUCT
020100                                 THRU E199-PP-EXIT.
020200*
020300     IF  MTRF-K2-O88-RS-QUAL-LEVEL
020400         PERFORM E200-PROCESS-QUAL-LEVEL
020500                                 THRU E299-PQL-EXIT.
020600*
020700     IF  MTRF-K2-O88-RS-CREDIT-PLAN
020800         PERFORM E300-PROCESS-CREDIT-PLAN
020900                                 THRU E399-PCP-EXIT.
021000*
021100     IF  MTRF-K2-O88-RS-HISTORICAL
021200         PERFORM E400-PROCESS-HISTORY
021300                                 THRU E499-PH-EXIT.
021400/
021500 E099-PM-EXIT.
021600     EXIT.
021700/
021800 E100-PROCESS-PRODUCT SECTION.
021900 E101-PP-BEGIN.
022000*
022100     IF  MTRF-K2-O88-RT-PROD-HEADER
022200         MOVE SPACES         TO MB20WS-PRINT-LINE
022300         MOVE 6              TO WS-D720-LINE-CHECK
022400         PERFORM 9100-CHECK-NBR-LINES
022500            THRU 9199-CNL-EXIT
022600         EVALUATE TRUE
022700           WHEN MTRF-K2-O88-ALL-PRODUCTS
022800             MOVE 'TOTAL ALL PRODUCTS'
022900                                 TO MB20WS-PRINT-LINE (52:18)
023000             MOVE MB20WS-PRINT-LINE (52:80)
023100                                 TO MB20WS-SH-L5 (52:80)
023200             IF  MB20WS-LINE-COUNT IS NOT GREATER THAN
023300                                 MB20WS-LINE-LIMIT
023400                 PERFORM MB22PD-PRINT-2-LINES
023500                                 THRU MB22PD-P2L-EXIT
023600             ELSE
023700                 MOVE SPACES     TO MB20WS-PRINT-LINE
023800             END-IF
023900           WHEN OTHER
024000             MOVE 'CARD PRODUCT '
024100                                 TO MB20WS-PRINT-LINE (52:13)
024200             MOVE MTRF-K2-O88-PRODUCT
024300                                 TO MB20WS-PRINT-LINE (66:2)
024400             MOVE '-'            TO MB20WS-PRINT-LINE (69:1)
024500             MOVE MTRF-O88-PROD-DESC
024600                                 TO MB20WS-PRINT-LINE (71:15)
024700             MOVE MB20WS-PRINT-LINE (52:80)
024800                                 TO MB20WS-SH-L5 (52:80)
024900             IF  MB20WS-LINE-COUNT IS NOT GREATER THAN
025000                                 MB20WS-LINE-LIMIT
025100                 PERFORM MB22PD-PRINT-2-LINES
025200                                 THRU MB22PD-P2L-EXIT
025300             ELSE
025400                 MOVE SPACES     TO MB20WS-PRINT-LINE
025500             END-IF
025600         END-EVALUATE
025700         PERFORM MB22PD-PRINT-1-LINE
025800                                 THRU MB22PD-P1L-EXIT
025900         MOVE WS-D720-HIST-ID (1)
026000                                 TO MB20WS-PRINT-LINE (43:3)
026100         MOVE WS-D720-HIST-YR (1)
026200                                 TO MB20WS-PRINT-LINE (47:4)
026300         MOVE WS-D720-HIST-ID (2)
026400                                 TO MB20WS-PRINT-LINE (79:3)
026500         MOVE WS-D720-HIST-YR (2)
026600                                 TO MB20WS-PRINT-LINE (83:4)
026700         MOVE WS-D720-HIST-ID (3)
026800                                 TO MB20WS-PRINT-LINE (115:3)
026900         MOVE WS-D720-HIST-YR (3)
027000                                 TO MB20WS-PRINT-LINE (119:4)
027100         MOVE MB20WS-PRINT-LINE  TO MB20WS-SH-L7
027200         MOVE SPACES             TO MB20WS-SH-L8
027300         PERFORM MB22PD-PRINT-1-LINE
027400                                 THRU MB22PD-P1L-EXIT
027500         GO TO E199-PP-EXIT.
027600*
027700     IF  MTRF-K2-O88-RT-PROD-DETAIL
027800         PERFORM Z100-PRINT-DETAIL
027900                                 THRU Z199-PD-EXIT
028000         GO TO E199-PP-EXIT.
028100*
028200     IF  MTRF-K2-O88-RT-PROD-TOTALS
028300         PERFORM Z400-TOTALS-PRINT
028400                                 THRU Z499-TP-EXIT
028500         GO TO E199-PP-EXIT.
028600/
028700 E199-PP-EXIT.
028800     EXIT.
028900/
029000 E200-PROCESS-QUAL-LEVEL SECTION.
029100 E201-PQL-BEGIN.
029200*
029300     IF  MTRF-K2-O88-RT-PROD-QL-HEADER
029400         MOVE 'CARD PRODUCT '    TO MB20WS-PRINT-LINE (52:13)
029500         MOVE MTRF-K2-O88-PRODUCT
029600                                 TO MB20WS-PRINT-LINE (66:2)
029700         MOVE '-'                TO MB20WS-PRINT-LINE (69:1)
029800         MOVE MTRF-O88-PROD-DESC TO MB20WS-PRINT-LINE (71:15)
029900         MOVE MB20WS-PRINT-LINE (52:80)
030000                                 TO MB20WS-SH-L5 (52:80)
030100         IF  MB20WS-LINE-COUNT IS NOT GREATER THAN
030200                                 MB20WS-LINE-LIMIT
030300             PERFORM MB22PD-PRINT-2-LINES
030400                                 THRU MB22PD-P2L-EXIT
030500         ELSE
030600             MOVE SPACES         TO MB20WS-PRINT-LINE
030700         END-IF
030800         GO TO E299-PQL-EXIT.
030900*
031000     IF  MTRF-K2-O88-RT-QL-HEADER
031100         EVALUATE TRUE
031200           WHEN MTRF-K2-O88-ALL-QUAL-LEVELS
031300             MOVE 'TOTAL ALL QUAL LEVELS'
031400                                 TO MB20WS-PRINT-LINE (1:21)
031500           WHEN OTHER
031600             MOVE MTRF-K2-O88-QUAL-LEVEL
031700                                 TO MB20WS-PRINT-LINE (1:2)
031800             MOVE '-'            TO MB20WS-PRINT-LINE (3:1)
031900             MOVE MTRF-O88-QL-DESC
032000                                 TO MB20WS-PRINT-LINE (4:16)
032100         END-EVALUATE
032200         MOVE WS-D720-HIST-ID (1)
032300                                 TO MB20WS-PRINT-LINE (43:3)
032400         MOVE WS-D720-HIST-YR (1)
032500                                 TO MB20WS-PRINT-LINE (47:4)
032600         MOVE WS-D720-HIST-ID (2)
032700                                 TO MB20WS-PRINT-LINE (79:3)
032800         MOVE WS-D720-HIST-YR (2)
032900                                 TO MB20WS-PRINT-LINE (83:4)
033000         MOVE WS-D720-HIST-ID (3)
033100                                 TO MB20WS-PRINT-LINE (115:3)
033200         MOVE WS-D720-HIST-YR (3)
033300                                 TO MB20WS-PRINT-LINE (119:4)
033400         MOVE MB20WS-PRINT-LINE  TO MB20WS-SH-L7
033500         MOVE SPACES             TO MB20WS-SH-L8
033600         IF  MB20WS-LINE-COUNT IS NOT GREATER THAN
033700                                 MB20WS-LINE-LIMIT
033800             PERFORM MB22PD-PRINT-1-LINE
033900                                 THRU MB22PD-P1L-EXIT
034000         ELSE
034100             MOVE SPACES         TO MB20WS-PRINT-LINE
034200         END-IF
034300         GO TO E299-PQL-EXIT.
034400*
034500     IF  MTRF-K2-O88-RT-QL-DETAIL
034600         IF  MB20WS-PRINT-LINE IS NOT EQUAL TO SPACES
034700             PERFORM MB22PD-PRINT-1-LINE
034800                                 THRU MB22PD-P1L-EXIT
034900         END-IF
035000         PERFORM Z100-PRINT-DETAIL
035100                                 THRU Z199-PD-EXIT
035200         GO TO E299-PQL-EXIT.
035300*
035400     IF  MTRF-K2-O88-RT-QL-TOTALS
035500         PERFORM Z400-TOTALS-PRINT
035600                                 THRU Z499-TP-EXIT
035700         GO TO E299-PQL-EXIT.
035800/
035900 E299-PQL-EXIT.
036000     EXIT.
036100/
036200 E300-PROCESS-CREDIT-PLAN SECTION.
036300 E301-PCP-BEGIN.
036400*
036500     IF  MTRF-K2-O88-RT-PROD-CP-HEADER
036600         MOVE 'CARD PRODUCT '    TO MB20WS-PRINT-LINE (52:13)
036700         MOVE MTRF-K2-O88-PRODUCT
036800                                 TO MB20WS-PRINT-LINE (66:2)
036900         MOVE '-'                TO MB20WS-PRINT-LINE (69:1)
037000         MOVE MTRF-O88-PROD-DESC TO MB20WS-PRINT-LINE (71:15)
037100         MOVE MB20WS-PRINT-LINE (52:80)
037200                                 TO MB20WS-SH-L5 (52:80)
037300         IF  MB20WS-LINE-COUNT IS NOT GREATER THAN
037400                                 MB20WS-LINE-LIMIT
037500             PERFORM MB22PD-PRINT-2-LINES
037600                                 THRU MB22PD-P2L-EXIT
037700         ELSE
037800             MOVE SPACES         TO MB20WS-PRINT-LINE
037900         END-IF
038000         GO TO E399-PCP-EXIT.
038100*
038200     IF  MTRF-K2-O88-RT-CP-HEADER
038300         EVALUATE TRUE
038400           WHEN MTRF-K2-O88-ALL-CREDIT-PLAN
038500             MOVE 'TOTAL ALL CREDIT PLAN'
038600                                 TO MB20WS-PRINT-LINE (1:21)
038700           WHEN OTHER
038800             MOVE 'CREDIT PLAN '
038900                                 TO MB20WS-PRINT-LINE (1:12)
039000             MOVE MTRF-K2-O88-CREDIT-PLAN
039100                                 TO MB20WS-PRINT-LINE (13:5)
039200         END-EVALUATE
039300         MOVE WS-D720-HIST-ID (1)
039400                                 TO MB20WS-PRINT-LINE (43:3)
039500         MOVE WS-D720-HIST-YR (1)
039600                                 TO MB20WS-PRINT-LINE (47:4)
039700         MOVE WS-D720-HIST-ID (2)
039800                                 TO MB20WS-PRINT-LINE (79:3)
039900         MOVE WS-D720-HIST-YR (2)
040000                                 TO MB20WS-PRINT-LINE (83:4)
040100         MOVE WS-D720-HIST-ID (3)
040200                                 TO MB20WS-PRINT-LINE (115:3)
040300         MOVE WS-D720-HIST-YR (3)
040400                                 TO MB20WS-PRINT-LINE (119:4)
040500         MOVE MB20WS-PRINT-LINE  TO MB20WS-SH-L7
040600         MOVE SPACES             TO MB20WS-SH-L8
040700         IF  MB20WS-LINE-COUNT IS NOT GREATER THAN
040800                                 MB20WS-LINE-LIMIT
040900             PERFORM MB22PD-PRINT-1-LINE
041000                                 THRU MB22PD-P1L-EXIT
041100         ELSE
041200             MOVE SPACES         TO MB20WS-PRINT-LINE
041300         END-IF
041400         GO TO E399-PCP-EXIT.
041500*
041600     IF  MTRF-K2-O88-RT-CP-DETAIL
041700         IF  MB20WS-PRINT-LINE IS NOT EQUAL TO SPACES
041800             PERFORM MB22PD-PRINT-1-LINE
041900                                 THRU MB22PD-P1L-EXIT
042000         END-IF
042100         PERFORM Z100-PRINT-DETAIL
042200                                 THRU Z199-PD-EXIT
042300         GO TO E399-PCP-EXIT.
042400*
042500     IF  MTRF-K2-O88-RT-CP-TOTALS
042600         PERFORM Z400-TOTALS-PRINT
042700                                 THRU Z499-TP-EXIT
042800         GO TO E399-PCP-EXIT.
042900/
043000 E399-PCP-EXIT.
043100     EXIT.
043200/
043300 E400-PROCESS-HISTORY SECTION.
043400 E401-PH-BEGIN.
043500*
043600     IF  MTRF-K2-O88-RT-HIST-HEADER
043700         MOVE '                SALES                RETURNS'
043800                                 TO MB20WS-SH-L7R-1
043900         MOVE '        RECOVERY ADJUSTMENTS       ADJUSTMEN'
044000                                 TO MB20WS-SH-L7R-2
044100         MOVE 'TS          AVERAGE                 TOTAL   '
044200                                 TO MB20WS-SH-L7R-3
044300         MOVE '           NUMBER / AMOUNT       NUMBER / AM'
044400                                 TO MB20WS-SH-L8R-1
044500         MOVE 'OUNT       NUMBER / AMOUNT       NUMBER / AM'
044600                                 TO MB20WS-SH-L8R-2
044700         MOVE 'OUNT         TICKET                INCOME   '
044800                                 TO MB20WS-SH-L8R-3
044900         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT
045000         GO TO E499-PH-EXIT.
045100*
045200     IF  MTRF-K2-O88-RT-HISTORICAL
045300         EVALUATE TRUE
045400           WHEN MTRF-K2-O88-HIST-MON
045500                                 IS EQUAL TO 01
045600             MOVE 'JAN'          TO WS-PL02-MONTH
045700           WHEN MTRF-K2-O88-HIST-MON
045800                                 IS EQUAL TO 02
045900             MOVE 'FEB'          TO WS-PL02-MONTH
046000           WHEN MTRF-K2-O88-HIST-MON
046100                                 IS EQUAL TO 03
046200             MOVE 'MAR'          TO WS-PL02-MONTH
046300           WHEN MTRF-K2-O88-HIST-MON
046400                                 IS EQUAL TO 04
046500             MOVE 'APR'          TO WS-PL02-MONTH
046600           WHEN MTRF-K2-O88-HIST-MON
046700                                 IS EQUAL TO 05
046800             MOVE 'MAY'          TO WS-PL02-MONTH
046900           WHEN MTRF-K2-O88-HIST-MON
047000                                 IS EQUAL TO 06
047100             MOVE 'JUN'          TO WS-PL02-MONTH
047200           WHEN MTRF-K2-O88-HIST-MON
047300                                 IS EQUAL TO 07
047400             MOVE 'JUL'          TO WS-PL02-MONTH
047500           WHEN MTRF-K2-O88-HIST-MON
047600                                 IS EQUAL TO 08
047700             MOVE 'AUG'          TO WS-PL02-MONTH
047800           WHEN MTRF-K2-O88-HIST-MON
047900                                 IS EQUAL TO 09
048000             MOVE 'SEP'          TO WS-PL02-MONTH
048100           WHEN MTRF-K2-O88-HIST-MON
048200                                 IS EQUAL TO 10
048300             MOVE 'OCT'          TO WS-PL02-MONTH
048400           WHEN MTRF-K2-O88-HIST-MON
048500                                 IS EQUAL TO 11
048600             MOVE 'NOV'          TO WS-PL02-MONTH
048700           WHEN MTRF-K2-O88-HIST-MON
048800                                 IS EQUAL TO 12
048900             MOVE 'DEC'          TO WS-PL02-MONTH
049000         END-EVALUATE
049100         MOVE MTRF-O88-SALES-NBR TO SS95WS-IN-NBR
049200         PERFORM SS95PD-NAP-ROUTINE
049300                                 THRU SS95PD-NAP-EXIT
049400         MOVE SS95WS-OUT-NBR-L14 TO WS-PL02-SALES-NBR
049500         MOVE MTRF-O88-RETURNS-NBR
049600                                 TO SS95WS-IN-NBR
049700         PERFORM SS95PD-NAP-ROUTINE
049800                                 THRU SS95PD-NAP-EXIT
049900         MOVE SS95WS-OUT-NBR-L14 TO WS-PL02-RETURNS-NBR
050000         MOVE MTRF-O88-RECOVERY-ADJ-NBR
050100                                 TO SS95WS-IN-NBR
050200         PERFORM SS95PD-NAP-ROUTINE
050300                                 THRU SS95PD-NAP-EXIT
050400         MOVE SS95WS-OUT-NBR-L14 TO WS-PL02-REC-ADJ-NBR
050500         MOVE MTRF-O88-ADJUSTMENT-NBR
050600                                 TO SS95WS-IN-NBR
050700         PERFORM SS95PD-NAP-ROUTINE
050800                                 THRU SS95PD-NAP-EXIT
050900         MOVE SS95WS-OUT-NBR-L14 TO WS-PL02-ADJ-NBR
051000         MOVE MTRF-O88-AVG-TKT   TO SS95WS-IN-NBR
051100         PERFORM SS95PD-NAP-ROUTINE
051200                                 THRU SS95PD-NAP-EXIT
051300         MOVE SS95WS-OUT-NBR-L14 TO WS-PL02-AVG-TKT-NBR
051400         MOVE MTRF-O88-TOT-INCOME-AMT
051500                                 TO SS95WS-IN-AMT
051600         PERFORM SS95PD-NAP-ROUTINE
051700                                 THRU SS95PD-NAP-EXIT
051800         MOVE SS95WS-OUT-AMT-L21 TO WS-PL02-TOT-INCOME
051900         PERFORM MB22PD-PRINT-1-LINE
052000                                 THRU MB22PD-P1L-EXIT
052100*
052200         MOVE MTRF-K2-O88-HIST-YEAR
052300                                 TO WS-PL03-YEAR
052400         MOVE MTRF-O88-SALES-AMT TO SS95WS-IN-AMT
052500         PERFORM SS95PD-NAP-ROUTINE
052600                                 THRU SS95PD-NAP-EXIT
052700         MOVE SS95WS-OUT-AMT-L21 TO WS-PL03-SALES-AMT
052800         MOVE MTRF-O88-RETURNS-AMT
052900                                 TO SS95WS-IN-AMT
053000         PERFORM SS95PD-NAP-ROUTINE
053100                                 THRU SS95PD-NAP-EXIT
053200         MOVE SS95WS-OUT-AMT-L21 TO WS-PL03-RETURNS-AMT
053300         MOVE MTRF-O88-RECOVERY-ADJ-AMT
053400                                 TO SS95WS-IN-AMT
053500         PERFORM SS95PD-NAP-ROUTINE
053600                                 THRU SS95PD-NAP-EXIT
053700         MOVE SS95WS-OUT-AMT-L21 TO WS-PL03-REC-ADJ-AMT
053800         MOVE MTRF-O88-ADJUSTMENT-AMT
053900                                 TO SS95WS-IN-AMT
054000         PERFORM SS95PD-NAP-ROUTINE
054100                                 THRU SS95PD-NAP-EXIT
054200         MOVE SS95WS-OUT-AMT-L21 TO WS-PL03-ADJ-AMT
054300         PERFORM MB22PD-PRINT-2-LINES
054400                                 THRU MB22PD-P2L-EXIT.
054500*
054600 E499-PH-EXIT.
054700     EXIT.
054800/
054900 H000-HEADER-RECORD SECTION.
055000 H010-HR-BEGIN.
055100*
055200     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
055300     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
055400     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
055500     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
055600     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
055700     MOVE 'O88'                  TO MB20WS-SH-INTERNAL-RPT-ID.
055800     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
055900     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
056000     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
056100     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
056200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
056300        THRU SS26PD-NED-EXIT.
056400     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
056500     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
056600     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
056700*
056800     MOVE '                                            '
056900                                 TO MB20WS-SH-L5R-1.
057000     MOVE '                                            '
057100                                 TO MB20WS-SH-L5R-2.
057200     MOVE '                                            '
057300                                 TO MB20WS-SH-L5R-3.
057400*
057500     MOVE '                                            '
057600                                 TO MB20WS-SH-L6R-1.
057700     MOVE '                                            '
057800                                 TO MB20WS-SH-L6R-2.
057900     MOVE '                                            '
058000                                 TO MB20WS-SH-L6R-3.
058100*
058200     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
058300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
058400     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
058500     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
058600     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
058700     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
058800     SET SS95WS-FUNCTION-INITIALIZE
058900                                 TO TRUE.
059000     PERFORM SS95PD-NAP-ROUTINE
059100        THRU SS95PD-NAP-EXIT.
059200*
059300     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
059400     MOVE 'N'                    TO WS-D72088-ACTIVITY-SW.
059500     MOVE MTRF-RECORD            TO MTR9-RECORD.
059600*
059700 H099-HR-EXIT.
059800     EXIT.
059900/
060000 T000-TRAILER-RECORD SECTION.
060100 T010-TR-BEGIN.
060200     MOVE MTR9-RECORD            TO MTRF-RECORD.
060300*
060400     IF  WS-D72088-ACTIVITY-SW IS EQUAL TO 'N'
060500         IF  MTRF-HD-AF-PRODUCE
060600             MOVE 'O88'          TO MB20WS-SH-INTERNAL-RPT-ID
060700             MOVE MTRF-K1-ORG    TO MB20WS-SH-ORG
060800             MOVE MTRF-HD-ORG-NAME
060900                                 TO MB20WS-SH-ORG-NAME
061000             MOVE MTRF-HD-RPT-TITLE
061100                                 TO MB20WS-SH-RPT-NAME
061200             PERFORM MB22PD-PRINT-NO-ACTIVITY
061300                                 THRU MB22PD-PNA-EXIT
061400             GO TO T099-TR-EXIT
061500         ELSE
061600             GO TO T099-TR-EXIT.
061700*
061800 T099-TR-EXIT.
061900     EXIT.
062000/
062100 Z100-PRINT-DETAIL SECTION.
062200 Z101-PD-BEGIN.
062300*
062400     MOVE 2                  TO WS-D720-LINE-CHECK.
062500     PERFORM 9100-CHECK-NBR-LINES
062600        THRU 9199-CNL-EXIT.
062700*
062800     MOVE MTRF-K2-O88-LOGIC-MODULE
062900                                 TO MMTCWS-LOGIC-MODULE.
063000     PERFORM Z200-SEARCH-MMGDTB  THRU Z299-SM-EXIT.
063100     PERFORM Z300-SEARCH-GEN-TRANS
063200                                 THRU Z399-SGT-EXIT.
063300     MOVE MMGDTB-DT-RPT-DESC (X-MMGDTB-DT-SEARCH)
063400                                 TO WS-PL00-DESC.
063500     MOVE MTRF-O88-NBR-DET (1)   TO SS95WS-IN-NBR.
063600     PERFORM SS95PD-NAP-ROUTINE
063700                                 THRU SS95PD-NAP-EXIT.
063800     MOVE SS95WS-OUT-NBR-L14     TO WS-PL00-PERIOD-1-NBR.
063900     MOVE MTRF-O88-NBR-DET (2)   TO SS95WS-IN-NBR.
064000     PERFORM SS95PD-NAP-ROUTINE
064100                                 THRU SS95PD-NAP-EXIT.
064200     MOVE SS95WS-OUT-NBR-L14     TO WS-PL00-PERIOD-2-NBR.
064300     MOVE MTRF-O88-NBR-DET (3)   TO SS95WS-IN-NBR.
064400     PERFORM SS95PD-NAP-ROUTINE
064500                                 THRU SS95PD-NAP-EXIT.
064600     MOVE SS95WS-OUT-NBR-L14     TO WS-PL00-PERIOD-3-NBR
064700*
064800     MOVE MTRF-O88-AMT-DET (1)   TO SS95WS-IN-AMT.
064900     PERFORM SS95PD-NAP-ROUTINE
065000                                 THRU SS95PD-NAP-EXIT.
065100     MOVE SS95WS-OUT-AMT-L21     TO WS-PL00-PERIOD-1-AMT.
065200     MOVE MTRF-O88-AMT-DET (2)   TO SS95WS-IN-AMT.
065300     PERFORM SS95PD-NAP-ROUTINE
065400                                 THRU SS95PD-NAP-EXIT.
065500     MOVE SS95WS-OUT-AMT-L21     TO WS-PL00-PERIOD-2-AMT.
065600     MOVE MTRF-O88-AMT-DET (3)   TO SS95WS-IN-AMT.
065700     PERFORM SS95PD-NAP-ROUTINE
065800                                 THRU SS95PD-NAP-EXIT.
065900     MOVE SS95WS-OUT-AMT-L21     TO WS-PL00-PERIOD-3-AMT.
066000     PERFORM MB22PD-PRINT-1-LINE
066100                                 THRU MB22PD-P1L-EXIT.
066200*
066300 Z199-PD-EXIT.
066400     EXIT.
066500/
066600 Z200-SEARCH-MMGDTB SECTION.
066700 Z201-SM-BEGIN.
066800*
066900     SET X-MMGDTB-DT-SEARCH      TO 1.
067000     SEARCH MMGDTB-DT-TABLE VARYING X-MMGDTB-DT-SEARCH
067100         AT END
067200             SET X-MMGDTB-DT-SEARCH
067300                                 TO 495
067400             MOVE '***UNKNOWN L/M DESCRIPTION***'
067500                                 TO MMGDTB-DT-DESC (495)
067600             MOVE 'UNKNOWN L/M DESC'
067700                                 TO MMGDTB-DT-RPT-DESC (495)
067800             PERFORM Z300-SEARCH-GEN-TRANS
067900                THRU Z399-SGT-EXIT
068000         WHEN MMTCWS-LOGIC-MODULE IS EQUAL TO
068100              MMGDTB-DT-LM (X-MMGDTB-DT-SEARCH)
068200             NEXT SENTENCE.
068300*
068400 Z299-SM-EXIT.
068500     EXIT.
068600/
068700 Z300-SEARCH-GEN-TRANS SECTION.
068800 Z301-SGT-BEGIN.
068900*
069000     SET X-MMGDTB-GT-SEARCH      TO 1.
069100     SEARCH MMGDTB-GT-TABLE VARYING X-MMGDTB-GT-SEARCH
069200         AT END
069300             SET X-MMGDTB-GT-SEARCH
069400                                 TO 495
069500             MOVE '***UNKNOWN L/M DESCRIPTION***'
069600                                 TO MMGDTB-GT-DESC (495)
069700             MOVE 'UNKNOWN L/M DESC'
069800                                 TO MMGDTB-GT-RPT-DESC (495)
069900         WHEN MMTCWS-LOGIC-MODULE IS EQUAL TO
070000              MMGDTB-GT-LM (X-MMGDTB-GT-SEARCH)
070100             NEXT SENTENCE.
070200*
070300     MOVE MMGDTB-GT-DESC (X-MMGDTB-GT-SEARCH)
070400                                 TO MMGDTB-DT-DESC (495).
070500     MOVE MMGDTB-GT-RPT-DESC (X-MMGDTB-GT-SEARCH)
070600                                 TO MMGDTB-DT-RPT-DESC (495).
070700*
070800 Z399-SGT-EXIT.
070900     EXIT.
071000/
071100 Z400-TOTALS-PRINT SECTION.
071200 Z401-TP-BEGIN.
071300*
071400     MOVE +6                     TO WS-D720-LINE-CHECK.
071500     PERFORM 9100-CHECK-NBR-LINES
071600                                 THRU 9199-CNL-EXIT.
071700*
071800     MOVE SPACES                 TO MB20WS-PRINT-LINE.
071900     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
072000*
072100     MOVE 'NET SALES'            TO WS-PL00-DESC.
072200     MOVE MTRF-O88-PQ-NET-SALES (1)
072300                                 TO SS95WS-IN-AMT.
072400     PERFORM SS95PD-NAP-ROUTINE
072500                                 THRU SS95PD-NAP-EXIT.
072600     MOVE SS95WS-OUT-AMT-L21     TO WS-PL00-PERIOD-1-AMT.
072700     MOVE MTRF-O88-PQ-NET-SALES (2)
072800                                TO SS95WS-IN-AMT.
072900     PERFORM SS95PD-NAP-ROUTINE
073000                                 THRU SS95PD-NAP-EXIT.
073100     MOVE SS95WS-OUT-AMT-L21     TO WS-PL00-PERIOD-2-AMT.
073200     MOVE MTRF-O88-PQ-NET-SALES (3)
073300                                TO SS95WS-IN-AMT.
073400     PERFORM SS95PD-NAP-ROUTINE
073500                                 THRU SS95PD-NAP-EXIT.
073600     MOVE SS95WS-OUT-AMT-L21     TO WS-PL00-PERIOD-3-AMT.
073700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
073800*
073900     MOVE 'AVERAGE TICKET'       TO WS-PL00-DESC.
074000     MOVE MTRF-O88-PQ-AVG-TKT (1)
074100                                 TO SS95WS-IN-AMT.
074200     PERFORM SS95PD-NAP-ROUTINE
074300                                 THRU SS95PD-NAP-EXIT.
074400     MOVE SS95WS-OUT-AMT-L21     TO WS-PL00-PERIOD-1-AMT.
074500     MOVE MTRF-O88-PQ-AVG-TKT (2)
074600                                TO SS95WS-IN-AMT.
074700     PERFORM SS95PD-NAP-ROUTINE
074800                                 THRU SS95PD-NAP-EXIT.
074900     MOVE SS95WS-OUT-AMT-L21     TO WS-PL00-PERIOD-2-AMT.
075000     MOVE MTRF-O88-PQ-AVG-TKT (3)
075100                                TO SS95WS-IN-AMT.
075200     PERFORM SS95PD-NAP-ROUTINE
075300                                 THRU SS95PD-NAP-EXIT.
075400     MOVE SS95WS-OUT-AMT-L21     TO WS-PL00-PERIOD-3-AMT.
075500     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
075600*
075700     IF  MTRF-K2-O88-RT-PROD-TOTALS
075800     AND MTRF-K2-O88-RS-PRODUCT
075900         MOVE 'TOTAL INCOME'     TO WS-PL00-DESC
076000         MOVE MTRF-O88-PQ-TOTAL-INCOME (1)
076100                                 TO SS95WS-IN-AMT
076200         PERFORM SS95PD-NAP-ROUTINE
076300                                 THRU SS95PD-NAP-EXIT
076400         MOVE SS95WS-OUT-AMT-L21 TO WS-PL00-PERIOD-1-AMT
076500         MOVE MTRF-O88-PQ-TOTAL-INCOME (2)
076600                                 TO SS95WS-IN-AMT
076700         PERFORM SS95PD-NAP-ROUTINE
076800                                 THRU SS95PD-NAP-EXIT
076900         MOVE SS95WS-OUT-AMT-L21 TO WS-PL00-PERIOD-2-AMT
077000         MOVE MTRF-O88-PQ-TOTAL-INCOME (3)
077100                                 TO SS95WS-IN-AMT
077200         PERFORM SS95PD-NAP-ROUTINE
077300                                 THRU SS95PD-NAP-EXIT
077400         MOVE SS95WS-OUT-AMT-L21 TO WS-PL00-PERIOD-3-AMT
077500         PERFORM MB22PD-PRINT-1-LINE
077600                                 THRU MB22PD-P1L-EXIT.
077700*
077800         PERFORM MB22PD-PRINT-2-LINES
077900                                 THRU MB22PD-P2L-EXIT.
078000*
078100 Z499-TP-EXIT.
078200     EXIT.
078300/
078400 9000-PERFORMED-ROUTINES-SECT SECTION.
078500 9010-PRINT-ORG-TOTALS.
078600     MOVE 'TOTALS'               TO MB20WS-PRINT-LINE.
078700 9010-POT-EXIT.
078800     EXIT.
078900/
079000*
079100 9100-CHECK-NBR-LINES.
079200*
079300     COMPUTE MB20WS-LINES-REMAINING
079400                                 = MB20WS-LINE-LIMIT
079500                                 - MB20WS-LINE-COUNT.
079600*
079700     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
079800         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
079900*
080000 9199-CNL-EXIT.
080100     EXIT.
080200/
080300     COPY MB22PD.
080400/
080500     COPY SS95PD.
080600/
080700     COPY SS02PD.
080800/
080900     COPY SS07PD.
081000/
081100     COPY SS08PD.
081200/
081300     COPY SS16PD.
081400/
081500     COPY SS26PD.
081600/
081700     COPY SS27PD.
081800*
081900 9995-END-SOURCE-STATEMENTS SECTION.
082000 9999-END-OF-PROGRAM.
082100     EXIT.
