000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD764.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBD764 - SETTLEMENT NOTICE "PRINT ONLY" DRIVER PROGRAM  *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200 01  WS-D764-WORK-AREAS.
002300     03  WS-D764-ONLY-SW     PIC  X(01)      VALUE 'N'.
002400         88  WS-D764-FAX-ONLY-BYPASS         VALUE 'Y'.
002500         88  WS-D764-PRINT-ONLY-BYPASS       VALUE 'N'.
002600/
002700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002800/
002900     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
003000/
003100     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
003200/
003300     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
003400/
003500     COPY MB00RB REPLACING ==:MB00:== BY ==MTRF==.
003600/
003700     COPY MTRFIO REPLACING ==:MTRF:== BY ==MTRF==.
003800/
003900     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
004000/
004100     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
004200/
004300     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
004400/
004500     COPY MB00WS.
004600/
004700     COPY MB20WS.
004800/
004900     COPY MB22WS.
005000/
005100     COPY SS00WS.
005200/
005300     COPY SS01WS.
005400/
005500     COPY SS02WS.
005600*
005700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005800/
005900 PROCEDURE DIVISION.
006000 A000-MAIN-LINE-SECT SECTION.
006100 A010-ML-BEGIN.
006200*
006300     MOVE SPACES                 TO MTRF-RECORD.
006400     MOVE SPACES                 TO MB20WS-SH-L1.
006500     MOVE SPACES                 TO MB20WS-SH-L2.
006600     MOVE SPACES                 TO MB20WS-SH-L3.
006700     MOVE SPACES                 TO MB20WS-SH-L4.
006800     MOVE SPACES                 TO MB20WS-SH-L5.
006900     MOVE SPACES                 TO MB20WS-SH-L6.
007000     MOVE SPACES                 TO MB20WS-SH-L7.
007100     MOVE SPACES                 TO MB20WS-SH-L8.
007200     PERFORM A100-OPEN-FILES
007300        THRU A199-OF-EXIT.
007400*
007500     PERFORM A900-PROCESS-REPORT
007600        THRU A999-PR-EXIT.
007700*
007800     PERFORM A300-CLOSE-FILES
007900        THRU A399-CF-EXIT.
008000*
008100     STOP RUN.
008200*
008300 A099-ML-EXIT.
008400     EXIT.
008500/
008600 A100-OPEN-FILES SECTION.
008700 A110-OF-BEGIN.
008800*
008900     MOVE 'MBD764'               TO SS02WS-ABEND-PROG-ID.
009000*
009100     MOVE SS02WS-END-OF-FILE     TO MTRFRB-PERM-STATUS-1.
009200*
009300     MOVE 'O1RF'                 TO SS02WS-ABEND-LOCATION.
009400     SET MTRFRB-OPEN-INPUT       TO TRUE.
009500     PERFORM MB00PD-MTRF-ACCESS
009600        THRU MB00PD-MTRF-ACCESS-EXIT.
009700*
009800     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
009900     SET MTCCRB-OPEN-INPUT       TO TRUE.
010000     PERFORM MB00PD-MTCC-ACCESS
010100        THRU MB00PD-MTCC-ACCESS-EXIT.
010200*
010300     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
010400*
010500     PERFORM Z100-READ-CONTROL-CARD
010600        THRU Z199-RCC-EXIT
010700        UNTIL MTCC-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID.
010800*
010900     MOVE 'R1RF'                 TO SS02WS-ABEND-LOCATION.
011000     SET MTRFRB-READ-SEQ         TO TRUE.
011100     PERFORM MB00PD-MTRF-ACCESS
011200        THRU MB00PD-MTRF-ACCESS-EXIT.
011300*
011400     PERFORM MB22PD-INITIALIZE-PAGE
011500        THRU MB22PD-IP-EXIT.
011600*
011700 A199-OF-EXIT.
011800     EXIT.
011900/
012000 A300-CLOSE-FILES SECTION.
012100 A310-CF-BEGIN.
012200*
012300     MOVE 'C1RF'                 TO SS02WS-ABEND-LOCATION.
012400     SET MTRFRB-CLOSE            TO TRUE.
012500     PERFORM MB00PD-MTRF-ACCESS
012600        THRU MB00PD-MTRF-ACCESS-EXIT.
012700*
012800     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
012900     SET MTCCRB-CLOSE            TO TRUE.
013000     PERFORM MB00PD-MTCC-ACCESS
013100        THRU MB00PD-MTCC-ACCESS-EXIT.
013200*
013300     PERFORM MB20PD-CLOSE-PRINT-FILES
013400        THRU MB20PD-CPF-EXIT.
013500*
013600 A399-CF-EXIT.
013700     EXIT.
013800/
013900 A900-PROCESS-REPORT SECTION.
014000 A901-PR-BEGIN.
014100*
014200     MOVE 'R2RF'                 TO SS02WS-ABEND-LOCATION.
014300     SET MTRFRB-READ-SEQ         TO TRUE.
014400     PERFORM MB00PD-MTRF-ACCESS
014500        THRU MB00PD-MTRF-ACCESS-EXIT.
014600*
014700     IF  SS02WS-FS-END-OF-FILE
014800         GO TO A999-PR-EXIT.
014900*
015000     MOVE MTRFIO-RECORD          TO MTRF-RECORD.
015100*
015200     IF  MTRF-K1-REPORT-X IS NOT EQUAL TO 'O53'
015300         GO TO A901-PR-BEGIN.
015400*
015500     IF  MTRF-K1-RT-HEADER
015600     OR  MTRF-K1-RT-TRAILER
015700         SET WS-D764-PRINT-ONLY-BYPASS
015800                                 TO TRUE.
015900*
016000     IF  MTRF-K2-O53-NA-RECORD
016100         IF  MTRF-O53-SETT-NOTICE-NO-PRINT
016200             SET WS-D764-FAX-ONLY-BYPASS
016300                                 TO TRUE
016400         ELSE
016500             SET WS-D764-PRINT-ONLY-BYPASS
016600                                 TO TRUE.
016700*
016800     IF  WS-D764-FAX-ONLY-BYPASS
016900         GO TO A901-PR-BEGIN.
017000*
017100     IF  MTCC-MBD760-ALL
017200     OR  MTCC-MBD760-ORG-X IS EQUAL TO MTRF-K1-ORG-X
017300         NEXT SENTENCE
017400     ELSE
017500         GO TO A901-PR-BEGIN.
017600*
017700     PERFORM B000-PROCESS-REPORT-RECORD
017800        THRU B999-PRR-EXIT.
017900*
018000     GO TO A901-PR-BEGIN.
018100*
018200 A999-PR-EXIT.
018300     EXIT.
018400/
018500 B000-PROCESS-REPORT-RECORD SECTION.
018600 B010-PRR-BEGIN.
018700*
018800     IF  MTRF-K1-RPT-NBR IS EQUAL TO 53
018900         PERFORM R530-REPORT-53
019000            THRU R539-R53-EXIT
019100         PERFORM P000-PRINT-THE-REPORTS
019200            THRU P999-PTR-EXIT.
019300*
019400 B999-PRR-EXIT.
019500     EXIT.
019600/
019700 R530-REPORT-53 SECTION.
019800 R531-R53-BEGIN.
019900*
020000*
020100     CALL MB00WS-MBD74053        USING MB22WS-LINK-DATA
020200                                       MTRF-RECORD.
020300*
020400 R539-R53-EXIT.
020500     EXIT.
020600/
020700 P000-PRINT-THE-REPORTS SECTION.
020800 P010-PTR-BEGIN.
020900*
021000     PERFORM MB22PD-DRIVER-PRINT-LINES
021100        THRU MB22PD-DPL-EXIT.
021200*
021300 P999-PTR-EXIT.
021400     EXIT.
021500/
021600 Z100-READ-CONTROL-CARD SECTION.
021700 Z100-RCC-BEGIN.
021800*
021900     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
022000     SET MTCCRB-READ-SEQ         TO TRUE.
022100     PERFORM MB00PD-MTCC-ACCESS
022200        THRU MB00PD-MTCC-ACCESS-EXIT.
022300*
022400     IF  SS02WS-FS-END-OF-FILE
022500         MOVE 'ALL'              TO MTCC-RECORD
022600         MOVE 'MBD764'           TO MTCC-PROGRAM-ID
022700         GO TO Z199-RCC-EXIT.
022800*
022900     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
023000*
023100     IF  MTCC-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID
023200         GO TO Z199-RCC-EXIT.
023300*
023400     MOVE SPACES                 TO MTCC-RECORD.
023500*
023600 Z199-RCC-EXIT.
023700     EXIT.
023800/
023900 9000-PERFORMED-ROUTINES-SECT SECTION.
024000*
024100     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
024200/
024300     COPY MB00PD REPLACING ==:MB00:== BY ==MTRF==.
024400/
024500     COPY MB20PD.
024600/
024700     COPY MB22PD1.
024800/
024900     COPY SS02PD.
025000/
025100     COPY SS07PD.
025200/
025300     COPY SS08PD.
025400/
025500     COPY SS16PD.
025600/
025700     COPY SS26PD.
025800/
025900     COPY SS27PD.
026000*
026100 9995-END-SOURCE-STATEMENTS SECTION.
026200 9999-END-OF-PROGRAM.
026300     EXIT.
