000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIS09.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIS09 - ON-LINE STATEMENT                              *
000800*                SCREEN 09                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MBIS                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIS09 (SCREEN 09)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMS1 (STATEMENT FILE 1)                    *
001600*                 B. MMS2 (STATEMENT FILE 2)                    *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISC-AREAS.
003200*
003300     03  WS-WORK-AREAS.
003400         05  WS-READ-REC-900 PIC  X(04)      VALUE '0900'.
003500         05  WS-LAST-PAGE    PIC S9(04)      BINARY VALUE ZERO.
003600         05  WS-MBISTS-ITEM-NBR
003700                             PIC S9(04)      BINARY VALUE ZERO.
003800*
003900     03  WS-TS-QUEUE-NAME.
004000         05  WS-TS-QN-TERMID PIC  X(04)      VALUE SPACES.
004100         05  WS-TS-QN-TRANID PIC  X(02)      VALUE 'IS'.
004200         05  WS-TS-QN-SCRNBR PIC  X(02)      VALUE '09'.
004300*
004400     03  WS-DISPLAY-STORE-LINES.
004500         05  WS-DISPLAY-STORE-LINE-X         OCCURS 16 TIMES
004600                                             INDEXED BY
004700                                             X-WS-SL.
004800             07  WS-DISPLAY-LINE.
004900                 09  WS-DISPLAY-TOT-DESC.
005000                     11  WS-DISP-LINE-DESC
005100                             PIC  X(44).
005200                     11  WS-DISP-LINE-NBR
005300                             PIC  X(12).
005400                  09  WS-DISP-LINE-AMT
005500                             PIC  X(22).
005600*
005700*****************************************************************
005800*        STORE HEADER LINE                                      *
005900*****************************************************************
006000*
006100     03  WS-STORE-HEADER.
006200         05  WS-STORE-LIT-1  PIC  X(06)      VALUE 'STORE '.
006300         05  WS-STORE-NBR    PIC  ZZZZZZZZ9.
006400         05  WS-FILLER-1     PIC  X(02)      VALUE SPACES.
006500         05  WS-STORE-NAME   PIC  X(25).
006600         05  WS-PROD-LIT-3   PIC  X(32)      VALUE
006700                         '      NUMBER              AMOUNT'.
006800*
006900*****************************************************************
007000*        GROSS/NET LINE DESCRIPTIONS AND HEADER LITERAL         *
007100*****************************************************************
007200*
007300     03  WS-STORE-DESC-TABLE.
007400         05  WS-SALES-DESC   PIC  X(44)      VALUE
007500                   '  SALES .................................   '.
007600         05  WS-RTN-DESC     PIC  X(44)      VALUE
007700                   '  RETURNS ...............................   '.
007800         05  WS-NET-DESC     PIC  X(44)      VALUE
007900                   '  NET SALES .............................   '.
008000         05  WS-OTH-CR-DESC  PIC  X(44)      VALUE
008100                   '  OTHER CREDITS .........................   '.
008200         05  WS-OTH-DB-DESC  PIC  X(44)      VALUE
008300                   '  OTHER DEBITS ..........................   '.
008400*
008500 01  FILLER                  PIC  X(17)      VALUE
008600     'PROGRAM SWITCHES:'.
008700*
008800 01  WS-SWITCHES.
008900     03  WS-DATA-AVAILABLE   PIC  S9(01)     VALUE +1.
009000         88 WS-HAVE-NO-DATA                  VALUE +1.
009100         88 WS-HAVE-DATA                     VALUE +2.
009200     03  WS-900-RECORDS      PIC  S9(01)     VALUE +1.
009300         88 WS-NO-MORE-STR-REC               VALUE +1.
009400         88 WS-MORE-STR-REC                  VALUE +2.
009500     03  WS-DETAIL-AVAIL     PIC  S9(01)     VALUE +1.
009600         88 WS-HAVE-NO-DETAIL                VALUE +1.
009700         88 WS-HAVE-DETAIL                   VALUE +2.
009800     03  WS-STARTBR-SW       PIC  S9(01)     VALUE +1.
009900         88 WS-STARTBR-REQ                   VALUE +1.
010000         88 WS-STARTBR-COMPLETE              VALUE +2.
010100*
010200/
010300 01  FILLER                  PIC  X(22)      VALUE
010400     'STATEMENT WORK AREAS: '.
010500*
010600     COPY MB50WS.
010700/
010800 01  FILLER                  PIC  X(29)      VALUE
010900     'I/O REQUEST BLOCK WORK AREAS:'.
011000*
011100     COPY MBIOWS.
011200/
011300 01  FILLER                  PIC  X(18)      VALUE
011400     'I/O REQUEST BLOCK:'.
011500*
011600     COPY MBIORO.
011700/
011800 01  FILLER                  PIC  X(20)      VALUE
011900     'CCS DATE WORK AREAS:'.
012000*
012100     COPY SS01WS.
012200/
012300 01  FILLER                  PIC  X(15)      VALUE
012400     'CCS WORK AREAS:'.
012500*
012600     COPY SS08WS.
012700/
012800     COPY SS00WS.
012900/
013000     COPY SMFTWS.
013100/
013200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
013300/
013400     COPY MB61LK.
013500/
013600 01  FILLER                  PIC  X(28)      VALUE
013700     'DYNAMICALY CALLED SUBROUINES'.
013800*
013900     COPY MB00WS.
014000/
014100 01  FILLER                  PIC  X(36)      VALUE
014200     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
014300*
014400     COPY SS95WS.
014500*
014600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014700/
014800 LINKAGE SECTION.
014900*
015000 01  DFHCOMMAREA.
015100*
015200     COPY MB60WS.
015300/
015400*********************************
015500*    ON-LINE STATEMENT MAP      *
015600*********************************
015700*
015800     COPY MBIS09.
015900/
016000**********************************************
016100*    ON-LINE STATEMENT MAP REDEFINITION      *
016200**********************************************
016300*
016400     COPY MBIS09R.
016500/
016600*********************************************
016700*    STATEMENT FILE 1 RECORD LAYOUT         *
016800*********************************************
016900*
017000     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS1==.
017100/
017200*********************************************
017300*    STATEMENT FILE 2 RECORD LAYOUT         *
017400*********************************************
017500*
017600     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS2==.
017700*
017800*********************************************
017900*    TEMPORARY STORAGE RECORD               *
018000*********************************************
018100*
018200     COPY MBISTS.
018300/
018400 PROCEDURE DIVISION.
018500*
018600 A000-HOUSEKEEPING SECTION.
018700*
018800 A020-INIT.
018900*
019000     IF  MBCA-EIBAID-CLEAR
019100         PERFORM Y980-TEMP-STORAGE-DELETE
019200                                 THRU Y989-TSD-EXIT.
019300*
019400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
019500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
019600                                 THRU MB70PD-OLH-EXIT.
019700*
019800     SET SS95WS-FUNCTION-INITIALIZE
019900                                TO TRUE.
020000     PERFORM SS95PD-NAP-ROUTINE
020100        THRU SS95PD-NAP-EXIT.
020200*
020300     MOVE MBCA-TERMINAL-ID       TO WS-TS-QN-TERMID.
020400     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
020500*
020600     IF  MBCA-RECEIVE-SCREEN
020700         GO TO C000-RECEIVE-SCREEN.
020800/
020900 B000-SEND-SCREEN SECTION.
021000*
021100*********************************************
021200*    GET CICS STORAGE NEEDED FOR THE MAP    *
021300*********************************************
021400*
021500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
021600     PERFORM MB60PD-GETMAIN-FOR-MAP
021700                                 THRU MB60PD-GFM-EXIT.
021800*
021900*******************************************
022000*    INITIALIZE THE STANDARD MAP LINES    *
022100*******************************************
022200*
022300     PERFORM MB60PD-INIT-STD-MAP-LINES
022400                                 THRU MB60PD-ISML-EXIT.
022500*
022600 B200-FORMAT-SCREEN.
022700*
022800****************************************************************
022900*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
023000****************************************************************
023100*
023200     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
023300     PERFORM Y960-TEMP-STORAGE-GETMAIN
023400                                 THRU Y969-TSG-EXIT.
023500*
023600     EXEC CICS HANDLE CONDITION
023700               QIDERR  (B400-LOAD-DATA)
023800               ITEMERR (B300-DELETE-TEMP-STORAGE)
023900          END-EXEC.
024000*
024100***********************************************
024200*    READ THE TEMP STORAGE RECORD             *
024300***********************************************
024400*
024500     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
024600     PERFORM Y970-TEMP-STORAGE-READ
024700                                 THRU Y979-TSR-EXIT.
024800     GO TO B500-BYPASS-FORMAT-TS.
024900*
025000***********************************************
025100*    DELETE TEMP STORAGE                      *
025200***********************************************
025300*
025400 B300-DELETE-TEMP-STORAGE.
025500*
025600     MOVE 'TS05'                 TO MBCA-PROGRAM-LOCATION.
025700     PERFORM Y980-TEMP-STORAGE-DELETE
025800                                 THRU Y989-TSD-EXIT.
025900*
026000 B400-LOAD-DATA.
026100*
026200************************************************************
026300*    SINCE THERE WAS NO TEMPORARY STORAGE RECORD THIS IS   *
026400*    THE FIRST TIME IN THIS PROGRAM. READ THE STATEMENT    *
026500*    FILE AND FORMAT THE TEMPORARY STORAGE RECORD WITH     *
026600*    ALL THE SCREEN DATA REQUIRED FOR ALL PAGES TO BE      *
026700*    DISPLAYED. SET THE CURRENT PAGE TO +1. IF THERE IS    *
026800*    NO DATA TO BE DISPLAYED GET OUT OF THIS PROGRAM.      *
026900************************************************************
027000*
027100     INITIALIZE WS-DISPLAY-STORE-LINES.
027200     INITIALIZE MBISTS-DATA-AREA.
027300     SET WS-HAVE-NO-DATA         TO TRUE.
027400     SET X-WS-SL                 TO +1.
027500     MOVE ZERO                   TO MBCA-MBIS-CURRENT-PAGE.
027600     MOVE ZERO                   TO MBCA-MBIS-LAST-PAGE.
027700*
027800 B410-LOAD-NEXT-STORE.
027900*
028000     PERFORM Y600-LOAD-MB50WS-900
028100                                 THRU Y649-LM9-EXIT.
028200*
028300     EVALUATE TRUE ALSO TRUE
028400         WHEN WS-NO-MORE-STR-REC
028500         ALSO WS-HAVE-NO-DATA
028600              GO TO F000-SETUP-COMMAREA
028700         WHEN WS-NO-MORE-STR-REC
028800         ALSO WS-HAVE-DATA
028900              EVALUATE TRUE
029000              WHEN WS-HAVE-DETAIL
029100                   PERFORM Y530-MOVE-TO-TS
029200                                 THRU Y539-MTT-EXIT
029300              END-EVALUATE
029400              GO TO B450-READ-TEMP-STORAGE
029500     END-EVALUATE.
029600*
029700     EVALUATE TRUE
029800         WHEN X-WS-SL IS GREATER THAN +1
029900              SET X-WS-SL        UP BY +2
030000     END-EVALUATE.
030100*
030200     PERFORM Y730-STORE-HEADER   THRU Y739-SH-EXIT.
030300*
030400************************************************************
030500*    FORMAT DETAIL PORTION OF THE DISPLAYS                 *
030600************************************************************
030700*
030800     PERFORM Y200-FORMAT-DETAIL-DATA
030900                                 THRU Y299-FFD-EXIT.
031000*
031100     EVALUATE TRUE
031200         WHEN X-WS-SL IS GREATER THAN +12
031300              PERFORM Y530-MOVE-TO-TS
031400                                 THRU Y539-MTT-EXIT
031500     END-EVALUATE.
031600*
031700     GO TO B410-LOAD-NEXT-STORE.
031800*
031900 B450-READ-TEMP-STORAGE.
032000*
032100     MOVE +1                     TO MBCA-MBIS-CURRENT-PAGE.
032200     MOVE WS-LAST-PAGE           TO MBCA-MBIS-LAST-PAGE.
032300*
032400***********************************************************
032500*    READ THE TEMP STORAGE RECORD TO GET THE FIRST PAGE   *
032600***********************************************************
032700*
032800     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
032900     PERFORM Y970-TEMP-STORAGE-READ
033000                                 THRU Y979-TSR-EXIT.
033100*
033200*********************************
033300*    FORMAT MAP STATIC FIELDS   *
033400*********************************
033500*
033600 B500-BYPASS-FORMAT-TS.
033700*
033800     EVALUATE TRUE
033900         WHEN MBCA-MBIS-CHAIN
034000              MOVE 'CHAIN'       TO IS09-MERCHANT-LIT
034100     END-EVALUATE.
034200*
034300     MOVE MBCA-ORG               TO IS09-ORG.
034400     MOVE MBCA-MERCHANT          TO IS09-MERCHANT.
034500     MOVE MBCA-MBIS-NAME         TO IS09-NAME.
034600     MOVE MBCA-MBIS-STMT-DATE    TO IS09-STMT-DATE.
034700*
034800 B800-SEND-MAP.
034900*
035000********************************************************
035100*    MOVE THE WS DISPLAY LINES TO THE SCREEN           *
035200********************************************************
035300*
035400     PERFORM Y540-MOVE-TS-TO-MAP THRU Y549-MTTM-EXIT.
035500*
035600 B900-SEND-MAP.
035700*
035800     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
035900     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
036000     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
036100     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
036200     MOVE SS08WS-LINE-24         TO IS09-PF-KEYS.
036300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
036400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
036500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
036600     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
036700*
036800     MOVE SS08WS-CURSOR          TO IS09-ALT-TRANID-L.
036900     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
037000************************************
037100*    FORMAT THE MESSAGE LINE       *
037200************************************
037300     IF IS09-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
037400        PERFORM MB06PD-FORMAT-MESSAGE-LINE
037500           THRU MB06PD-FML-EXIT
037600        MOVE SS08WS-FORMATTED-MSG TO IS09-ERR-MESSAGE.
037700
037800*
037900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
038000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
038100                                 THRU MB60PD-SMWE-EXIT.
038200*
038300************************
038400*    RETURN TO CICS    *
038500************************
038600*
038700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
038800     PERFORM MB70PD-RETURN-TRANS-ID
038900                                 THRU MB70PD-RTI-EXIT.
039000/
039100 C000-RECEIVE-SCREEN SECTION.
039200*
039300******************************************
039400*    THIS SECTION RECEIVES THE SCREEN    *
039500******************************************
039600*
039700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
039800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
039900*
040000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
040100*
040200****************************************************************
040300*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
040400****************************************************************
040500*
040600     MOVE 'TS05'                 TO MBCA-PROGRAM-LOCATION.
040700     PERFORM Y960-TEMP-STORAGE-GETMAIN
040800                                 THRU Y969-TSG-EXIT.
040900*
041000***********************************************
041100*    READ THE TEMP STORAGE RECORD             *
041200***********************************************
041300*
041400     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
041500     PERFORM Y970-TEMP-STORAGE-READ
041600                                 THRU Y979-TSR-EXIT.
041700*
041800***********************************************
041900*    IF PF3, PF4, PF5, OR PF6 WAS PRESSED     *
042000*    DO NOT DELETE TEMPORARY STORAGE.         *
042100***********************************************
042200*
042300     IF  SS08WS-VALID-PF3
042400     OR  SS08WS-EIBAID-VALID-PF3
042500     OR  SS08WS-VALID-PF4
042600     OR  SS08WS-EIBAID-VALID-PF4
042700     OR  SS08WS-VALID-PF5
042800     OR  SS08WS-EIBAID-VALID-PF5
042900     OR  SS08WS-VALID-PF6
043000     OR  SS08WS-EIBAID-VALID-PF6
043100         CONTINUE
043200     ELSE
043300         PERFORM Y980-TEMP-STORAGE-DELETE
043400                                 THRU Y989-TSD-EXIT
043500     END-IF.
043600*
043700**************************************************************
043800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
043900**************************************************************
044000*
044100 C050-CHECK-NEW-TRANS.
044200*
044300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
044400     PERFORM MB60PD-NEW-TRANS-ROUTINE
044500                                 THRU MB60PD-NTR-EXIT.
044600*
044700**************************************************************
044800*    CHECK SCREEN FOR SCROLLING                              *
044900**************************************************************
045000*
045100     IF  SS08WS-VALID-PF3
045200     OR  SS08WS-EIBAID-VALID-PF3
045300         MOVE 59                 TO MBCA-SCREEN-NBR
045400         MOVE +1                 TO MBCA-MBIS-CURRENT-PAGE
045500         GO TO F090-TRANSFER-XCTL.
045600*
045700     IF  SS08WS-VALID-PF4
045800     OR  SS08WS-EIBAID-VALID-PF4
045900         MOVE 59                 TO MBCA-SCREEN-NBR
046000         MOVE MBCA-MBIS-LAST-PAGE
046100                                 TO MBCA-MBIS-CURRENT-PAGE
046200         GO TO F090-TRANSFER-XCTL.
046300*
046400     IF  SS08WS-VALID-PF5
046500     OR  SS08WS-EIBAID-VALID-PF5
046600         MOVE 59                 TO MBCA-SCREEN-NBR
046700         COMPUTE MBCA-MBIS-CURRENT-PAGE
046800                                 = MBCA-MBIS-CURRENT-PAGE + 1
046900         EVALUATE TRUE
047000             WHEN MBCA-MBIS-CURRENT-PAGE
047100                             IS GREATER THAN MBCA-MBIS-LAST-PAGE
047200             MOVE MBCA-MBIS-LAST-PAGE
047300                                 TO MBCA-MBIS-CURRENT-PAGE
047400         END-EVALUATE
047500         GO TO F090-TRANSFER-XCTL.
047600*
047700     IF  SS08WS-VALID-PF6
047800     OR  SS08WS-EIBAID-VALID-PF6
047900         MOVE 59                 TO MBCA-SCREEN-NBR
048000         COMPUTE MBCA-MBIS-CURRENT-PAGE
048100                                 = MBCA-MBIS-CURRENT-PAGE - 1
048200         EVALUATE TRUE
048300             WHEN MBCA-MBIS-CURRENT-PAGE
048400                                 IS LESS THAN +1
048500             MOVE +1             TO MBCA-MBIS-CURRENT-PAGE
048600         END-EVALUATE
048700         GO TO F090-TRANSFER-XCTL.
048800*
048900     IF  SS08WS-VALID-PF-KEY
049000     OR  SS08WS-EIBAID-VALID-PF-KEY
049100         SET MBCA-INITIAL-SCREEN-NBR
049200                                 TO TRUE.
049300/
049400 F000-SETUP-COMMAREA SECTION.
049500*
049600***************************************************************
049700*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
049800***************************************************************
049900*
050000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
050100*
050200     PERFORM MB60PD-EDIT-PAGE-NBR
050300                                 THRU MB60PD-EPN-EXIT.
050400*
050500 F090-TRANSFER-XCTL.
050600*
050700     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
050800     PERFORM MB70PD-XCTL-TO-MBOXCTL
050900                                 THRU MB70PD-XTM-EXIT.
051000/
051100 Y000-PERFORMED-ROUTINES SECTION.
051200*
051300*************************************************************
051400*    FORMAT THE SCREEN WITH DETAIL DATA                     *
051500*************************************************************
051600*
051700 Y200-FORMAT-DETAIL-DATA.
051800*
051900     SET WS-HAVE-DETAIL          TO TRUE.
052000*
052100     SET X-WS-SL                 UP BY +1.
052200     MOVE WS-SALES-DESC          TO WS-DISP-LINE-DESC   (X-WS-SL).
052300     MOVE MB50WS-STORE-SALES-NBR TO SS95WS-IN-NBR.
052400     MOVE MB50WS-STORE-SALES-AMT TO SS95WS-IN-AMT.
052500     PERFORM SS95PD-NAP-ROUTINE
052600                                 THRU SS95PD-NAP-EXIT.
052700     MOVE SS95WS-OUT-NBR-L12     TO WS-DISP-LINE-NBR    (X-WS-SL).
052800     MOVE SS95WS-OUT-AMT-L22     TO WS-DISP-LINE-AMT    (X-WS-SL).
052900*
053000     SET X-WS-SL                 UP BY +1.
053100     MOVE WS-RTN-DESC            TO WS-DISP-LINE-DESC   (X-WS-SL).
053200     MOVE MB50WS-STORE-RETURNS-NBR
053300                                 TO SS95WS-IN-NBR.
053400     MOVE MB50WS-STORE-RETURNS-AMT
053500                                 TO SS95WS-IN-AMT.
053600     PERFORM SS95PD-NAP-ROUTINE
053700                                 THRU SS95PD-NAP-EXIT.
053800     MOVE SS95WS-OUT-NBR-L12     TO WS-DISP-LINE-NBR    (X-WS-SL).
053900     MOVE SS95WS-OUT-AMT-L22     TO WS-DISP-LINE-AMT    (X-WS-SL).
054000*
054100     SET X-WS-SL                 UP BY +1.
054200     MOVE WS-NET-DESC            TO WS-DISP-LINE-DESC   (X-WS-SL).
054300     COMPUTE SS95WS-IN-AMT       = MB50WS-STORE-SALES-AMT
054400                                 + MB50WS-STORE-RETURNS-AMT.
054500     PERFORM SS95PD-NAP-ROUTINE
054600                                 THRU SS95PD-NAP-EXIT.
054700     MOVE SS95WS-OUT-AMT-L22     TO WS-DISP-LINE-AMT    (X-WS-SL).
054800*
054900     SET X-WS-SL                 UP BY +1.
055000     MOVE WS-OTH-CR-DESC         TO WS-DISP-LINE-DESC   (X-WS-SL).
055100     MOVE MB50WS-STORE-OTHER-CR-NBR
055200                                 TO SS95WS-IN-NBR.
055300     MOVE MB50WS-STORE-OTHER-CR-AMT
055400                                 TO SS95WS-IN-AMT.
055500     PERFORM SS95PD-NAP-ROUTINE
055600                                 THRU SS95PD-NAP-EXIT.
055700     MOVE SS95WS-OUT-NBR-L12     TO WS-DISP-LINE-NBR    (X-WS-SL).
055800     MOVE SS95WS-OUT-AMT-L22     TO WS-DISP-LINE-AMT    (X-WS-SL).
055900*
056000     SET X-WS-SL                 UP BY +1.
056100     MOVE WS-OTH-DB-DESC         TO WS-DISP-LINE-DESC   (X-WS-SL).
056200     MOVE MB50WS-STORE-OTHER-DR-NBR
056300                                 TO SS95WS-IN-NBR.
056400     MOVE MB50WS-STORE-OTHER-DR-AMT
056500                                 TO SS95WS-IN-AMT.
056600     PERFORM SS95PD-NAP-ROUTINE
056700                                 THRU SS95PD-NAP-EXIT.
056800     MOVE SS95WS-OUT-NBR-L12     TO WS-DISP-LINE-NBR    (X-WS-SL).
056900     MOVE SS95WS-OUT-AMT-L22     TO WS-DISP-LINE-AMT    (X-WS-SL).
057000*
057100 Y299-FFD-EXIT.
057200     EXIT.
057300/
057400******************************************************************
057500*    MOVE SCREEN DATA LINES TO TEMP STORAGE RECORD.              *
057600******************************************************************
057700*
057800 Y530-MOVE-TO-TS.
057900*
058000     EVALUATE TRUE
058100         WHEN WS-HAVE-NO-DETAIL
058200              GO TO Y539-MTT-EXIT
058300     END-EVALUATE.
058400*
058500     SET X-MBISTS-DA             TO +1.
058600*
058700     PERFORM
058800         VARYING X-WS-SL FROM +1 BY +1
058900         UNTIL X-WS-SL           IS GREATER THAN +16
059000             MOVE WS-DISPLAY-LINE                       (X-WS-SL)
059100                                 TO MBISTS-LINE     (X-MBISTS-DA)
059200             SET X-MBISTS-DA     UP BY +1
059300     END-PERFORM.
059400*
059500     INITIALIZE WS-DISPLAY-STORE-LINES.
059600     SET X-WS-SL                 TO +1.
059700     SET WS-HAVE-NO-DETAIL       TO TRUE.
059800     PERFORM Y990-TEMP-STORAGE-WRITE
059900                                 THRU Y999-TSW-EXIT.
060000*
060100 Y539-MTT-EXIT.
060200     EXIT.
060300/
060400******************************************************************
060500*    MOVE TEMP STORAGE DATA TO THE MAP                           *
060600******************************************************************
060700*
060800 Y540-MOVE-TS-TO-MAP.
060900*
061000     SET X-MBISTS-DA             TO +1.
061100*
061200     PERFORM
061300         VARYING X-IS09-SL FROM +1 BY +1
061400         UNTIL X-IS09-SL         IS GREATER THAN +16
061500             MOVE MBISTS-LINE    (X-MBISTS-DA)
061600                                 TO IS09-STORE-LINE   (X-IS09-SL)
061700             SET X-MBISTS-DA     UP BY +1
061800     END-PERFORM.
061900*
062000     EVALUATE TRUE ALSO TRUE
062100         WHEN MBCA-MBIS-CURRENT-PAGE
062200                                 IS EQUAL TO +1
062300         ALSO MBCA-MBIS-CURRENT-PAGE
062400                                 IS LESS THAN MBCA-MBIS-LAST-PAGE
062500              MOVE DFHBMASB      TO IS09-FWD-IND-A
062600         WHEN MBCA-MBIS-CURRENT-PAGE
062700                                 IS EQUAL TO MBCA-MBIS-LAST-PAGE
062800         ALSO MBCA-MBIS-CURRENT-PAGE
062900                                 IS GREATER THAN +1
063000              MOVE DFHBMASB      TO IS09-BACK-IND-A
063100         WHEN MBCA-MBIS-CURRENT-PAGE
063200                                 IS EQUAL TO MBCA-MBIS-LAST-PAGE
063300         ALSO MBCA-MBIS-CURRENT-PAGE
063400                                 IS EQUAL TO +1
063500              CONTINUE
063600         WHEN OTHER
063700              MOVE DFHBMASB      TO IS09-FWD-IND-A
063800              MOVE DFHBMASB      TO IS09-BACK-IND-A
063900     END-EVALUATE.
064000*
064100 Y549-MTTM-EXIT.
064200     EXIT.
064300/
064400******************************************************************
064500*    LOAD THE MB50WS RECORD 600 DATA AREA WITH FIELDS CONTAINED  *
064600*    ON THE STATEMENT FILE. IT IS POSSIBLE TO HAVE MORE THAN 1   *
064700*    STATEMENT RECORD.                                           *
064800******************************************************************
064900*
065000 Y600-LOAD-MB50WS-900.
065100*
065200****************************************************************
065300*    ONLY ONE START BROWSE IS REQUIRED                         *
065400****************************************************************
065500*
065600     EVALUATE TRUE
065700         WHEN WS-STARTBR-COMPLETE
065800              GO TO Y610-READ-LOOP
065900     END-EVALUATE.
066000*
066100**************************************************************
066200*    IF STATEMENT SELECTED IS ON THE MMS2 FILE THE MMS2      *
066300*    RECORD IS MOVED TO THE MMS1 RECORD FOR PROCESSING SO    *
066400*    A GETMAIN MUST PERFORMED TO PROVIDE THE WORK AREA.      *
066500**************************************************************
066600*
066700     EVALUATE TRUE ALSO TRUE
066800         WHEN MBCA-MBIS-MMS2
066900         ALSO MBIOWS-MMS1-GETMAIN-REQUIRED
067000              MOVE 'FC20'        TO MBCA-PROGRAM-LOCATION
067100              SET MBIORO-GETMAIN TO TRUE
067200              PERFORM MMS1AO-ACCESS
067300                                 THRU MMS1AO-ACCESS-EXIT
067400     END-EVALUATE.
067500*
067600****************************************************************
067700*    START BROWSE THE STATEMENT FILE                           *
067800****************************************************************
067900*
068000     IF  MBCA-MBIS-MMS1
068100         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS1-ORG-MERCHANT
068200         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS1-KEY-TYPE
068300         MOVE MBCA-MBIS-STMT-ID-CODE
068400                                 TO MBIOWS-MMS1-STMT-ID-CODE
068500         MOVE WS-READ-REC-900    TO MBIOWS-MMS1-REC-ID
068600         MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1
068700         MOVE 'FC01'             TO MBCA-PROGRAM-LOCATION
068800         SET MBIORO-STARTBR-GTE  TO TRUE
068900         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
069000     ELSE
069100         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS2-ORG-MERCHANT
069200         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS2-KEY-TYPE
069300         MOVE MBCA-MBIS-STMT-ID-CODE
069400                                 TO MBIOWS-MMS2-STMT-ID-CODE
069500         MOVE WS-READ-REC-900    TO MBIOWS-MMS2-REC-ID
069600         MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1
069700         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
069800         SET MBIORO-STARTBR-GTE  TO TRUE
069900         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT
070000         MOVE MMS2-RECORD        TO MMS1-RECORD.
070100*
070200     IF SS08WS-RC-FC-ENDFILE
070300         GO TO Y645-END-BROWSE.
070400*
070500     SET WS-STARTBR-COMPLETE     TO TRUE.
070600*
070700 Y610-READ-LOOP.
070800*
070900****************************************************************
071000*    READNEXT THE STATEMENT FILE                               *
071100****************************************************************
071200*
071300     IF  MBCA-MBIS-MMS1
071400         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
071500         SET MBIORO-READ-SEQ     TO TRUE
071600         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
071700     ELSE
071800         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
071900         SET MBIORO-READ-SEQ     TO TRUE
072000         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT
072100         MOVE MMS2-RECORD        TO MMS1-RECORD.
072200*
072300     IF  NOT MMS1-O50-STORE-SUMMARY
072400         SET WS-NO-MORE-STR-REC TO TRUE
072500         GO TO Y645-END-BROWSE.
072600*
072700     SET WS-MORE-STR-REC         TO TRUE.
072800     SET WS-HAVE-DATA            TO TRUE.
072900     MOVE MMS1-REC-TYPE-DATA     TO MB50WS-STORE-AREA.
073000     GO TO Y649-LM9-EXIT.
073100*
073200****************************************************************
073300*    END BROWSE THE STATEMENT FILE                             *
073400****************************************************************
073500*
073600 Y645-END-BROWSE.
073700*
073800     IF  MBCA-MBIS-MMS1
073900         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
074000         SET MBIORO-ENDBR        TO TRUE
074100         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
074200     ELSE
074300         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
074400         SET MBIORO-ENDBR        TO TRUE
074500         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT.
074600*
074700 Y649-LM9-EXIT.
074800     EXIT.
074900/
075000*****************************************************************
075100*    FORMAT THE STORE HEADER LINE                               *
075200*****************************************************************
075300*
075400 Y730-STORE-HEADER.
075500*
075600     MOVE MMS1-REC-ID-SEQ        TO WS-STORE-NBR.
075700     MOVE MB50WS-STORE-DBA-NAME  TO WS-STORE-NAME.
075800     MOVE WS-STORE-HEADER        TO WS-DISPLAY-LINE     (X-WS-SL).
075900*
076000 Y739-SH-EXIT.
076100     EXIT.
076200*
076300******************************************
076400*    GET STORAGE FOR TEMPORARY STORAGE   *
076500******************************************
076600*
076700 Y960-TEMP-STORAGE-GETMAIN.
076800*
076900     EXEC CICS GETMAIN
077000               FLENGTH (LENGTH  OF MBISTS-RECORD)
077100               SET     (ADDRESS OF MBISTS-RECORD)
077200          END-EXEC.
077300*
077400 Y969-TSG-EXIT.
077500     EXIT.
077600*
077700******************************************
077800*    READ TEMPROARY STORAGE              *
077900******************************************
078000*
078100 Y970-TEMP-STORAGE-READ.
078200*
078300     EXEC CICS READQ TS
078400               QUEUE   (WS-TS-QUEUE-NAME)
078500               INTO    (MBISTS-RECORD)
078600               LENGTH  (LENGTH OF MBISTS-RECORD)
078700               ITEM    (MBCA-MBIS-CURRENT-PAGE)
078800          END-EXEC.
078900*
079000 Y979-TSR-EXIT.
079100     EXIT.
079200*
079300******************************************
079400*    DELETE TEMPROARY STORAGE            *
079500******************************************
079600*
079700 Y980-TEMP-STORAGE-DELETE.
079800*
079900     EXEC CICS IGNORE CONDITION
080000               QIDERR
080100          END-EXEC.
080200*
080300     EXEC CICS DELETEQ TS
080400               QUEUE  (WS-TS-QUEUE-NAME)
080500          END-EXEC.
080600*
080700     MOVE ZERO                   TO MBCA-MBIS-CURRENT-PAGE.
080800     MOVE ZERO                   TO MBCA-MBIS-LAST-PAGE.
080900*
081000 Y989-TSD-EXIT.
081100     EXIT.
081200*
081300******************************************
081400*    WRITE TEMPROARY STORAGE             *
081500******************************************
081600*
081700 Y990-TEMP-STORAGE-WRITE.
081800*
081900     EXEC CICS WRITEQ TS
082000               QUEUE   (WS-TS-QUEUE-NAME)
082100               FROM    (MBISTS-RECORD)
082200               LENGTH  (LENGTH OF MBISTS-RECORD)
082300               ITEM    (WS-MBISTS-ITEM-NBR)
082400          END-EXEC.
082500*
082600     MOVE WS-MBISTS-ITEM-NBR     TO WS-LAST-PAGE.
082700*
082800 Y999-TSW-EXIT.
082900     EXIT.
083000*
083100/
083200 Z000-COPIED-ROUTINES SECTION.
083300*
083400**********************************
083500*    JUL TO GREG DATE ROUTINE    *
083600**********************************
083700*
083800     COPY SS08PD.
083900/
084000**********************************
084100*    DATE AND TIME EDIT ROUTINES *
084200**********************************
084300*
084400     COPY SS26PD.
084500     COPY SS27PD.
084600/
084700**********************************
084800*    GREG TO JUL DATE ROUTINE    *
084900**********************************
085000*
085100     COPY SS07PD.
085200/
085300*********************************
085400*    LINE 24 PF KEYS ROUTINE    *
085500*********************************
085600*
085700     COPY SS15PD.
085800/
085900***************************************************
086000*    STATEMENT FILE 1                             *
086100***************************************************
086200*
086300     COPY MMS1AO.
086400/
086500***************************************************
086600*    STATEMENT FILE 2                             *
086700***************************************************
086800*
086900     COPY MMS2AO.
087000/
087100***************************************************
087200*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
087300***************************************************
087400*
087500     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
087600/
087700*****************************
087800*    ONLINE MAP ROUTINES    *
087900*****************************
088000*
088100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIS09 '
088200                           MBMAPXXI BY MBIS09I
088300                           MBMAPXXO BY MBIS09O.
088400/
088500*****************************
088600*    MESSAGE FORMAT ROUTINE *
088700*****************************
088800*
088900     COPY MB06PD.
089000/
089100***************************
089200*    ONLINE PROCEDURES    *
089300***************************
089400*
089500     COPY MB70PD.
089600/
089700/
089800     COPY SMFTPXO.
