000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMS04.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMS04 - STORE MASTER RECORD ADD/MAINT/INQ              *
000800*                SCREEN 04                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAS                                       *
001200*                 B. MBMS                                       *
001300*                 C. MBQS                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMS04 (SCREEN 04)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMSM (STORE MASTER FILE)                   *
001800*                 B. MMMM (MERCHANT MASTER FILE)                *
001900*                 C. MMFS (FIELD SECURITY FILE)                 *
002000*                 D. MMOC (ORG CONTROL FILE)                    *
002100*                 E. MML1 (LOG FILE)                            *
002200*                                                               *
002300*****************************************************************
002400*
002500 ENVIRONMENT DIVISION.
002600*
002700 DATA DIVISION.
002800*
002900 WORKING-STORAGE SECTION.
003000*
003100 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003200*
003300 01  FILLER                  PIC  X(14)      VALUE
003400     'MISCELLANEOUS:'.
003500*
003600 01  WS-MISCELLANEOUS.
003700     03  WS-NBR-BULLETINS    PIC S9(05)      COMP-3
003800                                             VALUE ZEROES.
003900     03  WS-FIELD-POSITION   PIC  9(03)      VALUE ZEROES.
004000     03  WS-INDEX-X.
004100         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
004200*
004300 01  FILLER                  PIC  X(17)      VALUE
004400     'PROGRAM SWITCHES:'.
004500*
004600 01  WS-PROGRAM-SWITCHES.
004700     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004800         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004900         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005000     03  WS-MMSM-WRITE-SW    PIC  X(01)      VALUE 'N'.
005100         88  WS-MMSM-WRITE                   VALUE 'Y'.
005200         88  WS-MMSM-NO-WRITE                VALUE 'N'.
005300     03  WS-VISIT-ERROR-SW   PIC  X(01)      VALUE 'N'.
005400         88  VISIT-ERRORS-EXIST              VALUE 'Y'.
005500         88  NO-VISIT-ERRORS-EXIST           VALUE 'N'.
005600     03  WS-VISIT-DATE-CALCULATED-SW
005700                             PIC  X(01)      VALUE 'N'.
005800         88  VISIT-DATE-WAS-CALCULATED       VALUE 'Y'.
005900         88  VISIT-DATE-NOT-CALCULATED       VALUE 'N'.
006000     03  WS-REVIEW-ERROR-SW  PIC  X(01)      VALUE 'N'.
006100         88  REVIEW-ERRORS-EXIST             VALUE 'Y'.
006200         88  NO-REVIEW-ERRORS-EXIST          VALUE 'N'.
006300     03  WS-REVIEW-DATE-CALCULATED-SW
006400                             PIC  X(01)      VALUE 'N'.
006500         88  REVIEW-DATE-WAS-CALCULATED      VALUE 'Y'.
006600         88  REVIEW-DATE-NOT-CALCULATED      VALUE 'N'.
006700     03  WS-NEXT-REVIEW-SW   PIC  X(01)      VALUE 'N'.
006800         88  WS-NEXT-REVIEW-UPDATE           VALUE 'Y'.
006900     03  WS-NEXT-VISIT-SW    PIC  X(01)      VALUE 'N'.
007000         88  WS-NEXT-VISIT-UPDATE            VALUE 'Y'.
007100     03  TS-QUEUE-NAME.
007200         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
007300         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
007400/
007500 01  FILLER                  PIC  X(29)      VALUE
007600     'I/O REQUEST BLOCK WORK AREAS:'.
007700*
007800     COPY MBIOWS.
007900/
008000 01  FILLER                  PIC  X(18)      VALUE
008100     'I/O REQUEST BLOCK:'.
008200*
008300     COPY MBIORO.
008400/
008500 01  FILLER                  PIC  X(25)      VALUE
008600     'LOG RECORD REQUEST BLOCK:'.
008700*
008800     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
008900/
009000 01  FILLER                  PIC  X(26)      VALUE
009100     'STORE MASTER FIELDS TABLE:'.
009200*
009300     COPY MMSMTB.
009400/
009500 01  FILLER                  PIC  X(25)      VALUE
009600     'STORE INITIALIZER RECORD:'.
009700*
009800     COPY MMSMIR.
009900/
010000 01  FILLER                  PIC  X(20)      VALUE
010100     'CCS DATE WORK AREAS:'.
010200*
010300     COPY SS01WS.
010400/
010500 01  FILLER                  PIC  X(15)      VALUE
010600     'CCS WORK AREAS:'.
010700*
010800     COPY SS08WS.
010900/
011000     COPY SS00WS.
011100/
011200     COPY SMFTWS.
011300/
011400     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
011500/
011600     COPY MB61LK.
011700/
011800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011900/
012000 LINKAGE SECTION.
012100*
012200 01  DFHCOMMAREA.
012300*
012400     COPY MB60WS.
012500/
012600*****************************
012700*    STORE MASTER MAP       *
012800*****************************
012900*
013000     COPY MBMS04.
013100/
013200******************************************
013300*    STORE MASTER MAP REDEFINITION       *
013400******************************************
013500*
013600     COPY MBMS04R.
013700/
013800****************************************
013900*    STORE MASTER  RECORD LAYOUT       *
014000****************************************
014100*
014200     COPY MMSMRL.
014300/
014400****************************************
014500*    MERCHANT MASTER  RECORD LAYOUT    *
014600****************************************
014700*
014800     COPY MMMMRL.
014900/
015000****************************************
015100*    ORG CONTROL RECORD LAYOUT         *
015200****************************************
015300*
015400     COPY MMOCRL.
015500/
015600**************************************
015700*    FIELD SECURITY RECORD LAYOUT    *
015800**************************************
015900*
016000     COPY MMFSRL.
016100/
016200***************************
016300*    LOG RECORD LAYOUT    *
016400***************************
016500*
016600     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
016700/
016800***************************************
016900*    USER INPUT TEMP STORAGE RECORD   *
017000***************************************
017100*
017200     COPY MBUITS.
017300/
017400 PROCEDURE DIVISION.
017500*
017600 A000-HOUSEKEEPING SECTION.
017700*
017800 A020-INIT.
017900*
018000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
018100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
018200                                 THRU MB70PD-OLH-EXIT.
018300*
018400     IF  MBCA-MBUI-UI-YES
018500         NEXT SENTENCE
018600     ELSE
018700         SET MBCA-MBUI-UI-NO     TO TRUE.
018800*
018900     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
019000*
019100     IF  MBCA-RECEIVE-SCREEN
019200         GO TO C000-RECEIVE-SCREEN.
019300/
019400 B000-SEND-SCREEN SECTION.
019500*
019600*********************************************
019700*    GET CICS STORAGE NEEDED FOR THE MAP    *
019800*********************************************
019900*
020000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
020100     PERFORM MB60PD-GETMAIN-FOR-MAP
020200                                 THRU MB60PD-GFM-EXIT.
020300*
020400*******************************************
020500*    INITIALIZE THE STANDARD MAP LINES    *
020600*******************************************
020700*
020800     PERFORM MB60PD-INIT-STD-MAP-LINES
020900                                 THRU MB60PD-ISML-EXIT.
021000*
021100*****************************************
021200*    READ THE STORE MASTER RECORD       *
021300*    FOR SUBSEQUENT DISPLAY             *
021400*****************************************
021500*
021600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
021700     PERFORM Y900-READ-MMSM      THRU Y909-READ-MMSM-EXIT.
021800*
021900*****************************************
022000*    EDIT FOR SINGLE STORE RECORD       *
022100*****************************************
022200*
022300     IF  MBCA-PTI-FUNCTION-IS-MAINT
022400     AND MMSM-REC-SINGLE-STORE
022500         MOVE 55                 TO MBCA-SCREEN-NBR
022600         MOVE 'PC09'             TO MBCA-PROGRAM-LOCATION
022700         PERFORM MB70PD-XCTL-TO-MBOXCTL
022800                                 THRU MB70PD-XTM-EXIT.
022900*
023000*********************************************
023100*    MOVE THE PRIMARY NAME TO THE SCREEN    *
023200*********************************************
023300*
023400     MOVE MMSM-NA-LINE (1 1)     TO MS04-STORE-NAME.
023500*
023600**************************************
023700*    READ THE ORGANIZATION RECORD    *
023800**************************************
023900*
024000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
024100     SET MBIORO-READ-RANDOM      TO TRUE.
024200     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
024300     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
024400*
024500****************************************
024600*    READ THE FIELD SECURITY RECORD    *
024700****************************************
024800*
024900     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
025000     PERFORM Y910-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
025100*
025200 B020-MOVE-FIELDS-TO-SCREEN.
025300*
025400*****************************************
025500*    MOVE THE STORE MASTER FIELDS       *
025600*    FROM THE RECORD TO THE SCREEN      *
025700*****************************************
025800*
025900     MOVE MMSMTB-AUTH-CODE (1:4) TO WS-INDEX-X.
026000     SET X-MMFS-STORE            TO WS-INDEX.
026100*
026200     PERFORM Y030-MOVE-AUTH-CODE THRU Y039-EXIT.
026300*
026400     PERFORM Y050-MOVE-STORE-SETT-FLAG
026500                                 THRU Y059-EXIT.
026600*
026700     PERFORM Y070-MOVE-AUTH-LOGO THRU Y079-EXIT.
026800*
026900     PERFORM Y090-MOVE-STORE-SETT-DATE
027000                                 THRU Y099-EXIT.
027100*
027200     PERFORM Y110-MOVE-GOVERNING-STATE
027300                                 THRU Y119-EXIT.
027400*
027500     PERFORM Y150-MOVE-STMT-ADDR-CONTROL
027600                                 THRU Y159-EXIT.
027700*
027800     PERFORM Y170-MOVE-NBR-BULLETINS
027900                                 THRU Y179-EXIT.
028000*
028100     PERFORM
028200         VARYING X-MMSM-ACT-RECAP FROM +1 BY +1
028300         UNTIL   X-MMSM-ACT-RECAP IS GREATER THAN +4
028400             SET X-MS04-ACT-RECAP
028500                                 TO X-MMSM-ACT-RECAP
028600             PERFORM Y190-MOVE-ACT-RECAP
028700                                 THRU Y199-EXIT
028800             PERFORM Y210-MOVE-ACT-RECAP-DTL
028900                                 THRU Y219-EXIT
029000     END-PERFORM.
029100*
029200     PERFORM Y270-MOVE-VISIT-REP-OPER
029300                                 THRU Y279-EXIT.
029400*
029500     PERFORM Y290-MOVE-VISIT-FREQ
029600                                 THRU Y299-EXIT.
029700*
029800     PERFORM Y310-MOVE-REVIEW-REP-OPER
029900                                 THRU Y319-EXIT.
030000*
030100     PERFORM Y330-MOVE-REVIEW-FREQ
030200                                 THRU Y339-EXIT.
030300*
030400     PERFORM Y350-MOVE-DATE-LAST-VISIT
030500                                 THRU Y359-EXIT.
030600*
030700     PERFORM Y370-MOVE-DATE-LAST-REVIEW
030800                                 THRU Y379-EXIT.
030900*
031000     PERFORM Y390-MOVE-DATE-NEXT-VISIT
031100                                 THRU Y399-EXIT.
031200*
031300     PERFORM Y410-MOVE-DATE-NEXT-REVIEW
031400                                 THRU Y419-EXIT.
031500*
031600     PERFORM Y430-MOVE-VISIT-REP-NAME
031700                                 THRU Y439-EXIT.
031800*
031900     PERFORM Y450-MOVE-REVIEW-REP-NAME
032000                                 THRU Y459-EXIT.
032100*
032200******************************************
032300*    SET THE CURSOR AND SCREEN NUMBER    *
032400******************************************
032500*
032600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
032700         MOVE SS08WS-CURSOR      TO MS04-ALT-TRANID-L
032800     ELSE
032900         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
033000*
033100     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
033200*
033300**********************
033400*    SEND THE MAP    *
033500**********************
033600*
033700     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
033800     PERFORM MB60PD-SEND-MAP-WITH-ERASE
033900                                 THRU MB60PD-SMWE-EXIT.
034000*
034100************************
034200*    RETURN TO CICS    *
034300************************
034400*
034500     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
034600     PERFORM MB70PD-RETURN-TRANS-ID
034700                                 THRU MB70PD-RTI-EXIT.
034800/
034900 C000-RECEIVE-SCREEN SECTION.
035000*
035100******************************************
035200*    THIS SECTION RECEIVES THE SCREEN    *
035300******************************************
035400*
035500     IF  MBCA-MBUI-UI-YES
035600*
035700****************************************************************
035800*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
035900****************************************************************
036000*
036100         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
036200         EXEC CICS GETMAIN
036300                   FLENGTH (LENGTH  OF MBUITS-RECORD)
036400
036500                   SET     (ADDRESS OF MBUITS-RECORD)
036600
036700              END-EXEC
036800*
036900***********************************************
037000*    READ THE TEMP STORAGE RECORD             *
037100***********************************************
037200*
037300         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
037400*
037500         EXEC CICS READQ TS
037600                   QUEUE   (TS-QUEUE-NAME)
037700                   INTO    (MBUITS-RECORD)
037800                   LENGTH  (LENGTH  OF MBUITS-RECORD)
037900                   ITEM    (1)
038000              END-EXEC
038100*
038200***********************************************
038300*    DELETE THE TEMP STORAGE RECORD           *
038400***********************************************
038500*
038600         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
038700*
038800         EXEC CICS IGNORE CONDITION
038900                   QIDERR
039000              END-EXEC
039100*
039200         EXEC CICS DELETEQ TS
039300                   QUEUE  (TS-QUEUE-NAME)
039400              END-EXEC
039500         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
039600         PERFORM MB60PD-GETMAIN-FOR-MAP
039700                                 THRU MB60PD-GFM-EXIT
039800         MOVE MBUITS-VAR-DATA    TO MBMS04I
039900     ELSE
040000         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
040100         PERFORM MB60PD-RECEIVE-MAP
040200                                 THRU MB60PD-RM-EXIT.
040300*
040400**************************************************************
040500*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
040600**************************************************************
040700*
040800     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
040900     PERFORM MB60PD-NEW-TRANS-ROUTINE
041000                                 THRU MB60PD-NTR-EXIT.
041100*
041200**************************************
041300*    READ THE ORGANIZATION RECORD    *
041400**************************************
041500*
041600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
041700     SET MBIORO-READ-RANDOM      TO TRUE.
041800     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
041900     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
042000*
042100*****************************************
042200*    READ THE STORE MASTER RECORD       *
042300*****************************************
042400*
042500     IF  MBCA-PTI-FUNCTION-IS-ADD
042600     AND MBCA-MBUI-UI-YES
042700     AND MBCA-MBUI-UI-UPDATE-NO
042800         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
042900         SET MBIORO-GETMAIN      TO TRUE
043000         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
043100         MOVE MMSMIR-RECORD      TO MMSM-RECORD
043200     ELSE
043300         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
043400         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
043500         PERFORM Y900-READ-MMSM  THRU Y909-READ-MMSM-EXIT
043600         IF  SS08WS-RC-FC-NOTFND
043700         AND MBCA-MBUI-UI-YES
043800             MOVE 'MBUI'         TO MBCA-TRANS-ID
043900                                    MBCA-PREV-TRANS-ID
044000             MOVE 01             TO MBCA-SCREEN-NBR
044100             MOVE 'STR'          TO MS04-FILLER
044200             SET MBCA-MBUI-ERROR-YES
044300                                 TO TRUE
044400             GO TO F000-SETUP-COMMAREA.
044500*
044600     IF (MBCA-PTI-FUNCTION-IS-MAINT
044700     AND MBCA-MBUI-UI-YES
044800     AND (MMSM-REC-PURGED
044900       OR MMSM-REC-INCOMPLETE))
045000     OR
045100        (MBCA-PTI-FUNCTION-IS-ADD
045200     AND MBCA-MBUI-UI-YES
045300     AND MMSM-REC-PURGED)
045400         MOVE 'MBUI'             TO MBCA-TRANS-ID
045500                                    MBCA-PREV-TRANS-ID
045600         MOVE 01                 TO MBCA-SCREEN-NBR
045700         MOVE 'STR'              TO MS04-FILLER
045800         SET MBCA-MBUI-ERROR-YES
045900                                 TO TRUE
046000         GO TO F000-SETUP-COMMAREA.
046100*
046200****************************************************
046300*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
046400****************************************************
046500*
046600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
046700         GO TO F000-SETUP-COMMAREA.
046800*
046900*********************************************
047000*    MOVE THE PRIMARY NAME TO THE SCREEN    *
047100*********************************************
047200*
047300     MOVE MMSM-NA-LINE (1 1)     TO MS04-STORE-NAME.
047400*
047500****************************************
047600*    READ THE FIELD SECURITY RECORD    *
047700****************************************
047800*
047900     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
048000     PERFORM Y910-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
048100*
048200 C020-FIELD-EDITS.
048300*
048400*********************
048500*    FIELD EDITS    *
048600*********************
048700*
048800     MOVE MMSMTB-AUTH-CODE (1:4) TO WS-INDEX-X.
048900     SET X-MMFS-STORE            TO WS-INDEX.
049000*
049100     MOVE DFHBMASK               TO MS04-NEXT-REVIEW-A
049200                                    MS04-NEXT-VISIT-A.
049300*
049400     PERFORM W030-EDIT-AUTH-CODE THRU W039-EXIT.
049500*
049600     PERFORM W050-EDIT-STORE-SETT-FLAG
049700                                 THRU W059-EXIT.
049800*
049900     PERFORM W070-EDIT-AUTH-LOGO THRU W079-EXIT.
050000*
050100     PERFORM W090-EDIT-STORE-SETT-DATE
050200                                 THRU W099-EXIT.
050300*
050400     PERFORM W110-EDIT-GOVERNING-STATE
050500                                 THRU W119-EXIT.
050600*
050700     PERFORM W150-EDIT-STMT-ADDR-CONTROL
050800                                 THRU W159-EXIT.
050900*
051000     PERFORM W170-EDIT-NBR-BULLETINS
051100                                 THRU W179-EXIT.
051200*
051300     PERFORM
051400         VARYING X-MMSM-ACT-RECAP FROM +1 BY +1
051500         UNTIL   X-MMSM-ACT-RECAP IS GREATER THAN +4
051600             SET X-MS04-ACT-RECAP
051700                                 TO X-MMSM-ACT-RECAP
051800             PERFORM W190-EDIT-ACT-RECAP
051900                                 THRU W199-EXIT
052000             PERFORM W210-EDIT-ACT-RECAP-DTL
052100                                 THRU W219-EXIT
052200     END-PERFORM.
052300*
052400     PERFORM W270-EDIT-VISIT-REP-OPER
052500                                 THRU W279-EXIT.
052600*
052700     PERFORM W290-EDIT-VISIT-FREQ
052800                                 THRU W299-EXIT.
052900*
053000     PERFORM W310-EDIT-REVIEW-REP-OPER
053100                                 THRU W319-EXIT.
053200*
053300     PERFORM W330-EDIT-REVIEW-FREQ
053400                                 THRU W339-EXIT.
053500*
053600     PERFORM W350-EDIT-DATE-LAST-VISIT
053700                                 THRU W359-EXIT.
053800*
053900     PERFORM W370-EDIT-DATE-LAST-REVIEW
054000                                 THRU W379-EXIT.
054100*
054200     PERFORM W430-EDIT-VISIT-REP-NAME
054300                                 THRU W439-EXIT.
054400*
054500     PERFORM W450-EDIT-REVIEW-REP-NAME
054600                                 THRU W459-EXIT.
054700*
054800 C040-CROSS-EDITS.
054900*
055000*********************
055100*    CROSS EDITS    *
055200*********************
055300*
055400     PERFORM W510-VISIT-CROSS-EDITS
055500                                 THRU W519-VCE-EXIT.
055600*
055700     PERFORM W520-REVIEW-CROSS-EDITS
055800                                 THRU W529-RCE-EXIT.
055900*
056000     PERFORM W530-SETTLE-CROSS-EDITS
056100                                 THRU W539-SCE-EXIT.
056200*
056300/
056400 D000-RETURN-ERRORS SECTION.
056500*
056600     IF  SS08WS-ERROR-SW-NO
056700         GO TO E000-UPDATE-FILE.
056800*
056900     IF  MBCA-MBUI-UI-YES
057000         MOVE 'MBUI'             TO MBCA-TRANS-ID
057100                                    MBCA-PREV-TRANS-ID
057200         MOVE 01                 TO MBCA-SCREEN-NBR
057300         SET MBCA-MBUI-ERROR-YES TO TRUE
057400         GO TO F000-SETUP-COMMAREA.
057500*
057600***************************************************************
057700*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
057800*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
057900*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
058000***************************************************************
058100*
058200     PERFORM MB60PD-INIT-STD-MAP-LINES
058300                                 THRU MB60PD-ISML-EXIT.
058400*
058500**********************
058600*    SEND THE MAP    *
058700**********************
058800*
058900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
059000     PERFORM MB60PD-SEND-MAP-DATA-ONLY
059100                                 THRU MB60PD-SMDO-EXIT.
059200*
059300************************
059400*    RETURN TO CICS    *
059500************************
059600*
059700     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
059800     PERFORM MB70PD-RETURN-TRANS-ID
059900                                 THRU MB70PD-RTI-EXIT.
060000/
060100 E000-UPDATE-FILE SECTION.
060200*
060300     IF  MBCA-MBUI-UI-YES
060400         SET MBCA-MBUI-ERROR-NO  TO TRUE.
060500*
060600     IF  MBCA-MBUI-UI-YES
060700     AND MBCA-MBUI-UI-UPDATE-NO
060800         GO TO F000-SETUP-COMMAREA.
060900*
061000****************************************************
061100*    READ THE STORE MASTER RECORD FOR UPDATE       *
061200****************************************************
061300*
061400     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
061500     SET MBIORO-READ-RANDOM-UPDATE
061600                                 TO TRUE.
061700     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
061800*
061900 E010-CONTINUE.
062000*
062100*************************************
062200*    OBTAIN STORAGE FOR LOG FILE    *
062300*    RECORD IF DOING MAINTENANCE    *
062400*************************************
062500*
062600     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
062700     SET MBIORO-GETMAIN          TO TRUE.
062800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
062900*
063000*************************************************
063100*    SET UP THE COMMON PORTION OF THE RECORD    *
063200*************************************************
063300*
063400*
063500 E020-UPDATE-FIELDS.
063600*
063700     MOVE MMSMTB-AUTH-CODE (1:4) TO WS-INDEX-X.
063800     SET X-MMFS-STORE            TO WS-INDEX.
063900*
064000     PERFORM X030-UPDATE-AUTH-CODE THRU X039-EXIT.
064100*
064200     PERFORM X050-UPDATE-STORE-SETT-FLAG
064300                                   THRU X059-EXIT.
064400*
064500     PERFORM X070-UPDATE-AUTH-LOGO THRU X079-EXIT.
064600*
064700     PERFORM X090-UPDATE-STORE-SETT-DATE
064800                                 THRU X099-EXIT.
064900*
065000     PERFORM X110-UPDATE-GOVERNING-STATE
065100                                 THRU X119-EXIT.
065200*
065300     PERFORM X150-UPDATE-STMT-ADDR-CONTROL
065400                                 THRU X159-EXIT.
065500*
065600     PERFORM X160-UPDATE-MMMM-NBR-BULLETINS
065700                                 THRU X169-EXIT.
065800*
065900     PERFORM X170-UPDATE-NBR-BULLETINS
066000                                 THRU X179-EXIT.
066100*
066200     SET X-MMFS-STORE            UP BY 1.
066300*
066400     PERFORM
066500         VARYING X-MMSM-ACT-RECAP FROM +1 BY +1
066600         UNTIL   X-MMSM-ACT-RECAP IS GREATER THAN +4
066700             SET X-MS04-ACT-RECAP
066800                                 TO X-MMSM-ACT-RECAP
066900             PERFORM X190-UPDATE-ACT-RECAP
067000                                 THRU X199-EXIT
067100             PERFORM X210-UPDATE-ACT-RECAP-DTL
067200                                 THRU X219-EXIT
067300     END-PERFORM.
067400*
067500     PERFORM X270-UPDATE-VISIT-REP-OPER
067600                                 THRU X279-EXIT.
067700*
067800     PERFORM X290-UPDATE-VISIT-FREQ
067900                                 THRU X299-EXIT.
068000*
068100     PERFORM X310-UPDATE-REVIEW-REP-OPER
068200                                 THRU X319-EXIT.
068300*
068400     PERFORM X330-UPDATE-REVIEW-FREQ
068500                                 THRU X339-EXIT.
068600*
068700     PERFORM X350-UPDATE-DATE-LAST-VISIT
068800                                 THRU X359-EXIT.
068900*
069000     PERFORM X370-UPDATE-DATE-LAST-REVIEW
069100                                 THRU X379-EXIT.
069200*
069300     PERFORM X390-UPDATE-DATE-NEXT-VISIT
069400                                 THRU X399-EXIT.
069500*
069600     PERFORM X410-UPDATE-DATE-NEXT-REVIEW
069700                                 THRU X419-EXIT.
069800*
069900     PERFORM X430-UPDATE-VISIT-REP-NAME
070000                                 THRU X439-EXIT.
070100*
070200     PERFORM X450-UPDATE-REVIEW-REP-NAME
070300                                 THRU X459-EXIT.
070400*
070500 E040-UPDATE-MMSM.
070600*
070700     IF  MBCA-PTI-FUNCTION-IS-ADD
070800         MOVE MBCA-SCREEN-NBR    TO MMSM-ONLINE-STATUS
070900         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
071000         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
071100         SET WS-UPDATE-SW-YES    TO TRUE.
071200*
071300**************************************************************
071400*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
071500*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
071600*    ON THE SCREEN                                           *
071700**************************************************************
071800*
071900     IF  MBCA-PTI-FUNCTION-IS-MAINT
072000     AND WS-UPDATE-SW-YES
072100         MOVE 0198               TO MML1-FIELD-CODE
072200         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
072300                                    MML1-FIELD-OCCURRENCE-2
072400         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
072500         MOVE MMSM-LAST-MAINT-OPER
072600                                 TO MML1-VL03-B-DATA-X
072700         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
072800         MOVE MMSM-LAST-MAINT-OPER
072900                                 TO MML1-VL03-A-DATA-X
073000         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
073100         PERFORM Y920-WRITE-LOG-REC-STORE
073200                                 THRU Y929-WLRS-EXIT
073300         MOVE 0199               TO MML1-FIELD-CODE
073400         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
073500         MOVE MMSM-LAST-MAINT-DATE
073600                                 TO MML1-VL07-B-DATA-9
073700         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
073800         MOVE MMSM-LAST-MAINT-DATE
073900                                 TO MML1-VL07-A-DATA-9
074000         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
074100         PERFORM Y920-WRITE-LOG-REC-STORE
074200                                 THRU Y929-WLRS-EXIT.
074300*
074400**************************************************************
074500*    REWRITE THE STORE MASTER RECORD                         *
074600*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
074700*    UNLOCK IT IF THEY HAVE NOT                              *
074800**************************************************************
074900*
075000     IF  WS-UPDATE-SW-YES
075100         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
075200         SET MBIORO-REWRITE      TO TRUE
075300         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
075400     ELSE
075500         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
075600         SET MBIORO-UNLOCK       TO TRUE
075700         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
075800/
075900 F000-SETUP-COMMAREA SECTION.
076000*
076100***************************************************************
076200*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
076300***************************************************************
076400*
076500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
076600*
076700     PERFORM MB60PD-EDIT-PAGE-NBR
076800                                 THRU MB60PD-EPN-EXIT.
076900*
077000     IF  SS08WS-VALID-PF-KEY
077100     OR  SS08WS-EIBAID-VALID-PF-KEY
077200         SET MBCA-INITIAL-SCREEN-NBR
077300                                 TO TRUE.
077400*
077500     IF  SS08WS-VALID-PF6
077600     OR  SS08WS-EIBAID-VALID-PF6
077700     AND MMSM-REC-SINGLE-STORE
077800         MOVE 54                 TO MBCA-SCREEN-NBR
077900         MOVE MBCA-TRANS-ID      TO MBCA-PGMX-PF-TRANS-ID (6).
078000*
078100     IF  SS08WS-VALID-PF5
078200     OR  SS08WS-EIBAID-VALID-PF5
078300         MOVE MMSM-MERCHANT-ID   TO MBCA-MERCHANT.
078400*
078500     IF  MBCA-MBUI-UI-YES
078600         MOVE 'MBUI'             TO MBCA-TRANS-ID
078700                                    MBCA-PREV-TRANS-ID
078800         MOVE 01                 TO MBCA-SCREEN-NBR
078900         MOVE MBMS04I            TO MBUITS-VAR-DATA
079000         MOVE LENGTH OF MBMS04I  TO MBUITS-VAR-LENGTH
079100         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
079200         EXEC CICS WRITEQ TS
079300                   QUEUE   (TS-QUEUE-NAME)
079400                   FROM    (MBUITS-RECORD)
079500                   LENGTH  (LENGTH  OF MBUITS-RECORD)
079600
079700              END-EXEC.
079800*
079900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
080000     PERFORM MB70PD-XCTL-TO-MBOXCTL
080100                                 THRU MB70PD-XTM-EXIT.
080200/
080300 W000-FIELD-EDITS SECTION.
080400*
080500*********************************************************
080600*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
080700*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
080800*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
080900*    'W110-EDIT-ACT-RECAP' THRU 'W119-EPA-EXIT'.        *
081000*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY        *
081100*    ARE UNIQUE TO THAT ROUTINE.                        *
081200*********************************************************
081300*
081400 W030-EDIT-AUTH-CODE.
081500*
081600     MOVE DFHBMDAS               TO MS04-AUTH-CODE-LP-A
081700                                    MS04-AUTH-CODE-RP-A.
081800     MOVE DFHBMASK               TO MS04-AUTH-CODE-A.
081900*
082000     PERFORM Y035-AUTH-CODE-SECURITY
082100                                 THRU Y039-EXIT.
082200*
082300     IF  MS04-AUTH-CODE-L        IS GREATER THAN ZERO
082400         MOVE DFHBMASF           TO MS04-AUTH-CODE-A
082500     ELSE
082600         MOVE MMSM-AUTH-CODE     TO MS04-AUTH-CODE.
082700*
082800     IF  MS04-VALID-AUTH-CODE
082900         NEXT SENTENCE
083000     ELSE
083100         GO TO W037-AUTH-CODE-ERROR.
083200*
083300     IF  MBCA-PTI-FUNCTION-IS-MAINT
083400     OR  MS04-AUTH-CODE-L        IS GREATER THAN ZERO
083500     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
083600         GO TO W039-EXIT.
083700*
083800 W037-AUTH-CODE-ERROR.
083900*
084000     IF  MS04-AUTH-CODE-L        IS GREATER THAN ZERO
084100         MOVE DFHBMUBF           TO MS04-AUTH-CODE-A
084200     ELSE
084300         MOVE DFHBMBRY           TO MS04-AUTH-CODE-A.
084400*
084500     SET SS08WS-ERROR-SW-YES     TO TRUE.
084600     MOVE DFHBMASB               TO MS04-AUTH-CODE-LP-A
084700                                    MS04-AUTH-CODE-RP-A.
084800     MOVE SS08WS-CURSOR          TO MS04-AUTH-CODE-L.
084900*
085000 W039-EXIT.
085100     EXIT.
085200*
085300 W050-EDIT-STORE-SETT-FLAG.
085400*
085500     SET X-MMFS-STORE            UP BY 1.
085600*
085700     MOVE DFHBMDAS               TO MS04-STORE-SETT-FLAG-LP-A
085800                                    MS04-STORE-SETT-FLAG-RP-A.
085900     MOVE DFHBMASK               TO MS04-STORE-SETT-FLAG-A.
086000*
086100     PERFORM Y055-STORE-SETT-FLAG-SECURITY
086200                                 THRU Y059-EXIT.
086300*
086400     IF  MS04-STORE-SETT-FLAG-L IS GREATER THAN ZERO
086500         MOVE DFHBMASF           TO MS04-STORE-SETT-FLAG-A
086600     ELSE
086700         MOVE MMSM-STORE-SETT-FLAG
086800                                 TO MS04-STORE-SETT-FLAG.
086900*
087000     IF  MS04-VALID-STORE-SETT-FLAG
087100         NEXT SENTENCE
087200     ELSE
087300         GO TO W057-STORE-SETT-FLAG-ERROR.
087400*
087500     IF  MBCA-PTI-FUNCTION-IS-MAINT
087600     OR  MS04-STORE-SETT-FLAG-L IS GREATER THAN ZERO
087700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
087800         GO TO W059-EXIT.
087900*
088000 W057-STORE-SETT-FLAG-ERROR.
088100*
088200     IF  MS04-STORE-SETT-FLAG-L IS GREATER THAN ZERO
088300         MOVE DFHBMUBF           TO MS04-STORE-SETT-FLAG-A
088400     ELSE
088500         MOVE DFHBMBRY           TO MS04-STORE-SETT-FLAG-A.
088600*
088700     SET SS08WS-ERROR-SW-YES     TO TRUE.
088800     MOVE DFHBMASB               TO MS04-STORE-SETT-FLAG-LP-A
088900                                    MS04-STORE-SETT-FLAG-RP-A.
089000     MOVE SS08WS-CURSOR          TO MS04-STORE-SETT-FLAG-L.
089100*
089200 W059-EXIT.
089300     EXIT.
089400*
089500 W070-EDIT-AUTH-LOGO.
089600*
089700     SET X-MMFS-STORE            UP BY 1.
089800*
089900     MOVE DFHBMDAS               TO MS04-AUTH-LOGO-LP-A
090000                                    MS04-AUTH-LOGO-RP-A.
090100     MOVE DFHBMASK               TO MS04-AUTH-LOGO-A.
090200*
090300     PERFORM Y075-AUTH-LOGO-SECURITY
090400                                 THRU Y079-EXIT.
090500*
090600     IF  MS04-AUTH-LOGO-L        IS GREATER THAN ZERO
090700         MOVE DFHBMASF           TO MS04-AUTH-LOGO-A
090800     ELSE
090900         MOVE MMSM-AUTH-LOGO     TO MS04-AUTH-LOGO.
091000*
091100     IF  MS04-AUTH-LOGO IS NUMERIC
091200         NEXT SENTENCE
091300     ELSE
091400         GO TO W077-AUTH-LOGO-ERROR.
091500*
091600     IF  MBCA-PTI-FUNCTION-IS-MAINT
091700     OR  MS04-AUTH-LOGO-L        IS GREATER THAN ZERO
091800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
091900         GO TO W079-EXIT.
092000*
092100 W077-AUTH-LOGO-ERROR.
092200*
092300     IF  MS04-AUTH-LOGO-L        IS GREATER THAN ZERO
092400         MOVE DFHBMNBF           TO MS04-AUTH-LOGO-A
092500     ELSE
092600         MOVE DFHBMUNB           TO MS04-AUTH-LOGO-A.
092700*
092800     SET SS08WS-ERROR-SW-YES     TO TRUE.
092900     MOVE DFHBMASB               TO MS04-AUTH-LOGO-LP-A
093000                                    MS04-AUTH-LOGO-RP-A
093100     MOVE SS08WS-CURSOR          TO MS04-AUTH-LOGO-L.
093200*
093300 W079-EXIT.
093400     EXIT.
093500*
093600 W090-EDIT-STORE-SETT-DATE.
093700*
093800     SET X-MMFS-STORE            UP BY 1.
093900*
094000     MOVE DFHBMDAS               TO MS04-STORE-SETT-DATE-LP-A
094100                                    MS04-STORE-SETT-DATE-RP-A.
094200     MOVE DFHBMASK               TO MS04-STORE-SETT-DATE-A.
094300*
094400     PERFORM Y095-STORE-SETT-DATE-SECURITY
094500                                 THRU Y099-EXIT.
094600*
094700     IF  MS04-STORE-SETT-DATE-L IS EQUAL TO ZERO
094800         MOVE MMSM-STORE-SETT-DATE
094900                                 TO SS01WS-JULIAN
095000         PERFORM SS08PD-JUL-TO-GREG
095100                                 THRU SS08PD-JTG-EXIT
095200         MOVE SS01WS-DATE        TO MS04-STORE-SETT-DATE.
095300*
095400     IF  MS04-STORE-SETT-DATE IS NOT NUMERIC
095500         GO TO W097-STORE-SETT-DATE-ERROR.
095600*
095700     IF  MS04-STORE-SETT-DATE IS LESS THAN 1000000
095800         MOVE MS04-STORE-SETT-DATE
095900                                 TO SS01WS-MDY
096000         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
096100     ELSE
096200         MOVE MS04-STORE-SETT-DATE
096300                                 TO SS01WS-DATE.
096400*
096500     PERFORM SS05PD-DATE-VALIDATION
096600                                 THRU SS05PD-DV-EXIT.
096700*
096800     IF  SS01WS-DATE-IS-INVALID
096900         GO TO W097-STORE-SETT-DATE-ERROR
097000     ELSE
097100         MOVE SS01WS-DATE        TO MS04-STORE-SETT-DATE.
097200*
097300     IF  MS04-STORE-SETT-DATE-L IS GREATER THAN ZERO
097400         IF  MBCA-PTI-FUNCTION-IS-ADD
097500         AND MMFS-ST-REQUIRED (X-MMFS-STORE)
097600             MOVE DFHBMABF       TO MS04-STORE-SETT-DATE-A
097700             GO TO W099-EXIT
097800         ELSE
097900             MOVE DFHBMASF       TO MS04-STORE-SETT-DATE-A
098000             GO TO W099-EXIT.
098100*
098200     IF  MBCA-PTI-FUNCTION-IS-MAINT
098300     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
098400         GO TO W099-EXIT.
098500*
098600 W097-STORE-SETT-DATE-ERROR.
098700*
098800     IF  MS04-STORE-SETT-DATE-L IS GREATER THAN ZERO
098900         MOVE DFHBMNBF           TO MS04-STORE-SETT-DATE-A
099000     ELSE
099100         MOVE DFHBMUNB           TO MS04-STORE-SETT-DATE-A.
099200
099300     SET SS08WS-ERROR-SW-YES     TO TRUE.
099400     MOVE DFHBMASB               TO MS04-STORE-SETT-DATE-LP-A
099500                                    MS04-STORE-SETT-DATE-RP-A.
099600     MOVE SS08WS-CURSOR          TO MS04-STORE-SETT-DATE-L.
099700*
099800 W099-EXIT.
099900     EXIT.
100000*
100100 W110-EDIT-GOVERNING-STATE.
100200*
100300     SET X-MMFS-STORE            UP BY 1.
100400*
100500     MOVE DFHBMDAS               TO MS04-GOVERNING-STATE-LP-A
100600                                    MS04-GOVERNING-STATE-RP-A.
100700     MOVE DFHBMASK               TO MS04-GOVERNING-STATE-A.
100800*
100900     PERFORM Y115-GOVERNING-STATE-SECURITY
101000                                 THRU Y119-EXIT.
101100*
101200     IF  MS04-GOVERNING-STATE-L IS GREATER THAN ZERO
101300         MOVE DFHBMASF           TO MS04-GOVERNING-STATE-A
101400     ELSE
101500         MOVE MMSM-GOVERNING-STATE
101600                                 TO MS04-GOVERNING-STATE.
101700*
101800     IF  MBCA-PTI-FUNCTION-IS-MAINT
101900     OR  MS04-GOVERNING-STATE-L IS GREATER THAN ZERO
102000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
102100         GO TO W119-EXIT.
102200*
102300 W117-GOVERNING-STATE-SECURITY.
102400*
102500     IF  MS04-GOVERNING-STATE-L  IS GREATER THAN ZERO
102600         MOVE DFHBMUBF           TO MS04-GOVERNING-STATE-A
102700     ELSE
102800         MOVE DFHBMBRY           TO MS04-GOVERNING-STATE-A.
102900*
103000     SET SS08WS-ERROR-SW-YES     TO TRUE.
103100     MOVE DFHBMASB               TO MS04-GOVERNING-STATE-LP-A
103200                                    MS04-GOVERNING-STATE-RP-A.
103300     MOVE SS08WS-CURSOR          TO MS04-GOVERNING-STATE-L.
103400*
103500 W119-EXIT.
103600     EXIT.
103700*
103800 W150-EDIT-STMT-ADDR-CONTROL.
103900*
104000     SET X-MMFS-STORE            UP BY 1.
104100*
104200     MOVE DFHBMDAS               TO MS04-STMT-ADDR-CONTROL-LP-A
104300                                    MS04-STMT-ADDR-CONTROL-RP-A.
104400     MOVE DFHBMASK               TO MS04-STMT-ADDR-CONTROL-A.
104500*
104600     PERFORM Y155-STMT-ADDR-CNTL-SECURITY
104700                                 THRU Y159-EXIT.
104800*
104900     IF  MS04-STMT-ADDR-CONTROL-L IS GREATER THAN ZERO
105000         IF  MS04-VALID-STMT-ADDR-CONTROL
105100             MOVE DFHBMASF       TO MS04-STMT-ADDR-CONTROL-A
105200         ELSE
105300             GO TO W157-STMT-ADDR-CNTL-SECURITY
105400     ELSE
105500         MOVE MMSM-STMT-ADDR-CONTROL
105600                                 TO MS04-STMT-ADDR-CONTROL.
105700*
105800     IF  MBCA-PTI-FUNCTION-IS-MAINT
105900     OR  MS04-STMT-ADDR-CONTROL-L IS GREATER THAN ZERO
106000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
106100         GO TO W159-EXIT.
106200*
106300 W157-STMT-ADDR-CNTL-SECURITY.
106400*
106500     IF  MS04-STMT-ADDR-CONTROL-L IS GREATER THAN ZERO
106600         MOVE DFHBMUBF           TO MS04-STMT-ADDR-CONTROL-A
106700     ELSE
106800         MOVE DFHBMBRY           TO MS04-STMT-ADDR-CONTROL-A.
106900*
107000     SET SS08WS-ERROR-SW-YES     TO TRUE.
107100     MOVE DFHBMASB               TO MS04-STMT-ADDR-CONTROL-LP-A
107200                                    MS04-STMT-ADDR-CONTROL-RP-A.
107300     MOVE SS08WS-CURSOR          TO MS04-STMT-ADDR-CONTROL-L.
107400*
107500 W159-EXIT.
107600     EXIT.
107700*
107800 W170-EDIT-NBR-BULLETINS.
107900*
108000     SET X-MMFS-STORE            UP BY 1.
108100*
108200     MOVE DFHBMDAS               TO MS04-NBR-BULLETINS-LP-A
108300                                    MS04-NBR-BULLETINS-RP-A.
108400     MOVE DFHBMASK               TO MS04-NBR-BULLETINS-A.
108500*
108600     PERFORM Y175-NBR-BULLETINS-SECURITY
108700                                 THRU Y179-EXIT.
108800*
108900     IF  MS04-NBR-BULLETINS-L    IS GREATER THAN ZERO
109000         MOVE DFHBMASF           TO MS04-NBR-BULLETINS-A
109100     ELSE
109200         MOVE MMSM-NBR-BULLETINS
109300                                 TO MS04-NBR-BULLETINS.
109400*
109500     IF  MS04-NBR-BULLETINS IS NUMERIC
109600         NEXT SENTENCE
109700     ELSE
109800         GO TO W177-NBR-BULLETINS-ERROR.
109900*
110000     IF  MBCA-PTI-FUNCTION-IS-MAINT
110100     OR  MS04-NBR-BULLETINS-L    IS GREATER THAN ZERO
110200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
110300         GO TO W179-EXIT.
110400*
110500 W177-NBR-BULLETINS-ERROR.
110600*
110700     IF  MS04-NBR-BULLETINS-L    IS GREATER THAN ZERO
110800         MOVE DFHBMNBF           TO MS04-NBR-BULLETINS-A
110900     ELSE
111000         MOVE DFHBMUNB           TO MS04-NBR-BULLETINS-A.
111100*
111200     SET SS08WS-ERROR-SW-YES     TO TRUE.
111300     MOVE DFHBMASB               TO MS04-NBR-BULLETINS-LP-A
111400                                    MS04-NBR-BULLETINS-RP-A
111500     MOVE SS08WS-CURSOR          TO MS04-NBR-BULLETINS-L.
111600*
111700 W179-EXIT.
111800     EXIT.
111900*
112000 W190-EDIT-ACT-RECAP.
112100*
112200*****************************************************
112300*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
112400*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
112500*****************************************************
112600*
112700     SET X-MMFS-STORE            UP BY 1.
112800*
112900     MOVE DFHBMDAS               TO MS04-ACT-RECAP-LP-A
113000                                    (X-MS04-ACT-RECAP)
113100                                    MS04-ACT-RECAP-RP-A
113200                                    (X-MS04-ACT-RECAP).
113300     MOVE DFHBMASK               TO MS04-ACT-RECAP-A
113400                                    (X-MS04-ACT-RECAP).
113500*
113600     PERFORM Y195-ACT-RECAP-SECURITY
113700                                 THRU Y199-EXIT.
113800*
113900************************
114000*    EDIT THE FIELD    *
114100************************
114200*
114300     IF  MS04-ACT-RECAP-L (X-MS04-ACT-RECAP)
114400                                 IS GREATER THAN ZERO
114500         MOVE DFHBMASF           TO MS04-ACT-RECAP-A
114600                                    (X-MS04-ACT-RECAP)
114700     ELSE
114800         MOVE MMSM-ACT-RECAP (X-MMSM-ACT-RECAP)
114900                                 TO MS04-ACT-RECAP
115000                                    (X-MS04-ACT-RECAP).
115100*
115200     IF  MS04-ACT-RECAP (X-MS04-ACT-RECAP) IS NUMERIC
115300         NEXT SENTENCE
115400     ELSE
115500         GO TO W197-ACT-RECAP-ERROR.
115600*
115700     IF  MBCA-PTI-FUNCTION-IS-MAINT
115800     OR  MS04-ACT-RECAP-L (X-MS04-ACT-RECAP)
115900                                         IS GREATER THAN ZERO
116000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
116100         GO TO W199-EXIT.
116200*
116300 W197-ACT-RECAP-ERROR.
116400*
116500*******************************************************
116600*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
116700*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
116800*    THE DATA ELEMENT.                                *
116900*******************************************************
117000*
117100     IF  MS04-ACT-RECAP-L (X-MS04-ACT-RECAP)
117200                                         IS GREATER THAN ZERO
117300         MOVE DFHBMNBF           TO MS04-ACT-RECAP-A
117400                                    (X-MS04-ACT-RECAP)
117500     ELSE
117600         MOVE DFHBMUNB           TO MS04-ACT-RECAP-A
117700                                    (X-MS04-ACT-RECAP).
117800*
117900     SET SS08WS-ERROR-SW-YES     TO TRUE.
118000     MOVE DFHBMASB               TO MS04-ACT-RECAP-LP-A
118100                                    (X-MS04-ACT-RECAP)
118200                                    MS04-ACT-RECAP-RP-A
118300                                    (X-MS04-ACT-RECAP).
118400     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-L
118500                                    (X-MS04-ACT-RECAP).
118600*
118700 W199-EXIT.
118800     EXIT.
118900*
119000 W210-EDIT-ACT-RECAP-DTL.
119100*
119200     SET X-MMFS-STORE            UP BY +1.
119300*
119400     MOVE DFHBMDAS               TO MS04-ACT-RECAP-DTL-LP-A
119500                                    (X-MS04-ACT-RECAP)
119600                                    MS04-ACT-RECAP-DTL-RP-A
119700                                    (X-MS04-ACT-RECAP).
119800     MOVE DFHBMASK               TO MS04-ACT-RECAP-DTL-A
119900                                    (X-MS04-ACT-RECAP).
120000*
120100     PERFORM Y215-ACT-RECAP-DTL-SECURITY
120200                                 THRU Y219-EXIT.
120300*
120400     IF  MS04-ACT-RECAP-DTL-L (X-MS04-ACT-RECAP)
120500                                 IS GREATER THAN ZERO
120600         MOVE DFHBMASF           TO MS04-ACT-RECAP-DTL-A
120700                                    (X-MS04-ACT-RECAP)
120800     ELSE
120900         MOVE MMSM-ACT-RECAP-DTL (X-MMSM-ACT-RECAP)
121000                                 TO MS04-ACT-RECAP-DTL
121100                                    (X-MS04-ACT-RECAP).
121200*
121300     IF  MS04-VALID-ACT-RECAP-DTL (X-MS04-ACT-RECAP)
121400         NEXT SENTENCE
121500     ELSE
121600         GO TO W217-ACT-RECAP-DTL-ERROR.
121700*
121800     IF  MBCA-PTI-FUNCTION-IS-MAINT
121900     OR  MS04-ACT-RECAP-DTL-L (X-MS04-ACT-RECAP)
122000                                 IS GREATER THAN ZERO
122100     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
122200         GO TO W219-EXIT.
122300*
122400 W217-ACT-RECAP-DTL-ERROR.
122500*
122600     IF  MS04-ACT-RECAP-DTL-L (X-MS04-ACT-RECAP)
122700                                 IS GREATER THAN ZERO
122800         MOVE DFHBMNBF           TO MS04-ACT-RECAP-DTL-A
122900                                    (X-MS04-ACT-RECAP)
123000     ELSE
123100         MOVE DFHBMUNB           TO MS04-ACT-RECAP-DTL-A
123200                                    (X-MS04-ACT-RECAP).
123300*
123400     SET SS08WS-ERROR-SW-YES     TO TRUE.
123500     MOVE DFHBMASB               TO MS04-ACT-RECAP-DTL-LP-A
123600                                    (X-MS04-ACT-RECAP)
123700                                    MS04-ACT-RECAP-DTL-RP-A
123800                                    (X-MS04-ACT-RECAP).
123900     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-DTL-L
124000                                    (X-MS04-ACT-RECAP).
124100*
124200 W219-EXIT.
124300     EXIT.
124400*
124500 W270-EDIT-VISIT-REP-OPER.
124600*
124700     MOVE DFHBMDAS               TO MS04-VISIT-OPERATOR-LP-A
124800                                    MS04-VISIT-OPERATOR-RP-A.
124900     MOVE DFHBMASK               TO MS04-VISIT-OPERATOR-A.
125000*
125100     PERFORM Y275-VISIT-REP-OPER-SECURITY
125200                                 THRU Y279-EXIT.
125300*
125400     IF  MS04-VISIT-OPERATOR-L IS GREATER THAN ZERO
125500         MOVE DFHBMASF           TO MS04-VISIT-OPERATOR-A
125600     ELSE
125700         MOVE MMSM-VISIT-REP-OPER
125800                                 TO MS04-VISIT-OPERATOR.
125900*
126000     IF  MBCA-PTI-FUNCTION-IS-MAINT
126100     OR  MS04-VISIT-OPERATOR-L IS GREATER THAN ZERO
126200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
126300         GO TO W279-EXIT.
126400*
126500 W278-VISIT-REP-OPER-ERROR.
126600*
126700     IF  MS04-VISIT-OPERATOR-L IS GREATER THAN ZERO
126800         MOVE DFHBMUBF           TO MS04-VISIT-OPERATOR-A
126900     ELSE
127000         MOVE DFHBMBRY           TO MS04-VISIT-OPERATOR-A.
127100*
127200     SET SS08WS-ERROR-SW-YES     TO TRUE.
127300     MOVE DFHBMASB               TO MS04-VISIT-OPERATOR-LP-A
127400                                    MS04-VISIT-OPERATOR-RP-A.
127500     MOVE SS08WS-CURSOR          TO MS04-VISIT-OPERATOR-L.
127600*
127700 W279-EXIT.
127800     EXIT.
127900*
128000 W290-EDIT-VISIT-FREQ.
128100*
128200     MOVE DFHBMDAS               TO MS04-VISIT-FREQ-LP-A
128300                                    MS04-VISIT-FREQ-RP-A.
128400     MOVE DFHBMASK               TO MS04-VISIT-FREQ-A.
128500*
128600     PERFORM Y295-VISIT-FREQ-SECURITY
128700                                 THRU Y299-EXIT.
128800*
128900     IF  MS04-VISIT-FREQ-L IS GREATER THAN ZERO
129000         MOVE DFHBMASF           TO MS04-VISIT-FREQ-A
129100     ELSE
129200         MOVE MMSM-VISIT-FREQ    TO MS04-VISIT-FREQ.
129300*
129400     IF  MS04-VISIT-FREQ IS NUMERIC
129500         NEXT SENTENCE
129600     ELSE
129700         GO TO W298-VISIT-FREQ-ERROR.
129800*
129900     IF  MBCA-PTI-FUNCTION-IS-MAINT
130000     OR  MS04-VISIT-FREQ-L IS GREATER THAN ZERO
130100     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
130200         GO TO W299-EXIT.
130300*
130400 W298-VISIT-FREQ-ERROR.
130500*
130600     IF  MS04-VISIT-FREQ-L IS GREATER THAN ZERO
130700         MOVE DFHBMNBF           TO MS04-VISIT-FREQ-A
130800     ELSE
130900         MOVE DFHBMUNB           TO MS04-VISIT-FREQ-A.
131000*
131100     SET SS08WS-ERROR-SW-YES     TO TRUE.
131200     SET VISIT-ERRORS-EXIST      TO TRUE.
131300     MOVE DFHBMASB               TO MS04-VISIT-FREQ-LP-A
131400                                    MS04-VISIT-FREQ-RP-A.
131500     MOVE SS08WS-CURSOR          TO MS04-VISIT-FREQ-L.
131600*
131700 W299-EXIT.
131800     EXIT.
131900*
132000 W310-EDIT-REVIEW-REP-OPER.
132100*
132200     MOVE DFHBMDAS               TO MS04-REVIEW-OPERATOR-LP-A
132300                                    MS04-REVIEW-OPERATOR-RP-A.
132400     MOVE DFHBMASK               TO MS04-REVIEW-OPERATOR-A.
132500*
132600     PERFORM Y315-REVIEW-REP-OPER-SECURITY
132700                                 THRU Y319-EXIT.
132800*
132900     IF  MS04-REVIEW-OPERATOR-L IS GREATER THAN ZERO
133000         MOVE DFHBMASF           TO MS04-REVIEW-OPERATOR-A
133100     ELSE
133200         MOVE MMSM-REVIEW-REP-OPER
133300                                 TO MS04-REVIEW-OPERATOR.
133400*
133500     IF  MBCA-PTI-FUNCTION-IS-MAINT
133600     OR  MS04-REVIEW-OPERATOR-L IS GREATER THAN ZERO
133700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
133800         GO TO W319-EXIT.
133900*
134000 W318-REVIEW-REP-OPER-ERROR.
134100*
134200     IF  MS04-REVIEW-OPERATOR-L IS GREATER THAN ZERO
134300         MOVE DFHBMUBF           TO MS04-REVIEW-OPERATOR-A
134400     ELSE
134500         MOVE DFHBMBRY           TO MS04-REVIEW-OPERATOR-A.
134600*
134700     SET SS08WS-ERROR-SW-YES     TO TRUE.
134800     MOVE DFHBMASB               TO MS04-REVIEW-OPERATOR-LP-A
134900                                    MS04-REVIEW-OPERATOR-RP-A.
135000     MOVE SS08WS-CURSOR          TO MS04-REVIEW-OPERATOR-L.
135100*
135200 W319-EXIT.
135300     EXIT.
135400*
135500 W330-EDIT-REVIEW-FREQ.
135600*
135700     MOVE DFHBMDAS               TO MS04-REVIEW-FREQ-LP-A
135800                                    MS04-REVIEW-FREQ-RP-A.
135900     MOVE DFHBMASK               TO MS04-REVIEW-FREQ-A.
136000*
136100     PERFORM Y335-REVIEW-FREQ-SECURITY
136200                                 THRU Y339-EXIT.
136300*
136400     IF  MS04-REVIEW-FREQ-L IS GREATER THAN ZERO
136500         MOVE DFHBMASF           TO MS04-REVIEW-FREQ-A
136600     ELSE
136700         MOVE MMSM-REVIEW-FREQ   TO MS04-REVIEW-FREQ.
136800*
136900     IF  MS04-REVIEW-FREQ IS NUMERIC
137000         NEXT SENTENCE
137100     ELSE
137200         GO TO W338-REVIEW-FREQ-ERROR.
137300*
137400     IF  MBCA-PTI-FUNCTION-IS-MAINT
137500     OR  MS04-REVIEW-FREQ-L IS GREATER THAN ZERO
137600     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
137700         GO TO W339-EXIT.
137800*
137900 W338-REVIEW-FREQ-ERROR.
138000*
138100     IF  MS04-REVIEW-FREQ-L IS GREATER THAN ZERO
138200         MOVE DFHBMNBF           TO MS04-REVIEW-FREQ-A
138300     ELSE
138400         MOVE DFHBMUNB           TO MS04-REVIEW-FREQ-A.
138500*
138600     SET SS08WS-ERROR-SW-YES     TO TRUE.
138700     SET REVIEW-ERRORS-EXIST     TO TRUE.
138800     MOVE DFHBMASB               TO MS04-REVIEW-FREQ-LP-A
138900                                    MS04-REVIEW-FREQ-RP-A.
139000     MOVE SS08WS-CURSOR          TO MS04-REVIEW-FREQ-L.
139100*
139200 W339-EXIT.
139300     EXIT.
139400*
139500 W350-EDIT-DATE-LAST-VISIT.
139600*
139700     MOVE DFHBMDAS               TO MS04-LAST-VISIT-LP-A
139800                                    MS04-LAST-VISIT-RP-A.
139900     MOVE DFHBMASK               TO MS04-LAST-VISIT-A.
140000*
140100     PERFORM Y355-DATE-LAST-VISIT-SECURITY
140200                                 THRU Y359-EXIT.
140300*
140400     IF  MS04-LAST-VISIT-L IS GREATER THAN ZERO
140500         MOVE DFHBMASF           TO MS04-LAST-VISIT-A
140600     ELSE
140700         MOVE MMSM-DATE-LAST-VISIT
140800                                 TO SS01WS-JULIAN
140900         PERFORM SS08PD-JUL-TO-GREG
141000                                 THRU SS08PD-JTG-EXIT
141100         MOVE SS01WS-DATE        TO MS04-LAST-VISIT.
141200*
141300     IF  MS04-LAST-VISIT IS NOT NUMERIC
141400         GO TO W358-DATE-LAST-VISIT-ERROR.
141500*
141600     IF  MS04-LAST-VISIT IS LESS THAN 1000000
141700         MOVE MS04-LAST-VISIT    TO SS01WS-MDY
141800         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
141900     ELSE
142000         MOVE MS04-LAST-VISIT    TO SS01WS-DATE.
142100*
142200     PERFORM SS05PD-DATE-VALIDATION
142300                                 THRU SS05PD-DV-EXIT.
142400*
142500     IF  SS01WS-DATE-IS-INVALID
142600         GO TO W358-DATE-LAST-VISIT-ERROR
142700     ELSE
142800         MOVE SS01WS-DATE        TO MS04-LAST-VISIT.
142900*
143000     IF  MBCA-PTI-FUNCTION-IS-MAINT
143100     OR  MS04-LAST-VISIT-L IS GREATER THAN ZERO
143200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
143300         GO TO W359-EXIT.
143400*
143500 W358-DATE-LAST-VISIT-ERROR.
143600*
143700     IF  MS04-LAST-VISIT-L IS GREATER THAN ZERO
143800         MOVE DFHBMNBF           TO MS04-LAST-VISIT-A
143900     ELSE
144000         MOVE DFHBMUNB           TO MS04-LAST-VISIT-A.
144100*
144200     SET SS08WS-ERROR-SW-YES     TO TRUE.
144300     SET VISIT-ERRORS-EXIST      TO TRUE.
144400     MOVE DFHBMASB               TO MS04-LAST-VISIT-LP-A
144500                                    MS04-LAST-VISIT-RP-A.
144600     MOVE SS08WS-CURSOR          TO MS04-LAST-VISIT-L.
144700*
144800 W359-EXIT.
144900     EXIT.
145000*
145100 W370-EDIT-DATE-LAST-REVIEW.
145200*
145300     MOVE DFHBMDAS               TO MS04-LAST-REVIEW-LP-A
145400                                    MS04-LAST-REVIEW-RP-A.
145500     MOVE DFHBMASK               TO MS04-LAST-REVIEW-A.
145600*
145700     PERFORM Y375-DATE-LAST-REVIEW-SECURITY
145800                                 THRU Y379-EXIT.
145900*
146000     IF  MS04-LAST-REVIEW-L IS GREATER THAN ZERO
146100         MOVE DFHBMASF           TO MS04-LAST-REVIEW-A
146200     ELSE
146300         MOVE MMSM-DATE-LAST-REVIEW
146400                                 TO SS01WS-JULIAN
146500         PERFORM SS08PD-JUL-TO-GREG
146600                                 THRU SS08PD-JTG-EXIT
146700         MOVE SS01WS-DATE        TO MS04-LAST-REVIEW.
146800*
146900     IF  MS04-LAST-REVIEW IS NOT NUMERIC
147000         GO TO W378-DATE-LAST-REVIEW-ERROR.
147100*
147200     IF  MS04-LAST-REVIEW IS LESS THAN 1000000
147300         MOVE MS04-LAST-REVIEW   TO SS01WS-MDY
147400         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
147500     ELSE
147600         MOVE MS04-LAST-REVIEW   TO SS01WS-DATE.
147700*
147800     PERFORM SS05PD-DATE-VALIDATION
147900                                 THRU SS05PD-DV-EXIT.
148000*
148100     IF  SS01WS-DATE-IS-INVALID
148200         GO TO W378-DATE-LAST-REVIEW-ERROR
148300     ELSE
148400         MOVE SS01WS-DATE        TO MS04-LAST-REVIEW.
148500*
148600     IF  MBCA-PTI-FUNCTION-IS-MAINT
148700     OR  MS04-LAST-REVIEW-L IS GREATER THAN ZERO
148800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
148900         GO TO W379-EXIT.
149000*
149100 W378-DATE-LAST-REVIEW-ERROR.
149200*
149300     IF  MS04-LAST-REVIEW-L IS GREATER THAN ZERO
149400         MOVE DFHBMNBF           TO MS04-LAST-REVIEW-A
149500     ELSE
149600         MOVE DFHBMUNB           TO MS04-LAST-REVIEW-A.
149700*
149800     SET SS08WS-ERROR-SW-YES     TO TRUE.
149900     SET REVIEW-ERRORS-EXIST     TO TRUE.
150000     MOVE DFHBMASB               TO MS04-LAST-REVIEW-LP-A
150100                                    MS04-LAST-REVIEW-RP-A.
150200     MOVE SS08WS-CURSOR          TO MS04-LAST-REVIEW-L.
150300*
150400 W379-EXIT.
150500     EXIT.
150600*
150700 W430-EDIT-VISIT-REP-NAME.
150800*
150900     MOVE DFHBMDAS               TO MS04-VISIT-REP-NAME-LP-A
151000                                    MS04-VISIT-REP-NAME-RP-A.
151100     MOVE DFHBMASK               TO MS04-VISIT-REP-NAME-A.
151200*
151300     PERFORM Y435-VISIT-REP-NAME-SECURITY
151400                                 THRU Y439-EXIT.
151500*
151600     IF  MS04-VISIT-REP-NAME-L IS GREATER THAN ZERO
151700         MOVE DFHBMASF           TO MS04-VISIT-REP-NAME-A
151800     ELSE
151900         MOVE MMSM-VISIT-REP-NAME
152000                                 TO MS04-VISIT-REP-NAME.
152100*
152200     IF  MBCA-PTI-FUNCTION-IS-MAINT
152300     OR  MS04-VISIT-REP-NAME-L IS GREATER THAN ZERO
152400     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
152500         GO TO W439-EXIT.
152600*
152700 W438-VISIT-REP-NAME-ERROR.
152800*
152900     IF  MS04-VISIT-REP-NAME-L IS GREATER THAN ZERO
153000         MOVE DFHBMUBF           TO MS04-VISIT-REP-NAME-A
153100     ELSE
153200         MOVE DFHBMBRY           TO MS04-VISIT-REP-NAME-A.
153300*
153400     SET SS08WS-ERROR-SW-YES     TO TRUE.
153500     MOVE DFHBMASB               TO MS04-VISIT-REP-NAME-LP-A
153600                                    MS04-VISIT-REP-NAME-RP-A.
153700     MOVE SS08WS-CURSOR          TO MS04-VISIT-REP-NAME-L.
153800*
153900 W439-EXIT.
154000     EXIT.
154100*
154200 W450-EDIT-REVIEW-REP-NAME.
154300*
154400     MOVE DFHBMDAS               TO MS04-REVIEW-REP-NAME-LP-A
154500                                    MS04-REVIEW-REP-NAME-RP-A.
154600     MOVE DFHBMASK               TO MS04-REVIEW-REP-NAME-A.
154700*
154800     PERFORM Y455-REVIEW-REP-NAME-SECURITY
154900                                 THRU Y459-EXIT.
155000*
155100     IF  MS04-REVIEW-REP-NAME-L IS GREATER THAN ZERO
155200         MOVE DFHBMASF           TO MS04-REVIEW-REP-NAME-A
155300     ELSE
155400         MOVE MMSM-REVIEW-REP-NAME
155500                                 TO MS04-REVIEW-REP-NAME.
155600*
155700     IF  MBCA-PTI-FUNCTION-IS-MAINT
155800     OR  MS04-REVIEW-REP-NAME-L IS GREATER THAN ZERO
155900     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
156000         GO TO W459-EXIT.
156100*
156200 W458-REVIEW-REP-NAME-ERROR.
156300*
156400     IF  MS04-REVIEW-REP-NAME-L IS GREATER THAN ZERO
156500         MOVE DFHBMUBF           TO MS04-REVIEW-REP-NAME-A
156600     ELSE
156700         MOVE DFHBMBRY           TO MS04-REVIEW-REP-NAME-A.
156800*
156900     SET SS08WS-ERROR-SW-YES     TO TRUE.
157000     MOVE DFHBMASB               TO MS04-REVIEW-REP-NAME-LP-A
157100                                    MS04-REVIEW-REP-NAME-RP-A.
157200     MOVE SS08WS-CURSOR          TO MS04-REVIEW-REP-NAME-L.
157300*
157400 W459-EXIT.
157500     EXIT.
157600*
157700 W510-VISIT-CROSS-EDITS.
157800*
157900*********************************************************
158000*                                                       *
158100*    THE VISIT CROSS EDITS ARE AS FOLLOWS:              *
158200*                                                       *
158300*    . THE NEXT VISIT DATE WILL ALWAYS BE CALCULATED    *
158400*      BY THE FREQ AND DATE LAST.                       *
158500*                                                       *
158600*    . IF NEXT VISIT IS THEN GREATER THAN TODAYS        *
158700*      PROCESSING IT IS OK ELSE BOTH FREQ AND DATE      *
158800*      LAST WILL BE HIGLIGHTED FOR RE-ENTRY.            *
158900*                                                       *
159000*    . IF THE USER ENTERS THE FREQ WITH NO DATE LAST    *
159100*      THE FREQ WILL BE ADDED TO TODAYS PROCESSING      *
159200*      TO CREATE DATE NEXT.                             *
159300*                                                       *
159400*********************************************************
159500*
159600     IF  VISIT-ERRORS-EXIST
159700         GO TO W519-VCE-EXIT.
159800*
159900**********************************************************
160000*    CALCULATE THE NEXT VISIT DATE IF THE LAST VISIT     *
160100*    DATE WAS ENTERED OR THE VISIT FREQUENCY WAS         *
160200*    CHANGED.                                            *
160300**********************************************************
160400*
160500     IF  MS04-VISIT-FREQ-L IS EQUAL TO ZERO
160600     AND MS04-LAST-VISIT-L IS EQUAL TO ZERO
160700         GO TO W511-CHECK-DATES.
160800*
160900     IF  MS04-VISIT-FREQ IS EQUAL TO ZEROES
161000         GO TO W511-CHECK-DATES.
161100*
161200********************************
161300*    SET THE BEGINNING DATE    *
161400********************************
161500*
161600     IF  MS04-LAST-VISIT IS EQUAL TO ZEROES
161700         MOVE MMOC-TODAYS-JULIAN
161800                                 TO SS01WS-JULIAN
161900         PERFORM SS08PD-JUL-TO-GREG
162000                                 THRU SS08PD-JTG-EXIT
162100         MOVE SS01WS-DATE        TO MS04-LAST-VISIT
162200         MOVE +8                 TO MS04-LAST-VISIT-L
162300         MOVE MMOC-TODAYS-JULIAN
162400                                 TO SS01WS-JULIAN
162500     ELSE
162600         MOVE MS04-LAST-VISIT    TO SS01WS-DATE
162700         PERFORM SS07PD-GREG-TO-JUL
162800                                 THRU SS07PD-GTJ-EXIT.
162900*
163000********************************
163100*    CALCULATE THE NEW DATE    *
163200********************************
163300*
163400     MOVE MS04-VISIT-FREQ        TO SS01WS-FREQ.
163500     MOVE 'M'                    TO SS01WS-PERIOD.
163600     MOVE ZERO                   TO SS01WS-DAY-OF-MON.
163700     PERFORM SS03PD-FUTURE-DATE  THRU SS03PD-FD-EXIT.
163800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
163900                             THRU SS26PD-NED-EXIT.
164000     MOVE SS01WS-XX-XX-YYYY      TO  MS04-NEXT-VISIT.
164100     SET VISIT-DATE-WAS-CALCULATED
164200                                 TO TRUE.
164300*
164400 W511-CHECK-DATES.
164500*
164600     MOVE MS04-LAST-VISIT        TO SS01WS-DATE.
164700     PERFORM SS07PD-GREG-TO-JUL  THRU SS07PD-GTJ-EXIT.
164800     MOVE SS01WS-JULIAN          TO MMSM-DATE-LAST-VISIT.
164900*
165000     IF  VISIT-DATE-WAS-CALCULATED
165100         MOVE MS04-NEXT-VISIT(1:2)
165200                                 TO SS01WS-DATEZ(1:2)
165300         MOVE MS04-NEXT-VISIT(4:2)
165400                                 TO SS01WS-DATEZ(3:2)
165500         MOVE MS04-NEXT-VISIT(7:4)
165600                                 TO SS01WS-DATEZ(5:4)
165700         PERFORM SS07PD-GREG-TO-JUL
165800                                 THRU SS07PD-GTJ-EXIT
165900         MOVE SS01WS-JULIAN      TO MMSM-DATE-NEXT-VISIT.
166000*
166100     IF  MMSM-DATE-LAST-VISIT IS GREATER
166200                                 THAN MMOC-TODAYS-JULIAN
166300         GO TO W518-VISIT-CROSS-EDIT-ERROR.
166400*
166500     IF  MMSM-DATE-NEXT-VISIT IS EQUAL TO ZEROES
166600         GO TO W519-VCE-EXIT.
166700*
166800     IF  VISIT-DATE-WAS-CALCULATED
166900         IF  MMSM-DATE-NEXT-VISIT IS NOT GREATER
167000                                 THAN MMOC-TODAYS-JULIAN
167100             GO TO W518-VISIT-CROSS-EDIT-ERROR.
167200*
167300     IF  VISIT-DATE-WAS-CALCULATED
167400         MOVE +8                 TO MS04-NEXT-VISIT-L.
167500*
167600     GO TO W519-VCE-EXIT.
167700*
167800 W518-VISIT-CROSS-EDIT-ERROR.
167900*
168000     SET SS08WS-ERROR-SW-YES     TO TRUE.
168100     SET VISIT-ERRORS-EXIST      TO TRUE.
168200     MOVE DFHBMASB               TO MS04-VISIT-FREQ-LP-A
168300                                    MS04-VISIT-FREQ-RP-A
168400                                    MS04-LAST-VISIT-LP-A
168500                                    MS04-LAST-VISIT-RP-A.
168600*
168700     IF  MS04-VISIT-FREQ-L IS GREATER THAN ZERO
168800         MOVE DFHBMNBF           TO MS04-VISIT-FREQ-A
168900     ELSE
169000         MOVE DFHBMUNB           TO MS04-VISIT-FREQ-A.
169100*
169200     IF  MS04-LAST-VISIT-L IS GREATER THAN ZERO
169300         MOVE DFHBMNBF           TO MS04-LAST-VISIT-A
169400     ELSE
169500         MOVE DFHBMUNB           TO MS04-LAST-VISIT-A.
169600*
169700     IF  MMSM-DATE-LAST-VISIT IS GREATER
169800                                 THAN MMOC-TODAYS-JULIAN
169900         MOVE SS08WS-CURSOR      TO MS04-LAST-VISIT-L
170000     ELSE
170100         MOVE SS08WS-CURSOR      TO MS04-VISIT-FREQ-L.
170200*
170300 W519-VCE-EXIT.
170400     EXIT.
170500*
170600 W520-REVIEW-CROSS-EDITS.
170700*
170800*********************************************************
170900*                                                       *
171000*    THE REVIEW CROSS EDITS ARE AS FOLLOWS:             *
171100*                                                       *
171200*    . THE NEXT VISIT DATE WILL ALWAYS BE CALCULATED    *
171300*      BY THE FREQ AND DATE LAST.                       *
171400*                                                       *
171500*    . IF NEXT VISIT IS THEN GREATER THAN TODAYS        *
171600*      PROCESSING IT IS OK ELSE BOTH FREQ AND DATE      *
171700*      LAST WILL BE HIGLIGHTED FOR RE-ENTRY.            *
171800*                                                       *
171900*    . IF THE USER ENTERS THE FREQ WITH NO DATE LAST    *
172000*      THE FREQ WILL BE ADDED TO TODAYS PROCESSING      *
172100*      TO CREATE DATE NEXT.                             *
172200*                                                       *
172300*********************************************************
172400*
172500     IF  REVIEW-ERRORS-EXIST
172600         GO TO W529-RCE-EXIT.
172700*
172800**********************************************************
172900*    CALCULATE THE NEXT REVIEW DATE IF THE LAST REVIEW   *
173000*    DATE WAS ENTERED OR THE REVIEW FREQUENCY WAS        *
173100*    CHANGED, AND THE NEXT REVIEW DATE WAS NOT ENTERED   *
173200**********************************************************
173300*
173400     IF  MS04-REVIEW-FREQ-L IS EQUAL TO ZERO
173500     AND MS04-LAST-REVIEW-L IS EQUAL TO ZERO
173600         GO TO W521-CHECK-DATES.
173700*
173800     IF  MS04-REVIEW-FREQ IS EQUAL TO ZEROES
173900         GO TO W521-CHECK-DATES.
174000*
174100********************************
174200*    SET THE BEGINNING DATE    *
174300********************************
174400*
174500     IF  MS04-LAST-REVIEW IS EQUAL TO ZEROES
174600         MOVE MMOC-TODAYS-JULIAN
174700                                 TO SS01WS-JULIAN
174800         PERFORM SS08PD-JUL-TO-GREG
174900                                 THRU SS08PD-JTG-EXIT
175000         MOVE SS01WS-DATE        TO MS04-LAST-REVIEW
175100         MOVE +8                 TO MS04-LAST-REVIEW-L
175200         MOVE MMOC-TODAYS-JULIAN
175300                                 TO SS01WS-JULIAN
175400     ELSE
175500         MOVE MS04-LAST-REVIEW   TO SS01WS-DATE
175600         PERFORM SS07PD-GREG-TO-JUL
175700                                 THRU SS07PD-GTJ-EXIT.
175800*
175900********************************
176000*    CALCULATE THE NEW DATE    *
176100********************************
176200*
176300     MOVE MS04-REVIEW-FREQ       TO SS01WS-FREQ.
176400     MOVE 'M'                    TO SS01WS-PERIOD.
176500     MOVE ZERO                   TO SS01WS-DAY-OF-MON.
176600     PERFORM SS03PD-FUTURE-DATE  THRU SS03PD-FD-EXIT.
176700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
176800                                 THRU SS26PD-NED-EXIT.
176900     MOVE SS01WS-XX-XX-YYYY      TO  MS04-NEXT-REVIEW.
177000     SET REVIEW-DATE-WAS-CALCULATED
177100                                 TO TRUE.
177200*
177300 W521-CHECK-DATES.
177400*
177500     MOVE MS04-LAST-REVIEW       TO SS01WS-DATE.
177600     PERFORM SS07PD-GREG-TO-JUL  THRU SS07PD-GTJ-EXIT.
177700     MOVE SS01WS-JULIAN          TO MMSM-DATE-LAST-REVIEW.
177800*
177900     IF  REVIEW-DATE-WAS-CALCULATED
178000         MOVE MS04-NEXT-REVIEW(1:2)
178100                                 TO SS01WS-DATEZ(1:2)
178200         MOVE MS04-NEXT-REVIEW(4:2)
178300                                 TO SS01WS-DATEZ(3:2)
178400         MOVE MS04-NEXT-REVIEW(7:4)
178500                                 TO SS01WS-DATEZ(5:4)
178600         PERFORM SS07PD-GREG-TO-JUL
178700                                 THRU SS07PD-GTJ-EXIT
178800         MOVE SS01WS-JULIAN      TO MMSM-DATE-NEXT-REVIEW.
178900*
179000     IF  MMSM-DATE-LAST-REVIEW IS GREATER
179100                                 THAN MMOC-TODAYS-JULIAN
179200         GO TO W528-REVIEW-CROSS-EDIT-ERROR.
179300*
179400     IF  MMSM-DATE-NEXT-REVIEW IS EQUAL TO ZEROES
179500         GO TO W529-RCE-EXIT.
179600*
179700     IF  REVIEW-DATE-WAS-CALCULATED
179800         IF  MMSM-DATE-NEXT-REVIEW IS NOT GREATER
179900                                 THAN MMOC-TODAYS-JULIAN
180000             GO TO W528-REVIEW-CROSS-EDIT-ERROR.
180100*
180200     IF  REVIEW-DATE-WAS-CALCULATED
180300         MOVE +8                 TO MS04-NEXT-REVIEW-L.
180400*
180500     GO TO W529-RCE-EXIT.
180600*
180700 W528-REVIEW-CROSS-EDIT-ERROR.
180800*
180900     SET SS08WS-ERROR-SW-YES     TO TRUE.
181000     SET REVIEW-ERRORS-EXIST     TO TRUE.
181100     MOVE DFHBMASB               TO MS04-REVIEW-FREQ-LP-A
181200                                    MS04-REVIEW-FREQ-RP-A
181300                                    MS04-LAST-REVIEW-LP-A
181400                                    MS04-LAST-REVIEW-RP-A.
181500*
181600     IF  MS04-REVIEW-FREQ-L IS GREATER THAN ZERO
181700         MOVE DFHBMNBF           TO MS04-REVIEW-FREQ-A
181800     ELSE
181900         MOVE DFHBMUNB           TO MS04-REVIEW-FREQ-A.
182000*
182100     IF  MS04-LAST-REVIEW-L IS GREATER THAN ZERO
182200         MOVE DFHBMNBF           TO MS04-LAST-REVIEW-A
182300     ELSE
182400         MOVE DFHBMUNB           TO MS04-LAST-REVIEW-A.
182500*
182600     IF  MMSM-DATE-LAST-REVIEW IS GREATER
182700                                 THAN MMOC-TODAYS-JULIAN
182800         MOVE SS08WS-CURSOR      TO MS04-LAST-REVIEW-L
182900     ELSE
183000         MOVE SS08WS-CURSOR      TO MS04-REVIEW-FREQ-L.
183100*
183200 W529-RCE-EXIT.
183300     EXIT.
183400*
183500 W530-SETTLE-CROSS-EDITS.
183600*
183700     IF  MS04-STORE-SETT-FLAG IS EQUAL TO 'N'
183800     AND MS04-STORE-SETT-DATE IS EQUAL TO ZEROS
183900         SET SS08WS-ERROR-SW-YES TO TRUE
184000         MOVE DFHBMNBF           TO MS04-STORE-SETT-FLAG-A
184100                                    MS04-STORE-SETT-DATE-A
184200         MOVE DFHBMASB           TO MS04-STORE-SETT-FLAG-LP-A
184300                                    MS04-STORE-SETT-FLAG-RP-A
184400                                    MS04-STORE-SETT-DATE-LP-A
184500                                    MS04-STORE-SETT-DATE-RP-A
184600         MOVE SS08WS-CURSOR      TO MS04-STORE-SETT-FLAG-L.
184700*
184800 W539-SCE-EXIT.
184900     EXIT.
185000/
185100 X000-UPDATE-FIELDS SECTION.
185200*
185300 X030-UPDATE-AUTH-CODE.
185400*
185500     SET X-MMFS-STORE            UP BY 1.
185600*
185700     IF  MS04-AUTH-CODE-L        IS GREATER THAN ZERO
185800         IF  MS04-AUTH-CODE IS NOT EQUAL
185900                                 TO MMSM-AUTH-CODE
186000             SET WS-UPDATE-SW-YES
186100                                 TO TRUE
186200             IF  MBCA-PTI-FUNCTION-IS-MAINT
186300                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
186400                                 TO MML1-MMSM-AUDIT-CODE
186500                 MOVE 0401       TO MML1-FIELD-CODE
186600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
186700                                    MML1-FIELD-OCCURRENCE-2
186800                 MOVE MML1WS-VL-01
186900                                 TO MML1-VARIABLE-LENGTH
187000                 MOVE MMSM-AUTH-CODE
187100                                 TO MML1-VL01-B-DATA-X
187200                 MOVE MS04-AUTH-CODE
187300                                 TO MMSM-AUTH-CODE
187400                 MOVE MMSM-AUTH-CODE
187500                                 TO MML1-VL01-A-DATA-X
187600                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
187700                 PERFORM Y920-WRITE-LOG-REC-STORE
187800                                 THRU Y929-WLRS-EXIT
187900             ELSE
188000                 MOVE MS04-AUTH-CODE
188100                                 TO MMSM-AUTH-CODE.
188200*
188300 X039-EXIT.
188400     EXIT.
188500*
188600 X050-UPDATE-STORE-SETT-FLAG.
188700*
188800     SET X-MMFS-STORE            UP BY 1.
188900*
189000     IF  MS04-STORE-SETT-FLAG-L  IS GREATER THAN ZERO
189100         IF  MS04-STORE-SETT-FLAG IS NOT EQUAL
189200                                 TO MMSM-STORE-SETT-FLAG
189300             SET WS-UPDATE-SW-YES
189400                                 TO TRUE
189500             IF  MBCA-PTI-FUNCTION-IS-MAINT
189600                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
189700                                 TO MML1-MMSM-AUDIT-CODE
189800                 MOVE 0402       TO MML1-FIELD-CODE
189900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
190000                                    MML1-FIELD-OCCURRENCE-2
190100                 MOVE MML1WS-VL-01
190200                                 TO MML1-VARIABLE-LENGTH
190300                 MOVE MMSM-STORE-SETT-FLAG
190400                                 TO MML1-VL01-B-DATA-X
190500                 MOVE MS04-STORE-SETT-FLAG
190600                                 TO MMSM-STORE-SETT-FLAG
190700                 MOVE MMSM-STORE-SETT-FLAG
190800                                 TO MML1-VL01-A-DATA-X
190900                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
191000                 PERFORM Y920-WRITE-LOG-REC-STORE
191100                                 THRU Y929-WLRS-EXIT
191200             ELSE
191300                 MOVE MS04-STORE-SETT-FLAG
191400                                 TO MMSM-STORE-SETT-FLAG.
191500*
191600 X059-EXIT.
191700     EXIT.
191800*
191900 X070-UPDATE-AUTH-LOGO.
192000*
192100     SET X-MMFS-STORE            UP BY 1.
192200*
192300     IF  MS04-AUTH-LOGO-L        IS GREATER THAN ZERO
192400         IF  MS04-AUTH-LOGO IS NOT EQUAL
192500                                 TO MMSM-AUTH-LOGO
192600             SET WS-UPDATE-SW-YES
192700                                 TO TRUE
192800             IF  MBCA-PTI-FUNCTION-IS-MAINT
192900                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
193000                                 TO MML1-MMSM-AUDIT-CODE
193100                 MOVE 0403       TO MML1-FIELD-CODE
193200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
193300                                    MML1-FIELD-OCCURRENCE-2
193400                 MOVE MML1WS-VL-03
193500                                 TO MML1-VARIABLE-LENGTH
193600                 MOVE MMSM-AUTH-LOGO
193700                                 TO MML1-VL03-B-DATA-9
193800                 MOVE MS04-AUTH-LOGO
193900                                 TO MMSM-AUTH-LOGO
194000                 MOVE MMSM-AUTH-LOGO
194100                                 TO MML1-VL03-A-DATA-9
194200                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION
194300                 PERFORM Y920-WRITE-LOG-REC-STORE
194400                                 THRU Y929-WLRS-EXIT
194500             ELSE
194600                 MOVE MS04-AUTH-LOGO
194700                                 TO MMSM-AUTH-LOGO.
194800*
194900 X079-EXIT.
195000     EXIT.
195100*
195200 X090-UPDATE-STORE-SETT-DATE.
195300*
195400     SET X-MMFS-STORE            UP BY 1.
195500*
195600     IF  MS04-STORE-SETT-DATE-L IS GREATER THAN ZERO
195700         MOVE MS04-STORE-SETT-DATE
195800                                 TO SS01WS-DATE
195900         PERFORM SS07PD-GREG-TO-JUL
196000                                 THRU SS07PD-GTJ-EXIT
196100         IF  SS01WS-JULIAN IS NOT EQUAL TO MMSM-STORE-SETT-DATE
196200             SET WS-UPDATE-SW-YES
196300                                 TO TRUE
196400             IF  MBCA-PTI-FUNCTION-IS-MAINT
196500                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
196600                                 TO MML1-MMSM-AUDIT-CODE
196700                 MOVE 0404       TO MML1-FIELD-CODE
196800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
196900                                    MML1-FIELD-OCCURRENCE-2
197000                 MOVE MML1WS-VL-07
197100                                 TO MML1-VARIABLE-LENGTH
197200                 MOVE MMSM-STORE-SETT-DATE
197300                                 TO MML1-VL07-B-DATA-9
197400                 MOVE SS01WS-JULIAN
197500                                 TO MMSM-STORE-SETT-DATE
197600                 MOVE MMSM-STORE-SETT-DATE
197700                                 TO MML1-VL07-A-DATA-9
197800                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
197900                 PERFORM Y920-WRITE-LOG-REC-STORE
198000                                 THRU Y929-WLRS-EXIT
198100             ELSE
198200                 MOVE SS01WS-JULIAN
198300                                 TO MMSM-STORE-SETT-DATE.
198400*
198500 X099-EXIT.
198600     EXIT.
198700*
198800 X110-UPDATE-GOVERNING-STATE.
198900*
199000     SET X-MMFS-STORE            UP BY 1.
199100*
199200     IF  MS04-GOVERNING-STATE-L  IS GREATER THAN ZERO
199300         IF  MS04-GOVERNING-STATE IS NOT EQUAL
199400                                 TO MMSM-GOVERNING-STATE
199500             SET WS-UPDATE-SW-YES
199600                                 TO TRUE
199700             IF  MBCA-PTI-FUNCTION-IS-MAINT
199800                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
199900                                 TO MML1-MMSM-AUDIT-CODE
200000                 MOVE 0405       TO MML1-FIELD-CODE
200100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
200200                                    MML1-FIELD-OCCURRENCE-2
200300                 MOVE MML1WS-VL-03
200400                                 TO MML1-VARIABLE-LENGTH
200500                 MOVE MMSM-GOVERNING-STATE
200600                                 TO MML1-VL03-B-DATA-X
200700                 MOVE MS04-GOVERNING-STATE
200800                                 TO MMSM-GOVERNING-STATE
200900                 MOVE MMSM-GOVERNING-STATE
201000                                 TO MML1-VL03-A-DATA-X
201100                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
201200                 PERFORM Y920-WRITE-LOG-REC-STORE
201300                                 THRU Y929-WLRS-EXIT
201400             ELSE
201500                 MOVE MS04-GOVERNING-STATE
201600                                 TO MMSM-GOVERNING-STATE.
201700*
201800 X119-EXIT.
201900     EXIT.
202000*
202100 X150-UPDATE-STMT-ADDR-CONTROL.
202200*
202300     SET X-MMFS-STORE            UP BY 1.
202400*
202500     IF  MS04-STMT-ADDR-CONTROL-L IS GREATER THAN ZERO
202600         IF  MS04-STMT-ADDR-CONTROL IS NOT EQUAL
202700                                 TO MMSM-STMT-ADDR-CONTROL
202800             SET WS-UPDATE-SW-YES
202900                                 TO TRUE
203000             IF  MBCA-PTI-FUNCTION-IS-MAINT
203100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
203200                                 TO MML1-MMSM-AUDIT-CODE
203300                 MOVE 0407       TO MML1-FIELD-CODE
203400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
203500                                    MML1-FIELD-OCCURRENCE-2
203600                 MOVE MML1WS-VL-01
203700                                 TO MML1-VARIABLE-LENGTH
203800                 MOVE MMSM-STMT-ADDR-CONTROL
203900                                 TO MML1-VL01-B-DATA-X
204000                 MOVE MS04-STMT-ADDR-CONTROL
204100                                 TO MMSM-STMT-ADDR-CONTROL
204200                 MOVE MMSM-STMT-ADDR-CONTROL
204300                                 TO MML1-VL01-A-DATA-X
204400                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
204500                 PERFORM Y920-WRITE-LOG-REC-STORE
204600                                 THRU Y929-WLRS-EXIT
204700             ELSE
204800                 MOVE MS04-STMT-ADDR-CONTROL
204900                                 TO MMSM-STMT-ADDR-CONTROL.
205000*
205100 X159-EXIT.
205200     EXIT.
205300*
205400 X160-UPDATE-MMMM-NBR-BULLETINS.
205500*
205600     IF  MMSM-REC-MODEL
205700         GO TO X169-EXIT.
205800*
205900     IF  MBCA-PTI-FUNCTION-IS-MAINT
206000       IF  MS04-NBR-BULLETINS-L    IS GREATER THAN ZERO
206100       AND MS04-NBR-BULLETINS IS NOT EQUAL
206200                                 TO MMSM-NBR-BULLETINS
206300         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
206400         MOVE MMSM-MERCHANT-ID   TO MBIOWS-MMMM-MERCHANT
206500         MOVE 'FC18'             TO MBCA-PROGRAM-LOCATION
206600         SET MBIORO-READ-RANDOM-UPDATE
206700                                 TO TRUE
206800         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
206900         MOVE 9013               TO MML1-FIELD-CODE
207000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
207100                                    MML1-FIELD-OCCURRENCE-2
207200         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
207300         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-B-DATA-9
207400         SUBTRACT MMSM-NBR-BULLETINS
207500                                 FROM MMMM-NBR-BULLETINS
207600         ADD MS04-NBR-BULLETINS  TO MMMM-NBR-BULLETINS
207700         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-A-DATA-9
207800         MOVE 'FC19'     TO MBCA-PROGRAM-LOCATION
207900         PERFORM Y930-WRITE-LOG-REC-MERCH
208000                                 THRU Y939-WLRM-EXIT
208100         MOVE 'FC20'             TO MBCA-PROGRAM-LOCATION
208200         SET MBIORO-REWRITE      TO TRUE
208300         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
208400*
208500     IF  MBCA-PTI-FUNCTION-IS-ADD
208600       IF  MS04-NBR-BULLETINS IS GREATER THAN ZEROS
208700         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
208800         MOVE MMSM-MERCHANT-ID   TO MBIOWS-MMMM-MERCHANT
208900         MOVE 'FC21'             TO MBCA-PROGRAM-LOCATION
209000         SET MBIORO-READ-RANDOM-UPDATE
209100                                 TO TRUE
209200         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
209300         MOVE 9013               TO MML1-FIELD-CODE
209400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
209500                                    MML1-FIELD-OCCURRENCE-2
209600         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
209700         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-B-DATA-9
209800         ADD MS04-NBR-BULLETINS  TO MMMM-NBR-BULLETINS
209900         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-A-DATA-9
210000         MOVE 'FC22'     TO MBCA-PROGRAM-LOCATION
210100         PERFORM Y930-WRITE-LOG-REC-MERCH
210200                                 THRU Y939-WLRM-EXIT
210300         MOVE 'FC23'             TO MBCA-PROGRAM-LOCATION
210400         SET MBIORO-REWRITE      TO TRUE
210500         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
210600*
210700 X169-EXIT.
210800     EXIT.
210900*
211000 X170-UPDATE-NBR-BULLETINS.
211100*
211200     SET X-MMFS-STORE            UP BY 1.
211300*
211400     IF  MS04-NBR-BULLETINS-L    IS GREATER THAN ZERO
211500         IF  MS04-NBR-BULLETINS IS NOT EQUAL
211600                                 TO MMSM-NBR-BULLETINS
211700             SET WS-UPDATE-SW-YES
211800                                 TO TRUE
211900             IF  MBCA-PTI-FUNCTION-IS-MAINT
212000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
212100                                 TO MML1-MMSM-AUDIT-CODE
212200                 MOVE 0408       TO MML1-FIELD-CODE
212300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
212400                                    MML1-FIELD-OCCURRENCE-2
212500                 MOVE MML1WS-VL-05
212600                                 TO MML1-VARIABLE-LENGTH
212700                 MOVE MMSM-NBR-BULLETINS
212800                                 TO MML1-VL05-B-DATA-9
212900                 MOVE MS04-NBR-BULLETINS
213000                                 TO MMSM-NBR-BULLETINS
213100                 MOVE MMSM-NBR-BULLETINS
213200                                 TO MML1-VL05-A-DATA-9
213300                 MOVE 'FC24'     TO MBCA-PROGRAM-LOCATION
213400                 PERFORM Y920-WRITE-LOG-REC-STORE
213500                                 THRU Y929-WLRS-EXIT
213600             ELSE
213700                 MOVE MS04-NBR-BULLETINS
213800                                 TO MMSM-NBR-BULLETINS.
213900*
214000 X179-EXIT.
214100     EXIT.
214200*
214300 X190-UPDATE-ACT-RECAP.
214400*
214500     SET X-MMFS-STORE            UP BY 1.
214600*
214700     IF  MS04-ACT-RECAP-L (X-MS04-ACT-RECAP)
214800                                 IS GREATER THAN ZERO
214900         IF  MS04-ACT-RECAP (X-MS04-ACT-RECAP) IS NOT EQUAL
215000                                 TO MMSM-ACT-RECAP
215100                                    (X-MMSM-ACT-RECAP)
215200             SET WS-UPDATE-SW-YES
215300                                 TO TRUE
215400             IF  MBCA-PTI-FUNCTION-IS-MAINT
215500                 SET X-MMSM-ACT-RECAP
215600                                 TO X-MMSM-ACT-RECAP
215700                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
215800                                 TO MML1-MMSM-AUDIT-CODE
215900                 MOVE 0409       TO MML1-FIELD-CODE
216000                 SET MML1-FIELD-OCCURRENCE
216100                                 TO X-MMSM-ACT-RECAP
216200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
216300                 MOVE MML1WS-VL-03
216400                                 TO MML1-VARIABLE-LENGTH
216500                 MOVE MMSM-ACT-RECAP (X-MMSM-ACT-RECAP)
216600                                 TO MML1-VL03-B-DATA-9
216700                 MOVE MS04-ACT-RECAP (X-MS04-ACT-RECAP)
216800                                 TO MMSM-ACT-RECAP
216900                                    (X-MMSM-ACT-RECAP)
217000                                    MMSM-ACT-RECAP
217100                                    (X-MMSM-ACT-RECAP)
217200                 MOVE MMSM-ACT-RECAP (X-MMSM-ACT-RECAP)
217300                                 TO MML1-VL03-A-DATA-9
217400                 MOVE 'FC25'     TO MBCA-PROGRAM-LOCATION
217500                 PERFORM Y920-WRITE-LOG-REC-STORE
217600                                 THRU Y929-WLRS-EXIT
217700             ELSE
217800                 MOVE MS04-ACT-RECAP (X-MS04-ACT-RECAP)
217900                                 TO MMSM-ACT-RECAP
218000                                    (X-MMSM-ACT-RECAP)
218100                                    MMSM-ACT-RECAP
218200                                    (X-MMSM-ACT-RECAP).
218300*
218400 X199-EXIT.
218500     EXIT.
218600*
218700 X210-UPDATE-ACT-RECAP-DTL.
218800*
218900     SET X-MMFS-STORE            UP BY +1.
219000*
219100     IF  MS04-ACT-RECAP-DTL-L (X-MS04-ACT-RECAP)
219200                                 IS GREATER THAN ZERO
219300         IF  MS04-ACT-RECAP-DTL (X-MS04-ACT-RECAP) IS NOT EQUAL
219400                                 TO MMSM-ACT-RECAP-DTL
219500                                    (X-MMSM-ACT-RECAP)
219600             SET WS-UPDATE-SW-YES
219700                                 TO TRUE
219800             IF  MBCA-PTI-FUNCTION-IS-MAINT
219900                 SET X-MMSM-ACT-RECAP
220000                                 TO X-MMSM-ACT-RECAP
220100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
220200                                 TO MML1-MMSM-AUDIT-CODE
220300                 MOVE 0410       TO MML1-FIELD-CODE
220400                 SET MML1-FIELD-OCCURRENCE
220500                                 TO X-MMSM-ACT-RECAP
220600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
220700                 MOVE MML1WS-VL-01
220800                                 TO MML1-VARIABLE-LENGTH
220900                 MOVE MMSM-ACT-RECAP-DTL (X-MMSM-ACT-RECAP)
221000                                 TO MML1-VL01-B-DATA-X
221100                 MOVE MS04-ACT-RECAP-DTL (X-MS04-ACT-RECAP)
221200                                 TO MMSM-ACT-RECAP-DTL
221300                                    (X-MMSM-ACT-RECAP)
221400                                    MMSM-ACT-RECAP-DTL
221500                                    (X-MMSM-ACT-RECAP)
221600                 MOVE MMSM-ACT-RECAP-DTL (X-MMSM-ACT-RECAP)
221700                                 TO MML1-VL01-A-DATA-X
221800                 MOVE 'FC26'     TO MBCA-PROGRAM-LOCATION
221900                 PERFORM Y920-WRITE-LOG-REC-STORE
222000                                 THRU Y929-WLRS-EXIT
222100             ELSE
222200                 MOVE MS04-ACT-RECAP-DTL (X-MS04-ACT-RECAP)
222300                                 TO MMSM-ACT-RECAP-DTL
222400                                    (X-MMSM-ACT-RECAP)
222500                                    MMSM-ACT-RECAP-DTL
222600                                    (X-MMSM-ACT-RECAP).
222700*
222800 X219-EXIT.
222900     EXIT.
223000*
223100 X270-UPDATE-VISIT-REP-OPER.
223200*
223300     IF  MS04-VISIT-OPERATOR-L IS GREATER THAN ZERO
223400         IF  MS04-VISIT-OPERATOR IS NOT EQUAL
223500                                 TO MMSM-VISIT-REP-OPER
223600             SET WS-UPDATE-SW-YES
223700                                 TO TRUE
223800             IF  MBCA-PTI-FUNCTION-IS-MAINT
223900                 MOVE MMSMTB-VISIT-REP-OPER (1:4)
224000                                 TO WS-INDEX-X
224100                 SET X-MMFS-STORE
224200                                 TO WS-INDEX
224300                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
224400                                 TO MML1-MMSM-AUDIT-CODE
224500                 MOVE 0411       TO MML1-FIELD-CODE
224600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
224700                                    MML1-FIELD-OCCURRENCE-2
224800                 MOVE MML1WS-VL-03
224900                                 TO MML1-VARIABLE-LENGTH
225000                 MOVE MMSM-VISIT-REP-OPER
225100                                 TO MML1-VL03-B-DATA-X
225200                 MOVE MS04-VISIT-OPERATOR
225300                                 TO MMSM-VISIT-REP-OPER
225400                 MOVE MMSM-VISIT-REP-OPER
225500                                 TO MML1-VL03-A-DATA-X
225600                 MOVE 'FC27'     TO MBCA-PROGRAM-LOCATION
225700                 PERFORM Y920-WRITE-LOG-REC-STORE
225800                                 THRU Y929-WLRS-EXIT
225900             ELSE
226000                 MOVE MS04-VISIT-OPERATOR
226100                                 TO MMSM-VISIT-REP-OPER.
226200*
226300 X279-EXIT.
226400     EXIT.
226500*
226600 X290-UPDATE-VISIT-FREQ.
226700*
226800     IF  MS04-VISIT-FREQ-L IS GREATER THAN ZERO
226900         IF  MS04-VISIT-FREQ IS NOT EQUAL TO MMSM-VISIT-FREQ
227000             SET WS-UPDATE-SW-YES
227100                                 TO TRUE
227200             IF  MBCA-PTI-FUNCTION-IS-MAINT
227300                 MOVE MMSMTB-VISIT-FREQ (1:4)
227400                                 TO WS-INDEX-X
227500                 SET X-MMFS-STORE
227600                                 TO WS-INDEX
227700                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
227800                                 TO MML1-MMSM-AUDIT-CODE
227900                 MOVE 0412       TO MML1-FIELD-CODE
228000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
228100                                    MML1-FIELD-OCCURRENCE-2
228200                 MOVE MML1WS-VL-02
228300                                 TO MML1-VARIABLE-LENGTH
228400                 MOVE MMSM-VISIT-FREQ
228500                                 TO MML1-VL02-B-DATA-9
228600                 MOVE MS04-VISIT-FREQ
228700                                 TO MMSM-VISIT-FREQ
228800                 MOVE MMSM-VISIT-FREQ
228900                                 TO MML1-VL02-A-DATA-9
229000                 MOVE 'FC28'     TO MBCA-PROGRAM-LOCATION
229100                 PERFORM Y920-WRITE-LOG-REC-STORE
229200                                 THRU Y929-WLRS-EXIT
229300             ELSE
229400                 MOVE MS04-VISIT-FREQ
229500                                 TO MMSM-VISIT-FREQ.
229600*
229700 X299-EXIT.
229800     EXIT.
229900*
230000 X310-UPDATE-REVIEW-REP-OPER.
230100*
230200     IF  MS04-REVIEW-OPERATOR-L IS GREATER THAN ZERO
230300         IF  MS04-REVIEW-OPERATOR IS NOT EQUAL
230400                                 TO MMSM-REVIEW-REP-OPER
230500             SET WS-UPDATE-SW-YES
230600                                 TO TRUE
230700             IF  MBCA-PTI-FUNCTION-IS-MAINT
230800                 MOVE MMSMTB-REVIEW-REP-OPER (1:4)
230900                                 TO WS-INDEX-X
231000                 SET X-MMFS-STORE
231100                                 TO WS-INDEX
231200                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
231300                                 TO MML1-MMSM-AUDIT-CODE
231400                 MOVE 0413       TO MML1-FIELD-CODE
231500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
231600                                    MML1-FIELD-OCCURRENCE-2
231700                 MOVE MML1WS-VL-03
231800                                 TO MML1-VARIABLE-LENGTH
231900                 MOVE MMSM-REVIEW-REP-OPER
232000                                 TO MML1-VL03-B-DATA-X
232100                 MOVE MS04-REVIEW-OPERATOR
232200                                 TO MMSM-REVIEW-REP-OPER
232300                 MOVE MMSM-REVIEW-REP-OPER
232400                                 TO MML1-VL03-A-DATA-X
232500                 MOVE 'FC29'     TO MBCA-PROGRAM-LOCATION
232600                 PERFORM Y920-WRITE-LOG-REC-STORE
232700                                 THRU Y929-WLRS-EXIT
232800             ELSE
232900                 MOVE MS04-REVIEW-OPERATOR
233000                                 TO MMSM-REVIEW-REP-OPER.
233100*
233200 X319-EXIT.
233300     EXIT.
233400*
233500 X330-UPDATE-REVIEW-FREQ.
233600*
233700     IF  MS04-REVIEW-FREQ-L IS GREATER THAN ZERO
233800         IF  MS04-REVIEW-FREQ IS NOT EQUAL TO MMSM-REVIEW-FREQ
233900             SET WS-UPDATE-SW-YES
234000                                 TO TRUE
234100             IF  MBCA-PTI-FUNCTION-IS-MAINT
234200                 MOVE MMSMTB-REVIEW-FREQ (1:4)
234300                                 TO WS-INDEX-X
234400                 SET X-MMFS-STORE
234500                                 TO WS-INDEX
234600                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
234700                                 TO MML1-MMSM-AUDIT-CODE
234800                 MOVE 0414       TO MML1-FIELD-CODE
234900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
235000                                    MML1-FIELD-OCCURRENCE-2
235100                 MOVE MML1WS-VL-02
235200                                 TO MML1-VARIABLE-LENGTH
235300                 MOVE MMSM-REVIEW-FREQ
235400                                 TO MML1-VL02-B-DATA-9
235500                 MOVE MS04-REVIEW-FREQ
235600                                 TO MMSM-REVIEW-FREQ
235700                 MOVE MMSM-REVIEW-FREQ
235800                                 TO MML1-VL02-A-DATA-9
235900                 MOVE 'FC30'     TO MBCA-PROGRAM-LOCATION
236000                 PERFORM Y920-WRITE-LOG-REC-STORE
236100                                 THRU Y929-WLRS-EXIT
236200             ELSE
236300                 MOVE MS04-REVIEW-FREQ
236400                                 TO MMSM-REVIEW-FREQ.
236500*
236600 X339-EXIT.
236700     EXIT.
236800*
236900 X350-UPDATE-DATE-LAST-VISIT.
237000*
237100     IF  MS04-LAST-VISIT-L IS GREATER THAN ZERO
237200         MOVE MS04-LAST-VISIT    TO SS01WS-DATE
237300         PERFORM SS07PD-GREG-TO-JUL
237400                                 THRU SS07PD-GTJ-EXIT
237500         IF  SS01WS-JULIAN IS NOT EQUAL TO MMSM-DATE-LAST-VISIT
237600             SET WS-UPDATE-SW-YES
237700                                 TO TRUE
237800             IF  MBCA-PTI-FUNCTION-IS-MAINT
237900                 MOVE MMSMTB-DATE-LAST-VISIT (1:4)
238000                                 TO WS-INDEX-X
238100                 SET X-MMFS-STORE
238200                                 TO WS-INDEX
238300                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
238400                                 TO MML1-MMSM-AUDIT-CODE
238500                 MOVE 0415       TO MML1-FIELD-CODE
238600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
238700                                    MML1-FIELD-OCCURRENCE-2
238800                 MOVE MML1WS-VL-07
238900                                 TO MML1-VARIABLE-LENGTH
239000                 MOVE MMSM-DATE-LAST-VISIT
239100                                 TO MML1-VL07-B-DATA-9
239200                 MOVE SS01WS-JULIAN
239300                                 TO MMSM-DATE-LAST-VISIT
239400                 MOVE MMSM-DATE-LAST-VISIT
239500                                 TO MML1-VL07-A-DATA-9
239600                 MOVE 'FC31'     TO MBCA-PROGRAM-LOCATION
239700                 PERFORM Y920-WRITE-LOG-REC-STORE
239800                                 THRU Y929-WLRS-EXIT
239900             ELSE
240000                 MOVE SS01WS-JULIAN
240100                                 TO MMSM-DATE-LAST-VISIT.
240200*
240300 X359-EXIT.
240400     EXIT.
240500*
240600 X370-UPDATE-DATE-LAST-REVIEW.
240700*
240800     IF  MS04-LAST-REVIEW-L IS GREATER THAN ZERO
240900         MOVE MS04-LAST-REVIEW   TO SS01WS-DATE
241000         PERFORM SS07PD-GREG-TO-JUL
241100                                 THRU SS07PD-GTJ-EXIT
241200         IF  SS01WS-JULIAN IS NOT EQUAL TO MMSM-DATE-LAST-REVIEW
241300             SET WS-UPDATE-SW-YES
241400                                 TO TRUE
241500             IF  MBCA-PTI-FUNCTION-IS-MAINT
241600                 MOVE MMSMTB-DATE-LAST-REVIEW (1:4)
241700                                 TO WS-INDEX-X
241800                 SET X-MMFS-STORE
241900                                 TO WS-INDEX
242000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
242100                                 TO MML1-MMSM-AUDIT-CODE
242200                 MOVE 0416       TO MML1-FIELD-CODE
242300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
242400                                    MML1-FIELD-OCCURRENCE-2
242500                 MOVE MML1WS-VL-07
242600                                 TO MML1-VARIABLE-LENGTH
242700                 MOVE MMSM-DATE-LAST-REVIEW
242800                                 TO MML1-VL07-B-DATA-9
242900                 MOVE SS01WS-JULIAN
243000                                 TO MMSM-DATE-LAST-REVIEW
243100                 MOVE MMSM-DATE-LAST-REVIEW
243200                                 TO MML1-VL07-A-DATA-9
243300                 MOVE 'FC32'     TO MBCA-PROGRAM-LOCATION
243400                 PERFORM Y920-WRITE-LOG-REC-STORE
243500                                 THRU Y929-WLRS-EXIT
243600             ELSE
243700                 MOVE SS01WS-JULIAN
243800                                 TO MMSM-DATE-LAST-REVIEW.
243900*
244000 X379-EXIT.
244100     EXIT.
244200*
244300 X390-UPDATE-DATE-NEXT-VISIT.
244400*
244500     IF  MS04-NEXT-VISIT-L IS GREATER THAN ZERO
244600         MOVE MS04-NEXT-VISIT(1:2)
244700                                 TO SS01WS-DATEZ(1:2)
244800         MOVE MS04-NEXT-VISIT(4:2)
244900                                 TO SS01WS-DATEZ(3:2)
245000         MOVE MS04-NEXT-VISIT(7:4)
245100                                 TO SS01WS-DATEZ(5:4)
245200         PERFORM SS07PD-GREG-TO-JUL
245300                                 THRU SS07PD-GTJ-EXIT
245400         IF  SS01WS-JULIAN IS NOT EQUAL TO MMSM-DATE-NEXT-VISIT
245500             SET WS-UPDATE-SW-YES
245600                                 TO TRUE
245700             IF  MBCA-PTI-FUNCTION-IS-MAINT
245800                 MOVE MMSMTB-DATE-LAST-VISIT (1:4)
245900                                 TO WS-INDEX-X
246000                 SET X-MMFS-STORE
246100                                 TO WS-INDEX
246200                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
246300                                 TO MML1-MMSM-AUDIT-CODE
246400                 MOVE 0417       TO MML1-FIELD-CODE
246500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
246600                                    MML1-FIELD-OCCURRENCE-2
246700                 MOVE MML1WS-VL-07
246800                                 TO MML1-VARIABLE-LENGTH
246900                 MOVE MMSM-DATE-NEXT-VISIT
247000                                 TO MML1-VL07-B-DATA-9
247100                 MOVE SS01WS-JULIAN
247200                                 TO MMSM-DATE-NEXT-VISIT
247300                 MOVE MMSM-DATE-NEXT-VISIT
247400                                 TO MML1-VL07-A-DATA-9
247500                 MOVE 'FC33'     TO MBCA-PROGRAM-LOCATION
247600                 PERFORM Y920-WRITE-LOG-REC-STORE
247700                                 THRU Y929-WLRS-EXIT
247800             ELSE
247900                 MOVE SS01WS-JULIAN
248000                                 TO MMSM-DATE-NEXT-VISIT.
248100*
248200 X399-EXIT.
248300     EXIT.
248400*
248500 X410-UPDATE-DATE-NEXT-REVIEW.
248600*
248700     IF  MS04-NEXT-REVIEW-L IS GREATER THAN ZERO
248800         MOVE MS04-NEXT-REVIEW(1:2)
248900                                 TO SS01WS-DATEZ(1:2)
249000         MOVE MS04-NEXT-REVIEW(4:2)
249100                                 TO SS01WS-DATEZ(3:2)
249200         MOVE MS04-NEXT-REVIEW(7:4)
249300                                 TO SS01WS-DATEZ(5:4)
249400         PERFORM SS07PD-GREG-TO-JUL
249500                                 THRU SS07PD-GTJ-EXIT
249600         IF  SS01WS-JULIAN IS NOT EQUAL TO MMSM-DATE-NEXT-REVIEW
249700             SET WS-UPDATE-SW-YES
249800                                 TO TRUE
249900             IF  MBCA-PTI-FUNCTION-IS-MAINT
250000                 MOVE MMSMTB-DATE-NEXT-REVIEW (1:4)
250100                                 TO WS-INDEX-X
250200                 SET X-MMFS-STORE
250300                                 TO WS-INDEX
250400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
250500                                 TO MML1-MMSM-AUDIT-CODE
250600                 MOVE 0418       TO MML1-FIELD-CODE
250700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
250800                                    MML1-FIELD-OCCURRENCE-2
250900                 MOVE MML1WS-VL-07
251000                                 TO MML1-VARIABLE-LENGTH
251100                 MOVE MMSM-DATE-NEXT-REVIEW
251200                                 TO MML1-VL07-B-DATA-9
251300                 MOVE SS01WS-JULIAN
251400                                 TO MMSM-DATE-NEXT-REVIEW
251500                 MOVE MMSM-DATE-NEXT-REVIEW
251600                                 TO MML1-VL07-A-DATA-9
251700                 MOVE 'FC34'     TO MBCA-PROGRAM-LOCATION
251800                 PERFORM Y920-WRITE-LOG-REC-STORE
251900                                 THRU Y929-WLRS-EXIT
252000             ELSE
252100                 MOVE SS01WS-JULIAN
252200                                 TO MMSM-DATE-NEXT-REVIEW.
252300*
252400 X419-EXIT.
252500     EXIT.
252600*
252700 X430-UPDATE-VISIT-REP-NAME.
252800*
252900     IF  MS04-VISIT-REP-NAME-L IS GREATER THAN ZERO
253000         IF  MS04-VISIT-REP-NAME IS NOT EQUAL
253100                                 TO MMSM-VISIT-REP-NAME
253200             SET WS-UPDATE-SW-YES
253300                                 TO TRUE
253400             IF  MBCA-PTI-FUNCTION-IS-MAINT
253500                 MOVE MMSMTB-VISIT-REP-NAME (1:4)
253600                                 TO WS-INDEX-X
253700                 SET X-MMFS-STORE
253800                                 TO WS-INDEX
253900                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
254000                                 TO MML1-MMSM-AUDIT-CODE
254100                 MOVE 0419       TO MML1-FIELD-CODE
254200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
254300                                    MML1-FIELD-OCCURRENCE-2
254400                 MOVE MML1WS-VL-40
254500                                 TO MML1-VARIABLE-LENGTH
254600                 MOVE MMSM-VISIT-REP-NAME
254700                                 TO MML1-VL40-B-DATA-X
254800                 MOVE MS04-VISIT-REP-NAME
254900                                 TO MMSM-VISIT-REP-NAME
255000                 MOVE MMSM-VISIT-REP-NAME
255100                                 TO MML1-VL40-A-DATA-X
255200                 MOVE 'FC35'     TO MBCA-PROGRAM-LOCATION
255300                 PERFORM Y920-WRITE-LOG-REC-STORE
255400                                 THRU Y929-WLRS-EXIT
255500             ELSE
255600                 MOVE MS04-VISIT-REP-NAME
255700                                 TO MMSM-VISIT-REP-NAME.
255800*
255900 X439-EXIT.
256000     EXIT.
256100*
256200 X450-UPDATE-REVIEW-REP-NAME.
256300*
256400     IF  MS04-REVIEW-REP-NAME-L IS GREATER THAN ZERO
256500         IF  MS04-REVIEW-REP-NAME IS NOT EQUAL
256600                                 TO MMSM-REVIEW-REP-NAME
256700             SET WS-UPDATE-SW-YES
256800                                 TO TRUE
256900             IF  MBCA-PTI-FUNCTION-IS-MAINT
257000                 MOVE MMSMTB-REVIEW-REP-NAME (1:4)
257100                                 TO WS-INDEX-X
257200                 SET X-MMFS-STORE
257300                                 TO WS-INDEX
257400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
257500                                 TO MML1-MMSM-AUDIT-CODE
257600                 MOVE 0420       TO MML1-FIELD-CODE
257700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
257800                                    MML1-FIELD-OCCURRENCE-2
257900                 MOVE MML1WS-VL-40
258000                                 TO MML1-VARIABLE-LENGTH
258100                 MOVE MMSM-REVIEW-REP-NAME
258200                                 TO MML1-VL40-B-DATA-X
258300                 MOVE MS04-REVIEW-REP-NAME
258400                                 TO MMSM-REVIEW-REP-NAME
258500                 MOVE MMSM-REVIEW-REP-NAME
258600                                 TO MML1-VL40-A-DATA-X
258700                 MOVE 'FC36'     TO MBCA-PROGRAM-LOCATION
258800                 PERFORM Y920-WRITE-LOG-REC-STORE
258900                                 THRU Y929-WLRS-EXIT
259000             ELSE
259100                 MOVE MS04-REVIEW-REP-NAME
259200                                 TO MMSM-REVIEW-REP-NAME.
259300*
259400 X459-EXIT.
259500     EXIT.
259600/
259700 Y000-PERFORMED-ROUTINES SECTION.
259800*
259900 Y030-MOVE-AUTH-CODE.
260000*
260100     MOVE MMSM-AUTH-CODE         TO MS04-AUTH-CODE.
260200*
260300 Y035-AUTH-CODE-SECURITY.
260400*
260500     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
260600         MOVE DFHBMDAS           TO MS04-AUTH-CODE-LIT-A
260700                                    MS04-AUTH-CODE-LP-A
260800                                    MS04-AUTH-CODE-RP-A
260900                                    MS04-AUTH-CODE-A
261000         MOVE ZERO               TO MS04-AUTH-CODE-L
261100         GO TO Y039-EXIT.
261200*
261300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
261400         MOVE DFHBMDAS           TO MS04-AUTH-CODE-LP-A
261500                                    MS04-AUTH-CODE-RP-A
261600         MOVE DFHBMASB           TO MS04-AUTH-CODE-A
261700         GO TO Y039-EXIT.
261800*
261900     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
262000         MOVE ZERO               TO MS04-AUTH-CODE-L
262100         MOVE DFHBMDAS           TO MS04-AUTH-CODE-LP-A
262200                                    MS04-AUTH-CODE-RP-A
262300         MOVE DFHBMASK           TO MS04-AUTH-CODE-A
262400         GO TO Y039-EXIT.
262500*
262600     IF  MBCA-PTI-FUNCTION-IS-ADD
262700         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
262800             MOVE DFHBMASB       TO MS04-AUTH-CODE-LIT-A
262900         ELSE
263000             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
263100                 MOVE ZERO       TO MS04-AUTH-CODE-L
263200                 MOVE DFHBMDAS   TO MS04-AUTH-CODE-LP-A
263300                                    MS04-AUTH-CODE-RP-A
263400                 MOVE DFHBMASK   TO MS04-AUTH-CODE-A.
263500*
263600     IF  MBCA-PTI-FUNCTION-IS-MAINT
263700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
263800             MOVE ZERO           TO MS04-AUTH-CODE-L
263900             MOVE DFHBMDAS       TO MS04-AUTH-CODE-LP-A
264000                                    MS04-AUTH-CODE-RP-A
264100             MOVE DFHBMASK       TO MS04-AUTH-CODE-A.
264200*
264300 Y039-EXIT.
264400     EXIT.
264500*
264600 Y050-MOVE-STORE-SETT-FLAG.
264700*
264800     SET X-MMFS-STORE            UP BY 1.
264900*
265000     MOVE MMSM-STORE-SETT-FLAG   TO MS04-STORE-SETT-FLAG.
265100*
265200 Y055-STORE-SETT-FLAG-SECURITY.
265300*
265400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
265500         MOVE DFHBMDAS           TO MS04-STORE-SETT-FLAG-LIT-A
265600                                    MS04-STORE-SETT-FLAG-LP-A
265700                                    MS04-STORE-SETT-FLAG-RP-A
265800                                    MS04-STORE-SETT-FLAG-A
265900         MOVE ZERO               TO MS04-STORE-SETT-FLAG-L
266000         GO TO Y059-EXIT.
266100*
266200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
266300         MOVE DFHBMDAS           TO MS04-STORE-SETT-FLAG-LP-A
266400                                    MS04-STORE-SETT-FLAG-RP-A
266500         MOVE DFHBMASB           TO MS04-STORE-SETT-FLAG-A
266600         GO TO Y059-EXIT.
266700*
266800     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
266900         MOVE ZERO               TO MS04-STORE-SETT-FLAG-L
267000         MOVE DFHBMDAS           TO MS04-STORE-SETT-FLAG-LP-A
267100                                    MS04-STORE-SETT-FLAG-RP-A
267200         MOVE DFHBMASK           TO MS04-STORE-SETT-FLAG-A
267300         GO TO Y059-EXIT.
267400*
267500     IF  MBCA-PTI-FUNCTION-IS-ADD
267600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
267700             MOVE DFHBMASB       TO MS04-STORE-SETT-FLAG-LIT-A
267800         ELSE
267900             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
268000                 MOVE ZERO       TO MS04-STORE-SETT-FLAG-L
268100                 MOVE DFHBMDAS   TO MS04-STORE-SETT-FLAG-LP-A
268200                                    MS04-STORE-SETT-FLAG-RP-A
268300                 MOVE DFHBMASK   TO MS04-STORE-SETT-FLAG-A.
268400*
268500     IF  MBCA-PTI-FUNCTION-IS-MAINT
268600         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
268700             MOVE ZERO           TO MS04-STORE-SETT-FLAG-L
268800             MOVE DFHBMDAS       TO MS04-STORE-SETT-FLAG-LP-A
268900                                    MS04-STORE-SETT-FLAG-RP-A
269000             MOVE DFHBMASK       TO MS04-STORE-SETT-FLAG-A.
269100*
269200 Y059-EXIT.
269300     EXIT.
269400*
269500 Y070-MOVE-AUTH-LOGO.
269600*
269700     SET X-MMFS-STORE            UP BY +1.
269800*
269900     MOVE MMSM-AUTH-LOGO         TO MS04-AUTH-LOGO.
270000*
270100 Y075-AUTH-LOGO-SECURITY.
270200*
270300     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
270400         MOVE DFHBMDAS           TO MS04-AUTH-LOGO-LIT-A
270500                                    MS04-AUTH-LOGO-LP-A
270600                                    MS04-AUTH-LOGO-RP-A
270700                                    MS04-AUTH-LOGO-A
270800         MOVE ZERO               TO MS04-AUTH-LOGO-L
270900         GO TO Y079-EXIT.
271000*
271100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
271200         MOVE DFHBMDAS           TO MS04-AUTH-LOGO-LP-A
271300                                    MS04-AUTH-LOGO-RP-A
271400         MOVE DFHBMASB           TO MS04-AUTH-LOGO-A
271500         GO TO Y079-EXIT.
271600*
271700     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
271800         MOVE ZERO               TO MS04-AUTH-LOGO-L
271900         MOVE DFHBMDAS           TO MS04-AUTH-LOGO-LP-A
272000                                    MS04-AUTH-LOGO-RP-A
272100         MOVE DFHBMASK           TO MS04-AUTH-LOGO-A
272200         GO TO Y079-EXIT.
272300*
272400     IF  MBCA-PTI-FUNCTION-IS-ADD
272500         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
272600             MOVE DFHBMASB       TO MS04-AUTH-LOGO-LIT-A
272700         ELSE
272800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
272900                 MOVE ZERO       TO MS04-AUTH-LOGO-L
273000                 MOVE DFHBMDAS   TO MS04-AUTH-LOGO-LP-A
273100                                    MS04-AUTH-LOGO-RP-A
273200                 MOVE DFHBMASK   TO MS04-AUTH-LOGO-A.
273300*
273400     IF  MBCA-PTI-FUNCTION-IS-MAINT
273500         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
273600             MOVE ZERO           TO MS04-AUTH-LOGO-L
273700             MOVE DFHBMDAS       TO MS04-AUTH-LOGO-LP-A
273800                                    MS04-AUTH-LOGO-RP-A
273900             MOVE DFHBMASK       TO MS04-AUTH-LOGO-A.
274000*
274100 Y079-EXIT.
274200     EXIT.
274300*
274400 Y090-MOVE-STORE-SETT-DATE.
274500*
274600     SET X-MMFS-STORE            UP BY 1.
274700*
274800     MOVE MMSM-STORE-SETT-DATE   TO SS01WS-JULIAN.
274900     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
275000     MOVE SS01WS-DATE            TO MS04-STORE-SETT-DATE.
275100*
275200 Y095-STORE-SETT-DATE-SECURITY.
275300*
275400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
275500         MOVE DFHBMDAS           TO MS04-STORE-SETT-DATE-LIT-A
275600                                    MS04-STORE-SETT-DATE-LP-A
275700                                    MS04-STORE-SETT-DATE-RP-A
275800                                    MS04-STORE-SETT-DATE-A
275900         MOVE ZERO               TO MS04-STORE-SETT-DATE-L
276000         GO TO Y099-EXIT.
276100*
276200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
276300         MOVE DFHBMDAS           TO MS04-STORE-SETT-DATE-LP-A
276400                                    MS04-STORE-SETT-DATE-RP-A
276500         MOVE DFHBMASB           TO MS04-STORE-SETT-DATE-A
276600         GO TO Y099-EXIT.
276700*
276800     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
276900         MOVE ZERO               TO MS04-STORE-SETT-DATE-L
277000         MOVE DFHBMDAS           TO MS04-STORE-SETT-DATE-LP-A
277100                                    MS04-STORE-SETT-DATE-RP-A
277200         MOVE DFHBMASK           TO MS04-STORE-SETT-DATE-A
277300         GO TO Y099-EXIT.
277400*
277500     IF  MBCA-PTI-FUNCTION-IS-ADD
277600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
277700             MOVE DFHBMASB       TO MS04-STORE-SETT-DATE-LIT-A
277800         ELSE
277900             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
278000                 MOVE ZERO       TO MS04-STORE-SETT-DATE-L
278100                 MOVE DFHBMDAS   TO MS04-STORE-SETT-DATE-LP-A
278200                                    MS04-STORE-SETT-DATE-RP-A
278300                 MOVE DFHBMASK   TO MS04-STORE-SETT-DATE-A.
278400*
278500     IF  MBCA-PTI-FUNCTION-IS-MAINT
278600         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
278700             MOVE ZERO           TO MS04-STORE-SETT-DATE-L
278800             MOVE DFHBMDAS       TO MS04-STORE-SETT-DATE-LP-A
278900                                    MS04-STORE-SETT-DATE-RP-A
279000             MOVE DFHBMASK       TO MS04-STORE-SETT-DATE-A.
279100*
279200 Y099-EXIT.
279300     EXIT.
279400*
279500 Y110-MOVE-GOVERNING-STATE.
279600*
279700     SET X-MMFS-STORE            UP BY 1.
279800*
279900     MOVE MMSM-GOVERNING-STATE   TO MS04-GOVERNING-STATE.
280000*
280100 Y115-GOVERNING-STATE-SECURITY.
280200*
280300     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
280400         MOVE DFHBMDAS           TO MS04-GOVERNING-STATE-LIT-A
280500                                    MS04-GOVERNING-STATE-LP-A
280600                                    MS04-GOVERNING-STATE-RP-A
280700                                    MS04-GOVERNING-STATE-A
280800         MOVE ZERO               TO MS04-GOVERNING-STATE-L
280900         GO TO Y119-EXIT.
281000*
281100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
281200         MOVE DFHBMDAS           TO MS04-GOVERNING-STATE-LP-A
281300                                    MS04-GOVERNING-STATE-RP-A
281400         MOVE DFHBMASB           TO MS04-GOVERNING-STATE-A
281500         GO TO Y119-EXIT.
281600*
281700     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
281800         MOVE ZERO               TO MS04-GOVERNING-STATE-L
281900         MOVE DFHBMDAS           TO MS04-GOVERNING-STATE-LP-A
282000                                    MS04-GOVERNING-STATE-RP-A
282100         MOVE DFHBMASK           TO MS04-GOVERNING-STATE-A
282200         GO TO Y119-EXIT.
282300*
282400     IF  MBCA-PTI-FUNCTION-IS-ADD
282500         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
282600             MOVE DFHBMASB       TO MS04-GOVERNING-STATE-LIT-A
282700         ELSE
282800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
282900                 MOVE ZERO       TO MS04-GOVERNING-STATE-L
283000                 MOVE DFHBMDAS   TO MS04-GOVERNING-STATE-LP-A
283100                                    MS04-GOVERNING-STATE-RP-A
283200                 MOVE DFHBMASK   TO MS04-GOVERNING-STATE-A.
283300*
283400     IF  MBCA-PTI-FUNCTION-IS-MAINT
283500         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
283600             MOVE ZERO           TO MS04-GOVERNING-STATE-L
283700             MOVE DFHBMDAS       TO MS04-GOVERNING-STATE-LP-A
283800                                    MS04-GOVERNING-STATE-RP-A
283900             MOVE DFHBMASK       TO MS04-GOVERNING-STATE-A.
284000*
284100 Y119-EXIT.
284200     EXIT.
284300*
284400 Y150-MOVE-STMT-ADDR-CONTROL.
284500*
284600     SET X-MMFS-STORE            UP BY 1.
284700*
284800     MOVE MMSM-STMT-ADDR-CONTROL TO MS04-STMT-ADDR-CONTROL.
284900*
285000 Y155-STMT-ADDR-CNTL-SECURITY.
285100*
285200     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
285300         MOVE DFHBMDAS           TO MS04-STMT-ADDR-CONTROL-LIT-A
285400                                    MS04-STMT-ADDR-CONTROL-LP-A
285500                                    MS04-STMT-ADDR-CONTROL-RP-A
285600                                    MS04-STMT-ADDR-CONTROL-A
285700         MOVE ZERO               TO MS04-STMT-ADDR-CONTROL-L
285800         GO TO Y159-EXIT.
285900*
286000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
286100         MOVE DFHBMDAS           TO MS04-STMT-ADDR-CONTROL-LP-A
286200                                    MS04-STMT-ADDR-CONTROL-RP-A
286300         MOVE DFHBMASB           TO MS04-STMT-ADDR-CONTROL-A
286400         GO TO Y159-EXIT.
286500*
286600     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
286700         MOVE ZERO               TO MS04-STMT-ADDR-CONTROL-L
286800         MOVE DFHBMDAS           TO MS04-STMT-ADDR-CONTROL-LP-A
286900                                    MS04-STMT-ADDR-CONTROL-RP-A
287000         MOVE DFHBMASK           TO MS04-STMT-ADDR-CONTROL-A
287100         GO TO Y159-EXIT.
287200*
287300     IF  MBCA-PTI-FUNCTION-IS-ADD
287400         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
287500             MOVE DFHBMASB       TO MS04-STMT-ADDR-CONTROL-LIT-A
287600         ELSE
287700             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
287800                 MOVE ZERO       TO MS04-STMT-ADDR-CONTROL-L
287900                 MOVE DFHBMDAS   TO MS04-STMT-ADDR-CONTROL-LP-A
288000                                    MS04-STMT-ADDR-CONTROL-RP-A
288100                 MOVE DFHBMASK   TO MS04-STMT-ADDR-CONTROL-A.
288200*
288300     IF  MBCA-PTI-FUNCTION-IS-MAINT
288400         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
288500             MOVE ZERO           TO MS04-STMT-ADDR-CONTROL-L
288600             MOVE DFHBMDAS       TO MS04-STMT-ADDR-CONTROL-LP-A
288700                                    MS04-STMT-ADDR-CONTROL-RP-A
288800             MOVE DFHBMASK       TO MS04-STMT-ADDR-CONTROL-A.
288900*
289000 Y159-EXIT.
289100     EXIT.
289200*
289300 Y170-MOVE-NBR-BULLETINS.
289400*
289500     SET X-MMFS-STORE            UP BY +1.
289600*
289700     MOVE MMSM-NBR-BULLETINS     TO MS04-NBR-BULLETINS.
289800*
289900 Y175-NBR-BULLETINS-SECURITY.
290000*
290100     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
290200         MOVE DFHBMDAS           TO MS04-NBR-BULLETINS-LIT-A
290300                                    MS04-NBR-BULLETINS-LP-A
290400                                    MS04-NBR-BULLETINS-RP-A
290500                                    MS04-NBR-BULLETINS-A
290600         MOVE ZERO               TO MS04-NBR-BULLETINS-L
290700         GO TO Y179-EXIT.
290800*
290900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
291000         MOVE DFHBMDAS           TO MS04-NBR-BULLETINS-LP-A
291100                                    MS04-NBR-BULLETINS-RP-A
291200         MOVE DFHBMASB           TO MS04-NBR-BULLETINS-A
291300         GO TO Y179-EXIT.
291400*
291500     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
291600         MOVE ZERO               TO MS04-NBR-BULLETINS-L
291700         MOVE DFHBMDAS           TO MS04-NBR-BULLETINS-LP-A
291800                                    MS04-NBR-BULLETINS-RP-A
291900         MOVE DFHBMASK           TO MS04-NBR-BULLETINS-A
292000         GO TO Y179-EXIT.
292100*
292200     IF  MBCA-PTI-FUNCTION-IS-ADD
292300         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
292400             MOVE DFHBMASB       TO MS04-NBR-BULLETINS-LIT-A
292500         ELSE
292600             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
292700                 MOVE ZERO       TO MS04-NBR-BULLETINS-L
292800                 MOVE DFHBMDAS   TO MS04-NBR-BULLETINS-LP-A
292900                                    MS04-NBR-BULLETINS-RP-A
293000                 MOVE DFHBMASK   TO MS04-NBR-BULLETINS-A.
293100*
293200     IF  MBCA-PTI-FUNCTION-IS-MAINT
293300         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
293400             MOVE ZERO           TO MS04-NBR-BULLETINS-L
293500             MOVE DFHBMDAS       TO MS04-NBR-BULLETINS-LP-A
293600                                    MS04-NBR-BULLETINS-RP-A
293700             MOVE DFHBMASK       TO MS04-NBR-BULLETINS-A.
293800*
293900 Y179-EXIT.
294000     EXIT.
294100*
294200 Y190-MOVE-ACT-RECAP.
294300*
294400     SET X-MMFS-STORE            UP BY 1.
294500*
294600     MOVE MMSM-ACT-RECAP (X-MMSM-ACT-RECAP)
294700                                 TO MS04-ACT-RECAP
294800                                    (X-MS04-ACT-RECAP).
294900*
295000 Y195-ACT-RECAP-SECURITY.
295100*
295200     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
295300         MOVE DFHBMDAS           TO MS04-ACT-RECAP-LIT-A
295400                                    (X-MS04-ACT-RECAP)
295500                                    MS04-ACT-RECAP-LP-A
295600                                    (X-MS04-ACT-RECAP)
295700                                    MS04-ACT-RECAP-RP-A
295800                                    (X-MS04-ACT-RECAP)
295900                                    MS04-ACT-RECAP-A
296000                                    (X-MS04-ACT-RECAP)
296100         MOVE ZERO               TO MS04-ACT-RECAP-L
296200                                    (X-MS04-ACT-RECAP)
296300         GO TO Y199-EXIT.
296400*
296500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
296600         MOVE DFHBMDAS           TO MS04-ACT-RECAP-LP-A
296700                                    (X-MS04-ACT-RECAP)
296800                                    MS04-ACT-RECAP-RP-A
296900                                    (X-MS04-ACT-RECAP)
297000         MOVE DFHBMASB           TO MS04-ACT-RECAP-A
297100                                    (X-MS04-ACT-RECAP)
297200         GO TO Y199-EXIT.
297300*
297400     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
297500         MOVE ZERO               TO MS04-ACT-RECAP-L
297600                                    (X-MS04-ACT-RECAP)
297700         MOVE DFHBMDAS           TO MS04-ACT-RECAP-LP-A
297800                                    (X-MS04-ACT-RECAP)
297900                                    MS04-ACT-RECAP-RP-A
298000                                    (X-MS04-ACT-RECAP)
298100         MOVE DFHBMASK           TO MS04-ACT-RECAP-A
298200                                    (X-MS04-ACT-RECAP)
298300         GO TO Y199-EXIT.
298400*
298500     IF  MBCA-PTI-FUNCTION-IS-ADD
298600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
298700             MOVE DFHBMASB       TO MS04-ACT-RECAP-LIT-A
298800                                    (X-MS04-ACT-RECAP)
298900         ELSE
299000             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
299100                 MOVE ZERO       TO MS04-ACT-RECAP-L
299200                                    (X-MS04-ACT-RECAP)
299300                 MOVE DFHBMDAS   TO MS04-ACT-RECAP-LP-A
299400                                    (X-MS04-ACT-RECAP)
299500                                    MS04-ACT-RECAP-RP-A
299600                                    (X-MS04-ACT-RECAP)
299700                 MOVE DFHBMASK   TO MS04-ACT-RECAP-A
299800                                    (X-MS04-ACT-RECAP).
299900*
300000     IF  MBCA-PTI-FUNCTION-IS-MAINT
300100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
300200             MOVE ZERO           TO MS04-ACT-RECAP-L
300300                                    (X-MS04-ACT-RECAP)
300400             MOVE DFHBMDAS       TO MS04-ACT-RECAP-LP-A
300500                                    (X-MS04-ACT-RECAP)
300600                                    MS04-ACT-RECAP-RP-A
300700                                    (X-MS04-ACT-RECAP)
300800             MOVE DFHBMASK       TO MS04-ACT-RECAP-A
300900                                    (X-MS04-ACT-RECAP).
301000*
301100 Y199-EXIT.
301200     EXIT.
301300*
301400 Y210-MOVE-ACT-RECAP-DTL.
301500*
301600     SET X-MMFS-STORE            UP BY 1.
301700*
301800     MOVE MMSM-ACT-RECAP-DTL (X-MMSM-ACT-RECAP)
301900                                 TO MS04-ACT-RECAP-DTL
302000                                    (X-MS04-ACT-RECAP).
302100*
302200 Y215-ACT-RECAP-DTL-SECURITY.
302300*
302400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
302500         MOVE DFHBMDAS           TO MS04-ACT-RECAP-DTL-LIT-A
302600                                    (X-MS04-ACT-RECAP)
302700                                    MS04-ACT-RECAP-DTL-LP-A
302800                                    (X-MS04-ACT-RECAP)
302900                                    MS04-ACT-RECAP-DTL-RP-A
303000                                    (X-MS04-ACT-RECAP)
303100                                    MS04-ACT-RECAP-DTL-A
303200                                    (X-MS04-ACT-RECAP)
303300         MOVE ZERO               TO MS04-ACT-RECAP-DTL-L
303400                                    (X-MS04-ACT-RECAP)
303500         GO TO Y219-EXIT.
303600*
303700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
303800         MOVE DFHBMDAS           TO MS04-ACT-RECAP-DTL-LP-A
303900                                    (X-MS04-ACT-RECAP)
304000                                    MS04-ACT-RECAP-DTL-RP-A
304100                                    (X-MS04-ACT-RECAP)
304200         MOVE DFHBMASB           TO MS04-ACT-RECAP-DTL-A
304300                                    (X-MS04-ACT-RECAP)
304400         GO TO Y219-EXIT.
304500*
304600     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
304700         MOVE ZERO               TO MS04-ACT-RECAP-DTL-L
304800                                    (X-MS04-ACT-RECAP)
304900         MOVE DFHBMDAS           TO MS04-ACT-RECAP-DTL-LP-A
305000                                    (X-MS04-ACT-RECAP)
305100                                    MS04-ACT-RECAP-DTL-RP-A
305200                                    (X-MS04-ACT-RECAP)
305300         MOVE DFHBMASK           TO MS04-ACT-RECAP-DTL-A
305400                                    (X-MS04-ACT-RECAP)
305500         GO TO Y219-EXIT.
305600*
305700     IF  MBCA-PTI-FUNCTION-IS-ADD
305800         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
305900             MOVE DFHBMASB       TO MS04-ACT-RECAP-DTL-LIT-A
306000                                    (X-MS04-ACT-RECAP)
306100         ELSE
306200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
306300                 MOVE ZERO       TO MS04-ACT-RECAP-DTL-L
306400                                    (X-MS04-ACT-RECAP)
306500                 MOVE DFHBMDAS   TO MS04-ACT-RECAP-DTL-LP-A
306600                                    (X-MS04-ACT-RECAP)
306700                                    MS04-ACT-RECAP-DTL-RP-A
306800                                    (X-MS04-ACT-RECAP)
306900                 MOVE DFHBMASK   TO MS04-ACT-RECAP-DTL-A
307000                                    (X-MS04-ACT-RECAP).
307100*
307200     IF  MBCA-PTI-FUNCTION-IS-MAINT
307300         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
307400             MOVE ZERO           TO MS04-ACT-RECAP-DTL-L
307500                                    (X-MS04-ACT-RECAP)
307600             MOVE DFHBMDAS       TO MS04-ACT-RECAP-DTL-LP-A
307700                                    (X-MS04-ACT-RECAP)
307800                                    MS04-ACT-RECAP-DTL-RP-A
307900                                    (X-MS04-ACT-RECAP)
308000             MOVE DFHBMASK       TO MS04-ACT-RECAP-DTL-A
308100                                    (X-MS04-ACT-RECAP).
308200*
308300 Y219-EXIT.
308400     EXIT.
308500*
308600 Y270-MOVE-VISIT-REP-OPER.
308700*
308800     MOVE MMSM-VISIT-REP-OPER    TO MS04-VISIT-OPERATOR.
308900*
309000 Y275-VISIT-REP-OPER-SECURITY.
309100*
309200     MOVE MMSMTB-VISIT-REP-OPER (1:4)
309300                                 TO WS-INDEX-X.
309400     SET  X-MMFS-STORE           TO WS-INDEX.
309500*
309600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
309700         MOVE DFHBMDAS           TO MS04-VISIT-OPERATOR-LIT-A
309800                                    MS04-VISIT-OPERATOR-LP-A
309900                                    MS04-VISIT-OPERATOR-RP-A
310000                                    MS04-VISIT-OPERATOR-A
310100         MOVE ZERO               TO MS04-VISIT-OPERATOR-L
310200         GO TO Y279-EXIT.
310300*
310400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
310500         MOVE DFHBMDAS           TO MS04-VISIT-OPERATOR-LP-A
310600                                    MS04-VISIT-OPERATOR-RP-A
310700         MOVE DFHBMASB           TO MS04-VISIT-OPERATOR-A
310800         GO TO Y279-EXIT.
310900*
311000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
311100         MOVE ZERO               TO MS04-VISIT-OPERATOR-L
311200         MOVE DFHBMDAS           TO MS04-VISIT-OPERATOR-LP-A
311300                                    MS04-VISIT-OPERATOR-RP-A
311400         MOVE DFHBMASK           TO MS04-VISIT-OPERATOR-A
311500         GO TO Y279-EXIT.
311600*
311700     IF  MBCA-PTI-FUNCTION-IS-ADD
311800         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
311900             MOVE DFHBMASB       TO MS04-VISIT-OPERATOR-LIT-A
312000         ELSE
312100             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
312200                 MOVE ZERO       TO MS04-VISIT-OPERATOR-L
312300                 MOVE DFHBMDAS   TO MS04-VISIT-OPERATOR-LP-A
312400                                    MS04-VISIT-OPERATOR-RP-A
312500                 MOVE DFHBMASK   TO MS04-VISIT-OPERATOR-A.
312600*
312700     IF  MBCA-PTI-FUNCTION-IS-MAINT
312800         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
312900             MOVE ZERO           TO MS04-VISIT-OPERATOR-L
313000             MOVE DFHBMDAS       TO MS04-VISIT-OPERATOR-LP-A
313100                                    MS04-VISIT-OPERATOR-RP-A
313200             MOVE DFHBMASK       TO MS04-VISIT-OPERATOR-A.
313300*
313400 Y279-EXIT.
313500     EXIT.
313600*
313700 Y290-MOVE-VISIT-FREQ.
313800*
313900     MOVE MMSM-VISIT-FREQ        TO MS04-VISIT-FREQ.
314000*
314100 Y295-VISIT-FREQ-SECURITY.
314200*
314300     MOVE MMSMTB-VISIT-FREQ (1:4)
314400                                 TO WS-INDEX-X.
314500     SET  X-MMFS-STORE           TO WS-INDEX.
314600*
314700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
314800         MOVE DFHBMDAS           TO MS04-VISIT-FREQ-LIT-A
314900                                    MS04-VISIT-FREQ-LP-A
315000                                    MS04-VISIT-FREQ-RP-A
315100                                    MS04-VISIT-FREQ-A
315200         MOVE ZERO               TO MS04-VISIT-FREQ-L
315300         GO TO Y299-EXIT.
315400*
315500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
315600         MOVE DFHBMDAS           TO MS04-VISIT-FREQ-LP-A
315700                                    MS04-VISIT-FREQ-RP-A
315800         MOVE DFHBMASB           TO MS04-VISIT-FREQ-A
315900         GO TO Y299-EXIT.
316000*
316100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
316200         MOVE ZERO               TO MS04-VISIT-FREQ-L
316300         MOVE DFHBMDAS           TO MS04-VISIT-FREQ-LP-A
316400                                    MS04-VISIT-FREQ-RP-A
316500         MOVE DFHBMASK           TO MS04-VISIT-FREQ-A
316600         GO TO Y299-EXIT.
316700*
316800     IF  MBCA-PTI-FUNCTION-IS-ADD
316900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
317000             MOVE DFHBMASB       TO MS04-VISIT-FREQ-LIT-A
317100         ELSE
317200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
317300                 MOVE ZERO       TO MS04-VISIT-FREQ-L
317400                 MOVE DFHBMDAS   TO MS04-VISIT-FREQ-LP-A
317500                                    MS04-VISIT-FREQ-RP-A
317600                 MOVE DFHBMASK   TO MS04-VISIT-FREQ-A.
317700*
317800     IF  MBCA-PTI-FUNCTION-IS-MAINT
317900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
318000             MOVE ZERO           TO MS04-VISIT-FREQ-L
318100             MOVE DFHBMDAS       TO MS04-VISIT-FREQ-LP-A
318200                                    MS04-VISIT-FREQ-RP-A
318300             MOVE DFHBMASK       TO MS04-VISIT-FREQ-A.
318400*
318500 Y299-EXIT.
318600     EXIT.
318700*
318800 Y310-MOVE-REVIEW-REP-OPER.
318900*
319000     MOVE MMSM-REVIEW-REP-OPER   TO MS04-REVIEW-OPERATOR.
319100*
319200 Y315-REVIEW-REP-OPER-SECURITY.
319300*
319400     MOVE MMSMTB-REVIEW-REP-OPER (1:4)
319500                                 TO WS-INDEX-X.
319600     SET  X-MMFS-STORE           TO WS-INDEX.
319700*
319800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
319900         MOVE DFHBMDAS           TO MS04-REVIEW-OPERATOR-LIT-A
320000                                    MS04-REVIEW-OPERATOR-LP-A
320100                                    MS04-REVIEW-OPERATOR-RP-A
320200                                    MS04-REVIEW-OPERATOR-A
320300         MOVE ZERO               TO MS04-REVIEW-OPERATOR-L
320400         GO TO Y319-EXIT.
320500*
320600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
320700         MOVE DFHBMDAS           TO MS04-REVIEW-OPERATOR-LP-A
320800                                    MS04-REVIEW-OPERATOR-RP-A
320900         MOVE DFHBMASB           TO MS04-REVIEW-OPERATOR-A
321000         GO TO Y319-EXIT.
321100*
321200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
321300         MOVE ZERO               TO MS04-REVIEW-OPERATOR-L
321400         MOVE DFHBMDAS           TO MS04-REVIEW-OPERATOR-LP-A
321500                                    MS04-REVIEW-OPERATOR-RP-A
321600         MOVE DFHBMASK           TO MS04-REVIEW-OPERATOR-A
321700         GO TO Y319-EXIT.
321800*
321900     IF  MBCA-PTI-FUNCTION-IS-ADD
322000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
322100             MOVE DFHBMASB       TO MS04-REVIEW-OPERATOR-LIT-A
322200         ELSE
322300             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
322400                 MOVE ZERO       TO MS04-REVIEW-OPERATOR-L
322500                 MOVE DFHBMDAS   TO MS04-REVIEW-OPERATOR-LP-A
322600                                    MS04-REVIEW-OPERATOR-RP-A
322700                 MOVE DFHBMASK   TO MS04-REVIEW-OPERATOR-A.
322800*
322900     IF  MBCA-PTI-FUNCTION-IS-MAINT
323000         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
323100             MOVE ZERO           TO MS04-REVIEW-OPERATOR-L
323200             MOVE DFHBMDAS       TO MS04-REVIEW-OPERATOR-LP-A
323300                                    MS04-REVIEW-OPERATOR-RP-A
323400             MOVE DFHBMASK       TO MS04-REVIEW-OPERATOR-A.
323500*
323600 Y319-EXIT.
323700     EXIT.
323800*
323900 Y330-MOVE-REVIEW-FREQ.
324000*
324100     MOVE MMSM-REVIEW-FREQ       TO MS04-REVIEW-FREQ.
324200*
324300 Y335-REVIEW-FREQ-SECURITY.
324400*
324500     MOVE MMSMTB-REVIEW-FREQ (1:4)
324600                                 TO WS-INDEX-X.
324700     SET  X-MMFS-STORE           TO WS-INDEX.
324800*
324900     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
325000         MOVE DFHBMDAS           TO MS04-REVIEW-FREQ-LIT-A
325100                                    MS04-REVIEW-FREQ-LP-A
325200                                    MS04-REVIEW-FREQ-RP-A
325300                                    MS04-REVIEW-FREQ-A
325400         MOVE ZERO               TO MS04-REVIEW-FREQ-L
325500         GO TO Y339-EXIT.
325600*
325700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
325800         MOVE DFHBMDAS           TO MS04-REVIEW-FREQ-LP-A
325900                                    MS04-REVIEW-FREQ-RP-A
326000         MOVE DFHBMASB           TO MS04-REVIEW-FREQ-A
326100         GO TO Y339-EXIT.
326200*
326300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
326400         MOVE ZERO               TO MS04-REVIEW-FREQ-L
326500         MOVE DFHBMDAS           TO MS04-REVIEW-FREQ-LP-A
326600                                    MS04-REVIEW-FREQ-RP-A
326700         MOVE DFHBMASK           TO MS04-REVIEW-FREQ-A
326800         GO TO Y339-EXIT.
326900*
327000     IF  MBCA-PTI-FUNCTION-IS-ADD
327100         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
327200             MOVE DFHBMASB       TO MS04-REVIEW-FREQ-LIT-A
327300         ELSE
327400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
327500                 MOVE ZERO       TO MS04-REVIEW-FREQ-L
327600                 MOVE DFHBMDAS   TO MS04-REVIEW-FREQ-LP-A
327700                                    MS04-REVIEW-FREQ-RP-A
327800                 MOVE DFHBMASK   TO MS04-REVIEW-FREQ-A.
327900*
328000     IF  MBCA-PTI-FUNCTION-IS-MAINT
328100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
328200             MOVE ZERO           TO MS04-REVIEW-FREQ-L
328300             MOVE DFHBMDAS       TO MS04-REVIEW-FREQ-LP-A
328400                                    MS04-REVIEW-FREQ-RP-A
328500             MOVE DFHBMASK       TO MS04-REVIEW-FREQ-A.
328600*
328700 Y339-EXIT.
328800     EXIT.
328900*
329000 Y350-MOVE-DATE-LAST-VISIT.
329100*
329200     MOVE MMSM-DATE-LAST-VISIT   TO SS01WS-JULIAN.
329300     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
329400     MOVE SS01WS-DATE            TO MS04-LAST-VISIT.
329500*
329600     IF  MBCA-PTI-FUNCTION-IS-ADD
329700         IF  MMSM-VISIT-FREQ IS GREATER THAN ZEROS
329800             MOVE MMOC-TODAYS-JULIAN
329900                                 TO SS01WS-JULIAN
330000             PERFORM SS08PD-JUL-TO-GREG
330100                                 THRU SS08PD-JTG-EXIT
330200             MOVE SS01WS-DATE    TO MS04-LAST-VISIT
330300             MOVE DFHBMUNF       TO MS04-LAST-VISIT-A
330400             MOVE MMOC-TODAYS-JULIAN
330500                                 TO SS01WS-JULIAN
330600             MOVE MMSM-VISIT-FREQ
330700                                 TO SS01WS-FREQ
330800             MOVE 'M'            TO SS01WS-PERIOD
330900             MOVE ZERO           TO SS01WS-DAY-OF-MON
331000             PERFORM SS03PD-FUTURE-DATE
331100                                 THRU SS03PD-FD-EXIT
331200             PERFORM SS26PD-NUMERICALLY-EDIT-DATE
331300                                 THRU SS26PD-NED-EXIT
331400             MOVE SS01WS-XX-XX-YYYY
331500                                 TO MS04-NEXT-VISIT
331600             SET WS-NEXT-VISIT-UPDATE
331700                                 TO TRUE
331800             MOVE DFHBMASF       TO MS04-NEXT-VISIT-A.
331900*
332000 Y355-DATE-LAST-VISIT-SECURITY.
332100*
332200     MOVE MMSMTB-DATE-LAST-VISIT (1:4)
332300                                 TO WS-INDEX-X.
332400     SET  X-MMFS-STORE           TO WS-INDEX.
332500*
332600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
332700         MOVE DFHBMDAS           TO MS04-LAST-VISIT-LIT-A
332800                                    MS04-LAST-VISIT-LP-A
332900                                    MS04-LAST-VISIT-RP-A
333000                                    MS04-LAST-VISIT-A
333100         MOVE ZERO               TO MS04-LAST-VISIT-L
333200         GO TO Y359-EXIT.
333300*
333400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
333500         MOVE DFHBMDAS           TO MS04-LAST-VISIT-LP-A
333600                                    MS04-LAST-VISIT-RP-A
333700         MOVE DFHBMASB           TO MS04-LAST-VISIT-A
333800         GO TO Y359-EXIT.
333900*
334000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
334100         MOVE ZERO               TO MS04-LAST-VISIT-L
334200         MOVE DFHBMDAS           TO MS04-LAST-VISIT-LP-A
334300                                    MS04-LAST-VISIT-RP-A
334400         MOVE DFHBMASK           TO MS04-LAST-VISIT-A
334500         GO TO Y359-EXIT.
334600*
334700     IF  MBCA-PTI-FUNCTION-IS-ADD
334800         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
334900             MOVE DFHBMASB       TO MS04-LAST-VISIT-LIT-A
335000         ELSE
335100             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
335200                 MOVE ZERO       TO MS04-LAST-VISIT-L
335300                 MOVE DFHBMDAS   TO MS04-LAST-VISIT-LP-A
335400                                    MS04-LAST-VISIT-RP-A
335500                 MOVE DFHBMASK   TO MS04-LAST-VISIT-A.
335600*
335700     IF  MBCA-PTI-FUNCTION-IS-MAINT
335800         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
335900             MOVE ZERO           TO MS04-LAST-VISIT-L
336000             MOVE DFHBMDAS       TO MS04-LAST-VISIT-LP-A
336100                                    MS04-LAST-VISIT-RP-A
336200             MOVE DFHBMASK       TO MS04-LAST-VISIT-A.
336300*
336400 Y359-EXIT.
336500     EXIT.
336600*
336700 Y370-MOVE-DATE-LAST-REVIEW.
336800*
336900     MOVE MMSM-DATE-LAST-REVIEW  TO SS01WS-JULIAN.
337000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
337100     MOVE SS01WS-DATE            TO MS04-LAST-REVIEW.
337200*
337300     IF  MBCA-PTI-FUNCTION-IS-ADD
337400         IF  MMSM-REVIEW-FREQ IS GREATER THAN ZEROS
337500             MOVE MMOC-TODAYS-JULIAN
337600                                 TO SS01WS-JULIAN
337700             PERFORM SS08PD-JUL-TO-GREG
337800                                 THRU SS08PD-JTG-EXIT
337900             MOVE SS01WS-DATE    TO MS04-LAST-REVIEW
338000             MOVE DFHBMUNF       TO MS04-LAST-REVIEW-A
338100             MOVE MMOC-TODAYS-JULIAN
338200                                 TO SS01WS-JULIAN
338300             MOVE MMSM-REVIEW-FREQ
338400                                 TO SS01WS-FREQ
338500             MOVE 'M'            TO SS01WS-PERIOD
338600             MOVE ZERO           TO SS01WS-DAY-OF-MON
338700             PERFORM SS03PD-FUTURE-DATE
338800                                 THRU SS03PD-FD-EXIT
338900             PERFORM SS26PD-NUMERICALLY-EDIT-DATE
339000                                  THRU SS26PD-NED-EXIT
339100             MOVE SS01WS-XX-XX-YYYY
339200                                  TO MS04-NEXT-REVIEW
339300             SET WS-NEXT-REVIEW-UPDATE
339400                                 TO TRUE
339500             MOVE DFHBMASF       TO MS04-NEXT-REVIEW-A.
339600*
339700 Y375-DATE-LAST-REVIEW-SECURITY.
339800*
339900     MOVE MMSMTB-DATE-LAST-REVIEW (1:4)
340000                                 TO WS-INDEX-X.
340100     SET  X-MMFS-STORE           TO WS-INDEX.
340200*
340300     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
340400         MOVE DFHBMDAS           TO MS04-LAST-REVIEW-LIT-A
340500                                    MS04-LAST-REVIEW-LP-A
340600                                    MS04-LAST-REVIEW-RP-A
340700                                    MS04-LAST-REVIEW-A
340800         MOVE ZERO               TO MS04-LAST-REVIEW-L
340900         GO TO Y379-EXIT.
341000*
341100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
341200         MOVE DFHBMDAS           TO MS04-LAST-REVIEW-LP-A
341300                                    MS04-LAST-REVIEW-RP-A
341400         MOVE DFHBMASB           TO MS04-LAST-REVIEW-A
341500         GO TO Y379-EXIT.
341600*
341700     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
341800         MOVE ZERO               TO MS04-LAST-REVIEW-L
341900         MOVE DFHBMDAS           TO MS04-LAST-REVIEW-LP-A
342000                                    MS04-LAST-REVIEW-RP-A
342100         MOVE DFHBMASK           TO MS04-LAST-REVIEW-A
342200         GO TO Y379-EXIT.
342300*
342400     IF  MBCA-PTI-FUNCTION-IS-ADD
342500         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
342600             MOVE DFHBMASB       TO MS04-LAST-REVIEW-LIT-A
342700         ELSE
342800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
342900                 MOVE ZERO       TO MS04-LAST-REVIEW-L
343000                 MOVE DFHBMDAS   TO MS04-LAST-REVIEW-LP-A
343100                                    MS04-LAST-REVIEW-RP-A
343200                 MOVE DFHBMASK   TO MS04-LAST-REVIEW-A.
343300*
343400     IF  MBCA-PTI-FUNCTION-IS-MAINT
343500         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
343600             MOVE ZERO           TO MS04-LAST-REVIEW-L
343700             MOVE DFHBMDAS       TO MS04-LAST-REVIEW-LP-A
343800                                    MS04-LAST-REVIEW-RP-A
343900             MOVE DFHBMASK       TO MS04-LAST-REVIEW-A.
344000*
344100 Y379-EXIT.
344200     EXIT.
344300*
344400 Y390-MOVE-DATE-NEXT-VISIT.
344500*
344600*
344700     IF  WS-NEXT-VISIT-UPDATE
344800         NEXT SENTENCE
344900     ELSE
345000         MOVE MMSM-DATE-NEXT-VISIT
345100                                 TO SS01WS-JULIAN
345200         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
345300                                 THRU SS26PD-NED-EXIT
345400         MOVE SS01WS-XX-XX-YYYY  TO MS04-NEXT-VISIT
345500         MOVE DFHBMASK           TO MS04-NEXT-VISIT-A.
345600*
345700 Y395-DATE-NEXT-VISIT-SECURITY.
345800*
345900     MOVE MMSMTB-DATE-NEXT-VISIT (1:4)
346000                                 TO WS-INDEX-X.
346100     SET  X-MMFS-STORE           TO WS-INDEX.
346200*
346300     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
346400         MOVE DFHBMDAS           TO MS04-NEXT-VISIT-LIT-A
346500                                    MS04-NEXT-VISIT-A
346600         MOVE ZERO               TO MS04-NEXT-VISIT-L
346700         GO TO Y399-EXIT.
346800*
346900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
347000         MOVE DFHBMASK           TO MS04-NEXT-VISIT-A
347100         GO TO Y399-EXIT.
347200*
347300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
347400         MOVE ZERO               TO MS04-NEXT-VISIT-L
347500         MOVE DFHBMASK           TO MS04-NEXT-VISIT-A
347600         GO TO Y399-EXIT.
347700*
347800     IF  MBCA-PTI-FUNCTION-IS-ADD
347900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
348000             MOVE DFHBMASK       TO MS04-NEXT-VISIT-LIT-A
348100         ELSE
348200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
348300                 MOVE ZERO       TO MS04-NEXT-VISIT-L
348400                 MOVE DFHBMASK   TO MS04-NEXT-VISIT-A.
348500*
348600     IF  MBCA-PTI-FUNCTION-IS-MAINT
348700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
348800             MOVE ZERO           TO MS04-NEXT-VISIT-L
348900             MOVE DFHBMASK       TO MS04-NEXT-VISIT-A.
349000*
349100 Y399-EXIT.
349200     EXIT.
349300*
349400 Y410-MOVE-DATE-NEXT-REVIEW.
349500*
349600*
349700     IF  WS-NEXT-REVIEW-UPDATE
349800         NEXT SENTENCE
349900     ELSE
350000         MOVE MMSM-DATE-NEXT-REVIEW
350100                                 TO SS01WS-JULIAN
350200         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
350300                                 THRU SS26PD-NED-EXIT
350400         MOVE SS01WS-XX-XX-YYYY  TO MS04-NEXT-REVIEW
350500         MOVE DFHBMASK           TO MS04-NEXT-REVIEW-A.
350600*
350700 Y415-DATE-NEXT-REVIEW-SECURITY.
350800*
350900     MOVE MMSMTB-DATE-NEXT-REVIEW (1:4)
351000                                 TO WS-INDEX-X.
351100     SET  X-MMFS-STORE           TO WS-INDEX.
351200*
351300     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
351400         MOVE DFHBMDAS           TO MS04-NEXT-REVIEW-LIT-A
351500                                    MS04-NEXT-REVIEW-A
351600         MOVE ZERO               TO MS04-NEXT-REVIEW-L
351700         GO TO Y419-EXIT.
351800*
351900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
352000         MOVE DFHBMASB           TO MS04-NEXT-REVIEW-A
352100         GO TO Y419-EXIT.
352200*
352300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
352400         MOVE ZERO               TO MS04-NEXT-REVIEW-L
352500         MOVE DFHBMASK           TO MS04-NEXT-REVIEW-A
352600         GO TO Y419-EXIT.
352700*
352800     IF  MBCA-PTI-FUNCTION-IS-ADD
352900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
353000             MOVE DFHBMASB       TO MS04-NEXT-REVIEW-LIT-A
353100         ELSE
353200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
353300                 MOVE ZERO       TO MS04-NEXT-REVIEW-L
353400                 MOVE DFHBMASK   TO MS04-NEXT-REVIEW-A.
353500*
353600     IF  MBCA-PTI-FUNCTION-IS-MAINT
353700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
353800             MOVE ZERO           TO MS04-NEXT-REVIEW-L
353900             MOVE DFHBMASK       TO MS04-NEXT-REVIEW-A.
354000*
354100 Y419-EXIT.
354200     EXIT.
354300*
354400 Y430-MOVE-VISIT-REP-NAME.
354500*
354600     MOVE MMSM-VISIT-REP-NAME    TO MS04-VISIT-REP-NAME.
354700*
354800 Y435-VISIT-REP-NAME-SECURITY.
354900*
355000     MOVE MMSMTB-VISIT-REP-NAME (1:4)
355100                                 TO WS-INDEX-X.
355200     SET  X-MMFS-STORE           TO WS-INDEX.
355300*
355400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
355500         MOVE DFHBMDAS           TO MS04-VISIT-REP-NAME-LIT-A
355600                                    MS04-VISIT-REP-NAME-LP-A
355700                                    MS04-VISIT-REP-NAME-RP-A
355800                                    MS04-VISIT-REP-NAME-A
355900         MOVE ZERO               TO MS04-VISIT-REP-NAME-L
356000         GO TO Y439-EXIT.
356100*
356200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
356300         MOVE DFHBMDAS           TO MS04-VISIT-REP-NAME-LP-A
356400                                    MS04-VISIT-REP-NAME-RP-A
356500         MOVE DFHBMASB           TO MS04-VISIT-REP-NAME-A
356600         GO TO Y439-EXIT.
356700*
356800     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
356900         MOVE ZERO               TO MS04-VISIT-REP-NAME-L
357000         MOVE DFHBMDAS           TO MS04-VISIT-REP-NAME-LP-A
357100                                    MS04-VISIT-REP-NAME-RP-A
357200         MOVE DFHBMASK           TO MS04-VISIT-REP-NAME-A
357300         GO TO Y439-EXIT.
357400*
357500     IF  MBCA-PTI-FUNCTION-IS-ADD
357600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
357700             MOVE DFHBMASB       TO MS04-VISIT-REP-NAME-LIT-A
357800         ELSE
357900             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
358000                 MOVE ZERO       TO MS04-VISIT-REP-NAME-L
358100                 MOVE DFHBMDAS   TO MS04-VISIT-REP-NAME-LP-A
358200                                    MS04-VISIT-REP-NAME-RP-A
358300                 MOVE DFHBMASK   TO MS04-VISIT-REP-NAME-A.
358400*
358500     IF  MBCA-PTI-FUNCTION-IS-MAINT
358600         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
358700             MOVE ZERO           TO MS04-VISIT-REP-NAME-L
358800             MOVE DFHBMDAS       TO MS04-VISIT-REP-NAME-LP-A
358900                                    MS04-VISIT-REP-NAME-RP-A
359000             MOVE DFHBMASK       TO MS04-VISIT-REP-NAME-A.
359100*
359200 Y439-EXIT.
359300     EXIT.
359400*
359500 Y450-MOVE-REVIEW-REP-NAME.
359600*
359700     MOVE MMSM-REVIEW-REP-NAME   TO MS04-REVIEW-REP-NAME.
359800*
359900 Y455-REVIEW-REP-NAME-SECURITY.
360000*
360100     MOVE MMSMTB-REVIEW-REP-NAME (1:4)
360200                                 TO WS-INDEX-X.
360300     SET  X-MMFS-STORE           TO WS-INDEX.
360400*
360500     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
360600         MOVE DFHBMDAS           TO MS04-REVIEW-REP-NAME-LIT-A
360700                                    MS04-REVIEW-REP-NAME-LP-A
360800                                    MS04-REVIEW-REP-NAME-RP-A
360900                                    MS04-REVIEW-REP-NAME-A
361000         MOVE ZERO               TO MS04-REVIEW-REP-NAME-L
361100         GO TO Y459-EXIT.
361200*
361300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
361400         MOVE DFHBMDAS           TO MS04-REVIEW-REP-NAME-LP-A
361500                                    MS04-REVIEW-REP-NAME-RP-A
361600         MOVE DFHBMASB           TO MS04-REVIEW-REP-NAME-A
361700         GO TO Y459-EXIT.
361800*
361900     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
362000         MOVE ZERO               TO MS04-REVIEW-REP-NAME-L
362100         MOVE DFHBMDAS           TO MS04-REVIEW-REP-NAME-LP-A
362200                                    MS04-REVIEW-REP-NAME-RP-A
362300         MOVE DFHBMASK           TO MS04-REVIEW-REP-NAME-A
362400         GO TO Y459-EXIT.
362500*
362600     IF  MBCA-PTI-FUNCTION-IS-ADD
362700         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
362800             MOVE DFHBMASB       TO MS04-REVIEW-REP-NAME-LIT-A
362900         ELSE
363000             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
363100                 MOVE ZERO       TO MS04-REVIEW-REP-NAME-L
363200                 MOVE DFHBMDAS   TO MS04-REVIEW-REP-NAME-LP-A
363300                                    MS04-REVIEW-REP-NAME-RP-A
363400                 MOVE DFHBMASK   TO MS04-REVIEW-REP-NAME-A.
363500*
363600     IF  MBCA-PTI-FUNCTION-IS-MAINT
363700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
363800             MOVE ZERO           TO MS04-REVIEW-REP-NAME-L
363900             MOVE DFHBMDAS       TO MS04-REVIEW-REP-NAME-LP-A
364000                                    MS04-REVIEW-REP-NAME-RP-A
364100             MOVE DFHBMASK       TO MS04-REVIEW-REP-NAME-A.
364200*
364300 Y459-EXIT.
364400     EXIT.
364500*
364600 Y800-SET-CURSOR.
364700*
364800************************************************************
364900*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *
365000*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
365100*    OPEN FOR INPUT                                        *
365200************************************************************
365300*
365400     MOVE MMSMTB-AUTH-CODE (1:4) TO WS-INDEX-X.
365500     SET X-MMFS-STORE            TO WS-INDEX.
365600     SET X-MMSMTB-FIELD          TO WS-INDEX.
365700*
365800 Y801-SC-LOOP.
365900*
366000     IF  MMSMTB-FIELD-NAME (X-MMSMTB-FIELD) IS EQUAL TO SPACES
366100         SET X-MMFS-STORE        UP BY 1
366200         SET X-MMSMTB-FIELD      UP BY 1
366300         GO TO Y801-SC-LOOP.
366400*
366500     IF  MBCA-PTI-FUNCTION-IS-ADD
366600         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
366700         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
366800             GO TO Y802-SC-DETERMINE-FIELD.
366900*
367000     IF  MBCA-PTI-FUNCTION-IS-MAINT
367100         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
367200             GO TO Y802-SC-DETERMINE-FIELD.
367300*
367400     MOVE MMSMTB-IMP-DEV-TITLE-1 (1:4)
367500                                 TO WS-INDEX-X.
367600     IF  X-MMFS-STORE IS LESS THAN WS-INDEX
367700         SET X-MMFS-STORE        UP BY 1
367800         SET X-MMSMTB-FIELD      UP BY 1
367900         GO TO Y801-SC-LOOP.
368000*
368100 Y802-SC-DETERMINE-FIELD.
368200*
368300     MOVE MMSMTB-IMP-DEV-TITLE-1 (1:4)
368400                                 TO WS-INDEX-X.
368500     IF  X-MMFS-STORE IS EQUAL TO WS-INDEX
368600         MOVE SS08WS-CURSOR      TO MS04-ALT-TRANID-L
368700         GO TO Y809-SC-EXIT.
368800
368900     SET WS-FIELD-POSITION       TO X-MMFS-STORE.
369000     MOVE MMSMTB-MEMO-4 (1:4)    TO WS-INDEX-X.
369100     SUBTRACT WS-INDEX           FROM WS-FIELD-POSITION.
369200
369300     GO TO   Y803-AUTH-CODE
369400             Y803-STORE-SETT-FLAG
369500             Y803-AUTH-LOGO
369600             Y803-STORE-SETT-DATE
369700             Y803-GOVERNING-STATE
369800             Y803-STMT-ADDR-CONTROL
369900             Y803-NBR-BULLETINS
370000             Y803-ACT-RECAP-1
370100             Y803-ACT-RECAP-DTL-1
370200             Y803-ACT-RECAP-2
370300             Y803-ACT-RECAP-DTL-2
370400             Y803-ACT-RECAP-3
370500             Y803-ACT-RECAP-DTL-3
370600             Y803-ACT-RECAP-4
370700             Y803-ACT-RECAP-DTL-4
370800         DEPENDING ON WS-FIELD-POSITION.
370900*
371000 Y803-AUTH-CODE.
371100*
371200     MOVE SS08WS-CURSOR          TO MS04-AUTH-CODE-L
371300     GO TO Y809-SC-EXIT.
371400*
371500 Y803-STORE-SETT-FLAG.
371600*
371700     MOVE SS08WS-CURSOR          TO MS04-STORE-SETT-FLAG-L.
371800     GO TO Y809-SC-EXIT.
371900*
372000 Y803-AUTH-LOGO.
372100*
372200     MOVE SS08WS-CURSOR          TO MS04-AUTH-LOGO-L.
372300     GO TO Y809-SC-EXIT.
372400*
372500 Y803-STORE-SETT-DATE.
372600*
372700     MOVE SS08WS-CURSOR          TO MS04-STORE-SETT-DATE-L.
372800     GO TO Y809-SC-EXIT.
372900*
373000 Y803-GOVERNING-STATE.
373100*
373200     MOVE SS08WS-CURSOR          TO MS04-GOVERNING-STATE-L.
373300     GO TO Y809-SC-EXIT.
373400*
373500 Y803-STMT-ADDR-CONTROL.
373600*
373700     MOVE SS08WS-CURSOR          TO MS04-STMT-ADDR-CONTROL-L.
373800     GO TO Y809-SC-EXIT.
373900*
374000 Y803-NBR-BULLETINS.
374100*
374200     MOVE SS08WS-CURSOR          TO MS04-NBR-BULLETINS-L.
374300     GO TO Y809-SC-EXIT.
374400*
374500 Y803-ACT-RECAP-1.
374600*
374700     SET  X-MS04-ACT-RECAP       TO 1.
374800     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-L
374900                                    (X-MS04-ACT-RECAP).
375000     GO TO Y809-SC-EXIT.
375100*
375200 Y803-ACT-RECAP-DTL-1.
375300*
375400     SET  X-MS04-ACT-RECAP       TO 1.
375500     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-DTL-L
375600                                    (X-MS04-ACT-RECAP).
375700     GO TO Y809-SC-EXIT.
375800*
375900 Y803-ACT-RECAP-2.
376000*
376100     SET  X-MS04-ACT-RECAP       TO 2.
376200     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-L
376300                                    (X-MS04-ACT-RECAP).
376400     GO TO Y809-SC-EXIT.
376500*
376600 Y803-ACT-RECAP-DTL-2.
376700*
376800     SET  X-MS04-ACT-RECAP       TO 2.
376900     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-DTL-L
377000                                    (X-MS04-ACT-RECAP).
377100     GO TO Y809-SC-EXIT.
377200*
377300 Y803-ACT-RECAP-3.
377400*
377500     SET  X-MS04-ACT-RECAP       TO 3.
377600     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-L
377700                                    (X-MS04-ACT-RECAP).
377800     GO TO Y809-SC-EXIT.
377900*
378000 Y803-ACT-RECAP-DTL-3.
378100*
378200     SET  X-MS04-ACT-RECAP       TO 3.
378300     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-DTL-L
378400                                    (X-MS04-ACT-RECAP).
378500     GO TO Y809-SC-EXIT.
378600*
378700 Y803-ACT-RECAP-4.
378800*
378900     SET  X-MS04-ACT-RECAP       TO 4.
379000     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-L
379100                                    (X-MS04-ACT-RECAP).
379200     GO TO Y809-SC-EXIT.
379300*
379400 Y803-ACT-RECAP-DTL-4.
379500*
379600     SET  X-MS04-ACT-RECAP       TO 4.
379700     MOVE SS08WS-CURSOR          TO MS04-ACT-RECAP-DTL-L
379800                                    (X-MS04-ACT-RECAP).
379900     GO TO Y809-SC-EXIT.
380000*
380100 Y809-SC-EXIT.
380200     EXIT.
380300*
380400 Y900-READ-MMSM.
380500*
380600*****************************************
380700*    READ THE STORE MASTER RECORD       *
380800*****************************************
380900*
381000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG
381100                                    MS04-ORG.
381200     MOVE MBCA-STORE             TO MBIOWS-MMSM-STORE
381300                                    MS04-STORE.
381400     SET MBIORO-READ-RANDOM      TO TRUE.
381500     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
381600*
381700 Y909-READ-MMSM-EXIT.
381800     EXIT.
381900*
382000 Y910-READ-MMFS.
382100*
382200****************************************
382300*    READ THE FIELD SECURITY RECORD    *
382400*    TO OBTAIN THE SECURITY CODES      *
382500****************************************
382600*
382700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
382800     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
382900     SET MBIORO-READ-RANDOM      TO TRUE.
383000     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
383100*
383200     IF  NOT MMFS-REC-ACTIVE
383300         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
383400         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
383500         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
383600         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
383700         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
383800         SET MBCA-ERROR-MSGS-PROVIDED
383900                                 TO TRUE
384000         MOVE 'READ ERROR - MMFSAO'
384100                                 TO MBCA-ERRR-MSG1
384200         MOVE 'FIELDS SECURITY PROFILE IS NOT ACTIVE'
384300                                 TO MBCA-ERRR-MSG2
384400         GO TO MB70PD-ERROR-ROUTINE.
384500*
384600 Y919-READ-MMFS-EXIT.
384700     EXIT.
384800*
384900 Y920-WRITE-LOG-REC-STORE.
385000*
385100     MOVE 'SM'                   TO MML1-FILE-CODE.
385200     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
385300     MOVE MBCA-STORE             TO MML1-MMSM-STORE.
385400     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
385500     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
385600     MOVE ZEROS                  TO MML1-SOURCE-CODE.
385700     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
385800     SET MBIORO-WRITE            TO TRUE.
385900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
386000     MOVE SPACES                 TO MML1-VARIABLE-AREA.
386100*
386200 Y929-WLRS-EXIT.
386300     EXIT.
386400*
386500 Y930-WRITE-LOG-REC-MERCH.
386600*
386700     MOVE 'MM'                   TO MML1-FILE-CODE.
386800     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
386900     MOVE MMSM-MERCHANT-ID       TO MML1-MMMM-MERCHANT.
387000     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
387100     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
387200     MOVE ZEROS                  TO MML1-SOURCE-CODE.
387300     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
387400     SET MBIORO-WRITE            TO TRUE.
387500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
387600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
387700*
387800 Y939-WLRM-EXIT.
387900     EXIT.
388000/
388100 Z000-COPIED-ROUTINES SECTION.
388200*
388300*****************************
388400*    FUTURE DATE ROUTINE    *
388500*****************************
388600*
388700     COPY SS03PD.
388800/
388900*********************************
389000*    DATE VALIDATION ROUTINE    *
389100*********************************
389200*
389300     COPY SS05PD.
389400/
389500**********************************
389600*    GREG TO JUL DATE ROUTINE    *
389700**********************************
389800*
389900     COPY SS07PD.
390000*
390100/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
390200     COPY SS26PD.
390300*
390400/    ROUTINE TO NUMERICALLY EDIT TIME
390500     COPY SS27PD.
390600*
390700**********************************
390800*    JUL TO GREG DATE ROUTINE    *
390900**********************************
391000*
391100     COPY SS08PD.
391200/
391300*********************************
391400*    LINE 24 PF KEYS ROUTINE    *
391500*********************************
391600*
391700     COPY SS15PD.
391800/
391900************************************************
392000*    STORE MASTER RECORD ACCESS ROUTINES       *
392100************************************************
392200*
392300     COPY MMSMAO.
392400/
392500************************************************
392600*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
392700************************************************
392800*
392900     COPY MMMMAO.
393000/
393100***********************************************
393200*    FIELD SECURITY RECORD ACCESS ROUTINES    *
393300***********************************************
393400*
393500     COPY MMFSAO.
393600/
393700***********************************************
393800*    ORG CONTROL RECORD ACCESS ROUTINES       *
393900***********************************************
394000*
394100     COPY MMOCAO.
394200/
394300*****************************************
394400*    LOG FILE RECORD ACCESS ROUTINES    *
394500*****************************************
394600*
394700     COPY MML1AO.
394800/
394900*****************************
395000*    ONLINE MAP ROUTINES    *
395100*****************************
395200*
395300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMS04 '
395400                           MBMAPXXI BY MBMS04I
395500                           MBMAPXXO BY MBMS04O.
395600/
395700***************************
395800*    ONLINE PROCEDURES    *
395900***************************
396000*
396100     COPY MB70PD.
396200/
396300     COPY SMFTPXO.
