000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBONL00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  R E T A I L    M E R C H A N T    S Y S T E M     *
000600*                                                               *
000700*      MBONL00 - NAME LOCATE INQUIRY                            *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBNL                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBNL00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MBNL (NAME LOCATE)                         *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000*
002100 DATA DIVISION.
002200*
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE
002600     '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISCELLANEOUS.
003200     03  WS-SCREEN-NAME      PIC  X(40)      VALUE SPACES.
003300     03  WS-SCREEN-ADDR1     PIC  X(40)      VALUE SPACES.
003400     03  WS-SCREEN-CITY      PIC  X(40)      VALUE SPACES.
003500     03  WS-SCREEN-STATE     PIC  X(03)      VALUE SPACES.
003600     03  WS-SCREEN-POSTAL-CODE
003700                             PIC  X(10)      VALUE SPACES.
003800     03  WS-SCREEN-PHONE     PIC  X(17)      VALUE SPACES.
003900*
004000     03  WS-FILE-NAME        PIC  X(40)      VALUE SPACES.
004100     03  WS-FILE-ADDR1       PIC  X(40)      VALUE SPACES.
004200     03  WS-FILE-CITY        PIC  X(40)      VALUE SPACES.
004300     03  WS-FILE-STATE       PIC  X(03)      VALUE SPACES.
004400     03  WS-FILE-POSTAL-CODE PIC  X(10)      VALUE SPACES.
004500     03  WS-FILE-PHONE       PIC  X(17)      VALUE SPACES.
004600*
004700     03  WS-COUNT            PIC  9(02)      VALUE ZEROS.
004800     03  WS-NAME-COUNT       PIC S9(04)      VALUE +0 BINARY.
004900     03  WS-ADDR1-COUNT      PIC S9(04)      VALUE +0 BINARY.
005000     03  WS-CITY-COUNT       PIC S9(04)      VALUE +0 BINARY.
005100     03  WS-STATE-COUNT      PIC S9(04)      VALUE +0 BINARY.
005200     03  WS-POSTAL-CODE-COUNT
005300                             PIC S9(04)      VALUE +0 BINARY.
005400     03  WS-PHONE-COUNT      PIC S9(04)      VALUE +0 BINARY.
005500*
005600     03  WS-ASTERISK-SW      PIC  X(01)      VALUE 'N'.
005700         88  WS-ASTERISK-FOUND               VALUE 'Y'.
005800*
005900     03  WS-NAME-DELIM       PIC  X(01)      VALUE SPACES.
006000         88  WS-NAME-DELIM-ASTERISK          VALUE '*'.
006100*
006200     03  WS-ADDR1-DELIM      PIC  X(01)      VALUE SPACES.
006300         88  WS-ADDR1-DELIM-ASTERISK         VALUE '*'.
006400*
006500     03  WS-CITY-DELIM       PIC  X(01)      VALUE SPACES.
006600         88  WS-CITY-DELIM-ASTERISK          VALUE '*'.
006700*
006800     03  WS-STATE-DELIM      PIC  X(01)      VALUE SPACES.
006900         88  WS-STATE-DELIM-ASTERISK         VALUE '*'.
007000*
007100     03  WS-POSTAL-CODE-DELIM PIC X(01)      VALUE SPACES.
007200         88  WS-POSTAL-CODE-DELIM-ASTERISK   VALUE '*'.
007300*
007400     03  WS-PHONE-DELIM      PIC  X(01)      VALUE SPACES.
007500         88  WS-PHONE-DELIM-ASTERISK         VALUE '*'.
007600/
007700 01  FILLER                  PIC  X(29)      VALUE
007800     'I/O REQUEST BLOCK WORK AREAS:'.
007900*
008000     COPY MBIOWS.
008100/
008200 01  FILLER                  PIC  X(18)      VALUE
008300     'I/O REQUEST BLOCK:'.
008400*
008500     COPY MBIORO.
008600/
008700 01  FILLER                  PIC  X(21)      VALUE
008800     'ERROR MESSAGES TABLE:'.
008900*
009000     COPY MBEMWS.
009100/
009200/
009300 01  FILLER                  PIC  X(20)      VALUE
009400     'CCS DATE WORK AREAS:'.
009500*
009600     COPY SS01WS.
009700/
009800 01  FILLER                  PIC  X(15)      VALUE
009900     'CCS WORK AREAS:'.
010000*
010100     COPY SS08WS.
010200/
010300     COPY SS00WS.
010400/
010500     COPY SMFTWS.
010600/
010700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
010800/
010900     COPY MB61LK.
011000/
011100 01  FILLER                  PIC  X(12)      VALUE
011200     '** WS-END **'.
011300/
011400 LINKAGE SECTION.
011500*
011600 01  DFHCOMMAREA.
011700*
011800     COPY MB60WS.
011900/
012000******************************************
012100*    NAME LOCATE MAP                     *
012200******************************************
012300*
012400     COPY MBNL00.
012500/
012600*******************************************************
012700*    NAME LOCATE MAP REDEFINITION                     *
012800*******************************************************
012900*
013000     COPY MBNL00R.
013100/
013200*********************************************
013300*    NAME LOACATE RECORD LAYOUT             *
013400*********************************************
013500*
013600     COPY MMNLRL.
013700/
013800 PROCEDURE DIVISION.
013900*
014000 A000-HOUSEKEEPING SECTION.
014100*
014200 A020-INIT.
014300*
014400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
014500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
014600                                 THRU MB70PD-OLH-EXIT.
014700*
014800     IF  MBCA-RECEIVE-SCREEN
014900         GO TO C000-RECEIVE-SCREEN.
015000/
015100 B000-SEND-SCREEN SECTION.
015200*
015300*********************************************
015400*    GET CICS STORAGE NEEDED FOR THE MAP    *
015500*********************************************
015600*
015700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
015800     PERFORM MB60PD-GETMAIN-FOR-MAP
015900                                 THRU MB60PD-GFM-EXIT.
016000*
016100 B020-BUILD-SCREEN.
016200*
016300*******************************************
016400*    INITIALIZE THE STANDARD MAP LINES    *
016500*******************************************
016600*
016700     MOVE SS08WS-CURSOR          TO NL00-FILE-FLAG-L.
016800     MOVE 00                     TO MBCA-SCREEN-NBR.
016900     PERFORM MB60PD-INIT-STD-MAP-LINES
017000                                 THRU MB60PD-ISML-EXIT.
017100*
017200     MOVE SPACES                 TO NL00-NAME.
017300*
017400     IF  MBCA-MBNL-VALID-FILE-FLAG
017500         MOVE MBCA-MBNL-FILE-FLAG
017600                                 TO NL00-FILE-FLAG
017700     ELSE
017800         SET NL00-VALID-MERCH    TO TRUE.
017900*
018000     IF  MBCA-MBNL-VALID-PS-TYPE
018100         MOVE MBCA-MBNL-PS-TYPE
018200                                 TO NL00-PRIM-SEC-DEMO
018300     ELSE
018400         SET NL00-VALID-PRIM-DEMO
018500                                 TO TRUE.
018600*
018700     IF  MBCA-MBNL-VALID-CHAIN-FLAG
018800         MOVE MBCA-MBNL-CHAIN-FLAG
018900                                 TO NL00-CHAIN-FLAG
019000     ELSE
019100         SET NL00-CHAIN-FLAG-NO  TO TRUE.
019200*
019300     MOVE DFHBMFSE               TO NL00-FILE-FLAG-A
019400                                    NL00-PRIM-SEC-DEMO-A
019500                                    NL00-CHAIN-FLAG-A
019600                                    NL00-NAME-A.
019700*
019800     MOVE DFHBMASK               TO NL00-FILE-FLAG-LIT-A
019900                                    NL00-FILE-FLAG-LP-A
020000                                    NL00-FILE-FLAG-RP-A
020100                                    NL00-CHAIN-FLAG-LIT-A
020200                                    NL00-CHAIN-FLAG-LP-A
020300                                    NL00-CHAIN-FLAG-RP-A
020400                                    NL00-PRIM-SEC-DEMO-LIT-A
020500                                    NL00-PRIM-SEC-DEMO-LP-A
020600                                    NL00-PRIM-SEC-DEMO-RP-A
020700                                    NL00-NAME-LIT-A
020800                                    NL00-NAME-LP-A
020900                                    NL00-NAME-RP-A
021000                                    NL00-ADDR1-LIT-A
021100                                    NL00-ADDR1-LP-A
021200                                    NL00-ADDR1-RP-A
021300                                    NL00-ADDR4-LIT-A
021400                                    NL00-ADDR4-LP-A
021500                                    NL00-ADDR4-RP-A
021600                                    NL00-STATE-LIT-A
021700                                    NL00-STATE-LP-A
021800                                    NL00-STATE-RP-A
021900                                    NL00-POSTAL-CODE-LIT-A
022000                                    NL00-POSTAL-CODE-LP-A
022100                                    NL00-POSTAL-CODE-RP-A
022200                                    NL00-PHONE-LIT-A
022300                                    NL00-PHONE-LP-A
022400                                    NL00-PHONE-RP-A.
022500*
022600     MOVE SPACES                 TO MBCA-MBNL-WORK-AREA.
022700     MOVE SPACES                 TO MBCA-MBNL-ADDRESS-AREA.
022800     MOVE ZEROS                  TO MBCA-MBNL-TIE-BREAKER
022900                                    MBCA-MBNL-FIRST-TIE-BREAKER
023000                                    MBCA-MBNL-BACK-TIE-BREAKER
023100                                    MBCA-MBNL-NAME-CNT
023200                                    MBCA-MBNL-ADDR1-CNT
023300                                    MBCA-MBNL-CITY-CNT
023400                                    MBCA-MBNL-STATE-CNT
023500                                    MBCA-MBNL-POSTAL-CODE-CNT
023600                                    MBCA-MBNL-PHONE-CNT.
023700     MOVE DFHBMASK               TO NL00-CURRENT-PAGE-A.
023800*
023900**********************
024000*    SEND THE MAP    *
024100**********************
024200*
024300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
024400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
024500                                 THRU MB60PD-SMWE-EXIT.
024600*
024700************************
024800*    RETURN TO CICS    *
024900************************
025000*
025100     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
025200     PERFORM MB70PD-RETURN-TRANS-ID
025300                                 THRU MB70PD-RTI-EXIT.
025400/
025500 C000-RECEIVE-SCREEN SECTION.
025600*
025700*************************************************
025800*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
025900*************************************************
026000*
026100     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
026200     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
026300*
026400**************************************************************
026500*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
026600**************************************************************
026700*
026800     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
026900     PERFORM MB60PD-NEW-TRANS-ROUTINE
027000                                 THRU MB60PD-NTR-EXIT.
027100*
027200 C020-EDIT-SCREEN.
027300*
027400     SET SS08WS-ERROR-SW-NO      TO TRUE.
027500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
027600*
027700     IF  (NL00-NAME-L IS LESS THAN 1
027800     AND  NL00-FILE-FLAG-L IS LESS THAN 1
027900     AND  NL00-CHAIN-FLAG-L IS LESS THAN 1
028000     AND  NL00-PRIM-SEC-DEMO-L IS LESS THAN 1)
028100     AND (SS08WS-VALID-PF-KEY
028200     OR   SS08WS-EIBAID-VALID-PF-KEY)
028300         SET MBCA-INITIAL-SCREEN-NBR
028400                                 TO TRUE
028500         GO TO F090-TRANSFER-XCTL.
028600*
028700******************************************************
028800*    RESET THE FIELD ARRIBUTES TO THEIR NORMAL       *
028900*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
029000******************************************************
029100*
029200     IF  NL00-ADDR1-L IS GREATER THAN ZERO
029300         MOVE DFHBMFSE           TO NL00-ADDR1-A.
029400*
029500     IF  NL00-ADDR4-L IS GREATER THAN ZERO
029600         MOVE DFHBMFSE           TO NL00-ADDR4-A.
029700*
029800     IF  NL00-STATE-L IS GREATER THAN ZERO
029900         MOVE DFHBMFSE           TO NL00-STATE-A.
030000*
030100     IF  NL00-POSTAL-CODE-L IS GREATER THAN ZERO
030200         MOVE DFHBMFSE           TO NL00-POSTAL-CODE-A.
030300*
030400     IF  NL00-PHONE-L IS GREATER THAN ZERO
030500         MOVE DFHBMFSE           TO NL00-PHONE-A.
030600*
030700     MOVE DFHBMASK               TO NL00-FILE-FLAG-LIT-A
030800                                    NL00-FILE-FLAG-LP-A
030900                                    NL00-FILE-FLAG-RP-A
031000     MOVE DFHBMASK               TO NL00-CHAIN-FLAG-LIT-A
031100                                    NL00-CHAIN-FLAG-LP-A
031200                                    NL00-CHAIN-FLAG-RP-A
031300                                    NL00-PRIM-SEC-DEMO-LIT-A
031400                                    NL00-PRIM-SEC-DEMO-LP-A
031500                                    NL00-PRIM-SEC-DEMO-RP-A
031600                                    NL00-NAME-LIT-A
031700                                    NL00-NAME-LP-A
031800                                    NL00-NAME-RP-A
031900                                    NL00-ADDR1-LIT-A
032000                                    NL00-ADDR1-LP-A
032100                                    NL00-ADDR1-RP-A
032200                                    NL00-ADDR4-LIT-A
032300                                    NL00-ADDR4-LP-A
032400                                    NL00-ADDR4-RP-A
032500                                    NL00-STATE-LIT-A
032600                                    NL00-STATE-LP-A
032700                                    NL00-STATE-RP-A
032800                                    NL00-POSTAL-CODE-LIT-A
032900                                    NL00-POSTAL-CODE-LP-A
033000                                    NL00-POSTAL-CODE-RP-A
033100                                    NL00-PHONE-LIT-A
033200                                    NL00-PHONE-LP-A
033300                                    NL00-PHONE-RP-A.
033400*
033500 C030-EDIT-MERCH-STORE.
033600*
033700     MOVE DFHBMFSE               TO NL00-FILE-FLAG-A.
033800     MOVE DFHBMASK               TO NL00-FILE-FLAG-LP-A
033900                                    NL00-FILE-FLAG-RP-A.
034000*
034100     IF  NL00-FILE-FLAG-L IS EQUAL TO ZERO
034200     OR  NOT NL00-VALID-FILE-FLAG
034300         MOVE MBEMWS-INVALID-MSC-FLAG
034400                                 TO NL00-ERR-MESSAGE
034500         MOVE DFHBMUBF           TO NL00-FILE-FLAG-A
034600         MOVE DFHBMASB           TO NL00-FILE-FLAG-LP-A
034700                                    NL00-FILE-FLAG-RP-A
034800         MOVE SS08WS-CURSOR      TO NL00-FILE-FLAG-L
034900         SET SS08WS-ERROR-SW-YES TO TRUE
035000         GO TO C035-EDIT-CHAIN-FLAG.
035100*
035200     MOVE NL00-FILE-FLAG         TO MBCA-MBNL-FILE-FLAG.
035300*
035400 C035-EDIT-CHAIN-FLAG.
035500*
035600     MOVE DFHBMFSE               TO NL00-CHAIN-FLAG-A.
035700     MOVE DFHBMASK               TO NL00-CHAIN-FLAG-LP-A
035800                                    NL00-CHAIN-FLAG-RP-A.
035900*
036000     IF  NL00-CHAIN-FLAG-L IS EQUAL TO ZERO
036100     OR  NOT NL00-VALID-CHAIN-FLAG
036200         MOVE MBEMWS-INVALID-MSC-FLAG
036300                                 TO NL00-ERR-MESSAGE
036400         MOVE DFHBMUBF           TO NL00-CHAIN-FLAG-A
036500         MOVE DFHBMASB           TO NL00-CHAIN-FLAG-LP-A
036600                                    NL00-CHAIN-FLAG-RP-A
036700         MOVE SS08WS-CURSOR      TO NL00-CHAIN-FLAG-L
036800         SET SS08WS-ERROR-SW-YES TO TRUE
036900         GO TO C040-EDIT-PRIM-SEC-DEMO.
037000*
037100     IF  SS08WS-ERROR-SW-NO
037200         EVALUATE TRUE
037300           WHEN NL00-CHAIN-FLAG-YES
037400             EVALUATE TRUE
037500               WHEN NL00-VALID-MERCH
037600                 MOVE 'MC'       TO MBCA-MBNL-MC-TYPE
037700               WHEN OTHER
037800                 MOVE 'SC'       TO MBCA-MBNL-MC-TYPE
037900             END-EVALUATE
038000           WHEN OTHER
038100             EVALUATE TRUE
038200               WHEN NL00-VALID-MERCH
038300                 MOVE 'MM'       TO MBCA-MBNL-MC-TYPE
038400               WHEN OTHER
038500                 MOVE 'SM'       TO MBCA-MBNL-MC-TYPE
038600             END-EVALUATE
038700         END-EVALUATE
038800     END-IF.
038900     MOVE NL00-CHAIN-FLAG        TO MBCA-MBNL-CHAIN-FLAG.
039000*
039100 C040-EDIT-PRIM-SEC-DEMO.
039200*
039300     MOVE DFHBMFSE               TO NL00-PRIM-SEC-DEMO-A.
039400     MOVE DFHBMASK               TO NL00-PRIM-SEC-DEMO-LP-A
039500                                    NL00-PRIM-SEC-DEMO-RP-A.
039600*
039700     IF  NL00-PRIM-SEC-DEMO-L IS EQUAL TO ZERO
039800     OR  NOT NL00-VALID-PRIM-SEC
039900         MOVE MBEMWS-INVALID-PS-FLAG
040000                                 TO NL00-ERR-MESSAGE
040100         MOVE DFHBMUBF           TO NL00-PRIM-SEC-DEMO-A
040200         MOVE DFHBMASB           TO NL00-PRIM-SEC-DEMO-LP-A
040300                                    NL00-PRIM-SEC-DEMO-RP-A
040400         MOVE SS08WS-CURSOR      TO NL00-PRIM-SEC-DEMO-L
040500         SET SS08WS-ERROR-SW-YES TO TRUE
040600         GO TO C050-EDIT-NAME.
040700*
040800     IF  NOT NL00-VALID-PRIM-DEMO
040900     AND (MBCA-MBNL-MERCH-CHAIN
041000     OR  MBCA-MBNL-STORE-CHAIN)
041100         MOVE MBEMWS-INVALID-PS-FLAG
041200                                 TO NL00-ERR-MESSAGE
041300         MOVE DFHBMUBF           TO NL00-PRIM-SEC-DEMO-A
041400         MOVE DFHBMASB           TO NL00-PRIM-SEC-DEMO-LP-A
041500                                    NL00-PRIM-SEC-DEMO-RP-A
041600         MOVE SS08WS-CURSOR      TO NL00-PRIM-SEC-DEMO-L
041700         SET SS08WS-ERROR-SW-YES TO TRUE
041800         GO TO C050-EDIT-NAME.
041900*
042000     MOVE NL00-PRIM-SEC-DEMO     TO MBCA-MBNL-PS-TYPE.
042100*
042200 C050-EDIT-NAME.
042300*
042400     MOVE DFHBMFSE               TO NL00-NAME-A.
042500     MOVE DFHBMASK               TO NL00-NAME-LP-A
042600                                    NL00-NAME-RP-A.
042700*
042800     IF  NL00-NAME-L IS EQUAL TO ZERO
042900         MOVE MBEMWS-INVALID-NAME
043000                                 TO NL00-ERR-MESSAGE
043100         MOVE DFHBMUBF           TO NL00-NAME-A
043200         MOVE DFHBMASB           TO NL00-NAME-LP-A
043300                                    NL00-NAME-RP-A
043400         MOVE SS08WS-CURSOR      TO NL00-NAME-L
043500         SET SS08WS-ERROR-SW-YES TO TRUE
043600         GO TO C081-CONTINUE.
043700*
043800     MOVE 1                      TO WS-COUNT.
043900*
044000     PERFORM
044100        UNTIL WS-COUNT IS GREATER THAN 40
044200        IF  NL00-NAME (WS-COUNT:1) IS EQUAL TO '*'
044300            SET WS-ASTERISK-FOUND
044400                                 TO TRUE
044500        END-IF
044600        ADD 1                    TO WS-COUNT
044700     END-PERFORM.
044800*
044900     IF  WS-ASTERISK-FOUND
045000         UNSTRING NL00-NAME DELIMITED BY '*'
045100            INTO WS-SCREEN-NAME DELIMITER IN WS-NAME-DELIM
045200                COUNT IN WS-NAME-COUNT
045300         MOVE WS-NAME-DELIM      TO MBCA-MBNL-NAME-DELIM
045400         MOVE WS-NAME-COUNT      TO MBCA-MBNL-NAME-CNT
045500     ELSE
045600         MOVE NL00-NAME          TO WS-SCREEN-NAME
045700         MOVE ' '                TO MBCA-MBNL-NAME-DELIM
045800                                    WS-NAME-DELIM
045900         MOVE 40                 TO MBCA-MBNL-NAME-CNT
046000                                    WS-NAME-COUNT.
046100*
046200     IF  WS-NAME-COUNT IS LESS THAN +1
046300         MOVE MBEMWS-INVALID-NAME
046400                                 TO NL00-ERR-MESSAGE
046500         MOVE DFHBMUBF           TO NL00-NAME-A
046600         MOVE DFHBMASB           TO NL00-NAME-LP-A
046700                                    NL00-NAME-RP-A
046800         MOVE SS08WS-CURSOR      TO NL00-NAME-L
046900         SET SS08WS-ERROR-SW-YES TO TRUE
047000         GO TO C081-CONTINUE.
047100*
047200     MOVE WS-SCREEN-NAME         TO MBCA-MBNL-NAME.
047300*
047400 C060-START-MBNL.
047500*
047600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
047700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
047800     MOVE WS-SCREEN-NAME         TO MBIOWS-MMNL-NAME.
047900     MOVE ZEROS                  TO MBIOWS-MMNL-TIE-BREAKER.
048000*
048100     SET MBIORO-STARTBR-GTE      TO TRUE.
048200     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
048300*
048400     IF  SS08WS-RC-FC-NOTFND
048500         MOVE MBEMWS-NOT-ON-FILE
048600                                 TO NL00-ERR-MESSAGE
048700         MOVE DFHBMUBF           TO NL00-NAME-A
048800         MOVE DFHBMASB           TO NL00-NAME-LP-A
048900                                    NL00-NAME-RP-A
049000         MOVE SS08WS-CURSOR      TO NL00-NAME-L
049100         SET SS08WS-ERROR-SW-YES TO TRUE
049200         GO TO C081-CONTINUE.
049300*
049400 C070-COMPARE.
049500*
049600     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
049700     MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1.
049800     SET MBIORO-READ-SEQ         TO TRUE.
049900     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
050000*
050100     IF  SS08WS-RC-FC-ENDFILE
050200         MOVE MBEMWS-NOT-ON-FILE
050300                                 TO NL00-ERR-MESSAGE
050400         MOVE DFHBMUBF           TO NL00-NAME-A
050500         MOVE DFHBMASB           TO NL00-NAME-LP-A
050600                                    NL00-NAME-RP-A
050700         MOVE SS08WS-CURSOR      TO NL00-NAME-L
050800         SET SS08WS-ERROR-SW-YES TO TRUE
050900         GO TO C080-CHECK-ERROR.
051000*
051100     IF  WS-NAME-DELIM-ASTERISK
051200         MOVE MMNL-NAME (1:WS-NAME-COUNT)
051300                                 TO WS-FILE-NAME
051400         IF  WS-SCREEN-NAME IS GREATER THAN WS-FILE-NAME
051500         OR  WS-SCREEN-NAME IS EQUAL TO WS-FILE-NAME
051600             NEXT SENTENCE
051700         ELSE
051800             MOVE DFHBMUBF       TO NL00-NAME-A
051900             MOVE DFHBMASB       TO NL00-NAME-LP-A
052000                                    NL00-NAME-RP-A
052100             SET SS08WS-ERROR-SW-YES TO TRUE
052200             MOVE SS08WS-CURSOR  TO NL00-NAME-L
052300             MOVE MBEMWS-NOT-ON-FILE
052400                                 TO NL00-ERR-MESSAGE
052500             GO TO C080-CHECK-ERROR
052600     ELSE
052700         IF  NL00-NAME IS EQUAL TO MMNL-NAME
052800             MOVE NL00-NAME      TO MBCA-MBNL-NAME
052900         ELSE
053000             MOVE DFHBMUBF       TO NL00-NAME-A
053100             MOVE DFHBMASB       TO NL00-NAME-LP-A
053200                                    NL00-NAME-RP-A
053300             SET SS08WS-ERROR-SW-YES TO TRUE
053400             MOVE SS08WS-CURSOR  TO NL00-NAME-L
053500             MOVE MBEMWS-NOT-ON-FILE
053600                                 TO NL00-ERR-MESSAGE
053700             GO TO C080-CHECK-ERROR.
053800*
053900     IF  NL00-ADDR1-L IS GREATER THAN ZEROS
054000         MOVE DFHBMFSE           TO NL00-ADDR1-A
054100         UNSTRING NL00-ADDR1 DELIMITED BY '*' OR '  '
054200            INTO WS-SCREEN-ADDR1 DELIMITER IN WS-ADDR1-DELIM
054300                 COUNT IN WS-ADDR1-COUNT
054400         MOVE WS-ADDR1-DELIM     TO MBCA-MBNL-ADDR1-DELIM
054500         MOVE WS-ADDR1-COUNT     TO MBCA-MBNL-ADDR1-CNT
054600         IF  WS-ADDR1-DELIM-ASTERISK
054700             MOVE MMNL-ADDR1 (1:WS-ADDR1-COUNT)
054800                                 TO WS-FILE-ADDR1
054900             IF WS-SCREEN-ADDR1 IS NOT EQUAL TO WS-FILE-ADDR1
055000                 GO TO C070-COMPARE
055100             ELSE
055200                 MOVE WS-SCREEN-ADDR1
055300                                 TO MBCA-MBNL-ADDR1
055400         ELSE
055500             IF  NL00-ADDR1 IS EQUAL TO MMNL-ADDR1
055600                 MOVE NL00-ADDR1 TO MBCA-MBNL-ADDR1
055700             ELSE
055800                 GO TO C070-COMPARE.
055900*
056000     IF  NL00-ADDR4-L IS GREATER THAN ZEROS
056100         MOVE DFHBMFSE           TO NL00-ADDR4-A
056200         UNSTRING NL00-ADDR4 DELIMITED BY '*' OR '  '
056300            INTO WS-SCREEN-CITY DELIMITER IN WS-CITY-DELIM
056400                 COUNT IN WS-CITY-COUNT
056500         MOVE WS-CITY-DELIM      TO MBCA-MBNL-CITY-DELIM
056600         MOVE WS-CITY-COUNT      TO MBCA-MBNL-CITY-CNT
056700         IF  WS-CITY-DELIM-ASTERISK
056800             MOVE MMNL-CITY (1:WS-CITY-COUNT)
056900                                 TO WS-FILE-CITY
057000             IF WS-SCREEN-CITY IS NOT EQUAL TO WS-FILE-CITY
057100                 GO TO C070-COMPARE
057200             ELSE
057300                 MOVE WS-SCREEN-CITY
057400                                 TO MBCA-MBNL-CITY
057500         ELSE
057600             IF  NL00-ADDR4 IS EQUAL TO MMNL-CITY
057700                 MOVE NL00-ADDR4 TO MBCA-MBNL-CITY
057800             ELSE
057900                 GO TO C070-COMPARE.
058000*
058100     IF  NL00-STATE-L IS GREATER THAN ZEROS
058200         MOVE DFHBMFSE           TO NL00-STATE-A
058300         UNSTRING NL00-STATE DELIMITED BY '*' OR ' '
058400            INTO WS-SCREEN-STATE DELIMITER IN WS-STATE-DELIM
058500                 COUNT IN WS-STATE-COUNT
058600         MOVE WS-STATE-DELIM     TO MBCA-MBNL-STATE-DELIM
058700         MOVE WS-STATE-COUNT     TO MBCA-MBNL-STATE-CNT
058800         IF  WS-STATE-DELIM-ASTERISK
058900             MOVE MMNL-STATE (1:WS-STATE-COUNT)
059000                                 TO WS-FILE-STATE
059100             IF WS-SCREEN-STATE IS NOT EQUAL TO WS-FILE-STATE
059200                 GO TO C070-COMPARE
059300             ELSE
059400                 MOVE WS-SCREEN-STATE
059500                                 TO MBCA-MBNL-STATE
059600         ELSE
059700             IF  NL00-STATE IS EQUAL TO MMNL-STATE
059800                 MOVE NL00-STATE TO MBCA-MBNL-STATE
059900             ELSE
060000                 GO TO C070-COMPARE.
060100*
060200     IF  NL00-POSTAL-CODE-L IS GREATER THAN ZEROS
060300         MOVE DFHBMFSE           TO NL00-POSTAL-CODE-A
060400         UNSTRING NL00-POSTAL-CODE DELIMITED BY '*' OR ' '
060500            INTO WS-SCREEN-POSTAL-CODE DELIMITER
060600                                       IN WS-POSTAL-CODE-DELIM
060700                 COUNT IN WS-POSTAL-CODE-COUNT
060800         MOVE WS-POSTAL-CODE-DELIM TO MBCA-MBNL-POSTAL-CODE-DELIM
060900         MOVE WS-POSTAL-CODE-COUNT TO MBCA-MBNL-POSTAL-CODE-CNT
061000         IF  WS-POSTAL-CODE-DELIM-ASTERISK
061100             MOVE MMNL-POSTAL-CODE (1:WS-POSTAL-CODE-COUNT)
061200                                 TO WS-FILE-POSTAL-CODE
061300             IF WS-SCREEN-POSTAL-CODE IS NOT EQUAL TO
061400                                 WS-FILE-POSTAL-CODE
061500                 GO TO C070-COMPARE
061600             ELSE
061700                 MOVE WS-SCREEN-POSTAL-CODE
061800                                 TO MBCA-MBNL-POSTAL-CODE
061900                 MOVE WS-POSTAL-CODE-COUNT
062000                                 TO MBCA-MBNL-POSTAL-CODE-CNT
062100         ELSE
062200             IF  NL00-POSTAL-CODE IS EQUAL TO MMNL-POSTAL-CODE
062300                 MOVE MMNL-POSTAL-CODE
062400                                 TO MBCA-MBNL-POSTAL-CODE
062500             ELSE
062600                 GO TO C070-COMPARE.
062700*
062800     IF  NL00-PHONE-L IS GREATER THAN ZEROS
062900         MOVE DFHBMFSE           TO NL00-PHONE-A
063000         UNSTRING NL00-PHONE DELIMITED BY '*' OR ' '
063100            INTO WS-SCREEN-PHONE DELIMITER IN WS-PHONE-DELIM
063200                 COUNT IN WS-PHONE-COUNT
063300         MOVE WS-PHONE-DELIM     TO MBCA-MBNL-PHONE-DELIM
063400         MOVE WS-PHONE-COUNT     TO MBCA-MBNL-PHONE-CNT
063500         IF  WS-PHONE-DELIM-ASTERISK
063600             MOVE MMNL-PHONE (1:WS-PHONE-COUNT)
063700                                 TO WS-FILE-PHONE
063800             IF WS-SCREEN-PHONE IS NOT EQUAL TO WS-FILE-PHONE
063900                 GO TO C070-COMPARE
064000             ELSE
064100                 MOVE WS-SCREEN-PHONE
064200                                     TO MBCA-MBNL-PHONE
064300         ELSE
064400             IF  NL00-PHONE IS EQUAL TO MMNL-PHONE
064500                 MOVE NL00-PHONE TO MBCA-MBNL-PHONE
064600             ELSE
064700                 GO TO C070-COMPARE.
064800*
064900     IF  MMNL-FILE-TYPE IS NOT EQUAL TO MBCA-MBNL-MC-TYPE
065000         GO TO C070-COMPARE.
065100*
065200     IF  MMNL-NAME-LOCATION IS EQUAL TO NL00-PRIM-SEC-DEMO
065300     OR  NL00-VALID-ALL
065400         NEXT SENTENCE
065500     ELSE
065600         GO TO C070-COMPARE.
065700*
065800     IF  WS-NAME-DELIM-ASTERISK
065900         IF  WS-FILE-NAME IS GREATER THAN WS-SCREEN-NAME
066000             MOVE DFHBMUBF       TO NL00-NAME-A
066100             MOVE DFHBMASB       TO NL00-NAME-LP-A
066200                                    NL00-NAME-RP-A
066300             SET SS08WS-ERROR-SW-YES TO TRUE
066400             MOVE SS08WS-CURSOR  TO NL00-NAME-L
066500             MOVE MBEMWS-NOT-ON-FILE
066600                                 TO NL00-ERR-MESSAGE
066700             GO TO C080-CHECK-ERROR.
066800*
066900     MOVE MMNL-NAME              TO MBCA-MBNL-FWD-NAME
067000                                    MBCA-MBNL-FIRST-NAME.
067100     MOVE MMNL-TIE-BREAKER       TO MBCA-MBNL-FWD-TIE-BREAKER
067200                                    MBCA-MBNL-FIRST-TIE-BREAKER.
067300     MOVE SPACES                 TO MBCA-MBNL-RETURN-FLAG.
067400*
067500 C080-CHECK-ERROR.
067600*
067700     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
067800     SET MBIORO-ENDBR            TO TRUE.
067900     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
068000*
068100 C081-CONTINUE.
068200*
068300     IF  SS08WS-ERROR-SW-NO
068400         GO TO F000-SETUP-COMMAREA
068500     ELSE
068600         IF  SS08WS-VALID-PF-KEY
068700         OR  SS08WS-EIBAID-VALID-PF-KEY
068800             SET MBCA-INITIAL-SCREEN-NBR
068900                                 TO TRUE
069000             GO TO F090-TRANSFER-XCTL.
069100*
069200 D000-SEND-MAP.
069300*
069400     PERFORM MB60PD-INIT-STD-MAP-LINES
069500                                 THRU MB60PD-ISML-EXIT.
069600*
069700     MOVE DFHBMASK               TO NL00-CURRENT-PAGE-A.
069800*
069900**********************
070000*    SEND THE MAP    *
070100**********************
070200*
070300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
070400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
070500                                 THRU MB60PD-SMWE-EXIT.
070600*
070700************************
070800*    RETURN TO CICS    *
070900************************
071000*
071100     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
071200     PERFORM MB70PD-RETURN-TRANS-ID
071300                                 THRU MB70PD-RTI-EXIT.
071400/
071500/
071600 F000-SETUP-COMMAREA SECTION.
071700*
071800***************************************************************
071900*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
072000***************************************************************
072100*
072200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
072300*
072400     MOVE MBIOWS-MMNL-KEY-CODE   TO MBCA-KEY-CODE.
072500*
072600     PERFORM MB60PD-EDIT-PAGE-NBR
072700                                 THRU MB60PD-EPN-EXIT.
072800*
072900     IF  SS08WS-VALID-PF-KEY
073000     OR  SS08WS-EIBAID-VALID-PF-KEY
073100         SET MBCA-INITIAL-SCREEN-NBR
073200                                 TO TRUE.
073300*
073400 F090-TRANSFER-XCTL.
073500*
073600     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
073700     PERFORM MB70PD-XCTL-TO-MBOXCTL
073800                                 THRU MB70PD-XTM-EXIT.
073900*
074000 Z000-COPIED-ROUTINES SECTION.
074100*
074200/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
074300     COPY SS26PD.
074400*
074500/         ROUTINE TO NUMERICALLY EDIT TIME
074600     COPY SS27PD.
074700/
074800**********************************
074900*    JUL TO GREG DATE ROUTINE    *
075000**********************************
075100*
075200     COPY SS08PD.
075300/
075400*********************************
075500*    LINE 24 PF KEYS ROUTINE    *
075600*********************************
075700*
075800     COPY SS15PD.
075900/
076000******************************************************
076100*    NAME LOCATE RECORD ACCESS ROUTINES              *
076200******************************************************
076300*
076400     COPY MMNLAO.
076500/
076600*****************************
076700*    ONLINE MAP ROUTINES    *
076800*****************************
076900*
077000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBNL00 '
077100                           MBMAPXXI BY MBNL00I
077200                           MBMAPXXO BY MBNL00O.
077300/
077400***************************
077500*    ONLINE PROCEDURES    *
077600***************************
077700*
077800     COPY MB70PD.
077900/
078000     COPY SMFTPXO.
