000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU240.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500* MBU240 - CHECK PRINT AND CHECK REGISTER REPORT PROGRAM        *
000600*                                                               *
000700*****************************************************************
000800*
000900 ENVIRONMENT DIVISION.
001000 CONFIGURATION SECTION.
001100 SOURCE-COMPUTER.            IBM-4341.
001200 OBJECT-COMPUTER.            IBM-4341.
001300/
001400 INPUT-OUTPUT SECTION.
001500 FILE-CONTROL.
001600*
001700     COPY MS1SES.
001800/
001900 DATA DIVISION.
002000 FILE SECTION.
002100*
002200     COPY MS1SSD.
002300 01  MS1S-SORT-RECORD.
002400     03  MS1S-SORT-KEY-1.
002500         05  FILLER          PIC  X(03).
002600     03  MS1S-SORT-KEY-3.
002700         05  FILLER          PIC  X(14).
002800     03  FILLER              PIC  X(143).
002900     03  MS1S-SORT-KEY-2.
003000         05  MS1S-SK2-INDICATOR
003100                             PIC  X(01).
003200             88  MS1S-SK2-POSITIVE           VALUE '1'.
003300             88  MS1S-SK2-NEGATIVE           VALUE '2'.
003400/
003500 WORKING-STORAGE SECTION.
003600*
003700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003800*
003900 01  WS-CONTROL-CARD-1.
004000     03  WS-CC1-LPC-LIT      PIC  X(04)      VALUE 'LPC='.
004100     03  WS-CC1-LPC          PIC  9(02)      VALUE 21.
004200     03  FILLER              PIC  X(74)      VALUE SPACES.
004300*
004400 01  WS-CONTROL-CARD-2.
004500     03  WS-CC2-LPS-LIT      PIC  X(04)      VALUE 'LPS='.
004600     03  WS-CC2-LPS          PIC  9(02)      VALUE 21.
004700     03  FILLER              PIC  X(74)      VALUE SPACES.
004800*
004900 01  WS-CONTROL-CARD-3                       VALUE SPACES.
005000     03  WS-CC3-ORG-NBR-X.
005100         05  WS-CC3-ORG-NBR  PIC  9(03).
005200     03  WS-CC3-CHECK-FORM-TYPE
005300                             PIC  9(01).
005400         88  WS-CC3-PRODUCE-NO-CHECKS        VALUE ZERO.
005500         88  WS-CC3-CHECKS-NO-STUB           VALUE 1.
005600         88  WS-CC3-CHECKS-STUB-ON-TOP       VALUE 2.
005700         88  WS-CC3-CHECKS-STUB-ON-BOTTOM    VALUE 3.
005800     03  WS-CC3-ORG-NAME-OPTION
005900                             PIC  X(01).
006000         88  WS-CC3-PRINT-ORG-NAME-ON-CHECK  VALUE 'O'.
006100         88  WS-CC3-NO-ORG-NAME-ON-CHECK     VALUE 'N'.
006200     03  WS-CC3-STARTING-SERIAL-NBR-X.
006300         88  WS-CC3-PROMPT-OPERATOR          VALUE '999999999'.
006400         88  WS-CC3-NO-SERIAL-NBR            VALUE SPACES.
006500         05  WS-CC3-STARTING-SERIAL-NBR
006600                             PIC  9(09).
006700     03  FILLER              PIC  X(66).
006800/
006900 01  WS-WORK-AREAS.
007000     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU240'.
007100     03  WS-WORK-SERIAL-X                    VALUE ZERO.
007200         05  WS-WORK-SERIAL  PIC  9(09).
007300     03  WS-VERIFY-SERIAL-NBR
007400                             PIC  9(09)      VALUE ZERO.
007500     03  WS-COMPARE-ORG-X                    VALUE ZERO.
007600         05  WS-COMPARE-ORG  PIC  9(03).
007700     03  WS-ORG-NEG-NBR      PIC S9(09)      COMP-3
007800                                             VALUE ZERO.
007900     03  WS-ORG-NEG-AMT      PIC S9(17)      COMP-3
008000                                             VALUE ZERO.
008100     03  WS-ORG-TOTAL-NBR    PIC S9(09)      COMP-3
008200                                             VALUE ZERO.
008300     03  WS-ORG-TOTAL-AMT    PIC S9(17)      COMP-3
008400                                             VALUE ZERO.
008500/
008600     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
008700/
008800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
008900/
009000     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
009100/
009200     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
009300/
009400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSM==.
009500/
009600     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
009700/
009800     COPY MB00RB REPLACING ==:MB00:== BY ==MTCK==.
009900/
010000     COPY MB00RB REPLACING ==:MB00:== BY ==MTAR==.
010100/
010200     COPY MMSCIO.
010300/
010400     COPY MMOCIO.
010500/
010600     COPY MMMMIO.
010700/
010800     COPY MMSMIO.
010900/
011000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
011100/
011200     COPY MTCKIO REPLACING ==:MTCK:== BY ==MTCK==.
011300/
011400     COPY MTCKIO REPLACING ==:MTCK:== BY ==MTAR==.
011500/
011600     COPY MMSCRL.
011700/
011800     COPY MMOCRL.
011900/
012000     COPY MMMMRL.
012100/
012200     COPY MMSMRL.
012300/
012400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
012500/
012600     COPY MTCKRL REPLACING ==:MTCK:== BY ==MTCK==.
012700/
012800     COPY MTCKRL REPLACING ==:MTCK:== BY ==MTAR==.
012900/
013000     COPY MB00WS.
013100/
013200     COPY MB00KY.
013300/
013400     COPY MB20WS.
013500 01  WS-PRINT-LINE-X         REDEFINES MB20WS-PRINT-LINE.
013600     03  FILLER              PIC  X(132).
013700*
013800 01  WS-REG-PRINT-LINE       REDEFINES MB20WS-PRINT-LINE.
013900     03  WS-RPL-MERCHANT     PIC  9(09)-.
014000     03  WS-RPL-NAME-ADDR    PIC  X(40).
014100     03  WS-RPL-AMT-X.
014200         05  WS-RPL-AMT      PIC  X(20).
014300     03  WS-RPL-NBR-X        REDEFINES WS-RPL-AMT-X.
014400         05  FILLER          PIC  X(06).
014500         05  WS-RPL-NBR      PIC  X(14).
014600     03  WS-RPL-SERIAL-NBR   PIC  999999999-.
014700     03  WS-RPL-CHECK-DATE   PIC  X(11).
014800     03  WS-RPL-DATE-LAST-ACTIVE
014900                             PIC  X(11).
015000     03  WS-RPL-DESC         PIC  X(30).
015100*
015200*
015300*
015400/
015500 01  WS-STUB-PRINT-LINES                     VALUE SPACES.
015600     03  WS-SPL-LINE-01.
015700         05  FILLER          PIC  X(85).
015800*
015900*
016000*
016100     03  WS-SPL-LINE-02.
016200         05  FILLER          PIC  X(85).
016300*
016400*
016500*
016600     03  WS-SPL-LINE-03.
016700         05  WS-SPL-HEADING-1
016800                             PIC  X(40).
016900         05  WS-SPL-HEADING-2
017000                             PIC  X(45).
017100*
017200*
017300*
017400     03  WS-SPL-LINE-04.
017500         05  FILLER          PIC  X(04).
017600         05  WS-SPL-SERIAL-NBR
017700                             PIC  9(09).
017800         05  FILLER          PIC  X(03).
017900         05  WS-SPL-AMT-X.
018000             07  WS-SPL-AMT  PIC  X(23).
018100         05  FILLER          PIC  X(01).
018200         05  WS-SPL-DATE     PIC  X(10).
018300         05  FILLER          PIC  X(02).
018400         05  WS-SPL-MERCHANT-X.
018500             07  WS-SPL-MERCHANT
018600                             PIC  9(09).
018700         05  FILLER          PIC  X(24).
018800*
018900*
019000*
019100     03  WS-SPL-LINE-05.
019200         05  FILLER          PIC  X(85).
019300*
019400*
019500*
019600     03  WS-SPL-LINE-06.
019700         05  FILLER          PIC  X(04).
019800         05  WS-SPL-DESC     PIC  X(40).
019900         05  FILLER          PIC  X(41).
020000*
020100*
020200*
020300     03  WS-SPL-LINE-07.
020400         05  FILLER          PIC  X(85).
020500*
020600*
020700*
020800     03  WS-SPL-LINE-08.
020900         05  FILLER          PIC  X(85).
021000*
021100*
021200*
021300     03  WS-SPL-LINE-09.
021400         05  FILLER          PIC  X(85).
021500*
021600*
021700*
021800     03  WS-SPL-LINE-10.
021900         05  FILLER          PIC  X(85).
022000*
022100*
022200*
022300     03  WS-SPL-LINE-11.
022400         05  FILLER          PIC  X(85).
022500*
022600*
022700*
022800     03  WS-SPL-LINE-12.
022900         05  FILLER          PIC  X(85).
023000*
023100*
023200*
023300     03  WS-SPL-LINE-13.
023400         05  FILLER          PIC  X(85).
023500*
023600*
023700*
023800     03  WS-SPL-LINE-14.
023900         05  FILLER          PIC  X(85).
024000*
024100*
024200*
024300     03  WS-SPL-LINE-15.
024400         05  FILLER          PIC  X(85).
024500*
024600*
024700*
024800     03  WS-SPL-LINE-16.
024900         05  FILLER          PIC  X(85).
025000*
025100*
025200*
025300     03  WS-SPL-LINE-17.
025400         05  FILLER          PIC  X(85).
025500*
025600*
025700*
025800     03  WS-SPL-LINE-18.
025900         05  FILLER          PIC  X(85).
026000*
026100*
026200*
026300     03  WS-SPL-LINE-19.
026400         05  FILLER          PIC  X(85).
026500*
026600*
026700*
026800     03  WS-SPL-LINE-20.
026900         05  FILLER          PIC  X(85).
027000*
027100*
027200*
027300     03  WS-SPL-LINE-21.
027400         05  FILLER          PIC  X(85).
027500*
027600*
027700*
027800     03  WS-SPL-LINE-22.
027900         05  FILLER          PIC  X(85).
028000*
028100*
028200*
028300     03  WS-SPL-LINE-23.
028400         05  FILLER          PIC  X(85).
028500*
028600*
028700*
028800     03  WS-SPL-LINE-24.
028900         05  FILLER          PIC  X(85).
029000*
029100*
029200*
029300 01  WS-STUB-PRINT-LINES-R   REDEFINES WS-STUB-PRINT-LINES.
029400     03  WS-STUB-PRINT-LINE  PIC  X(85)      OCCURS 24 TIMES
029500                                             INDEXED BY
029600                                             X-WS-STUB-LINE.
029700/
029800 01  WS-CHECK-PRINT-LINES                    VALUE SPACES.
029900     03  WS-CPL-LINE-01.
030000         05  FILLER          PIC  X(85).
030100*
030200*
030300*
030400     03  WS-CPL-LINE-02.
030500         05  FILLER          PIC  X(85).
030600*
030700*
030800*
030900     03  WS-CPL-LINE-03.
031000         05  FILLER          PIC  X(04).
031100         05  WS-CPL-SERIAL-NBR
031200                             PIC  9(09).
031300         05  FILLER          PIC  X(02).
031400         05  WS-CPL-DATE-OF-CHECK
031500                             PIC  X(10).
031600         05  FILLER          PIC  X(05).
031700         05  WS-CPL-ORG-NAME-1
031800                             PIC  X(40).
031900         05  FILLER          PIC  X(15).
032000*
032100*
032200*
032300     03  WS-CPL-LINE-04.
032400         05  FILLER          PIC  X(30).
032500         05  WS-CPL-ORG-NAME-2
032600                             PIC  X(40).
032700         05  FILLER          PIC  X(15).
032800*
032900*
033000*
033100     03  WS-CPL-LINE-05.
033200         05  FILLER          PIC  X(04).
033300         05  WS-CPL-LIT-1    PIC  X(20).
033400         05  FILLER          PIC  X(06).
033500         05  WS-CPL-ORG-NAME-3
033600                             PIC  X(40).
033700         05  FILLER          PIC  X(15).
033800*
033900*
034000*
034100     03  WS-CPL-LINE-06.
034200         05  FILLER          PIC  X(04).
034300         05  WS-CPL-ACCT-NBR-X.
034400             07  WS-CPL-MERCHANT
034500                             PIC  X(09).
034600         05  FILLER          PIC  X(17).
034700         05  WS-CPL-ORG-NAME-4
034800                             PIC  X(40).
034900         05  FILLER          PIC  X(15).
035000*
035100*
035200*
035300     03  WS-CPL-LINE-07.
035400         05  FILLER          PIC  X(30).
035500         05  WS-CPL-ORG-NAME-5
035600                             PIC  X(40).
035700         05  FILLER          PIC  X(15).
035800*
035900*
036000*
036100     03  WS-CPL-LINE-08.
036200         05  FILLER          PIC  X(04).
036300         05  WS-CPL-DESC     PIC  X(40).
036400         05  FILLER          PIC  X(41).
036500*
036600*
036700*
036800     03  WS-CPL-LINE-09.
036900         05  FILLER          PIC  X(04).
037000         05  WS-CPL-LONG-HAND-LIT-1
037100                             PIC  X(46).
037200         05  FILLER          PIC  X(35).
037300*
037400*
037500*
037600     03  WS-CPL-LINE-10.
037700         05  FILLER          PIC  X(04).
037800         05  WS-CPL-LONG-HAND-LIT-2
037900                             PIC  X(46).
038000         05  FILLER          PIC  X(35).
038100*
038200*
038300*
038400     03  WS-CPL-LINE-11.
038500         05  FILLER          PIC  X(04).
038600         05  WS-CPL-LONG-HAND-LIT-3
038700                             PIC  X(46).
038800         05  FILLER          PIC  X(07).
038900         05  WS-CPL-AMT-X.
039000             07  WS-CPL-AMT  PIC  $***,***,***,***,***.99-.
039100         05  FILLER          PIC  X(04).
039200*
039300*
039400*
039500     03  WS-CPL-LINE-12.
039600         05  FILLER          PIC  X(04).
039700         05  WS-CPL-LONG-HAND-LIT-4
039800                             PIC  X(46).
039900         05  FILLER          PIC  X(35).
040000*
040100*
040200*
040300     03  WS-CPL-LINE-13.
040400         05  FILLER          PIC  X(04).
040500         05  WS-CPL-LONG-HAND-LIT-5
040600                             PIC  X(46).
040700         05  FILLER          PIC  X(35).
040800*
040900*
041000*
041100     03  WS-CPL-LINE-14.
041200         05  FILLER          PIC  X(10).
041300         05  WS-CPL-NAME-ADDR-1
041400                             PIC  X(40).
041500         05  FILLER          PIC  X(35).
041600*
041700*
041800*
041900     03  WS-CPL-LINE-15.
042000         05  FILLER          PIC  X(10).
042100         05  WS-CPL-NAME-ADDR-2
042200                             PIC  X(40).
042300         05  FILLER          PIC  X(35).
042400*
042500*
042600*
042700     03  WS-CPL-LINE-16.
042800         05  FILLER          PIC  X(10).
042900         05  WS-CPL-NAME-ADDR-3
043000                             PIC  X(40).
043100         05  FILLER          PIC  X(35).
043200*
043300*
043400*
043500     03  WS-CPL-LINE-17.
043600         05  FILLER          PIC  X(10).
043700         05  WS-CPL-NAME-ADDR-4
043800                             PIC  X(40).
043900         05  FILLER          PIC  X(35).
044000*
044100*
044200*
044300     03  WS-CPL-LINE-18.
044400         05  FILLER          PIC  X(10).
044500         05  WS-CPL-NAME-ADDR-5
044600                             PIC  X(40).
044700         05  FILLER          PIC  X(35).
044800*
044900*
045000*
045100     03  WS-CPL-LINE-19.
045200         05  FILLER          PIC  X(85).
045300*
045400*
045500*
045600     03  WS-CPL-LINE-20.
045700         05  FILLER          PIC  X(85).
045800*
045900*
046000*
046100     03  WS-CPL-LINE-21.
046200         05  FILLER          PIC  X(85).
046300*
046400*
046500*
046600     03  WS-CPL-LINE-22.
046700         05  FILLER          PIC  X(85).
046800*
046900*
047000*
047100     03  WS-CPL-LINE-23.
047200         05  FILLER          PIC  X(85).
047300*
047400*
047500*
047600     03  WS-CPL-LINE-24.
047700         05  FILLER          PIC  X(85).
047800*
047900*
048000*
048100 01  WS-CHECK-PRINT-LINES-R  REDEFINES WS-CHECK-PRINT-LINES.
048200     03  WS-CHECK-PRINT-LINE PIC  X(85)      OCCURS 24 TIMES
048300                                             INDEXED BY
048400                                             X-WS-CHECK-LINE.
048500/
048600     COPY SS00WS.
048700/
048800     COPY SS01WS.
048900/
049000     COPY SS02WS.
049100/
049200     COPY SS12WS.
049300/
049400     COPY SS92WS.
049500/
049600     COPY SS95WS.
049700/
049800     COPY MMMMIR.
049900/
050000     COPY MMSMIR.
050100*
050200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
050300/
050400 PROCEDURE DIVISION.
050500*
050600 0000-HOUSEKEEPING-SECT SECTION.
050700 0010-HSK-OPEN-FILES.
050800*
050900     SET SS12WS-ENVIRONMENT-BATCH
051000                                 TO TRUE.
051100     SET SS12WS-FUNCTION-INITIALIZE
051200                                 TO TRUE.
051300     PERFORM SS12PD-FORMAT-DEMOGRAPHICS
051400        THRU SS12PD-FD-EXIT.
051500*
051600     MOVE WS-PROG-ID             TO SS02WS-ABEND-PROG-ID.
051700*
051800     SET SS95WS-FUNCTION-INITIALIZE
051900                                 TO TRUE.
052000     PERFORM SS95PD-NAP-ROUTINE
052100        THRU SS95PD-NAP-EXIT.
052200*
052300     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
052400     SET MTCCRB-OPEN-INPUT       TO TRUE.
052500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
052600*
052700     MOVE 'O1AR'                 TO SS02WS-ABEND-LOCATION.
052800     SET MTARRB-OPEN-OUTPUT      TO TRUE.
052900     PERFORM MB00PD-MTAR-ACCESS  THRU MB00PD-MTAR-ACCESS-EXIT.
053000*
053100     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
053200     SET MMSCRB-OPEN-INPUT       TO TRUE.
053300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
053400*
053500     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
053600     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
053700     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
053800*
053900     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
054000     SET MMMMRB-OPEN-INPUT-DYN   TO TRUE.
054100     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
054200*
054300     MOVE 'O1SM'                 TO SS02WS-ABEND-LOCATION.
054400     SET MMSMRB-OPEN-INPUT-DYN   TO TRUE.
054500     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
054600*
054700     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
054800     SET MMSCRB-READ-SEQ         TO TRUE.
054900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
055000     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
055100*
055200     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
055300*
055400     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
055500*
055600 0020-HSK-READ-CONTROL-CARDS.
055700*
055800     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
055900     SET MTCCRB-READ-SEQ         TO TRUE.
056000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
056100*
056200     IF  SS02WS-FS-END-OF-FILE
056300         GO TO 0900-HSK-CLOSE-FILES.
056400*
056500     IF  MTCCIO-PROGRAM-ID  IS NOT EQUAL TO WS-PROG-ID
056600         GO TO 0020-HSK-READ-CONTROL-CARDS.
056700*
056800     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
056900*
057000     IF  MTCC-MBU240-1-3 IS EQUAL TO 'LPC'
057100         MOVE MTCCIO-RECORD      TO WS-CONTROL-CARD-1
057200         PERFORM 0600-HSK-EDIT-CTL-1
057300                                 THRU 0699-HSK-EC1-EXIT
057400         GO TO 0020-HSK-READ-CONTROL-CARDS.
057500*
057600     IF  MTCC-MBU240-1-3 IS EQUAL TO 'LPS'
057700         MOVE MTCCIO-RECORD      TO WS-CONTROL-CARD-2
057800         PERFORM 0700-HSK-EDIT-CTL-2
057900                                 THRU 0799-HSK-EC2-EXIT
058000         GO TO 0020-HSK-READ-CONTROL-CARDS.
058100*
058200     IF  MTCC-MBU240-1-3 IS NUMERIC
058300     OR  MTCC-MBU240-1-3 IS EQUAL TO 'ALL'
058400         MOVE MTCCIO-RECORD      TO WS-CONTROL-CARD-3
058500         PERFORM 0800-HSK-EDIT-CTL-3
058600                                 THRU 0899-HSK-EC3-EXIT
058700         PERFORM 0300-HSK-PROCESS-CHECKS
058800                                 THRU 0399-HSK-PC-EXIT
058900         GO TO 0020-HSK-READ-CONTROL-CARDS.
059000*
059100     PERFORM 0400-HSK-INVALID-CONTROL-CARD
059200                                 THRU 0499-HSK-ICC-EXIT.
059300     GO TO 0020-HSK-READ-CONTROL-CARDS.
059400*
059500 0300-HSK-PROCESS-CHECKS.
059600*
059700     IF  WS-CONTROL-CARD-3 IS EQUAL TO SPACES
059800         MOVE 'ALL'              TO WS-CC3-ORG-NBR-X
059900         MOVE 'N'                TO WS-CC3-ORG-NAME-OPTION
060000         MOVE 1                  TO WS-CC3-CHECK-FORM-TYPE
060100         MOVE SPACES             TO WS-CC3-STARTING-SERIAL-NBR-X.
060200*
060300     SORT MS1S-SORT-FILE
060400          ON ASCENDING KEY MS1S-SORT-KEY-1
060500                           MS1S-SORT-KEY-2
060600                           MS1S-SORT-KEY-3
060700          INPUT  PROCEDURE IS 1000-BUILD-CHECK-FILE-SECT
060800          OUTPUT PROCEDURE IS 2000-PRINT-CHECKS-SECT.
060900*
061000     PERFORM SS98PD-VERIFY-SORT-RETURN
061100        THRU SS98PD-VSR-EXIT.
061200*
061300 0399-HSK-PC-EXIT.
061400     EXIT.
061500*
061600 0400-HSK-INVALID-CONTROL-CARD.
061700*
061800     DISPLAY MTCCIO-RECORD.
061900     DISPLAY MTCCIO-RECORD  UPON CONSOLE.
062000     MOVE 24001                  TO SS02WS-ABEND-CODE.
062100     MOVE '- MTCC-INVALID CONTROL CARD'
062200                                 TO SS02WS-ABENDMSG8.
062300     PERFORM SS02PD-ABEND        THRU SS02PD-ABEND-EXIT.
062400*
062500 0499-HSK-ICC-EXIT.
062600     EXIT.
062700*
062800 0600-HSK-EDIT-CTL-1.
062900*
063000     IF   WS-CC1-LPC IS NUMERIC
063100     AND (WS-CC1-LPC IS EQUAL TO 18
063200     OR   WS-CC1-LPC IS EQUAL TO 21
063300     OR   WS-CC1-LPC IS EQUAL TO 24)
063400         GO TO 0699-HSK-EC1-EXIT.
063500*
063600     PERFORM 0400-HSK-INVALID-CONTROL-CARD
063700                                 THRU 0499-HSK-ICC-EXIT.
063800*
063900 0699-HSK-EC1-EXIT.
064000     EXIT.
064100*
064200 0700-HSK-EDIT-CTL-2.
064300*
064400     IF   WS-CC2-LPS IS NUMERIC
064500     AND (WS-CC2-LPS IS EQUAL TO 06
064600     OR   WS-CC2-LPS IS EQUAL TO 09
064700     OR   WS-CC2-LPS IS EQUAL TO 12
064800     OR   WS-CC2-LPS IS EQUAL TO 15
064900     OR   WS-CC2-LPS IS EQUAL TO 18
065000     OR   WS-CC2-LPS IS EQUAL TO 21
065100     OR   WS-CC2-LPS IS EQUAL TO 24)
065200         GO TO 0799-HSK-EC2-EXIT.
065300*
065400     PERFORM 0400-HSK-INVALID-CONTROL-CARD
065500                                 THRU 0499-HSK-ICC-EXIT.
065600*
065700 0799-HSK-EC2-EXIT.
065800     EXIT.
065900*
066000 0800-HSK-EDIT-CTL-3.
066100*
066200     IF  WS-CC3-ORG-NBR-X IS EQUAL TO 'ALL'
066300         GO TO 0820-HSK-EC3-FORM-TYPE.
066400*
066500     IF  WS-CC3-ORG-NBR IS NUMERIC
066600     AND WS-CC3-ORG-NBR IS GREATER THAN ZERO
066700     AND WS-CC3-ORG-NBR IS LESS THAN 999
066800         GO TO 0820-HSK-EC3-FORM-TYPE.
066900*
067000     PERFORM 0400-HSK-INVALID-CONTROL-CARD
067100                                 THRU 0499-HSK-ICC-EXIT.
067200*
067300 0820-HSK-EC3-FORM-TYPE.
067400*
067500     IF   WS-CC3-CHECK-FORM-TYPE IS NUMERIC
067600     AND (WS-CC3-CHECK-FORM-TYPE EQUAL TO ZERO
067700     OR   WS-CC3-CHECK-FORM-TYPE EQUAL TO 1
067800     OR   WS-CC3-CHECK-FORM-TYPE EQUAL TO 2
067900     OR   WS-CC3-CHECK-FORM-TYPE EQUAL TO 3)
068000         GO TO 0830-HSK-EC3-ORG-NAME.
068100*
068200     PERFORM 0400-HSK-INVALID-CONTROL-CARD
068300                                 THRU 0499-HSK-ICC-EXIT.
068400*
068500 0830-HSK-EC3-ORG-NAME.
068600*
068700     IF  WS-CC3-ORG-NAME-OPTION IS EQUAL TO 'O'
068800     OR  WS-CC3-ORG-NAME-OPTION IS EQUAL TO 'N'
068900         GO TO 0840-HSK-EC3-SERIAL-NBR.
069000*
069100     PERFORM 0400-HSK-INVALID-CONTROL-CARD
069200                                 THRU 0499-HSK-ICC-EXIT.
069300*
069400 0840-HSK-EC3-SERIAL-NBR.
069500*
069600     IF  WS-CC3-STARTING-SERIAL-NBR-X IS EQUAL TO SPACES
069700         GO TO 0899-HSK-EC3-EXIT.
069800*
069900     IF  WS-CC3-STARTING-SERIAL-NBR IS NUMERIC
070000         IF  WS-CC3-STARTING-SERIAL-NBR IS EQUAL TO 999999999
070100             GO TO 0890-HSK-PROMPT-OPERATOR
070200         ELSE
070300             GO TO 0899-HSK-EC3-EXIT.
070400*
070500     PERFORM 0400-HSK-INVALID-CONTROL-CARD
070600                                 THRU 0499-HSK-ICC-EXIT.
070700*
070800 0890-HSK-PROMPT-OPERATOR.
070900*
071000     DISPLAY 'MBU240 - CHECK PRODUCTION'
071100                             UPON CONSOLE.
071200     DISPLAY 'MBU240 - FOR  ORG=' WS-CC3-ORG-NBR-X
071300                             UPON CONSOLE.
071400     DISPLAY 'MBU240 - ENTER STARTING SERIAL NUMBER - 9 DIGITS'
071500                             UPON CONSOLE.
071600     ACCEPT WS-CC3-STARTING-SERIAL-NBR FROM CONSOLE.
071700*
071800     IF  WS-CC3-STARTING-SERIAL-NBR IS NUMERIC
071900         GO TO 0895-HSK-EC3-VERIFY.
072000*
072100     DISPLAY
072200     'MBU240 - INVALID STARTING SERIAL NUMBER - PLEASE RE-ENTER'
072300                             UPON CONSOLE.
072400     GO TO 0890-HSK-PROMPT-OPERATOR.
072500*
072600 0895-HSK-EC3-VERIFY.
072700*
072800     DISPLAY 'MBU240 - RE-ENTER STARTING SERIAL NUMBER FOR VERIFY'
072900                             UPON CONSOLE.
073000     ACCEPT WS-VERIFY-SERIAL-NBR FROM CONSOLE.
073100*
073200     IF  WS-VERIFY-SERIAL-NBR IS NOT NUMERIC
073300         DISPLAY
073400         'MBU240 - SERIAL NUMBER VERIFICATION INVALID - RE-ENTER'
073500         GO TO 0895-HSK-EC3-VERIFY.
073600*
073700     IF  WS-VERIFY-SERIAL-NBR IS EQUAL TO
073800                                 WS-CC3-STARTING-SERIAL-NBR
073900         GO TO 0899-HSK-EC3-EXIT.
074000*
074100     DISPLAY 'MBU240 - INVALID VERIFY PLEASE START OVER'
074200                             UPON CONSOLE.
074300     GO TO 0890-HSK-PROMPT-OPERATOR.
074400*
074500 0899-HSK-EC3-EXIT.
074600     EXIT.
074700*
074800*
074900*
075000 0900-HSK-CLOSE-FILES.
075100*
075200     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
075300     SET MTCCRB-CLOSE            TO TRUE.
075400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
075500*
075600     MOVE 'C1AR'                 TO SS02WS-ABEND-LOCATION.
075700     SET MTARRB-CLOSE            TO TRUE.
075800     PERFORM MB00PD-MTAR-ACCESS  THRU MB00PD-MTAR-ACCESS-EXIT.
075900*
076000     SORT MS1S-SORT-FILE
076100          ON ASCENDING KEY MS1S-SORT-KEY-1
076200                           MS1S-SORT-KEY-2
076300                           MS1S-SORT-KEY-3
076400          INPUT  PROCEDURE IS 3000-SORT-REGISTER-INPUT-SECT
076500          OUTPUT PROCEDURE IS 4000-PRINT-REGISTER-SECT.
076600*
076700     MOVE 'C1SM'                 TO SS02WS-ABEND-LOCATION.
076800     SET MMSMRB-CLOSE            TO TRUE.
076900     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
077000*
077100     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
077200     SET MMMMRB-CLOSE            TO TRUE.
077300     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
077400*
077500     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
077600     SET MMOCRB-CLOSE            TO TRUE.
077700     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
077800*
077900     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
078000     SET MMSCRB-CLOSE            TO TRUE.
078100     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
078200*
078300     PERFORM MB20PD-CLOSE-PRINT-FILES
078400                                 THRU MB20PD-CPF-EXIT.
078500*
078600     GO TO 9999-END-OF-PROGRAM.
078700*
078800 0999-HSK-EXIT.
078900     EXIT.
079000/
079100 1000-BUILD-CHECK-FILE-SECT SECTION.
079200 1010-BCF-OPEN-FILES.
079300*
079400     MOVE 'O1CK'                 TO SS02WS-ABEND-LOCATION.
079500     SET MTCKRB-OPEN-INPUT       TO TRUE.
079600     PERFORM MB00PD-MTCK-ACCESS  THRU MB00PD-MTCK-ACCESS-EXIT.
079700*
079800     MOVE SS02WS-END-OF-FILE     TO MTCKRB-PERM-STATUS-1.
079900*
080000 1020-BCF-READ-MTCK.
080100*
080200     MOVE 'R1CK'                 TO SS02WS-ABEND-LOCATION.
080300     SET MTCKRB-READ-SEQ         TO TRUE.
080400     PERFORM MB00PD-MTCK-ACCESS  THRU MB00PD-MTCK-ACCESS-EXIT.
080500*
080600     IF  SS02WS-FS-END-OF-FILE
080700         GO TO 1900-BCF-CLOSE-FILES.
080800*
080900     MOVE MTCKIO-RECORD          TO MTCK-RECORD.
081000*
081100     MOVE MTCK-ORG               TO WS-COMPARE-ORG.
081200*
081300     IF (WS-CC3-ORG-NBR-X  IS EQUAL TO 'ALL'
081400     OR  WS-CC3-ORG-NBR-X  IS EQUAL TO WS-COMPARE-ORG-X)
081500         NEXT SENTENCE
081600     ELSE
081700         GO TO 1020-BCF-READ-MTCK.
081800*
081900     MOVE MTCK-RECORD            TO MS1S-SORT-RECORD.
082000*
082100     IF  MTCK-AMOUNT IS NOT GREATER THAN ZERO
082200         SET MS1S-SK2-NEGATIVE TO TRUE
082300     ELSE
082400         SET MS1S-SK2-POSITIVE TO TRUE.
082500*
082600     RELEASE MS1S-SORT-RECORD.
082700     GO TO 1020-BCF-READ-MTCK.
082800*
082900 1900-BCF-CLOSE-FILES.
083000*
083100     MOVE 'C1CK'                 TO SS02WS-ABEND-LOCATION.
083200     SET MTCKRB-CLOSE            TO TRUE.
083300     PERFORM MB00PD-MTCK-ACCESS  THRU MB00PD-MTCK-ACCESS-EXIT.
083400*
083500 1999-BCF-EXIT.
083600     EXIT.
083700/
083800 2000-PRINT-CHECKS-SECT SECTION.
083900 2010-PC-BEGIN.
084000*
084100     MOVE SPACES                 TO MMOC-RECORD.
084200     MOVE ZERO                   TO MMOC-KEY.
084300*
084400 2020-PC-RETURN-SORT.
084500*
084600     RETURN MS1S-SORT-FILE
084700         AT END
084800             GO TO 2900-PC-CLOSE-FILES.
084900*
085000     MOVE MS1S-SORT-RECORD       TO MTCK-RECORD.
085100*
085200     IF  MTCK-ORG IS NOT EQUAL TO MMOC-ORG
085300     AND MMOC-ORG IS GREATER THAN ZERO
085400         MOVE MTCK-ORG           TO MMOCIO-ORG
085500         MOVE 'R2OC'             TO SS02WS-ABEND-LOCATION
085600         SET MMOCRB-READ-RANDOM  TO TRUE
085700         PERFORM MB00PD-MMOC-ACCESS THRU MB00PD-MMOC-ACCESS-EXIT
085800         MOVE MMOCIO-RECORD      TO MMOC-RECORD
085900         MOVE MMOC-CURRENCY-CODE TO SS95WS-CURRENCY-CODE.
086000*
086100     IF  MTCK-ORG IS EQUAL TO MMOC-ORG
086200         NEXT SENTENCE
086300     ELSE
086400         MOVE MTCK-ORG           TO MMOCIO-ORG
086500         MOVE 'R3OC'             TO SS02WS-ABEND-LOCATION
086600         SET MMOCRB-READ-RANDOM  TO TRUE
086700         PERFORM MB00PD-MMOC-ACCESS THRU MB00PD-MMOC-ACCESS-EXIT
086800         MOVE MMOCIO-RECORD      TO MMOC-RECORD
086900         MOVE MMOC-CURRENCY-CODE TO SS95WS-CURRENCY-CODE
087000         MOVE MMOC-OR-REPORT-ID (95)
087100                                 TO MB20WS-SH-RPT-ID
087200         MOVE SPACES             TO MB20WS-SH-LIT-1
087300         MOVE SPACES             TO MB20WS-SH-LIT-5
087400         MOVE SPACES             TO MB20WS-SH-L4
087500         MOVE SPACES             TO MB20WS-SH-L5
087600         MOVE SPACES             TO MB20WS-SH-L6
087700         MOVE MMSC-TODAYS-JULIAN TO SS01WS-JULIAN
087800         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
087900                                 THRU SS26PD-NED-EXIT
088000         MOVE SS01WS-XX-XX-YYYY  TO MB20WS-SH-PROC-DATE
088100         MOVE MMSC-ACCR-THRU-DATE
088200                                 TO SS01WS-JULIAN
088300         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
088400                                 THRU SS26PD-NED-EXIT
088500         MOVE SS01WS-XX-XX-YYYY  TO MB20WS-SH-FILE-DATE
088600         MOVE MMSC-TIME-STAMP TO SS01WS-TIME-HHMMSS
088700         PERFORM SS27PD-NUMERICALLY-EDIT-TIME
088800                                 THRU SS27PD-NET-EXIT
088900         MOVE SS01WS-HH-MM-SS    TO MB20WS-SH-PROC-TIME
089000         MOVE MMSC-LINES-PER-PAGE
089100                                 TO MB20WS-LINES-PER-PAGE
089200         MOVE 99                 TO MB20WS-LINE-LIMIT
089300         MOVE MMSC-SCREEN-HEADER
089400                                 TO MB20WS-SH-SYSTEM
089500         MOVE MMOC-OR-RPT-TITLE (94)
089600                                 TO MB20WS-SH-RPT-NAME
089700         MOVE MMSC-DATE-FORMAT
089800                                 TO SS01WS-DATE-FORMAT
089900         MOVE MMOC-OR-FICHE-FLAG (94)
090000                                 TO MB20WS-FICHE-CODE
090100         MOVE MMOC-OR-FORM-1 (94)
090200                                 TO MB20WS-FORM-CODE
090300         MOVE MS1S-SORT-RECORD   TO MTCK-RECORD
090400         MOVE MMOC-TODAYS-JULIAN
090500                                 TO MTCK-DATE-OF-CHECK
090600         MOVE ZERO               TO MTCK-MERCHANT
090700         MOVE SPACES             TO MTCK-KEY-OF-NAME-FLAG
090800         MOVE ZERO               TO MTCK-USER-DATE
090900         MOVE '*VOID**VOID**VOID**VOID**VOID*'
091000                                 TO MTCK-USER-DATE-TITLE
091100         MOVE ZERO               TO MTCK-DATE-LAST-ACTIVE
091200         MOVE ZERO               TO MTCK-AMOUNT
091300         MOVE '***VOID**VOID**VOID**VOID**VOID**VOID***'
091400                                 TO MTCK-DESC
091500         PERFORM 2800-PC-GET-SERIAL-NBR
091600                                 THRU 2899-PC-GSN-EXIT
091700         MOVE WS-WORK-SERIAL     TO MTCK-SERIAL-NBR
091800         PERFORM 2700-PC-WRITE-MTAR
091900                                 THRU 2799-PC-WC-EXIT
092000         PERFORM 2200-PC-PRINT-CHECK
092100                                 THRU 2299-PC-PC-EXIT
092200         PERFORM 2800-PC-GET-SERIAL-NBR
092300                                 THRU 2899-PC-GSN-EXIT
092400         MOVE WS-WORK-SERIAL     TO MTCK-SERIAL-NBR
092500         PERFORM 2700-PC-WRITE-MTAR
092600                                 THRU 2799-PC-WC-EXIT
092700         PERFORM 2200-PC-PRINT-CHECK
092800                                 THRU 2299-PC-PC-EXIT
092900         PERFORM 2800-PC-GET-SERIAL-NBR
093000                                 THRU 2899-PC-GSN-EXIT
093100         MOVE WS-WORK-SERIAL     TO MTCK-SERIAL-NBR
093200         PERFORM 2700-PC-WRITE-MTAR
093300                                 THRU 2799-PC-WC-EXIT
093400         PERFORM 2200-PC-PRINT-CHECK
093500                                 THRU 2299-PC-PC-EXIT
093600         MOVE MS1S-SORT-RECORD   TO MTCK-RECORD.
093700*
093800     MOVE MMOC-TODAYS-JULIAN     TO MTCK-DATE-OF-CHECK.
093900*
094000     IF  MTCK-AMOUNT IS NOT GREATER THAN ZERO
094100         MOVE ZERO               TO WS-WORK-SERIAL
094200     ELSE
094300         PERFORM 2800-PC-GET-SERIAL-NBR
094400                                 THRU 2899-PC-GSN-EXIT.
094500*
094600     MOVE WS-WORK-SERIAL         TO MTCK-SERIAL-NBR.
094700     PERFORM 2700-PC-WRITE-MTAR  THRU 2799-PC-WC-EXIT.
094800*
094900     IF  MTCK-AMOUNT IS GREATER THAN ZERO
095000         PERFORM 2200-PC-PRINT-CHECK
095100             THRU 2299-PC-PC-EXIT.
095200*
095300     GO TO 2020-PC-RETURN-SORT.
095400*
095500*
095600*
095700 2200-PC-PRINT-CHECK.
095800*
095900     IF  WS-CC3-PRODUCE-NO-CHECKS
096000         GO TO 2290-PC-CHECK-COMPLETED.
096100*
096200     IF  MTCK-NAME-FROM-MMSM
096300         MOVE MTCK-ORG-MERCHANT  TO MB00KY-MMSM-ORG-STORE
096400         PERFORM 8100-READ-MMSM-SECT
096500     ELSE
096600         MOVE MTCK-ORG-MERCHANT  TO MB00KY-MMMM-ORG-MERCHANT
096700         PERFORM 8000-READ-MMMM-SECT.
096800*
096900     MOVE SPACES                 TO WS-STUB-PRINT-LINES.
097000     MOVE SPACES                 TO WS-CHECK-PRINT-LINES.
097100*
097200     IF  WS-CC3-STARTING-SERIAL-NBR-X IS NOT EQUAL TO SPACES
097300         MOVE MTCK-SERIAL-NBR    TO WS-CPL-SERIAL-NBR.
097400*
097500     MOVE MTCK-DATE-OF-CHECK     TO SS01WS-JULIAN.
097600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
097700                                 THRU SS26PD-NED-EXIT.
097800     MOVE SS01WS-XX-XX-YYYY      TO WS-CPL-DATE-OF-CHECK.
097900*
098000     MOVE SPACES                 TO SS12WS-NAME-ADDR-GROUP.
098100*
098200     IF  WS-CC3-PRINT-ORG-NAME-ON-CHECK
098300         MOVE MMOC-NA-LINE (1 1) TO SS12WS-NAME-ADDR (1)
098400         MOVE MMOC-NA-LINE (1 2) TO SS12WS-NAME-ADDR (2)
098500         MOVE MMOC-NA-LINE (1 3) TO SS12WS-NAME-ADDR (3)
098600         MOVE MMOC-NA-LINE (1 4) TO SS12WS-NAME-ADDR (4)
098700         MOVE MMOC-NA-LINE (1 5) TO SS12WS-NAME-ADDR (5)
098800         MOVE MMOC-POSTAL-CODE (1)
098900                                 TO SS12WS-POSTAL-CODE
099000         MOVE MMOC-STATE-CODE (1)
099100                                 TO SS12WS-STATE-CODE
099200         MOVE MMOC-COUNTRY-CODE (1)
099300                                 TO SS12WS-COUNTRY-CODE
099400*
099500         PERFORM SS12PD-FORMAT-DEMOGRAPHICS
099600                                 THRU SS12PD-FD-EXIT.
099700*
099800         MOVE SS12WS-MAIL-LINE (1)
099900                                 TO WS-CPL-ORG-NAME-1
100000         MOVE SS12WS-MAIL-LINE (2)
100100                                 TO WS-CPL-ORG-NAME-2
100200         MOVE SS12WS-MAIL-LINE (3)
100300                                 TO WS-CPL-ORG-NAME-3
100400         MOVE SS12WS-MAIL-LINE (4)
100500                                 TO WS-CPL-ORG-NAME-4
100600         MOVE SS12WS-MAIL-LINE (5)
100700                                 TO WS-CPL-ORG-NAME-5
100800*
100900     IF  MTCK-NAME-FROM-MMSM
101000         MOVE 'STORE NBR'        TO WS-CPL-LIT-1
101100     ELSE
101200         MOVE 'MERCHANT'         TO WS-CPL-LIT-1.
101300*
101400     MOVE MTCK-MERCHANT          TO WS-CPL-MERCHANT.
101500*
101600     MOVE MTCK-DESC              TO WS-CPL-DESC.
101700*
101800     MOVE MTCK-AMOUNT            TO SS92WS-AMT.
101802     MOVE MMOC-CURRENCY-CODE     TO SS92WS-CURRENCY-CODE.
101900     MOVE 46                     TO SS92WS-MAX-LINE-LENGTH.
102000*
102100     PERFORM SS92PD-CALL-SSSLHCB
102200        THRU SS92PD-CS-EXIT.
102300*
102400     IF  SS92WS-NORMAL-RETURN
102500         NEXT SENTENCE
102600     ELSE
102700         MOVE 'CKAM'             TO SS02WS-ABEND-LOCATION
102800         MOVE 24002              TO SS02WS-ABEND-CODE
102900         MOVE 'MBCHKAMT RETURN ERROR'
103000                                 TO SS02WS-ABENDMSG8
103100         MOVE SS92WS-RETURN-CODE TO SS02WS-ABEND-STATUS
103200         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
103300*
103400     IF  SS92WS-LONG-HAND-LINE (5) IS EQUAL TO SPACES
103500         MOVE SS92WS-LONG-HAND-LINE (4)
103600           TO SS92WS-LONG-HAND-LINE (5)
103700         MOVE SS92WS-LONG-HAND-LINE (3)
103800           TO SS92WS-LONG-HAND-LINE (4)
103900         MOVE SS92WS-LONG-HAND-LINE (2)
104000           TO SS92WS-LONG-HAND-LINE (3)
104100         MOVE SS92WS-LONG-HAND-LINE (1)
104200           TO SS92WS-LONG-HAND-LINE (2)
104300         MOVE SPACES
104400           TO SS92WS-LONG-HAND-LINE (1).
104500*
104600     IF  SS92WS-LONG-HAND-LINE (5) IS EQUAL TO SPACES
104700         MOVE SS92WS-LONG-HAND-LINE (4)
104800           TO SS92WS-LONG-HAND-LINE (5)
104900         MOVE SS92WS-LONG-HAND-LINE (3)
105000           TO SS92WS-LONG-HAND-LINE (4)
105100         MOVE SS92WS-LONG-HAND-LINE (2)
105200           TO SS92WS-LONG-HAND-LINE (3)
105300         MOVE SS92WS-LONG-HAND-LINE (1)
105400           TO SS92WS-LONG-HAND-LINE (2)
105500         MOVE SPACES
105600           TO SS92WS-LONG-HAND-LINE (1).
105700*
105800     MOVE SS92WS-LONG-HAND-LINE (1)
105900                                 TO WS-CPL-LONG-HAND-LIT-1.
106000     MOVE SS92WS-LONG-HAND-LINE (2)
106100                                 TO WS-CPL-LONG-HAND-LIT-2.
106200     MOVE SS92WS-LONG-HAND-LINE (3)
106300                                 TO WS-CPL-LONG-HAND-LIT-3.
106400     MOVE SS92WS-LONG-HAND-LINE (4)
106500                                 TO WS-CPL-LONG-HAND-LIT-4.
106600     MOVE SS92WS-LONG-HAND-LINE (5)
106700                                 TO WS-CPL-LONG-HAND-LIT-5.
106800     MOVE MTCK-AMOUNT            TO WS-CPL-AMT.
106900*
107000     IF  MTCK-NAME-FROM-MMSM
107100         EVALUATE TRUE
107200             WHEN MMSM-SAC-USE-SECONDARY
107300                 SET X-MMSM-DEMOGRAPHICS
107400                                 TO 2
107500             WHEN OTHER
107600                 SET X-MMSM-DEMOGRAPHICS
107700                                 TO 1
107800         END-EVALUATE
107900         MOVE SPACES             TO SS12WS-NAME-ADDR-GROUP
108000         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 1)
108100                                 TO SS12WS-NAME-ADDR (1)
108200         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 2)
108300                                 TO SS12WS-NAME-ADDR (2)
108400         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 3)
108500                                 TO SS12WS-NAME-ADDR (3)
108600         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 4)
108700                                 TO SS12WS-NAME-ADDR (4)
108800         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 5)
108900                                 TO SS12WS-NAME-ADDR (5)
109000         MOVE MMSM-POSTAL-CODE (1)
109100                                 TO SS12WS-POSTAL-CODE
109200         MOVE MMSM-STATE-CODE (1)
109300                                 TO SS12WS-STATE-CODE
109400         MOVE MMSM-COUNTRY-CODE (1)
109500                                 TO SS12WS-COUNTRY-CODE
109600*
109700         PERFORM SS12PD-FORMAT-DEMOGRAPHICS
109800                                 THRU SS12PD-FD-EXIT
109900*
110000         MOVE SS12WS-MAIL-LINE (1)
110100                                 TO WS-CPL-NAME-ADDR-1
110200         MOVE SS12WS-MAIL-LINE (2)
110300                                 TO WS-CPL-NAME-ADDR-2
110400         MOVE SS12WS-MAIL-LINE (3)
110500                                 TO WS-CPL-NAME-ADDR-3
110600         MOVE SS12WS-MAIL-LINE (4)
110700                                 TO WS-CPL-NAME-ADDR-4
110800         MOVE SS12WS-MAIL-LINE (5)
110900                                 TO WS-CPL-NAME-ADDR-5
111000*
111100     ELSE
111200         EVALUATE TRUE
111300             WHEN MMMM-SAC-USE-SECONDARY
111400                 SET X-MMMM-DEMOGRAPHICS
111500                                 TO 2
111600             WHEN OTHER
111700                 SET X-MMMM-DEMOGRAPHICS
111800                                 TO 1
111900         END-EVALUATE
112000         MOVE SPACES             TO SS12WS-NAME-ADDR-GROUP
112100         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 1)
112200                                 TO SS12WS-NAME-ADDR (1)
112300         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 2)
112400                                 TO SS12WS-NAME-ADDR (2)
112500         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 3)
112600                                 TO SS12WS-NAME-ADDR (3)
112700         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 4)
112800                                 TO SS12WS-NAME-ADDR (4)
112900         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 5)
113000                                 TO SS12WS-NAME-ADDR (5)
113100         MOVE MMMM-POSTAL-CODE (1)
113200                                 TO SS12WS-POSTAL-CODE
113300         MOVE MMMM-STATE-CODE (1)
113400                                 TO SS12WS-STATE-CODE
113500         MOVE MMMM-COUNTRY-CODE (1)
113600                                 TO SS12WS-COUNTRY-CODE
113700*
113800         PERFORM SS12PD-FORMAT-DEMOGRAPHICS
113900                                 THRU SS12PD-FD-EXIT
114000*
114100         MOVE SS12WS-MAIL-LINE (1)
114200                                 TO WS-CPL-NAME-ADDR-1
114300         MOVE SS12WS-MAIL-LINE (2)
114400                                 TO WS-CPL-NAME-ADDR-2
114500         MOVE SS12WS-MAIL-LINE (3)
114600                                 TO WS-CPL-NAME-ADDR-3
114700         MOVE SS12WS-MAIL-LINE (4)
114800                                 TO WS-CPL-NAME-ADDR-4
114900         MOVE SS12WS-MAIL-LINE (5)
115000                                 TO WS-CPL-NAME-ADDR-5.
115100*
115200*
115300*    S T U B   P R I N T   L I N E S
115400*
115500     MOVE '    CHECK NO.                   AMOUNT  '
115600                                 TO WS-SPL-HEADING-1.
115700     MOVE '---DATE---  MERCHANT                    '
115800                                 TO WS-SPL-HEADING-2.
115900     IF  MTCK-NAME-FROM-MMSM
116000         MOVE '---DATE---  STORE NBR                   '
116100                                 TO WS-SPL-HEADING-2.
116200*
116300     IF  WS-CC3-STARTING-SERIAL-NBR-X IS NOT EQUAL TO SPACES
116400         MOVE MTCK-SERIAL-NBR    TO WS-SPL-SERIAL-NBR.
116500*
116600     MOVE MTCK-AMOUNT            TO SS95WS-IN-AMT.
116700     PERFORM SS95PD-NAP-ROUTINE
116800        THRU SS95PD-NAP-EXIT.
116900     MOVE SS95WS-OUT-AMT-L23-PROT
117000                                 TO WS-SPL-AMT.
117100*
117200     MOVE MTCK-DATE-OF-CHECK     TO SS01WS-JULIAN.
117300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
117400                                 THRU SS26PD-NED-EXIT.
117500     MOVE SS01WS-XX-XX-YYYY      TO WS-SPL-DATE.
117600*
117700     MOVE MTCK-MERCHANT          TO WS-SPL-MERCHANT.
117800*
117900     MOVE MTCK-DESC              TO WS-SPL-DESC.
118000*
118100     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-LIMIT.
118200     MOVE ZERO                   TO MB20WS-LINE-COUNT.
118300*
118400     IF  WS-CC3-CHECKS-STUB-ON-TOP
118500         PERFORM 2400-PC-STUB-LINES
118600                                 THRU 2499-PC-SL-EXIT
118700         PERFORM 2300-PC-CHECK-LINES
118800                                 THRU 2399-PC-CL-EXIT
118900         GO TO 2290-PC-CHECK-COMPLETED.
119000*
119100     IF  WS-CC3-CHECKS-STUB-ON-BOTTOM
119200         PERFORM 2300-PC-CHECK-LINES
119300                                 THRU 2399-PC-CL-EXIT
119400         PERFORM 2400-PC-STUB-LINES
119500                                 THRU 2499-PC-SL-EXIT
119600         GO TO 2290-PC-CHECK-COMPLETED.
119700
119800     PERFORM 2300-PC-CHECK-LINES THRU 2399-PC-CL-EXIT.
119900*
120000 2290-PC-CHECK-COMPLETED.
120100*
120200 2299-PC-PC-EXIT.
120300     EXIT.
120400*
120500*
120600*
120700 2300-PC-CHECK-LINES.
120800*
120900     SET X-WS-CHECK-LINE         TO 1.
121000*
121100 2310-PC-CL-LOOP.
121200*
121300     IF  X-WS-CHECK-LINE IS GREATER THAN WS-CC1-LPC
121400     OR  X-WS-CHECK-LINE IS GREATER THAN 24
121500         GO TO 2399-PC-CL-EXIT.
121600*
121700     MOVE WS-CHECK-PRINT-LINE (X-WS-CHECK-LINE)
121800                                 TO WS-PRINT-LINE-X.
121900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
122000     SET X-WS-CHECK-LINE         UP BY 1.
122100     GO TO 2310-PC-CL-LOOP.
122200*
122300 2399-PC-CL-EXIT.
122400     EXIT.
122500*
122600*
122700*
122800 2400-PC-STUB-LINES.
122900*
123000     SET X-WS-STUB-LINE          TO 1.
123100*
123200 2410-PC-SL-LOOP.
123300*
123400     IF  X-WS-STUB-LINE IS GREATER THAN WS-CC2-LPS
123500     OR  X-WS-STUB-LINE IS GREATER THAN 24
123600         GO TO 2499-PC-SL-EXIT.
123700*
123800     MOVE WS-STUB-PRINT-LINE (X-WS-STUB-LINE)
123900                                 TO WS-PRINT-LINE-X.
124000     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
124100     SET X-WS-STUB-LINE          UP BY 1.
124200     GO TO 2410-PC-SL-LOOP.
124300*
124400 2499-PC-SL-EXIT.
124500     EXIT.
124600*
124700*
124800*
124900 2700-PC-WRITE-MTAR.
125000*
125100     MOVE MTCK-RECORD            TO MTARIO-RECORD.
125200*
125300     MOVE 'W1AR'                 TO SS02WS-ABEND-LOCATION.
125400     SET MTARRB-WRITE            TO TRUE.
125500     PERFORM MB00PD-MTAR-ACCESS  THRU MB00PD-MTAR-ACCESS-EXIT.
125600*
125700 2799-PC-WC-EXIT.
125800     EXIT.
125900*
126000*
126100*
126200 2800-PC-GET-SERIAL-NBR.
126300*
126400     MOVE ZERO                   TO WS-WORK-SERIAL.
126500*
126600     IF  WS-CC3-STARTING-SERIAL-NBR-X IS EQUAL TO SPACES
126700         GO TO 2899-PC-GSN-EXIT.
126800*
126900     MOVE WS-CC3-STARTING-SERIAL-NBR
127000                                 TO WS-WORK-SERIAL.
127100     COMPUTE WS-CC3-STARTING-SERIAL-NBR =
127200             WS-CC3-STARTING-SERIAL-NBR + 1.
127300*
127400 2899-PC-GSN-EXIT.
127500     EXIT.
127600*
127700*
127800*
127900 2900-PC-CLOSE-FILES.
128000*
128100 2999-PC-EXIT.
128200     EXIT.
128300/
128400 3000-SORT-REGISTER-INPUT-SECT SECTION.
128500 3010-SRI-BEGIN.
128600*
128700     MOVE 'O2AR'                 TO SS02WS-ABEND-LOCATION.
128800     SET MTARRB-OPEN-INPUT       TO TRUE.
128900     PERFORM MB00PD-MTAR-ACCESS  THRU MB00PD-MTAR-ACCESS-EXIT.
129000*
129100     MOVE SS02WS-END-OF-FILE     TO MTARRB-PERM-STATUS-1.
129200*
129300 3100-SRI-READ-MTAR.
129400*
129500     MOVE 'R2AR'                 TO SS02WS-ABEND-LOCATION.
129600     SET MTARRB-READ-SEQ         TO TRUE.
129700     PERFORM MB00PD-MTAR-ACCESS  THRU MB00PD-MTAR-ACCESS-EXIT.
129800*
129900     IF  SS02WS-FS-END-OF-FILE
130000         GO TO 3900-SRI-CLOSE-FILES.
130100*
130200     MOVE MTARIO-RECORD          TO MS1S-SORT-RECORD.
130300     MOVE MTARIO-RECORD          TO MTAR-RECORD.
130400*
130500     IF  MTAR-AMOUNT IS NOT GREATER THAN ZERO
130600         SET MS1S-SK2-NEGATIVE TO TRUE
130700     ELSE
130800         SET MS1S-SK2-POSITIVE TO TRUE.
130900*
131000     RELEASE MS1S-SORT-RECORD.
131100     GO TO 3100-SRI-READ-MTAR.
131200*
131300 3900-SRI-CLOSE-FILES.
131400*
131500     MOVE 'C2AR'                 TO SS02WS-ABEND-LOCATION.
131600     SET MTARRB-CLOSE            TO TRUE.
131700     PERFORM MB00PD-MTAR-ACCESS  THRU MB00PD-MTAR-ACCESS-EXIT.
131800*
131900 3999-SRI-EXIT.
132000     EXIT.
132100/
132200 4000-PRINT-REGISTER-SECT SECTION.
132300 4010-PR-OPEN-FILES.
132400*
132500     MOVE ZERO                   TO MMOC-RECORD.
132600*
132700 4020-PR-RETURN-SORT.
132800*
132900     RETURN MS1S-SORT-FILE
133000         AT END
133100             GO TO 4900-PR-CLOSE-FILES.
133200*
133300     MOVE MS1S-SORT-RECORD       TO MTAR-RECORD.
133400*
133500     IF  MTAR-ORG IS NOT EQUAL TO MMOC-ORG
133600         PERFORM 4700-PR-ORG-TOTALS
133700                                 THRU 4799-PR-OT-EXIT
133800         MOVE MTAR-ORG           TO MMOCIO-ORG
133900         MOVE 'R6OC'             TO SS02WS-ABEND-LOCATION
134000         SET MMOCRB-READ-RANDOM  TO TRUE
134100         PERFORM MB00PD-MMOC-ACCESS THRU MB00PD-MMOC-ACCESS-EXIT
134200         MOVE MMOCIO-RECORD      TO MMOC-RECORD
134300         MOVE MMOC-CURRENCY-CODE TO SS95WS-CURRENCY-CODE
134400         MOVE MMOC-LINES-PER-PAGE
134500                                 TO MB20WS-LINE-LIMIT
134600         MOVE SPACES             TO MB20WS-SH-L1
134700         MOVE SPACES             TO MB20WS-SH-L2
134800         MOVE SPACES             TO MB20WS-SH-L3
134900         MOVE SPACES             TO MB20WS-SH-L4
135000         MOVE SPACES             TO MB20WS-SH-L5
135100         MOVE SPACES             TO MB20WS-SH-L6
135200         MOVE SPACES             TO MB20WS-SH-L7
135300         MOVE MMOC-OR-REPORT-ID (95)
135400                                 TO MB20WS-SH-RPT-ID
135500         MOVE ' - '              TO MB20WS-SH-RPT-ID-DASH
135600         MOVE 'O95'              TO MB20WS-SH-INTERNAL-RPT-ID
135700         MOVE MMSC-SCREEN-HEADER
135800                                 TO MB20WS-SH-SYSTEM
135900         MOVE MMOC-ORG           TO MB20WS-SH-ORG
136000         MOVE ' - '              TO MB20WS-SH-LIT-1
136100         MOVE MMOC-NA-LINE (1 1)
136200                                 TO MB20WS-SH-ORG-NAME
136300         MOVE MMOC-OR-RPT-TITLE (95)
136400                                 TO MB20WS-SH-RPT-NAME
136500         MOVE 'FILE DATE'        TO MB20WS-SH-FILE-DATE-LIT
136600         MOVE MMOC-TODAYS-JULIAN
136700                                 TO SS01WS-JULIAN
136800         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
136900                                 THRU SS26PD-NED-EXIT
137000         MOVE SS01WS-XX-XX-YYYY  TO MB20WS-SH-FILE-DATE
137100         MOVE 'PAGE'             TO MB20WS-SH-PAGE-LIT
137200         MOVE ZERO               TO MB20WS-PAGE-COUNT
137300         MOVE SPACES             TO MB20WS-SH-LIT-5
137400         MOVE 'PROC DATE'        TO MB20WS-SH-PROC-DATE-LIT
137500         MOVE 'TIME'             TO MB20WS-SH-TIME-LIT
137600         MOVE ' MERCHANT                                   '
137700                                 TO MB20WS-SH-L4R-1
137800         MOVE '                    CHECK  SERIAL     CHECK '
137900                                 TO MB20WS-SH-L4R-2
138000         MOVE '   DATE LAST                                '
138100                                 TO MB20WS-SH-L4R-3
138200         MOVE ' OR STORE *----------NAME/ADDRESS LINES-----'
138300                                 TO MB20WS-SH-L5R-1
138400         MOVE '-----*             AMOUNT  NUMBER      DATE '
138500                                 TO MB20WS-SH-L5R-2
138600         MOVE '     ACTIVE   *-----CHECK  DESCRIPTION-----*'
138700                                 TO MB20WS-SH-L5R-3
138800         MOVE MMOC-OR-FICHE-FLAG (95)
138900                                 TO MB20WS-FICHE-CODE
139000         MOVE MMOC-OR-FORM-1 (95)
139100                                 TO MB20WS-FORM-CODE
139200         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
139300*
139400     IF  MTAR-NAME-FROM-MMSM
139500         MOVE MTAR-ORG-MERCHANT  TO MB00KY-MMSM-ORG-STORE
139600         PERFORM 8100-READ-MMSM-SECT
139700         EVALUATE TRUE
139800             WHEN MMSM-SAC-USE-SECONDARY
139900                 SET X-MMSM-DEMOGRAPHICS
140000                                 TO 2
140100             WHEN OTHER
140200                 SET X-MMSM-DEMOGRAPHICS
140300                                 TO 1
140400         END-EVALUATE
140500     ELSE
140600         MOVE MTAR-ORG-MERCHANT  TO MB00KY-MMMM-ORG-MERCHANT
140700         PERFORM 8000-READ-MMMM-SECT
140800         EVALUATE TRUE
140900             WHEN MMSM-SAC-USE-SECONDARY
141000                 SET X-MMSM-DEMOGRAPHICS
141100                                 TO 2
141200             WHEN OTHER
141300                 SET X-MMSM-DEMOGRAPHICS
141400                                 TO 1
141500         END-EVALUATE.
141600*
141700     COMPUTE MB20WS-LINES-REMAINING
141800                                 =  MB20WS-LINE-LIMIT
141900                                 -  MB20WS-LINE-COUNT.
142000*
142100     IF  MB20WS-LINES-REMAINING IS LESS THAN 8
142200         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
142300*
142400     IF  MTAR-AMOUNT IS NOT GREATER THAN ZERO
142500         MOVE 'NO CHECK ISSUED - AMOUNT LT $0.01'
142600                                 TO WS-RPL-NAME-ADDR
142700         PERFORM MB20PD-PRINT-1-LINE
142800            THRU MB20PD-P1L-EXIT.
142900*
143000     MOVE MTAR-MERCHANT          TO WS-RPL-MERCHANT.
143100*
143200     IF  MTAR-NAME-FROM-MMSM
143300         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 1)
143400                                 TO WS-RPL-NAME-ADDR
143500     ELSE
143600         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 1)
143700                                 TO WS-RPL-NAME-ADDR.
143800*
143900     MOVE MTAR-AMOUNT            TO SS95WS-IN-AMT.
144000     PERFORM SS95PD-NAP-ROUTINE
144100        THRU SS95PD-NAP-EXIT.
144200     MOVE SS95WS-OUT-AMT-L20     TO WS-RPL-AMT.
144300     MOVE MTAR-SERIAL-NBR        TO WS-RPL-SERIAL-NBR.
144400     MOVE MTAR-DATE-OF-CHECK     TO SS01WS-JULIAN.
144500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
144600                                 THRU SS26PD-NED-EXIT.
144700     MOVE SS01WS-XX-XX-YYYY      TO WS-RPL-CHECK-DATE.
144800*
144900     MOVE MTAR-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
145000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
145100                                 THRU SS26PD-NED-EXIT.
145200     MOVE SS01WS-XX-XX-YYYY      TO WS-RPL-DATE-LAST-ACTIVE.
145300*
145400     MOVE MTAR-DESC              TO WS-RPL-DESC.
145500     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
145600*
145700     IF  MTAR-AMOUNT IS NOT GREATER THAN ZERO
145800         ADD 1                   TO WS-ORG-NEG-NBR
145900         ADD MTAR-AMOUNT         TO WS-ORG-NEG-AMT
146000     ELSE
146100         ADD 1                   TO WS-ORG-TOTAL-NBR
146200         ADD MTAR-AMOUNT         TO WS-ORG-TOTAL-AMT.
146300*
146400     IF  MTAR-NAME-FROM-MMSM
146500         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 2)
146600                                 TO WS-RPL-NAME-ADDR
146700     ELSE
146800         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 2)
146900                                 TO WS-RPL-NAME-ADDR.
147000*
147100     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
147200*
147300     IF  MTAR-NAME-FROM-MMSM
147400         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 3)
147500                                 TO WS-RPL-NAME-ADDR
147600     ELSE
147700         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 3)
147800                                 TO WS-RPL-NAME-ADDR.
147900*
148000     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
148100*
148200     IF  MTAR-NAME-FROM-MMSM
148300         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 4)
148400                                 TO WS-RPL-NAME-ADDR
148500     ELSE
148600         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 4)
148700                                 TO WS-RPL-NAME-ADDR.
148800*
148900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
149000*
149100     IF  MTAR-NAME-FROM-MMSM
149200         MOVE MMSM-NA-LINE (X-MMSM-DEMOGRAPHICS 5)
149300                                 TO WS-RPL-NAME-ADDR
149400     ELSE
149500         MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS 5)
149600                                 TO WS-RPL-NAME-ADDR.
149700*
149800     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
149900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
150000     GO TO 4020-PR-RETURN-SORT.
150100*
150200*
150300*
150400 4700-PR-ORG-TOTALS.
150500*
150600     IF  MMOC-ORG IS EQUAL TO ZERO
150700         GO TO 4790-PR-OT-RESET.
150800*
150900     MOVE SPACES                 TO MB20WS-SH-L2-CLEAR.
151000*
151100     MOVE '*** ORG TOTALS ***'   TO WS-RPL-NAME-ADDR.
151200     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
151300     MOVE 'TOTAL UNPAYABLE CHECKS'
151400                                 TO WS-RPL-NAME-ADDR.
151500     MOVE WS-ORG-NEG-NBR         TO SS95WS-IN-NBR.
151600     PERFORM SS95PD-NAP-ROUTINE
151700        THRU SS95PD-NAP-EXIT.
151800     MOVE SS95WS-OUT-NBR-L14     TO WS-RPL-NBR.
151900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
152000     MOVE 'TOTAL UNPAYABLE CHECKS'
152100                                 TO WS-RPL-NAME-ADDR.
152200     MOVE WS-ORG-NEG-AMT         TO WS-RPL-AMT.
152300     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
152400*
152500     MOVE 'TOTAL NUMBER OF CHECKS'
152600                                 TO WS-RPL-NAME-ADDR.
152700     MOVE WS-ORG-TOTAL-NBR       TO WS-RPL-NBR.
152800     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
152900     MOVE 'TOTAL AMOUNT OF CHECKS'
153000                                 TO WS-RPL-NAME-ADDR.
153100     MOVE WS-ORG-TOTAL-AMT       TO WS-RPL-AMT.
153200     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
153300*
153400 4790-PR-OT-RESET.
153500*
153600     MOVE ZERO                   TO WS-ORG-NEG-NBR.
153700     MOVE ZERO                   TO WS-ORG-NEG-AMT.
153800     MOVE ZERO                   TO WS-ORG-TOTAL-NBR.
153900     MOVE ZERO                   TO WS-ORG-TOTAL-AMT.
154000     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
154100*
154200 4799-PR-OT-EXIT.
154300     EXIT.
154400*
154500*
154600*
154700 4900-PR-CLOSE-FILES.
154800*
154900     PERFORM 4700-PR-ORG-TOTALS THRU 4799-PR-OT-EXIT.
155000*
155100 4999-PR-EXIT.
155200     EXIT.
155300/
155400 8000-READ-MMMM-SECT SECTION.
155500 8010-RMMMM-BEGIN.
155600*
155700     IF  MB00KY-MMMM-MERCHANT IS EQUAL TO ZERO
155800         GO TO 8050-RMMMM-VOID.
155900*
156000     MOVE SS02WS-NO-RECORD-FOUND
156100                                 TO MMMMRB-TEMP-STATUS-1.
156200*
156300     MOVE MB00KY-MMMM-KEY        TO MMMMIO-KEY.
156400     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
156500     SET MMMMRB-READ-RANDOM      TO TRUE.
156600     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
156700*
156800     IF  SS02WS-FS-NO-RECORD-FOUND
156900         MOVE MMMMIR-RECORD      TO MMMM-RECORD
157000         MOVE '******************************'
157100                                 TO MMMM-NA-LINE (1 1)
157200         MOVE '*** NO MERCHANT NAME/ADDR ****'
157300                                 TO MMMM-NA-LINE (1 2)
157400         MOVE '***   FOUND ON FILE.....  ****'
157500                                 TO MMMM-NA-LINE (1 3)
157600         MOVE '******************************'
157700                                 TO MMMM-NA-LINE (2 1)
157800         MOVE '*** NO MERCHANT NAME/ADDR ****'
157900                                 TO MMMM-NA-LINE (2 2)
158000         MOVE '***   FOUND ON FILE.....  ****'
158100                                 TO MMMM-NA-LINE (2 3)
158200         GO TO 8099-RMMMM-EXIT.
158300*
158400     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
158500     GO TO 8099-RMMMM-EXIT.
158600*
158700 8050-RMMMM-VOID.
158800*
158900     MOVE MMMMIR-RECORD          TO MMMM-RECORD.
159000     MOVE '*VOID**VOID**VOID**VOID**VOID*'
159100                                 TO MMMM-NA-LINE (1 1).
159200     MOVE '*VOID**VOID**VOID**VOID**VOID*'
159300                                 TO MMMM-NA-LINE (1 2).
159400     MOVE '*VOID**VOID**VOID**VOID**VOID*'
159500                                 TO MMMM-NA-LINE (1 3).
159600     MOVE '*VOID**VOID**VOID**VOID**VOID*'
159700                                 TO MMMM-NA-LINE (1 4).
159800     MOVE '*VOID**VOID**VOID**VOID**VOID*'
159900                                 TO MMMM-NA-LINE (1 5).
160000*
160100     MOVE '*VOID**VOID**VOID**VOID**VOID*'
160200                                 TO MMMM-NA-LINE (2 1).
160300     MOVE '*VOID**VOID**VOID**VOID**VOID*'
160400                                 TO MMMM-NA-LINE (2 2).
160500     MOVE '*VOID**VOID**VOID**VOID**VOID*'
160600                                 TO MMMM-NA-LINE (2 3).
160700     MOVE '*VOID**VOID**VOID**VOID**VOID*'
160800                                 TO MMMM-NA-LINE (2 4).
160900     MOVE '*VOID**VOID**VOID**VOID**VOID*'
161000                                 TO MMMM-NA-LINE (2 5).
161100*
161200 8099-RMMMM-EXIT.
161300     EXIT.
161400/
161500 8100-READ-MMSM-SECT SECTION.
161600 8110-RMMSM-BEGIN.
161700*
161800     IF  MB00KY-MMSM-STORE IS EQUAL TO ZERO
161900         GO TO 8150-RMMSM-VOID.
162000*
162100     MOVE SS02WS-NO-RECORD-FOUND
162200                                 TO MMSMRB-TEMP-STATUS-1.
162300*
162400     MOVE MB00KY-MMSM-KEY        TO MMSMIO-KEY.
162500     MOVE 'R1SM'                 TO SS02WS-ABEND-LOCATION.
162600     SET MMSMRB-READ-RANDOM      TO TRUE.
162700     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
162800*
162900     IF  SS02WS-FS-NO-RECORD-FOUND
163000         MOVE MMSMIR-RECORD      TO MMSM-RECORD
163100         MOVE '******************************'
163200                                 TO MMSM-NA-LINE (1 1)
163300         MOVE '*** NO MERCHANT NAME/ADDR ****'
163400                                 TO MMSM-NA-LINE (1 2)
163500         MOVE '***   FOUND ON FILE.....  ****'
163600                                 TO MMSM-NA-LINE (1 3)
163700         MOVE '******************************'
163800                                 TO MMSM-NA-LINE (2 1)
163900         MOVE '*** NO MERCHANT NAME/ADDR ****'
164000                                 TO MMSM-NA-LINE (2 2)
164100         MOVE '***   FOUND ON FILE.....  ****'
164200                                 TO MMSM-NA-LINE (2 3)
164300         GO TO 8199-RMMSM-EXIT.
164400*
164500     MOVE MMSMIO-RECORD          TO MMSM-RECORD.
164600     GO TO 8199-RMMSM-EXIT.
164700*
164800 8150-RMMSM-VOID.
164900*
165000     MOVE MMSMIR-RECORD          TO MMSM-RECORD.
165100     MOVE '*VOID**VOID**VOID**VOID**VOID*'
165200                                 TO MMSM-NA-LINE (1 1).
165300     MOVE '*VOID**VOID**VOID**VOID**VOID*'
165400                                 TO MMSM-NA-LINE (1 2).
165500     MOVE '*VOID**VOID**VOID**VOID**VOID*'
165600                                 TO MMSM-NA-LINE (1 3).
165700     MOVE '*VOID**VOID**VOID**VOID**VOID*'
165800                                 TO MMSM-NA-LINE (1 4).
165900     MOVE '*VOID**VOID**VOID**VOID**VOID*'
166000                                 TO MMSM-NA-LINE (1 5).
166100*
166200     MOVE '*VOID**VOID**VOID**VOID**VOID*'
166300                                 TO MMSM-NA-LINE (2 1).
166400     MOVE '*VOID**VOID**VOID**VOID**VOID*'
166500                                 TO MMSM-NA-LINE (2 2).
166600     MOVE '*VOID**VOID**VOID**VOID**VOID*'
166700                                 TO MMSM-NA-LINE (2 3).
166800     MOVE '*VOID**VOID**VOID**VOID**VOID*'
166900                                 TO MMSM-NA-LINE (2 4).
167000     MOVE '*VOID**VOID**VOID**VOID**VOID*'
167100                                 TO MMSM-NA-LINE (2 5).
167200*
167300 8199-RMMSM-EXIT.
167400     EXIT.
167500/
167600 9000-COPY-ROUTINES-SECT SECTION.
167700*
167800     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
167900/
168000     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
168100/
168200     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
168300/
168400     COPY MB00PD REPLACING ==:MB00:== BY ==MMSM==.
168500/
168600     COPY MB00PD REPLACING ==:MB00:== BY ==MTCK==.
168700/
168800     COPY MB00PD REPLACING ==:MB00:== BY ==MTAR==.
168900/
169000     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
169100/
169200     COPY SS02PD.
169300/
169400     COPY SS07PD.
169500/
169600     COPY SS08PD.
169700/
169800     COPY SS12PD.
169900/
170000     COPY SS16PD.
170100/
170200     COPY SS26PD.
170300/
170400     COPY SS27PD.
170500/
170600     COPY SS92PD.
170700/
170800     COPY SS95PD.
170900/
171000     COPY SS98PD.
171100/
171200     COPY MB20PD.
171300*
171400 9995-END-SOURCE-STATEMENTS SECTION.
171500 9999-END-OF-PROGRAM.
171600     STOP RUN.
