000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU404.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU404 - FLAG INACTIVE RATE TABLE RECORDS (MMRT)        *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800     COPY MS1SES.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200*
002300     COPY MS1SSD.
002400 01  MS1S-RECORD.
002500     03  MS1S-KEY.
002600         05  MS1S-ORG-TABLE.
002700             07  MS1S-ORG-X.
002800                 09  MS1S-ORG
002900                             PIC  9(03).
003000             07  MS1S-TABLE-NBR-X.
003100                 09  MS1S-TABLE-NBR
003200                             PIC  9(09).
003300         05  MS1S-TABLE-TYPE
003400                             PIC  X(01).
003500             88  MS1S-TT-DISCOUNT            VALUE 'D'.
003600             88  MS1S-TT-PARTICIPATION       VALUE 'P'.
003700             88  MS1S-TT-RESERVE             VALUE 'R'.
003800             88  MS1S-TT-VOLUME              VALUE 'V'.
003900     03  MS1S-DATA.
004000         05  MS1S-MERCHANT-X.
004100             07  MS1S-MERCHANT
004200                             PIC  9(09).
004300         05  MS1S-PRODUCT-X.
004400             07  MS1S-PRODUCT
004500                             PIC  9(02).
004600         05  MS1S-PROD-SHORT-DESC
004700                             PIC  X(05).
004800         05  MS1S-RESERVE-X.
004900             07  MS1S-RESERVE
005000                             PIC  9(01).
005100         05  MS1S-RESV-DESC  PIC  X(30).
005200         05  MS1S-NAME       PIC  X(40).
005300/
005400 WORKING-STORAGE SECTION.
005500*
005600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
005700*
005800 01  WS-MBU404-WORK-AREAS.
005900     03  WS-MBU404-EOF-SW    PIC  X(01)      VALUE 'N'.
006000     03  WS-PREV-KEY         PIC  X(13)      VALUE ZERO.
006100     03  WS-ACTIVE-NBR       PIC S9(09)      COMP-3 VALUE ZERO.
006200     03  WS-INACTIVE-NBR     PIC S9(09)      COMP-3 VALUE ZERO.
006300     03  WS-PURGED-NBR       PIC S9(09)      COMP-3 VALUE ZERO.
006400     03  WS-INCOMPLETE-NBR   PIC S9(09)      COMP-3 VALUE ZERO.
006500*
006600     COPY MMSCRL.
006700/
006800     COPY MMOCRL.
006900/
007000     COPY MMMMRL.
007100/
007200     COPY MMMPRL.
007300/
007400     COPY MMRTRL.
007500/
007600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
007700/
007800******************************************************************
007900     COPY MMSCIO.
008000/
008100     COPY MMOCIO.
008200/
008300     COPY MMMMIO.
008400/
008500     COPY MMMPIO.
008600/
008700     COPY MMRTIO.
008800/
008900     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
009000/
009100******************************************************************
009200     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
009300/
009400     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
009500/
009600     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
009700/
009800     COPY MB00RB REPLACING ==:MB00:== BY ==MMMP==.
009900/
010000     COPY MB00RB REPLACING ==:MB00:== BY ==MMRT==.
010100/
010200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
010300/
010400******************************************************************
010500     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
010600/
010700     COPY MB00WS.
010800/
010900     COPY MB20WS.
011000 01  WS-PRINT-LINE-1         REDEFINES MB20WS-PRINT-LINE.
011100     03  WS-PL1-TABLE-NBR    PIC  9(09).
011200     03  WS-PL1-TABLE-TYPE   PIC  X(01).
011300     03  FILLER              PIC  X(03).
011400     03  WS-PL1-STATUS       PIC  X(01).
011500     03  FILLER              PIC  X(03).
011600     03  WS-PL1-TABLE-NAME   PIC  X(30).
011700     03  FILLER              PIC  X(01).
011800     03  WS-PL1-MERCHANT     PIC  9(09)-.
011900     03  WS-PL1-NAME         PIC  X(41).
012000     03  FILLER              PIC  X(01).
012100     03  WS-PL1-PRODUCT      PIC  9(02).
012200     03  FILLER              PIC  X(02).
012300     03  WS-PL1-PROD-SHORT-DESC
012400                             PIC  X(06).
012500     03  WS-PL1-RESV-NBR     PIC  9(01)-.
012600     03  WS-PL1-RESV-DESC    PIC  X(20).
012700 01  WS-PRINT-LINE-2         REDEFINES MB20WS-PRINT-LINE.
012800     03  WS-PL2-SIGN         PIC  X(01).
012900     03  WS-PL2-TOTAL        PIC  ZZZZZZZZZZ9-.
013000     03  WS-PL2-TOTAL-DESC   PIC  X(119).
013100/
013200     COPY MB99WS.
013300/
013400     COPY SS00WS.
013500/
013600     COPY SS01WS.
013700/
013800     COPY SS02WS.
013900*
014000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014100/
014200 PROCEDURE DIVISION.
014300 A000-MAIN-LINE-SECT SECTION.
014400 A010-ML-BEGIN.
014500*
014600     MOVE 'MBU404'               TO SS02WS-ABEND-PROG-ID.
014700*
014800     PERFORM A100-OPEN-FILES
014900        THRU A199-OF-EXIT.
015000*
015100     PERFORM A200-SORT-PROCESS
015200        THRU A299-SP-EXIT.
015300*
015400     PERFORM A300-CLOSE-FILES
015500        THRU A399-CF-EXIT.
015600*
015700     STOP RUN.
015800*
015900 A099-ML-EXIT.
016000     EXIT.
016100/
016200 A100-OPEN-FILES SECTION.
016300 A101-OF-OPEN-FILES.
016400*
016500     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
016600*
016700     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
016800     SET MTCCRB-OPEN-INPUT       TO TRUE.
016900     PERFORM MB00PD-MTCC-ACCESS
017000        THRU MB00PD-MTCC-ACCESS-EXIT.
017100*
017200 A110-OF-READ-MTCC.
017300*
017400     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
017500     SET MTCCRB-READ-SEQ         TO TRUE.
017600     PERFORM MB00PD-MTCC-ACCESS
017700        THRU MB00PD-MTCC-ACCESS-EXIT.
017800*
017900     IF  SS02WS-FS-END-OF-FILE
018000         MOVE 'ALL2'             TO MTCCIO-RECORD
018100         MOVE SS02WS-ABEND-PROG-ID TO MTCCIO-PROGRAM-ID.
018200*
018300     IF  MTCCIO-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID
018400         MOVE MTCCIO-RECORD      TO MTCC-RECORD
018500     ELSE
018600         GO TO A110-OF-READ-MTCC.
018700*
018800     EVALUATE TRUE
018900       WHEN MTCC-MBU40X-ALL-ORGS
019000           CONTINUE
019100       WHEN (MTCC-MBU40X-ORG-OPTION IS NUMERIC
019200        AND  MTCC-MBU40X-ORG-OPTION IS GREATER THAN ZERO
019300        AND  MTCC-MBU40X-ORG-OPTION IS LESS THAN 999)
019400           CONTINUE
019500       WHEN OTHER
019600           MOVE 40301            TO SS02WS-ABEND-CODE
019700           MOVE 'INVALID ORG OPTION'
019800                                 TO SS02WS-ABENDMSG8
019900           PERFORM SS02PD-ABEND
020000              THRU SS02PD-ABEND-EXIT
020100     END-EVALUATE.
020200*
020300     EVALUATE TRUE
020400       WHEN MTCC-MBU40X-FULL-RPT
020500           CONTINUE
020600       WHEN MTCC-MBU40X-STATUS-2-RPT
020700           CONTINUE
020800       WHEN OTHER
020900           SET MTCC-MBU40X-STATUS-2-RPT
021000                                 TO TRUE
021100     END-EVALUATE.
021200*
021300     EVALUATE TRUE
021400       WHEN MTCC-MBU40X-NO-UPDATE
021500           CONTINUE
021600       WHEN MTCC-MBU40X-UPDATE
021700           CONTINUE
021800       WHEN OTHER
021900           SET MTCC-MBU40X-NO-UPDATE
022000                                 TO TRUE
022100     END-EVALUATE.
022200*
022300*
022400*
022500     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
022600     SET MMSCRB-OPEN-INPUT       TO TRUE.
022700     PERFORM MB00PD-MMSC-ACCESS
022800        THRU MB00PD-MMSC-ACCESS-EXIT.
022900*
023000*
023100*
023200     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
023300     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
023400     PERFORM MB00PD-MMOC-ACCESS
023500        THRU MB00PD-MMOC-ACCESS-EXIT.
023600*
023700     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
023800*
023900     IF  MTCC-MBU40X-UPDATE
024000         SET MMMMRB-OPEN-IO      TO TRUE
024100     ELSE
024200         SET MMMMRB-OPEN-INPUT   TO TRUE.
024300*
024400     PERFORM MB00PD-MMMM-ACCESS
024500        THRU MB00PD-MMMM-ACCESS-EXIT.
024600*
024700*
024800*
024900     MOVE 'O1MP'                 TO SS02WS-ABEND-LOCATION.
025000     SET MMMPRB-OPEN-INPUT       TO TRUE.
025100     PERFORM MB00PD-MMMP-ACCESS
025200        THRU MB00PD-MMMP-ACCESS-EXIT.
025300*
025400*
025500*
025600     MOVE 'O1RT'                 TO SS02WS-ABEND-LOCATION.
025700*
025800     IF  MTCC-MBU40X-UPDATE
025900         SET MMRTRB-OPEN-IO      TO TRUE
026000     ELSE
026100         SET MMRTRB-OPEN-INPUT   TO TRUE.
026200*
026300     PERFORM MB00PD-MMRT-ACCESS
026400        THRU MB00PD-MMRT-ACCESS-EXIT.
026500*
026600*
026700*
026800 A120-OF-CHECK-HEADERS.
026900*
027000     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
027100     SET MMSCRB-READ-SEQ         TO TRUE.
027200     PERFORM MB00PD-MMSC-ACCESS
027300        THRU MB00PD-MMSC-ACCESS-EXIT.
027400*
027500     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
027600*
027700     IF  MMSCIO-HEADER
027800         NEXT SENTENCE
027900     ELSE
028000         PERFORM MB99PD-MISSING-HEADER-ABEND
028100            THRU MB99PD-MHA-EXIT.
028200*
028300     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
028400     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
028500     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
028600*
028700     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
028800     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
028900     MOVE SS02WS-ABEND-PROG-ID   TO MB20WS-SH-RPT-ID.
029000     MOVE 'S404'                 TO MB20WS-SH-INTERNAL-RPT-ID.
029100     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
029200     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
029300     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
029400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
029500                                 THRU SS26PD-NED-EXIT.
029600     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
029700     MOVE 'RATE TABLE RECORDS TO INACTIVE'
029800                                 TO MB20WS-SH-RPT-NAME.
029900     MOVE SPACES                 TO MB20WS-SH-LIT-5.
030000     MOVE '  RATE   RECORD                             '
030100                                 TO MB20WS-SH-L4R-1.
030200     MOVE '     MERCHANT                               '
030300                                 TO MB20WS-SH-L4R-2.
030400     MOVE '                PROD  R                     '
030500                                 TO MB20WS-SH-L4R-3.
030600     MOVE '  TABLE  STATUS *-------RATE TABLE NAME-----'
030700                                 TO MB20WS-SH-L5R-1.
030800     MOVE '-*    NUMBER  *------------MERCHANT  NAME---'
030900                                 TO MB20WS-SH-L5R-2.
031000     MOVE '---------* PROD DESC  # *---RESERVE DESC---*'
031100                                 TO MB20WS-SH-L5R-3.
031200*
031300*
031400*
031500     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
031600     SET MMOCRB-READ-SEQ         TO TRUE.
031700     PERFORM MB00PD-MMOC-ACCESS
031800        THRU MB00PD-MMOC-ACCESS-EXIT.
031900     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
032000*
032100     IF  MMOCIO-HEADER
032200         NEXT SENTENCE
032300     ELSE
032400         PERFORM MB99PD-MISSING-HEADER-ABEND
032500            THRU MB99PD-MHA-EXIT.
032600*
032700     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
032800*
032900*
033000*
033100     MOVE 'R0MM'                 TO SS02WS-ABEND-LOCATION.
033200     SET MMMMRB-READ-SEQ         TO TRUE.
033300     PERFORM MB00PD-MMMM-ACCESS
033400        THRU MB00PD-MMMM-ACCESS-EXIT.
033500     MOVE 'MMMM'                 TO MB99WS-FILE-ID.
033600*
033700     IF  MMMMIO-HEADER
033800         NEXT SENTENCE
033900     ELSE
034000         PERFORM MB99PD-MISSING-HEADER-ABEND
034100            THRU MB99PD-MHA-EXIT.
034200*
034300*
034400*
034500     MOVE 'R0MP'                 TO SS02WS-ABEND-LOCATION.
034600     SET MMMPRB-READ-SEQ         TO TRUE.
034700     PERFORM MB00PD-MMMP-ACCESS
034800        THRU MB00PD-MMMP-ACCESS-EXIT.
034900     MOVE 'MMMP'                 TO MB99WS-FILE-ID.
035000*
035100     IF  MMMPIO-HEADER
035200         NEXT SENTENCE
035300     ELSE
035400         PERFORM MB99PD-MISSING-HEADER-ABEND
035500            THRU MB99PD-MHA-EXIT.
035600*
035700     MOVE MMMPIO-RECORD          TO MMMP-RECORD.
035800*
035900*
036000*
036100     MOVE 'R0RT'                 TO SS02WS-ABEND-LOCATION.
036200     SET MMRTRB-READ-SEQ         TO TRUE.
036300     PERFORM MB00PD-MMRT-ACCESS
036400        THRU MB00PD-MMRT-ACCESS-EXIT.
036500     MOVE 'MMRT'                 TO MB99WS-FILE-ID.
036600*
036700     IF  MMRTIO-HEADER
036800         NEXT SENTENCE
036900     ELSE
037000         PERFORM MB99PD-MISSING-HEADER-ABEND
037100            THRU MB99PD-MHA-EXIT.
037200*
037300*
037400*
037500 A199-OF-EXIT.
037600     EXIT.
037700/
037800 A200-SORT-PROCESS SECTION.
037900 A201-SP-BEGIN.
038000*
038100     IF  MTCC-MBU40X-ALL-ORGS
038200         NEXT SENTENCE
038300     ELSE
038400         MOVE LOW-VALUES         TO MMRTIO-RECORD
038500         MOVE MTCC-MBU40X-ORG-OPTION
038600                                 TO MMRTIO-ORG
038700         MOVE 'S1RT'             TO SS02WS-ABEND-LOCATION
038800         SET MMRTRB-START-GTE    TO TRUE
038900         PERFORM MB00PD-MMRT-ACCESS
039000            THRU MB00PD-MMRT-ACCESS-EXIT
039100         MOVE LOW-VALUES         TO MMMMIO-RECORD
039200         MOVE MTCC-MBU40X-ORG-OPTION
039300                                 TO MMMMIO-ORG
039400         MOVE 'S1MM'             TO SS02WS-ABEND-LOCATION
039500         SET MMMMRB-START-GTE    TO TRUE
039600         PERFORM MB00PD-MMMM-ACCESS
039700            THRU MB00PD-MMMM-ACCESS-EXIT
039800         MOVE LOW-VALUES         TO MMMPIO-RECORD
039900         MOVE MTCC-MBU40X-ORG-OPTION
040000                                 TO MMMPIO-ORG
040100         MOVE 'S1MP'             TO SS02WS-ABEND-LOCATION
040200         SET MMMPRB-START-GTE    TO TRUE
040300         PERFORM MB00PD-MMMP-ACCESS
040400            THRU MB00PD-MMMP-ACCESS-EXIT
040500     END-IF.
040600*
040700*
040800*
040900     SORT MS1S-SORT-FILE
041000         ON ASCENDING KEY MS1S-KEY
041100                          MS1S-MERCHANT-X
041200                          MS1S-PRODUCT-X
041300                          MS1S-RESERVE-X
041400         INPUT  PROCEDURE IS 1000-BUILD-SORT-RECORD
041500         OUTPUT PROCEDURE IS 2000-UPDATE-MMRT.
041600*
041700     PERFORM SS98PD-VERIFY-SORT-RETURN
041800        THRU SS98PD-VSR-EXIT.
041900*
042000*
042100*
042200 A299-SP-EXIT.
042300     EXIT.
042400/
042500 A300-CLOSE-FILES SECTION.
042600 A301-CF-BEGIN.
042700*
042800     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
042900     SET MMSCRB-CLOSE            TO TRUE.
043000     PERFORM MB00PD-MMSC-ACCESS
043100        THRU MB00PD-MMSC-ACCESS-EXIT.
043200*
043300     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
043400     SET MMOCRB-CLOSE            TO TRUE.
043500     PERFORM MB00PD-MMOC-ACCESS
043600        THRU MB00PD-MMOC-ACCESS-EXIT.
043700*
043800     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
043900     SET MMMMRB-CLOSE            TO TRUE.
044000     PERFORM MB00PD-MMMM-ACCESS
044100        THRU MB00PD-MMMM-ACCESS-EXIT.
044200*
044300     MOVE 'C1MP'                 TO SS02WS-ABEND-LOCATION.
044400     SET MMMPRB-CLOSE            TO TRUE.
044500     PERFORM MB00PD-MMMP-ACCESS
044600        THRU MB00PD-MMMP-ACCESS-EXIT.
044700*
044800     MOVE 'C1RT'                 TO SS02WS-ABEND-LOCATION.
044900     SET MMRTRB-CLOSE            TO TRUE.
045000     PERFORM MB00PD-MMRT-ACCESS
045100        THRU MB00PD-MMRT-ACCESS-EXIT.
045200*
045300     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
045400     SET MTCCRB-CLOSE            TO TRUE.
045500     PERFORM MB00PD-MTCC-ACCESS
045600        THRU MB00PD-MTCC-ACCESS-EXIT.
045700*
045800     PERFORM MB20PD-CLOSE-PRINT-FILES
045900        THRU MB20PD-CPF-EXIT.
046000*
046100 A399-CF-EXIT.
046200     EXIT.
046300/
046400 1000-BUILD-SORT-RECORD SECTION.
046500 1001-BSR-BEGIN.
046600*
046700     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
046800     SET MMMMRB-READ-SEQ         TO TRUE.
046900     PERFORM MB00PD-MMMM-ACCESS
047000        THRU MB00PD-MMMM-ACCESS-EXIT.
047100*
047200     IF  MMMMIO-TRAILER
047300         GO TO 1090-BSR-BUILD-TRAILER.
047400*
047500     IF  MTCC-MBU40X-ALL-ORGS
047600         NEXT SENTENCE
047700     ELSE
047800         IF  MMMMIO-ORG-X IS GREATER THAN MTCC-MBU40X-ORG-OPTION-X
047900             GO TO 1090-BSR-BUILD-TRAILER.
048000*
048100     IF  MTCC-MBU40X-ALL-ORGS
048200     OR  MTCC-MBU40X-ORG-OPTION-X IS EQUAL TO MMMMIO-ORG-X
048300         NEXT SENTENCE
048400     ELSE
048500         GO TO 1001-BSR-BEGIN.
048600*
048700     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
048800*
048900     IF  MMMM-REC-PURGED
049000         GO TO 1001-BSR-BEGIN.
049100*
049200     IF  MMMM-DL-MERCHANT
049300     AND MMMM-DISC-RATE-TABLE IS NOT EQUAL TO ZERO
049400         INITIALIZE MS1S-RECORD
049500         MOVE MMMM-ORG           TO MS1S-ORG
049600         MOVE MMMM-DISC-RATE-TABLE
049700                                 TO MS1S-TABLE-NBR
049800         SET  MS1S-TT-DISCOUNT   TO TRUE
049900         MOVE MMMM-MERCHANT      TO MS1S-MERCHANT
050000         MOVE ZERO               TO MS1S-PRODUCT
050100         MOVE MMMM-NA-LINE (1 1) TO MS1S-NAME
050200         RELEASE MS1S-RECORD
050300     END-IF.
050400*
050500     IF  MMMM-PL-MERCHANT
050600     AND MMMM-PART-RATE-TABLE IS NOT EQUAL TO ZERO
050700         INITIALIZE MS1S-RECORD
050800         MOVE MMMM-ORG           TO MS1S-ORG
050900         MOVE MMMM-PART-RATE-TABLE
051000                                 TO MS1S-TABLE-NBR
051100         SET  MS1S-TT-PARTICIPATION
051200                                 TO TRUE
051300         MOVE MMMM-MERCHANT      TO MS1S-MERCHANT
051400         MOVE ZERO               TO MS1S-PRODUCT
051500         MOVE MMMM-NA-LINE (1 1) TO MS1S-NAME
051600         RELEASE MS1S-RECORD
051700     END-IF.
051800*
051900     IF  MMMM-PVBF-NOT-USED
052000         NEXT SENTENCE
052100     ELSE
052200         IF  MMMM-PART-VOL-RATE-TABLE IS NOT EQUAL TO ZERO
052300             INITIALIZE MS1S-RECORD
052400             MOVE MMMM-ORG       TO MS1S-ORG
052500             MOVE MMMM-PART-VOL-RATE-TABLE
052600                                 TO MS1S-TABLE-NBR
052700             SET  MS1S-TT-VOLUME TO TRUE
052800             MOVE MMMM-MERCHANT  TO MS1S-MERCHANT
052900             MOVE ZERO           TO MS1S-PRODUCT
053000             MOVE MMMM-NA-LINE (1 1)
053100                                 TO MS1S-NAME
053200             RELEASE MS1S-RECORD
053300         END-IF
053400     END-IF.
053500*
053600     PERFORM
053700         VARYING X-MMMM-RESV FROM 1 BY 1
053800         UNTIL   X-MMMM-RESV IS GREATER THAN 4
053900         IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
054000         AND MMMM-RESV-RATE-TABLE (X-MMMM-RESV)
054100                                 IS NOT EQUAL TO ZERO
054200             INITIALIZE MS1S-RECORD
054300             MOVE MMMM-ORG       TO MS1S-ORG
054400             MOVE MMMM-RESV-RATE-TABLE (X-MMMM-RESV)
054500                                 TO MS1S-TABLE-NBR
054600             SET  MS1S-TT-RESERVE
054700                                 TO TRUE
054800             MOVE MMMM-MERCHANT  TO MS1S-MERCHANT
054900             MOVE ZERO           TO MS1S-PRODUCT
055000             SET  MS1S-RESERVE   TO X-MMMM-RESV
055100             MOVE MMMM-RESV-DESC (X-MMMM-RESV)
055200                                 TO MS1S-RESV-DESC
055300             MOVE MMMM-NA-LINE (1 1)
055400                                 TO MS1S-NAME
055500             RELEASE MS1S-RECORD
055600         END-IF
055700     END-PERFORM.
055800*
055900*
056000*
056100     PERFORM
056200         UNTIL MMMP-ORG-MERCHANT IS GREATER THAN MMMM-ORG-MERCHANT
056300         IF  MMMP-ORG-MERCHANT IS EQUAL TO MMMM-ORG-MERCHANT
056400             PERFORM 1080-BSR-PROCESS-PRODUCT
056500                THRU 1089-BSR-PP-EXIT
056600         END-IF
056700         MOVE 'R1MP'             TO SS02WS-ABEND-LOCATION
056800         SET MMMPRB-READ-SEQ     TO TRUE
056900         PERFORM MB00PD-MMMP-ACCESS
057000            THRU MB00PD-MMMP-ACCESS-EXIT
057100         MOVE MMMPIO-RECORD      TO MMMP-RECORD
057200     END-PERFORM.
057300*
057400*
057500*
057600     GO TO 1001-BSR-BEGIN.
057700*
057800*
057900*
058000 1080-BSR-PROCESS-PRODUCT.
058100*
058200     IF  MMMM-DL-PRODUCT
058300     AND MMMP-PROD-DISC-RATE-TABLE IS NOT EQUAL TO ZERO
058400         INITIALIZE MS1S-RECORD
058500         MOVE MMMP-ORG           TO MS1S-ORG
058600         MOVE MMMP-PROD-DISC-RATE-TABLE
058700                                 TO MS1S-TABLE-NBR
058800         SET  MS1S-TT-DISCOUNT   TO TRUE
058900         MOVE MMMP-MERCHANT      TO MS1S-MERCHANT
059000         MOVE MMMP-PRODUCT       TO MS1S-PRODUCT
059100         MOVE MMMP-PROD-SHORT-DESC
059200                                 TO MS1S-PROD-SHORT-DESC
059300         MOVE MMMM-NA-LINE (1 1) TO MS1S-NAME
059400         RELEASE MS1S-RECORD
059500     END-IF.
059600*
059700     IF  MMMM-PL-PRODUCT
059800     AND MMMP-PROD-PART-RATE-TABLE IS NOT EQUAL TO ZERO
059900         INITIALIZE MS1S-RECORD
060000         MOVE MMMP-ORG           TO MS1S-ORG
060100         MOVE MMMP-PROD-PART-RATE-TABLE
060200                                 TO MS1S-TABLE-NBR
060300         SET  MS1S-TT-PARTICIPATION
060400                                 TO TRUE
060500         MOVE MMMP-MERCHANT      TO MS1S-MERCHANT
060600         MOVE MMMP-PRODUCT       TO MS1S-PRODUCT
060700         MOVE MMMP-PROD-SHORT-DESC
060800                                 TO MS1S-PROD-SHORT-DESC
060900         MOVE MMMM-NA-LINE (1 1) TO MS1S-NAME
061000         RELEASE MS1S-RECORD
061100     END-IF.
061200*
061300     PERFORM
061400         VARYING X-MMMP-PROD-RESV FROM 1 BY 1
061500         UNTIL   X-MMMP-PROD-RESV IS GREATER THAN 4
061600         SET X-MMMM-RESV         TO X-MMMP-PROD-RESV
061700         IF  MMMM-RL-PRODUCT (X-MMMM-RESV)
061800         AND MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
061900                                 IS NOT EQUAL TO ZERO
062000             INITIALIZE MS1S-RECORD
062100             MOVE MMMP-ORG       TO MS1S-ORG
062200             MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
062300                                 TO MS1S-TABLE-NBR
062400             SET  MS1S-TT-RESERVE
062500                                 TO TRUE
062600             MOVE MMMP-MERCHANT  TO MS1S-MERCHANT
062700             MOVE MMMP-PRODUCT   TO MS1S-PRODUCT
062800             MOVE MMMP-PROD-SHORT-DESC
062900                                 TO MS1S-PROD-SHORT-DESC
063000             SET  MS1S-RESERVE   TO X-MMMP-PROD-RESV
063100             MOVE MMMM-RESV-DESC (X-MMMM-RESV)
063200                                 TO MS1S-RESV-DESC
063300             MOVE MMMM-NA-LINE (1 1)
063400                                 TO MS1S-NAME
063500             RELEASE MS1S-RECORD
063600         END-IF
063700     END-PERFORM.
063800*
063900 1089-BSR-PP-EXIT.
064000     EXIT.
064100*
064200*
064300*
064400 1090-BSR-BUILD-TRAILER.
064500*
064600     MOVE 999                    TO MS1S-ORG.
064700     MOVE 999999999              TO MS1S-TABLE-NBR.
064800     MOVE ZERO                   TO MS1S-MERCHANT.
064900     MOVE ZERO                   TO MS1S-PRODUCT.
065000     MOVE SPACES                 TO MS1S-NAME.
065100     RELEASE MS1S-RECORD.
065200*
065300*
065400*
065500 1099-BSR-EXIT.
065600     EXIT.
065700/
065800 2000-UPDATE-MMRT SECTION.
065900 2001-UMMRT-BEGIN.
066000*
066100     PERFORM 2080-UMMRT-RETURN-SORT
066200        THRU 2080-UMMRT-RS-EXIT.
066300*
066400 2010-UMMRT-BEGIN.
066500*
066600     MOVE 'R1RT'                 TO SS02WS-ABEND-LOCATION.
066700     SET MMRTRB-READ-SEQ         TO TRUE.
066800     PERFORM MB00PD-MMRT-ACCESS
066900        THRU MB00PD-MMRT-ACCESS-EXIT.
067000*
067100     IF  MMRTIO-TRAILER
067200         GO TO 2090-UMMRT-BLEED-SORT.
067300*
067400     IF  MTCC-MBU40X-ALL-ORGS
067500         NEXT SENTENCE
067600     ELSE
067700         IF  MMRTIO-ORG-X IS GREATER THAN MTCC-MBU40X-ORG-OPTION-X
067800             GO TO 2090-UMMRT-BLEED-SORT.
067900*
068000     IF  MTCC-MBU40X-ALL-ORGS
068100     OR  MTCC-MBU40X-ORG-OPTION-X IS EQUAL TO MMRTIO-ORG-X
068200         NEXT SENTENCE
068300     ELSE
068400         GO TO 2010-UMMRT-BEGIN.
068500*
068600     MOVE MMRTIO-RECORD          TO MMRT-RECORD.
068700*
068800     IF  MMRT-REC-PURGED
068900         ADD  1                  TO WS-PURGED-NBR.
069000*
069100     IF  MMRT-REC-INCOMPLETE
069200     OR  MMRT-ADD-PENDING
069300         ADD  1                  TO WS-INCOMPLETE-NBR.
069400*
069500     IF  MMRT-REC-PURGED
069600     OR  MMRT-REC-INCOMPLETE
069700     OR  MMRT-ADD-PENDING
069800         PERFORM 2200-INACTIVE-RECORD
069900            THRU 2299-IR-EXIT
070000         GO TO 2010-UMMRT-BEGIN.
070100*
070200     IF  MMRT-ORG IS NOT EQUAL TO MMOC-ORG
070300         PERFORM 8000-ORG-CHANGE
070400            THRU 8099-OC-EXIT.
070500*
070600     IF  MMRT-REC-INACTIVE
070700     AND MTCC-MBU40X-UPDATE
070800         SET MMRT-REC-ACTIVE     TO TRUE.
070900*
071000     IF  MMRT-KEY IS GREATER THAN MS1S-KEY
071100         PERFORM 2300-MISSING-RECORD
071200            THRU 2399-MR-EXIT
071300            UNTIL MS1S-KEY IS NOT LESS THAN MMRT-KEY.
071400*
071500     EVALUATE TRUE
071600       WHEN MMRT-KEY IS LESS THAN MS1S-KEY
071700           IF  MTCC-MBU40X-UPDATE
071800               SET MMRT-REC-INACTIVE
071900                                 TO TRUE
072000           END-IF
072100           PERFORM 2200-INACTIVE-RECORD
072200              THRU 2299-IR-EXIT
072300       WHEN OTHER
072400           PERFORM
072500               UNTIL MS1S-KEY IS GREATER THAN MMRT-KEY
072600               PERFORM 2100-ACTIVE-RECORD
072700                  THRU 2199-AR-EXIT
072800               IF  MTCC-MBU40X-FULL-RPT
072900                   PERFORM 2080-UMMRT-RETURN-SORT
073000                      THRU 2080-UMMRT-RS-EXIT
073100               ELSE
073200                   PERFORM 2080-UMMRT-RETURN-SORT
073300                      THRU 2080-UMMRT-RS-EXIT
073400                      UNTIL MS1S-KEY IS GREATER THAN MMRT-KEY
073500               END-IF
073600           END-PERFORM
073700     END-EVALUATE.
073800*
073900     EVALUATE TRUE
074000       WHEN MMRT-REC-INACTIVE
074100           ADD  1                TO WS-INACTIVE-NBR
074200       WHEN OTHER
074300           ADD  1                TO WS-ACTIVE-NBR
074400     END-EVALUATE.
074500*
074600     IF  MTCC-MBU40X-UPDATE
074700         MOVE MMRT-RECORD        TO MMRTIO-RECORD
074800         MOVE 'U1RT'             TO SS02WS-ABEND-LOCATION
074900         SET MMRTRB-REWRITE      TO TRUE
075000         PERFORM MB00PD-MMRT-ACCESS
075100            THRU MB00PD-MMRT-ACCESS-EXIT
075200     END-IF.
075300*
075400     GO TO 2010-UMMRT-BEGIN.
075500*
075600*
075700*
075800 2080-UMMRT-RETURN-SORT.
075900*
076000     RETURN MS1S-SORT-FILE
076100         AT END
076200             MOVE 'Y'            TO WS-MBU404-EOF-SW.
076300*
076400 2080-UMMRT-RS-EXIT.
076500     EXIT.
076600*
076700*
076800*
076900 2090-UMMRT-BLEED-SORT.
077000*
077100     PERFORM 2080-UMMRT-RETURN-SORT
077200        THRU 2080-UMMRT-RS-EXIT
077300        UNTIL WS-MBU404-EOF-SW IS EQUAL TO 'Y'.
077400*
077500*
077600*
077700     MOVE SPACES                 TO MB20WS-PRINT-LINE.
077800     PERFORM MB20PD-PRINT-2-LINES
077900        THRU MB20PD-P2L-EXIT.
078000*
078100     MOVE WS-INCOMPLETE-NBR      TO WS-PL2-TOTAL.
078200     MOVE 'STATUS=0, INCOMPLETE RECORDS'
078300                                 TO WS-PL2-TOTAL-DESC.
078400     PERFORM MB20PD-PRINT-1-LINE
078500        THRU MB20PD-P1L-EXIT.
078600*
078700     MOVE WS-ACTIVE-NBR          TO WS-PL2-TOTAL.
078800     MOVE 'STATUS=1, ACTIVE RECORDS'
078900                                 TO WS-PL2-TOTAL-DESC.
079000     PERFORM MB20PD-PRINT-1-LINE
079100        THRU MB20PD-P1L-EXIT.
079200*
079300     MOVE WS-INACTIVE-NBR        TO WS-PL2-TOTAL.
079400     MOVE 'STATUS=2, INACTIVE RECORDS'
079500                                 TO WS-PL2-TOTAL-DESC.
079600     PERFORM MB20PD-PRINT-1-LINE
079700        THRU MB20PD-P1L-EXIT.
079800*
079900     MOVE WS-PURGED-NBR          TO WS-PL2-TOTAL.
080000     MOVE 'STATUS=9, PURGED RECORDS'
080100                                 TO WS-PL2-TOTAL-DESC.
080200     PERFORM MB20PD-PRINT-1-LINE
080300        THRU MB20PD-P1L-EXIT.
080400*
080500     MOVE '+------------'        TO WS-PRINT-LINE-2.
080600     PERFORM MB20PD-PRINT-1-LINE
080700        THRU MB20PD-P1L-EXIT.
080800*
080900     MOVE '='                    TO WS-PRINT-LINE-2.
081000     COMPUTE WS-PL2-TOTAL        =  WS-INCOMPLETE-NBR
081100                                 +  WS-ACTIVE-NBR
081200                                 +  WS-INACTIVE-NBR
081300                                 +  WS-PURGED-NBR.
081400     MOVE 'TOTAL RECORDS'        TO WS-PL2-TOTAL-DESC.
081500     PERFORM MB20PD-PRINT-1-LINE
081600        THRU MB20PD-P1L-EXIT.
081700*
081800 2099-UMMRT-EXIT.
081900     EXIT.
082000/
082100 2100-ACTIVE-RECORD SECTION.
082200 2101-AR-BEGIN.
082300*
082400     IF  MMRT-KEY IS NOT EQUAL TO WS-PREV-KEY
082500         PERFORM MB20PD-PRINT-1-LINE
082600            THRU MB20PD-P1L-EXIT
082700         MOVE MMRT-TABLE-NBR     TO WS-PL1-TABLE-NBR
082800         MOVE MMRT-TABLE-TYPE    TO WS-PL1-TABLE-TYPE
082900         MOVE MMRT-REC-STATUS    TO WS-PL1-STATUS
083000         MOVE MMRT-TITLE         TO WS-PL1-TABLE-NAME
083100     ELSE
083200         MOVE MMRT-TABLE-NBR     TO WS-PL1-TABLE-NBR
083300         MOVE MMRT-TABLE-TYPE    TO WS-PL1-TABLE-TYPE
083400     END-IF.
083500*
083600     IF  MTCC-MBU40X-FULL-RPT
083700         MOVE MS1S-MERCHANT      TO WS-PL1-MERCHANT
083800         MOVE MS1S-NAME          TO WS-PL1-NAME
083900         IF  MS1S-PRODUCT IS GREATER THAN ZERO
084000             MOVE MS1S-PRODUCT   TO WS-PL1-PRODUCT
084100             MOVE MS1S-PROD-SHORT-DESC
084200                                 TO WS-PL1-PROD-SHORT-DESC
084300         END-IF
084400         IF  MS1S-RESERVE IS GREATER THAN ZERO
084500             MOVE MS1S-RESERVE   TO WS-PL1-RESV-NBR
084600             MOVE MS1S-RESV-DESC TO WS-PL1-RESV-DESC
084700         END-IF
084800         PERFORM MB20PD-PRINT-1-LINE
084900            THRU MB20PD-P1L-EXIT
085000     ELSE
085100         PERFORM MB20PD-PRINT-2-LINES
085200            THRU MB20PD-P2L-EXIT
085300     END-IF.
085400*
085500     MOVE MMRT-KEY               TO WS-PREV-KEY.
085600*
085700 2199-AR-EXIT.
085800     EXIT.
085900/
086000 2200-INACTIVE-RECORD SECTION.
086100 2201-IR-BEGIN.
086200*
086300     PERFORM MB20PD-PRINT-1-LINE
086400        THRU MB20PD-P1L-EXIT.
086500     MOVE MMRT-TABLE-NBR         TO WS-PL1-TABLE-NBR.
086600     MOVE MMRT-TABLE-TYPE        TO WS-PL1-TABLE-TYPE
086700     MOVE MMRT-REC-STATUS        TO WS-PL1-STATUS.
086800     MOVE MMRT-TITLE             TO WS-PL1-TABLE-NAME.
086900     PERFORM MB20PD-PRINT-2-LINES
087000        THRU MB20PD-P2L-EXIT.
087100*
087200 2299-IR-EXIT.
087300     EXIT.
087400/
087500 2300-MISSING-RECORD SECTION.
087600 2301-MR-BEGIN.
087700*
087800     PERFORM MB20PD-PRINT-1-LINE
087900        THRU MB20PD-P1L-EXIT.
088000     MOVE MS1S-TABLE-NBR         TO WS-PL1-TABLE-NBR.
088100     MOVE MS1S-TABLE-TYPE        TO WS-PL1-TABLE-TYPE.
088200     MOVE '?'                    TO WS-PL1-STATUS.
088300     MOVE '>>> TABLE NOT DEFINED <<<'
088400                                 TO WS-PL1-TABLE-NAME.
088500     MOVE MS1S-MERCHANT          TO WS-PL1-MERCHANT.
088600     MOVE MS1S-NAME              TO WS-PL1-NAME.
088700*
088800     IF  MS1S-PRODUCT IS GREATER THAN ZERO
088900         MOVE MS1S-PRODUCT       TO WS-PL1-PRODUCT
089000         MOVE MS1S-PROD-SHORT-DESC
089100                                 TO WS-PL1-PROD-SHORT-DESC
089200     END-IF.
089300*
089400     IF  MS1S-RESERVE IS GREATER THAN ZERO
089500         MOVE MS1S-RESERVE       TO WS-PL1-RESV-NBR
089600         MOVE MS1S-RESV-DESC     TO WS-PL1-RESV-DESC
089700     END-IF.
089800*
089900     PERFORM MB20PD-PRINT-2-LINES
090000        THRU MB20PD-P2L-EXIT.
090100*
090200     PERFORM 2080-UMMRT-RETURN-SORT
090300        THRU 2080-UMMRT-RS-EXIT.
090400*
090500 2399-MR-EXIT.
090600     EXIT.
090700/
090800 8000-ORG-CHANGE SECTION.
090900 8010-OC-BEGIN.
091000*
091100     MOVE MMRT-ORG               TO MMOCIO-ORG.
091200*
091300     MOVE 'R2OC'                 TO SS02WS-ABEND-LOCATION.
091400     SET MMOCRB-READ-RANDOM      TO TRUE.
091500     PERFORM MB00PD-MMOC-ACCESS
091600        THRU MB00PD-MMOC-ACCESS-EXIT.
091700*
091800     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
091900*
092000     MOVE MMOC-ORG               TO MB20WS-SH-ORG.
092100     MOVE MMOC-NA-LINE (1 1)     TO MB20WS-SH-ORG-NAME.
092200*
092300     MOVE MMOC-LINES-PER-PAGE    TO MB20WS-LINE-LIMIT.
092400     MOVE MMOC-FORM              TO MB20WS-FORM-CODE.
092500     MOVE MMOC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
092600     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
092700     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
092800*
092900 8099-OC-EXIT.
093000     EXIT.
093100/
093200 9000-PERFORMED-ROUTINES SECTION.
093300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
093400/
093500     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
093600/
093700     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
093800/
093900     COPY MB00PD REPLACING ==:MB00:== BY ==MMMP==.
094000/
094100     COPY MB00PD REPLACING ==:MB00:== BY ==MMRT==.
094200/
094300     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
094400/
094500     COPY MB20PD.
094600/
094700     COPY MB99PD.
094800/
094900     COPY SS02PD.
095000/
095100     COPY SS07PD.
095200/
095300     COPY SS08PD.
095400/
095500     COPY SS16PD.
095600/
095700     COPY SS26PD.
095800/
095900     COPY SS27PD.
096000/
096100     COPY SS98PD.
096200*
096300 9995-END-SOURCE-STATEMENTS SECTION.
096400 9999-END-OF-PROGRAM.
096500     EXIT.
