000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU6MM02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU6MM02 - BUILD MERCHANT NON-MONETARY FROM E.X.A.M. PAGE 02*
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MBMM02.
002600     COPY MBMM02R.
002700/
002800     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
002900/
003000     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS01WS.
003500/
003600     COPY SS02WS.
003700*
003800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003900/
004000 LINKAGE SECTION.
004100     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
004600/
004700     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUI==.
004800/
004900 PROCEDURE DIVISION              USING MMEX-RECORD
005000                                       MMMM-RECORD
005100                                       MMUO-RECORD
005200                                       MMUI-RECORD.
005300 A000-MAIN-LINE-SECT SECTION.
005400 A001-ML-BEGIN.
005500*
005600     MOVE LOW-VALUES             TO MMUO-RECORD.
005700     MOVE LOW-VALUES             TO MMUI-RECORD.
005800     MOVE LOW-VALUES             TO MBMM02I.
005900*
006000     PERFORM 0100-MERCH-SECOND-NAME
006100        THRU 0199-MSN-EXIT.
006200*
006300     PERFORM 0200-MERCH-SECOND-ADDR-1
006400        THRU 0299-MSA1-EXIT.
006500*
006600     PERFORM 0300-MERCH-SECOND-ADDR-2
006700        THRU 0399-MSA2-EXIT.
006800*
006900     PERFORM 0400-MERCH-SECOND-ADDR-3
007000        THRU 0499-MSA3-EXIT.
007100*
007200     PERFORM 0500-MERCH-SECOND-CITY
007300        THRU 0599-MSC-EXIT.
007400*
007500*****PERFORM 0600-MERCH-SECOND-COUNTRY
007600*****   THRU 0699-MSC-EXIT.
007700*
007800     PERFORM 0700-MERCH-SECOND-STATE
007900        THRU 0799-MSS-EXIT.
008000*
008100     PERFORM 0800-MERCH-SECOND-POSTAL
008200        THRU 0899-MSP-EXIT.
008300*
008400     PERFORM 0900-MERCH-SECOND-PHONE
008500        THRU 0999-MSP-EXIT.
008600*
008700     PERFORM 1000-MERCH-SECOND-FAX
008800        THRU 1099-MSF-EXIT.
008900*
009000     IF  MBMM02I IS EQUAL TO LOW-VALUES
009100         NEXT SENTENCE
009200     ELSE
009300         MOVE MBMM02I            TO MMUO-MAP-DATA
009400         MOVE 'MBMM'             TO MMUO-TRANID
009500         MOVE 02                 TO MMUO-CURRENT-PAGE
009600         MOVE MMMM-ORG           TO MMUO-MM-ORG
009700         MOVE MMMM-MERCHANT      TO MMUO-MM-MERCHANT
009800         MOVE LENGTH OF MBMM02I  TO MMUO-VAR-LENGTH
009900     END-IF.
010000*
010100     GO TO 9999-END-OF-PROGRAM.
010200*
010300 A999-ML-EXIT.
010400     EXIT.
010500/
010600 0000-MERCHANT-MAINT-PAGE-02 SECTION.
010700 0100-MERCH-SECOND-NAME.
010800*
010900     SET X-MMEXTB                TO 113.
011000     PERFORM 8000-SEARCH-MMEX-MAINT
011100        THRU 8099-SMM-EXIT.
011200*
011300     IF  SS02WS-FS-NO-RECORD-FOUND
011400         GO TO 0199-MSN-EXIT.
011500*
011600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
011700                                 TO MM02-NA-LINE (1).
011800     MOVE LENGTH OF MM02-NA-LINE (1)
011900                                 TO MM02-NA-LINE-L (1).
012000*
012100 0199-MSN-EXIT.
012200     EXIT.
012300/
012400 0200-MERCH-SECOND-ADDR-1.
012500*
012600     SET X-MMEXTB                TO 114.
012700     PERFORM 8000-SEARCH-MMEX-MAINT
012800        THRU 8099-SMM-EXIT.
012900*
013000     IF  SS02WS-FS-NO-RECORD-FOUND
013100         GO TO 0299-MSA1-EXIT.
013200*
013300     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
013400                                 TO MM02-NA-LINE (2).
013500     MOVE LENGTH OF MM02-NA-LINE (2)
013600                                 TO MM02-NA-LINE-L (2).
013700*
013800 0299-MSA1-EXIT.
013900     EXIT.
014000/
014100 0300-MERCH-SECOND-ADDR-2.
014200*
014300     SET X-MMEXTB                TO 115.
014400     PERFORM 8000-SEARCH-MMEX-MAINT
014500        THRU 8099-SMM-EXIT.
014600*
014700     IF  SS02WS-FS-NO-RECORD-FOUND
014800         GO TO 0399-MSA2-EXIT.
014900*
015000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
015100                                 TO MM02-NA-LINE (3).
015200     MOVE LENGTH OF MM02-NA-LINE (3)
015300                                 TO MM02-NA-LINE-L (3).
015400*
015500 0399-MSA2-EXIT.
015600     EXIT.
015700/
015800 0400-MERCH-SECOND-ADDR-3.
015900*
016000     SET X-MMEXTB                TO 116.
016100     PERFORM 8000-SEARCH-MMEX-MAINT
016200        THRU 8099-SMM-EXIT.
016300*
016400     IF  SS02WS-FS-NO-RECORD-FOUND
016500         GO TO 0499-MSA3-EXIT.
016600*
016700     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
016800                                 TO MM02-NA-LINE (4).
016900     MOVE LENGTH OF MM02-NA-LINE (4)
017000                                 TO MM02-NA-LINE-L (4).
017100*
017200 0499-MSA3-EXIT.
017300     EXIT.
017400/
017500 0500-MERCH-SECOND-CITY.
017600*
017700     SET X-MMEXTB                TO 117.
017800     PERFORM 8000-SEARCH-MMEX-MAINT
017900        THRU 8099-SMM-EXIT.
018000*
018100     IF  SS02WS-FS-NO-RECORD-FOUND
018200         GO TO 0599-MSC-EXIT.
018300*
018400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
018500                                 TO MM02-NA-LINE (5).
018600     MOVE LENGTH OF MM02-NA-LINE (5)
018700                                 TO MM02-NA-LINE-L (5).
018800*
018900 0599-MSC-EXIT.
019000     EXIT.
019100/
019200*0600-MERCH-SECOND-COUNTRY.
019300*
019400*****SET X-MMEXTB                TO 119.
019500*****PERFORM 8000-SEARCH-MMEX-MAINT
019600*****   THRU 8099-SMM-EXIT.
019700*
019800*****IF  SS02WS-FS-NO-RECORD-FOUND
019900*****    GO TO 0699-MSC-EXIT.
020000*
020100*****MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
020200*****                            TO MM02-COUNTRY-CODE.
020300*****MOVE LENGTH OF MM02-COUNTRY-CODE
020400*****                            TO MM02-COUNTRY-CODE-L.
020500*
020600*0699-MSC-EXIT.
020700*****EXIT.
020800/
020900 0700-MERCH-SECOND-STATE.
021000*
021100     SET X-MMEXTB                TO 120.
021200     PERFORM 8000-SEARCH-MMEX-MAINT
021300        THRU 8099-SMM-EXIT.
021400*
021500     IF  SS02WS-FS-NO-RECORD-FOUND
021600         GO TO 0799-MSS-EXIT.
021700*
021800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
021900                                 TO MM02-STATE-CODE.
022000     MOVE LENGTH OF MM02-STATE-CODE
022100                                 TO MM02-STATE-CODE-L.
022200*
022300 0799-MSS-EXIT.
022400     EXIT.
022500/
022600 0800-MERCH-SECOND-POSTAL.
022700*
022800     SET X-MMEXTB                TO 121.
022900     PERFORM 8000-SEARCH-MMEX-MAINT
023000        THRU 8099-SMM-EXIT.
023100*
023200     IF  SS02WS-FS-NO-RECORD-FOUND
023300         GO TO 0899-MSP-EXIT.
023400*
023500     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
023600                                 TO MM02-POSTAL-CODE.
023700     MOVE LENGTH OF MM02-POSTAL-CODE
023800                                 TO MM02-POSTAL-CODE-L.
023900*
024000 0899-MSP-EXIT.
024100     EXIT.
024200/
024300 0900-MERCH-SECOND-PHONE.
024400*
024500     SET X-MMEXTB                TO 122.
024600     PERFORM 8000-SEARCH-MMEX-MAINT
024700        THRU 8099-SMM-EXIT.
024800*
024900     IF  SS02WS-FS-NO-RECORD-FOUND
025000         GO TO 0999-MSP-EXIT.
025100*
025200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
025300                                 TO MM02-PHONE.
025400     MOVE LENGTH OF MM02-PHONE
025500                                 TO MM02-PHONE-L.
025600*
025700 0999-MSP-EXIT.
025800     EXIT.
025900/
026000 1000-MERCH-SECOND-FAX.
026100*
026200     SET X-MMEXTB                TO 123.
026300     PERFORM 8000-SEARCH-MMEX-MAINT
026400        THRU 8099-SMM-EXIT.
026500*
026600     IF  SS02WS-FS-NO-RECORD-FOUND
026700         GO TO 1099-MSF-EXIT.
026800*
026900     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
027000                                 TO MM02-FAX.
027100     MOVE LENGTH OF MM02-FAX
027200                                 TO MM02-FAX-L.
027300*
027400 1099-MSF-EXIT.
027500     EXIT.
027600/
027700 8000-SEARCH-MMEX-MAINT SECTION.
027800 8001-SMM-BEGIN.
027900*
028000     SET X-MMEX-MAINT            TO 1.
028100     SEARCH MMEX-MAINT-CRITERIA VARYING X-MMEX-MAINT
028200         AT END
028300             SET SS02WS-FS-NO-RECORD-FOUND
028400                                 TO TRUE
028500         WHEN MMEX-MAINT-FILE-ID(X-MMEX-MAINT) IS EQUAL TO SPACES
028600             SET SS02WS-FS-NO-RECORD-FOUND
028700                                 TO TRUE
028800         WHEN MMEX-MAINT-FIELD-CODE (X-MMEX-MAINT)
028900              IS EQUAL TO MMEXTB-FIELD-CODE (X-MMEXTB)
029000             SET SS02WS-FS-SUCCESSFUL
029100                                 TO TRUE.
029200*
029300 8099-SMM-EXIT.
029400     EXIT.
029500/
029600 9000-PERFORMED-ROUTINES-SECT SECTION.
029700     COPY SS07PD.
029800/
029900     COPY SS08PD.
030000/
030100     COPY SS26PD.
030200/
030300     COPY SS27PD.
030400/
030500     COPY MBU600PD.
030600*
030700 9995-END-SOURCE-STATEMENTS SECTION.
030800 9999-END-OF-PROGRAM.
030900     GOBACK.
