000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU6MM05.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU6MM05 - BUILD MERCHANT NON-MONETARY FROM E.X.A.M. PAGE 05*
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MBMM05.
002600     COPY MBMM05R.
002700/
002800     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
002900/
003000     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS01WS.
003500/
003600     COPY SS02WS.
003700*
003800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003900/
004000 LINKAGE SECTION.
004100     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
004600/
004700     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUI==.
004800/
004900 PROCEDURE DIVISION              USING MMEX-RECORD
005000                                       MMMM-RECORD
005100                                       MMUO-RECORD
005200                                       MMUI-RECORD.
005300 A000-MAIN-LINE-SECT SECTION.
005400 A010-ML-BEGIN.
005500*
005600     MOVE LOW-VALUES             TO MMUO-RECORD.
005700     MOVE LOW-VALUES             TO MMUI-RECORD.
005800     MOVE LOW-VALUES             TO MBMM05I.
005900*
006000     PERFORM 0100-PRENOTE-CTL-1
006100        THRU 0199-PC1-EXIT.
006200*
006300     PERFORM 0200-PENDING-TO-ACT-1
006400        THRU 0299-PTA1-EXIT.
006500*
006600     PERFORM 0300-PEND-DR-RT-1
006700        THRU 0399-PDR1-EXIT.
006800*
006900     PERFORM 0400-PEND-DR-ACCT-1
007000        THRU 0499-PDA1-EXIT.
007100*
007200     PERFORM 0500-PEND-DR-ACCT-TYPE-1
007300        THRU 0599-PDAT1-EXIT.
007400*
007500     PERFORM 0600-PEND-CR-RT-1
007600        THRU 0699-PCR1-EXIT.
007700*
007800     PERFORM 0700-PEND-CR-ACCT-1
007900        THRU 0799-PCA1-EXIT.
008000*
008100     PERFORM 0800-PEND-CR-ACCT-TYPE-1
008200        THRU 0899-PCAT1-EXIT.
008300*
008400     PERFORM 0900-SETT-ACCT-METH-1
008500        THRU 0999-SAM1-EXIT.
008600*
008700     PERFORM 1000-INTERIM-SETT-METH-1
008800        THRU 1099-ISM1-EXIT.
008900*
009000     PERFORM 1100-PRENOTE-CTL-2
009100        THRU 1199-PC2-EXIT.
009200*
009300     PERFORM 1200-PENDING-TO-ACT-2
009400        THRU 1299-PTA2-EXIT.
009500*
009600     PERFORM 1300-PEND-DR-RT-2
009700        THRU 1399-PDR2-EXIT.
009800*
009900     PERFORM 1400-PEND-DR-ACCT-2
010000        THRU 1499-PDA2-EXIT.
010100*
010200     PERFORM 1500-PEND-DR-ACCT-TYPE-2
010300        THRU 1599-PDAT2-EXIT.
010400*
010500     PERFORM 1600-PEND-CR-RT-2
010600        THRU 1699-PCR2-EXIT.
010700*
010800     PERFORM 1700-PEND-CR-ACCT-2
010900        THRU 1799-PCA2-EXIT.
011000*
011100     PERFORM 1800-PEND-CR-ACCT-TYPE-2
011200        THRU 1899-PCAT2-EXIT.
011300*
011400     PERFORM 1900-SETT-ACCT-METH-2
011500        THRU 1999-SAM2-EXIT.
011600*
011700     PERFORM 2000-INTERIM-SETT-METH-2
011800        THRU 2099-ISM2-EXIT.
011900*
012000*
012100     IF  MBMM05I IS EQUAL TO LOW-VALUES
012200         NEXT SENTENCE
012300     ELSE
012400         MOVE MBMM05I            TO MMUO-MAP-DATA
012500         MOVE 'MBMM'             TO MMUO-TRANID
012600         MOVE 05                 TO MMUO-CURRENT-PAGE
012700         MOVE MMMM-ORG           TO MMUO-MM-ORG
012800         MOVE MMMM-MERCHANT      TO MMUO-MM-MERCHANT
012900         MOVE LENGTH OF MBMM05I  TO MMUO-VAR-LENGTH
013000     END-IF.
013100*
013200     GO TO 9999-END-OF-PROGRAM.
013300*
013400 A999-ML-EXIT.
013500     EXIT.
013600/
013700 0000-MERCHANT-MAINT-PAGE-05 SECTION.
013800 0100-PRENOTE-CTL-1.
013900*
014000     SET X-MMEXTB                TO 306.
014100     PERFORM 8000-SEARCH-MMEX-MAINT
014200        THRU 8099-SMM-EXIT.
014300*
014400     IF  SS02WS-FS-NO-RECORD-FOUND
014500         GO TO 0199-PC1-EXIT.
014600*
014700     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
014800                                 TO MM05-PRENOTE-CONTROL (1).
014900     MOVE LENGTH OF MM05-PRENOTE-CONTROL (1)
015000                                 TO MM05-PRENOTE-CONTROL-L (1).
015100*
015200 0199-PC1-EXIT.
015300     EXIT.
015400/
015500 0200-PENDING-TO-ACT-1.
015600*
015700     SET X-MMEXTB                TO 309.
015800     PERFORM 8000-SEARCH-MMEX-MAINT
015900        THRU 8099-SMM-EXIT.
016000*
016100     IF  SS02WS-FS-NO-RECORD-FOUND
016200         GO TO 0299-PTA1-EXIT.
016300*
016400     PERFORM MBU600PD-EXTRACT-NUMERICS
016500        THRU MBU600PD-EN-EXIT.
016600*
016700     MOVE MMEXWS-NUMBER          TO MM05-PENDING-DATE (1).
016800     MOVE LENGTH OF MM05-PENDING-DATE (1)
016900                                 TO MM05-PENDING-DATE-L (1).
017000 0299-PTA1-EXIT.
017100     EXIT.
017200/
017300 0300-PEND-DR-RT-1.
017400*
017500     SET X-MMEXTB                TO 316.
017600     PERFORM 8000-SEARCH-MMEX-MAINT
017700        THRU 8099-SMM-EXIT.
017800*
017900     IF  SS02WS-FS-NO-RECORD-FOUND
018000         GO TO 0399-PDR1-EXIT.
018100*
018200     PERFORM MBU600PD-EXTRACT-NUMERICS
018300        THRU MBU600PD-EN-EXIT.
018400*
018500     MOVE MMEXWS-NUMBER          TO MM05-PENDING-DR-RT (1).
018600     MOVE LENGTH OF MM05-PENDING-DR-RT (1)
018700                                 TO MM05-PENDING-DR-RT-L (1).
018800 0399-PDR1-EXIT.
018900     EXIT.
019000/
019100 0400-PEND-DR-ACCT-1.
019200*
019300     SET X-MMEXTB                TO 317.
019400     PERFORM 8000-SEARCH-MMEX-MAINT
019500        THRU 8099-SMM-EXIT.
019600*
019700     IF  SS02WS-FS-NO-RECORD-FOUND
019800         GO TO 0499-PDA1-EXIT.
019900*
020000*
020100     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
020200                                 TO MM05-PENDING-DR-DDA (1).
020300     MOVE LENGTH OF MM05-PENDING-DR-DDA (1)
020400                                 TO MM05-PENDING-DR-DDA-L (1).
020500 0499-PDA1-EXIT.
020600     EXIT.
020700/
020800 0500-PEND-DR-ACCT-TYPE-1.
020900*
021000     SET X-MMEXTB                TO 318.
021100     PERFORM 8000-SEARCH-MMEX-MAINT
021200        THRU 8099-SMM-EXIT.
021300*
021400     IF  SS02WS-FS-NO-RECORD-FOUND
021500         GO TO 0599-PDAT1-EXIT.
021600*
021700*
021800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
021900                                 TO MM05-PENDING-DR-ACCT-TYPE (1).
022000     MOVE LENGTH OF MM05-PENDING-DR-ACCT-TYPE (1)
022100                                 TO MM05-PENDING-DR-ACCT-TYPE-L
022200                                    (1).
022300 0599-PDAT1-EXIT.
022400     EXIT.
022500/
022600 0600-PEND-CR-RT-1.
022700*
022800     SET X-MMEXTB                TO 319.
022900     PERFORM 8000-SEARCH-MMEX-MAINT
023000        THRU 8099-SMM-EXIT.
023100*
023200     IF  SS02WS-FS-NO-RECORD-FOUND
023300         GO TO 0699-PCR1-EXIT.
023400*
023500     PERFORM MBU600PD-EXTRACT-NUMERICS
023600        THRU MBU600PD-EN-EXIT.
023700*
023800     MOVE MMEXWS-NUMBER          TO MM05-PENDING-CR-RT (1).
023900     MOVE LENGTH OF MM05-PENDING-CR-RT (1)
024000                                 TO MM05-PENDING-CR-RT-L (1).
024100 0699-PCR1-EXIT.
024200     EXIT.
024300/
024400 0700-PEND-CR-ACCT-1.
024500*
024600     SET X-MMEXTB                TO 320.
024700     PERFORM 8000-SEARCH-MMEX-MAINT
024800        THRU 8099-SMM-EXIT.
024900*
025000     IF  SS02WS-FS-NO-RECORD-FOUND
025100         GO TO 0799-PCA1-EXIT.
025200*
025300*
025400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
025500                                 TO MM05-PENDING-CR-DDA (1).
025600     MOVE LENGTH OF MM05-PENDING-CR-DDA (1)
025700                                 TO MM05-PENDING-CR-DDA-L (1).
025800 0799-PCA1-EXIT.
025900     EXIT.
026000/
026100 0800-PEND-CR-ACCT-TYPE-1.
026200*
026300     SET X-MMEXTB                TO 321.
026400     PERFORM 8000-SEARCH-MMEX-MAINT
026500        THRU 8099-SMM-EXIT.
026600*
026700     IF  SS02WS-FS-NO-RECORD-FOUND
026800         GO TO 0899-PCAT1-EXIT.
026900*
027000*
027100     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
027200                                 TO MM05-PENDING-CR-ACCT-TYPE (1).
027300     MOVE LENGTH OF MM05-PENDING-CR-ACCT-TYPE (1)
027400                                 TO MM05-PENDING-CR-ACCT-TYPE-L
027500                                    (1).
027600 0899-PCAT1-EXIT.
027700     EXIT.
027800/
027900 0900-SETT-ACCT-METH-1.
028000*
028100     SET X-MMEXTB                TO 322.
028200     PERFORM 8000-SEARCH-MMEX-MAINT
028300        THRU 8099-SMM-EXIT.
028400*
028500     IF  SS02WS-FS-NO-RECORD-FOUND
028600         GO TO 0999-SAM1-EXIT.
028700*
028800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
028900                                 TO MM05-MSA-METHOD (1).
029000     MOVE LENGTH OF MM05-MSA-METHOD (1)
029100                                 TO MM05-MSA-METHOD-L (1).
029200 0999-SAM1-EXIT.
029300     EXIT.
029400/
029500 1000-INTERIM-SETT-METH-1.
029600*
029700     SET X-MMEXTB                TO 323.
029800     PERFORM 8000-SEARCH-MMEX-MAINT
029900        THRU 8099-SMM-EXIT.
030000*
030100     IF  SS02WS-FS-NO-RECORD-FOUND
030200         GO TO 1099-ISM1-EXIT.
030300*
030400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
030500                                 TO MM05-ISA-METHOD (1).
030600     MOVE LENGTH OF MM05-ISA-METHOD (1)
030700                                 TO MM05-ISA-METHOD-L (1).
030800 1099-ISM1-EXIT.
030900     EXIT.
031000/
031100 1100-PRENOTE-CTL-2.
031200*
031300     SET X-MMEXTB                TO 324.
031400     PERFORM 8000-SEARCH-MMEX-MAINT
031500        THRU 8099-SMM-EXIT.
031600*
031700     IF  SS02WS-FS-NO-RECORD-FOUND
031800         GO TO 1199-PC2-EXIT.
031900*
032000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
032100                                 TO MM05-PRENOTE-CONTROL (2).
032200     MOVE LENGTH OF MM05-PRENOTE-CONTROL (2)
032300                                 TO MM05-PRENOTE-CONTROL-L (2).
032400*
032500 1199-PC2-EXIT.
032600     EXIT.
032700/
032800 1200-PENDING-TO-ACT-2.
032900*
033000     SET X-MMEXTB                TO 327.
033100     PERFORM 8000-SEARCH-MMEX-MAINT
033200        THRU 8099-SMM-EXIT.
033300*
033400     IF  SS02WS-FS-NO-RECORD-FOUND
033500         GO TO 1299-PTA2-EXIT.
033600*
033700     PERFORM MBU600PD-EXTRACT-NUMERICS
033800        THRU MBU600PD-EN-EXIT.
033900*
034000     MOVE MMEXWS-NUMBER          TO MM05-PENDING-DATE (2).
034100     MOVE LENGTH OF MM05-PENDING-DATE (2)
034200                                 TO MM05-PENDING-DATE-L (2).
034300 1299-PTA2-EXIT.
034400     EXIT.
034500/
034600 1300-PEND-DR-RT-2.
034700*
034800     SET X-MMEXTB                TO 334.
034900     PERFORM 8000-SEARCH-MMEX-MAINT
035000        THRU 8099-SMM-EXIT.
035100*
035200     IF  SS02WS-FS-NO-RECORD-FOUND
035300         GO TO 1399-PDR2-EXIT.
035400*
035500     PERFORM MBU600PD-EXTRACT-NUMERICS
035600        THRU MBU600PD-EN-EXIT.
035700*
035800     MOVE MMEXWS-NUMBER          TO MM05-PENDING-DR-RT (2).
035900     MOVE LENGTH OF MM05-PENDING-DR-RT (2)
036000                                 TO MM05-PENDING-DR-RT-L (2).
036100 1399-PDR2-EXIT.
036200     EXIT.
036300/
036400 1400-PEND-DR-ACCT-2.
036500*
036600     SET X-MMEXTB                TO 335.
036700     PERFORM 8000-SEARCH-MMEX-MAINT
036800        THRU 8099-SMM-EXIT.
036900*
037000     IF  SS02WS-FS-NO-RECORD-FOUND
037100         GO TO 1499-PDA2-EXIT.
037200*
037300*
037400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
037500                                 TO MM05-PENDING-DR-DDA (2).
037600     MOVE LENGTH OF MM05-PENDING-DR-DDA (2)
037700                                 TO MM05-PENDING-DR-DDA-L (2).
037800 1499-PDA2-EXIT.
037900     EXIT.
038000/
038100 1500-PEND-DR-ACCT-TYPE-2.
038200*
038300     SET X-MMEXTB                TO 336.
038400     PERFORM 8000-SEARCH-MMEX-MAINT
038500        THRU 8099-SMM-EXIT.
038600*
038700     IF  SS02WS-FS-NO-RECORD-FOUND
038800         GO TO 1599-PDAT2-EXIT.
038900*
039000*
039100     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
039200                                 TO MM05-PENDING-DR-ACCT-TYPE (2).
039300     MOVE LENGTH OF MM05-PENDING-DR-ACCT-TYPE (2)
039400                                 TO MM05-PENDING-DR-ACCT-TYPE-L
039500                                    (2).
039600 1599-PDAT2-EXIT.
039700     EXIT.
039800/
039900 1600-PEND-CR-RT-2.
040000*
040100     SET X-MMEXTB                TO 337.
040200     PERFORM 8000-SEARCH-MMEX-MAINT
040300        THRU 8099-SMM-EXIT.
040400*
040500     IF  SS02WS-FS-NO-RECORD-FOUND
040600         GO TO 1699-PCR2-EXIT.
040700*
040800     PERFORM MBU600PD-EXTRACT-NUMERICS
040900        THRU MBU600PD-EN-EXIT.
041000*
041100     MOVE MMEXWS-NUMBER          TO MM05-PENDING-CR-RT (2).
041200     MOVE LENGTH OF MM05-PENDING-CR-RT (2)
041300                                 TO MM05-PENDING-CR-RT-L (2).
041400 1699-PCR2-EXIT.
041500     EXIT.
041600/
041700 1700-PEND-CR-ACCT-2.
041800*
041900     SET X-MMEXTB                TO 338.
042000     PERFORM 8000-SEARCH-MMEX-MAINT
042100        THRU 8099-SMM-EXIT.
042200*
042300     IF  SS02WS-FS-NO-RECORD-FOUND
042400         GO TO 1799-PCA2-EXIT.
042500*
042600*
042700     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
042800                                 TO MM05-PENDING-CR-DDA (2).
042900     MOVE LENGTH OF MM05-PENDING-CR-DDA (2)
043000                                 TO MM05-PENDING-CR-DDA-L (2).
043100 1799-PCA2-EXIT.
043200     EXIT.
043300/
043400 1800-PEND-CR-ACCT-TYPE-2.
043500*
043600     SET X-MMEXTB                TO 339.
043700     PERFORM 8000-SEARCH-MMEX-MAINT
043800        THRU 8099-SMM-EXIT.
043900*
044000     IF  SS02WS-FS-NO-RECORD-FOUND
044100         GO TO 1899-PCAT2-EXIT.
044200*
044300*
044400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
044500                                 TO MM05-PENDING-CR-ACCT-TYPE (2).
044600     MOVE LENGTH OF MM05-PENDING-CR-ACCT-TYPE (2)
044700                                 TO MM05-PENDING-CR-ACCT-TYPE-L
044800                                    (2).
044900 1899-PCAT2-EXIT.
045000     EXIT.
045100/
045200 1900-SETT-ACCT-METH-2.
045300*
045400     SET X-MMEXTB                TO 340.
045500     PERFORM 8000-SEARCH-MMEX-MAINT
045600        THRU 8099-SMM-EXIT.
045700*
045800     IF  SS02WS-FS-NO-RECORD-FOUND
045900         GO TO 1999-SAM2-EXIT.
046000*
046100     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
046200                                 TO MM05-MSA-METHOD (2).
046300     MOVE LENGTH OF MM05-MSA-METHOD (2)
046400                                 TO MM05-MSA-METHOD-L (2).
046500 1999-SAM2-EXIT.
046600     EXIT.
046700/
046800 2000-INTERIM-SETT-METH-2.
046900*
047000     SET X-MMEXTB                TO 341.
047100     PERFORM 8000-SEARCH-MMEX-MAINT
047200        THRU 8099-SMM-EXIT.
047300*
047400     IF  SS02WS-FS-NO-RECORD-FOUND
047500         GO TO 2099-ISM2-EXIT.
047600*
047700     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
047800                                 TO MM05-ISA-METHOD (2).
047900     MOVE LENGTH OF MM05-ISA-METHOD (2)
048000                                 TO MM05-ISA-METHOD-L (2).
048100 2099-ISM2-EXIT.
048200     EXIT.
048300/
048400 8000-SEARCH-MMEX-MAINT SECTION.
048500 8001-SMM-BEGIN.
048600*
048700     SET X-MMEX-MAINT            TO 1.
048800     SEARCH MMEX-MAINT-CRITERIA VARYING X-MMEX-MAINT
048900         AT END
049000             SET SS02WS-FS-NO-RECORD-FOUND
049100                                 TO TRUE
049200         WHEN MMEX-MAINT-FILE-ID(X-MMEX-MAINT) IS EQUAL TO SPACES
049300             SET SS02WS-FS-NO-RECORD-FOUND
049400                                 TO TRUE
049500         WHEN MMEX-MAINT-FIELD-CODE (X-MMEX-MAINT)
049600              IS EQUAL TO MMEXTB-FIELD-CODE (X-MMEXTB)
049700             SET SS02WS-FS-SUCCESSFUL
049800                                 TO TRUE.
049900*
050000 8099-SMM-EXIT.
050100     EXIT.
050200/
050300 9000-PERFORMED-ROUTINES-SECT SECTION.
050400     COPY SS07PD.
050500/
050600     COPY SS08PD.
050700/
050800     COPY SS26PD.
050900/
051000     COPY SS27PD.
051100/
051200     COPY MBU600PD.
051300*
051400 9995-END-SOURCE-STATEMENTS SECTION.
051500 9999-END-OF-PROGRAM.
051600     GOBACK.
