000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU6MS10.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU6MS10 - BUILD STORE NON-MONETARY FROM E.X.A.M. PAGE 10   *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MBMS10.
002600     COPY MBMS10R.
002700/
002800     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
002900/
003000     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS01WS.
003500/
003600     COPY SS02WS.
003700*
003800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003900/
004000 LINKAGE SECTION.
004100     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMSMRL.
004600/
004700     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
004800/
004900     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUI==.
005000/
005100 PROCEDURE DIVISION              USING MMEX-RECORD
005200                                       MMMM-RECORD
005300                                       MMSM-RECORD
005400                                       MMUO-RECORD
005500                                       MMUI-RECORD.
005600 A000-MAIN-LINE-SECT SECTION.
005700 A010-ML-BEGIN.
005800*
005900     MOVE LOW-VALUES             TO MMUO-RECORD.
006000     MOVE LOW-VALUES             TO MMUI-RECORD.
006100     MOVE LOW-VALUES             TO MBMS10I.
006200*
006300     SET X-MMEXTB                TO 826.
006400*
006500     PERFORM 0100-STORE-CHAIN
006600        THRU 0199-SC-EXIT
006700        VARYING X-MS10-SCID-INDEX FROM 1 BY 1
006800        UNTIL X-MS10-SCID-INDEX IS GREATER THAN 10.
006900*
007000*
007100     IF  MBMS10I IS EQUAL TO LOW-VALUES
007200         NEXT SENTENCE
007300     ELSE
007400         MOVE MBMS10I            TO MMUO-MAP-DATA
007500         MOVE 'MBMS'             TO MMUO-TRANID
007600         MOVE 10                 TO MMUO-CURRENT-PAGE
007700         MOVE MMSM-ORG           TO MMUO-MS-ORG
007800         MOVE MMSM-STORE         TO MMUO-MS-STORE
007900         MOVE LENGTH OF MBMS10I  TO MMUO-VAR-LENGTH
008000     END-IF.
008100*
008200     GO TO 9999-END-OF-PROGRAM.
008300*
008400 A999-ML-EXIT.
008500     EXIT.
008600/
008700 0000-STORE-MAINT-PAGE-10 SECTION.
008800 0100-STORE-CHAIN.
008900*
009000     PERFORM 8000-SEARCH-MMEX-MAINT
009100        THRU 8099-SMM-EXIT.
009200*
009300     IF  SS02WS-FS-NO-RECORD-FOUND
009400         SET X-MMEXTB            UP BY 1
009500         GO TO 0199-SC-EXIT.
009600*
009700     PERFORM MBU600PD-EXTRACT-NUMERICS
009800        THRU MBU600PD-EN-EXIT.
009900*
010000     MOVE MMEXWS-NUMBER          TO MS10-CHAIN
010100                                    (X-MS10-SCID-INDEX).
010200*
010300     MOVE LENGTH OF MS10-CHAIN (X-MS10-SCID-INDEX)
010400                                 TO MS10-CHAIN-L
010500                                    (X-MS10-SCID-INDEX).
010600*
010700     SET X-MMEXTB                UP BY 1.
010800*
010900 0199-SC-EXIT.
011000     EXIT.
011100/
011200 8000-SEARCH-MMEX-MAINT SECTION.
011300 8001-SMM-BEGIN.
011400*
011500     SET X-MMEX-MAINT            TO 1.
011600     SEARCH MMEX-MAINT-CRITERIA VARYING X-MMEX-MAINT
011700         AT END
011800             SET SS02WS-FS-NO-RECORD-FOUND
011900                                 TO TRUE
012000         WHEN MMEX-MAINT-FILE-ID(X-MMEX-MAINT) IS EQUAL TO SPACES
012100             SET SS02WS-FS-NO-RECORD-FOUND
012200                                 TO TRUE
012300         WHEN MMEX-MAINT-FIELD-CODE (X-MMEX-MAINT)
012400              IS EQUAL TO MMEXTB-FIELD-CODE (X-MMEXTB)
012500             SET SS02WS-FS-SUCCESSFUL
012600                                 TO TRUE.
012700*
012800 8099-SMM-EXIT.
012900     EXIT.
013000/
013100 9000-PERFORMED-ROUTINES-SECT SECTION.
013200     COPY SS07PD.
013300/
013400     COPY SS08PD.
013500/
013600     COPY SS26PD.
013700/
013800     COPY SS27PD.
013900/
014000     COPY MBU600PD.
014100*
014200 9995-END-SOURCE-STATEMENTS SECTION.
014300 9999-END-OF-PROGRAM.
014400     GOBACK.
