000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU761.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU761 - BUILD A CSF CONVERTED STATEMENT FILE *****EURO******
000800*                                                 **EQUIVALENT***
000900*****************************************************************
001000*
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000*
002100 DATA DIVISION.
002200 FILE SECTION.
002300*
002400     COPY MS1SSD.
002500*
002600 01  SORT-RECORD.
002700     03  SORT-SORT-KEY.
002800         05  SORT-S-RPT-NBR  PIC  9(02).
002900         05  SORT-S-FORM     PIC  9(02).
003000         05  SORT-S-ORG      PIC  9(03).
003100         05  SORT-S-MC-1     PIC  9(09).
003200         05  SORT-S-MC-2     PIC  9(09).
003300         05  SORT-S-STORE    PIC  9(09).
003400         05  SORT-S-RECORD-ID
003500                             PIC  X(04).
003600         05  SORT-S-REC-TYPE PIC  9(01).
003700         05  SORT-S-SUMM-DTL PIC  X(01).
003800         05  SORT-S-POSTAL-CODE
003900                             PIC  X(10).
004000         05  SORT-S-REC-ID-SEQ
004100                             PIC S9(09)     COMP-3.
004200*
004300     03  DEPOSIT-HISTORY-SORT-KEY REDEFINES SORT-SORT-KEY.
004400         05  DHIST-SORT-S-RPT-NBR
004500                             PIC  9(02).
004600         05  DHIST-SORT-S-FORM
004700                             PIC  9(02).
004800         05  DHIST-SORT-S-ORG
004900                             PIC  9(03).
005000         05  DHIST-SORT-S-MC-1
005100                             PIC  9(09).
005200         05  DHIST-SORT-S-MC-2
005300                             PIC  9(09).
005400         05  DHIST-SORT-S-STORE
005500                             PIC  9(09).
005600         05  DHIST-SORT-S-RECORD-ID
005700                             PIC  X(04).
005800         05  DHIST-SORT-S-BATCH-DATE
005900                             PIC S9(07)      COMP-3.
006000         05  DHIST-SORT-S-BATCH-SOURCE
006100                             PIC S9(05)      COMP-3.
006200         05  DHIST-SORT-S-BATCH-NBR
006300                             PIC S9(05)      COMP-3.
006400         05  DHIST-SORT-S-BATCH-SEQ
006500                             PIC S9(08)      BINARY.
006600         05  FILLER          PIC  X(03).
006700*
006800     03  SORT-DATA-AREA      PIC  X(950).
006900/
007000 WORKING-STORAGE SECTION.
007100*
007200 01  FILLER                  PIC  X(30)      VALUE
007300         '*** WS STARTS HERE MBU761 ***'.
007400*
007500 01  W01-MISC-AREAS.
007600     03  WS-BYPASS-SW        PIC  X(01)      VALUE  'Y'.
007700         88  WS-BYPASS-ON                    VALUE  'Y'.
007800         88  WS-BYPASS-OFF                   VALUE  'N'.
007900     03  W01-FILE-SW         PIC  X(01)      VALUE  ' '.
008000         88 END-OF-INPUT                     VALUE  'X'.
008100*
008200     03  W01-PROD-DESC-TBL   OCCURS  99  TIMES.
008300         05  W01-PROD-DESC   PIC  X(16).
008400     03  WS-SAVE-CURRENCY    PIC  X(03)      VALUE ZEROS.
008500     03  WS-SAVE-CURRENCY-NOD
008600                             PIC  X(01)      VALUE ZEROS.
008700     03  WS-SAVE-PERCENT-NOD PIC  X(01)      VALUE SPACES.
008800*
008900     03  MTEDWS-X            PIC S9(03)      COMP-3
009000                                             VALUE ZEROS.
009100     03  MTEDWS-Y            PIC S9(03)      COMP-3
009200                                             VALUE ZEROS.
009300     03  WS-END-STMT-DATE    PIC S9(07)      COMP-3
009400                                             VALUE ZEROS.
009500/
009600     COPY MB00RB REPLACING ==:MB00:== BY ==MTRF==.
009700/
009800     COPY MTRFIO REPLACING ==:MTRF:== BY ==MTRF==.
009900*
010000     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
010100/
010200     COPY MTSERL REPLACING ==:MTSE:== BY ==MTSE==.
010300/
010400     COPY MTSEIO REPLACING ==:MTSE:== BY ==MTSE==.
010500/
010600     COPY MB00RB REPLACING ==:MB00:== BY ==MTSE==.
010700/
010800     COPY MTSEIR REPLACING ==:MTSE:== BY ==MTSE==.
010900/
011000     COPY MTEDRL REPLACING ==:MTED:== BY ==MTED==.
011100/
011200     COPY MTEDIO REPLACING ==:MTED:== BY ==MTED==.
011300/
011400     COPY MB00RB REPLACING ==:MB00:== BY ==MTED==.
011500/
011600     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMSH==.
011700/
011800     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD3==.
011900/
012000     COPY MTSEWS.
012100/
012200     COPY SC00WS.
012300/
012400     COPY SS00WS.
012500/
012600     COPY SS01WS.
012700/
012800     COPY SS02WS.
012900/
013000     COPY MB00WS.
013100/
013200     COPY MMGDTB.
013300/
013400     COPY SS95WS.
013500/
013600     COPY SS96WS.
013700/
013800     COPY SMRTWS.
013900/
014000     COPY SMCUWS.
014100/
014200     COPY SMCURL.
014300/
014400     COPY SMRTRL.
014500/
014600 PROCEDURE DIVISION.
014700 A000-MAIN-LINE-SECT SECTION.
014800 0000-MAIN-LINE-PROCESSING.
014900*
015000     PERFORM  0100-INITIALIZATION
015100                                 THRU  0100-EXIT.
015200*
015300     SET SS95WS-FUNCTION-INITIALIZE
015400                                 TO TRUE
015500     PERFORM SS95PD-NAP-ROUTINE
015600        THRU SS95PD-NAP-EXIT.
015700*
015800     SORT  MS1S-SORT-FILE
015900           ON ASCENDING KEY      SORT-SORT-KEY
016000           INPUT PROCEDURE IS    1000-REFORMAT-INPUT
016100                                 THRU  3999-EXIT
016200           OUTPUT PROCEDURE IS   6000-WRITE-OUTPUT
016300                                 THRU  6999-EXIT.
016400*
016500     PERFORM SS98PD-VERIFY-SORT-RETURN
016600        THRU SS98PD-VSR-EXIT.
016700*
016800     PERFORM  0200-PROCESS-DEFAULT
016900                                 THRU  0200-EXIT.
017000*
017100     PERFORM  0300-CLOSE-FILES   THRU  0300-EXIT.
017200     GOBACK.
017300*
017400 0100-INITIALIZATION    SECTION.
017500*
017600     MOVE 'MBU761'               TO  SS02WS-ABEND-PROG-ID.
017700     MOVE SS02WS-END-OF-FILE     TO  MTRFRB-PERM-STATUS-1.
017800*
017900     PERFORM  0600-CLEAR-PROD-DESC
018000                                 THRU  0600-EXIT
018100              VARYING  MTSEWS-X  FROM 1 BY 1
018200              UNTIL  MTSEWS-X    IS GREATER THAN  99.
018300*
018400     MOVE 'MERCHANT LEVEL'       TO  W01-PROD-DESC (1).
018500*
018600     MOVE 'RF01'                 TO  SS02WS-ABEND-LOCATION.
018700     SET MTRFRB-OPEN-INPUT       TO  TRUE.
018800     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
018900*
019000     PERFORM  3000-READ-MTRF     THRU  3000-EXIT.
019100*
019200     IF  END-OF-INPUT
019300         MOVE 76101              TO  SS02WS-ABEND-CODE
019400         MOVE '- EMPTY MBS REPORT FILE INPUT'
019500                                 TO  SS02WS-ABENDMSG8
019600         PERFORM  SS02PD-ABEND   THRU  SS02PD-ABEND-EXIT
019700     ELSE
019800         MOVE MTRFIO-RECORD      TO  MTRF-RECORD.
019900*
020000     MOVE 'SE01'                 TO  SS02WS-ABEND-LOCATION.
020100     SET MTSERB-OPEN-OUTPUT      TO  TRUE.
020200     PERFORM MB00PD-MTSE-ACCESS  THRU MB00PD-MTSE-ACCESS-EXIT.
020300*
020400     MOVE 'ST01'                 TO  SS02WS-ABEND-LOCATION.
020500     SET MTEDRB-OPEN-OUTPUT      TO  TRUE.
020600     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
020700*
020800*
020900 0100-EXIT.
021000     EXIT.
021100*
021200 0200-PROCESS-DEFAULT    SECTION.
021300*
021400     PERFORM  0400-LOAD-DESC-TABLE
021500                                 THRU  0400-EXIT
021600              VARYING  MTEDWS-X   FROM 1 BY 1
021700              UNTIL  MTEDWS-X   IS GREATER THAN  495.
021800*
021900     PERFORM  0500-LOAD-DESC-TABLE
022000                                 THRU  0500-EXIT
022100              VARYING  MTEDWS-X   FROM 1 BY 1
022200              UNTIL  MTEDWS-X   IS GREATER THAN  495.
022300*
022400     MOVE 'ST03'                 TO  SS02WS-ABEND-LOCATION.
022500     SET MTEDRB-CLOSE            TO  TRUE.
022600     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
022700*
022800 0200-EXIT.
022900     EXIT.
023000*
023100 0300-CLOSE-FILES    SECTION.
023200*
023300     MOVE 'RF03'                 TO  SS02WS-ABEND-LOCATION.
023400     SET MTRFRB-CLOSE            TO  TRUE.
023500     PERFORM  MB00PD-MTRF-ACCESS THRU MB00PD-MTRF-ACCESS-EXIT.
023600*
023700     MOVE 'SE03'                 TO  SS02WS-ABEND-LOCATION.
023800     SET MTSERB-CLOSE            TO  TRUE.
023900     PERFORM MB00PD-MTSE-ACCESS  THRU MB00PD-MTSE-ACCESS-EXIT.
024000*
024100 0300-EXIT.
024200     EXIT.
024300*
024400 0400-LOAD-DESC-TABLE    SECTION.
024500*
024600*****************************************************************
024700*    OUTPUT THE DEFAULT TABLE ENTRIES FOR USER FEE TITLES.  ORG *
024800*    IS SET TO 000.                                             *
024900*****************************************************************
025000*
025100     IF  MTEDWS-X   GREATER THAN 75
025200     AND MTEDWS-X LESS THAN 86
025300         MOVE SPACES             TO  MTED-RECORD-UF
025400         MOVE 11                 TO  MTED-DEF-TABLE-ID-UF
025500         MOVE 00                 TO  MTED-DEF-RPT-NBR-UF
025600         MOVE 00                 TO  MTED-DEF-FORM-UF
025700         MOVE 000                TO  MTED-DEF-ORG-UF
025800*
025900         MOVE MMGDTB-DT-LM (MTEDWS-X)
026000                                 TO  MTED-DEF-LM-UF
026100         MOVE MMGDTB-DT-DESC (MTEDWS-X)
026200                                 TO  MTED-DEF-DESC-UF
026300         MOVE '('                TO  MTED-DEF-LEFT-PAREN-UF
026400         MOVE ')'                TO  MTED-DEF-RGT-PAREN-UF
026500         MOVE MMGDTB-DT-RPT-DESC  (MTEDWS-X)
026600                                 TO  MTED-DEF-TITLE-UF
026700         PERFORM  2032-WRITE-UF  THRU  2032-EXIT
026800         GO TO 0400-EXIT
026900     END-IF.
027000*
027100     MOVE SPACES                 TO  MTED-RECORD.
027200     MOVE 11                     TO  MTED-DEF-TABLE-ID.
027300     MOVE 00                     TO  MTED-DEF-RPT-NBR.
027400     MOVE 00                     TO  MTED-DEF-FORM.
027500     MOVE 000                    TO  MTED-DEF-ORG.
027600     MOVE MMGDTB-DT-LM (MTEDWS-X)
027700                                 TO  MTED-DEF-LM.
027800     MOVE MMGDTB-DT-DESC (MTEDWS-X)
027900                                 TO  MTED-DEF-DESC.
028000     IF  MTED-DEF-DESC   =  SPACES
028100         MOVE 'UNDEFINED TRANSACTION'
028200                                 TO  MTED-DEF-DESC.
028300*
028400     MOVE 'ST02'                 TO  SS02WS-ABEND-LOCATION.
028500     MOVE MTED-RECORD            TO  MTEDIO-RECORD.
028600     SET MTEDRB-WRITE            TO  TRUE.
028700     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
028800*
028900 0400-EXIT.
029000     EXIT.
029100*
029200 0500-LOAD-DESC-TABLE    SECTION.
029300*
029400******************************************************************
029500*    DON'T OUTPUT THE GEN TABLE ENTRIES FOR USER FEE TITLES. THEY*
029600*    ARE OUTPUT AS SEPARATE RECORDS ELSEWHERE.                   *
029700******************************************************************
029800*
029900     IF  MTEDWS-X   GREATER THAN 90
030000     AND MTEDWS-X LESS THAN 101
030100           GO TO 0500-EXIT
030200     END-IF.
030300*
030400     MOVE SPACES                 TO  MTED-RECORD.
030500     MOVE 11                     TO  MTED-DEF-TABLE-ID.
030600     MOVE 00                     TO  MTED-DEF-RPT-NBR.
030700     MOVE 00                     TO  MTED-DEF-FORM.
030800     MOVE 000                    TO  MTED-DEF-ORG.
030900     MOVE MMGDTB-GT-LM (MTEDWS-X)
031000                                 TO  MTED-DEF-LM.
031100     MOVE MMGDTB-GT-DESC (MTEDWS-X)
031200                                 TO  MTED-DEF-DESC.
031300     IF  MTED-DEF-DESC   =  SPACES
031400         MOVE 'UNDEFINED TRANSACTION'
031500                                 TO  MTED-DEF-DESC.
031600*
031700     MOVE 'ST02'                 TO  SS02WS-ABEND-LOCATION.
031800     MOVE MTED-RECORD            TO  MTEDIO-RECORD.
031900     SET MTEDRB-WRITE            TO  TRUE.
032000     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
032100*
032200 0500-EXIT.
032300     EXIT.
032400*
032500 0600-CLEAR-PROD-DESC    SECTION.
032600     MOVE 'UNDEFINED PROD.'      TO  W01-PROD-DESC (MTSEWS-X).
032700*
032800 0600-EXIT.
032900     EXIT.
033000/
033100 1000-REFORMAT-INPUT    SECTION.
033200*
033300     PERFORM  1010-MAIN-LINE     THRU  1010-EXIT
033400                                 UNTIL  END-OF-INPUT.
033500     GO TO  3999-EXIT.
033600*
033700 1010-MAIN-LINE.
033800*
033900     IF  MTRF-K1-RT-HEADER
034000         MOVE MTRF-HD-CURRENCY-CODE
034100                                 TO WS-SAVE-CURRENCY
034200         MOVE MTRF-HD-CURRENCY-NOD
034300                                 TO WS-SAVE-CURRENCY-NOD
034400         MOVE MTRF-HD-PERCENT-NOD
034500                                 TO WS-SAVE-PERCENT-NOD.
034600*
034700     IF  MTRF-K1-RPT-NBR  =  50
034800     OR  MTRF-K1-RPT-NBR  =  52
034900         PERFORM  1100-BUILD-RECORDS
035000                                 THRU  1100-EXIT.
035100*
035200     PERFORM  3000-READ-MTRF     THRU  3000-EXIT.
035300*
035400 1010-EXIT.
035500     EXIT.
035600/
035700 1100-BUILD-RECORDS.
035800*
035900*     CLEAR COMMON OUTPUT RECORD AREA
036000*
036100     MOVE MTSEIR-SORT-KEY        TO  MTSE-SORT-KEY.
036200     MOVE MTSEIR-STATIC-DATA     TO  MTSE-STATIC-DATA.
036300     MOVE MTRF-K1-RPT-NBR        TO  MTSE-S-RPT-NBR.
036400     MOVE MTRF-K1-FORM           TO  MTSE-S-FORM.
036500     MOVE MTRF-K1-REC-TYPE       TO  MTSE-S-REC-TYPE.
036600     MOVE MTRF-K1-SUMMARY-DETAIL TO  MTSE-S-SUMM-DTL.
036700     MOVE MTRF-K1-ORG            TO  MTSE-S-ORG.
036800     MOVE MTRF-K2-O50-MERCHANT   TO  MTSE-S-MERCHANT.
036900     MOVE MTRF-STORE             TO  MTSE-S-STORE.
037000     MOVE MTRF-CHAIN             TO  MTSE-S-CHAIN.
037100     MOVE MTRF-BLOCK-CODE        TO MTSE-BLOCK-CODE.
037200     MOVE MTRF-REC-STATUS        TO MTSE-REC-STATUS.
037300     MOVE MTRF-GNA-NBR           TO MTSE-GNA-NBR.
037400     MOVE MTRF-NA-OVERFLOW-SW    TO MTSE-NA-OVERFLOW-SW.
037500     MOVE MTRF-NAME              TO MTSE-NAME.
037600     MOVE MTRF-STATE             TO MTSE-STATE.
037700     MOVE MTRF-COUNTRY           TO MTSE-COUNTRY.
037800     MOVE MTRF-STMT-FREQ-1       TO MTSE-STMT-FREQ-1.
037900     MOVE MTRF-STMT-FREQ-2       TO MTSE-STMT-FREQ-2.
038000     MOVE MTRF-DISC-FREQ-1       TO MTSE-DISC-FREQ-1.
038100     MOVE MTRF-DISC-FREQ-2       TO MTSE-DISC-FREQ-2.
038200     MOVE MTRF-PART-FREQ-1       TO MTSE-PART-FREQ-1.
038300     MOVE MTRF-PART-FREQ-2       TO MTSE-PART-FREQ-2.
038400     MOVE MTRF-SETT-FREQ-1       TO MTSE-SETT-FREQ-1.
038500     MOVE MTRF-SETT-FREQ-2       TO MTSE-SETT-FREQ-2.
038600     MOVE MTRF-CLOSE-REASON      TO MTSE-CLOSE-REASON.
038700     MOVE MTRF-K2-O50-POSTAL-CODE
038800                                 TO  MTSE-S-POSTAL-CODE.
038900     MOVE WS-SAVE-CURRENCY       TO  MTSE-CURRENCY-CODE
039000                                     SS95WS-CURRENCY-CODE.
039100     MOVE WS-SAVE-CURRENCY-NOD   TO  MTSE-CURRENCY-NOD.
039200*
039300     MOVE WS-SAVE-CURRENCY       TO SMCUWS-CURRENCY-CODE.
039400     PERFORM SMCUPXB-OBTAIN-CURRENCY-DATA
039500                                 THRU SMCUPXB-OCD-EXIT.
039600*
039700     IF  SMCUWS-RC-CURRENCY-FOUND
039800         MOVE SMCUWS-RECORD      TO SMCU-RECORD
039900         MOVE SMCU-CURRENCY-NAME TO MTSE-CURRENCY-DESC
040000     ELSE
040100         MOVE SPACES             TO MTSE-CURRENCY-DESC
040200     END-IF.
040300*
040400     IF  MTRF-K1-RPT-NBR  =  52
040500         IF  MTRF-K2-O50-MERCH-SUMMARY
040600             MOVE MTRF-K2-O50-REC-ID-SEQ
040700                                 TO  MTSE-S-MERCHANT
040800             MOVE MTRF-K2-O50-MERCHANT
040900                                 TO  MTSE-S-CHAIN
041000         ELSE
041100             MOVE MTRF-K2-O50-MERCHANT
041200                                 TO  MTSE-S-CHAIN
041300             MOVE ZEROS          TO  MTSE-S-MERCHANT
041400         END-IF
041500     END-IF.
041600*
041700     IF  MTRF-K2-O50-CORR-NA-RECORD
041800         PERFORM  2000-BUILD-PROCESSOR
041900                                 THRU  2000-EXIT.
042000*
042100     IF  MTRF-K2-O50-NA-RECORD
042200         PERFORM  2010-BUILD-DEMO-DATA
042300                                 THRU  2010-EXIT.
042400*
042500     IF  MTRF-K2-O50-STMT-MSG-1
042600     OR  MTRF-K2-O50-STMT-MSG-2
042700     OR  MTRF-K2-O50-STMT-MSG-3
042800     OR  MTRF-K2-O50-STMT-MSG-4
042900     OR  MTRF-K2-O50-STMT-MSG-5
043000         PERFORM  2020-BUILD-STMT-MSG
043100                                 THRU  2020-EXIT.
043200*
043300     IF  MTRF-K2-O50-USER-FEE-TITLES
043400         PERFORM  2030-BUILD-FEE-TITLES
043500                                 THRU  2030-EXIT.
043600*
043700     IF  MTRF-K2-O50-PROD-DESC-RECORD
043800         PERFORM  2040-BUILD-PROD-DESC
043900                                 THRU  2040-EXIT.
044000*
044100     IF  MTRF-K2-O50-BALANCE-SUMMARY
044200     OR  MTRF-K2-O50-MERCH-SUMMARY
044300         PERFORM  2050-BUILD-BAL-SUMMARY
044400                                 THRU  2050-EXIT.
044500*
044600     IF  MTRF-K2-O50-RESERVE-SUMMARY
044700         PERFORM  2060-BUILD-RESERVE-SUMM
044800                                 THRU  2060-EXIT.
044900*
045000     IF  MTRF-K2-O50-RECOVERY-ADJ
045100         PERFORM  2070-BUILD-RECOV-ADJ
045200                                 THRU  2070-EXIT.
045300*
045400     IF  MTRF-K2-O50-ADJ-SUMMARY
045500         PERFORM  2080-BUILD-ADJ-SUMMARY
045600                                 THRU  2080-EXIT.
045700*
045800     IF  MTRF-K2-O50-USER-CR-SUMMARY
045900         PERFORM  2090-BUILD-USER-CR-SUMM
046000                                 THRU  2090-EXIT.
046100*
046200     IF  MTRF-K2-O50-FEE-SUMMARY
046300         PERFORM  2100-BUILD-FEE-SUMMARY
046400                                 THRU  2100-EXIT.
046500*
046600     IF  MTRF-K2-O50-SETT-DISTRIB
046700         PERFORM  2110-BUILD-DISBURSE-ACT
046800                                 THRU  2110-EXIT.
046900*
047000     IF  MTRF-K2-O50-SETT-TOTALS
047100         PERFORM  2120-BUILD-DISBURSE-TOT
047200                                 THRU  2120-EXIT.
047300*
047400     IF  MTRF-K2-O50-PRODUCT-SUMMARY
047500         PERFORM  2130-BUILD-PROD-SUMMARY
047600                                 THRU  2130-EXIT.
047700*
047800     IF  MTRF-K2-O50-STORE-SUMMARY
047900         PERFORM  2140-BUILD-STORE-SUMM
048000                                 THRU  2140-EXIT.
048100*
048200     IF  MTRF-K2-O50-DETAIL-TRANS
048300         PERFORM  2150-BUILD-HISTORY
048400                                 THRU  2150-EXIT.
048500*
048600     IF  MTRF-K2-O50-DEPOSIT-TRANS
048700         PERFORM  2160-BUILD-DEPOSIT-HIST
048800                                 THRU  2160-EXIT.
048900*
049000 1100-EXIT.
049100     EXIT.
049200/
049300 2000-BUILD-PROCESSOR.
049400*
049500     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
049600     MOVE MTSEIR-PROC-DEMO       TO  MTSE-PROC-DEMO.
049700     MOVE MTRF-O50-R0006-NAME-ADDR (1)
049800                                 TO  MTSE-PD-NAME-ADDR1.
049900     MOVE MTRF-O50-R0006-NAME-ADDR (2)
050000                                 TO  MTSE-PD-NAME-ADDR2.
050100     MOVE MTRF-O50-R0006-NAME-ADDR (3)
050200                                 TO  MTSE-PD-NAME-ADDR3.
050300     MOVE MTRF-O50-R0006-NAME-ADDR (4)
050400                                 TO  MTSE-PD-NAME-ADDR4.
050500     MOVE MTRF-O50-R0006-NAME-ADDR (5)
050600                                 TO  MTSE-PD-NAME-ADDR5.
050700     MOVE MTRF-O50-CORR-PHONE    TO  MTSE-PD-CORR-PHONE.
050800     MOVE MTRF-O50-CORR-FAX      TO  MTSE-PD-CORR-FAX.
050900     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
051000*
051100 2000-EXIT.
051200     EXIT.
051300*
051400 2010-BUILD-DEMO-DATA.
051500*
051600     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
051700     MOVE MTSEIR-DEMO-DATA       TO  MTSE-DEMO-DATA.
051800     MOVE MTRF-O50-POSTAL-CODE   TO  MTSE-DD-POSTAL-CODE.
051900     MOVE MTRF-O50-R0000-NAME-ADDR (1)
052000                                 TO  MTSE-DD-NAME-ADDR1.
052100     MOVE MTRF-O50-R0000-NAME-ADDR (2)
052200                                 TO  MTSE-DD-NAME-ADDR2.
052300     MOVE MTRF-O50-R0000-NAME-ADDR (3)
052400                                 TO  MTSE-DD-NAME-ADDR3.
052500     MOVE MTRF-O50-R0000-NAME-ADDR (4)
052600                                 TO  MTSE-DD-NAME-ADDR4.
052700     MOVE MTRF-O50-R0000-NAME-ADDR (5)
052800                                 TO  MTSE-DD-NAME-ADDR5.
052900*
053000     MOVE MTRF-O50-BEG-STMT-DATE TO  SS01WS-JULIAN.
053100     MOVE 1                      TO  SS01WS-FREQ.
053200     MOVE 'D'                    TO  SS01WS-PERIOD.
053300     PERFORM SS03PD-FUTURE-DATE
053400                                 THRU SS03PD-FD-EXIT.
053500     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
053600     MOVE SS01WS-MM              TO  MTSEWS-MM.
053700     MOVE SS01WS-DD              TO  MTSEWS-DD.
053800     MOVE MTSEWS-DATE            TO  MTSE-DD-BEG-STMT-DATE.
053900*
054000     MOVE MTRF-O50-END-STMT-DATE TO  WS-END-STMT-DATE.
054100     MOVE MTRF-O50-END-STMT-DATE TO  SS01WS-JULIAN.
054200     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
054300     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
054400     MOVE SS01WS-MM              TO  MTSEWS-MM.
054500     MOVE SS01WS-DD              TO  MTSEWS-DD.
054600     MOVE MTSEWS-DATE            TO  MTSE-DD-END-STMT-DATE.
054700*
054800     MOVE MTRF-O50-IMP-DEV-TITLE (1)
054900                                 TO  MTSE-DD-IMP-DEV-TITLE1.
055000     MOVE MTRF-O50-IMP-DEV-TITLE (2)
055100                                 TO  MTSE-DD-IMP-DEV-TITLE2.
055200     MOVE MTRF-O50-IMP-DEV-TITLE (3)
055300                                 TO  MTSE-DD-IMP-DEV-TITLE3.
055400     MOVE MTRF-O50-POS-DEV-TITLE (1)
055500                                 TO  MTSE-DD-POS-DEV-TITLE1.
055600     MOVE MTRF-O50-POS-DEV-TITLE (2)
055700                                 TO  MTSE-DD-POS-DEV-TITLE2.
055800     MOVE MTRF-O50-POS-DEV-TITLE (3)
055900                                 TO  MTSE-DD-POS-DEV-TITLE3.
056000     MOVE MTRF-O50-EURO-REPORTING-FLAG
056100                                 TO  MTSE-DD-EURO-RPT-FLAG.
056200     MOVE MTRF-O50-DUAL-CURRENCY-ORG
056300                                 TO  MTSE-DD-DUAL-CURR-ORG.
056400     MOVE MTRF-O50-DEST-CURRENCY
056500                                 TO  MTSE-DD-DEST-CURR.
056600     MOVE MTRF-O50-OOB-FLAG      TO  MTSE-OOB-FLAG.
056700     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
056800*
056900 2010-EXIT.
057000     EXIT.
057100*
057200 2020-BUILD-STMT-MSG.
057300*
057400     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
057500     MOVE MTSEIR-STMNT-MSG       TO  MTSE-STMNT-MSG.
057600     MOVE MTRF-O50-STMT-MSG-LINE (1)
057700                                 TO  MTSE-STMT-MSG-LINE1.
057800     MOVE MTRF-O50-STMT-MSG-LINE (2)
057900                                 TO  MTSE-STMT-MSG-LINE2.
058000     MOVE MTRF-O50-STMT-MSG-LINE (3)
058100                                 TO  MTSE-STMT-MSG-LINE3.
058200     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
058300*
058400 2020-EXIT.
058500     EXIT.
058600*
058700 2030-BUILD-FEE-TITLES.
058800*
058900     MOVE SPACES                 TO  MTED-RECORD-UF.
059000     MOVE 11                     TO  MTED-DEF-TABLE-ID-UF.
059100     MOVE MTRF-K1-FORM           TO  MTED-DEF-FORM-UF.
059200     MOVE MTRF-K1-RPT-NBR        TO  MTED-DEF-RPT-NBR-UF.
059300     MOVE MTRF-K1-ORG            TO  MTED-DEF-ORG-UF.
059400*
059500     MOVE MMGDTB-GT-LM (91)
059600                                 TO  MTED-DEF-LM-UF.
059700     MOVE MMGDTB-G-091-2
059800                                 TO  MTED-DEF-DESC-UF.
059900     MOVE MTRF-UFT-TITLES-DESC (1)
060000                                 TO  MTED-DEF-TITLE-UF.
060100     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
060200*
060300     MOVE MMGDTB-GT-LM (92)
060400                                 TO  MTED-DEF-LM-UF.
060500     MOVE MMGDTB-G-092-2
060600                                 TO  MTED-DEF-DESC-UF.
060700     MOVE MTRF-UFT-TITLES-DESC (2)
060800                                 TO  MTED-DEF-TITLE-UF.
060900     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
061000*
061100     MOVE MMGDTB-GT-LM (93)
061200                                 TO  MTED-DEF-LM-UF.
061300     MOVE MMGDTB-G-093-2
061400                                 TO  MTED-DEF-DESC-UF.
061500     MOVE MTRF-UFT-TITLES-DESC (3)
061600                                 TO  MTED-DEF-TITLE-UF.
061700     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
061800*
061900     MOVE MMGDTB-GT-LM (94)
062000                                 TO  MTED-DEF-LM-UF.
062100     MOVE MMGDTB-G-094-2
062200                                 TO  MTED-DEF-DESC-UF.
062300     MOVE MTRF-UFT-TITLES-DESC (4)
062400                                 TO  MTED-DEF-TITLE-UF.
062500     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
062600*
062700     MOVE MMGDTB-GT-LM (95)
062800                                 TO  MTED-DEF-LM-UF.
062900     MOVE MMGDTB-G-095-2
063000                                 TO  MTED-DEF-DESC-UF.
063100     MOVE MTRF-UFT-TITLES-DESC (5)
063200                                 TO  MTED-DEF-TITLE-UF.
063300     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
063400*
063500     MOVE MMGDTB-GT-LM (96)
063600                                 TO  MTED-DEF-LM-UF.
063700     MOVE MMGDTB-G-096-2
063800                                 TO  MTED-DEF-DESC-UF.
063900     MOVE MTRF-UFT-TITLES-DESC (6)
064000                                 TO  MTED-DEF-TITLE-UF.
064100     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
064200*
064300     MOVE MMGDTB-GT-LM (97)
064400                                 TO  MTED-DEF-LM-UF.
064500     MOVE MMGDTB-G-097-2
064600                                 TO  MTED-DEF-DESC-UF.
064700     MOVE MTRF-UFT-TITLES-DESC (7)
064800                                 TO  MTED-DEF-TITLE-UF.
064900     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
065000*
065100     MOVE MMGDTB-GT-LM (98)
065200                                 TO  MTED-DEF-LM-UF.
065300     MOVE MMGDTB-G-098-2
065400                                 TO  MTED-DEF-DESC-UF.
065500     MOVE MTRF-UFT-TITLES-DESC (8)
065600                                 TO  MTED-DEF-TITLE-UF.
065700     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
065800*
065900     MOVE MMGDTB-GT-LM (99)
066000                                 TO  MTED-DEF-LM-UF.
066100     MOVE MMGDTB-G-099-2
066200                                 TO  MTED-DEF-DESC-UF.
066300     MOVE MTRF-UFT-TITLES-DESC (9)
066400                                 TO  MTED-DEF-TITLE-UF.
066500     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
066600*
066700     MOVE MMGDTB-GT-LM (100)
066800                                 TO  MTED-DEF-LM-UF.
066900     MOVE MMGDTB-G-100-2
067000                                 TO  MTED-DEF-DESC-UF.
067100     MOVE MTRF-UFT-TITLES-DESC (10)
067200                                 TO  MTED-DEF-TITLE-UF.
067300     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
067400*
067500 2030-EXIT.
067600     EXIT.
067700*
067800 2032-WRITE-UF.
067900*
068000     IF  MTED-DEF-DESC-UF   =  SPACES
068100         MOVE 'UNDEFINED TRANSACTION'
068200                                 TO  MTED-DEF-DESC-UF.
068300*
068400     MOVE '('                    TO  MTED-DEF-LEFT-PAREN-UF.
068500     MOVE ')'                    TO  MTED-DEF-RGT-PAREN-UF.
068600*
068700     MOVE 'ST02'                 TO  SS02WS-ABEND-LOCATION.
068800     MOVE MTED-RECORD-UF         TO  MTEDIO-RECORD.
068900     SET MTEDRB-WRITE            TO  TRUE.
069000     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
069100*
069200 2032-EXIT.
069300*
069400 2040-BUILD-PROD-DESC.
069500*
069600     ADD  1                      TO  MTRF-PD-BEG-INDEX.
069700*
069800     IF  MTRF-PD-BEG-INDEX  IS NUMERIC    AND
069900         MTRF-PD-BEG-INDEX  IS GREATER THAN  ZERO
070000         MOVE MTRF-PD-BEG-INDEX  TO  MTSEWS-X
070100     ELSE
070200         MOVE 99                 TO  MTSEWS-X.
070300*
070400     PERFORM  2045-MOVE-PROD-DESC
070500                                 THRU  2045-EXIT
070600              VARYING  MTSEWS-Y   FROM 1 BY 1
070700              UNTIL  MTSEWS-Y   IS GREATER THAN  11
070800              OR     MTSEWS-X   IS GREATER THAN  99.
070900*
071000 2040-EXIT.
071100     EXIT.
071200*
071300 2045-MOVE-PROD-DESC.
071400*
071500     MOVE MTRF-PD-PROD-DESC (MTSEWS-Y)
071600                                 TO  W01-PROD-DESC (MTSEWS-X).
071700     ADD  1                      TO  MTSEWS-X.
071800*
071900 2045-EXIT.
072000     EXIT.
072100*
072200 2050-BUILD-BAL-SUMMARY.
072300*
072400     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
072500*
072600     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
072700     MOVE MTSEIR-BAL-SUMMARY     TO  MTSE-BAL-SUMMARY.
072800*
072900     COMPUTE SS95WS-IN-AMT        = MTRF-O50-BAL-SETT-CR-AMT
073000                                  + MTRF-O50-BAL-SETT-DR-AMT
073100                                  + MTRF-O50-BAL-HOLDOVER-AMT.
073200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
073300     MOVE SS95WS-OUT-AMT-L21     TO MTSE-BS-NET-SETT-AMT.
073400*
073500     MOVE MTRF-O50-BAL-CURR-HOLDOVER-AMT
073600                                 TO SS95WS-IN-AMT.
073700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
073800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-CURR-HOLDOVER-AMT.
073900*
074000     MOVE MTRF-O50-BAL-BEG-BALANCE
074100                                 TO SS95WS-IN-AMT.
074200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
074300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-BEG-BALANCE.
074400*
074500     MOVE MTRF-O50-BAL-END-BALANCE
074600                                 TO SS95WS-IN-AMT.
074700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
074800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-END-BALANCE.
074900*
075000     MOVE MTRF-O50-BAL-BATCH-HEADER-NBR
075100                                 TO  MTSE-BS-BATCH-HEADER-NBR.
075200*
075300     MOVE MTRF-O50-BAL-BATCH-HEADER-AMT
075400                                 TO SS95WS-IN-AMT.
075500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
075600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-BATCH-HEADER-AMT.
075700*
075800     MOVE MTRF-O50-BAL-RESV-TO-SETT-NBR
075900                                 TO  MTSE-BS-RESV-TO-SETT-NBR.
076000*
076100     MOVE MTRF-O50-BAL-RESV-TO-SETT-AMT
076200                                 TO SS95WS-IN-AMT.
076300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
076400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-RESV-TO-SETT-AMT.
076500*
076600     MOVE MTRF-O50-BAL-REFUND-NBR
076700                                 TO  MTSE-BS-REFUND-NBR.
076800*
076900     MOVE MTRF-O50-BAL-REFUND-AMT
077000                                 TO SS95WS-IN-AMT.
077100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
077200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-REFUND-AMT.
077300*
077400     MOVE MTRF-O50-BAL-PART-CR-NBR
077500                                 TO  MTSE-BS-PART-CR-NBR.
077600*
077700     MOVE MTRF-O50-BAL-PART-CR-AMT
077800                                 TO SS95WS-IN-AMT.
077900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
078000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-PART-CR-AMT.
078100*
078200     MOVE MTRF-O50-BAL-ADJ-CR-NBR
078300                                 TO  MTSE-BS-ADJ-CR-NBR.
078400*
078500     MOVE MTRF-O50-BAL-ADJ-CR-AMT
078600                                 TO SS95WS-IN-AMT.
078700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
078800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-ADJ-CR-AMT.
078900*
079000     MOVE MTRF-O50-BAL-REC-ADJ-CR-NBR
079100                                 TO  MTSE-BS-REC-ADJ-CR-NBR.
079200*
079300     MOVE MTRF-O50-BAL-REC-ADJ-CR-AMT
079400                                 TO SS95WS-IN-AMT.
079500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
079600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-REC-ADJ-CR-AMT.
079700*
079800     MOVE MTRF-O50-BAL-USER-CR-NBR
079900                                 TO  MTSE-BS-USER-CR-NBR.
080000*
080100     MOVE MTRF-O50-BAL-USER-CR-AMT
080200                                 TO SS95WS-IN-AMT.
080300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
080400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-USER-CR-AMT.
080500*
080600     MOVE MTRF-O50-BAL-RESV-FUNDING-NBR
080700                                 TO  MTSE-BS-RESV-FUNDING-NBR.
080800*
080900     MOVE MTRF-O50-BAL-RESV-FUNDING-AMT
081000                                 TO SS95WS-IN-AMT.
081100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
081200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-RESV-FUNDING-AMT.
081300*
081400     MOVE MTRF-O50-BAL-DISCOUNT-NBR
081500                                 TO  MTSE-BS-DISCOUNT-NBR.
081600*
081700     MOVE MTRF-O50-BAL-DISCOUNT-AMT
081800                                 TO SS95WS-IN-AMT.
081900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
082000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-DISCOUNT-AMT.
082100*
082200     MOVE MTRF-O50-BAL-PART-DR-NBR
082300                                 TO  MTSE-BS-PART-DR-NBR.
082400*
082500     MOVE MTRF-O50-BAL-PART-DR-AMT
082600                                 TO SS95WS-IN-AMT.
082700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
082800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-PART-DR-AMT.
082900*
083000     MOVE MTRF-O50-BAL-ADJ-DR-NBR
083100                                 TO  MTSE-BS-ADJ-DR-NBR.
083200*
083300     MOVE MTRF-O50-BAL-ADJ-DR-AMT
083400                                 TO SS95WS-IN-AMT.
083500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
083600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-ADJ-DR-AMT.
083700*
083800     MOVE MTRF-O50-BAL-REC-ADJ-DR-NBR
083900                                 TO  MTSE-BS-REC-ADJ-DR-NBR.
084000*
084100     MOVE MTRF-O50-BAL-REC-ADJ-DR-AMT
084200                                 TO SS95WS-IN-AMT.
084300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
084400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-REC-ADJ-DR-AMT.
084500*
084600     MOVE MTRF-O50-BAL-USER-FEES-NBR
084700                                 TO  MTSE-BS-USER-FEES-NBR.
084800*
084900     MOVE MTRF-O50-BAL-USER-FEES-AMT
085000                                 TO SS95WS-IN-AMT.
085100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
085200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-USER-FEES-AMT.
085300*
085400     MOVE MTRF-O50-BAL-SYSTEM-FEES-NBR
085500                                 TO  MTSE-BS-SYSTEM-FEES-NBR.
085600*
085700     MOVE MTRF-O50-BAL-SYSTEM-FEES-AMT
085800                                 TO SS95WS-IN-AMT.
085900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
086000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-SYSTEM-FEES-AMT.
086100*
086200     MOVE MTRF-O50-BAL-INTCHG-FEES-NBR
086300                                 TO  MTSE-BS-INTCHG-FEES-NBR.
086400*
086500     MOVE MTRF-O50-BAL-INTCHG-FEES-AMT
086600                                 TO SS95WS-IN-AMT.
086700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
086800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-INTCHG-FEES-AMT.
086900*
087000     MOVE MTRF-O50-BAL-TRANSFER-NBR
087100                                 TO  MTSE-BS-TRANSFER-NBR.
087200*
087300     MOVE MTRF-O50-BAL-TRANSFER-AMT
087400                                 TO SS95WS-IN-AMT.
087500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
087600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-TRANSFER-AMT.
087700*
087800     MOVE MTRF-O50-BAL-HOLDOVER-NBR
087900                                 TO  MTSE-BS-HOLDOVER-NBR.
088000*
088100     MOVE MTRF-O50-BAL-HOLDOVER-AMT
088200                                 TO SS95WS-IN-AMT.
088300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
088400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-HOLDOVER-AMT.
088500*
088600     MOVE MTRF-O50-BAL-SETT-CR-NBR
088700                                 TO  MTSE-BS-SETT-CR-NBR.
088800*
088900     MOVE MTRF-O50-BAL-SETT-CR-AMT
089000                                 TO SS95WS-IN-AMT.
089100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
089200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-SETT-CR-AMT.
089300*
089400     MOVE MTRF-O50-BAL-SETT-DR-NBR
089500                                 TO  MTSE-BS-SETT-DR-NBR.
089600*
089700     MOVE MTRF-O50-BAL-SETT-DR-AMT
089800                                 TO SS95WS-IN-AMT.
089900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
090000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-SETT-DR-AMT.
090100*
090200     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
090300*
090400 2050-EXIT.
090500     EXIT.
090600*
090700 2060-BUILD-RESERVE-SUMM.
090800*
090900     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
091000*
091100     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
091200     MOVE MTSEIR-RESERVE-SUMM    TO  MTSE-RESERVE-SUMM.
091300     MOVE MTRF-O50-RESV-1-DESC   TO  MTSE-RS-DESC.
091400*
091500     MOVE MTRF-O50-RESV-1-BEG-BAL
091600                                 TO SS95WS-IN-AMT.
091700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
091800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-BEG-BAL.
091900*
092000     MOVE MTRF-O50-RESV-1-END-BAL
092100                                 TO SS95WS-IN-AMT.
092200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
092300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-END-BAL.
092400*
092500     MOVE MTRF-O50-RESV-1-FUNDING-LM
092600                                 TO  MTSE-RS-FUNDING-LM.
092700     MOVE MTRF-O50-RESV-1-FUNDING-NBR
092800                                 TO  MTSE-RS-FUNDING-NBR.
092900*
093000     MOVE MTRF-O50-RESV-1-FUNDING-AMT
093100                                 TO SS95WS-IN-AMT.
093200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
093300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-FUNDING-AMT.
093400*
093500     MOVE MTRF-O50-RESV-1-INCREASE-LM
093600                                 TO  MTSE-RS-INCREASE-LM.
093700     MOVE MTRF-O50-RESV-1-INCREASE-NBR
093800                                 TO  MTSE-RS-INCREASE-NBR.
093900*
094000     MOVE MTRF-O50-RESV-1-INCREASE-AMT
094100                                 TO SS95WS-IN-AMT.
094200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
094300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-INCREASE-AMT.
094400*
094500     MOVE MTRF-O50-RESV-1-TO-SETT-LM
094600                                 TO  MTSE-RS-TO-SETT-LM.
094700     MOVE MTRF-O50-RESV-1-TO-SETT-NBR
094800                                 TO  MTSE-RS-TO-SETT-NBR.
094900*
095000     MOVE MTRF-O50-RESV-1-TO-SETT-AMT
095100                                 TO SS95WS-IN-AMT.
095200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
095300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-TO-SETT-AMT.
095400*
095500     MOVE MTRF-O50-RESV-1-TO-PROC-LM
095600                                 TO  MTSE-RS-TO-PROC-LM.
095700     MOVE MTRF-O50-RESV-1-TO-PROC-NBR
095800                                 TO  MTSE-RS-TO-PROC-NBR.
095900*
096000     MOVE MTRF-O50-RESV-1-TO-PROC-AMT
096100                                 TO SS95WS-IN-AMT.
096200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
096300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-TO-PROC-AMT.
096400*
096500     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
096600*
096700 2060-EXIT.
096800     EXIT.
096900*
097000 2070-BUILD-RECOV-ADJ.
097100*
097200     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
097300*
097400     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
097500     MOVE MTSEIR-RECOVERY-ADJ    TO  MTSE-RECOVERY-ADJ.
097600     MOVE MTRF-O50-REC-ADJ-LM (1)
097700                                 TO  MTSE-RA-LM1.
097800     MOVE MTRF-O50-REC-ADJ-NBR (1)
097900                                 TO  MTSE-RA-NBR1.
098000*
098100     MOVE MTRF-O50-REC-ADJ-AMT (1)
098200                                 TO SS95WS-IN-AMT.
098300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
098400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT1.
098500*
098600     MOVE MTRF-O50-REC-ADJ-LM (2)
098700                                 TO  MTSE-RA-LM2.
098800     MOVE MTRF-O50-REC-ADJ-NBR (2)
098900                                 TO  MTSE-RA-NBR2.
099000*
099100     MOVE MTRF-O50-REC-ADJ-AMT (2)
099200                                 TO SS95WS-IN-AMT.
099300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
099400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT2.
099500*
099600     MOVE MTRF-O50-REC-ADJ-LM (3)
099700                                 TO  MTSE-RA-LM3.
099800     MOVE MTRF-O50-REC-ADJ-NBR (3)
099900                                 TO  MTSE-RA-NBR3.
100000*
100100     MOVE MTRF-O50-REC-ADJ-AMT (3)
100200                                 TO SS95WS-IN-AMT.
100300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
100400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT3.
100500*
100600     MOVE MTRF-O50-REC-ADJ-LM (4)
100700                                 TO  MTSE-RA-LM4.
100800     MOVE MTRF-O50-REC-ADJ-NBR (4)
100900                                 TO  MTSE-RA-NBR4.
101000*
101100     MOVE MTRF-O50-REC-ADJ-AMT (4)
101200                                 TO SS95WS-IN-AMT.
101300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
101400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT4.
101500*
101600     MOVE MTRF-O50-REC-ADJ-LM (5)
101700                                 TO  MTSE-RA-LM5.
101800     MOVE MTRF-O50-REC-ADJ-NBR (5)
101900                                 TO  MTSE-RA-NBR5.
102000*
102100     MOVE MTRF-O50-REC-ADJ-AMT (5)
102200                                 TO SS95WS-IN-AMT.
102300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
102400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT5.
102500*
102600     MOVE MTRF-O50-REC-ADJ-LM (6)
102700                                 TO  MTSE-RA-LM6.
102800     MOVE MTRF-O50-REC-ADJ-NBR (6)
102900                                 TO  MTSE-RA-NBR6.
103000*
103100     MOVE MTRF-O50-REC-ADJ-AMT (6)
103200                                 TO SS95WS-IN-AMT.
103300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
103400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT6.
103500*
103600     MOVE MTRF-O50-REC-ADJ-LM (7)
103700                                 TO  MTSE-RA-LM7.
103800     MOVE MTRF-O50-REC-ADJ-NBR (7)
103900                                 TO  MTSE-RA-NBR7.
104000*
104100     MOVE MTRF-O50-REC-ADJ-AMT (7)
104200                                 TO SS95WS-IN-AMT.
104300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
104400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT7.
104500*
104600     MOVE MTRF-O50-REC-ADJ-LM (8)
104700                                 TO  MTSE-RA-LM8.
104800     MOVE MTRF-O50-REC-ADJ-NBR (8)
104900                                 TO  MTSE-RA-NBR8.
105000*
105100     MOVE MTRF-O50-REC-ADJ-AMT (8)
105200                                 TO SS95WS-IN-AMT.
105300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
105400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT8.
105500*
105600     MOVE MTRF-O50-REC-ADJ-LM (9)
105700                                 TO  MTSE-RA-LM9.
105800     MOVE MTRF-O50-REC-ADJ-NBR (9)
105900                                 TO  MTSE-RA-NBR9.
106000*
106100     MOVE MTRF-O50-REC-ADJ-AMT (9)
106200                                 TO SS95WS-IN-AMT.
106300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
106400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT9.
106500*
106600     MOVE MTRF-O50-REC-ADJ-LM (10)
106700                                 TO  MTSE-RA-LM10.
106800     MOVE MTRF-O50-REC-ADJ-NBR (10)
106900                                 TO  MTSE-RA-NBR10.
107000*
107100     MOVE MTRF-O50-REC-ADJ-AMT (10)
107200                                 TO SS95WS-IN-AMT.
107300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
107400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT10.
107500*
107600     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
107700*
107800 2070-EXIT.
107900     EXIT.
108000*
108100 2080-BUILD-ADJ-SUMMARY.
108200*
108300     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
108400*
108500     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
108600     MOVE MTSEIR-ADJ-SUMMARY     TO  MTSE-ADJ-SUMMARY.
108700     MOVE MTRF-O50-ADJ-LM (1)    TO  MTSE-AS-LM1.
108800     MOVE MTRF-O50-ADJ-NBR (1)   TO  MTSE-AS-NBR1.
108900*
109000     MOVE MTRF-O50-ADJ-AMT (1)   TO SS95WS-IN-AMT.
109100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
109200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT1.
109300*
109400     MOVE MTRF-O50-ADJ-LM (2)    TO  MTSE-AS-LM2.
109500     MOVE MTRF-O50-ADJ-NBR (2)   TO  MTSE-AS-NBR2.
109600*
109700     MOVE MTRF-O50-ADJ-AMT (2)   TO  SS95WS-IN-AMT.
109800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
109900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT2.
110000*
110100     MOVE MTRF-O50-ADJ-LM (3)    TO  MTSE-AS-LM3.
110200     MOVE MTRF-O50-ADJ-NBR (3)   TO  MTSE-AS-NBR3.
110300*
110400     MOVE MTRF-O50-ADJ-AMT (3)   TO  SS95WS-IN-AMT.
110500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
110600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT3.
110700*
110800     MOVE MTRF-O50-ADJ-LM (4)    TO  MTSE-AS-LM4.
110900     MOVE MTRF-O50-ADJ-NBR (4)   TO  MTSE-AS-NBR4.
111000*
111100     MOVE MTRF-O50-ADJ-AMT (4)   TO  SS95WS-IN-AMT.
111200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
111300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT4.
111400*
111500     MOVE MTRF-O50-ADJ-LM (5)    TO  MTSE-AS-LM5.
111600     MOVE MTRF-O50-ADJ-NBR (5)   TO  MTSE-AS-NBR5.
111700*
111800     MOVE MTRF-O50-ADJ-AMT (5)   TO  SS95WS-IN-AMT.
111900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
112000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT5.
112100*
112200     MOVE MTRF-O50-ADJ-LM (6)    TO  MTSE-AS-LM6.
112300     MOVE MTRF-O50-ADJ-NBR (6)   TO  MTSE-AS-NBR6.
112400*
112500     MOVE MTRF-O50-ADJ-AMT (6)   TO  SS95WS-IN-AMT.
112600     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
112700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT6.
112800*
112900     MOVE MTRF-O50-ADJ-LM (7)    TO  MTSE-AS-LM7.
113000     MOVE MTRF-O50-ADJ-NBR (7)   TO  MTSE-AS-NBR7.
113100*
113200     MOVE MTRF-O50-ADJ-AMT (7)   TO  SS95WS-IN-AMT.
113300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
113400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT7.
113500*
113600     MOVE MTRF-O50-ADJ-LM (8)    TO  MTSE-AS-LM8.
113700     MOVE MTRF-O50-ADJ-NBR (8)   TO  MTSE-AS-NBR8.
113800*
113900     MOVE MTRF-O50-ADJ-AMT (8)   TO  SS95WS-IN-AMT.
114000     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
114100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT8.
114200*
114300     MOVE MTRF-O50-ADJ-LM (9)    TO  MTSE-AS-LM9.
114400     MOVE MTRF-O50-ADJ-NBR (9)   TO  MTSE-AS-NBR9.
114500*
114600     MOVE MTRF-O50-ADJ-AMT (9)   TO  SS95WS-IN-AMT.
114700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
114800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT9.
114900*
115000     MOVE MTRF-O50-ADJ-LM (10)   TO  MTSE-AS-LM10.
115100     MOVE MTRF-O50-ADJ-NBR (10)  TO  MTSE-AS-NBR10.
115200*
115300     MOVE MTRF-O50-ADJ-AMT (10)  TO  SS95WS-IN-AMT.
115400     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
115500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT10.
115600*
115700     MOVE MTRF-O50-ADJ-LM (11)   TO  MTSE-AS-LM11.
115800     MOVE MTRF-O50-ADJ-NBR (11)  TO  MTSE-AS-NBR11.
115900*
116000     MOVE MTRF-O50-ADJ-AMT (11)  TO  SS95WS-IN-AMT.
116100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
116200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT11.
116300*
116400     MOVE MTRF-O50-ADJ-LM (12)   TO  MTSE-AS-LM12.
116500     MOVE MTRF-O50-ADJ-NBR (12)  TO  MTSE-AS-NBR12.
116600*
116700     MOVE MTRF-O50-ADJ-AMT (12)  TO  SS95WS-IN-AMT.
116800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
116900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT12.
117000*
117100     MOVE MTRF-O50-ADJ-LM (13)   TO  MTSE-AS-LM13.
117200     MOVE MTRF-O50-ADJ-NBR (13)  TO  MTSE-AS-NBR13.
117300*
117400     MOVE MTRF-O50-ADJ-AMT (13)  TO  SS95WS-IN-AMT.
117500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
117600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT13.
117700*
117800     MOVE MTRF-O50-ADJ-LM (14)   TO  MTSE-AS-LM14.
117900     MOVE MTRF-O50-ADJ-NBR (14)  TO  MTSE-AS-NBR14.
118000*
118100     MOVE MTRF-O50-ADJ-AMT (14)  TO  SS95WS-IN-AMT.
118200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
118300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT14.
118400*
118500     MOVE MTRF-O50-ADJ-LM (15)   TO  MTSE-AS-LM15.
118600     MOVE MTRF-O50-ADJ-NBR (15)  TO  MTSE-AS-NBR15.
118700*
118800     MOVE MTRF-O50-ADJ-AMT (15)  TO  SS95WS-IN-AMT.
118900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
119000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT15.
119100*
119200     MOVE MTRF-O50-ADJ-LM (16)   TO  MTSE-AS-LM16.
119300     MOVE MTRF-O50-ADJ-NBR (16)  TO  MTSE-AS-NBR16.
119400*
119500     MOVE MTRF-O50-ADJ-AMT (16)  TO  SS95WS-IN-AMT.
119600     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
119700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT16.
119800*
119900     MOVE MTRF-O50-ADJ-LM (17)   TO  MTSE-AS-LM17.
120000     MOVE MTRF-O50-ADJ-NBR (17)  TO  MTSE-AS-NBR17.
120100*
120200     MOVE MTRF-O50-ADJ-AMT (17)  TO  SS95WS-IN-AMT.
120300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
120400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT17.
120500*
120600     MOVE MTRF-O50-ADJ-LM (18)   TO  MTSE-AS-LM18.
120700     MOVE MTRF-O50-ADJ-NBR (18)  TO  MTSE-AS-NBR18.
120800*
120900     MOVE MTRF-O50-ADJ-AMT (18)  TO  SS95WS-IN-AMT.
121000     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
121100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT18.
121200*
121300     MOVE MTRF-O50-ADJ-LM (19)   TO  MTSE-AS-LM19.
121400     MOVE MTRF-O50-ADJ-NBR (19)  TO  MTSE-AS-NBR19.
121500*
121600     MOVE MTRF-O50-ADJ-AMT (19)  TO  SS95WS-IN-AMT.
121700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
121800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT19.
121900*
122000     MOVE MTRF-O50-ADJ-LM (20)   TO  MTSE-AS-LM20.
122100     MOVE MTRF-O50-ADJ-NBR (20)  TO  MTSE-AS-NBR20.
122200*
122300     MOVE MTRF-O50-ADJ-AMT (20)  TO  SS95WS-IN-AMT.
122400     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
122500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT20.
122600*
122700     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
122800*
122900 2080-EXIT.
123000     EXIT.
123100*
123200 2090-BUILD-USER-CR-SUMM.
123300*
123400     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
123500*
123600     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
123700     MOVE MTSEIR-USER-CREDIT     TO  MTSE-USER-CREDIT.
123800     MOVE MTRF-O50-USER-CR-LM (1)
123900                                 TO  MTSE-UC-LM1.
124000     MOVE MTRF-O50-USER-CR-NBR (1)
124100                                 TO  MTSE-UC-NBR1.
124200*
124300     MOVE MTRF-O50-USER-CR-AMT (1)
124400                                 TO  SS95WS-IN-AMT.
124500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
124600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT1.
124700*
124800     MOVE MTRF-O50-USER-CR-LM (2)
124900                                 TO  MTSE-UC-LM2.
125000     MOVE MTRF-O50-USER-CR-NBR (2)
125100                                 TO  MTSE-UC-NBR2.
125200*
125300     MOVE MTRF-O50-USER-CR-AMT (2)
125400                                 TO  SS95WS-IN-AMT.
125500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
125600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT2.
125700*
125800     MOVE MTRF-O50-USER-CR-LM (3)
125900                                 TO  MTSE-UC-LM3.
126000     MOVE MTRF-O50-USER-CR-NBR (3)
126100                                 TO  MTSE-UC-NBR3.
126200*
126300     MOVE MTRF-O50-USER-CR-AMT (3)
126400                                 TO  SS95WS-IN-AMT.
126500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
126600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT3.
126700*
126800     MOVE MTRF-O50-USER-CR-LM (4)
126900                                 TO  MTSE-UC-LM4.
127000     MOVE MTRF-O50-USER-CR-NBR (4)
127100                                 TO  MTSE-UC-NBR4.
127200*
127300     MOVE MTRF-O50-USER-CR-AMT (4)
127400                                 TO  SS95WS-IN-AMT.
127500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
127600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT4.
127700*
127800     MOVE MTRF-O50-USER-CR-LM (5)
127900                                 TO  MTSE-UC-LM5.
128000     MOVE MTRF-O50-USER-CR-NBR (5)
128100                                 TO  MTSE-UC-NBR5.
128200*
128300     MOVE MTRF-O50-USER-CR-AMT (5)
128400                                 TO  SS95WS-IN-AMT.
128500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
128600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT5.
128700*
128800     MOVE MTRF-O50-USER-CR-LM (6)
128900                                 TO  MTSE-UC-LM6.
129000     MOVE MTRF-O50-USER-CR-NBR (6)
129100                                 TO  MTSE-UC-NBR6.
129200*
129300     MOVE MTRF-O50-USER-CR-AMT (6)
129400                                 TO  SS95WS-IN-AMT.
129500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
129600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT6.
129700*
129800     MOVE MTRF-O50-USER-CR-LM (7)
129900                                 TO  MTSE-UC-LM7.
130000     MOVE MTRF-O50-USER-CR-NBR (7)
130100                                 TO  MTSE-UC-NBR7.
130200*
130300     MOVE MTRF-O50-USER-CR-AMT (7)
130400                                 TO  SS95WS-IN-AMT.
130500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
130600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT7.
130700*
130800     MOVE MTRF-O50-USER-CR-LM (8)
130900                                 TO  MTSE-UC-LM8.
131000     MOVE MTRF-O50-USER-CR-NBR (8)
131100                                 TO  MTSE-UC-NBR8.
131200*
131300     MOVE MTRF-O50-USER-CR-AMT (8)
131400                                 TO  SS95WS-IN-AMT.
131500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
131600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT8.
131700*
131800     MOVE MTRF-O50-USER-CR-LM (9)
131900                                 TO  MTSE-UC-LM9.
132000     MOVE MTRF-O50-USER-CR-NBR (9)
132100                                 TO  MTSE-UC-NBR9.
132200*
132300     MOVE MTRF-O50-USER-CR-AMT (9)
132400                                 TO  SS95WS-IN-AMT.
132500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
132600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT9.
132700*
132800     MOVE MTRF-O50-USER-CR-LM (10)
132900                                 TO  MTSE-UC-LM10.
133000     MOVE MTRF-O50-USER-CR-NBR (10)
133100                                 TO  MTSE-UC-NBR10.
133200*
133300     MOVE MTRF-O50-USER-CR-AMT (10)
133400                                 TO  SS95WS-IN-AMT.
133500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
133600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT10.
133700*
133800     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
133900*
134000 2090-EXIT.
134100     EXIT.
134200*
134300 2100-BUILD-FEE-SUMMARY.
134400*
134500     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
134600*
134700     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
134800     MOVE MTSEIR-FEE-SUMMARY     TO  MTSE-FEE-SUMMARY.
134900     MOVE MTRF-O50-FEE-LM (1)    TO  MTSE-FS-LM1.
135000     MOVE MTRF-O50-FEE-NBR (1)   TO  MTSE-FS-NBR1.
135100*
135200     MOVE MTRF-O50-FEE-AMT (1)   TO  SS95WS-IN-AMT.
135300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
135400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT1.
135500*
135600     MOVE MTRF-O50-FEE-LM (2)    TO  MTSE-FS-LM2.
135700     MOVE MTRF-O50-FEE-NBR (2)   TO  MTSE-FS-NBR2.
135800*
135900     MOVE MTRF-O50-FEE-AMT (2)   TO  SS95WS-IN-AMT.
136000     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
136100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT2.
136200*
136300     MOVE MTRF-O50-FEE-LM (3)    TO  MTSE-FS-LM3.
136400     MOVE MTRF-O50-FEE-NBR (3)   TO  MTSE-FS-NBR3.
136500*
136600     MOVE MTRF-O50-FEE-AMT (3)   TO  SS95WS-IN-AMT.
136700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
136800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT3.
136900*
137000     MOVE MTRF-O50-FEE-LM (4)    TO  MTSE-FS-LM4.
137100     MOVE MTRF-O50-FEE-NBR (4)   TO  MTSE-FS-NBR4.
137200*
137300     MOVE MTRF-O50-FEE-AMT (4)   TO  SS95WS-IN-AMT.
137400     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
137500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT4.
137600*
137700     MOVE MTRF-O50-FEE-LM (5)    TO  MTSE-FS-LM5.
137800     MOVE MTRF-O50-FEE-NBR (5)   TO  MTSE-FS-NBR5.
137900*
138000     MOVE MTRF-O50-FEE-AMT (5)   TO  SS95WS-IN-AMT.
138100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
138200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT5.
138300*
138400     MOVE MTRF-O50-FEE-LM (6)    TO  MTSE-FS-LM6.
138500     MOVE MTRF-O50-FEE-NBR (6)   TO  MTSE-FS-NBR6.
138600*
138700     MOVE MTRF-O50-FEE-AMT (6)   TO  SS95WS-IN-AMT.
138800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
138900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT6.
139000*
139100     MOVE MTRF-O50-FEE-LM (7)    TO  MTSE-FS-LM7.
139200     MOVE MTRF-O50-FEE-NBR (7)   TO  MTSE-FS-NBR7.
139300*
139400     MOVE MTRF-O50-FEE-AMT (7)   TO  SS95WS-IN-AMT.
139500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
139600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT7.
139700*
139800     MOVE MTRF-O50-FEE-LM (8)    TO  MTSE-FS-LM8.
139900     MOVE MTRF-O50-FEE-NBR (8)   TO  MTSE-FS-NBR8.
140000*
140100     MOVE MTRF-O50-FEE-AMT (8)   TO  SS95WS-IN-AMT.
140200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
140300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT8.
140400*
140500     MOVE MTRF-O50-FEE-LM (9)    TO  MTSE-FS-LM9.
140600     MOVE MTRF-O50-FEE-NBR (9)   TO  MTSE-FS-NBR9.
140700*
140800     MOVE MTRF-O50-FEE-AMT (9)   TO  SS95WS-IN-AMT.
140900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
141000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT9.
141100*
141200     MOVE MTRF-O50-FEE-LM (10)   TO  MTSE-FS-LM10.
141300     MOVE MTRF-O50-FEE-NBR (10)  TO  MTSE-FS-NBR10.
141400*
141500     MOVE MTRF-O50-FEE-AMT (10)  TO  SS95WS-IN-AMT.
141600     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
141700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT10.
141800*
141900     MOVE MTRF-O50-FEE-LM (11)   TO  MTSE-FS-LM11.
142000     MOVE MTRF-O50-FEE-NBR (11)  TO  MTSE-FS-NBR11.
142100*
142200     MOVE MTRF-O50-FEE-AMT (11)  TO  SS95WS-IN-AMT.
142300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
142400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT11.
142500*
142600     MOVE MTRF-O50-FEE-LM (12)   TO  MTSE-FS-LM12.
142700     MOVE MTRF-O50-FEE-NBR (12)  TO  MTSE-FS-NBR12.
142800*
142900     MOVE MTRF-O50-FEE-AMT (12)  TO  SS95WS-IN-AMT.
143000     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
143100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT12.
143200*
143300     MOVE MTRF-O50-FEE-LM (13)   TO  MTSE-FS-LM13.
143400     MOVE MTRF-O50-FEE-NBR (13)  TO  MTSE-FS-NBR13.
143500*
143600     MOVE MTRF-O50-FEE-AMT (13)  TO  SS95WS-IN-AMT.
143700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
143800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT13.
143900*
144000     MOVE MTRF-O50-FEE-LM (14)   TO  MTSE-FS-LM14.
144100     MOVE MTRF-O50-FEE-NBR (14)  TO  MTSE-FS-NBR14.
144200*
144300     MOVE MTRF-O50-FEE-AMT (14)  TO  SS95WS-IN-AMT.
144400     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
144500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT14.
144600*
144700     MOVE MTRF-O50-FEE-LM (15)   TO  MTSE-FS-LM15.
144800     MOVE MTRF-O50-FEE-NBR (15)  TO  MTSE-FS-NBR15.
144900*
145000     MOVE MTRF-O50-FEE-AMT (15)  TO  SS95WS-IN-AMT.
145100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
145200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT15.
145300*
145400     MOVE MTRF-O50-FEE-LM (16)   TO  MTSE-FS-LM16.
145500     MOVE MTRF-O50-FEE-NBR (16)  TO  MTSE-FS-NBR16.
145600*
145700     MOVE MTRF-O50-FEE-AMT (16)  TO  SS95WS-IN-AMT.
145800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
145900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT16.
146000*
146100     MOVE MTRF-O50-FEE-LM (17)   TO  MTSE-FS-LM17.
146200     MOVE MTRF-O50-FEE-NBR (17)  TO  MTSE-FS-NBR17.
146300*
146400     MOVE MTRF-O50-FEE-AMT (17)  TO  SS95WS-IN-AMT.
146500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
146600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT17.
146700*
146800     MOVE MTRF-O50-FEE-LM (18)   TO  MTSE-FS-LM18.
146900     MOVE MTRF-O50-FEE-NBR (18)  TO  MTSE-FS-NBR18.
147000*
147100     MOVE MTRF-O50-FEE-AMT (18)  TO  SS95WS-IN-AMT.
147200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
147300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT18.
147400*
147500     MOVE MTRF-O50-FEE-LM (19)   TO  MTSE-FS-LM19.
147600     MOVE MTRF-O50-FEE-NBR (19)  TO  MTSE-FS-NBR19.
147700*
147800     MOVE MTRF-O50-FEE-AMT (19)  TO  SS95WS-IN-AMT.
147900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
148000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT19.
148100*
148200     MOVE MTRF-O50-FEE-LM (20)   TO  MTSE-FS-LM20.
148300     MOVE MTRF-O50-FEE-NBR (20)  TO  MTSE-FS-NBR20.
148400*
148500     MOVE MTRF-O50-FEE-AMT (20)  TO  SS95WS-IN-AMT.
148600     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
148700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT20.
148800*
148900     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
149000*
149100 2100-EXIT.
149200     EXIT.
149300*
149400 2110-BUILD-DISBURSE-ACT.
149500*
149600     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
149700*
149800     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
149900     MOVE MTSEIR-DISBURSE-ACTIVITY
150000                                 TO  MTSE-DISBURSE-ACTIVITY.
150100     MOVE MTRF-O50-SETT-ACCT-METHOD (1)
150200                                 TO  MTSE-DA-METHOD1.
150300*
150400     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
150500     MOVE MTRF-O50-SA-DR-RT (1)  TO SS95WS-IN-PCT.
150600     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
150700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
150800     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-DR-RT1.
150900*
151000     MOVE MTRF-O50-SA-DR-ACCT (1)
151100                                 TO  MTSE-DA-DR-ACCT1.
151200     MOVE MTRF-O50-SA-DR-ACCT-TYPE (1)
151300                                 TO  MTSE-DA-DR-ACCT-TYPE1.
151400*
151500     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
151600     MOVE MTRF-O50-SA-CR-RT (1)  TO SS95WS-IN-PCT.
151700     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
151800     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
151900     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-CR-RT1.
152000*
152100     MOVE MTRF-O50-SA-CR-ACCT (1)
152200                                 TO  MTSE-DA-CR-ACCT1.
152300     MOVE MTRF-O50-SA-CR-ACCT-TYPE (1)
152400                                 TO  MTSE-DA-CR-ACCT-TYPE1.
152500     MOVE MTRF-O50-BILLING-ORG (1)
152600                                 TO  MTSE-DA-BILL-ORG1.
152700     MOVE MTRF-O50-BILLING-ACCT (1)
152800                                 TO  MTSE-DA-BILL-ACCT1.
152900     MOVE MTRF-O50-SETT-ACCT-METHOD (2)
153000                                 TO  MTSE-DA-METHOD2.
153100*
153200     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
153300     MOVE MTRF-O50-SA-DR-RT (2)  TO SS95WS-IN-PCT.
153400     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
153500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
153600     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-DR-RT2.
153700*
153800     MOVE MTRF-O50-SA-DR-ACCT (2)
153900                                 TO  MTSE-DA-DR-ACCT2.
154000     MOVE MTRF-O50-SA-DR-ACCT-TYPE (2)
154100                                 TO  MTSE-DA-DR-ACCT-TYPE2.
154200*
154300     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
154400     MOVE MTRF-O50-SA-CR-RT (2)  TO SS95WS-IN-PCT.
154500     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
154600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
154700     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-CR-RT2.
154800*
154900     MOVE MTRF-O50-SA-CR-ACCT (2)
155000                                 TO  MTSE-DA-CR-ACCT2.
155100     MOVE MTRF-O50-SA-CR-ACCT-TYPE (2)
155200                                 TO  MTSE-DA-CR-ACCT-TYPE2.
155300     MOVE MTRF-O50-BILLING-ORG (2)
155400                                 TO  MTSE-DA-BILL-ORG2.
155500     MOVE MTRF-O50-BILLING-ACCT (2)
155600                                 TO  MTSE-DA-BILL-ACCT2.
155700     MOVE MTRF-O50-SETT-ACCT-METHOD (3)
155800                                 TO  MTSE-DA-METHOD3.
155900*
156000     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
156100     MOVE MTRF-O50-SA-DR-RT (3)  TO SS95WS-IN-PCT.
156200     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
156300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
156400     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-DR-RT3.
156500*
156600     MOVE MTRF-O50-SA-DR-ACCT (3)
156700                                 TO  MTSE-DA-DR-ACCT3.
156800     MOVE MTRF-O50-SA-DR-ACCT-TYPE (3)
156900                                 TO  MTSE-DA-DR-ACCT-TYPE3.
157000*
157100     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
157200     MOVE MTRF-O50-SA-CR-RT (3)  TO SS95WS-IN-PCT.
157300     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
157400     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
157500     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-CR-RT3.
157600*
157700     MOVE MTRF-O50-SA-CR-ACCT (3)
157800                                 TO  MTSE-DA-CR-ACCT3.
157900     MOVE MTRF-O50-SA-CR-ACCT-TYPE (3)
158000                                 TO  MTSE-DA-CR-ACCT-TYPE3.
158100     MOVE MTRF-O50-BILLING-ORG (3)
158200                                 TO  MTSE-DA-BILL-ORG3.
158300     MOVE MTRF-O50-BILLING-ACCT (3)
158400                                 TO  MTSE-DA-BILL-ACCT3.
158500     MOVE MTRF-O50-SETT-ACCT-METHOD (4)
158600                                 TO  MTSE-DA-METHOD4.
158700*
158800     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
158900     MOVE MTRF-O50-SA-DR-RT (4)  TO SS95WS-IN-PCT.
159000     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
159100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
159200     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-DR-RT4.
159300*
159400     MOVE MTRF-O50-SA-DR-ACCT (4)
159500                                 TO  MTSE-DA-DR-ACCT4.
159600     MOVE MTRF-O50-SA-DR-ACCT-TYPE (4)
159700                                 TO  MTSE-DA-DR-ACCT-TYPE4.
159800*
159900     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
160000     MOVE MTRF-O50-SA-CR-RT (4)  TO SS95WS-IN-PCT.
160100     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
160200     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
160300     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-CR-RT4.
160400*
160500     MOVE MTRF-O50-SA-CR-ACCT (4)
160600                                 TO  MTSE-DA-CR-ACCT4.
160700     MOVE MTRF-O50-SA-CR-ACCT-TYPE (4)
160800                                 TO  MTSE-DA-CR-ACCT-TYPE4.
160900     MOVE MTRF-O50-BILLING-ORG (4)
161000                                 TO  MTSE-DA-BILL-ORG4.
161100     MOVE MTRF-O50-BILLING-ACCT (4)
161200                                 TO  MTSE-DA-BILL-ACCT4.
161300     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
161400*
161500 2110-EXIT.
161600     EXIT.
161700*
161800 2120-BUILD-DISBURSE-TOT.
161900*
162000     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
162100*
162200     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
162300     MOVE MTSEIR-DISBURSEMENT-TOTS
162400                                 TO  MTSE-DISBURSEMENT-TOTS.
162500*
162600     MOVE MTRF-O50-SAMT-CR-AMT (1)
162700                                 TO  SS95WS-IN-AMT.
162800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
162900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-CR-AMT1.
163000*
163100     MOVE MTRF-O50-SAMT-DR-AMT (1)
163200                                 TO  SS95WS-IN-AMT.
163300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
163400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-DR-AMT1.
163500*
163600     MOVE MTRF-O50-SAMT-NET-CR-AMT (1)
163700                                 TO  SS95WS-IN-AMT.
163800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
163900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-CR-AMT1.
164000*
164100     MOVE MTRF-O50-SAMT-NET-DR-AMT (1)
164200                                 TO  SS95WS-IN-AMT.
164300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
164400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-DR-AMT1.
164500*
164600     MOVE MTRF-O50-SAMT-HOLDOVER (1)
164700                                 TO  SS95WS-IN-AMT.
164800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
164900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-HOLDOVER-AMT1.
165000*
165100     MOVE MTRF-O50-SAMT-XFER-INV (1)
165200                                 TO  SS95WS-IN-AMT.
165300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
165400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-XFER-INV-AMT1.
165500*
165600     MOVE MTRF-O50-SAMT-CR-AMT (2)
165700                                 TO  SS95WS-IN-AMT.
165800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
165900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-CR-AMT2.
166000*
166100     MOVE MTRF-O50-SAMT-DR-AMT (2)
166200                                 TO  SS95WS-IN-AMT.
166300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
166400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-DR-AMT2.
166500*
166600     MOVE MTRF-O50-SAMT-NET-CR-AMT (2)
166700                                 TO  SS95WS-IN-AMT.
166800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
166900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-CR-AMT2.
167000*
167100     MOVE MTRF-O50-SAMT-NET-DR-AMT (2)
167200                                 TO  SS95WS-IN-AMT.
167300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
167400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-DR-AMT2.
167500*
167600     MOVE MTRF-O50-SAMT-HOLDOVER (2)
167700                                 TO  SS95WS-IN-AMT.
167800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
167900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-HOLDOVER-AMT2.
168000*
168100     MOVE MTRF-O50-SAMT-XFER-INV (2)
168200                                 TO  SS95WS-IN-AMT.
168300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
168400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-XFER-INV-AMT2.
168500*
168600     MOVE MTRF-O50-SAMT-CR-AMT (3)
168700                                 TO  SS95WS-IN-AMT.
168800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
168900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-CR-AMT3.
169000*
169100     MOVE MTRF-O50-SAMT-DR-AMT (3)
169200                                 TO  SS95WS-IN-AMT.
169300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
169400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-DR-AMT3.
169500*
169600     MOVE MTRF-O50-SAMT-NET-CR-AMT (3)
169700                                 TO  SS95WS-IN-AMT.
169800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
169900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-CR-AMT3.
170000*
170100     MOVE MTRF-O50-SAMT-NET-DR-AMT (3)
170200                                 TO  SS95WS-IN-AMT.
170300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
170400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-DR-AMT3.
170500*
170600     MOVE MTRF-O50-SAMT-HOLDOVER (3)
170700                                 TO  SS95WS-IN-AMT.
170800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
170900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-HOLDOVER-AMT3.
171000*
171100     MOVE MTRF-O50-SAMT-XFER-INV (3)
171200                                 TO  SS95WS-IN-AMT.
171300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
171400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-XFER-INV-AMT3.
171500*
171600     MOVE MTRF-O50-SAMT-CR-AMT (4)
171700                                 TO  SS95WS-IN-AMT.
171800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
171900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-CR-AMT4.
172000*
172100     MOVE MTRF-O50-SAMT-DR-AMT (4)
172200                                 TO  SS95WS-IN-AMT.
172300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
172400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-DR-AMT4.
172500*
172600     MOVE MTRF-O50-SAMT-NET-CR-AMT (4)
172700                                 TO  SS95WS-IN-AMT.
172800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
172900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-CR-AMT4.
173000*
173100     MOVE MTRF-O50-SAMT-NET-DR-AMT (4)
173200                                 TO  SS95WS-IN-AMT.
173300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
173400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-DR-AMT4.
173500*
173600     MOVE MTRF-O50-SAMT-HOLDOVER (4)
173700                                 TO  SS95WS-IN-AMT.
173800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
173900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-HOLDOVER-AMT4.
174000*
174100     MOVE MTRF-O50-SAMT-XFER-INV (4)
174200                                 TO  SS95WS-IN-AMT.
174300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
174400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-XFER-INV-AMT4.
174500*
174600     MOVE MTRF-O50-SBT-AMT (1)   TO  SS95WS-IN-AMT.
174700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
174800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-BILL-AMT1.
174900*
175000     MOVE MTRF-O50-SBT-AMT (2)   TO  SS95WS-IN-AMT.
175100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
175200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-BILL-AMT2.
175300*
175400     MOVE MTRF-O50-SBT-AMT (3)   TO  SS95WS-IN-AMT.
175500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
175600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-BILL-AMT3.
175700*
175800     MOVE MTRF-O50-SBT-AMT (4)   TO  SS95WS-IN-AMT.
175900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
176000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-BILL-AMT4.
176100*
176200     MOVE MTRF-O50-WINDOW-AMT    TO  SS95WS-IN-AMT.
176300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
176400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-WINDOW-AMT.
176500*
176600     MOVE MTRF-O50-DISTRIB-HOLDOVER-AMT
176700                                 TO  SS95WS-IN-AMT.
176800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
176900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-DIST-HOLDOVER-AMT.
177000*
177100     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
177200*
177300 2120-EXIT.
177400     EXIT.
177500*
177600 2130-BUILD-PROD-SUMMARY.
177700*
177800     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
177900*
178000     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
178100     MOVE MTSEIR-PRODUCT-SUMMARY
178200                                 TO  MTSE-PRODUCT-SUMMARY.
178300     MOVE MTRF-O50-PROD-LM (1)   TO  MTSE-PS-LM1.
178400     MOVE MTRF-O50-PROD-NBR (1)  TO  MTSE-PS-NBR1.
178500*
178600     MOVE MTRF-O50-PROD-AMT (1)  TO  SS95WS-IN-AMT.
178700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
178800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT1.
178900*
179000     MOVE MTRF-O50-PROD-LM (2)   TO  MTSE-PS-LM2.
179100     MOVE MTRF-O50-PROD-NBR (2)  TO  MTSE-PS-NBR2.
179200*
179300     MOVE MTRF-O50-PROD-AMT (2)  TO  SS95WS-IN-AMT.
179400     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
179500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT2.
179600*
179700     MOVE MTRF-O50-PROD-LM (3)   TO  MTSE-PS-LM3.
179800     MOVE MTRF-O50-PROD-NBR (3)  TO  MTSE-PS-NBR3.
179900*
180000     MOVE MTRF-O50-PROD-AMT (3)  TO  SS95WS-IN-AMT.
180100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
180200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT3.
180300*
180400     MOVE MTRF-O50-PROD-LM (4)   TO  MTSE-PS-LM4.
180500     MOVE MTRF-O50-PROD-NBR (4)  TO  MTSE-PS-NBR4.
180600*
180700     MOVE MTRF-O50-PROD-AMT (4)  TO  SS95WS-IN-AMT.
180800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
180900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT4.
181000*
181100     MOVE MTRF-O50-PROD-LM (5)   TO  MTSE-PS-LM5.
181200     MOVE MTRF-O50-PROD-NBR (5)  TO  MTSE-PS-NBR5.
181300*
181400     MOVE MTRF-O50-PROD-AMT (5)  TO  SS95WS-IN-AMT.
181500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
181600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT5.
181700*
181800     MOVE MTRF-O50-PROD-LM (6)   TO  MTSE-PS-LM6.
181900     MOVE MTRF-O50-PROD-NBR (6)  TO  MTSE-PS-NBR6.
182000*
182100     MOVE MTRF-O50-PROD-AMT (6)  TO  SS95WS-IN-AMT.
182200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
182300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT6.
182400*
182500     MOVE MTRF-O50-PROD-LM (7)   TO  MTSE-PS-LM7.
182600     MOVE MTRF-O50-PROD-NBR (7)  TO  MTSE-PS-NBR7.
182700*
182800     MOVE MTRF-O50-PROD-AMT (7)  TO  SS95WS-IN-AMT.
182900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
183000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT7.
183100*
183200     MOVE MTRF-O50-PROD-LM (8)   TO  MTSE-PS-LM8.
183300     MOVE MTRF-O50-PROD-NBR (8)  TO  MTSE-PS-NBR8.
183400*
183500     MOVE MTRF-O50-PROD-AMT (8)  TO  SS95WS-IN-AMT.
183600     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
183700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT8.
183800*
183900     MOVE MTRF-O50-PROD-LM (9)   TO  MTSE-PS-LM9.
184000     MOVE MTRF-O50-PROD-NBR (9)  TO  MTSE-PS-NBR9.
184100*
184200     MOVE MTRF-O50-PROD-AMT (9)  TO  SS95WS-IN-AMT.
184300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
184400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT9.
184500*
184600     MOVE MTRF-O50-PROD-LM (10)  TO  MTSE-PS-LM10.
184700     MOVE MTRF-O50-PROD-NBR (10) TO  MTSE-PS-NBR10.
184800*
184900     MOVE MTRF-O50-PROD-AMT (10) TO  SS95WS-IN-AMT.
185000     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
185100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT10.
185200*
185300     MOVE MTRF-O50-PROD-LM (11)  TO  MTSE-PS-LM11.
185400     MOVE MTRF-O50-PROD-NBR (11) TO  MTSE-PS-NBR11.
185500*
185600     MOVE MTRF-O50-PROD-AMT (11) TO  SS95WS-IN-AMT.
185700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
185800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT11.
185900*
186000     MOVE MTRF-O50-PROD-LM (12)  TO  MTSE-PS-LM12.
186100     MOVE MTRF-O50-PROD-NBR (12) TO  MTSE-PS-NBR12.
186200*
186300     MOVE MTRF-O50-PROD-AMT (12) TO  SS95WS-IN-AMT.
186400     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
186500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT12.
186600*
186700     MOVE MTRF-O50-PROD-LM (13)  TO  MTSE-PS-LM13.
186800     MOVE MTRF-O50-PROD-NBR (13) TO  MTSE-PS-NBR13.
186900*
187000     MOVE MTRF-O50-PROD-AMT (13) TO  SS95WS-IN-AMT.
187100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
187200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT13.
187300*
187400     MOVE MTRF-O50-PROD-LM (14)  TO  MTSE-PS-LM14.
187500     MOVE MTRF-O50-PROD-NBR (14) TO  MTSE-PS-NBR14.
187600*
187700     MOVE MTRF-O50-PROD-AMT (14) TO  SS95WS-IN-AMT.
187800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
187900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT14.
188000*
188100     MOVE MTRF-O50-PROD-LM (15)  TO  MTSE-PS-LM15.
188200     MOVE MTRF-O50-PROD-NBR (15) TO  MTSE-PS-NBR15.
188300*
188400     MOVE MTRF-O50-PROD-AMT (15) TO  SS95WS-IN-AMT.
188500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
188600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT15.
188700*
188800     MOVE MTRF-O50-PROD-LM (16)  TO  MTSE-PS-LM16.
188900     MOVE MTRF-O50-PROD-NBR (16) TO  MTSE-PS-NBR16.
189000*
189100     MOVE MTRF-O50-PROD-AMT (16) TO  SS95WS-IN-AMT.
189200     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
189300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT16.
189400*
189500     MOVE MTRF-O50-PROD-LM (17)  TO  MTSE-PS-LM17.
189600     MOVE MTRF-O50-PROD-NBR (17) TO  MTSE-PS-NBR17.
189700*
189800     MOVE MTRF-O50-PROD-AMT (17) TO  SS95WS-IN-AMT.
189900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
190000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT17.
190100*
190200     MOVE MTRF-O50-PROD-LM (18)  TO  MTSE-PS-LM18.
190300     MOVE MTRF-O50-PROD-NBR (18) TO  MTSE-PS-NBR18.
190400*
190500     MOVE MTRF-O50-PROD-AMT (18) TO  SS95WS-IN-AMT.
190600     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
190700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT18.
190800*
190900     MOVE MTRF-O50-PROD-LM (19)  TO  MTSE-PS-LM19.
191000     MOVE MTRF-O50-PROD-NBR (19) TO  MTSE-PS-NBR19.
191100*
191200     MOVE MTRF-O50-PROD-AMT (19) TO  SS95WS-IN-AMT.
191300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
191400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT19.
191500*
191600     MOVE MTRF-O50-PROD-LM (20)  TO  MTSE-PS-LM20.
191700     MOVE MTRF-O50-PROD-NBR (20) TO  MTSE-PS-NBR20.
191800*
191900     MOVE MTRF-O50-PROD-AMT (20) TO  SS95WS-IN-AMT.
192000     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
192100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT20.
192200*
192300     MOVE MTSE-S-REC-ID-99       TO  MTSEWS-X.
192400     ADD  1                      TO  MTSEWS-X.
192500*
192600     IF  MTSEWS-X   IS NUMERIC    AND
192700         MTSEWS-X   IS GREATER THAN  ZERO
192800         MOVE W01-PROD-DESC (MTSEWS-X)
192900                                 TO  MTSE-PS-PRD-DESC
193000     ELSE
193100         MOVE W01-PROD-DESC (99) TO  MTSE-PS-PRD-DESC.
193200*
193300     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
193400*
193500 2130-EXIT.
193600     EXIT.
193700*
193800 2140-BUILD-STORE-SUMM.
193900*
194000     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
194100*
194200     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
194300     MOVE MTSEIR-STORE-SUMMARY   TO  MTSE-STORE-SUMMARY.
194400     MOVE MTRF-O50-STORE-SALES-NBR
194500                                 TO  MTSE-SS-SALES-NBR.
194600*
194700     MOVE MTRF-O50-STORE-SALES-AMT
194800                                 TO SS95WS-IN-AMT.
194900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
195000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-SS-SALES-AMT.
195100*
195200     MOVE MTRF-O50-STORE-RETURNS-NBR
195300                                 TO  MTSE-SS-RETURNS-NBR.
195400*
195500     MOVE MTRF-O50-STORE-RETURNS-AMT
195600                                 TO SS95WS-IN-AMT.
195700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
195800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-SS-RETURNS-AMT.
195900*
196000     MOVE MTRF-O50-STORE-OTHER-CR-NBR
196100                                 TO  MTSE-SS-OTHER-CR-NBR.
196200*
196300     MOVE MTRF-O50-STORE-OTHER-CR-AMT
196400                                 TO SS95WS-IN-AMT.
196500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
196600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-SS-OTHER-CR-AMT.
196700*
196800     MOVE MTRF-O50-STORE-OTHER-DR-NBR
196900                                 TO  MTSE-SS-OTHER-DR-NBR.
197000*
197100     MOVE MTRF-O50-STORE-OTHER-DR-AMT
197200                                 TO SS95WS-IN-AMT.
197300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT.
197400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-SS-OTHER-DR-AMT.
197500*
197600     MOVE MTRF-O50-STORE-DBA-NAME
197700                                 TO  MTSE-SS-DBA-NAME.
197800     MOVE MTRF-O50-STORE-DBA-CITY
197900                                 TO  MTSE-SS-DBA-CITY.
198000     MOVE MTRF-O50-STORE-DBA-COUNTRY
198100                                 TO  MTSE-SS-DBA-COUNTRY.
198200     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
198300*
198400 2140-EXIT.
198500     EXIT.
198600*
198700 2150-BUILD-HISTORY.
198800*
198900     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
199000*
199100     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
199200     MOVE MTRF-SH-RECORD         TO  MMSH-RECORD.
199300     MOVE MTSEIR-HISTORY-DATA    TO  MTSE-HISTORY-DATA.
199400     MOVE MMSH-ORG               TO  MTSE-H-ORG.
199500     MOVE MMSH-MERCHANT          TO  MTSE-H-MERCHANT.
199600     MOVE MMSH-SEQ-NBR           TO  MTSE-H-SEQ-NBR.
199700*
199800     IF  MMSH-STORE  IS NUMERIC
199900         MOVE MMSH-STORE         TO  MTSE-H-STORE.
200000*
200100     IF  MMSH-PRODUCT-X  IS NUMERIC
200200         MOVE MMSH-PRODUCT       TO  MTSE-H-PRODUCT.
200300*
200400     IF  MMSH-PLAN-X  IS NUMERIC
200500         MOVE MMSH-PLAN          TO  MTSE-H-PLAN.
200600*
200700     IF  MMSH-LOGIC-MODULE  IS NUMERIC
200800         MOVE MMSH-LOGIC-MODULE  TO  MTSE-H-LOGIC-MODULE.
200900*
201000     IF  MMSH-QUAL-LEVEL-X  IS NUMERIC
201100         MOVE MMSH-QUAL-LEVEL    TO  MTSE-H-QUAL-LEVEL.
201200*
201300     IF  MMSH-TRANS-CODE  IS NUMERIC
201400         MOVE MMSH-TRANS-CODE    TO  MTSE-H-TRANS-CODE.
201500*
201600     MOVE MMSH-TRANS-FLAG        TO  MTSE-H-TRANS-FLAG.
201700     MOVE MMSH-NBR-ITEMS         TO  MTSE-H-NBR-ITMS.
201800*
201900     IF  MMSH-AMOUNT  IS NUMERIC
202000         MOVE MMSH-AMOUNT        TO SS95WS-IN-AMT
202100         PERFORM 9800-EURO-CONVERT
202200                                 THRU 9899-EC-EXIT
202300         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-AMT.
202400*
202500     MOVE MMSH-POST-DATE         TO  SS01WS-JULIAN.
202600     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
202700     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
202800     MOVE SS01WS-MM              TO  MTSEWS-MM.
202900     MOVE SS01WS-DD              TO  MTSEWS-DD.
203000     MOVE MTSEWS-DATE            TO  MTSE-H-POST-DATE.
203100*
203200     MOVE MMSH-ENTRY-DATE        TO  SS01WS-JULIAN.
203300     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
203400     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
203500     MOVE SS01WS-MM              TO  MTSEWS-MM.
203600     MOVE SS01WS-DD              TO  MTSEWS-DD.
203700     MOVE MTSEWS-DATE            TO  MTSE-H-ENTRY-DATE.
203800*
203900     MOVE MMSH-STMT-FLAG         TO  MTSE-H-STMT-FLAG.
204000     MOVE MMSH-SETT-FLAG         TO  MTSE-H-SETT-FLAG.
204100     MOVE MMSH-SETT-ACCT         TO  MTSE-H-SETT-ACCT.
204200*
204300     MOVE MMSH-SETT-DATE         TO  SS01WS-JULIAN.
204400     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
204500     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
204600     MOVE SS01WS-MM              TO  MTSEWS-MM.
204700     MOVE SS01WS-DD              TO  MTSEWS-DD.
204800     MOVE MTSEWS-DATE            TO  MTSE-H-SETT-DATE.
204900*
205000     MOVE MMSH-BATCH-DATE        TO  SS01WS-JULIAN.
205100     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
205200     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
205300     MOVE SS01WS-MM              TO  MTSEWS-MM.
205400     MOVE SS01WS-DD              TO  MTSEWS-DD.
205500     MOVE MTSEWS-DATE            TO  MTSE-H-BATCH-DATE.
205600*
205700     IF  MMSH-BATCH-SOURCE  IS NUMERIC
205800         MOVE MMSH-BATCH-SOURCE  TO  MTSE-H-BATCH-SOURCE.
205900*
206000     IF  MMSH-BATCH-NBR  IS NUMERIC
206100         MOVE MMSH-BATCH-NBR     TO  MTSE-H-BATCH-NBR.
206200*
206300     MOVE MMSH-BATCH-SEQ         TO  MTSE-H-BATCH-SEQ.
206400*
206500     MOVE MMSH-REF-BATCH-DATE    TO  SS01WS-JULIAN.
206600     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
206700     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
206800     MOVE SS01WS-MM              TO  MTSEWS-MM.
206900     MOVE SS01WS-DD              TO  MTSEWS-DD.
207000     MOVE MTSEWS-DATE            TO  MTSE-H-REF-BATCH-DATE.
207100*
207200     IF  MMSH-REF-BATCH-SOURCE  IS NUMERIC
207300         MOVE MMSH-REF-BATCH-SOURCE
207400                                 TO  MTSE-H-REF-BATCH-SOURCE.
207500*
207600     IF  MMSH-REF-BATCH-NBR  IS NUMERIC
207700         MOVE MMSH-REF-BATCH-NBR TO  MTSE-H-REF-BATCH-NBR.
207800*
207900     MOVE MMSH-REF-BATCH-SEQ     TO  MTSE-H-REF-BATCH-SEQ.
208000     MOVE MMSH-REF-NBR           TO  MTSE-H-REF-NBR.
208100*
208200     IF  MMSH-REF-AMOUNT-1  IS NUMERIC
208300         MOVE MMSH-REF-AMOUNT-1  TO SS95WS-IN-AMT
208400         PERFORM 9800-EURO-CONVERT
208500                                 THRU 9899-EC-EXIT
208600         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-REF-AMT-1.
208700*
208800     IF  MMSH-REF-AMOUNT-2  IS NUMERIC
208900         MOVE MMSH-REF-AMOUNT-2  TO  SS95WS-IN-AMT
209000         PERFORM 9800-EURO-CONVERT
209100                                 THRU 9899-EC-EXIT
209200         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-REF-AMT-2.
209300*
209400     MOVE MMSH-REF-NBR-ITEMS     TO  MTSE-H-REF-NBR-ITMS.
209500*
209600     IF  MMSH-REF-PRODUCT  IS NUMERIC
209700         MOVE MMSH-REF-PRODUCT   TO  MTSE-H-REF-PRODUCT.
209800*
209900     IF  MMSH-REF-PLAN  IS NUMERIC
210000         MOVE MMSH-REF-PLAN      TO  MTSE-H-REF-PLAN.
210100*
210200     IF  MMSH-REF-QUAL-LEVEL  IS NUMERIC
210300         MOVE MMSH-REF-QUAL-LEVEL
210400                                 TO  MTSE-H-REF-QUAL-LEVEL.
210500*
210600     MOVE MMSH-ORIG-GL-SOURCE    TO  MTSE-H-ORIG-GL-SOURCE.
210700     MOVE MMSH-GL-SOURCE         TO  MTSE-H-GL-SOURCE.
210800     MOVE MMSH-TRANS-STATUS      TO  MTSE-H-TRANS-STATUS.
210900     MOVE MMSH-QUAL-INDICATOR    TO  MTSE-H-QUAL-INDICATOR.
211000     MOVE MMSH-DATA-ENTRY-MODE   TO  MTSE-H-DATA-ENTRY-MODE.
211100     MOVE MMSH-REJECT-REENTRY-FLAG
211200                                 TO  MTSE-H-REJECT-REENTRY-FLAG.
211300     MOVE MMSH-AR-CURR-INPUT-SOURCE
211400                                 TO  MTSE-H-AR-CURR-INP-SOURCE.
211500     MOVE MMSH-AR-MT-TYPE        TO  MTSE-H-AR-MT-TYPE.
211600     MOVE MMSH-STORE-DUP-IND     TO  MTSE-H-STORE-DUP-IND.        RG800902
211700     MOVE MMSH-MERCH-DUP-IND     TO  MTSE-H-MERCH-DUP-IND.        RG800902
211800     MOVE MMSH-ORIG-OPERATOR     TO  MTSE-H-ORIG-OPERATOR.
211900     MOVE MMSH-LAST-OPERATOR     TO  MTSE-H-LAST-OPERATOR.
212000     MOVE MMSH-GOVERNING-STATE   TO  MTSE-H-GOVERNING-STATE.
212100     MOVE MMSH-LOGO              TO  MTSE-H-LOGO.
212200     MOVE MMSH-SKU-NBR           TO  MTSE-H-SKU-NBR.
212300     MOVE MMSH-DEPT-CODE         TO  MTSE-H-DEPT-CODE.
212400     MOVE MMSH-DESC              TO  MTSE-H-DESC.
212500     MOVE MMSH-RPT-DESC          TO  MTSE-H-RPT-DESC.
212510     MOVE MMSH-CARD-PROD-TYPE    TO  MTSE-H-CARD-PROD-TYPE.       RG800902
212512     MOVE MMSH-CATEGORY-CODE     TO  MTSE-H-CATEGORY-CODE.        RG800902
212600     MOVE MMSH-USER-FILLER       TO  MTSE-H-USER-FILLER.
212700     MOVE MMSH-POST-FLAG         TO  MTSE-H-POST-FLAG.
212800     MOVE MMSH-VAR-DATA-IND      TO  MTSE-H-VAR-DATA-IND.
212900     MOVE MMSH-VARIABLE-DATA     TO  MTSE-H-VARIABLE-DATA.
213000*
213100     EVALUATE TRUE
213200         WHEN MTSE-H-VDI-DEP-DATA
213300             PERFORM  2151-BUILD-HIST-DEP
213400                                 THRU  2151-EXIT
213500         WHEN MTSE-H-VDI-FEE-DATA
213600             PERFORM  2152-BUILD-HIST-FEE
213700                                 THRU  2152-EXIT
213800         WHEN MTSE-H-VDI-HDR-DATA
213900             PERFORM  2153-BUILD-HIST-HDR
214000                                 THRU  2153-EXIT
214100     END-EVALUATE.
214200*
214300     MOVE MTSE-H-PRODUCT         TO  MTSEWS-X.
214400     ADD  1                      TO  MTSEWS-X.
214500*
214600     IF  MTSEWS-X   IS NUMERIC
214700     AND MTSEWS-X   IS GREATER THAN  ZERO
214800         MOVE W01-PROD-DESC (MTSEWS-X)
214900                                 TO  MTSE-H-PROD-DESC
215000     ELSE
215100         MOVE W01-PROD-DESC (99) TO  MTSE-H-PROD-DESC
215200     END-IF.
215300*
215400     MOVE MTSE-H-REF-PRODUCT     TO  MTSEWS-X.
215500     ADD  1                      TO  MTSEWS-X.
215600*
215700     IF  MTSEWS-X   IS NUMERIC
215800     AND MTSEWS-X   IS GREATER THAN  ZERO
215900         MOVE W01-PROD-DESC (MTSEWS-X)
216000                                 TO  MTSE-H-REF-PROD-DESC
216100     ELSE
216200         MOVE W01-PROD-DESC (99) TO  MTSE-H-REF-PROD-DESC.
216300*
216400     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
216500*
216600 2150-EXIT.
216700     EXIT.
216800*
216900 2151-BUILD-HIST-DEP.
217000*
217100     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
217200*
217300     MOVE MTSEIR-HISTORY-DEP-DATA
217400                                 TO  MTSE-H-VD-DEP-DATA.
217500     MOVE MMSH-INDIV-DISC-FLAG   TO  MTSE-H-INDV-DISC-FLAG.
217600*
217700     IF  MMSH-INDIV-DISC-AMT  IS NUMERIC
217800         MOVE MMSH-INDIV-DISC-AMT
217900                                 TO  SS95WS-IN-AMT
218000         PERFORM 9800-EURO-CONVERT
218100                                 THRU 9899-EC-EXIT
218200         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-INDV-DISC-AMT.
218300*
218400     MOVE MMSH-INDIV-DISC-IND    TO  MTSE-H-INDV-DISC-IND.
218500*
218600     IF  MMSH-INDIV-DISC-RATE  IS NUMERIC
218700         SET SS95WS-NAP-IND-IS-PCT
218800                                 TO TRUE
218900         MOVE MMSH-INDIV-DISC-RATE
219000                                 TO SS95WS-IN-PCT
219100         MOVE WS-SAVE-PERCENT-NOD
219200                                 TO SS95WS-IN-PCT-NOD
219300         PERFORM SS95PD-NAP-ROUTINE
219400                                 THRU SS95PD-NAP-EXIT
219500         MOVE SS95WS-OUT-PCT-L10 TO  MTSE-H-INDV-DISC-RT.
219600*
219700     IF  MMSH-INDIV-DISC-ADJ-RATE  IS NUMERIC
219800         SET SS95WS-NAP-IND-IS-PCT
219900                                 TO TRUE
220000         MOVE MMSH-INDIV-DISC-ADJ-RATE
220100                                 TO SS95WS-IN-PCT
220200         MOVE WS-SAVE-PERCENT-NOD
220300                                 TO SS95WS-IN-PCT-NOD
220400         PERFORM SS95PD-NAP-ROUTINE
220500                                 THRU SS95PD-NAP-EXIT
220600         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-INDV-DISC-ADJ-RT.
220700*
220800     MOVE MMSH-INDIV-PART-FLAG   TO  MTSE-H-INDV-PART-FLAG.
220900*
221000     IF  MMSH-INDIV-PART-AMT  IS NUMERIC
221100         SET SS95WS-NAP-IND-IS-AMT
221200                                 TO TRUE
221300         MOVE MMSH-INDIV-PART-AMT
221400                                 TO  SS95WS-IN-AMT
221500         PERFORM 9800-EURO-CONVERT
221600                                 THRU 9899-EC-EXIT
221700         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-INDV-PART-AMT.
221800*
221900     MOVE MMSH-INDIV-PART-IND    TO  MTSE-H-INDV-PART-IND.
222000*
222100     IF  MMSH-INDIV-PART-RATE  IS NUMERIC
222200         SET SS95WS-NAP-IND-IS-PCT
222300                                 TO TRUE
222400         MOVE MMSH-INDIV-PART-RATE
222500                                 TO SS95WS-IN-PCT
222600         MOVE WS-SAVE-PERCENT-NOD
222700                                 TO SS95WS-IN-PCT-NOD
222800         PERFORM SS95PD-NAP-ROUTINE
222900                                 THRU SS95PD-NAP-EXIT
223000         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-INDV-PART-RT.
223100*
223200     IF  MMSH-INDIV-PART-ADJ-RATE  IS NUMERIC
223300         SET SS95WS-NAP-IND-IS-PCT
223400                                 TO TRUE
223500         MOVE MMSH-INDIV-PART-ADJ-RATE
223600                                 TO SS95WS-IN-PCT
223700         MOVE WS-SAVE-PERCENT-NOD
223800                                 TO SS95WS-IN-PCT-NOD
223900         PERFORM SS95PD-NAP-ROUTINE
224000                                 THRU SS95PD-NAP-EXIT
224100         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-INDV-PART-ADJ-RT.
224200*
224300     MOVE MMSH-AR-ORG            TO  MTSE-H-AR-ORG.
224400     MOVE MMSH-AR-ACCT           TO  MTSE-H-AR-ACCT.
224500     MOVE MMSH-AR-TRANS-CODE     TO  MTSE-H-AR-TRANS-CODE.
224600     MOVE MMSH-AR-LOGIC-MODULE   TO  MTSE-H-AR-LOGIC-MODULE.
224700     MOVE MMSH-AR-POST-FLAG      TO  MTSE-H-AR-POST-FLAG.
224800     MOVE MMSH-AR-AUTH-CODE      TO  MTSE-H-AR-AUTH-CODE.
224900*
225000 2151-EXIT.
225100     EXIT.
225200*
225300 2152-BUILD-HIST-FEE.
225400*
225500     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
225600*
225700     MOVE MTSEIR-HISTORY-FEE-DATA
225800                                 TO  MTSE-H-VD-FEE-DATA.
225900     MOVE MMSH-AR-ORG            TO  MTSE-H-AR-ORG
226000     MOVE MMSH-AR-ACCT           TO  MTSE-H-AR-ACCT
226100     MOVE MMSH-AR-TRANS-CODE     TO  MTSE-H-AR-TRANS-CODE
226200     MOVE MMSH-AR-LOGIC-MODULE   TO  MTSE-H-AR-LOGIC-MODULE
226300     MOVE MMSH-AR-POST-FLAG      TO  MTSE-H-AR-POST-FLAG.
226400*
226500     IF  MMSH-FEE-FACTOR-NBR  IS NUMERIC
226600         MOVE  MMSH-FEE-FACTOR-NBR
226700                                 TO  MTSE-H-FEE-FACTOR-NBR.
226800*
226900     IF  MMSH-FEE-FACTOR-AMT  IS NUMERIC
227000         MOVE MMSH-FEE-FACTOR-AMT
227100                                 TO  SS95WS-IN-AMT
227200         PERFORM 9800-EURO-CONVERT
227300                                 THRU 9899-EC-EXIT
227400         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-FEE-FACTOR-AMT.
227500*
227600     IF  MMSH-FEE-INC-PER-ITEM  IS NUMERIC
227700         MOVE MMSH-FEE-INC-PER-ITEM
227800                                 TO  MTSE-H-FEE-INC-PER-ITM.
227900*
228000     IF  MMSH-FEE-INC-RATE  IS NUMERIC
228100         SET SS95WS-NAP-IND-IS-PCT
228200                                 TO TRUE
228300         MOVE MMSH-FEE-INC-RATE
228400                                 TO SS95WS-IN-PCT
228500         MOVE WS-SAVE-PERCENT-NOD
228600                                 TO SS95WS-IN-PCT-NOD
228700         PERFORM SS95PD-NAP-ROUTINE
228800                                 THRU SS95PD-NAP-EXIT
228900         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-FEE-INC-RT.
229000*
229100     IF  MMSH-FEE-EXP-PER-ITEM  IS NUMERIC
229200         MOVE MMSH-FEE-EXP-PER-ITEM
229300                                 TO  MTSE-H-FEE-EXP-PER-ITM.
229400*
229500     IF  MMSH-FEE-EXP-RATE  IS NUMERIC
229600         SET SS95WS-NAP-IND-IS-PCT
229700                                 TO TRUE
229800         MOVE MMSH-FEE-EXP-RATE
229900                                 TO SS95WS-IN-PCT
230000         MOVE WS-SAVE-PERCENT-NOD
230100                                 TO SS95WS-IN-PCT-NOD
230200         PERFORM SS95PD-NAP-ROUTINE
230300                                 THRU SS95PD-NAP-EXIT
230400         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-FEE-EXP-RT.
230500*
230600     IF  MMSH-FEE-EXP-AMOUNT  IS NUMERIC
230700         SET SS95WS-NAP-IND-IS-AMT
230800                                 TO TRUE
230900         MOVE MMSH-FEE-EXP-AMOUNT
231000                                 TO  SS95WS-IN-AMT
231100         PERFORM 9800-EURO-CONVERT
231200                                 THRU 9899-EC-EXIT
231300         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-FEE-EXP-AMT.
231400*
231500 2152-EXIT.
231600     EXIT.
231700*
231800 2153-BUILD-HIST-HDR.
231900*
232000     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
232100*
232200     MOVE MTSEIR-HISTORY-HDR-DATA
232300                                 TO  MTSE-H-VD-HDR-DATA.
232400     MOVE MMSH-SALES-NBR         TO  MTSE-H-SALES-NBR.
232500*
232600     MOVE MMSH-SALES-AMT         TO  SS95WS-IN-AMT
232700     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT
232800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-SALES-AMT.
232900*
233000     MOVE MMSH-SALES-REV-NBR     TO  MTSE-H-SALES-REV-NBR.
233100*
233200     MOVE MMSH-SALES-REV-AMT     TO  SS95WS-IN-AMT.
233300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT
233400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-SALES-REV-AMT.
233500*
233600     MOVE MMSH-RETURNS-NBR       TO  MTSE-H-RETURNS-NBR.
233700*
233800     MOVE MMSH-RETURNS-AMT       TO  SS95WS-IN-AMT.
233900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT
234000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-RETURNS-AMT.
234100*
234200     MOVE MMSH-RETURNS-REV-NBR   TO  MTSE-H-RETURNS-REV-NBR.
234300*
234400     MOVE MMSH-RETURNS-REV-AMT   TO  SS95WS-IN-AMT.
234500     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT
234600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-RETURNS-REV-AMT.
234700*
234800     MOVE MMSH-MEMO-NBR          TO  MTSE-H-MEMO-NBR.
234900*
235000     MOVE MMSH-MEMO-AMT          TO  SS95WS-IN-AMT.
235100     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT
235200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-MEMO-AMT.
235300*
235400 2153-EXIT.
235500     EXIT.
235600*
235700 2160-BUILD-DEPOSIT-HIST.
235800*
235900     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
236000*
236100     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
236200     MOVE MTSEIR-DEPOSIT-HISTORY
236300                                 TO  MTSE-DEPOSIT-HISTORY.
236400     MOVE MTRF-D3-RECORD         TO  MMD3-RECORD.
236500     MOVE MMD3-ORG               TO  MTSE-DH-ORG.
236600     MOVE MMD3-MERCHANT          TO  MTSE-DH-MERCHANT.
236700     MOVE MMD3-STORE             TO  MTSE-DH-STORE.
236800*
236900     MOVE MMD3-BATCH-DATE        TO  SS01WS-JULIAN.
237000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
237100     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
237200     MOVE SS01WS-MM              TO  MTSEWS-MM.
237300     MOVE SS01WS-DD              TO  MTSEWS-DD.
237400     MOVE MTSEWS-DATE            TO  MTSE-DH-BATCH-DATE.
237500*
237600     MOVE MMD3-BATCH-SOURCE      TO  MTSE-DH-BATCH-SOURCE.
237700     MOVE MMD3-BATCH-NBR         TO  MTSE-DH-BATCH-NBR.
237800     MOVE MMD3-BATCH-SEQ         TO  MTSE-DH-BATCH-SEQ.
237900     MOVE MMD3-SEQ-NBR           TO  MTSE-DH-SEQ-NBR.
238000     MOVE MMD3-PRODUCT           TO  MTSE-DH-PRODUCT.
238100     MOVE MMD3-PLAN              TO  MTSE-DH-PLAN.
238200     MOVE MMD3-LOGIC-MODULE      TO  MTSE-DH-LOGIC-MODULE.
238300     MOVE MMD3-QUAL-LEVEL        TO  MTSE-DH-QUAL-LEVEL.
238400     MOVE MMD3-TRANS-CODE        TO  MTSE-DH-TRANS-CODE.
238500     MOVE MMD3-TRANS-FLAG        TO  MTSE-DH-TRANS-FLAG.
238600     MOVE MMD3-NBR-ITEMS         TO  MTSE-DH-NBR-ITEMS.
238700     MOVE MMD3-AMOUNT            TO  SS95WS-IN-AMT.
238800     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT
238900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DH-AMOUNT.
239000*
239100     MOVE MMD3-POST-DATE         TO  SS01WS-JULIAN.
239200     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
239300     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
239400     MOVE SS01WS-MM              TO  MTSEWS-MM.
239500     MOVE SS01WS-DD              TO  MTSEWS-DD.
239600     MOVE MTSEWS-DATE            TO  MTSE-DH-POST-DATE.
239700*
239800     MOVE MMD3-ENTRY-DATE        TO  SS01WS-JULIAN.
239900     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
240000     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
240100     MOVE SS01WS-MM              TO  MTSEWS-MM.
240200     MOVE SS01WS-DD              TO  MTSEWS-DD.
240300     MOVE MTSEWS-DATE            TO  MTSE-DH-ENTRY-DATE.
240400*
240500     MOVE MMD3-STMT-FLAG         TO  MTSE-DH-STMT-FLAG.
240600     MOVE MMD3-SETT-FLAG         TO  MTSE-DH-SETT-FLAG.
240700     MOVE MMD3-SETT-ACCT         TO  MTSE-DH-SETT-ACCT.
240800*
240900     MOVE MMD3-SETT-DATE         TO  SS01WS-JULIAN.
241000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
241100     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
241200     MOVE SS01WS-MM              TO  MTSEWS-MM.
241300     MOVE SS01WS-DD              TO  MTSEWS-DD.
241400     MOVE MTSEWS-DATE            TO  MTSE-DH-SETT-DATE.
241500*
241600     MOVE MMD3-REF-BATCH-DATE    TO  SS01WS-JULIAN.
241700     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
241800     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
241900     MOVE SS01WS-MM              TO  MTSEWS-MM.
242000     MOVE SS01WS-DD              TO  MTSEWS-DD.
242100     MOVE MTSEWS-DATE            TO  MTSE-DH-REF-BATCH-DATE.
242200*
242300     MOVE MMD3-REF-BATCH-SOURCE  TO  MTSE-DH-REF-BATCH-SOURCE.
242400     MOVE MMD3-REF-BATCH-NBR     TO  MTSE-DH-REF-BATCH-NBR.
242500     MOVE MMD3-REF-BATCH-SEQ     TO  MTSE-DH-REF-BATCH-SEQ.
242600     MOVE MMD3-REF-NBR           TO  MTSE-DH-REF-NBR.
242700*
242800     MOVE MMD3-REF-AMOUNT-1      TO  SS95WS-IN-AMT.
242900     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT
243000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DH-REF-AMOUNT-1.
243100*
243200     MOVE MMD3-REF-AMOUNT-2      TO  SS95WS-IN-AMT.
243300     PERFORM 9800-EURO-CONVERT   THRU 9899-EC-EXIT
243400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DH-REF-AMOUNT-2.
243500*
243600     MOVE MMD3-REF-NBR-ITEMS     TO  MTSE-DH-REF-NBR-ITEMS.
243700     MOVE MMD3-REF-PRODUCT       TO  MTSE-DH-REF-PRODUCT.
243800     MOVE MMD3-REF-PLAN          TO  MTSE-DH-REF-PLAN.
243900     MOVE MMD3-REF-QUAL-LEVEL    TO  MTSE-DH-REF-QUAL-LEVEL.
244000     MOVE MMD3-ORIG-GL-SOURCE    TO  MTSE-DH-ORIG-GL-SOURCE.
244100     MOVE MMD3-GL-SOURCE         TO  MTSE-DH-GL-SOURCE.
244200     MOVE MMD3-TRANS-STATUS      TO  MTSE-DH-TRANS-STATUS.
244300     MOVE MMD3-QUAL-INDICATOR    TO  MTSE-DH-QUAL-INDICATOR.
244400     MOVE MMD3-DATA-ENTRY-MODE   TO  MTSE-DH-DATA-ENTRY-MODE.
244500     MOVE MMD3-REJECT-REENTRY-FLAG
244600                                 TO  MTSE-DH-REJECT-REENTRY-FLAG.
244700     MOVE MMD3-AR-CURR-INPUT-SOURCE
244800                                 TO  MTSE-DH-AR-CURR-INP-SOURCE.
244900     MOVE MMD3-AR-MT-TYPE        TO  MTSE-DH-AR-MT-TYPE.
245000     MOVE MMD3-STORE-DUP-IND     TO  MTSE-DH-STORE-DUP-IND.       RG800902
245100     MOVE MMD3-MERCH-DUP-IND     TO  MTSE-DH-MERCH-DUP-IND.       RG800902
245200     MOVE MMD3-ORIG-OPERATOR     TO  MTSE-DH-ORIG-OPERATOR.
245300     MOVE MMD3-LAST-OPERATOR     TO  MTSE-DH-LAST-OPERATOR.
245400     MOVE MMD3-GOVERNING-STATE   TO  MTSE-DH-GOVERNING-STATE.
245500     MOVE MMD3-LOGO              TO  MTSE-DH-LOGO.
245600     MOVE MMD3-SKU-NBR           TO  MTSE-DH-SKU-NBR.
245700     MOVE MMD3-DEPT-CODE         TO  MTSE-DH-DEPT-CODE.
245800     MOVE MMD3-DESC              TO  MTSE-DH-DESC.
245900     MOVE MMD3-RPT-DESC          TO  MTSE-DH-RPT-DESC.
245910     MOVE MMD3-CARD-PROD-TYPE    TO  MTSE-DH-CARD-PROD-TYPE.      RG800902
245912     MOVE MMD3-CATEGORY-CODE     TO  MTSE-DH-CATEGORY-CODE.       RG800902
246000     MOVE MMD3-USER-FILLER       TO  MTSE-DH-USER-FILLER.
246100     MOVE MMD3-POST-FLAG         TO  MTSE-DH-POST-FLAG.
246200     MOVE MMD3-VAR-DATA-IND      TO  MTSE-DH-VAR-DATA-IND.
246300     MOVE MMD3-VARIABLE-DATA     TO  MTSE-DH-VARIABLE-DATA.
246400*
246500     IF  MTSE-DH-VDI-DEPOSIT-DATA
246600         PERFORM  2161-BUILD-DEPHIST-DEP
246700                                 THRU  2161-EXIT
246800     ELSE
246900         IF  MTSE-DH-VDI-FEE-DATA
247000             PERFORM  2162-BUILD-DEPHIST-FEE
247100                                 THRU  2162-EXIT.
247200*
247300     MOVE MTSE-DH-PRODUCT        TO  MTSEWS-X.
247400     ADD  1                      TO  MTSEWS-X.
247500*
247600     IF  MTSEWS-X   IS NUMERIC    AND
247700         MTSEWS-X   IS GREATER THAN  ZERO
247800         MOVE W01-PROD-DESC (MTSEWS-X)
247900                                 TO  MTSE-DH-PROD-DESC
248000     ELSE
248100         MOVE W01-PROD-DESC (99) TO  MTSE-DH-PROD-DESC.
248200*
248300     MOVE MTSE-DH-REF-PRODUCT    TO  MTSEWS-X.
248400     ADD  1                      TO  MTSEWS-X.
248500*
248600     IF  MTSEWS-X   IS NUMERIC
248700     AND MTSEWS-X   IS GREATER THAN  ZERO
248800         MOVE W01-PROD-DESC (MTSEWS-X)
248900                                 TO  MTSE-DH-REF-PROD-DESC
249000     ELSE
249100         MOVE W01-PROD-DESC (99) TO  MTSE-DH-REF-PROD-DESC.
249200*
249300     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
249400*
249500 2160-EXIT.
249600     EXIT.
249700*
249800 2161-BUILD-DEPHIST-DEP.
249900*
250000     MOVE MTSEIR-DEPHIST-DEP-DATA
250100                                 TO  MTSE-DH-VD-DEPOSIT-DATA.
250200     MOVE MMD3-INDIV-DISC-FLAG   TO  MTSE-DH-INDIV-DISC-FLAG.
250300*
250400     IF  MMD3-INDIV-DISC-AMT  IS NUMERIC
250500         MOVE MMD3-INDIV-DISC-AMT
250600                                 TO  SS95WS-IN-AMT
250700         PERFORM 9800-EURO-CONVERT
250800                                 THRU 9899-EC-EXIT
250900         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-DH-INDIV-DISC-AMT.
251000*
251100     MOVE MMD3-INDIV-DISC-IND    TO  MTSE-DH-INDIV-DISC-IND.
251200*
251300     IF  MMD3-INDIV-DISC-RATE  IS NUMERIC
251400         SET SS95WS-NAP-IND-IS-PCT
251500                                 TO TRUE
251600         MOVE MMD3-INDIV-DISC-RATE
251700                                 TO SS95WS-IN-PCT
251800         MOVE WS-SAVE-PERCENT-NOD
251900                                 TO SS95WS-IN-PCT-NOD
252000         PERFORM SS95PD-NAP-ROUTINE
252100                                 THRU SS95PD-NAP-EXIT
252200         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-INDIV-DISC-RATE.
252300*
252400     IF  MMD3-INDIV-DISC-ADJ-RATE  IS NUMERIC
252500         SET SS95WS-NAP-IND-IS-PCT
252600                                 TO TRUE
252700         MOVE MMD3-INDIV-DISC-ADJ-RATE
252800                                 TO SS95WS-IN-PCT
252900         MOVE WS-SAVE-PERCENT-NOD
253000                                 TO SS95WS-IN-PCT-NOD
253100         PERFORM SS95PD-NAP-ROUTINE
253200                                 THRU SS95PD-NAP-EXIT
253300         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-INDIV-DISC-ADJ-RT.
253400*
253500     MOVE MMD3-INDIV-PART-FLAG   TO  MTSE-DH-INDIV-PART-FLAG.
253600*
253700     IF  MMD3-INDIV-PART-AMT  IS NUMERIC
253800         SET SS95WS-NAP-IND-IS-AMT
253900                                 TO TRUE
254000         MOVE MMD3-INDIV-PART-AMT
254100                                 TO  SS95WS-IN-AMT
254200         PERFORM 9800-EURO-CONVERT
254300                                 THRU 9899-EC-EXIT
254400         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-DH-INDIV-PART-AMT.
254500*
254600     MOVE MMD3-INDIV-PART-IND    TO  MTSE-DH-INDIV-PART-IND.
254700*
254800     IF  MMD3-INDIV-PART-RATE  IS NUMERIC
254900         SET SS95WS-NAP-IND-IS-PCT
255000                                 TO TRUE
255100         MOVE MMD3-INDIV-PART-RATE
255200                                 TO SS95WS-IN-PCT
255300         MOVE WS-SAVE-PERCENT-NOD
255400                                 TO SS95WS-IN-PCT-NOD
255500         PERFORM SS95PD-NAP-ROUTINE
255600                                 THRU SS95PD-NAP-EXIT
255700         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-INDIV-PART-RATE.
255800*
255900     IF  MMD3-INDIV-PART-ADJ-RATE  IS NUMERIC
256000         SET SS95WS-NAP-IND-IS-PCT
256100                                 TO TRUE
256200         MOVE MMD3-INDIV-PART-ADJ-RATE
256300                                 TO SS95WS-IN-PCT
256400         MOVE WS-SAVE-PERCENT-NOD
256500                                 TO SS95WS-IN-PCT-NOD
256600         PERFORM SS95PD-NAP-ROUTINE
256700                                 THRU SS95PD-NAP-EXIT
256800         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-INDIV-PART-ADJ-RT.
256900*
257000     IF  MMD3-AR-ORG  IS NUMERIC
257100         MOVE MMD3-AR-ORG        TO  MTSE-DH-AR-ORG.
257200*
257300     MOVE MMD3-AR-ACCT           TO  MTSE-DH-AR-ACCT.
257400*
257500     IF  MMD3-AR-TRANS-CODE  IS NUMERIC
257600         MOVE MMD3-AR-TRANS-CODE TO  MTSE-DH-AR-TRANS-CODE.
257700*
257800     IF  MMD3-AR-LOGIC-MODULE  IS NUMERIC
257900         MOVE MMD3-AR-LOGIC-MODULE
258000                                 TO  MTSE-DH-AR-LOGIC-MODULE.
258100*
258200     IF  MMD3-AR-POST-FLAG  IS NUMERIC
258300         MOVE MMD3-AR-POST-FLAG  TO  MTSE-DH-AR-POST-FLAG.
258400*
258500     MOVE MMD3-AR-AUTH-CODE      TO  MTSE-DH-AR-AUTH-CODE.
258600*
258700 2161-EXIT.
258800     EXIT.
258900*
259000 2162-BUILD-DEPHIST-FEE.
259100*
259200     MOVE MTSEIR-DEPHIST-FEE-DATA
259300                                 TO  MTSE-DH-VD-FEE-DATA.
259400*
259500     IF  MMD3-FEE-FACTOR-NBR  IS NUMERIC
259600         MOVE MMD3-FEE-FACTOR-NBR
259700                                 TO  MTSE-DH-FEE-FACTOR-NBR.
259800*
259900     IF  MMD3-FEE-FACTOR-AMT  IS NUMERIC
260000         MOVE MMD3-FEE-FACTOR-AMT
260100                                 TO  SS95WS-IN-AMT
260200         PERFORM 9800-EURO-CONVERT
260300                                 THRU 9899-EC-EXIT
260400         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-DH-FEE-FACTOR-AMT.
260500*
260600     IF  MMD3-FEE-INC-PER-ITEM  IS NUMERIC
260700         MOVE MMD3-FEE-INC-PER-ITEM
260800                                 TO  MTSE-DH-FEE-INC-PER-ITEM.
260900*
261000     IF  MMD3-FEE-INC-RATE  IS NUMERIC
261100         SET SS95WS-NAP-IND-IS-PCT
261200                                 TO TRUE
261300         MOVE MMD3-FEE-INC-RATE
261400                                 TO SS95WS-IN-PCT
261500         MOVE WS-SAVE-PERCENT-NOD
261600                                 TO SS95WS-IN-PCT-NOD
261700         PERFORM SS95PD-NAP-ROUTINE
261800                                 THRU SS95PD-NAP-EXIT
261900         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-FEE-INC-RATE.
262000*
262100     IF  MMD3-FEE-EXP-PER-ITEM  IS NUMERIC
262200         MOVE MMD3-FEE-EXP-PER-ITEM
262300                                 TO  MTSE-DH-FEE-EXP-PER-ITEM.
262400*
262500     IF  MMD3-FEE-EXP-RATE  IS NUMERIC
262600         SET SS95WS-NAP-IND-IS-PCT
262700                                 TO TRUE
262800         MOVE MMD3-FEE-EXP-RATE
262900                                 TO SS95WS-IN-PCT
263000         MOVE WS-SAVE-PERCENT-NOD
263100                                 TO SS95WS-IN-PCT-NOD
263200         PERFORM SS95PD-NAP-ROUTINE
263300                                 THRU SS95PD-NAP-EXIT
263400         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-FEE-EXP-RATE.
263500*
263600     IF  MMD3-FEE-EXP-AMOUNT IS NUMERIC
263700         SET SS95WS-NAP-IND-IS-AMT
263800                                 TO TRUE
263900         MOVE MMD3-FEE-EXP-AMOUNT
264000                                 TO  SS95WS-IN-AMT
264100         PERFORM 9800-EURO-CONVERT
264200                                 THRU 9899-EC-EXIT
264300         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-DH-FEE-EXP-AMOUNT.
264400*
264500 2162-EXIT.
264600     EXIT.
264700/
264800 3000-READ-MTRF.
264900*
265000     MOVE 'RF02'                 TO  SS02WS-ABEND-LOCATION.
265100     SET MTRFRB-READ-SEQ         TO  TRUE.
265200     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
265300*
265400     IF  SS02WS-FS-END-OF-FILE
265500         MOVE 'X'                TO  W01-FILE-SW
265600         GO TO 3000-EXIT
265700     ELSE
265800         MOVE MTRFIO-RECORD      TO  MTRF-RECORD
265900     END-IF.
266000*
266100     IF  MTRF-K1-HEADER
266200     OR  MTRF-K1-TRAILER
266300         GO TO 3000-EXIT
266400     END-IF.
266500*
266600     IF (MTRF-K1-RPT-NBR  =  50
266700     OR  MTRF-K1-RPT-NBR  =  52)
266800         CONTINUE
266900     ELSE
267000         GO TO 3000-READ-MTRF
267100     END-IF.
267200*
267300     IF  MTRF-K2-O50-NA-RECORD
267400         IF  MTRF-O50-EURO-REPORTING-OFF
267500             SET WS-BYPASS-ON    TO TRUE
267600         ELSE
267700             SET WS-BYPASS-OFF   TO TRUE
267800         END-IF
267900     END-IF.
268000*
268100     IF  WS-BYPASS-ON
268200         GO TO 3000-READ-MTRF
268300     END-IF.
268400*
268500 3000-EXIT.
268600     EXIT.
268700*
268800 3010-RELEASE-MTSE.
268900*
269000*    SET HIGH ORDER SORT CODE
269100*
269200     IF  MTSE-S-DEPOSIT-TRANS
269300         MOVE ZEROS              TO  DEPOSIT-HISTORY-SORT-KEY
269400         MOVE MTSE-S-RPT-NBR     TO  DHIST-SORT-S-RPT-NBR
269500         MOVE MTSE-S-FORM        TO  DHIST-SORT-S-FORM
269600         MOVE MTSE-DH-ORG        TO  DHIST-SORT-S-ORG
269700         IF  MTSE-S-MERCHANT-DATA
269800             MOVE MTSE-S-MERCHANT
269900                                 TO  DHIST-SORT-S-MC-1
270000             MOVE MTSE-S-CHAIN   TO  DHIST-SORT-S-MC-2
270100         END-IF
270200         IF  MTSE-S-CHAIN-DATA
270300             MOVE MTSE-S-CHAIN   TO  DHIST-SORT-S-MC-1
270400             MOVE MTSE-S-MERCHANT
270500                                 TO  DHIST-SORT-S-MC-2
270600         END-IF
270700         MOVE MTSE-DH-STORE      TO  DHIST-SORT-S-STORE
270800         MOVE MTSE-S-RECORD-ID   TO  DHIST-SORT-S-RECORD-ID
270900         MOVE MTSE-DH-BATCH-DATE TO  DHIST-SORT-S-BATCH-DATE
271000         MOVE MTSE-DH-BATCH-NBR  TO  DHIST-SORT-S-BATCH-NBR
271100         MOVE MTSE-DH-BATCH-SOURCE
271200                                 TO  DHIST-SORT-S-BATCH-SOURCE
271300         MOVE MTSE-DH-BATCH-SEQ  TO  DHIST-SORT-S-BATCH-SEQ
271400     ELSE
271500         MOVE MTSE-S-RPT-NBR     TO  SORT-S-RPT-NBR
271600         MOVE MTSE-S-FORM        TO  SORT-S-FORM
271700         MOVE MTSE-S-ORG         TO  SORT-S-ORG
271800         MOVE MTSE-S-STORE       TO  SORT-S-STORE
271900         MOVE MTSE-S-REC-TYPE    TO  SORT-S-REC-TYPE
272000         MOVE MTSE-S-RECORD-ID   TO  SORT-S-RECORD-ID
272100*
272200*    CHANGE SORT KEY TO MAKE DISBURSEMENT TOTAL RECORD
272300*    APPEAR BEFORE DISBURSEMENT ACTIVITY SUMMARY RECORDS
272400*
272500         IF  MTSE-S-DISBURSE-TOTALS
272600             MOVE '07  '         TO  SORT-S-RECORD-ID
272700         END-IF
272800*
272900         MOVE MTSE-S-SUMM-DTL    TO  SORT-S-SUMM-DTL
273000         MOVE MTSE-S-POSTAL-CODE TO  SORT-S-POSTAL-CODE
273100         MOVE MTSE-S-REC-ID-SEQ  TO  SORT-S-REC-ID-SEQ
273200*
273300         IF  MTSE-S-MERCHANT-DATA
273400             MOVE MTSE-S-MERCHANT
273500                                 TO  SORT-S-MC-1
273600             MOVE MTSE-S-CHAIN   TO  SORT-S-MC-2
273700         END-IF
273800*
273900         IF  MTSE-S-CHAIN-DATA
274000             MOVE MTSE-S-CHAIN   TO  SORT-S-MC-1
274100             MOVE MTSE-S-MERCHANT
274200                                 TO  SORT-S-MC-2
274300         END-IF
274400*
274500     END-IF.
274600*
274700     MOVE MTSE-RECORD            TO  SORT-DATA-AREA.
274800     RELEASE  SORT-RECORD.
274900*
275000 3010-EXIT.
275100     EXIT.
275200*
275300 3999-EXIT.
275400     EXIT.
275500/
275600 6000-WRITE-OUTPUT    SECTION.
275700*
275800     MOVE ' '                    TO  W01-FILE-SW.
275900     PERFORM  6010-WRITE-MTSE    THRU  6010-EXIT
276000                                 UNTIL  END-OF-INPUT.
276100     GO TO  6999-EXIT.
276200*
276300 6010-WRITE-MTSE.
276400*
276500     RETURN  MS1S-SORT-FILE
276600             AT END
276700             MOVE 'X'            TO  W01-FILE-SW.
276800*
276900     IF  END-OF-INPUT
277000         GO TO  6010-EXIT.
277100*
277200     MOVE SORT-DATA-AREA         TO  MTSE-RECORD.
277300     MOVE 'SE02'                 TO  SS02WS-ABEND-LOCATION.
277400     MOVE MTSE-RECORD            TO  MTSEIO-RECORD.
277500     SET MTSERB-WRITE            TO  TRUE.
277600     PERFORM MB00PD-MTSE-ACCESS  THRU MB00PD-MTSE-ACCESS-EXIT.
277700*
277800 6010-EXIT.
277900     EXIT.
278000*
278100 6999-EXIT.
278200     EXIT.
278300/
278400 9800-EURO-CONVERT SECTION.
278500 9801-EC-BEGIN.
278600*
278700     MOVE 15                     TO SMRTWS-TABLE-NBR.
278800     MOVE SS95WS-CURRENCY-CODE   TO SMRTWS-CURRENCY-CODE.
278900     MOVE '978'                  TO SMRTWS-CURRENCY-CODE-DEST.
279000     MOVE WS-END-STMT-DATE       TO SMRTWS-TABLE-SEQ.
279100     MOVE SS95WS-IN-AMT          TO SS96WS-AMT.
279200     SET  SS96WS-CCO1-CLOSEST-EFF-DATE
279300                                 TO TRUE.
279400     SET  SS96WS-CCO2-USE-INVERSION
279500                                 TO TRUE.
279600     SET  SS96WS-USE-RATE        TO TRUE.
279700     SET  SS96WS-ROUND           TO TRUE.
279800     SET  SS96WS-XP-NORMAL       TO TRUE.
279900     PERFORM SS96PD-CURRENCY-CONVERSION
280000        THRU SS96PD-CC-EXIT.
280100*
280200     IF  SS96WS-RC-NO-CURR-CONVERTED
280300         MOVE WS-SAVE-CURRENCY   TO SS95WS-CURRENCY-CODE
280400     ELSE
280500         MOVE SS96WS-DEST-AMT    TO SS95WS-IN-AMT
280600         MOVE SMRTWS-CURRENCY-CODE-DEST
280700                                 TO SS95WS-CURRENCY-CODE
280800         MOVE SMRTWS-RECORD      TO SMRT-RECORD
280900         MOVE SMRT-RATE          TO SS95WS-IN-PCT
281000         MOVE SMRT-RATE-NOD      TO SS95WS-IN-PCT-NOD
281100     END-IF.
281200*
281300     PERFORM SS95PD-NAP-ROUTINE
281400        THRU SS95PD-NAP-EXIT.
281500*
281600     MOVE WS-SAVE-CURRENCY       TO SS95WS-CURRENCY-CODE.
281700*
281800 9899-EC-EXIT.
281900     EXIT.
282000/
282100 9999-END-OF-PROG    SECTION.
282200*
282300******************************************************************
282400*         THE FOLLOWING ROUTINES ARE COPIED INTO THE PROGRAM     *
282500******************************************************************
282600/
282700     COPY MB00PD REPLACING ==:MB00:== BY ==MTRF==.
282800/
282900     COPY MB00PD REPLACING ==:MB00:== BY ==MTSE==.
283000/
283100     COPY MB00PD REPLACING ==:MB00:== BY ==MTED==.
283200/
283300     COPY SS02PD.
283400/
283500     COPY SS03PD.
283600/
283700     COPY SS07PD.
283800/
283900     COPY SS08PD.
284000/
284100     COPY SS95PD.
284200/
284300     COPY SS96PD.
284400/
284500     COPY SS98PD.
284600/
284700     COPY SMCUPXB.
