000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU900.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
001200*****************************************************************
001300*                                                               *
001400*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
001500*                                                               *
001600*               MBU900 - INITIALIZE MASTER FILES                *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 CONFIGURATION SECTION.
002200 SOURCE-COMPUTER.            IBM-4341.
002300 OBJECT-COMPUTER.            IBM-4341.
002400/
002500 INPUT-OUTPUT SECTION.
002600 FILE-CONTROL.
002700*
002800/
002900 DATA DIVISION.
003000 FILE SECTION.
003100*
003200/
003300 WORKING-STORAGE SECTION.
003400*
003500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003600*
003700     COPY MB00RB REPLACING ==:MB00:== BY ==MMAM==.
003800/
003900     COPY MB00RB REPLACING ==:MB00:== BY ==MMBC==.
004000/
004100     COPY MB00RB REPLACING ==:MB00:== BY ==MMCG==.
004200/
004300     COPY MB00RB REPLACING ==:MB00:== BY ==MMCP==.
004400/
004500     COPY MB00RB REPLACING ==:MB00:== BY ==MMCS==.
004600/
004700     COPY MB00RB REPLACING ==:MB00:== BY ==MMCT==.
004800/
004900     COPY MB00RB REPLACING ==:MB00:== BY ==MMDT==.
005000/
005100     COPY MMDTRL.
005200/
005300     COPY MB00RB REPLACING ==:MB00:== BY ==MMEF==.
005400/
005500     COPY MB00RB REPLACING ==:MB00:== BY ==MMEX==.
005600/
005700     COPY MB00RB REPLACING ==:MB00:== BY ==MMFA==.
005800/
005900     COPY MB00RB REPLACING ==:MB00:== BY ==MMFG==.
006000/
006100     COPY MB00RB REPLACING ==:MB00:== BY ==MMFP==.
006200/
006300     COPY MB00RB REPLACING ==:MB00:== BY ==MMFS==.
006400/
006500     COPY MB00RB REPLACING ==:MB00:== BY ==MMGD==.
006600/
006700     COPY MB00RB REPLACING ==:MB00:== BY ==MMIC==.
006800/
006900     COPY MB00RB REPLACING ==:MB00:== BY ==MMIF==.
007000/
007100     COPY MB00RB REPLACING ==:MB00:== BY ==MMLG==.
007200/
007300     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
007400/
007500     COPY MB00RB REPLACING ==:MB00:== BY ==MMMP==.
007600/
007700     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
007800/
007900     COPY MB00RB REPLACING ==:MB00:== BY ==MMOE==.
008000/
008100     COPY MB00RB REPLACING ==:MB00:== BY ==MMOG==.
008200/
008300     COPY MB00RB REPLACING ==:MB00:== BY ==MMOI==.
008400/
008500     COPY MB00RB REPLACING ==:MB00:== BY ==MMOX==.
008600/
008700     COPY MB00RB REPLACING ==:MB00:== BY ==MMPA==.
008800/
008900     COPY MB00RB REPLACING ==:MB00:== BY ==MMPE==.
009000/
009100     COPY MB00RB REPLACING ==:MB00:== BY ==MMPF==.
009200/
009300     COPY MB00RB REPLACING ==:MB00:== BY ==MMPG==.
009400/
009500     COPY MB00RB REPLACING ==:MB00:== BY ==MMPS==.
009600/
009700     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ1==.
009800/
009900     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ2==.
010000/
010100     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ3==.
010200/
010300     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ4==.
010400/
010500     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ5==.
010600/
010700     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ6==.
010800/
010900     COPY MB00RB REPLACING ==:MB00:== BY ==MMPX==.
011000/
011100     COPY MB00RB REPLACING ==:MB00:== BY ==MMRC==.
011200/
011300     COPY MB00RB REPLACING ==:MB00:== BY ==MMRD==.
011400/
011500     COPY MB00RB REPLACING ==:MB00:== BY ==MMRG==.
011600/
011700     COPY MB00RB REPLACING ==:MB00:== BY ==MMRT==.
011800/
011900     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
012000/
012100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSD==.
012200/
012300     COPY MB00RB REPLACING ==:MB00:== BY ==MMSH==.
012400/
012500     COPY MB00RB REPLACING ==:MB00:== BY ==MMSM==.
012600/
012700     COPY MB00RB REPLACING ==:MB00:== BY ==MMSR==.
012800/
012900     COPY MB00RB REPLACING ==:MB00:== BY ==MMSS==.
013000/
013100     COPY MB00RB REPLACING ==:MB00:== BY ==MMTC==.
013200/
013300     COPY MB00RB REPLACING ==:MB00:== BY ==MMTM==.
013400/
013500     COPY MB00RB REPLACING ==:MB00:== BY ==MMWT==.
013600/
013700     COPY MB00RB REPLACING ==:MB00:== BY ==MMXR==.
013800/
013900     COPY MB00RB REPLACING ==:MB00:== BY ==MMXT==.
014000/
014100     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
014200/
014300     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
014400/
014500     COPY MMAMIO REPLACING ==:MMAM:== BY ==MMAM==.
014600/
014700     COPY MMBCIO.
014800/
014900     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMCG==.
015000/
015100     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMCP==.
015200/
015300     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMCS==.
015400/
015500     COPY MMCTIO.
015600/
015700     COPY MMDTIO.
015800/
015900     COPY MMIFIO REPLACING ==:MMIF:== BY ==MMEF==.
016000/
016100     COPY MMEXIO REPLACING ==:MMEX:== BY ==MMEX==.
016200/
016300     COPY MMFAIO REPLACING ==:MMFA:== BY ==MMFA==.
016400/
016500     COPY MMFAIO REPLACING ==:MMFA:== BY ==MMFG==.
016600/
016700     COPY MMFPIO.
016800/
016900     COPY MMFSIO.
017000/
017100     COPY MMGDIO.
017200/
017300     COPY MMICIO.
017400/
017500     COPY MMIFIO REPLACING ==:MMIF:== BY ==MMIF==.
017600/
017700     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMLG==.
017800/
017900     COPY MMMMIO.
018000/
018100     COPY MMMPIO.
018200/
018300     COPY MMOCIO.
018400/
018500     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOE==.
018600/
018700     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOG==.
018800/
018900     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOI==.
019000/
019100     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOX==.
019200/
019300     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPA==.
019400/
019500     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPE==.
019600/
019700     COPY MMPFIO.
019800/
019900     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPG==.
020000/
020100     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPS==.
020200/
020300     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPX==.
020400/
020500     COPY MMQ1IO.
020600/
020700     COPY MMQ2IO.
020800/
020900     COPY MMQ3IO.
021000/
021100     COPY MMQ4IO.
021200/
021300     COPY MMQ5IO.
021400/
021500     COPY MMQ6IO.
021600/
021700     COPY MMRCIO.
021800/
021900     COPY MMRDIO REPLACING ==:MMRD:== BY ==MMRD==.
022000/
022100     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMRG==.
022200/
022300     COPY MMRTIO.
022400/
022500     COPY MMSCIO.
022600/
022700     COPY MMSCIR.
022800/
022900     COPY MMSDIO REPLACING ==:MMSD:== BY ==MMSD==.
023000/
023100     COPY MTPTIO REPLACING ==:MTPT:== BY ==MMSH==.
023200/
023300     COPY MMSMIO.
023400/
023500     COPY MMSRIO.
023600/
023700     COPY MMSSIO.
023800/
023900     COPY MMTCIO.
024000/
024100     COPY MMTMIO.
024200/
024300     COPY MTPTIO REPLACING ==:MTPT:== BY ==MMWT==.
024400/
024500     COPY MMXRIO.
024600/
024700     COPY MMXTIO.
024800/
024900     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
025000/
025100     COPY MB00WS.
025200/
025300     COPY MB99WS.
025400/
025500     COPY SS00WS.
025600/
025700     COPY SS01WS.
025800/
025900     COPY SS02WS.
026000/
026100     COPY MB20WS.
026200*
026300 01  WS-DETAIL               REDEFINES MB20WS-PRINT-LINE.
026400     03  FILLER              PIC  X(46).
026500     03  WS-D1-FILE          PIC  X(04).
026600     03  FILLER              PIC  X(06).
026700     03  WS-D1-RECS-IN       PIC  ZZZZZZZZ9.
026800     03  FILLER              PIC  X(06).
026900     03  WS-D1-RECS-OUT      PIC  ZZZZZZZZ9.
027000     03  FILLER              PIC  X(52).
027100*
027200 01  WS-RPT-HEADING.
027300     03  FILLER              PIC  X(46)      VALUE SPACES.
027400     03  FILLER              PIC  X(04)      VALUE 'FILE'.
027500     03  FILLER              PIC  X(04)      VALUE SPACES.
027600     03  FILLER              PIC  X(11)      VALUE 'RECORDS IN'.
027700     03  FILLER              PIC  X(04)      VALUE SPACES.
027800     03  FILLER              PIC  X(11)      VALUE 'RECORDS OUT'.
027900     03  FILLER              PIC  X(52)      VALUE SPACES.
028000/
028100 01  WS-WORK-AREAS.
028200     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU900'.
028300     03  WS-CONTROL-CARD-SW  PIC  X(01)      VALUE 'N'.
028400         88 CONTROL-CARD-PRESENT             VALUE 'Y'.
028500         88 CONTROL-CARD-VALID               VALUE 'V'.
028600     03  WS-RECS-IN          PIC  9(09)      VALUE ZERO.
028700     03  WS-RECS-OUT         PIC  9(09)      VALUE ZERO.
028800     03  WS-999999999        PIC  9(09)      VALUE 999999999.
028900     03  WS-99999999         PIC  9(08)      VALUE 99999999.
029000     03  WS-9999999          PIC  9(07)      VALUE 9999999.
029100     03  WS-999999           PIC  9(06)      VALUE 999999.
029200     03  WS-99999            PIC  9(05)      VALUE 99999.
029300     03  WS-9999             PIC  9(04)      VALUE 9999.
029400     03  WS-999              PIC  9(03)      VALUE 999.
029500     03  WS-99               PIC  9(02)      VALUE 99.
029600     03  WS-9                PIC  9(01)      VALUE 9.
029700*
029800*
029900*
030000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
030100/
030200 PROCEDURE DIVISION.
030300*
030400 A000-MAINLINE-LOGIC.
030500*
030600     MOVE 'MBU900'               TO SS02WS-ABEND-PROG-ID.
030700*
030800     PERFORM A000-PROCESS-CONTROL-CARD
030900                                 THRU A999-PCC-EXIT.
031000*
031100     PERFORM MB20PD-CLOSE-PRINT-FILES
031200                                 THRU MB20PD-CPF-EXIT.
031300*
031400     STOP RUN.
031500/
031600 A000-PROCESS-CONTROL-CARD.
031700*
031800     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
031900     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
032000     SET MTCCRB-OPEN-INPUT       TO TRUE.
032100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
032200*
032300     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
032400     MOVE 'T900'                 TO MB20WS-SH-INTERNAL-RPT-ID.
032500     MOVE '   MERCHANT BANKCARD SYSTEM   '
032600                                 TO MB20WS-SH-SYSTEM.
032700     MOVE SPACES                 TO MB20WS-SH-LIT-1.
032800     MOVE '   MASTER FILE INITIALIZER'
032900                                 TO MB20WS-SH-RPT-NAME.
033000     MOVE SPACES                 TO MB20WS-SH-FILE-DATE-LIT.
033100     MOVE SPACES                 TO MB20WS-SH-LIT-5.
033200     MOVE WS-RPT-HEADING         TO MB20WS-SH-L5.
033300*
033400     MOVE SPACES                 TO MTCCIO-RECORD.
033500*
033600     PERFORM B100-CONTROL-SPECS-READ
033700                                 THRU B199-CSR-EXIT.
033800*
033900 A999-PCC-EXIT.
034000     EXIT.
034100/
034200 B100-CONTROL-SPECS-READ.
034300*
034400     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
034500     SET MTCCRB-READ-SEQ         TO TRUE.
034600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
034700*
034800     IF  SS02WS-FS-END-OF-FILE
034900         GO TO B130-CC-CONTINUE.
035000*
035100     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
035200         GO TO B100-CONTROL-SPECS-READ.
035300*
035400     MOVE MTCCIO-RECORD          TO MTCC-RECORD-MBU900.
035500*
035600     PERFORM C000-PROCESS-FILES  THRU C899-PF-EXIT.
035700*
035800     GO TO B100-CONTROL-SPECS-READ.
035900*
036000 B130-CC-CONTINUE.
036100*
036200     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
036300     SET MTCCRB-CLOSE            TO TRUE.
036400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
036500*
036600 B199-CSR-EXIT.
036700     EXIT.
036800/
036900 C000-PROCESS-FILES.
037000*
037100     IF  MTCC-RECORD IS EQUAL TO SPACES
037200         MOVE 90001              TO SS02WS-ABEND-CODE
037300         MOVE '- MTCC-CONTROL CARD MISSING'
037400                                 TO SS02WS-ABENDMSG8
037500         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
037600*
037700     PERFORM
037800         VARYING X-MTCC-MBU900 FROM 1 BY 1
037900         UNTIL   X-MTCC-MBU900 IS GREATER THAN 40
038000         EVALUATE TRUE
038100             WHEN MTCC-MBU900-ENTRY (X-MTCC-MBU900)
038200                                 IS EQUAL TO SPACES
038300                 CONTINUE
038400             WHEN MTCC-MBU900-FILE-IS-MMAM (X-MTCC-MBU900)
038500                 PERFORM 0100-INITIALIZE-MMAM
038600                    THRU 0199-IMMAM-EXIT
038700             WHEN MTCC-MBU900-FILE-IS-MMBC (X-MTCC-MBU900)
038800                 PERFORM 0200-INITIALIZE-MMBC
038900                    THRU 0299-IMMBC-EXIT
039000             WHEN MTCC-MBU900-FILE-IS-MMCG (X-MTCC-MBU900)
039100                 PERFORM 0300-INITIALIZE-MMCG
039200                    THRU 0399-IMMCG-EXIT
039300             WHEN MTCC-MBU900-FILE-IS-MMCP (X-MTCC-MBU900)
039400                 PERFORM 0400-INITIALIZE-MMCP
039500                    THRU 0499-IMMCP-EXIT
039600             WHEN MTCC-MBU900-FILE-IS-MMCS (X-MTCC-MBU900)
039700                 PERFORM 0500-INITIALIZE-MMCS
039800                    THRU 0599-IMMCS-EXIT
039900             WHEN MTCC-MBU900-FILE-IS-MMCT (X-MTCC-MBU900)
040000                 PERFORM 0600-INITIALIZE-MMCT
040100                    THRU 0699-IMMCT-EXIT
040200             WHEN MTCC-MBU900-FILE-IS-MMDT (X-MTCC-MBU900)
040300                 PERFORM 0700-INITIALIZE-MMDT
040400                    THRU 0799-IMMDT-EXIT
040500             WHEN MTCC-MBU900-FILE-IS-MMEF (X-MTCC-MBU900)
040600                 PERFORM 0800-INITIALIZE-MMEF
040700                    THRU 0899-IMMEF-EXIT
040800             WHEN MTCC-MBU900-FILE-IS-MMFA (X-MTCC-MBU900)
040900                 PERFORM 0900-INITIALIZE-MMFA
041000                    THRU 0999-IMMFA-EXIT
041100             WHEN MTCC-MBU900-FILE-IS-MMFG (X-MTCC-MBU900)
041200                 PERFORM 1000-INITIALIZE-MMFG
041300                    THRU 1099-IMMFG-EXIT
041400             WHEN MTCC-MBU900-FILE-IS-MMFP (X-MTCC-MBU900)
041500                 PERFORM 1100-INITIALIZE-MMFP
041600                    THRU 1199-IMMFP-EXIT
041700             WHEN MTCC-MBU900-FILE-IS-MMFS (X-MTCC-MBU900)
041800                 PERFORM 1200-INITIALIZE-MMFS
041900                    THRU 1299-IMMFS-EXIT
042000             WHEN MTCC-MBU900-FILE-IS-MMGD (X-MTCC-MBU900)
042100                 PERFORM 1300-INITIALIZE-MMGD
042200                    THRU 1399-IMMGD-EXIT
042300             WHEN MTCC-MBU900-FILE-IS-MMIC (X-MTCC-MBU900)
042400                 PERFORM 1400-INITIALIZE-MMIC
042500                    THRU 1499-IMMIC-EXIT
042600             WHEN MTCC-MBU900-FILE-IS-MMIF (X-MTCC-MBU900)
042700                 PERFORM 1500-INITIALIZE-MMIF
042800                    THRU 1599-IMMIF-EXIT
042900             WHEN MTCC-MBU900-FILE-IS-MMLG (X-MTCC-MBU900)
043000                 PERFORM 1600-INITIALIZE-MMLG
043100                    THRU 1699-IMMLG-EXIT
043200             WHEN MTCC-MBU900-FILE-IS-MMMM (X-MTCC-MBU900)
043300                 PERFORM 1700-INITIALIZE-MMMM
043400                    THRU 1799-IMMMM-EXIT
043500             WHEN MTCC-MBU900-FILE-IS-MMMP (X-MTCC-MBU900)
043600                 PERFORM 1800-INITIALIZE-MMMP
043700                    THRU 1899-IMMMP-EXIT
043800             WHEN MTCC-MBU900-FILE-IS-MMOC (X-MTCC-MBU900)
043900                 PERFORM 1900-INITIALIZE-MMOC
044000                    THRU 1999-IMMOC-EXIT
044100             WHEN MTCC-MBU900-FILE-IS-MMOE (X-MTCC-MBU900)
044200                 PERFORM 2000-INITIALIZE-MMOE
044300                    THRU 2099-IMMOE-EXIT
044400             WHEN MTCC-MBU900-FILE-IS-MMOG (X-MTCC-MBU900)
044500                 PERFORM 2100-INITIALIZE-MMOG
044600                    THRU 2199-IMMOG-EXIT
044700             WHEN MTCC-MBU900-FILE-IS-MMOI (X-MTCC-MBU900)
044800                 PERFORM 2200-INITIALIZE-MMOI
044900                    THRU 2299-IMMOI-EXIT
045000             WHEN MTCC-MBU900-FILE-IS-MMOX (X-MTCC-MBU900)
045100                 PERFORM 2300-INITIALIZE-MMOX
045200                    THRU 2399-IMMOX-EXIT
045300             WHEN MTCC-MBU900-FILE-IS-MMPA (X-MTCC-MBU900)
045400                 PERFORM 2400-INITIALIZE-MMPA
045500                    THRU 2499-IMMPA-EXIT
045600             WHEN MTCC-MBU900-FILE-IS-MMPE (X-MTCC-MBU900)
045700                 PERFORM 2500-INITIALIZE-MMPE
045800                    THRU 2599-IMMPE-EXIT
045900             WHEN MTCC-MBU900-FILE-IS-MMPF (X-MTCC-MBU900)
046000                 PERFORM 2600-INITIALIZE-MMPF
046100                    THRU 2699-IMMPF-EXIT
046200             WHEN MTCC-MBU900-FILE-IS-MMPG (X-MTCC-MBU900)
046300                 PERFORM 2700-INITIALIZE-MMPG
046400                    THRU 2799-IMMPG-EXIT
046500             WHEN MTCC-MBU900-FILE-IS-MMPS (X-MTCC-MBU900)
046600                 PERFORM 2800-INITIALIZE-MMPS
046700                    THRU 2899-IMMPS-EXIT
046800             WHEN MTCC-MBU900-FILE-IS-MMPX (X-MTCC-MBU900)
046900                 PERFORM 2900-INITIALIZE-MMPX
047000                    THRU 2999-IMMPX-EXIT
047100             WHEN MTCC-MBU900-FILE-IS-MMRC (X-MTCC-MBU900)
047200                 PERFORM 3000-INITIALIZE-MMRC
047300                    THRU 3099-IMMRC-EXIT
047400             WHEN MTCC-MBU900-FILE-IS-MMRD (X-MTCC-MBU900)
047500                 PERFORM 3100-INITIALIZE-MMRD
047600                    THRU 3199-IMMRD-EXIT
047700             WHEN MTCC-MBU900-FILE-IS-MMRG (X-MTCC-MBU900)
047800                 PERFORM 3200-INITIALIZE-MMRG
047900                    THRU 3299-IMMRG-EXIT
048000             WHEN MTCC-MBU900-FILE-IS-MMRT (X-MTCC-MBU900)
048100                 PERFORM 3300-INITIALIZE-MMRT
048200                    THRU 3399-IMMRT-EXIT
048300             WHEN MTCC-MBU900-FILE-IS-MMSC (X-MTCC-MBU900)
048400                 PERFORM 3400-INITIALIZE-MMSC
048500                    THRU 3499-IMMSC-EXIT
048600             WHEN MTCC-MBU900-FILE-IS-MMSD (X-MTCC-MBU900)
048700                 PERFORM 3500-INITIALIZE-MMSD
048800                    THRU 3599-IMMSD-EXIT
048900             WHEN MTCC-MBU900-FILE-IS-MMSH (X-MTCC-MBU900)
049000                 PERFORM 3600-INITIALIZE-MMSH
049100                    THRU 3699-IMMSH-EXIT
049200             WHEN MTCC-MBU900-FILE-IS-MMSM (X-MTCC-MBU900)
049300                 PERFORM 3700-INITIALIZE-MMSM
049400                    THRU 3799-IMMSM-EXIT
049500             WHEN MTCC-MBU900-FILE-IS-MMSR (X-MTCC-MBU900)
049600                 PERFORM 3800-INITIALIZE-MMSR
049700                    THRU 3899-IMMSR-EXIT
049800             WHEN MTCC-MBU900-FILE-IS-MMSS (X-MTCC-MBU900)
049900                 PERFORM 3900-INITIALIZE-MMSS
050000                    THRU 3999-IMMSS-EXIT
050100             WHEN MTCC-MBU900-FILE-IS-MMTC (X-MTCC-MBU900)
050200                 PERFORM 4000-INITIALIZE-MMTC
050300                    THRU 4099-IMMTC-EXIT
050400             WHEN MTCC-MBU900-FILE-IS-MMTM (X-MTCC-MBU900)
050500                 PERFORM 4100-INITIALIZE-MMTM
050600                    THRU 4199-IMMTM-EXIT
050700             WHEN MTCC-MBU900-FILE-IS-MMWT (X-MTCC-MBU900)
050800                 PERFORM 4200-INITIALIZE-MMWT
050900                    THRU 4299-IMMWT-EXIT
051000             WHEN MTCC-MBU900-FILE-IS-MMXR (X-MTCC-MBU900)
051100                 PERFORM 4300-INITIALIZE-MMXR
051200                    THRU 4399-IMMXR-EXIT
051300             WHEN MTCC-MBU900-FILE-IS-MMXT (X-MTCC-MBU900)
051400                 PERFORM 4400-INITIALIZE-MMXT
051500                    THRU 4499-IMMXT-EXIT
051600             WHEN MTCC-MBU900-FILE-IS-MMEX (X-MTCC-MBU900)
051700                 PERFORM 4500-INITIALIZE-MMEX
051800                    THRU 4599-IMMEX-EXIT
051900             WHEN MTCC-MBU900-FILE-IS-MMQ1 (X-MTCC-MBU900)
052000                 PERFORM 4600-INITIALIZE-MMQ1
052100                    THRU 4699-IMMQ1-EXIT
052200             WHEN MTCC-MBU900-FILE-IS-MMQ2 (X-MTCC-MBU900)
052300                 PERFORM 4700-INITIALIZE-MMQ2
052400                    THRU 4799-IMMQ2-EXIT
052500             WHEN MTCC-MBU900-FILE-IS-MMQ3 (X-MTCC-MBU900)
052600                 PERFORM 4800-INITIALIZE-MMQ3
052700                    THRU 4899-IMMQ3-EXIT
052800             WHEN MTCC-MBU900-FILE-IS-MMQ4 (X-MTCC-MBU900)
052900                 PERFORM 4900-INITIALIZE-MMQ4
053000                    THRU 4999-IMMQ4-EXIT
053100             WHEN MTCC-MBU900-FILE-IS-MMQ5 (X-MTCC-MBU900)
053200                 PERFORM 5000-INITIALIZE-MMQ5
053300                    THRU 5099-IMMQ5-EXIT
053400             WHEN MTCC-MBU900-FILE-IS-MMQ6 (X-MTCC-MBU900)
053500                 PERFORM 5100-INITIALIZE-MMQ6
053600                    THRU 5199-IMMQ6-EXIT
053700             WHEN OTHER
053800                 DISPLAY 'MBU900 - INVALID FILE REQUESTED='
053900                         MTCC-MBU900-ENTRY (X-MTCC-MBU900)
054000         END-EVALUATE
054100     END-PERFORM.
054200*
054300 C899-PF-EXIT.
054400     EXIT.
054500/
054600 0100-INITIALIZE-MMAM.
054700*
054800     DISPLAY 'INITIALIZE MMAM'   UPON CONSOLE.
054900     MOVE 'MMAM'                 TO WS-D1-FILE.
055000*
055100     MOVE 'O1AM'                 TO SS02WS-ABEND-LOCATION.
055200     SET MMAMRB-OPEN-OUTPUT      TO TRUE.
055300     PERFORM MB00PD-MMAM-ACCESS  THRU MB00PD-MMAM-ACCESS-EXIT.
055400*
055500     MOVE SPACES                 TO MMAMIO-RECORD.
055600     MOVE ZERO                   TO MMAMIO-KEY.
055700     MOVE ZERO                   TO MMAMIO-DATE-STAMP.
055800     MOVE ZERO                   TO MMAMIO-TIME-STAMP.
055900     ADD 1                       TO WS-RECS-OUT.
056000*
056100     MOVE 'W1AM'                 TO SS02WS-ABEND-LOCATION.
056200     SET MMAMRB-WRITE            TO TRUE.
056300     PERFORM MB00PD-MMAM-ACCESS  THRU MB00PD-MMAM-ACCESS-EXIT.
056400*
056500     MOVE SPACES                 TO MMAMIO-RECORD.
056600     MOVE ALL '9'                TO MMAMIO-KEY.
056700     MOVE ZERO                   TO MMAMIO-DATE-STAMP.
056800     MOVE ZERO                   TO MMAMIO-TIME-STAMP.
056900     ADD 1                       TO WS-RECS-OUT.
057000*
057100     MOVE 'W2AM'                 TO SS02WS-ABEND-LOCATION.
057200     SET MMAMRB-WRITE            TO TRUE.
057300     PERFORM MB00PD-MMAM-ACCESS  THRU MB00PD-MMAM-ACCESS-EXIT.
057400*
057500     MOVE 'C1AM'                 TO SS02WS-ABEND-LOCATION.
057600     SET MMAMRB-CLOSE            TO TRUE.
057700     PERFORM MB00PD-MMAM-ACCESS  THRU MB00PD-MMAM-ACCESS-EXIT.
057800*
057900     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
058000*
058100 0199-IMMAM-EXIT.
058200     EXIT.
058300/
058400 0200-INITIALIZE-MMBC.
058500*
058600     DISPLAY 'INITIALIZE MMBC'   UPON CONSOLE.
058700     MOVE 'MMBC'                 TO WS-D1-FILE.
058800*
058900     MOVE 'O1BC'                 TO SS02WS-ABEND-LOCATION.
059000     SET MMBCRB-OPEN-OUTPUT      TO TRUE.
059100     PERFORM MB00PD-MMBC-ACCESS  THRU MB00PD-MMBC-ACCESS-EXIT.
059200*
059300     MOVE SPACES                 TO MMBCIO-RECORD.
059400     MOVE ZERO                   TO MMBCIO-ORG.
059500     MOVE ZERO                   TO MMBCIO-INSERT-NBR.
059600     MOVE ZERO                   TO MMBCIO-DATE-STAMP.
059700     MOVE ZERO                   TO MMBCIO-TIME-STAMP.
059800     ADD 1                       TO WS-RECS-OUT.
059900*
060000     MOVE 'W1BC'                 TO SS02WS-ABEND-LOCATION.
060100     SET MMBCRB-WRITE            TO TRUE.
060200     PERFORM MB00PD-MMBC-ACCESS  THRU MB00PD-MMBC-ACCESS-EXIT.
060300*
060400     MOVE SPACES                 TO MMBCIO-RECORD.
060500     MOVE WS-999                 TO MMBCIO-ORG.
060600     MOVE WS-99                  TO MMBCIO-INSERT-NBR.
060700     MOVE ZERO                   TO MMBCIO-DATE-STAMP.
060800     MOVE ZERO                   TO MMBCIO-TIME-STAMP.
060900     ADD 1                       TO WS-RECS-OUT.
061000*
061100     MOVE 'W2BC'                 TO SS02WS-ABEND-LOCATION.
061200     SET MMBCRB-WRITE            TO TRUE.
061300     PERFORM MB00PD-MMBC-ACCESS  THRU MB00PD-MMBC-ACCESS-EXIT.
061400*
061500     MOVE 'C1BC'                 TO SS02WS-ABEND-LOCATION.
061600     SET MMBCRB-CLOSE            TO TRUE.
061700     PERFORM MB00PD-MMBC-ACCESS  THRU MB00PD-MMBC-ACCESS-EXIT.
061800*
061900     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
062000*
062100 0299-IMMBC-EXIT.
062200     EXIT.
062300/
062400 0300-INITIALIZE-MMCG.
062500*
062600     DISPLAY 'INITIALIZE MMCG'   UPON CONSOLE.
062700     MOVE 'MMCG'                 TO WS-D1-FILE.
062800*
062900     MOVE 'O1CG'                 TO SS02WS-ABEND-LOCATION.
063000     SET MMCGRB-OPEN-OUTPUT      TO TRUE.
063100     PERFORM MB00PD-MMCG-ACCESS  THRU MB00PD-MMCG-ACCESS-EXIT.
063200*
063300     MOVE SPACES                 TO MMCGIO-RECORD.
063400     MOVE ZERO                   TO MMCGIO-KEY.
063500     MOVE ZERO                   TO MMCGIO-DATE-STAMP.
063600     MOVE ZERO                   TO MMCGIO-TIME-STAMP.
063700     ADD 1                       TO WS-RECS-OUT.
063800*
063900     MOVE 'W1CG'                 TO SS02WS-ABEND-LOCATION.
064000     SET MMCGRB-WRITE            TO TRUE.
064100     PERFORM MB00PD-MMCG-ACCESS  THRU MB00PD-MMCG-ACCESS-EXIT.
064200*
064300     MOVE SPACES                 TO MMCGIO-RECORD.
064400     MOVE ALL '9'                TO MMCGIO-KEY.
064500     MOVE ZERO                   TO MMCGIO-DATE-STAMP.
064600     MOVE ZERO                   TO MMCGIO-TIME-STAMP.
064700     ADD 1                       TO WS-RECS-OUT.
064800*
064900     MOVE 'W2CG'                 TO SS02WS-ABEND-LOCATION.
065000     SET MMCGRB-WRITE            TO TRUE.
065100     PERFORM MB00PD-MMCG-ACCESS  THRU MB00PD-MMCG-ACCESS-EXIT.
065200*
065300     MOVE 'C1CG'                 TO SS02WS-ABEND-LOCATION.
065400     SET MMCGRB-CLOSE            TO TRUE.
065500     PERFORM MB00PD-MMCG-ACCESS  THRU MB00PD-MMCG-ACCESS-EXIT.
065600*
065700     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
065800*
065900 0399-IMMCG-EXIT.
066000     EXIT.
066100/
066200 0400-INITIALIZE-MMCP.
066300*
066400     DISPLAY 'INITIALIZE MMCP'   UPON CONSOLE.
066500     MOVE 'MMCP'                 TO WS-D1-FILE.
066600*
066700     MOVE 'O1CP'                 TO SS02WS-ABEND-LOCATION.
066800     SET MMCPRB-OPEN-OUTPUT      TO TRUE.
066900     PERFORM MB00PD-MMCP-ACCESS  THRU MB00PD-MMCP-ACCESS-EXIT.
067000*
067100     MOVE SPACES                 TO MMCPIO-RECORD.
067200     MOVE ZERO                   TO MMCPIO-KEY.
067300     MOVE ZERO                   TO MMCPIO-DATE-STAMP.
067400     MOVE ZERO                   TO MMCPIO-TIME-STAMP.
067500     ADD 1                       TO WS-RECS-OUT.
067600*
067700     MOVE 'W1CP'                 TO SS02WS-ABEND-LOCATION.
067800     SET MMCPRB-WRITE            TO TRUE.
067900     PERFORM MB00PD-MMCP-ACCESS  THRU MB00PD-MMCP-ACCESS-EXIT.
068000*
068100     MOVE SPACES                 TO MMCPIO-RECORD.
068200     MOVE ALL '9'                TO MMCPIO-KEY.
068300     MOVE ZERO                   TO MMCPIO-DATE-STAMP.
068400     MOVE ZERO                   TO MMCPIO-TIME-STAMP.
068500     ADD 1                       TO WS-RECS-OUT.
068600*
068700     MOVE 'W2CP'                 TO SS02WS-ABEND-LOCATION.
068800     SET MMCPRB-WRITE            TO TRUE.
068900     PERFORM MB00PD-MMCP-ACCESS  THRU MB00PD-MMCP-ACCESS-EXIT.
069000*
069100     MOVE 'C1CP'                 TO SS02WS-ABEND-LOCATION.
069200     SET MMCPRB-CLOSE            TO TRUE.
069300     PERFORM MB00PD-MMCP-ACCESS  THRU MB00PD-MMCP-ACCESS-EXIT.
069400*
069500     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
069600*
069700 0499-IMMCP-EXIT.
069800     EXIT.
069900/
070000 0500-INITIALIZE-MMCS.
070100*
070200     DISPLAY 'INITIALIZE MMCS'   UPON CONSOLE.
070300     MOVE 'MMCS'                 TO WS-D1-FILE.
070400*
070500     MOVE 'O1CS'                 TO SS02WS-ABEND-LOCATION.
070600     SET MMCSRB-OPEN-OUTPUT      TO TRUE.
070700     PERFORM MB00PD-MMCS-ACCESS  THRU MB00PD-MMCS-ACCESS-EXIT.
070800*
070900     MOVE SPACES                 TO MMCSIO-RECORD.
071000     MOVE ZERO                   TO MMCSIO-KEY.
071100     MOVE ZERO                   TO MMCSIO-DATE-STAMP.
071200     MOVE ZERO                   TO MMCSIO-TIME-STAMP.
071300     ADD 1                       TO WS-RECS-OUT.
071400*
071500     MOVE 'W1CS'                 TO SS02WS-ABEND-LOCATION.
071600     SET MMCSRB-WRITE            TO TRUE.
071700     PERFORM MB00PD-MMCS-ACCESS  THRU MB00PD-MMCS-ACCESS-EXIT.
071800*
071900     MOVE SPACES                 TO MMCSIO-RECORD.
072000     MOVE ALL '9'                TO MMCSIO-KEY.
072100     MOVE ZERO                   TO MMCSIO-DATE-STAMP.
072200     MOVE ZERO                   TO MMCSIO-TIME-STAMP.
072300     ADD 1                       TO WS-RECS-OUT.
072400*
072500     MOVE 'W2CS'                 TO SS02WS-ABEND-LOCATION.
072600     SET MMCSRB-WRITE            TO TRUE.
072700     PERFORM MB00PD-MMCS-ACCESS  THRU MB00PD-MMCS-ACCESS-EXIT.
072800*
072900     MOVE 'C1CS'                 TO SS02WS-ABEND-LOCATION.
073000     SET MMCSRB-CLOSE            TO TRUE.
073100     PERFORM MB00PD-MMCS-ACCESS  THRU MB00PD-MMCS-ACCESS-EXIT.
073200*
073300     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
073400*
073500 0599-IMMCS-EXIT.
073600     EXIT.
073700/
073800 0600-INITIALIZE-MMCT.
073900*
074000     DISPLAY 'INITIALIZE MMCT'   UPON CONSOLE.
074100     MOVE 'MMCT'                 TO WS-D1-FILE.
074200*
074300     MOVE 'O1CT'                 TO SS02WS-ABEND-LOCATION.
074400     SET MMCTRB-OPEN-OUTPUT      TO TRUE.
074500     PERFORM MB00PD-MMCT-ACCESS  THRU MB00PD-MMCT-ACCESS-EXIT.
074600*
074700     MOVE SPACES                 TO MMCTIO-RECORD.
074800     MOVE ZERO                   TO MMCTIO-KEY.
074900     MOVE ZERO                   TO MMCTIO-SEQ.
075000     MOVE ZERO                   TO MMCTIO-DATE-STAMP.
075100     MOVE ZERO                   TO MMCTIO-TIME-STAMP.
075200     ADD 1                       TO WS-RECS-OUT.
075300*
075400     MOVE 'W1CT'                 TO SS02WS-ABEND-LOCATION.
075500     SET MMCTRB-WRITE            TO TRUE.
075600     PERFORM MB00PD-MMCT-ACCESS  THRU MB00PD-MMCT-ACCESS-EXIT.
075700*
075800     MOVE SPACES                 TO MMCTIO-RECORD.
075900     MOVE ALL '9'                TO MMCTIO-KEY.
076000     MOVE -1                     TO MMCTIO-SEQ.
076100     MOVE ZERO                   TO MMCTIO-DATE-STAMP.
076200     MOVE ZERO                   TO MMCTIO-TIME-STAMP.
076300     ADD 1                       TO WS-RECS-OUT.
076400*
076500     MOVE 'W2CT'                 TO SS02WS-ABEND-LOCATION.
076600     SET MMCTRB-WRITE            TO TRUE.
076700     PERFORM MB00PD-MMCT-ACCESS  THRU MB00PD-MMCT-ACCESS-EXIT.
076800*
076900     MOVE 'C1CT'                 TO SS02WS-ABEND-LOCATION.
077000     SET MMCTRB-CLOSE            TO TRUE.
077100     PERFORM MB00PD-MMCT-ACCESS  THRU MB00PD-MMCT-ACCESS-EXIT.
077200*
077300     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
077400*
077500 0699-IMMCT-EXIT.
077600     EXIT.
077700/
077800 0700-INITIALIZE-MMDT.
077900*
078000     DISPLAY 'INITIALIZE MMDT'   UPON CONSOLE.
078100     MOVE 'MMDT'                 TO WS-D1-FILE.
078200*
078300     MOVE 'O1DT'                 TO SS02WS-ABEND-LOCATION.
078400     SET MMDTRB-OPEN-OUTPUT      TO TRUE.
078500     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
078600*
078700     MOVE SPACES                 TO MMDTIO-RECORD.
078800     MOVE ZERO                   TO MMDTIO-DATE-STAMP.
078900     MOVE ZERO                   TO MMDTIO-TIME-STAMP.
079000     MOVE ZERO                   TO MMDTIO-PROG-ID.
079100     ADD 1                       TO WS-RECS-OUT.
079200*
079300     MOVE 'W1DT'                 TO SS02WS-ABEND-LOCATION.
079400     SET MMDTRB-WRITE            TO TRUE.
079500     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
079600*
079700*
079800*
079900     MOVE SPACES                 TO MMDT-RECORD.
080000     MOVE ZERO                   TO MMDT-MB1O-DATE-STAMP.
080100     MOVE ZERO                   TO MMDT-MB1O-TIME-STAMP.
080200     MOVE ZERO                   TO MMDT-MB1O-LAST-DATE-STAMP.
080300     MOVE ZERO                   TO MMDT-MB1O-LAST-TIME-STAMP.
080400     MOVE 'MBD520'               TO MMDT-PROG-ID.
080500     MOVE MMDT-RECORD            TO MMDTIO-RECORD.
080600     ADD 1                       TO WS-RECS-OUT.
080700*
080800     MOVE 'W2DT'                 TO SS02WS-ABEND-LOCATION.
080900     SET MMDTRB-WRITE            TO TRUE.
081000     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
081100*
081200*
081300*
081400     MOVE SPACES                 TO MMDT-RECORD.
081500     MOVE ZERO                   TO MMDT-MB2O-DATE-STAMP.
081600     MOVE ZERO                   TO MMDT-MB2O-TIME-STAMP.
081700     MOVE ZERO                   TO MMDT-MB2O-LAST-DATE-STAMP.
081800     MOVE ZERO                   TO MMDT-MB2O-LAST-TIME-STAMP.
081900     MOVE 'MBU520'               TO MMDT-PROG-ID.
082000     MOVE MMDT-RECORD            TO MMDTIO-RECORD.
082100     ADD 1                       TO WS-RECS-OUT.
082200     SET MMDTRB-WRITE            TO TRUE.
082300     MOVE 'W3DT'                 TO SS02WS-ABEND-LOCATION.
082400     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
082500*
082600*
082700*
082800     MOVE SPACES                 TO MMDT-RECORD.
082900     MOVE ZERO                   TO MMDT-MB4O-DATE-STAMP.
083000     MOVE ZERO                   TO MMDT-MB4O-TIME-STAMP.
083100     MOVE ZERO                   TO MMDT-MB4O-LAST-DATE-STAMP.
083200     MOVE ZERO                   TO MMDT-MB4O-LAST-TIME-STAMP.
083300     MOVE 'MBU540'               TO MMDT-PROG-ID.
083400     MOVE MMDT-RECORD            TO MMDTIO-RECORD.
083500     ADD 1                       TO WS-RECS-OUT.
083600     SET MMDTRB-WRITE            TO TRUE.
083700     MOVE 'W4DT'                 TO SS02WS-ABEND-LOCATION.
083800     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
083900*
084000*
084100*
084200     MOVE ALL '9'                TO MMDTIO-RECORD.
084300     ADD 1                       TO WS-RECS-OUT.
084400*
084500     MOVE 'W5DT'                 TO SS02WS-ABEND-LOCATION.
084600     SET MMDTRB-WRITE            TO TRUE.
084700     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
084800*
084900     MOVE 'C1DT'                 TO SS02WS-ABEND-LOCATION.
085000     SET MMDTRB-CLOSE            TO TRUE.
085100     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
085200*
085300     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
085400*
085500 0799-IMMDT-EXIT.
085600     EXIT.
085700/
085800 0800-INITIALIZE-MMEF.
085900*
086000     DISPLAY 'INITIALIZE MMEF'   UPON CONSOLE.
086100     MOVE 'MMEF'                 TO WS-D1-FILE.
086200*
086300     MOVE 'O1EF'                 TO SS02WS-ABEND-LOCATION.
086400     SET MMEFRB-OPEN-OUTPUT      TO TRUE.
086500     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
086600*
086700     MOVE SPACES                 TO MMEFIO-RECORD.
086800     MOVE ZERO                   TO MMEFIO-KEY.
086900     MOVE ZERO                   TO MMEFIO-DATE-STAMP.
087000     MOVE ZERO                   TO MMEFIO-TIME-STAMP.
087100     ADD 1                       TO WS-RECS-OUT.
087200*
087300     MOVE 'W1EF'                 TO SS02WS-ABEND-LOCATION.
087400     SET MMEFRB-WRITE            TO TRUE.
087500     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
087600*
087700     MOVE SPACES                 TO MMEFIO-RECORD.
087800     MOVE ALL '9'                TO MMEFIO-KEY.
087900     MOVE ZERO                   TO MMEFIO-DATE-STAMP.
088000     MOVE ZERO                   TO MMEFIO-TIME-STAMP.
088100     ADD 1                       TO WS-RECS-OUT.
088200*
088300     MOVE 'W2EF'                 TO SS02WS-ABEND-LOCATION.
088400     SET MMEFRB-WRITE            TO TRUE.
088500     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
088600*
088700     MOVE 'C1EF'                 TO SS02WS-ABEND-LOCATION.
088800     SET MMEFRB-CLOSE            TO TRUE.
088900     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
089000*
089100     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
089200*
089300 0899-IMMEF-EXIT.
089400     EXIT.
089500/
089600 0900-INITIALIZE-MMFA.
089700*
089800     DISPLAY 'INITIALIZE MMFA'   UPON CONSOLE.
089900     MOVE 'MMFA'                 TO WS-D1-FILE.
090000*
090100     MOVE 'O1FA'                 TO SS02WS-ABEND-LOCATION.
090200     SET MMFARB-OPEN-OUTPUT      TO TRUE.
090300     PERFORM MB00PD-MMFA-ACCESS  THRU MB00PD-MMFA-ACCESS-EXIT.
090400*
090500     MOVE SPACES                 TO MMFAIO-RECORD.
090600     MOVE ZERO                   TO MMFAIO-KEY.
090700     MOVE ZERO                   TO MMFAIO-DATE-STAMP.
090800     MOVE ZERO                   TO MMFAIO-TIME-STAMP.
090900     ADD 1                       TO WS-RECS-OUT.
091000*
091100     MOVE 'W1FA'                 TO SS02WS-ABEND-LOCATION.
091200     SET MMFARB-WRITE            TO TRUE.
091300     PERFORM MB00PD-MMFA-ACCESS  THRU MB00PD-MMFA-ACCESS-EXIT.
091400*
091500     MOVE SPACES                 TO MMFAIO-RECORD.
091600     MOVE ALL '9'                TO MMFAIO-KEY.
091700     MOVE ZERO                   TO MMFAIO-DATE-STAMP.
091800     MOVE ZERO                   TO MMFAIO-TIME-STAMP.
091900     ADD 1                       TO WS-RECS-OUT.
092000*
092100     MOVE 'W2FA'                 TO SS02WS-ABEND-LOCATION.
092200     SET MMFARB-WRITE            TO TRUE.
092300     PERFORM MB00PD-MMFA-ACCESS  THRU MB00PD-MMFA-ACCESS-EXIT.
092400*
092500     MOVE 'C1FA'                 TO SS02WS-ABEND-LOCATION.
092600     SET MMFARB-CLOSE            TO TRUE.
092700     PERFORM MB00PD-MMFA-ACCESS  THRU MB00PD-MMFA-ACCESS-EXIT.
092800*
092900     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
093000*
093100 0999-IMMFA-EXIT.
093200     EXIT.
093300/
093400 1000-INITIALIZE-MMFG.
093500*
093600     DISPLAY 'INITIALIZE MMFG'   UPON CONSOLE.
093700     MOVE 'MMFG'                 TO WS-D1-FILE.
093800*
093900     MOVE 'O1FG'                 TO SS02WS-ABEND-LOCATION.
094000     SET MMFGRB-OPEN-OUTPUT      TO TRUE.
094100     PERFORM MB00PD-MMFG-ACCESS  THRU MB00PD-MMFG-ACCESS-EXIT.
094200*
094300     MOVE SPACES                 TO MMFGIO-RECORD.
094400     MOVE ZERO                   TO MMFGIO-KEY.
094500     MOVE ZERO                   TO MMFGIO-DATE-STAMP.
094600     MOVE ZERO                   TO MMFGIO-TIME-STAMP.
094700     ADD 1                       TO WS-RECS-OUT.
094800*
094900     MOVE 'W1FG'                 TO SS02WS-ABEND-LOCATION.
095000     SET MMFGRB-WRITE            TO TRUE.
095100     PERFORM MB00PD-MMFG-ACCESS  THRU MB00PD-MMFG-ACCESS-EXIT.
095200*
095300     MOVE SPACES                 TO MMFGIO-RECORD.
095400     MOVE ALL '9'                TO MMFGIO-KEY.
095500     MOVE ZERO                   TO MMFGIO-DATE-STAMP.
095600     MOVE ZERO                   TO MMFGIO-TIME-STAMP.
095700     ADD 1                       TO WS-RECS-OUT.
095800*
095900     MOVE 'W2FG'                 TO SS02WS-ABEND-LOCATION.
096000     SET MMFGRB-WRITE            TO TRUE.
096100     PERFORM MB00PD-MMFG-ACCESS  THRU MB00PD-MMFG-ACCESS-EXIT.
096200*
096300     MOVE 'C1FG'                 TO SS02WS-ABEND-LOCATION.
096400     SET MMFGRB-CLOSE            TO TRUE.
096500     PERFORM MB00PD-MMFG-ACCESS  THRU MB00PD-MMFG-ACCESS-EXIT.
096600*
096700     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
096800*
096900 1099-IMMFG-EXIT.
097000     EXIT.
097100/
097200 1100-INITIALIZE-MMFP.
097300*
097400     DISPLAY 'INITIALIZE MMFP'   UPON CONSOLE.
097500     MOVE 'MMFP'                 TO WS-D1-FILE.
097600*
097700     MOVE 'O1FP'                 TO SS02WS-ABEND-LOCATION.
097800     SET MMFPRB-OPEN-OUTPUT      TO TRUE.
097900     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
098000*
098100     MOVE SPACES                 TO MMFPIO-RECORD.
098200     MOVE ZERO                   TO MMFPIO-KEY.
098300     MOVE ZERO                   TO MMFPIO-DATE-STAMP.
098400     MOVE ZERO                   TO MMFPIO-TIME-STAMP.
098500     ADD 1                       TO WS-RECS-OUT.
098600*
098700     MOVE 'W1FP'                 TO SS02WS-ABEND-LOCATION.
098800     SET MMFPRB-WRITE            TO TRUE.
098900     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
099000*
099100     MOVE SPACES                 TO MMFPIO-RECORD.
099200     MOVE ALL '9'                TO MMFPIO-KEY.
099300     MOVE ZERO                   TO MMFPIO-DATE-STAMP.
099400     MOVE ZERO                   TO MMFPIO-TIME-STAMP.
099500     ADD 1                       TO WS-RECS-OUT.
099600*
099700     MOVE 'W2FP'                 TO SS02WS-ABEND-LOCATION.
099800     SET MMFPRB-WRITE            TO TRUE.
099900     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
100000*
100100     MOVE 'C1FP'                 TO SS02WS-ABEND-LOCATION.
100200     SET MMFPRB-CLOSE            TO TRUE.
100300     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
100400*
100500     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
100600*
100700 1199-IMMFP-EXIT.
100800     EXIT.
100900/
101000 1200-INITIALIZE-MMFS.
101100*
101200     DISPLAY 'INITIALIZE MMFS'   UPON CONSOLE.
101300     MOVE 'MMFS'                 TO WS-D1-FILE.
101400*
101500     MOVE 'O1FS'                 TO SS02WS-ABEND-LOCATION.
101600     SET MMFSRB-OPEN-OUTPUT      TO TRUE.
101700     PERFORM MB00PD-MMFS-ACCESS  THRU MB00PD-MMFS-ACCESS-EXIT.
101800*
101900     MOVE SPACES                 TO MMFSIO-RECORD.
102000     MOVE ZERO                   TO MMFSIO-KEY.
102100     MOVE SPACES                 TO MMFSIO-FS-CODE.
102200     MOVE ZERO                   TO MMFSIO-DATE-STAMP.
102300     MOVE ZERO                   TO MMFSIO-TIME-STAMP.
102400     ADD 1                       TO WS-RECS-OUT.
102500*
102600     MOVE 'W1FS'                 TO SS02WS-ABEND-LOCATION.
102700     SET MMFSRB-WRITE            TO TRUE.
102800     PERFORM MB00PD-MMFS-ACCESS  THRU MB00PD-MMFS-ACCESS-EXIT.
102900*
103000     MOVE SPACES                 TO MMFSIO-RECORD.
103100     MOVE ALL '9'                TO MMFSIO-KEY.
103200     MOVE ZERO                   TO MMFSIO-DATE-STAMP.
103300     MOVE ZERO                   TO MMFSIO-TIME-STAMP.
103400     ADD 1                       TO WS-RECS-OUT.
103500*
103600     MOVE 'W2FS'                 TO SS02WS-ABEND-LOCATION.
103700     SET MMFSRB-WRITE            TO TRUE.
103800     PERFORM MB00PD-MMFS-ACCESS  THRU MB00PD-MMFS-ACCESS-EXIT.
103900*
104000     MOVE 'C1FS'                 TO SS02WS-ABEND-LOCATION.
104100     SET MMFSRB-CLOSE            TO TRUE.
104200     PERFORM MB00PD-MMFS-ACCESS  THRU MB00PD-MMFS-ACCESS-EXIT.
104300*
104400     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
104500*
104600 1299-IMMFS-EXIT.
104700     EXIT.
104800/
104900 1300-INITIALIZE-MMGD.
105000*
105100     DISPLAY 'INITIALIZE MMGD'   UPON CONSOLE.
105200     MOVE 'MMGD'                 TO WS-D1-FILE.
105300*
105400     MOVE 'O1GD'                 TO SS02WS-ABEND-LOCATION.
105500     SET MMGDRB-OPEN-OUTPUT      TO TRUE.
105600     PERFORM MB00PD-MMGD-ACCESS  THRU MB00PD-MMGD-ACCESS-EXIT.
105700*
105800     MOVE SPACES                 TO MMGDIO-RECORD.
105900     MOVE ZERO                   TO MMGDIO-KEY.
106000     MOVE ZERO                   TO MMGDIO-DATE-STAMP.
106100     MOVE ZERO                   TO MMGDIO-TIME-STAMP.
106200     ADD 1                       TO WS-RECS-OUT.
106300*
106400     MOVE 'W1GD'                 TO SS02WS-ABEND-LOCATION.
106500     SET MMGDRB-WRITE            TO TRUE.
106600     PERFORM MB00PD-MMGD-ACCESS  THRU MB00PD-MMGD-ACCESS-EXIT.
106700*
106800     MOVE SPACES                 TO MMGDIO-RECORD.
106900     MOVE ALL '9'                TO MMGDIO-KEY.
107000     MOVE ZERO                   TO MMGDIO-DATE-STAMP.
107100     MOVE ZERO                   TO MMGDIO-TIME-STAMP.
107200     ADD 1                       TO WS-RECS-OUT.
107300*
107400     MOVE 'W2GD'                 TO SS02WS-ABEND-LOCATION.
107500     SET MMGDRB-WRITE            TO TRUE.
107600     PERFORM MB00PD-MMGD-ACCESS  THRU MB00PD-MMGD-ACCESS-EXIT.
107700*
107800     MOVE 'C1GD'                 TO SS02WS-ABEND-LOCATION.
107900     SET MMGDRB-CLOSE            TO TRUE.
108000     PERFORM MB00PD-MMGD-ACCESS  THRU MB00PD-MMGD-ACCESS-EXIT.
108100*
108200     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
108300*
108400 1399-IMMGD-EXIT.
108500     EXIT.
108600/
108700 1400-INITIALIZE-MMIC.
108800*
108900     DISPLAY 'INITIALIZE MMIC'   UPON CONSOLE.
109000     MOVE 'MMIC'                 TO WS-D1-FILE.
109100*
109200     MOVE 'O1IC'                 TO SS02WS-ABEND-LOCATION.
109300     SET MMICRB-OPEN-OUTPUT      TO TRUE.
109400     PERFORM MB00PD-MMIC-ACCESS  THRU MB00PD-MMIC-ACCESS-EXIT.
109500*
109600     MOVE SPACES                 TO MMICIO-RECORD.
109700     MOVE ZERO                   TO MMICIO-KEY.
109800     MOVE ZERO                   TO MMICIO-DATE-STAMP.
109900     MOVE ZERO                   TO MMICIO-TIME-STAMP.
110000     ADD 1                       TO WS-RECS-OUT.
110100*
110200     MOVE 'W1IC'                 TO SS02WS-ABEND-LOCATION.
110300     SET MMICRB-WRITE            TO TRUE.
110400     PERFORM MB00PD-MMIC-ACCESS  THRU MB00PD-MMIC-ACCESS-EXIT.
110500*
110600     MOVE SPACES                 TO MMICIO-RECORD.
110700     MOVE ALL '9'                TO MMICIO-KEY.
110800     MOVE ZERO                   TO MMICIO-DATE-STAMP.
110900     MOVE ZERO                   TO MMICIO-TIME-STAMP.
111000     ADD 1                       TO WS-RECS-OUT.
111100*
111200     MOVE 'W2IC'                 TO SS02WS-ABEND-LOCATION.
111300     SET MMICRB-WRITE            TO TRUE.
111400     PERFORM MB00PD-MMIC-ACCESS  THRU MB00PD-MMIC-ACCESS-EXIT.
111500*
111600     MOVE 'C1IC'                 TO SS02WS-ABEND-LOCATION.
111700     SET MMICRB-CLOSE            TO TRUE.
111800     PERFORM MB00PD-MMIC-ACCESS  THRU MB00PD-MMIC-ACCESS-EXIT.
111900*
112000     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
112100*
112200 1499-IMMIC-EXIT.
112300     EXIT.
112400/
112500 1500-INITIALIZE-MMIF.
112600*
112700     DISPLAY 'INITIALIZE MMIF'   UPON CONSOLE.
112800     MOVE 'MMIF'                 TO WS-D1-FILE.
112900*
113000     MOVE 'O1IF'                 TO SS02WS-ABEND-LOCATION.
113100     SET MMIFRB-OPEN-OUTPUT      TO TRUE.
113200     PERFORM MB00PD-MMIF-ACCESS  THRU MB00PD-MMIF-ACCESS-EXIT.
113300*
113400     MOVE SPACES                 TO MMIFIO-RECORD.
113500     MOVE ZERO                   TO MMIFIO-KEY.
113600     MOVE ZERO                   TO MMIFIO-DATE-STAMP.
113700     MOVE ZERO                   TO MMIFIO-TIME-STAMP.
113800     ADD 1                       TO WS-RECS-OUT.
113900*
114000     MOVE 'W1IF'                 TO SS02WS-ABEND-LOCATION.
114100     SET MMIFRB-WRITE            TO TRUE.
114200     PERFORM MB00PD-MMIF-ACCESS  THRU MB00PD-MMIF-ACCESS-EXIT.
114300*
114400     MOVE SPACES                 TO MMIFIO-RECORD.
114500     MOVE ALL '9'                TO MMIFIO-KEY.
114600     MOVE ZERO                   TO MMIFIO-DATE-STAMP.
114700     MOVE ZERO                   TO MMIFIO-TIME-STAMP.
114800     ADD 1                       TO WS-RECS-OUT.
114900*
115000     MOVE 'W2IF'                 TO SS02WS-ABEND-LOCATION.
115100     SET MMIFRB-WRITE            TO TRUE.
115200     PERFORM MB00PD-MMIF-ACCESS  THRU MB00PD-MMIF-ACCESS-EXIT.
115300*
115400     MOVE 'C1IF'                 TO SS02WS-ABEND-LOCATION.
115500     SET MMIFRB-CLOSE            TO TRUE.
115600     PERFORM MB00PD-MMIF-ACCESS  THRU MB00PD-MMIF-ACCESS-EXIT.
115700*
115800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
115900*
116000 1599-IMMIF-EXIT.
116100     EXIT.
116200/
116300 1600-INITIALIZE-MMLG.
116400*
116500     DISPLAY 'INITIALIZE MMLG'   UPON CONSOLE.
116600     MOVE 'MMLG'                 TO WS-D1-FILE.
116700*
116800     MOVE 'O1OE'                 TO SS02WS-ABEND-LOCATION.
116900     SET MMLGRB-OPEN-OUTPUT      TO TRUE.
117000     PERFORM MB00PD-MMLG-ACCESS  THRU MB00PD-MMLG-ACCESS-EXIT.
117100*
117200     MOVE SPACES                 TO MMLGIO-RECORD.
117300     MOVE ZERO                   TO MMLGIO-KEY.
117400     SET MMLGIO-HEADER           TO TRUE.
117500     MOVE ZERO                   TO MMLGIO-DATE-STAMP.
117600     MOVE ZERO                   TO MMLGIO-TIME-STAMP.
117700     ADD 1                       TO WS-RECS-OUT.
117800*
117900     MOVE 'W1OE'                 TO SS02WS-ABEND-LOCATION.
118000     SET MMLGRB-WRITE            TO TRUE.
118100     PERFORM MB00PD-MMLG-ACCESS  THRU MB00PD-MMLG-ACCESS-EXIT.
118200*
118300     MOVE SPACES                 TO MMLGIO-RECORD.
118400     MOVE ZERO                   TO MMLGIO-KEY.
118500     SET MMLGIO-TRAILER          TO TRUE.
118600     MOVE ZERO                   TO MMLGIO-DATE-STAMP.
118700     MOVE ZERO                   TO MMLGIO-TIME-STAMP.
118800     ADD 1                       TO WS-RECS-OUT.
118900*
119000     MOVE 'W2OE'                 TO SS02WS-ABEND-LOCATION.
119100     SET MMLGRB-WRITE            TO TRUE.
119200     PERFORM MB00PD-MMLG-ACCESS  THRU MB00PD-MMLG-ACCESS-EXIT.
119300*
119400     MOVE 'C1OE'                 TO SS02WS-ABEND-LOCATION.
119500     SET MMLGRB-CLOSE            TO TRUE.
119600     PERFORM MB00PD-MMLG-ACCESS  THRU MB00PD-MMLG-ACCESS-EXIT.
119700*
119800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
119900*
120000 1699-IMMLG-EXIT.
120100     EXIT.
120200/
120300 1700-INITIALIZE-MMMM.
120400*
120500     DISPLAY 'INITIALIZE MMMM'   UPON CONSOLE.
120600     MOVE 'MMMM'                 TO WS-D1-FILE.
120700*
120800     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
120900     SET MMMMRB-OPEN-OUTPUT      TO TRUE.
121000     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
121100*
121200     MOVE SPACES                 TO MMMMIO-RECORD.
121300     MOVE ZERO                   TO MMMMIO-KEY.
121400     MOVE ZERO                   TO MMMMIO-DATE-STAMP.
121500     MOVE ZERO                   TO MMMMIO-TIME-STAMP.
121600     ADD 1                       TO WS-RECS-OUT.
121700*
121800     MOVE 'W1MM'                 TO SS02WS-ABEND-LOCATION.
121900     SET MMMMRB-WRITE            TO TRUE.
122000     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
122100*
122200     MOVE SPACES                 TO MMMMIO-RECORD.
122300     MOVE ALL '9'                TO MMMMIO-KEY.
122400     MOVE ZERO                   TO MMMMIO-DATE-STAMP.
122500     MOVE ZERO                   TO MMMMIO-TIME-STAMP.
122600     ADD 1                       TO WS-RECS-OUT.
122700*
122800     MOVE 'W2MM'                 TO SS02WS-ABEND-LOCATION.
122900     SET MMMMRB-WRITE            TO TRUE.
123000     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
123100*
123200     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
123300     SET MMMMRB-CLOSE            TO TRUE.
123400     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
123500*
123600     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
123700*
123800 1799-IMMMM-EXIT.
123900     EXIT.
124000/
124100 1800-INITIALIZE-MMMP.
124200*
124300     DISPLAY 'INITIALIZE MMMP'   UPON CONSOLE.
124400     MOVE 'MMMP'                 TO WS-D1-FILE.
124500*
124600     MOVE 'O1MP'                 TO SS02WS-ABEND-LOCATION.
124700     SET MMMPRB-OPEN-OUTPUT      TO TRUE.
124800     PERFORM MB00PD-MMMP-ACCESS  THRU MB00PD-MMMP-ACCESS-EXIT.
124900*
125000     MOVE SPACES                 TO MMMPIO-RECORD.
125100     MOVE ZERO                   TO MMMPIO-KEY.
125200     MOVE ZERO                   TO MMMPIO-DATE-STAMP.
125300     MOVE ZERO                   TO MMMPIO-TIME-STAMP.
125400     ADD 1                       TO WS-RECS-OUT.
125500*
125600     MOVE 'W1MP'                 TO SS02WS-ABEND-LOCATION.
125700     SET MMMPRB-WRITE            TO TRUE.
125800     PERFORM MB00PD-MMMP-ACCESS  THRU MB00PD-MMMP-ACCESS-EXIT.
125900*
126000     MOVE SPACES                 TO MMMPIO-RECORD.
126100     MOVE ALL '9'                TO MMMPIO-KEY.
126200     MOVE ZERO                   TO MMMPIO-DATE-STAMP.
126300     MOVE ZERO                   TO MMMPIO-TIME-STAMP.
126400     ADD 1                       TO WS-RECS-OUT.
126500*
126600     MOVE 'W2MP'                 TO SS02WS-ABEND-LOCATION.
126700     SET MMMPRB-WRITE            TO TRUE.
126800     PERFORM MB00PD-MMMP-ACCESS  THRU MB00PD-MMMP-ACCESS-EXIT.
126900*
127000     MOVE 'C1MP'                 TO SS02WS-ABEND-LOCATION.
127100     SET MMMPRB-CLOSE            TO TRUE.
127200     PERFORM MB00PD-MMMP-ACCESS  THRU MB00PD-MMMP-ACCESS-EXIT.
127300*
127400     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
127500*
127600 1899-IMMMP-EXIT.
127700     EXIT.
127800/
127900 1900-INITIALIZE-MMOC.
128000*
128100     DISPLAY 'INITIALIZE MMOC'   UPON CONSOLE.
128200     MOVE 'MMOC'                 TO WS-D1-FILE.
128300*
128400     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
128500     SET MMOCRB-OPEN-OUTPUT      TO TRUE.
128600     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
128700*
128800     MOVE SPACES                 TO MMOCIO-RECORD.
128900     MOVE ZERO                   TO MMOCIO-KEY.
129000     MOVE ZERO                   TO MMOCIO-DATE-STAMP.
129100     MOVE ZERO                   TO MMOCIO-TIME-STAMP.
129200     ADD 1                       TO WS-RECS-OUT.
129300*
129400     MOVE 'W1OC'                 TO SS02WS-ABEND-LOCATION.
129500     SET MMOCRB-WRITE            TO TRUE.
129600     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
129700*
129800     MOVE SPACES                 TO MMOCIO-RECORD.
129900     MOVE ALL '9'                TO MMOCIO-KEY.
130000     MOVE ZERO                   TO MMOCIO-DATE-STAMP.
130100     MOVE ZERO                   TO MMOCIO-TIME-STAMP.
130200     ADD 1                       TO WS-RECS-OUT.
130300*
130400     MOVE 'W2OC'                 TO SS02WS-ABEND-LOCATION.
130500     SET MMOCRB-WRITE            TO TRUE.
130600     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
130700*
130800     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
130900     SET MMOCRB-CLOSE            TO TRUE.
131000     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
131100*
131200     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
131300*
131400 1999-IMMOC-EXIT.
131500     EXIT.
131600/
131700 2000-INITIALIZE-MMOE.
131800*
131900     DISPLAY 'INITIALIZE MMOE'   UPON CONSOLE.
132000     MOVE 'MMOE'                 TO WS-D1-FILE.
132100*
132200     MOVE 'O1OE'                 TO SS02WS-ABEND-LOCATION.
132300     SET MMOERB-OPEN-OUTPUT      TO TRUE.
132400     PERFORM MB00PD-MMOE-ACCESS  THRU MB00PD-MMOE-ACCESS-EXIT.
132500*
132600     MOVE SPACES                 TO MMOEIO-RECORD.
132700     MOVE ZERO                   TO MMOEIO-KEY.
132800     SET MMOEIO-HEADER           TO TRUE.
132900     MOVE ZERO                   TO MMOEIO-DATE-STAMP.
133000     MOVE ZERO                   TO MMOEIO-TIME-STAMP.
133100     ADD 1                       TO WS-RECS-OUT.
133200*
133300     MOVE 'W1OE'                 TO SS02WS-ABEND-LOCATION.
133400     SET MMOERB-WRITE            TO TRUE.
133500     PERFORM MB00PD-MMOE-ACCESS  THRU MB00PD-MMOE-ACCESS-EXIT.
133600*
133700     MOVE SPACES                 TO MMOEIO-RECORD.
133800     MOVE ZERO                   TO MMOEIO-KEY.
133900     SET MMOEIO-TRAILER          TO TRUE.
134000     MOVE ZERO                   TO MMOEIO-DATE-STAMP.
134100     MOVE ZERO                   TO MMOEIO-TIME-STAMP.
134200     ADD 1                       TO WS-RECS-OUT.
134300*
134400     MOVE 'W2OE'                 TO SS02WS-ABEND-LOCATION.
134500     SET MMOERB-WRITE            TO TRUE.
134600     PERFORM MB00PD-MMOE-ACCESS  THRU MB00PD-MMOE-ACCESS-EXIT.
134700*
134800     MOVE 'C1OE'                 TO SS02WS-ABEND-LOCATION.
134900     SET MMOERB-CLOSE            TO TRUE.
135000     PERFORM MB00PD-MMOE-ACCESS  THRU MB00PD-MMOE-ACCESS-EXIT.
135100*
135200     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
135300*
135400 2099-IMMOE-EXIT.
135500     EXIT.
135600/
135700 2100-INITIALIZE-MMOG.
135800*
135900     DISPLAY 'INITIALIZE MMOG'   UPON CONSOLE.
136000     MOVE 'MMOG'                 TO WS-D1-FILE.
136100*
136200     MOVE 'O1OG'                 TO SS02WS-ABEND-LOCATION.
136300     SET MMOGRB-OPEN-OUTPUT      TO TRUE.
136400     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
136500*
136600     MOVE SPACES                 TO MMOGIO-RECORD.
136700     MOVE ZERO                   TO MMOGIO-KEY.
136800     MOVE ZERO                   TO MMOGIO-DATE-STAMP.
136900     MOVE ZERO                   TO MMOGIO-TIME-STAMP.
137000     ADD 1                       TO WS-RECS-OUT.
137100*
137200     MOVE 'W1OG'                 TO SS02WS-ABEND-LOCATION.
137300     SET MMOGRB-WRITE            TO TRUE.
137400     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
137500*
137600     MOVE SPACES                 TO MMOGIO-RECORD.
137700     MOVE ALL '9'                TO MMOGIO-KEY.
137800     MOVE ZERO                   TO MMOGIO-DATE-STAMP.
137900     MOVE ZERO                   TO MMOGIO-TIME-STAMP.
138000     ADD 1                       TO WS-RECS-OUT.
138100*
138200     MOVE 'W2OG'                 TO SS02WS-ABEND-LOCATION.
138300     SET MMOGRB-WRITE            TO TRUE.
138400     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
138500*
138600     MOVE 'C1OG'                 TO SS02WS-ABEND-LOCATION.
138700     SET MMOGRB-CLOSE            TO TRUE.
138800     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
138900*
139000     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
139100*
139200 2199-IMMOG-EXIT.
139300     EXIT.
139400/
139500 2200-INITIALIZE-MMOI.
139600*
139700     DISPLAY 'INITIALIZE MMOI'   UPON CONSOLE.
139800     MOVE 'MMOI'                 TO WS-D1-FILE.
139900*
140000     MOVE 'O1OI'                 TO SS02WS-ABEND-LOCATION.
140100     SET MMOIRB-OPEN-OUTPUT      TO TRUE.
140200     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
140300*
140400     MOVE SPACES                 TO MMOIIO-RECORD.
140500     MOVE ZERO                   TO MMOIIO-KEY.
140600     MOVE ZERO                   TO MMOIIO-DATE-STAMP.
140700     MOVE ZERO                   TO MMOIIO-TIME-STAMP.
140800     ADD 1                       TO WS-RECS-OUT.
140900*
141000     MOVE 'W1OI'                 TO SS02WS-ABEND-LOCATION.
141100     SET MMOIRB-WRITE            TO TRUE.
141200     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
141300*
141400     MOVE SPACES                 TO MMOIIO-RECORD.
141500     MOVE ALL '9'                TO MMOIIO-KEY.
141600     MOVE ZERO                   TO MMOIIO-DATE-STAMP.
141700     MOVE ZERO                   TO MMOIIO-TIME-STAMP.
141800     ADD 1                       TO WS-RECS-OUT.
141900*
142000     MOVE 'W2OI'                 TO SS02WS-ABEND-LOCATION.
142100     SET MMOIRB-WRITE            TO TRUE.
142200     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
142300*
142400     MOVE 'C1OI'                 TO SS02WS-ABEND-LOCATION.
142500     SET MMOIRB-CLOSE            TO TRUE.
142600     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
142700*
142800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
142900*
143000 2299-IMMOI-EXIT.
143100     EXIT.
143200/
143300 2300-INITIALIZE-MMOX.
143400*
143500     DISPLAY 'INITIALIZE MMOX'   UPON CONSOLE.
143600     MOVE 'MMOX'                 TO WS-D1-FILE.
143700*
143800     MOVE 'O1OX'                 TO SS02WS-ABEND-LOCATION.
143900     SET MMOXRB-OPEN-OUTPUT      TO TRUE.
144000     PERFORM MB00PD-MMOX-ACCESS  THRU MB00PD-MMOX-ACCESS-EXIT.
144100*
144200     MOVE SPACES                 TO MMOXIO-RECORD.
144300     MOVE ZERO                   TO MMOXIO-KEY.
144400     SET MMOXIO-HEADER           TO TRUE.
144500     MOVE ZERO                   TO MMOXIO-DATE-STAMP.
144600     MOVE ZERO                   TO MMOXIO-TIME-STAMP.
144700     ADD 1                       TO WS-RECS-OUT.
144800*
144900     MOVE 'W1OX'                 TO SS02WS-ABEND-LOCATION.
145000     SET MMOXRB-WRITE            TO TRUE.
145100     PERFORM MB00PD-MMOX-ACCESS  THRU MB00PD-MMOX-ACCESS-EXIT.
145200*
145300     MOVE SPACES                 TO MMOXIO-RECORD.
145400     MOVE ZERO                   TO MMOXIO-KEY.
145500     SET MMOXIO-TRAILER          TO TRUE.
145600     MOVE ZERO                   TO MMOXIO-DATE-STAMP.
145700     MOVE ZERO                   TO MMOXIO-TIME-STAMP.
145800     ADD 1                       TO WS-RECS-OUT.
145900*
146000     MOVE 'W2OX'                 TO SS02WS-ABEND-LOCATION.
146100     SET MMOXRB-WRITE            TO TRUE.
146200     PERFORM MB00PD-MMOX-ACCESS  THRU MB00PD-MMOX-ACCESS-EXIT.
146300*
146400     MOVE 'C1OX'                 TO SS02WS-ABEND-LOCATION.
146500     SET MMOXRB-CLOSE            TO TRUE.
146600     PERFORM MB00PD-MMOX-ACCESS  THRU MB00PD-MMOX-ACCESS-EXIT.
146700*
146800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
146900*
147000 2399-IMMOX-EXIT.
147100     EXIT.
147200/
147300 2400-INITIALIZE-MMPA.
147400*
147500     DISPLAY 'INITIALIZE MMPA'   UPON CONSOLE.
147600     MOVE 'MMPA'                 TO WS-D1-FILE.
147700*
147800     MOVE 'O1PA'                 TO SS02WS-ABEND-LOCATION.
147900     SET MMPARB-OPEN-OUTPUT      TO TRUE.
148000     PERFORM MB00PD-MMPA-ACCESS  THRU MB00PD-MMPA-ACCESS-EXIT.
148100*
148200     MOVE SPACES                 TO MMPAIO-RECORD.
148300     MOVE ZERO                   TO MMPAIO-KEY.
148400     MOVE ZERO                   TO MMPAIO-DATE-STAMP.
148500     MOVE ZERO                   TO MMPAIO-TIME-STAMP.
148600     ADD 1                       TO WS-RECS-OUT.
148700*
148800     MOVE 'W1PA'                 TO SS02WS-ABEND-LOCATION.
148900     SET MMPARB-WRITE            TO TRUE.
149000     PERFORM MB00PD-MMPA-ACCESS  THRU MB00PD-MMPA-ACCESS-EXIT.
149100*
149200     MOVE SPACES                 TO MMPAIO-RECORD.
149300     MOVE ALL '9'                TO MMPAIO-KEY.
149400     MOVE ZERO                   TO MMPAIO-DATE-STAMP.
149500     MOVE ZERO                   TO MMPAIO-TIME-STAMP.
149600     ADD 1                       TO WS-RECS-OUT.
149700*
149800     MOVE 'W2PA'                 TO SS02WS-ABEND-LOCATION.
149900     SET MMPARB-WRITE            TO TRUE.
150000     PERFORM MB00PD-MMPA-ACCESS  THRU MB00PD-MMPA-ACCESS-EXIT.
150100*
150200     MOVE 'C1PA'                 TO SS02WS-ABEND-LOCATION.
150300     SET MMPARB-CLOSE            TO TRUE.
150400     PERFORM MB00PD-MMPA-ACCESS  THRU MB00PD-MMPA-ACCESS-EXIT.
150500*
150600     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
150700*
150800 2499-IMMPA-EXIT.
150900     EXIT.
151000/
151100 2500-INITIALIZE-MMPE.
151200*
151300     DISPLAY 'INITIALIZE MMPE'   UPON CONSOLE.
151400     MOVE 'MMPE'                 TO WS-D1-FILE.
151500*
151600     MOVE 'O1PE'                 TO SS02WS-ABEND-LOCATION.
151700     SET MMPERB-OPEN-OUTPUT      TO TRUE.
151800     PERFORM MB00PD-MMPE-ACCESS  THRU MB00PD-MMPE-ACCESS-EXIT.
151900*
152000     MOVE SPACES                 TO MMPEIO-RECORD.
152100     MOVE ZERO                   TO MMPEIO-KEY.
152200     SET MMPEIO-HEADER           TO TRUE.
152300     MOVE ZERO                   TO MMPEIO-DATE-STAMP.
152400     MOVE ZERO                   TO MMPEIO-TIME-STAMP.
152500     ADD 1                       TO WS-RECS-OUT.
152600*
152700     MOVE 'W1PE'                 TO SS02WS-ABEND-LOCATION.
152800     SET MMPERB-WRITE            TO TRUE.
152900     PERFORM MB00PD-MMPE-ACCESS  THRU MB00PD-MMPE-ACCESS-EXIT.
153000*
153100     MOVE SPACES                 TO MMPEIO-RECORD.
153200     MOVE ZERO                   TO MMPEIO-KEY.
153300     SET MMPEIO-TRAILER          TO TRUE.
153400     MOVE ZERO                   TO MMPEIO-DATE-STAMP.
153500     MOVE ZERO                   TO MMPEIO-TIME-STAMP.
153600     ADD 1                       TO WS-RECS-OUT.
153700*
153800     MOVE 'W2PE'                 TO SS02WS-ABEND-LOCATION.
153900     SET MMPERB-WRITE            TO TRUE.
154000     PERFORM MB00PD-MMPE-ACCESS  THRU MB00PD-MMPE-ACCESS-EXIT.
154100*
154200     MOVE 'C1PE'                 TO SS02WS-ABEND-LOCATION.
154300     SET MMPERB-CLOSE            TO TRUE.
154400     PERFORM MB00PD-MMPE-ACCESS  THRU MB00PD-MMPE-ACCESS-EXIT.
154500*
154600     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
154700*
154800 2599-IMMPE-EXIT.
154900     EXIT.
155000/
155100 2600-INITIALIZE-MMPF.
155200*
155300     DISPLAY 'INITIALIZE MMPF'   UPON CONSOLE.
155400     MOVE 'MMPF'                 TO WS-D1-FILE.
155500*
155600     MOVE 'O1PF'                 TO SS02WS-ABEND-LOCATION.
155700     SET MMPFRB-OPEN-OUTPUT      TO TRUE.
155800     PERFORM MB00PD-MMPF-ACCESS  THRU MB00PD-MMPF-ACCESS-EXIT.
155900*
156000     MOVE SPACES                 TO MMPFIO-RECORD.
156100     MOVE ZERO                   TO MMPFIO-KEY.
156200     MOVE ZERO                   TO MMPFIO-DATE-STAMP.
156300     MOVE ZERO                   TO MMPFIO-TIME-STAMP.
156400     ADD 1                       TO WS-RECS-OUT.
156500*
156600     MOVE 'W1PF'                 TO SS02WS-ABEND-LOCATION.
156700     SET MMPFRB-WRITE            TO TRUE.
156800     PERFORM MB00PD-MMPF-ACCESS  THRU MB00PD-MMPF-ACCESS-EXIT.
156900*
157000     MOVE SPACES                 TO MMPFIO-RECORD.
157100     MOVE ALL '9'                TO MMPFIO-KEY.
157200     MOVE ZERO                   TO MMPFIO-DATE-STAMP.
157300     MOVE ZERO                   TO MMPFIO-TIME-STAMP.
157400     ADD 1                       TO WS-RECS-OUT.
157500*
157600     MOVE 'W2PF'                 TO SS02WS-ABEND-LOCATION.
157700     SET MMPFRB-WRITE            TO TRUE.
157800     PERFORM MB00PD-MMPF-ACCESS  THRU MB00PD-MMPF-ACCESS-EXIT.
157900*
158000     MOVE 'C1PF'                 TO SS02WS-ABEND-LOCATION.
158100     SET MMPFRB-CLOSE            TO TRUE.
158200     PERFORM MB00PD-MMPF-ACCESS  THRU MB00PD-MMPF-ACCESS-EXIT.
158300*
158400     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
158500*
158600 2699-IMMPF-EXIT.
158700     EXIT.
158800/
158900 2700-INITIALIZE-MMPG.
159000*
159100     DISPLAY 'INITIALIZE MMPG'   UPON CONSOLE.
159200     MOVE 'MMPG'                 TO WS-D1-FILE.
159300*
159400     MOVE 'O1PG'                 TO SS02WS-ABEND-LOCATION.
159500     SET MMPGRB-OPEN-OUTPUT      TO TRUE.
159600     PERFORM MB00PD-MMPG-ACCESS  THRU MB00PD-MMPG-ACCESS-EXIT.
159700*
159800     MOVE SPACES                 TO MMPGIO-RECORD.
159900     MOVE ZERO                   TO MMPGIO-KEY.
160000     MOVE ZERO                   TO MMPGIO-DATE-STAMP.
160100     MOVE ZERO                   TO MMPGIO-TIME-STAMP.
160200     ADD 1                       TO WS-RECS-OUT.
160300*
160400     MOVE 'W1PG'                 TO SS02WS-ABEND-LOCATION.
160500     SET MMPGRB-WRITE            TO TRUE.
160600     PERFORM MB00PD-MMPG-ACCESS  THRU MB00PD-MMPG-ACCESS-EXIT.
160700*
160800     MOVE SPACES                 TO MMPGIO-RECORD.
160900     MOVE ALL '9'                TO MMPGIO-KEY.
161000     MOVE ZERO                   TO MMPGIO-DATE-STAMP.
161100     MOVE ZERO                   TO MMPGIO-TIME-STAMP.
161200     ADD 1                       TO WS-RECS-OUT.
161300*
161400     MOVE 'W2PG'                 TO SS02WS-ABEND-LOCATION.
161500     SET MMPGRB-WRITE            TO TRUE.
161600     PERFORM MB00PD-MMPG-ACCESS  THRU MB00PD-MMPG-ACCESS-EXIT.
161700*
161800     MOVE 'C1PG'                 TO SS02WS-ABEND-LOCATION.
161900     SET MMPGRB-CLOSE            TO TRUE.
162000     PERFORM MB00PD-MMPG-ACCESS  THRU MB00PD-MMPG-ACCESS-EXIT.
162100*
162200     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
162300*
162400 2799-IMMPG-EXIT.
162500     EXIT.
162600/
162700 2800-INITIALIZE-MMPS.
162800*
162900     DISPLAY 'INITIALIZE MMPS'   UPON CONSOLE.
163000     MOVE 'MMPS'                 TO WS-D1-FILE.
163100*
163200     MOVE 'O1PS'                 TO SS02WS-ABEND-LOCATION.
163300     SET MMPSRB-OPEN-OUTPUT      TO TRUE.
163400     PERFORM MB00PD-MMPS-ACCESS  THRU MB00PD-MMPS-ACCESS-EXIT.
163500*
163600     MOVE SPACES                 TO MMPSIO-RECORD.
163700     MOVE ZERO                   TO MMPSIO-KEY.
163800     MOVE ZERO                   TO MMPSIO-DATE-STAMP.
163900     MOVE ZERO                   TO MMPSIO-TIME-STAMP.
164000     ADD 1                       TO WS-RECS-OUT.
164100*
164200     MOVE 'W1PS'                 TO SS02WS-ABEND-LOCATION.
164300     SET MMPSRB-WRITE            TO TRUE.
164400     PERFORM MB00PD-MMPS-ACCESS  THRU MB00PD-MMPS-ACCESS-EXIT.
164500*
164600     MOVE SPACES                 TO MMPSIO-RECORD.
164700     MOVE ALL '9'                TO MMPSIO-KEY.
164800     MOVE ZERO                   TO MMPSIO-DATE-STAMP.
164900     MOVE ZERO                   TO MMPSIO-TIME-STAMP.
165000     ADD 1                       TO WS-RECS-OUT.
165100*
165200     MOVE 'W2PS'                 TO SS02WS-ABEND-LOCATION.
165300     SET MMPSRB-WRITE            TO TRUE.
165400     PERFORM MB00PD-MMPS-ACCESS  THRU MB00PD-MMPS-ACCESS-EXIT.
165500*
165600     MOVE 'C1PS'                 TO SS02WS-ABEND-LOCATION.
165700     SET MMPSRB-CLOSE            TO TRUE.
165800     PERFORM MB00PD-MMPS-ACCESS  THRU MB00PD-MMPS-ACCESS-EXIT.
165900*
166000     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
166100*
166200 2899-IMMPS-EXIT.
166300     EXIT.
166400/
166500 2900-INITIALIZE-MMPX.
166600*
166700     DISPLAY 'INITIALIZE MMPX'   UPON CONSOLE.
166800     MOVE 'MMPX'                 TO WS-D1-FILE.
166900*
167000     MOVE 'O1PX'                 TO SS02WS-ABEND-LOCATION.
167100     SET MMPXRB-OPEN-OUTPUT      TO TRUE.
167200     PERFORM MB00PD-MMPX-ACCESS  THRU MB00PD-MMPX-ACCESS-EXIT.
167300*
167400     MOVE SPACES                 TO MMPXIO-RECORD.
167500     MOVE ZERO                   TO MMPXIO-KEY.
167600     SET MMPXIO-HEADER           TO TRUE.
167700     MOVE ZERO                   TO MMPXIO-DATE-STAMP.
167800     MOVE ZERO                   TO MMPXIO-TIME-STAMP.
167900     ADD 1                       TO WS-RECS-OUT.
168000*
168100     MOVE 'W1PX'                 TO SS02WS-ABEND-LOCATION.
168200     SET MMPXRB-WRITE            TO TRUE.
168300     PERFORM MB00PD-MMPX-ACCESS  THRU MB00PD-MMPX-ACCESS-EXIT.
168400*
168500     MOVE SPACES                 TO MMPXIO-RECORD.
168600     MOVE ZERO                   TO MMPXIO-KEY.
168700     SET MMPXIO-TRAILER          TO TRUE.
168800     MOVE ZERO                   TO MMPXIO-DATE-STAMP.
168900     MOVE ZERO                   TO MMPXIO-TIME-STAMP.
169000     ADD 1                       TO WS-RECS-OUT.
169100*
169200     MOVE 'W2PX'                 TO SS02WS-ABEND-LOCATION.
169300     SET MMPXRB-WRITE            TO TRUE.
169400     PERFORM MB00PD-MMPX-ACCESS  THRU MB00PD-MMPX-ACCESS-EXIT.
169500*
169600     MOVE 'C1PX'                 TO SS02WS-ABEND-LOCATION.
169700     SET MMPXRB-CLOSE            TO TRUE.
169800     PERFORM MB00PD-MMPX-ACCESS  THRU MB00PD-MMPX-ACCESS-EXIT.
169900*
170000     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
170100*
170200 2999-IMMPX-EXIT.
170300     EXIT.
170400/
170500 3000-INITIALIZE-MMRC.
170600*
170700     DISPLAY 'INITIALIZE MMRC'   UPON CONSOLE.
170800     MOVE 'MMRC'                 TO WS-D1-FILE.
170900*
171000     MOVE 'O1RC'                 TO SS02WS-ABEND-LOCATION.
171100     SET MMRCRB-OPEN-OUTPUT      TO TRUE.
171200     PERFORM MB00PD-MMRC-ACCESS  THRU MB00PD-MMRC-ACCESS-EXIT.
171300*
171400     MOVE SPACES                 TO MMRCIO-RECORD.
171500     MOVE ZERO                   TO MMRCIO-KEY.
171600     MOVE ZERO                   TO MMRCIO-DATE-STAMP.
171700     MOVE ZERO                   TO MMRCIO-TIME-STAMP.
171800     ADD 1                       TO WS-RECS-OUT.
171900*
172000     MOVE 'W1RC'                 TO SS02WS-ABEND-LOCATION.
172100     SET MMRCRB-WRITE            TO TRUE.
172200     PERFORM MB00PD-MMRC-ACCESS  THRU MB00PD-MMRC-ACCESS-EXIT.
172300*
172400     MOVE SPACES                 TO MMRCIO-RECORD.
172500     MOVE ALL '9'                TO MMRCIO-KEY.
172600     MOVE ZERO                   TO MMRCIO-DATE-STAMP.
172700     MOVE ZERO                   TO MMRCIO-TIME-STAMP.
172800     ADD 1                       TO WS-RECS-OUT.
172900*
173000     MOVE 'W2RC'                 TO SS02WS-ABEND-LOCATION.
173100     SET MMRCRB-WRITE            TO TRUE.
173200     PERFORM MB00PD-MMRC-ACCESS  THRU MB00PD-MMRC-ACCESS-EXIT.
173300*
173400     MOVE 'C1RC'                 TO SS02WS-ABEND-LOCATION.
173500     SET MMRCRB-CLOSE            TO TRUE.
173600     PERFORM MB00PD-MMRC-ACCESS  THRU MB00PD-MMRC-ACCESS-EXIT.
173700*
173800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
173900*
174000 3099-IMMRC-EXIT.
174100     EXIT.
174200/
174300 3100-INITIALIZE-MMRD.
174400*
174500     DISPLAY 'INITIALIZE MMRD'   UPON CONSOLE.
174600     MOVE 'MMRD'                 TO WS-D1-FILE.
174700*
174800     MOVE 'O1RD'                 TO SS02WS-ABEND-LOCATION.
174900     SET MMRDRB-OPEN-OUTPUT      TO TRUE.
175000     PERFORM MB00PD-MMRD-ACCESS  THRU MB00PD-MMRD-ACCESS-EXIT.
175100*
175200     MOVE SPACES                 TO MMRDIO-RECORD.
175300     MOVE ZERO                   TO MMRDIO-KEY.
175400     MOVE ZERO                   TO MMRDIO-SEQ-NBR.
175500     MOVE ZERO                   TO MMRDIO-DATE-STAMP.
175600     MOVE ZERO                   TO MMRDIO-TIME-STAMP.
175700     ADD 1                       TO WS-RECS-OUT.
175800*
175900     MOVE 'W1RD'                 TO SS02WS-ABEND-LOCATION.
176000     SET MMRDRB-WRITE            TO TRUE.
176100     PERFORM MB00PD-MMRD-ACCESS  THRU MB00PD-MMRD-ACCESS-EXIT.
176200*
176300     MOVE SPACES                 TO MMRDIO-RECORD.
176400     MOVE ALL '9'                TO MMRDIO-KEY.
176500     MOVE -1                     TO MMRDIO-SEQ-NBR.
176600     MOVE ZERO                   TO MMRDIO-DATE-STAMP.
176700     MOVE ZERO                   TO MMRDIO-TIME-STAMP.
176800     ADD 1                       TO WS-RECS-OUT.
176900*
177000     MOVE 'W2RD'                 TO SS02WS-ABEND-LOCATION.
177100     SET MMRDRB-WRITE            TO TRUE.
177200     PERFORM MB00PD-MMRD-ACCESS  THRU MB00PD-MMRD-ACCESS-EXIT.
177300*
177400     MOVE 'C1RD'                 TO SS02WS-ABEND-LOCATION.
177500     SET MMRDRB-CLOSE            TO TRUE.
177600     PERFORM MB00PD-MMRD-ACCESS  THRU MB00PD-MMRD-ACCESS-EXIT.
177700*
177800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
177900*
178000 3199-IMMRD-EXIT.
178100     EXIT.
178200/
178300 3200-INITIALIZE-MMRG.
178400*
178500     DISPLAY 'INITIALIZE MMRG'   UPON CONSOLE.
178600     MOVE 'MMRG'                 TO WS-D1-FILE.
178700*
178800     MOVE 'O1RG'                 TO SS02WS-ABEND-LOCATION.
178900     SET MMRGRB-OPEN-OUTPUT      TO TRUE.
179000     PERFORM MB00PD-MMRG-ACCESS  THRU MB00PD-MMRG-ACCESS-EXIT.
179100*
179200     MOVE SPACES                 TO MMRGIO-RECORD.
179300     MOVE ZERO                   TO MMRGIO-KEY.
179400     SET MMRGIO-HEADER           TO TRUE.
179500     MOVE ZERO                   TO MMRGIO-DATE-STAMP.
179600     MOVE ZERO                   TO MMRGIO-TIME-STAMP.
179700     ADD 1                       TO WS-RECS-OUT.
179800*
179900     MOVE 'W1RG'                 TO SS02WS-ABEND-LOCATION.
180000     SET MMRGRB-WRITE            TO TRUE.
180100     PERFORM MB00PD-MMRG-ACCESS  THRU MB00PD-MMRG-ACCESS-EXIT.
180200*
180300     MOVE SPACES                 TO MMRGIO-RECORD.
180400     MOVE ZERO                   TO MMRGIO-KEY.
180500     SET MMRGIO-TRAILER          TO TRUE.
180600     MOVE ZERO                   TO MMRGIO-DATE-STAMP.
180700     MOVE ZERO                   TO MMRGIO-TIME-STAMP.
180800     ADD 1                       TO WS-RECS-OUT.
180900*
181000     MOVE 'W2RG'                 TO SS02WS-ABEND-LOCATION.
181100     SET MMRGRB-WRITE            TO TRUE.
181200     PERFORM MB00PD-MMRG-ACCESS  THRU MB00PD-MMRG-ACCESS-EXIT.
181300*
181400     MOVE 'C1RG'                 TO SS02WS-ABEND-LOCATION.
181500     SET MMRGRB-CLOSE            TO TRUE.
181600     PERFORM MB00PD-MMRG-ACCESS  THRU MB00PD-MMRG-ACCESS-EXIT.
181700*
181800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
181900*
182000 3299-IMMRG-EXIT.
182100     EXIT.
182200/
182300 3300-INITIALIZE-MMRT.
182400*
182500     DISPLAY 'INITIALIZE MMRT'   UPON CONSOLE.
182600     MOVE 'MMRT'                 TO WS-D1-FILE.
182700*
182800     MOVE 'O1RT'                 TO SS02WS-ABEND-LOCATION.
182900     SET MMRTRB-OPEN-OUTPUT      TO TRUE.
183000     PERFORM MB00PD-MMRT-ACCESS  THRU MB00PD-MMRT-ACCESS-EXIT.
183100*
183200     MOVE SPACES                 TO MMRTIO-RECORD.
183300     MOVE ZERO                   TO MMRTIO-KEY.
183400     MOVE ZERO                   TO MMRTIO-DATE-STAMP.
183500     MOVE ZERO                   TO MMRTIO-TIME-STAMP.
183600     ADD 1                       TO WS-RECS-OUT.
183700*
183800     MOVE 'W1RT'                 TO SS02WS-ABEND-LOCATION.
183900     SET MMRTRB-WRITE            TO TRUE.
184000     PERFORM MB00PD-MMRT-ACCESS  THRU MB00PD-MMRT-ACCESS-EXIT.
184100*
184200     MOVE SPACES                 TO MMRTIO-RECORD.
184300     MOVE ALL '9'                TO MMRTIO-KEY.
184400     MOVE ZERO                   TO MMRTIO-DATE-STAMP.
184500     MOVE ZERO                   TO MMRTIO-TIME-STAMP.
184600     ADD 1                       TO WS-RECS-OUT.
184700*
184800     MOVE 'W2RT'                 TO SS02WS-ABEND-LOCATION.
184900     SET MMRTRB-WRITE            TO TRUE.
185000     PERFORM MB00PD-MMRT-ACCESS  THRU MB00PD-MMRT-ACCESS-EXIT.
185100*
185200     MOVE 'C1RT'                 TO SS02WS-ABEND-LOCATION.
185300     SET MMRTRB-CLOSE            TO TRUE.
185400     PERFORM MB00PD-MMRT-ACCESS  THRU MB00PD-MMRT-ACCESS-EXIT.
185500*
185600     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
185700*
185800 3399-IMMRT-EXIT.
185900     EXIT.
186000/
186100 3400-INITIALIZE-MMSC.
186200*
186300     DISPLAY 'INITIALIZE MMSC'   UPON CONSOLE.
186400     MOVE 'MMSC'                 TO WS-D1-FILE.
186500*
186600     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
186700     SET MMSCRB-OPEN-OUTPUT      TO TRUE.
186800     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
186900*
187000     MOVE MMSCIR-RECORD          TO MMSCIO-RECORD.
187100     MOVE ZERO                   TO MMSCIO-KEY.
187200     ADD 1                       TO WS-RECS-OUT.
187300*
187400     MOVE 'W1SC'                 TO SS02WS-ABEND-LOCATION.
187500     SET MMSCRB-WRITE            TO TRUE.
187600     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
187700*
187800     MOVE MMSCIR-RECORD          TO MMSCIO-RECORD.
187900     MOVE ALL '9'                TO MMSCIO-KEY.
188000     ADD 1                       TO WS-RECS-OUT.
188100*
188200     MOVE 'W2SC'                 TO SS02WS-ABEND-LOCATION.
188300     SET MMSCRB-WRITE            TO TRUE.
188400     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
188500*
188600     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
188700     SET MMSCRB-CLOSE            TO TRUE.
188800     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
188900*
189000     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
189100*
189200 3499-IMMSC-EXIT.
189300     EXIT.
189400/
189500 3500-INITIALIZE-MMSD.
189600*
189700     DISPLAY 'INITIALIZE MMSD'   UPON CONSOLE.
189800     MOVE 'MMSD'                 TO WS-D1-FILE.
189900*
190000     MOVE 'O1SD'                 TO SS02WS-ABEND-LOCATION.
190100     SET MMSDRB-OPEN-OUTPUT      TO TRUE.
190200     PERFORM MB00PD-MMSD-ACCESS  THRU MB00PD-MMSD-ACCESS-EXIT.
190300*
190400     MOVE SPACES                 TO MMSDIO-RECORD.
190500     MOVE ZERO                   TO MMSDIO-KEY.
190600     SET MMSDIO-HEADER           TO TRUE.
190700     MOVE ZERO                   TO MMSDIO-DATE-STAMP.
190800     MOVE ZERO                   TO MMSDIO-TIME-STAMP.
190900     ADD 1                       TO WS-RECS-OUT.
191000*
191100     MOVE 'W1SD'                 TO SS02WS-ABEND-LOCATION.
191200     SET MMSDRB-WRITE            TO TRUE.
191300     PERFORM MB00PD-MMSD-ACCESS  THRU MB00PD-MMSD-ACCESS-EXIT.
191400*
191500     MOVE SPACES                 TO MMSDIO-RECORD.
191600     MOVE ZERO                   TO MMSDIO-KEY.
191700     SET MMSDIO-TRAILER          TO TRUE.
191800     MOVE ZERO                   TO MMSDIO-DATE-STAMP.
191900     MOVE ZERO                   TO MMSDIO-TIME-STAMP.
192000     ADD 1                       TO WS-RECS-OUT.
192100*
192200     MOVE 'W2SD'                 TO SS02WS-ABEND-LOCATION.
192300     SET MMSDRB-WRITE            TO TRUE.
192400     PERFORM MB00PD-MMSD-ACCESS  THRU MB00PD-MMSD-ACCESS-EXIT.
192500*
192600     MOVE 'C1SD'                 TO SS02WS-ABEND-LOCATION.
192700     SET MMSDRB-CLOSE            TO TRUE.
192800     PERFORM MB00PD-MMSD-ACCESS  THRU MB00PD-MMSD-ACCESS-EXIT.
192900*
193000     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
193100*
193200 3599-IMMSD-EXIT.
193300     EXIT.
193400/
193500 3600-INITIALIZE-MMSH.
193600*
193700     DISPLAY 'INITIALIZE MMSH'   UPON CONSOLE.
193800     MOVE 'MMSH'                 TO WS-D1-FILE.
193900*
194000     MOVE 'O1SH'                 TO SS02WS-ABEND-LOCATION.
194100     SET MMSHRB-OPEN-OUTPUT      TO TRUE.
194200     PERFORM MB00PD-MMSH-ACCESS  THRU MB00PD-MMSH-ACCESS-EXIT.
194300*
194400     MOVE SPACES                 TO MMSHIO-RECORD.
194500     MOVE ZERO                   TO MMSHIO-KEY.
194600     MOVE ZERO                   TO MMSHIO-SEQ-NBR.
194700     MOVE ZERO                   TO MMSHIO-DATE-STAMP.
194800     MOVE ZERO                   TO MMSHIO-TIME-STAMP.
194900     ADD 1                       TO WS-RECS-OUT.
195000*
195100     MOVE 'W1SH'                 TO SS02WS-ABEND-LOCATION.
195200     SET MMSHRB-WRITE            TO TRUE.
195300     PERFORM MB00PD-MMSH-ACCESS  THRU MB00PD-MMSH-ACCESS-EXIT.
195400*
195500     MOVE SPACES                 TO MMSHIO-RECORD.
195600     MOVE ALL '9'                TO MMSHIO-KEY.
195700     MOVE -1                     TO MMSHIO-SEQ-NBR.
195800     MOVE ZERO                   TO MMSHIO-DATE-STAMP.
195900     MOVE ZERO                   TO MMSHIO-TIME-STAMP.
196000     ADD 1                       TO WS-RECS-OUT.
196100*
196200     MOVE 'W2SH'                 TO SS02WS-ABEND-LOCATION.
196300     SET MMSHRB-WRITE            TO TRUE.
196400     PERFORM MB00PD-MMSH-ACCESS  THRU MB00PD-MMSH-ACCESS-EXIT.
196500*
196600     MOVE 'C1SH'                 TO SS02WS-ABEND-LOCATION.
196700     SET MMSHRB-CLOSE            TO TRUE.
196800     PERFORM MB00PD-MMSH-ACCESS  THRU MB00PD-MMSH-ACCESS-EXIT.
196900*
197000     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
197100*
197200 3699-IMMSH-EXIT.
197300     EXIT.
197400/
197500 3700-INITIALIZE-MMSM.
197600*
197700     DISPLAY 'INITIALIZE MMSM'   UPON CONSOLE.
197800     MOVE 'MMSM'                 TO WS-D1-FILE.
197900*
198000     MOVE 'O1SM'                 TO SS02WS-ABEND-LOCATION.
198100     SET MMSMRB-OPEN-OUTPUT      TO TRUE.
198200     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
198300*
198400     MOVE SPACES                 TO MMSMIO-RECORD.
198500     MOVE ZERO                   TO MMSMIO-KEY.
198600     MOVE ZERO                   TO MMSMIO-DATE-STAMP.
198700     MOVE ZERO                   TO MMSMIO-TIME-STAMP.
198800     ADD 1                       TO WS-RECS-OUT.
198900*
199000     MOVE 'W1SM'                 TO SS02WS-ABEND-LOCATION.
199100     SET MMSMRB-WRITE            TO TRUE.
199200     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
199300*
199400     MOVE SPACES                 TO MMSMIO-RECORD.
199500     MOVE ALL '9'                TO MMSMIO-KEY.
199600     MOVE ZERO                   TO MMSMIO-DATE-STAMP.
199700     MOVE ZERO                   TO MMSMIO-TIME-STAMP.
199800     ADD 1                       TO WS-RECS-OUT.
199900*
200000     MOVE 'W2SM'                 TO SS02WS-ABEND-LOCATION.
200100     SET MMSMRB-WRITE            TO TRUE.
200200     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
200300*
200400     MOVE 'C1SM'                 TO SS02WS-ABEND-LOCATION.
200500     SET MMSMRB-CLOSE            TO TRUE.
200600     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
200700*
200800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
200900*
201000 3799-IMMSM-EXIT.
201100     EXIT.
201200/
201300 3800-INITIALIZE-MMSR.
201400*
201500     DISPLAY 'INITIALIZE MMSR'   UPON CONSOLE.
201600     MOVE 'MMSR'                 TO WS-D1-FILE.
201700*
201800     MOVE 'O1SR'                 TO SS02WS-ABEND-LOCATION.
201900     SET MMSRRB-OPEN-OUTPUT      TO TRUE.
202000     PERFORM MB00PD-MMSR-ACCESS  THRU MB00PD-MMSR-ACCESS-EXIT.
202100*
202200     MOVE SPACES                 TO MMSRIO-RECORD.
202300     MOVE ZERO                   TO MMSRIO-KEY.
202400     SET MMSRIO-HEADER           TO TRUE.
202500     MOVE ZERO                   TO MMSRIO-DATE-STAMP.
202600     MOVE ZERO                   TO MMSRIO-TIME-STAMP.
202700     ADD 1                       TO WS-RECS-OUT.
202800*
202900     MOVE 'W1SR'                 TO SS02WS-ABEND-LOCATION.
203000     SET MMSRRB-WRITE            TO TRUE.
203100     PERFORM MB00PD-MMSR-ACCESS  THRU MB00PD-MMSR-ACCESS-EXIT.
203200*
203300     MOVE SPACES                 TO MMSRIO-RECORD.
203400     MOVE ZERO                   TO MMSRIO-KEY.
203500     SET MMSRIO-TRAILER          TO TRUE.
203600     MOVE ZERO                   TO MMSRIO-DATE-STAMP.
203700     MOVE ZERO                   TO MMSRIO-TIME-STAMP.
203800     ADD 1                       TO WS-RECS-OUT.
203900*
204000     MOVE 'W2SR'                 TO SS02WS-ABEND-LOCATION.
204100     SET MMSRRB-WRITE            TO TRUE.
204200     PERFORM MB00PD-MMSR-ACCESS  THRU MB00PD-MMSR-ACCESS-EXIT.
204300*
204400     MOVE 'C1SR'                 TO SS02WS-ABEND-LOCATION.
204500     SET MMSRRB-CLOSE            TO TRUE.
204600     PERFORM MB00PD-MMSR-ACCESS  THRU MB00PD-MMSR-ACCESS-EXIT.
204700*
204800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
204900*
205000 3899-IMMSR-EXIT.
205100     EXIT.
205200/
205300 3900-INITIALIZE-MMSS.
205400*
205500     DISPLAY 'INITIALIZE MMSS'   UPON CONSOLE.
205600     MOVE 'MMSS'                 TO WS-D1-FILE.
205700*
205800     MOVE 'O1SS'                 TO SS02WS-ABEND-LOCATION.
205900     SET MMSSRB-OPEN-OUTPUT      TO TRUE.
206000     PERFORM MB00PD-MMSS-ACCESS  THRU MB00PD-MMSS-ACCESS-EXIT.
206100*
206200     MOVE SPACES                 TO MMSSIO-RECORD.
206300     MOVE ZERO                   TO MMSSIO-ORG.
206400     SET MMSSIO-HEADER           TO TRUE.
206500     MOVE ZERO                   TO MMSSIO-DATE-STAMP.
206600     MOVE ZERO                   TO MMSSIO-TIME-STAMP.
206700     ADD 1                       TO WS-RECS-OUT.
206800*
206900     MOVE 'W1SS'                 TO SS02WS-ABEND-LOCATION.
207000     SET MMSSRB-WRITE            TO TRUE.
207100     PERFORM MB00PD-MMSS-ACCESS  THRU MB00PD-MMSS-ACCESS-EXIT.
207200*
207300     MOVE SPACES                 TO MMSSIO-RECORD.
207400     MOVE 999                    TO MMSSIO-ORG.
207500     SET MMSSIO-TRAILER          TO TRUE.
207600     MOVE ZERO                   TO MMSSIO-DATE-STAMP.
207700     MOVE ZERO                   TO MMSSIO-TIME-STAMP.
207800     ADD 1                       TO WS-RECS-OUT.
207900*
208000     MOVE 'W2SS'                 TO SS02WS-ABEND-LOCATION.
208100     SET MMSSRB-WRITE            TO TRUE.
208200     PERFORM MB00PD-MMSS-ACCESS  THRU MB00PD-MMSS-ACCESS-EXIT.
208300*
208400     MOVE 'C1SS'                 TO SS02WS-ABEND-LOCATION.
208500     SET MMSSRB-CLOSE            TO TRUE.
208600     PERFORM MB00PD-MMSS-ACCESS  THRU MB00PD-MMSS-ACCESS-EXIT.
208700*
208800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
208900*
209000 3999-IMMSS-EXIT.
209100     EXIT.
209200/
209300 4000-INITIALIZE-MMTC.
209400*
209500     DISPLAY 'INITIALIZE MMTC'   UPON CONSOLE.
209600     MOVE 'MMTC'                 TO WS-D1-FILE.
209700*
209800     MOVE 'O1TC'                 TO SS02WS-ABEND-LOCATION.
209900     SET MMTCRB-OPEN-OUTPUT      TO TRUE.
210000     PERFORM MB00PD-MMTC-ACCESS  THRU MB00PD-MMTC-ACCESS-EXIT.
210100*
210200     MOVE SPACES                 TO MMTCIO-RECORD.
210300     MOVE ZERO                   TO MMTCIO-KEY.
210400     MOVE ZERO                   TO MMTCIO-DATE-STAMP.
210500     MOVE ZERO                   TO MMTCIO-TIME-STAMP.
210600     ADD 1                       TO WS-RECS-OUT.
210700*
210800     MOVE 'W1TC'                 TO SS02WS-ABEND-LOCATION.
210900     SET MMTCRB-WRITE            TO TRUE.
211000     PERFORM MB00PD-MMTC-ACCESS  THRU MB00PD-MMTC-ACCESS-EXIT.
211100*
211200     MOVE SPACES                 TO MMTCIO-RECORD.
211300     MOVE ALL '9'                TO MMTCIO-KEY.
211400     MOVE ZERO                   TO MMTCIO-DATE-STAMP.
211500     MOVE ZERO                   TO MMTCIO-TIME-STAMP.
211600     ADD 1                       TO WS-RECS-OUT.
211700*
211800     MOVE 'W2TC'                 TO SS02WS-ABEND-LOCATION.
211900     SET MMTCRB-WRITE            TO TRUE.
212000     PERFORM MB00PD-MMTC-ACCESS  THRU MB00PD-MMTC-ACCESS-EXIT.
212100*
212200     MOVE 'C1TC'                 TO SS02WS-ABEND-LOCATION.
212300     SET MMTCRB-CLOSE            TO TRUE.
212400     PERFORM MB00PD-MMTC-ACCESS  THRU MB00PD-MMTC-ACCESS-EXIT.
212500*
212600     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
212700*
212800 4099-IMMTC-EXIT.
212900     EXIT.
213000/
213100 4100-INITIALIZE-MMTM.
213200*
213300     DISPLAY 'INITIALIZE MMTM'   UPON CONSOLE.
213400     MOVE 'MMTM'                 TO WS-D1-FILE.
213500*
213600     MOVE 'O1TM'                 TO SS02WS-ABEND-LOCATION.
213700     SET MMTMRB-OPEN-OUTPUT      TO TRUE.
213800     PERFORM MB00PD-MMTM-ACCESS  THRU MB00PD-MMTM-ACCESS-EXIT.
213900*
214000     MOVE SPACES                 TO MMTMIO-RECORD.
214100     MOVE ZERO                   TO MMTMIO-KEY.
214200     MOVE ZERO                   TO MMTMIO-DATE-STAMP.
214300     MOVE ZERO                   TO MMTMIO-TIME-STAMP.
214400     ADD 1                       TO WS-RECS-OUT.
214500*
214600     MOVE 'W1TM'                 TO SS02WS-ABEND-LOCATION.
214700     SET MMTMRB-WRITE            TO TRUE.
214800     PERFORM MB00PD-MMTM-ACCESS  THRU MB00PD-MMTM-ACCESS-EXIT.
214900*
215000     MOVE SPACES                 TO MMTMIO-RECORD.
215100     MOVE ALL '9'                TO MMTMIO-KEY.
215200     MOVE ZERO                   TO MMTMIO-DATE-STAMP.
215300     MOVE ZERO                   TO MMTMIO-TIME-STAMP.
215400     ADD 1                       TO WS-RECS-OUT.
215500*
215600     MOVE 'W2TM'                 TO SS02WS-ABEND-LOCATION.
215700     SET MMTMRB-WRITE            TO TRUE.
215800     PERFORM MB00PD-MMTM-ACCESS  THRU MB00PD-MMTM-ACCESS-EXIT.
215900*
216000     MOVE 'C1TM'                 TO SS02WS-ABEND-LOCATION.
216100     SET MMTMRB-CLOSE            TO TRUE.
216200     PERFORM MB00PD-MMTM-ACCESS  THRU MB00PD-MMTM-ACCESS-EXIT.
216300*
216400     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
216500*
216600 4199-IMMTM-EXIT.
216700     EXIT.
216800/
216900 4200-INITIALIZE-MMWT.
217000*
217100     DISPLAY 'INITIALIZE MMWT'   UPON CONSOLE.
217200     MOVE 'MMWT'                 TO WS-D1-FILE.
217300*
217400     MOVE 'O1WT'                 TO SS02WS-ABEND-LOCATION.
217500     SET MMWTRB-OPEN-OUTPUT      TO TRUE.
217600     PERFORM MB00PD-MMWT-ACCESS  THRU MB00PD-MMWT-ACCESS-EXIT.
217700*
217800     MOVE SPACES                 TO MMWTIO-RECORD.
217900     MOVE ZERO                   TO MMWTIO-KEY.
218000     MOVE ZERO                   TO MMSHIO-SEQ-NBR.
218100     MOVE ZERO                   TO MMWTIO-DATE-STAMP.
218200     MOVE ZERO                   TO MMWTIO-TIME-STAMP.
218300     ADD 1                       TO WS-RECS-OUT.
218400*
218500     MOVE 'W1WT'                 TO SS02WS-ABEND-LOCATION.
218600     SET MMWTRB-WRITE            TO TRUE.
218700     PERFORM MB00PD-MMWT-ACCESS  THRU MB00PD-MMWT-ACCESS-EXIT.
218800*
218900     MOVE SPACES                 TO MMWTIO-RECORD.
219000     MOVE ALL '9'                TO MMWTIO-KEY.
219100     MOVE -1                     TO MMSHIO-SEQ-NBR.
219200     MOVE ZERO                   TO MMWTIO-DATE-STAMP.
219300     MOVE ZERO                   TO MMWTIO-TIME-STAMP.
219400     ADD 1                       TO WS-RECS-OUT.
219500*
219600     MOVE 'W2WT'                 TO SS02WS-ABEND-LOCATION.
219700     SET MMWTRB-WRITE            TO TRUE.
219800     PERFORM MB00PD-MMWT-ACCESS  THRU MB00PD-MMWT-ACCESS-EXIT.
219900*
220000     MOVE 'C1WT'                 TO SS02WS-ABEND-LOCATION.
220100     SET MMWTRB-CLOSE            TO TRUE.
220200     PERFORM MB00PD-MMWT-ACCESS  THRU MB00PD-MMWT-ACCESS-EXIT.
220300*
220400     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
220500*
220600 4299-IMMWT-EXIT.
220700     EXIT.
220800/
220900 4300-INITIALIZE-MMXR.
221000*
221100     DISPLAY 'INITIALIZE MMXR'   UPON CONSOLE.
221200     MOVE 'MMXR'                 TO WS-D1-FILE.
221300*
221400     MOVE 'O1XR'                 TO SS02WS-ABEND-LOCATION.
221500     SET MMXRRB-OPEN-OUTPUT      TO TRUE.
221600     PERFORM MB00PD-MMXR-ACCESS  THRU MB00PD-MMXR-ACCESS-EXIT.
221700*
221800     MOVE SPACES                 TO MMXRIO-RECORD.
221900     MOVE ZERO                   TO MMXRIO-KEY.
222000     MOVE ZERO                   TO MMXRIO-STORE.
222100     MOVE ZERO                   TO MMXRIO-DATE-STAMP.
222200     MOVE ZERO                   TO MMXRIO-TIME-STAMP.
222300     ADD 1                       TO WS-RECS-OUT.
222400*
222500     MOVE 'W1XR'                 TO SS02WS-ABEND-LOCATION.
222600     SET MMXRRB-WRITE            TO TRUE.
222700     PERFORM MB00PD-MMXR-ACCESS  THRU MB00PD-MMXR-ACCESS-EXIT.
222800*
222900     MOVE SPACES                 TO MMXRIO-RECORD.
223000     MOVE ALL '9'                TO MMXRIO-KEY.
223100     MOVE -1                     TO MMXRIO-STORE.
223200     MOVE ZERO                   TO MMXRIO-DATE-STAMP.
223300     MOVE ZERO                   TO MMXRIO-TIME-STAMP.
223400     ADD 1                       TO WS-RECS-OUT.
223500*
223600     MOVE 'W2XR'                 TO SS02WS-ABEND-LOCATION.
223700     SET MMXRRB-WRITE            TO TRUE.
223800     PERFORM MB00PD-MMXR-ACCESS  THRU MB00PD-MMXR-ACCESS-EXIT.
223900*
224000     MOVE 'C1XR'                 TO SS02WS-ABEND-LOCATION.
224100     SET MMXRRB-CLOSE            TO TRUE.
224200     PERFORM MB00PD-MMXR-ACCESS  THRU MB00PD-MMXR-ACCESS-EXIT.
224300*
224400     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
224500*
224600 4399-IMMXR-EXIT.
224700     EXIT.
224800/
224900 4400-INITIALIZE-MMXT.
225000*
225100     DISPLAY 'INITIALIZE MMXT'   UPON CONSOLE.
225200     MOVE 'MMXT'                 TO WS-D1-FILE.
225300*
225400     MOVE 'O1XT'                 TO SS02WS-ABEND-LOCATION.
225500     SET MMXTRB-OPEN-OUTPUT      TO TRUE.
225600     PERFORM MB00PD-MMXT-ACCESS  THRU MB00PD-MMXT-ACCESS-EXIT.
225700*
225800     MOVE SPACES                 TO MMXTIO-RECORD.
225900     MOVE ZERO                   TO MMXTIO-KEY.
226000     MOVE ZERO                   TO MMXTIO-DATE-STAMP.
226100     MOVE ZERO                   TO MMXTIO-TIME-STAMP.
226200     ADD 1                       TO WS-RECS-OUT.
226300*
226400     MOVE 'W1XT'                 TO SS02WS-ABEND-LOCATION.
226500     SET MMXTRB-WRITE            TO TRUE.
226600     PERFORM MB00PD-MMXT-ACCESS  THRU MB00PD-MMXT-ACCESS-EXIT.
226700*
226800     MOVE SPACES                 TO MMXTIO-RECORD.
226900     MOVE ALL '9'                TO MMXTIO-KEY.
227000     MOVE ZERO                   TO MMXTIO-DATE-STAMP.
227100     MOVE ZERO                   TO MMXTIO-TIME-STAMP.
227200     ADD 1                       TO WS-RECS-OUT.
227300*
227400     MOVE 'W2XT'                 TO SS02WS-ABEND-LOCATION.
227500     SET MMXTRB-WRITE            TO TRUE.
227600     PERFORM MB00PD-MMXT-ACCESS  THRU MB00PD-MMXT-ACCESS-EXIT.
227700*
227800     MOVE 'C1XT'                 TO SS02WS-ABEND-LOCATION.
227900     SET MMXTRB-CLOSE            TO TRUE.
228000     PERFORM MB00PD-MMXT-ACCESS  THRU MB00PD-MMXT-ACCESS-EXIT.
228100*
228200     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
228300*
228400 4499-IMMXT-EXIT.
228500     EXIT.
228600/
228700 4500-INITIALIZE-MMEX.
228800*
228900     DISPLAY 'INITIALIZE MMEX'   UPON CONSOLE.
229000     MOVE 'MMEX'                 TO WS-D1-FILE.
229100*
229200     MOVE 'O1EX'                 TO SS02WS-ABEND-LOCATION.
229300     SET MMEXRB-OPEN-OUTPUT      TO TRUE.
229400     PERFORM MB00PD-MMEX-ACCESS  THRU MB00PD-MMEX-ACCESS-EXIT.
229500*
229600     MOVE SPACES                 TO MMEXIO-RECORD.
229700     MOVE ZERO                   TO MMEXIO-KEY.
229800     MOVE ZERO                   TO MMEXIO-DATE-STAMP.
229900     MOVE ZERO                   TO MMEXIO-TIME-STAMP.
230000     ADD 1                       TO WS-RECS-OUT.
230100*
230200     MOVE 'W1EX'                 TO SS02WS-ABEND-LOCATION.
230300     SET MMEXRB-WRITE            TO TRUE.
230400     PERFORM MB00PD-MMEX-ACCESS  THRU MB00PD-MMEX-ACCESS-EXIT.
230500*
230600     MOVE SPACES                 TO MMEXIO-RECORD.
230700     MOVE ALL '9'                TO MMEXIO-KEY.
230800     MOVE ZERO                   TO MMEXIO-DATE-STAMP.
230900     MOVE ZERO                   TO MMEXIO-TIME-STAMP.
231000     ADD 1                       TO WS-RECS-OUT.
231100*
231200     MOVE 'W2EX'                 TO SS02WS-ABEND-LOCATION.
231300     SET MMEXRB-WRITE            TO TRUE.
231400     PERFORM MB00PD-MMEX-ACCESS  THRU MB00PD-MMEX-ACCESS-EXIT.
231500*
231600     MOVE 'C1EX'                 TO SS02WS-ABEND-LOCATION.
231700     SET MMEXRB-CLOSE            TO TRUE.
231800     PERFORM MB00PD-MMEX-ACCESS  THRU MB00PD-MMEX-ACCESS-EXIT.
231900*
232000     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
232100*
232200 4599-IMMEX-EXIT.
232300     EXIT.
232400/
232500 4600-INITIALIZE-MMQ1.
232600*
232700     MOVE 'MMQ1'                 TO WS-D1-FILE.
232800*
232900     MOVE 'O1Q1'                 TO SS02WS-ABEND-LOCATION.
233000     SET MMQ1RB-OPEN-OUTPUT      TO TRUE.
233100     PERFORM MB00PD-MMQ1-ACCESS  THRU MB00PD-MMQ1-ACCESS-EXIT.
233200*
233300     MOVE SPACES                 TO MMQ1IO-RECORD.
233400     MOVE ZERO                   TO MMQ1IO-KEY.
233500     MOVE ZERO                   TO MMQ1IO-DATE-STAMP.
233600     MOVE ZERO                   TO MMQ1IO-TIME-STAMP.
233700     ADD 1                       TO WS-RECS-OUT.
233800*
233900     MOVE 'W1Q1'                 TO SS02WS-ABEND-LOCATION.
234000     SET MMQ1RB-WRITE            TO TRUE.
234100     PERFORM MB00PD-MMQ1-ACCESS  THRU MB00PD-MMQ1-ACCESS-EXIT.
234200*
234300     MOVE SPACES                 TO MMQ1IO-RECORD.
234400     MOVE ALL '9'                TO MMQ1IO-KEY.
234500     MOVE ZERO                   TO MMQ1IO-DATE-STAMP.
234600     MOVE ZERO                   TO MMQ1IO-TIME-STAMP.
234700     ADD 1                       TO WS-RECS-OUT.
234800*
234900     MOVE 'W2Q1'                 TO SS02WS-ABEND-LOCATION.
235000     SET MMQ1RB-WRITE            TO TRUE.
235100     PERFORM MB00PD-MMQ1-ACCESS  THRU MB00PD-MMQ1-ACCESS-EXIT.
235200*
235300     MOVE 'C1Q1'                 TO SS02WS-ABEND-LOCATION.
235400     SET MMQ1RB-CLOSE            TO TRUE.
235500     PERFORM MB00PD-MMQ1-ACCESS  THRU MB00PD-MMQ1-ACCESS-EXIT.
235600*
235700     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
235800*
235900 4699-IMMQ1-EXIT.
236000     EXIT.
236100/
236200 4700-INITIALIZE-MMQ2.
236300*
236400     MOVE 'MMQ2'                 TO WS-D1-FILE.
236500*
236600     MOVE 'O1Q2'                 TO SS02WS-ABEND-LOCATION.
236700     SET MMQ2RB-OPEN-OUTPUT      TO TRUE.
236800     PERFORM MB00PD-MMQ2-ACCESS  THRU MB00PD-MMQ2-ACCESS-EXIT.
236900*
237000     MOVE SPACES                 TO MMQ2IO-RECORD.
237100     MOVE ZERO                   TO MMQ2IO-KEY.
237200     MOVE ZERO                   TO MMQ2IO-DATE-STAMP.
237300     MOVE ZERO                   TO MMQ2IO-TIME-STAMP.
237400     ADD 1                       TO WS-RECS-OUT.
237500*
237600     MOVE 'W1Q2'                 TO SS02WS-ABEND-LOCATION.
237700     SET MMQ2RB-WRITE            TO TRUE.
237800     PERFORM MB00PD-MMQ2-ACCESS  THRU MB00PD-MMQ2-ACCESS-EXIT.
237900*
238000     MOVE SPACES                 TO MMQ2IO-RECORD.
238100     MOVE ALL '9'                TO MMQ2IO-KEY.
238200     MOVE ZERO                   TO MMQ2IO-DATE-STAMP.
238300     MOVE ZERO                   TO MMQ2IO-TIME-STAMP.
238400     ADD 1                       TO WS-RECS-OUT.
238500*
238600     MOVE 'W2Q2'                 TO SS02WS-ABEND-LOCATION.
238700     SET MMQ2RB-WRITE            TO TRUE.
238800     PERFORM MB00PD-MMQ2-ACCESS  THRU MB00PD-MMQ2-ACCESS-EXIT.
238900*
239000     MOVE 'C1Q2'                 TO SS02WS-ABEND-LOCATION.
239100     SET MMQ2RB-CLOSE            TO TRUE.
239200     PERFORM MB00PD-MMQ2-ACCESS  THRU MB00PD-MMQ2-ACCESS-EXIT.
239300*
239400     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
239500*
239600 4799-IMMQ2-EXIT.
239700     EXIT.
239800/
239900 4800-INITIALIZE-MMQ3.
240000*
240100     MOVE 'MMQ3'                 TO WS-D1-FILE.
240200*
240300     MOVE 'O1Q3'                 TO SS02WS-ABEND-LOCATION.
240400     SET MMQ3RB-OPEN-OUTPUT      TO TRUE.
240500     PERFORM MB00PD-MMQ3-ACCESS  THRU MB00PD-MMQ3-ACCESS-EXIT.
240600*
240700     MOVE SPACES                 TO MMQ3IO-RECORD.
240800     MOVE ZERO                   TO MMQ3IO-KEY.
240900     MOVE ZERO                   TO MMQ3IO-DATE-STAMP.
241000     MOVE ZERO                   TO MMQ3IO-TIME-STAMP.
241100     ADD 1                       TO WS-RECS-OUT.
241200*
241300     MOVE 'W1Q3'                 TO SS02WS-ABEND-LOCATION.
241400     SET MMQ3RB-WRITE            TO TRUE.
241500     PERFORM MB00PD-MMQ3-ACCESS  THRU MB00PD-MMQ3-ACCESS-EXIT.
241600*
241700     MOVE SPACES                 TO MMQ3IO-RECORD.
241800     MOVE ALL '9'                TO MMQ3IO-KEY.
241900     MOVE ZERO                   TO MMQ3IO-DATE-STAMP.
242000     MOVE ZERO                   TO MMQ3IO-TIME-STAMP.
242100     ADD 1                       TO WS-RECS-OUT.
242200*
242300     MOVE 'W2Q3'                 TO SS02WS-ABEND-LOCATION.
242400     SET MMQ3RB-WRITE            TO TRUE.
242500     PERFORM MB00PD-MMQ3-ACCESS  THRU MB00PD-MMQ3-ACCESS-EXIT.
242600*
242700     MOVE 'C1Q3'                 TO SS02WS-ABEND-LOCATION.
242800     SET MMQ3RB-CLOSE            TO TRUE.
242900     PERFORM MB00PD-MMQ3-ACCESS  THRU MB00PD-MMQ3-ACCESS-EXIT.
243000*
243100     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
243200*
243300 4899-IMMQ3-EXIT.
243400     EXIT.
243500/
243600 4900-INITIALIZE-MMQ4.
243700*
243800     MOVE 'MMQ4'                 TO WS-D1-FILE.
243900*
244000     MOVE 'O1Q4'                 TO SS02WS-ABEND-LOCATION.
244100     SET MMQ4RB-OPEN-OUTPUT      TO TRUE.
244200     PERFORM MB00PD-MMQ4-ACCESS  THRU MB00PD-MMQ4-ACCESS-EXIT.
244300*
244400     MOVE SPACES                 TO MMQ4IO-RECORD.
244500     MOVE ZERO                   TO MMQ4IO-KEY.
244600     MOVE ZERO                   TO MMQ4IO-DATE-STAMP.
244700     MOVE ZERO                   TO MMQ4IO-TIME-STAMP.
244800     ADD 1                       TO WS-RECS-OUT.
244900*
245000     MOVE 'W1Q4'                 TO SS02WS-ABEND-LOCATION.
245100     SET MMQ4RB-WRITE            TO TRUE.
245200     PERFORM MB00PD-MMQ4-ACCESS  THRU MB00PD-MMQ4-ACCESS-EXIT.
245300*
245400     MOVE SPACES                 TO MMQ4IO-RECORD.
245500     MOVE ALL '9'                TO MMQ4IO-KEY.
245600     MOVE ZERO                   TO MMQ4IO-DATE-STAMP.
245700     MOVE ZERO                   TO MMQ4IO-TIME-STAMP.
245800     ADD 1                       TO WS-RECS-OUT.
245900*
246000     MOVE 'W2Q4'                 TO SS02WS-ABEND-LOCATION.
246100     SET MMQ4RB-WRITE            TO TRUE.
246200     PERFORM MB00PD-MMQ4-ACCESS  THRU MB00PD-MMQ4-ACCESS-EXIT.
246300*
246400     MOVE 'C1Q4'                 TO SS02WS-ABEND-LOCATION.
246500     SET MMQ4RB-CLOSE            TO TRUE.
246600     PERFORM MB00PD-MMQ4-ACCESS  THRU MB00PD-MMQ4-ACCESS-EXIT.
246700*
246800     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
246900*
247000 4999-IMMQ4-EXIT.
247100     EXIT.
247200/
247300 5000-INITIALIZE-MMQ5.
247400*
247500     MOVE 'MMQ5'                 TO WS-D1-FILE.
247600*
247700     MOVE 'O1Q5'                 TO SS02WS-ABEND-LOCATION.
247800     SET MMQ5RB-OPEN-OUTPUT      TO TRUE.
247900     PERFORM MB00PD-MMQ5-ACCESS  THRU MB00PD-MMQ5-ACCESS-EXIT.
248000*
248100     MOVE SPACES                 TO MMQ5IO-RECORD.
248200     MOVE ZERO                   TO MMQ5IO-KEY.
248300     MOVE ZERO                   TO MMQ5IO-DATE-STAMP.
248400     MOVE ZERO                   TO MMQ5IO-TIME-STAMP.
248500     ADD 1                       TO WS-RECS-OUT.
248600*
248700     MOVE 'W1Q5'                 TO SS02WS-ABEND-LOCATION.
248800     SET MMQ5RB-WRITE            TO TRUE.
248900     PERFORM MB00PD-MMQ5-ACCESS  THRU MB00PD-MMQ5-ACCESS-EXIT.
249000*
249100     MOVE SPACES                 TO MMQ5IO-RECORD.
249200     MOVE ALL '9'                TO MMQ5IO-KEY.
249300     MOVE ZERO                   TO MMQ5IO-DATE-STAMP.
249400     MOVE ZERO                   TO MMQ5IO-TIME-STAMP.
249500     ADD 1                       TO WS-RECS-OUT.
249600*
249700     MOVE 'W2Q5'                 TO SS02WS-ABEND-LOCATION.
249800     SET MMQ5RB-WRITE            TO TRUE.
249900     PERFORM MB00PD-MMQ5-ACCESS  THRU MB00PD-MMQ5-ACCESS-EXIT.
250000*
250100     MOVE 'C1Q5'                 TO SS02WS-ABEND-LOCATION.
250200     SET MMQ5RB-CLOSE            TO TRUE.
250300     PERFORM MB00PD-MMQ5-ACCESS  THRU MB00PD-MMQ5-ACCESS-EXIT.
250400*
250500     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
250600*
250700 5099-IMMQ5-EXIT.
250800     EXIT.
250900/
251000 5100-INITIALIZE-MMQ6.
251100*
251200     MOVE 'MMQ6'                 TO WS-D1-FILE.
251300*
251400     MOVE 'O1Q6'                 TO SS02WS-ABEND-LOCATION.
251500     SET MMQ6RB-OPEN-OUTPUT      TO TRUE.
251600     PERFORM MB00PD-MMQ6-ACCESS  THRU MB00PD-MMQ6-ACCESS-EXIT.
251700*
251800     MOVE SPACES                 TO MMQ6IO-RECORD.
251900     MOVE ZERO                   TO MMQ6IO-KEY.
252000     MOVE ZERO                   TO MMQ6IO-DATE-STAMP.
252100     MOVE ZERO                   TO MMQ6IO-TIME-STAMP.
252200     ADD 1                       TO WS-RECS-OUT.
252300*
252400     MOVE 'W1Q6'                 TO SS02WS-ABEND-LOCATION.
252500     SET MMQ6RB-WRITE            TO TRUE.
252600     PERFORM MB00PD-MMQ6-ACCESS  THRU MB00PD-MMQ6-ACCESS-EXIT.
252700*
252800     MOVE SPACES                 TO MMQ6IO-RECORD.
252900     MOVE ALL '9'                TO MMQ6IO-KEY.
253000     MOVE ZERO                   TO MMQ6IO-DATE-STAMP.
253100     MOVE ZERO                   TO MMQ6IO-TIME-STAMP.
253200     ADD 1                       TO WS-RECS-OUT.
253300*
253400     MOVE 'W2Q6'                 TO SS02WS-ABEND-LOCATION.
253500     SET MMQ6RB-WRITE            TO TRUE.
253600     PERFORM MB00PD-MMQ6-ACCESS  THRU MB00PD-MMQ6-ACCESS-EXIT.
253700*
253800     MOVE 'C1Q6'                 TO SS02WS-ABEND-LOCATION.
253900     SET MMQ6RB-CLOSE            TO TRUE.
254000     PERFORM MB00PD-MMQ6-ACCESS  THRU MB00PD-MMQ6-ACCESS-EXIT.
254100*
254200     PERFORM 8900-PRINT-REPORT   THRU 8999-PR-EXIT.
254300*
254400 5199-IMMQ6-EXIT.
254500     EXIT.
254600/
254700 8900-PRINT-REPORT.
254800*
254900     MOVE WS-RECS-IN             TO WS-D1-RECS-IN.
255000     MOVE WS-RECS-OUT            TO WS-D1-RECS-OUT.
255100*
255200     PERFORM MB20PD-PRINT-2-LINES
255300                                 THRU MB20PD-P2L-EXIT.
255400*
255500     MOVE ZERO                   TO WS-RECS-IN.
255600     MOVE ZERO                   TO WS-RECS-OUT.
255700*
255800*
255900 8999-PR-EXIT.
256000     EXIT.
256100/
256200     COPY MB00PD REPLACING ==:MB00:== BY ==MMAM==.
256300/
256400     COPY MB00PD REPLACING ==:MB00:== BY ==MMBC==.
256500/
256600     COPY MB00PD REPLACING ==:MB00:== BY ==MMCG==.
256700/
256800     COPY MB00PD REPLACING ==:MB00:== BY ==MMCP==.
256900/
257000     COPY MB00PD REPLACING ==:MB00:== BY ==MMCS==.
257100/
257200     COPY MB00PD REPLACING ==:MB00:== BY ==MMCT==.
257300/
257400     COPY MB00PD REPLACING ==:MB00:== BY ==MMDT==.
257500/
257600     COPY MB00PD REPLACING ==:MB00:== BY ==MMEF==.
257700/
257800     COPY MB00PD REPLACING ==:MB00:== BY ==MMEX==.
257900/
258000     COPY MB00PD REPLACING ==:MB00:== BY ==MMFA==.
258100/
258200     COPY MB00PD REPLACING ==:MB00:== BY ==MMFG==.
258300/
258400     COPY MB00PD REPLACING ==:MB00:== BY ==MMFP==.
258500/
258600     COPY MB00PD REPLACING ==:MB00:== BY ==MMFS==.
258700/
258800     COPY MB00PD REPLACING ==:MB00:== BY ==MMGD==.
258900/
259000     COPY MB00PD REPLACING ==:MB00:== BY ==MMIC==.
259100/
259200     COPY MB00PD REPLACING ==:MB00:== BY ==MMIF==.
259300/
259400     COPY MB00PD REPLACING ==:MB00:== BY ==MMLG==.
259500/
259600     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
259700/
259800     COPY MB00PD REPLACING ==:MB00:== BY ==MMMP==.
259900/
260000     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
260100/
260200     COPY MB00PD REPLACING ==:MB00:== BY ==MMOE==.
260300/
260400     COPY MB00PD REPLACING ==:MB00:== BY ==MMOG==.
260500/
260600     COPY MB00PD REPLACING ==:MB00:== BY ==MMOI==.
260700/
260800     COPY MB00PD REPLACING ==:MB00:== BY ==MMOX==.
260900/
261000     COPY MB00PD REPLACING ==:MB00:== BY ==MMPA==.
261100/
261200     COPY MB00PD REPLACING ==:MB00:== BY ==MMPE==.
261300/
261400     COPY MB00PD REPLACING ==:MB00:== BY ==MMPF==.
261500/
261600     COPY MB00PD REPLACING ==:MB00:== BY ==MMPG==.
261700/
261800     COPY MB00PD REPLACING ==:MB00:== BY ==MMPS==.
261900/
262000     COPY MB00PD REPLACING ==:MB00:== BY ==MMPX==.
262100/
262200     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ1==.
262300/
262400     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ2==.
262500/
262600     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ3==.
262700/
262800     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ4==.
262900/
263000     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ5==.
263100/
263200     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ6==.
263300/
263400     COPY MB00PD REPLACING ==:MB00:== BY ==MMRC==.
263500/
263600     COPY MB00PD REPLACING ==:MB00:== BY ==MMRD==.
263700/
263800     COPY MB00PD REPLACING ==:MB00:== BY ==MMRG==.
263900/
264000     COPY MB00PD REPLACING ==:MB00:== BY ==MMRT==.
264100/
264200     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
264300/
264400     COPY MB00PD REPLACING ==:MB00:== BY ==MMSD==.
264500/
264600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSH==.
264700/
264800     COPY MB00PD REPLACING ==:MB00:== BY ==MMSM==.
264900/
265000     COPY MB00PD REPLACING ==:MB00:== BY ==MMSR==.
265100/
265200     COPY MB00PD REPLACING ==:MB00:== BY ==MMSS==.
265300/
265400     COPY MB00PD REPLACING ==:MB00:== BY ==MMTC==.
265500/
265600     COPY MB00PD REPLACING ==:MB00:== BY ==MMTM==.
265700/
265800     COPY MB00PD REPLACING ==:MB00:== BY ==MMWT==.
265900/
266000     COPY MB00PD REPLACING ==:MB00:== BY ==MMXR==.
266100/
266200     COPY MB00PD REPLACING ==:MB00:== BY ==MMXT==.
266300/
266400     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
266500/
266600     COPY MB99PD.
266700/
266800     COPY SS08PD.
266900/
267000     COPY SS16PD.
267100/
267200     COPY SS26PD.
267300/
267400     COPY SS27PD.
267500/
267600     COPY SS02PD.
267700/
267800     COPY MB20PD.
