000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU935.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*        MBU935 - MERCHANT STATISTICS FEE ACTIVITY FILE (MMFA)  *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002500/
002600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002700/
002800     COPY MBMFIO.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MBMFRL.
003300/
003400     COPY MMSCIO.
003500/
003600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003700/
003800     COPY MMSCRL.
003900/
004000     COPY MMFAIO REPLACING ==:MMFA:== BY ==MMFA==.
004100/
004200     COPY MB00RB REPLACING ==:MB00:== BY ==MMFA==.
004300/
004400     COPY MMFARL REPLACING ==:MMFA:== BY ==MMFA==.
004500/
004600     COPY MBU999WS.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB21WS.
005300/
005400     COPY MB99WS.
005500/
005600     COPY SS00WS.
005700/
005800     COPY SS01WS.
005900/
006000     COPY SS02WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU935'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500*
006600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
006700         88  WS-BACKUP                       VALUE 'BACKUP'.
006800         88  WS-MASTER                       VALUE 'MASTER'.
006900*
007000     03  WS-MMFA-BEG-KEY.
007100         05  WS-BEG-ORG-MERCHANT.
007200             07  WS-BEG-ORG  PIC  9(03).
007300             07  WS-BEG-MERCHANT
007400                             PIC  9(09).
007500*
007600     03  WS-MMFA-END-KEY.
007700         05  WS-END-ORG-MERCHANT.
007800             07  WS-END-ORG  PIC  9(03).
007900             07  WS-END-MERCHANT
008000                             PIC  9(09).
008100*
008200     03  WS-FRAUD-DESC-AREA.
008300         05  WS-FRAUD-LIT-X.
008400             07  FILLER      PIC  X(44)      VALUE
008500                 '*--------  WTD ACTIVITY (OCCUR 01)  ------* '.
008600             07  FILLER      PIC  X(44)      VALUE
008700                 '*--------  WTD ACTIVITY (OCCUR 02)  ------* '.
008800             07  FILLER      PIC  X(44)      VALUE
008900                 '*--------  WTD ACTIVITY (OCCUR 03)  ------* '.
009000             07  FILLER      PIC  X(44)      VALUE
009100                 '*--------  WTD ACTIVITY (OCCUR 04)  ------* '.
009200             07  FILLER      PIC  X(44)      VALUE
009300                 '*--------  WTD ACTIVITY (OCCUR 05)  ------* '.
009400             07  FILLER      PIC  X(44)      VALUE
009500                 '*--------  WTD ACTIVITY (OCCUR 06)  ------* '.
009600             07  FILLER      PIC  X(44)      VALUE
009700                 '*--------  WTD ACTIVITY (OCCUR 07)  ------* '.
009800         05  WS-FRAUD-LIT-R REDEFINES WS-FRAUD-LIT-X.
009900             07  WS-FRAUD-LIT
010000                             PIC  X(44)      OCCURS 7 TIMES
010100                                             INDEXED BY
010200                                             X-WS-MMFA-WTD-INDEX.
010300*
010400     03  WS-TOTALS-DESC-AREA.
010500         05  WS-TOTALS-LIT-X.
010600             07  FILLER      PIC  X(40)      VALUE
010700                 'ROLLING 12 STATS, 1-MTH PRIOR (OCCUR 01)'.
010800             07  FILLER      PIC  X(40)      VALUE
010900                 'ROLLING 12 STATS, 2-MTH PRIOR (OCCUR 02)'.
011000             07  FILLER      PIC  X(40)      VALUE
011100                 'ROLLING 12 STATS, 3-MTH PRIOR (OCCUR 03)'.
011200             07  FILLER      PIC  X(40)      VALUE
011300                 'ROLLING 12 STATS, 4-MTH PRIOR (OCCUR 04)'.
011400             07  FILLER      PIC  X(40)      VALUE
011500                 'ROLLING 12 STATS, 5-MTH PRIOR (OCCUR 05)'.
011600             07  FILLER      PIC  X(40)      VALUE
011700                 'ROLLING 12 STATS, 6-MTH PRIOR (OCCUR 06)'.
011800             07  FILLER      PIC  X(40)      VALUE
011900                 'ROLLING 12 STATS, 7-MTH PRIOR (OCCUR 07)'.
012000             07  FILLER      PIC  X(40)      VALUE
012100                 'ROLLING 12 STATS, 8-MTH PRIOR (OCCUR 08)'.
012200             07  FILLER      PIC  X(40)      VALUE
012300                 'ROLLING 12 STATS, 9-MTH PRIOR (OCCUR 09)'.
012400             07  FILLER      PIC  X(40)      VALUE
012500                 'ROLLING 12 STATS,10-MTH PRIOR (OCCUR 10)'.
012600             07  FILLER      PIC  X(40)      VALUE
012700                 'ROLLING 12 STATS,11-MTH PRIOR (OCCUR 11)'.
012800             07  FILLER      PIC  X(40)      VALUE
012900                 'ROLLING 12 STATS,12-MTH PRIOR (OCCUR 12)'.
013000             07  FILLER      PIC  X(40)      VALUE
013100                 'CURRENT DAY STATS             (OCCUR 13)'.
013200             07  FILLER      PIC  X(40)      VALUE
013300                 'MONTH-TO-DATE STATS           (OCCUR 14)'.
013400             07  FILLER      PIC  X(40)      VALUE
013500                 'YEAR-TO-DATE STATS            (OCCUR 15)'.
013600             07  FILLER      PIC  X(40)      VALUE
013700                 'STATEMENT CYCLE-TO-DATE STATS (OCCUR 16)'.
013800             07  FILLER      PIC  X(40)      VALUE
013900                 'DISCOUNT-TO-DATE STATS        (OCCUR 17)'.
014000             07  FILLER      PIC  X(40)      VALUE
014100                 'PARTICIPATION-TO-DATE STATS   (OCCUR 18)'.
014200         05  WS-TOTALS-LIT-R REDEFINES WS-TOTALS-LIT-X.
014300             07  WS-TOTALS-LIT
014400                             PIC  X(40)      OCCURS 18 TIMES
014500                                             INDEXED BY
014600                                             X-WS-MMFA-INDEX.
014700*
014800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014900/
015000 PROCEDURE DIVISION.
015100*
015200 A000-DRIVER.
015300*
015400     MOVE 'MBU935'               TO SS02WS-ABEND-PROG-ID
015500                                    MBU999WS-PROGRAM-ID.
015600*
015700     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
015800*
015900     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
016000     MOVE 'T935'                 TO MB20WS-SH-INTERNAL-RPT-ID.
016100     MOVE '  MERCHANT FEE ACTIVITY FILE  '
016200                                 TO MB20WS-SH-RPT-NAME.
016300     MOVE SPACES                 TO MB20WS-SH-LIT-1
016400                                    MB20WS-SH-LIT-5
016500                                    MB20WS-SH-L4
016600                                    MB20WS-SH-L5
016700                                    MB20WS-SH-L6.
016800     PERFORM MB21PD-PAP-RESET-INDEXES
016900                                 THRU MB21PD-PAP-EXIT.
017000*
017100 A100-OPEN-FILES.
017200*
017300     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
017400     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
017500     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
017600     SET MTCCRB-OPEN-INPUT       TO TRUE.
017700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
017800*
017900     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
018000     SET MMSCRB-OPEN-INPUT       TO TRUE.
018100     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
018200*
018300     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
018400     SET MMSCRB-READ-SEQ         TO TRUE.
018500     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
018600     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
018700*
018800     IF  MMSCIO-HEADER
018900         NEXT SENTENCE
019000     ELSE
019100         PERFORM MB99PD-MISSING-HEADER-ABEND
019200            THRU MB99PD-MHA-EXIT.
019300*
019400     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
019500*
019510     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
019600     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
019700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
019800     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
019900     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
020000     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
020100                                 THRU SS27PD-NET-EXIT.
020200     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
020300*
020400     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
020500     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
020600     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
020700     MOVE 99                     TO MB20WS-LINE-LIMIT.
020800     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
020900     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
021100*
021200     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION
021300     SET MTCCRB-READ-SEQ         TO TRUE
021400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT
021500*
021600     IF  SS02WS-FS-END-OF-FILE
021700         GO TO A400-CHECK-READ-SWITCH
021800     END-IF.
021900*
022000     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
022100         GO TO A200-PROGRAM-CONTROL
022200     END-IF.
022300*
022400     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
022500*
022600     IF  MTCC-MBU9XX-BACKUP
022700         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
022800         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
022900         SET MBMFRB-OPEN-INPUT   TO TRUE
023000         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
023100         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
023200         SET MBMFRB-READ-SEQ     TO TRUE
023300         MOVE SS02WS-NO-RECORD-FOUND
023400                                 TO MBMFRB-PERM-STATUS-3
023500         MOVE SS02WS-END-OF-FILE
023600                                 TO MBMFRB-PERM-STATUS-4
023700         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
023800     ELSE
023900         MOVE 'O1FA'             TO SS02WS-ABEND-LOCATION
024000         SET MMFARB-OPEN-INPUT   TO TRUE
024100         PERFORM MB00PD-MMFA-ACCESS THRU MB00PD-MMFA-ACCESS-EXIT
024200         MOVE 'R1FA'             TO SS02WS-ABEND-LOCATION
024300         SET MMFARB-READ-SEQ     TO TRUE
024400         MOVE SS02WS-NO-RECORD-FOUND
024500                                 TO MMFARB-PERM-STATUS-3
024600         MOVE SS02WS-END-OF-FILE
024700                                 TO MMFARB-PERM-STATUS-4
024800         PERFORM MB00PD-MMFA-ACCESS THRU MB00PD-MMFA-ACCESS-EXIT
024900         GO TO A130-PRINT-HR-RECORD
025000     END-IF.
025100*
025200     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
025300*
025400     IF  MBMFIO-FILE-IS-HEADER
025500         NEXT SENTENCE
025600     ELSE
025700         PERFORM MB99PD-MISSING-HEADER-ABEND
025800            THRU MB99PD-MHA-EXIT.
025900*
026000     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
026100*
026200     SET X-MBMF-FILE             TO 1.
026300*
026400 A110-SEARCH-HEADER-TABLE-LOOP.
026500*
026600     IF  X-MBMF-FILE IS GREATER THAN 75
026700         MOVE 'MMFA'             TO MB99WS-FILE-ID
026800         PERFORM MB99PD-NOT-ON-BACKUP
026900            THRU MB99PD-NOB-EXIT.
027000*
027100     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'FA'
027200         CONTINUE
027300     ELSE
027400         SET X-MBMF-FILE         UP BY 1
027500         GO TO A110-SEARCH-HEADER-TABLE-LOOP
027600     END-IF.
027700*
027800 A120-READ-MBMF-LOOP.
027900*
028000     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
028100     SET MBMFRB-READ-SEQ         TO TRUE.
028200     MOVE SS02WS-NO-RECORD-FOUND
028300                                 TO MBMFRB-PERM-STATUS-3.
028400     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
028500     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
028600*
028700     IF  SS02WS-FS-END-OF-FILE
028800         GO TO A200-PROGRAM-CONTROL
028900     END-IF.
029000*
029100     IF  MBMFIO-FILE-IS-MMFA
029200         CONTINUE
029300     ELSE
029400         GO TO A120-READ-MBMF-LOOP
029500     END-IF.
029600*
029700 A130-PRINT-HR-RECORD.
029800*
029900     IF  WS-BACKUP
030000         MOVE MBMFIO-VAR-DATA    TO MMFAIO-RECORD
030100     END-IF.
030200*
030300     MOVE 'MMFA'                 TO MB99WS-FILE-ID.
030400*
030500     IF  MMFAIO-HEADER
030600         PERFORM B200-PRINT-HEADER
030700                                 THRU B200-PH-EXIT
030800     ELSE
030900         PERFORM MB99PD-MISSING-HEADER-ABEND
031000            THRU MB99PD-MHA-EXIT.
031100*
031200     MOVE MMFAIO-RECORD          TO MMFA-RECORD.
031300*
031400 A200-PROGRAM-CONTROL.
031500*
031600     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
031700         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
031800     ELSE
031900         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
032000             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
032100             GO TO A210-PC-BY-FIRST-READ.
032200*
032300     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
032400     SET MTCCRB-READ-SEQ         TO TRUE.
032500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
032600*
032700     IF  SS02WS-FS-END-OF-FILE
032800         GO TO A400-CHECK-READ-SWITCH
032900     END-IF.
033000*
033100 A210-PC-BY-FIRST-READ.
033200*
033300     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
033400         GO TO A200-PROGRAM-CONTROL
033500     END-IF.
033600*
033700     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
033800*
033900 A300-RANGE-CARD.
034000*
034100     MOVE 'Y'                    TO WS-CARD-READ-SW.
034200     INSPECT MTCC-MBU935-BEG-X   REPLACING ALL SPACE BY ZERO.
034300*
034400     IF  MTCC-MBU935-END-X IS EQUAL TO SPACES
034500         MOVE MTCC-MBU935-BEG-X  TO MTCC-MBU935-END-X
034600     END-IF.
034700*
034800     INSPECT MTCC-MBU935-END-X   REPLACING ALL SPACE BY ZERO.
034900*
035000     MOVE MTCC-MBU935-BEG-X      TO WS-MMFA-BEG-KEY.
035100*
035200     MOVE MTCC-MBU935-END-X      TO WS-MMFA-END-KEY.
035300*
035400     IF  WS-BACKUP
035500         GO TO A350-READ-NEXT-MBMF
035600     END-IF.
035700*
035800     MOVE WS-MMFA-BEG-KEY        TO MMFAIO-KEY.
035900*
036000     MOVE 'S1FA'                 TO SS02WS-ABEND-LOCATION.
036100     SET  MMFARB-START-GTE       TO TRUE.
036200     PERFORM MB00PD-MMFA-ACCESS  THRU MB00PD-MMFA-ACCESS-EXIT.
036300*
036400     IF  SS02WS-FS-NO-RECORD-FOUND
036500         GO TO A500-CONTROL-CARD-ERROR
036600     END-IF.
036700*
036800 A350-READ-NEXT.
036900*
037000     MOVE 'R2FA'                 TO SS02WS-ABEND-LOCATION.
037100     SET  MMFARB-READ-SEQ        TO TRUE.
037200     PERFORM MB00PD-MMFA-ACCESS  THRU MB00PD-MMFA-ACCESS-EXIT.
037300*
037400     IF  SS02WS-FS-END-OF-FILE
037500         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
037600             GO TO A200-PROGRAM-CONTROL
037700         ELSE
037800             PERFORM MB21PD-PRINT-A-PAGE
037900                                 THRU MB21PD-PAP-EXIT
038000             GO TO A200-PROGRAM-CONTROL.
038100*
038200     IF  MMFAIO-KEY IS GREATER THAN WS-MMFA-END-KEY
038300         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
038400             GO TO A200-PROGRAM-CONTROL
038500         ELSE
038600             PERFORM MB21PD-PRINT-A-PAGE
038700                                 THRU MB21PD-PAP-EXIT
038800             GO TO A200-PROGRAM-CONTROL.
038900*
039000     IF  MMFAIO-HEADER
039100     OR  MMFAIO-TRAILER
039200         GO TO A350-READ-NEXT.
039300*
039400     MOVE MMFAIO-RECORD          TO MMFA-RECORD.
039500*
039600     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
039700     GO TO A350-READ-NEXT.
039800*
039900 A350-READ-NEXT-MBMF.
040000*
040100     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
040200     SET  MBMFRB-READ-SEQ        TO TRUE.
040300     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
040400*
040500     IF  SS02WS-FS-NO-RECORD-FOUND
040600         GO TO A500-CONTROL-CARD-ERROR
040700     END-IF.
040800*
040900     IF  SS02WS-FS-END-OF-FILE
041000         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
041100             GO TO A200-PROGRAM-CONTROL
041200         ELSE
041300             PERFORM MB21PD-PRINT-A-PAGE
041400                                 THRU MB21PD-PAP-EXIT
041500             GO TO A200-PROGRAM-CONTROL.
041600*
041700     IF  MBMFIO-FILE-IS-MMFA
041800         CONTINUE
041900     ELSE
042000         GO TO A350-READ-NEXT-MBMF
042100     END-IF.
042200*
042300     MOVE MBMFIO-VAR-DATA        TO MMFA-RECORD.
042400*
042500     IF  MMFA-KEY IS LESS THAN WS-MMFA-BEG-KEY
042600         GO TO A350-READ-NEXT-MBMF
042700     END-IF.
042800*
042900     IF  MMFA-KEY IS GREATER THAN WS-MMFA-END-KEY
043000         PERFORM MB21PD-PRINT-A-PAGE
043100                                 THRU MB21PD-PAP-EXIT
043200         GO TO A200-PROGRAM-CONTROL
043300     END-IF.
043400*
043500     IF  MMFA-ORG IS EQUAL TO 999
043600         GO TO A350-READ-NEXT-MBMF.
043700*
043800     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
043900     GO TO A350-READ-NEXT-MBMF.
044000*
044100 A400-CHECK-READ-SWITCH.
044200*
044300     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
044400         MOVE '*** NO CONTROL CARDS ***'
044500                                 TO MB21WS-PP-COL44 (5 1)
044600         PERFORM MB21PD-PRINT-A-PAGE
044700                                 THRU MB21PD-PAP-EXIT.
044800*
044900     GO TO A600-CLOSE-FILES.
045000*
045100 A500-CONTROL-CARD-ERROR.
045200*
045300     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
045400     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
045500     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
045600     MOVE SPACE                  TO MB21WS-PP-LINE (4).
045700     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
045800     GO TO A200-PROGRAM-CONTROL.
045900*
046000 A600-CLOSE-FILES.
046100*
046200     EVALUATE TRUE
046300         WHEN  WS-BACKUP
046400             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
046500             SET MBMFRB-CLOSE    TO TRUE
046600             PERFORM MB00PD-MBMF-ACCESS
046700                                 THRU MB00PD-MBMF-ACCESS-EXIT
046800         WHEN  WS-MASTER
046900             MOVE 'C1FA'         TO SS02WS-ABEND-LOCATION
047000             SET MMFARB-CLOSE    TO TRUE
047100             PERFORM MB00PD-MMFA-ACCESS
047200                                 THRU MB00PD-MMFA-ACCESS-EXIT
047300         WHEN  OTHER
047400             CONTINUE
047500     END-EVALUATE.
047600*
047700     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
047800     SET MTCCRB-CLOSE            TO TRUE.
047900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
048000*
048100     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
048200     SET MMSCRB-CLOSE            TO TRUE.
048300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
048400*
048500     PERFORM MB20PD-CLOSE-PRINT-FILES
048600                                 THRU MB20PD-CPF-EXIT.
048700*
048800     STOP RUN.
048900/
049000 B100-PRT-BEGIN.
049100*
049200     MOVE '*  MERCHANT FEE ACTIVITY STATS REC (MMFA)  *'
049300                                 TO MB21WS-PRINT-WORK-AREA.
049400     PERFORM MB21PD-INSERT-A-COLUMN
049500                                 THRU MB21PD-IAC-EXIT.
049600*
049700     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
049800     MOVE 'ORG'                  TO MB21WS-NAME.
049900     MOVE MMFA-ORG               TO MB21WS-3V0.
050000     PERFORM MB21PD-INSERT-A-COLUMN
050100                                 THRU MB21PD-IAC-EXIT.
050200*
050300     MOVE 'MERCHANT'             TO MB21WS-NAME.
050400     MOVE MMFA-MERCHANT          TO MB21WS-9V0.
050500     PERFORM MB21PD-INSERT-A-COLUMN
050600                                 THRU MB21PD-IAC-EXIT.
050700*
050800     MOVE 'REC-STATUS'           TO MB21WS-NAME.
050900     MOVE MMFA-REC-STATUS        TO MB21WS-1V0.
051000     PERFORM MB21PD-INSERT-A-COLUMN
051100                                 THRU MB21PD-IAC-EXIT 2 TIMES.
051200*
051300     MOVE '*--------  FRAUD WTD ACTIVITY  -----------*'
051400                                 TO MB21WS-PRINT-WORK-AREA.
051500     PERFORM MB21PD-INSERT-A-COLUMN
051600                                 THRU MB21PD-IAC-EXIT.
051700*
051800     PERFORM
051900         VARYING X-MMFA-WTD-ACT FROM +1 BY +1
052000         UNTIL   X-MMFA-WTD-ACT GREATER THAN +7
052100         SET X-WS-MMFA-WTD-INDEX TO X-MMFA-WTD-ACT
052200         MOVE WS-FRAUD-LIT (X-WS-MMFA-WTD-INDEX)
052300                                 TO MB21WS-PRINT-WORK-AREA
052400         PERFORM MB21PD-INSERT-A-COLUMN
052500                                 THRU MB21PD-IAC-EXIT
052600         MOVE 'WTD-ACTIVITY-FLAG'
052700                                 TO MB21WS-NAME
052800         MOVE MMFA-WTD-ACTIVITY-FLAG (X-MMFA-WTD-ACT)
052900                                 TO MB21WS-X
053000         PERFORM MB21PD-INSERT-A-COLUMN
053100                                 THRU MB21PD-IAC-EXIT
053200         MOVE 'WTD-DEPOSITS-NBR' TO MB21WS-NAME
053300         MOVE MMFA-WTD-DEPOSITS-NBR (X-MMFA-WTD-ACT)
053400                                 TO MB21WS-9V0
053500         PERFORM MB21PD-INSERT-A-COLUMN
053600                                 THRU MB21PD-IAC-EXIT
053700         MOVE 'WTD-DEPOSITS-AMT' TO MB21WS-NAME
053800         MOVE MMFA-WTD-DEPOSITS-AMT (X-MMFA-WTD-ACT)
053900                                 TO MB21WS-17V0
054000         PERFORM MB21PD-INSERT-A-COLUMN
054100                                 THRU MB21PD-IAC-EXIT
054200         MOVE 'WTD-SALES-NBR'    TO MB21WS-NAME
054300         MOVE MMFA-WTD-SALES-NBR (X-MMFA-WTD-ACT)
054400                                 TO MB21WS-9V0
054500         PERFORM MB21PD-INSERT-A-COLUMN
054600                                 THRU MB21PD-IAC-EXIT
054700         MOVE 'WTD-SALES-AMT'    TO MB21WS-NAME
054800         MOVE MMFA-WTD-SALES-AMT (X-MMFA-WTD-ACT)
054900                                 TO MB21WS-17V0
055000         PERFORM MB21PD-INSERT-A-COLUMN
055100                                 THRU MB21PD-IAC-EXIT
055110         MOVE 'WTD-SALES-REV-NBR'                                 RG800902
055112                                 TO MB21WS-NAME                   RG800902
055114         MOVE MMFA-WTD-SALES-REV-NBR (X-MMFA-WTD-ACT)             RG800902
055116                                 TO MB21WS-9V0                    RG800902
055118         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
055120                                 THRU MB21PD-IAC-EXIT             RG800902
055122         MOVE 'WTD-SALES-REV-AMT'                                 RG800902
055124                                 TO MB21WS-NAME                   RG800902
055126         MOVE MMFA-WTD-SALES-REV-AMT (X-MMFA)                     RG800902
055128                                 TO MB21WS-17V0                   RG800902
055130         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
055132                                 THRU MB21PD-IAC-EXIT             RG800902
055200         MOVE 'WTD-RETURNS-NBR'  TO MB21WS-NAME
055300         MOVE MMFA-WTD-RETURNS-NBR (X-MMFA-WTD-ACT)
055400                                 TO MB21WS-9V0
055500         PERFORM MB21PD-INSERT-A-COLUMN
055600                                 THRU MB21PD-IAC-EXIT
055700         MOVE 'WTD-RETURNS-AMT'  TO MB21WS-NAME
055800         MOVE MMFA-WTD-RETURNS-AMT (X-MMFA-WTD-ACT)
055900                                 TO MB21WS-17V0
056000         PERFORM MB21PD-INSERT-A-COLUMN
056100                                 THRU MB21PD-IAC-EXIT             RG800902
056110         MOVE 'WTD-RETURNS-REV-NBR'                               RG800902
056112                                 TO MB21WS-NAME                   RG800902
056114         MOVE MMFA-WTD-RETURNS-REV-NBR (X-MMFA-WTD-ACT)           RG800902
056116                                 TO MB21WS-9V0                    RG800902
056118         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
056120                                 THRU MB21PD-IAC-EXIT             RG800902
056122         MOVE 'WTD-RETURNS-REV-AMT'                               RG800902
056124                                 TO MB21WS-NAME                   RG800902
056126         MOVE MMFA-WTD-RETURNS-REV-AMT (X-MMFA)                   RG800902
056128                                 TO MB21WS-17V0                   RG800902
056130         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
056132                                 THRU MB21PD-IAC-EXIT             RG800902
056134         MOVE 'WTD-CHGBACK-NBR'  TO MB21WS-NAME                   RG800902
056136         MOVE MMFA-WTD-CHGBACK-NBR (X-MMFA-WTD-ACT)               RG800902
056138                                 TO MB21WS-9V0                    RG800902
056140         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
056142                                 THRU MB21PD-IAC-EXIT             RG800902
056144         MOVE 'WTD-CHGBACK-AMT'  TO MB21WS-NAME                   RG800902
056146         MOVE MMFA-WTD-CHGBACK-AMT (X-MMFA-WTD-ACT)               RG800902
056148                                 TO MB21WS-17V0                   RG800902
056150         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
056152                                 THRU MB21PD-IAC-EXIT 2 TIMES     RG800902
056200     END-PERFORM.
056300*
056400     MOVE '*-------------  ACH DATA  ----------------*'
056500                                 TO MB21WS-PRINT-WORK-AREA.
056600     PERFORM MB21PD-INSERT-A-COLUMN
056700                                 THRU MB21PD-IAC-EXIT.
056800*
056900     MOVE 'PREV-ACH-NBR'         TO MB21WS-NAME.
057000     MOVE MMFA-PREV-ACH-NBR      TO MB21WS-9V0.
057100     PERFORM MB21PD-INSERT-A-COLUMN
057200                                 THRU MB21PD-IAC-EXIT.
057300*
057400     MOVE 'CURR-ACH-NBR'         TO MB21WS-NAME.
057500     MOVE MMFA-CURR-ACH-NBR      TO MB21WS-9V0.
057600     PERFORM MB21PD-INSERT-A-COLUMN
057700                                 THRU MB21PD-IAC-EXIT 2 TIMES.
057800*
057900     MOVE '*--------- TOTALS DATA AREA -----------*'
058000                                 TO MB21WS-PRINT-WORK-AREA.
058100     PERFORM MB21PD-INSERT-A-COLUMN
058200                                 THRU MB21PD-IAC-EXIT.
058300*
058400     PERFORM
058500         VARYING X-MMFA FROM +1 BY +1
058600         UNTIL   X-MMFA IS GREATER THAN +18
058700         SET X-WS-MMFA-INDEX     TO X-MMFA
058800         MOVE WS-TOTALS-LIT (X-WS-MMFA-INDEX)
058900                                 TO MB21WS-PRINT-WORK-AREA
059000         PERFORM MB21PD-INSERT-A-COLUMN
059100                                 THRU MB21PD-IAC-EXIT
059110         MOVE 'KEYED-AUTHS-AMT'  TO MB21WS-NAME                   RG800902
059112         MOVE MMFA-KEYED-AUTHS-AMT (X-MMFA)                       RG800902
059114                                 TO MB21WS-17V0                   RG800902
059116         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059118                                 THRU MB21PD-IAC-EXIT             RG800902
059120         MOVE 'SWIPED-AUTHS-AMT' TO MB21WS-NAME                   RG800902
059122         MOVE MMFA-SWIPED-AUTHS-AMT (X-MMFA)                      RG800902
059124                                 TO MB21WS-17V0                   RG800902
059126         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059128                                 THRU MB21PD-IAC-EXIT             RG800902
059130         MOVE 'KEYED-SALES-AMT'  TO MB21WS-NAME                   RG800902
059132         MOVE MMFA-KEYED-SALES-AMT (X-MMFA)                       RG800902
059134                                 TO MB21WS-17V0                   RG800902
059136         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059138                                 THRU MB21PD-IAC-EXIT             RG800902
059140         MOVE 'KEYED-SALES-REV-AMT'  TO MB21WS-NAME               RG800902
059142         MOVE MMFA-KEYED-SALES-REV-AMT (X-MMFA)                   RG800902
059144                                 TO MB21WS-17V0                   RG800902
059146         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059148                                 THRU MB21PD-IAC-EXIT             RG800902
059150         MOVE 'KEYED-RETURNS-AMT'                                 RG800902
059152                                 TO MB21WS-NAME                   RG800902
059154         MOVE MMFA-KEYED-RETURNS-AMT (X-MMFA)                     RG800902
059156                                 TO MB21WS-17V0                   RG800902
059158         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059160                                 THRU MB21PD-IAC-EXIT             RG800902
059162         MOVE 'KEYED-RETURNS-REV-AMT'                             RG800902
059164                                 TO MB21WS-NAME                   RG800902
059166         MOVE MMFA-KEYED-RETURNS-REV-AMT (X-MMFA)                 RG800902
059168                                 TO MB21WS-17V0                   RG800902
059170         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059172                                 THRU MB21PD-IAC-EXIT             RG800902
059174         MOVE 'SWIPED-SALES-AMT' TO MB21WS-NAME                   RG800902
059176         MOVE MMFA-SWIPED-SALES-AMT (X-MMFA)                      RG800902
059178                                 TO MB21WS-17V0                   RG800902
059180         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059182                                 THRU MB21PD-IAC-EXIT             RG800902
059184         MOVE 'SWIPED-SALES-REV-AMT'                              RG800902
059186                                 TO MB21WS-NAME                   RG800902
059188         MOVE MMFA-SWIPED-SALES-REV-AMT (X-MMFA)                  RG800902
059190                                 TO MB21WS-17V0                   RG800902
059192         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059194                                 THRU MB21PD-IAC-EXIT             RG800902
059196         MOVE 'SWIPED-RETURNS-AMT'                                RG800902
059198                                 TO MB21WS-NAME                   RG800902
059200         MOVE MMFA-SWIPED-RETURNS-AMT (X-MMFA)                    RG800902
059202                                 TO MB21WS-17V0                   RG800902
059204         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059206                                 THRU MB21PD-IAC-EXIT             RG800902
059208         MOVE 'SWIPED-RETURNS-REV-AMT'                            RG800902
059210                                 TO MB21WS-NAME                   RG800902
059212         MOVE MMFA-SWIPED-RETURNS-REV-AMT (X-MMFA)                RG800902
059214                                 TO MB21WS-17V0                   RG800902
059216         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059218                                 THRU MB21PD-IAC-EXIT             RG800902
059220         MOVE 'SALES-BELOW-FLOOR-AMT'                             RG800902
059222                                 TO MB21WS-NAME                   RG800902
059224         MOVE MMFA-SALES-BELOW-FLOOR-AMT (X-MMFA)                 RG800902
059226                                 TO MB21WS-17V0                   RG800902
059228         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059230                                 THRU MB21PD-IAC-EXIT             RG800902
059232         MOVE 'KEYED-AUTHS-NBR'  TO MB21WS-NAME                   RG800902
059300         MOVE MMFA-KEYED-AUTHS-NBR (X-MMFA)                       RG800902
059400                                 TO MB21WS-9V0                    RG800902
059500         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059600                                 THRU MB21PD-IAC-EXIT             RG800902
059610         MOVE 'SWIPED-AUTHS-NBR' TO MB21WS-NAME                   RG800902
059612         MOVE MMFA-SWIPED-AUTHS-NBR (X-MMFA)                      RG800902
059614                                 TO MB21WS-9V0                    RG800902
059616         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
059618                                 THRU MB21PD-IAC-EXIT             RG800902
059700         MOVE 'KEYED-SALES-NBR'  TO MB21WS-NAME                   RG800902
059800         MOVE MMFA-KEYED-SALES-NBR (X-MMFA)                       RG800902
059900                                 TO MB21WS-9V0                    RG800902
060000         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
060100                                 THRU MB21PD-IAC-EXIT             RG800902
060110         MOVE 'KEYED-SALES-REV-NBR'                               RG800902
060112                                 TO MB21WS-NAME                   RG800902
060114         MOVE MMFA-KEYED-SALES-REV-NBR (X-MMFA)                   RG800902
060116                                 TO MB21WS-9V0                    RG800902
060118         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
060120                                 THRU MB21PD-IAC-EXIT             RG800902
060122         MOVE 'KEYED-RETURNS-NBR'                                 RG800902
060124                                 TO MB21WS-NAME                   RG800902
060126         MOVE MMFA-KEYED-RETURNS-NBR (X-MMFA)                     RG800902
060128                                 TO MB21WS-9V0                    RG800902
060130         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
060132                                 THRU MB21PD-IAC-EXIT             RG800902
060134         MOVE 'KEYED-RETURNS-REV-NBR'                             RG800902
060136                                 TO MB21WS-NAME                   RG800902
060138         MOVE MMFA-KEYED-RETURNS-REV-NBR (X-MMFA)                 RG800902
060140                                 TO MB21WS-9V0                    RG800902
060142         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
060144                                 THRU MB21PD-IAC-EXIT             RG800902
060146         MOVE 'SWIPED-SALES-NBR' TO MB21WS-NAME                   RG800902
060148         MOVE MMFA-SWIPED-SALES-NBR (X-MMFA)                      RG800902
060150                                 TO MB21WS-9V0                    RG800902
060152         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
060154                                 THRU MB21PD-IAC-EXIT             RG800902
060156         MOVE 'SWIPED-SALES-REV-NBR'                              RG800902
060158                                 TO MB21WS-NAME                   RG800902
060160         MOVE MMFA-SWIPED-SALES-REV-NBR (X-MMFA)                  RG800902
060162                                 TO MB21WS-9V0                    RG800902
060164         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
060166                                 THRU MB21PD-IAC-EXIT             RG800902
060168         MOVE 'SWIPED-RETURNS-NBR'                                RG800902
060170                                 TO MB21WS-NAME                   RG800902
060172         MOVE MMFA-SWIPED-RETURNS-NBR (X-MMFA)                    RG800902
060174                                 TO MB21WS-9V0                    RG800902
060176         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
060178                                 THRU MB21PD-IAC-EXIT             RG800902
060180         MOVE 'SWIPED-RETURNS-REV-NBR'                            RG800902
060182                                 TO MB21WS-NAME                   RG800902
060184         MOVE MMFA-SWIPED-RETURNS-REV-NBR (X-MMFA)                RG800902
060186                                 TO MB21WS-9V0                    RG800902
060188         PERFORM MB21PD-INSERT-A-COLUMN                           RG800902
060190                                 THRU MB21PD-IAC-EXIT             RG800902
060200         MOVE 'USER-INP-NBR'     TO MB21WS-NAME
060300         MOVE MMFA-USER-INP-NBR (X-MMFA)
060400                                 TO MB21WS-9V0
060500         PERFORM MB21PD-INSERT-A-COLUMN
060600                                 THRU MB21PD-IAC-EXIT
060700         MOVE 'LOCAL-INP-NBR'    TO MB21WS-NAME
060800         MOVE MMFA-LOCAL-INP-NBR (X-MMFA)
060900                                 TO MB21WS-9V0
061000         PERFORM MB21PD-INSERT-A-COLUMN
061100                                 THRU MB21PD-IAC-EXIT
061200         MOVE 'ACH-NBR'          TO MB21WS-NAME
061300         MOVE MMFA-ACH-NBR (X-MMFA)
061400                                 TO MB21WS-9V0
061500         PERFORM MB21PD-INSERT-A-COLUMN
061600                                 THRU MB21PD-IAC-EXIT
061700         MOVE 'POS-1-CAP-NBR'    TO MB21WS-NAME
061800         MOVE MMFA-POS-1-CAP-NBR (X-MMFA)
061900                                 TO MB21WS-9V0
062000         PERFORM MB21PD-INSERT-A-COLUMN
062100                                 THRU MB21PD-IAC-EXIT
062200         MOVE 'POS-2-CAP-NBR'    TO MB21WS-NAME
062300         MOVE MMFA-POS-2-CAP-NBR (X-MMFA)
062400                                 TO MB21WS-9V0
062500         PERFORM MB21PD-INSERT-A-COLUMN
062600                                 THRU MB21PD-IAC-EXIT
062700         MOVE 'POS-3-CAP-NBR'    TO MB21WS-NAME
062800         MOVE MMFA-POS-3-CAP-NBR (X-MMFA)
062900                                 TO MB21WS-9V0
063000         PERFORM MB21PD-INSERT-A-COLUMN
063100                                 THRU MB21PD-IAC-EXIT 2 TIMES     RG800902
063200*                                                                 RG800902
063300*                                                                 RG800902
063400*                                                                 RG800902
063500*                                                                 RG800902
063600*                                                                 RG800902
063700*                                                                 RG800902
063800*                                                                 RG800902
063900*                                                                 RG800902
064000*                                                                 RG800902
064100*                                                                 RG800902
064200*                                                                 RG800902
064300*                                                                 RG800902
064400*                                                                 RG800902
064500*                                                                 RG800902
064600*                                                                 RG800902
064700*                                                                 RG800902
064800*                                                                 RG800902
064900*                                                                 RG800902
065000     END-PERFORM.
065100*
065200 B999-PRT-EXIT.
065300     EXIT.
065400*
065500 B200-PRINT-HEADER.
065600*
065700     MOVE 'HEADER RECORD (MMFA-)'
065800                                 TO MB21WS-NAME.
065900     PERFORM MB21PD-INSERT-A-COLUMN
066000                                 THRU MB21PD-IAC-EXIT.
066100*
066200     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
066300     MOVE 'ORG'                  TO MB21WS-NAME.
066400     MOVE MMFAIO-ORG             TO MB21WS-3V0.
066500     PERFORM MB21PD-INSERT-A-COLUMN
066600                                 THRU MB21PD-IAC-EXIT.
066700*
066800     MOVE 'MERCHANT NBR'         TO MB21WS-NAME.
066900     MOVE MMFAIO-MERCHANT        TO MB21WS-9V0.
067000     PERFORM MB21PD-INSERT-A-COLUMN
067100                                 THRU MB21PD-IAC-EXIT.
067200*
067300     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
067400     MOVE MMFAIO-DATE-STAMP      TO SS01WS-JULIAN.
067500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
067600     MOVE MMFAIO-DATE-STAMP      TO MB21WS-JULIAN.
067700     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
067800     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
067900     PERFORM MB21PD-INSERT-A-COLUMN
068000                                 THRU MB21PD-IAC-EXIT.
068100*
068200     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
068300     MOVE MMFAIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
068400     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
068500                                 THRU SS27PD-NET-EXIT.
068600     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
068700     PERFORM MB21PD-INSERT-A-COLUMN
068800                                 THRU MB21PD-IAC-EXIT.
068900*
069000     PERFORM MB21PD-PRINT-A-PAGE
069100                                 THRU MB21PD-PAP-EXIT.
069200*
069300 B200-PH-EXIT.
069400     EXIT.
069500/
069600* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
069700*                          COMMON ROUTINES                      *
069800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
069900*
070000     COPY SS02PD.
070100/
070200     COPY SS08PD.
070300/
070400     COPY SS16PD.
070500/
070600     COPY SS26PD.
070700/
070800     COPY SS27PD.
070900/
071000     COPY MB20PD.
071100/
071200     COPY MB21PD.
071300/
071400     COPY MB99PD.
071500/
071600     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
071700/
071800     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
071900/
072000     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
072100/
072200     COPY MB00PD REPLACING ==:MB00:== BY ==MMFA==.
