000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU940.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*        MBU940 - MERCHANT OUTGOING INTERCHANGE GROUP           *
000600*                 STATISTICS FILE (MMOG)                        *
000700*                                                               *
000800*****************************************************************
000900 ENVIRONMENT DIVISION.
001000 CONFIGURATION SECTION.
001100 SOURCE-COMPUTER.   IBM-4341.
001200 OBJECT-COMPUTER.   IBM-4341.
001300/
001400 INPUT-OUTPUT SECTION.
001500 FILE-CONTROL.
001600/
001700 DATA DIVISION.
001800 FILE SECTION.
001900 WORKING-STORAGE SECTION.
002000*
002100 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002200*
002300     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
002400/
002500     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002600/
002700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002800/
002900     COPY MMSCIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003200/
003300     COPY MMSCRL.
003400/
003500     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOG==.
003600/
003700     COPY MB00RB REPLACING ==:MB00:== BY ==MMOG==.
003800/
003900     COPY MMPARL REPLACING ==:MMPA:== BY ==MMOG==.
004000/
004100     COPY MBU999WS.
004200/
004300     COPY MB00WS.
004400/
004500     COPY MB20WS.
004600/
004700     COPY MB21WS.
004800/
004900     COPY MB99WS.
005000/
005100     COPY SS00WS.
005200/
005300     COPY SS01WS.
005400/
005500     COPY SS02WS.
005600/
005700 01  WS-WORK-AREAS.
005800     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU940'.
005900     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006000*
006100     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
006200         88  WS-BACKUP                       VALUE 'BACKUP'.
006300         88  WS-MASTER                       VALUE 'MASTER'.
006400*
006500     03  WS-MMOG-BEG-KEY.
006600         05  WS-MMOG-BEG-KEY-X.
006700             07  WS-BEG-ORG-CHAIN.
006800                 09  WS-BEG-ORG
006900                             PIC  9(03).
007000                 09  WS-BEG-CHAIN
007100                             PIC  9(09).
007200             07  WS-BEG-REC-TYPE
007300                             PIC  9(01).
007400             07  WS-BEG-PRODUCT
007500                             PIC  9(02).
007600             07  WS-BEG-QUAL-LEVEL
007700                             PIC  9(02).
007800         05  WS-BEG-LOGIC-MODULE
007900                             PIC  9(03)      VALUE ZEROES.
008000*
008100     03  WS-MMOG-END-KEY.
008200         05  WS-MMOG-END-KEY-X.
008300             07  WS-END-ORG-CHAIN.
008400                 09  WS-END-ORG
008500                             PIC  9(03).
008600                 09  WS-END-CHAIN
008700                             PIC  9(09).
008800             07  WS-END-REC-TYPE
008900                             PIC  9(01).
009000             07  WS-END-PRODUCT
009100                             PIC  9(02).
009200             07  WS-END-QUAL-LEVEL
009300                             PIC  9(02).
009400         05  WS-END-LOGIC-MODULE
009500                             PIC  9(03)      VALUE 999.
009600*
009700     03  WS-TOTALS-DESC-AREA.
009800         05  WS-TOTALS-LIT-X.
009900             07  FILLER      PIC  X(40)      VALUE
010000                 'ROLLING 12 STATS, 1-MTH PRIOR (OCCUR 01)'.
010100             07  FILLER      PIC  X(40)      VALUE
010200                 'ROLLING 12 STATS, 2-MTH PRIOR (OCCUR 02)'.
010300             07  FILLER      PIC  X(40)      VALUE
010400                 'ROLLING 12 STATS, 3-MTH PRIOR (OCCUR 03)'.
010500             07  FILLER      PIC  X(40)      VALUE
010600                 'ROLLING 12 STATS, 4-MTH PRIOR (OCCUR 04)'.
010700             07  FILLER      PIC  X(40)      VALUE
010800                 'ROLLING 12 STATS, 5-MTH PRIOR (OCCUR 05)'.
010900             07  FILLER      PIC  X(40)      VALUE
011000                 'ROLLING 12 STATS, 6-MTH PRIOR (OCCUR 06)'.
011100             07  FILLER      PIC  X(40)      VALUE
011200                 'ROLLING 12 STATS, 7-MTH PRIOR (OCCUR 07)'.
011300             07  FILLER      PIC  X(40)      VALUE
011400                 'ROLLING 12 STATS, 8-MTH PRIOR (OCCUR 08)'.
011500             07  FILLER      PIC  X(40)      VALUE
011600                 'ROLLING 12 STATS, 9-MTH PRIOR (OCCUR 09)'.
011700             07  FILLER      PIC  X(40)      VALUE
011800                 'ROLLING 12 STATS,10-MTH PRIOR (OCCUR 10)'.
011900             07  FILLER      PIC  X(40)      VALUE
012000                 'ROLLING 12 STATS,11-MTH PRIOR (OCCUR 11)'.
012100             07  FILLER      PIC  X(40)      VALUE
012200                 'ROLLING 12 STATS,12-MTH PRIOR (OCCUR 12)'.
012300             07  FILLER      PIC  X(40)      VALUE
012400                 'CURRENT DAY STATS             (OCCUR 13)'.
012500             07  FILLER      PIC  X(40)      VALUE
012600                 'MONTH-TO-DATE STATS           (OCCUR 14)'.
012700             07  FILLER      PIC  X(40)      VALUE
012800                 'YEAR-TO-DATE STATS            (OCCUR 15)'.
012900             07  FILLER      PIC  X(40)      VALUE
013000                 'STATEMENT CYCLE-TO-DATE STATS (OCCUR 16)'.
013100             07  FILLER      PIC  X(40)      VALUE
013200                 'DISCOUNT-TO-DATE STATS        (OCCUR 17)'.
013300             07  FILLER      PIC  X(40)      VALUE
013400                 'PARTICIPATION-TO-DATE STATS   (OCCUR 18)'.
013500         05  WS-TOTALS-LIT-R REDEFINES WS-TOTALS-LIT-X.
013600             07  WS-TOTALS-LIT
013700                             PIC  X(40)      OCCURS 18 TIMES
013800                                             INDEXED BY
013900                                             X-WS-MMOG-INDEX.
014000*
014100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014200/
014300 PROCEDURE DIVISION.
014400*
014500 A000-DRIVER.
014600*
014700     MOVE 'MBU940'               TO SS02WS-ABEND-PROG-ID
014800                                    MBU999WS-PROGRAM-ID.
014900*
015000     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
015100*
015200     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
015300     MOVE 'T940'                 TO MB20WS-SH-INTERNAL-RPT-ID.
015400     MOVE 'OUTGOING INTERCHG GROUP STATS '
015500                                 TO MB20WS-SH-RPT-NAME.
015600     MOVE SPACES                 TO MB20WS-SH-LIT-1
015700                                    MB20WS-SH-LIT-5
015800                                    MB20WS-SH-L4
015900                                    MB20WS-SH-L5
016000                                    MB20WS-SH-L6.
016100     PERFORM MB21PD-PAP-RESET-INDEXES
016200                                 THRU MB21PD-PAP-EXIT.
016300*
016400 A100-OPEN-FILES.
016500*
016600     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
016700     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
016800     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
016900     SET MTCCRB-OPEN-INPUT       TO TRUE.
017000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
017100*
017200     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
017300     SET MMSCRB-OPEN-INPUT       TO TRUE.
017400     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
017500*
017600     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
017700     SET MMSCRB-READ-SEQ         TO TRUE.
017800     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
017900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
018000*
018100     IF  MMSCIO-HEADER
018200         NEXT SENTENCE
018300     ELSE
018400         PERFORM MB99PD-MISSING-HEADER-ABEND
018500            THRU MB99PD-MHA-EXIT.
018600*
018700     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
018800*
018900*
018910     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
019000     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
019100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
019200     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
019300     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
019400     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
019500                                 THRU SS27PD-NET-EXIT.
019600     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
019700*
019800     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
019900     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
020000     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
020100     MOVE 99                     TO MB20WS-LINE-LIMIT.
020200     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
020300     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
020500*
020600     MOVE 'O1OG'                 TO SS02WS-ABEND-LOCATION.
020700     SET MMOGRB-OPEN-INPUT       TO TRUE.
020800     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
020900*
021000     MOVE 'R1OG'                 TO SS02WS-ABEND-LOCATION.
021100     SET MMOGRB-READ-SEQ         TO TRUE.
021200     MOVE SS02WS-NO-RECORD-FOUND
021300                                 TO MMOGRB-PERM-STATUS-3.
021400     MOVE SS02WS-END-OF-FILE     TO MMOGRB-PERM-STATUS-4.
021500     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
021600     MOVE 'MMOG'                 TO MB99WS-FILE-ID.
021700*
021800     IF  MMOGIO-HEADER
021900         PERFORM B200-PRINT-HEADER
022000                                 THRU B200-PH-EXIT
022100     ELSE
022200         PERFORM MB99PD-MISSING-HEADER-ABEND
022300            THRU MB99PD-MHA-EXIT.
022400*
022500*
022600 A200-PROGRAM-CONTROL.
022700*
022800     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
022900     SET MTCCRB-READ-SEQ         TO TRUE.
023000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
023100*
023200     IF  SS02WS-FS-END-OF-FILE
023300         GO TO A400-CHECK-READ-SWITCH
023400     END-IF.
023500*
023600     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
023700         GO TO A200-PROGRAM-CONTROL
023800     END-IF.
023900*
024000     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
024100*
024200 A300-RANGE-CARD.
024300*
024400     MOVE 'Y'                    TO WS-CARD-READ-SW.
024500     INSPECT MTCC-MBU940-BEG-X   REPLACING ALL SPACE BY ZERO.
024600*
024700     IF  MTCC-MBU940-END-X IS EQUAL TO SPACES
024800         MOVE MTCC-MBU940-BEG-X  TO MTCC-MBU940-END-X
024900     END-IF.
025000*
025100     INSPECT MTCC-MBU940-END-X   REPLACING ALL SPACE BY ZERO.
025200*
025300     MOVE MTCC-MBU940-BEG-X      TO WS-MMOG-BEG-KEY-X.
025400*
025500     MOVE MTCC-MBU940-END-X      TO WS-MMOG-END-KEY-X.
025600*
025700     MOVE WS-MMOG-BEG-KEY        TO MMOGIO-KEY.
025800*
025900     MOVE 'S1OG'                 TO SS02WS-ABEND-LOCATION.
026000     SET  MMOGRB-START-GTE       TO TRUE.
026100     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
026200*
026300     IF  SS02WS-FS-NO-RECORD-FOUND
026400         GO TO A500-CONTROL-CARD-ERROR
026500     END-IF.
026600*
026700 A350-READ-NEXT.
026800*
026900     MOVE 'R2OG'                 TO SS02WS-ABEND-LOCATION.
027000     SET  MMOGRB-READ-SEQ        TO TRUE.
027100     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
027200*
027300     IF  SS02WS-FS-END-OF-FILE
027400         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
027500             GO TO A200-PROGRAM-CONTROL
027600         ELSE
027700             PERFORM MB21PD-PRINT-A-PAGE
027800                                 THRU MB21PD-PAP-EXIT
027900             GO TO A200-PROGRAM-CONTROL.
028000*
028100     IF  MMOGIO-KEY IS GREATER THAN WS-MMOG-END-KEY
028200         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
028300             GO TO A200-PROGRAM-CONTROL
028400         ELSE
028500             PERFORM MB21PD-PRINT-A-PAGE
028600                                 THRU MB21PD-PAP-EXIT
028700             GO TO A200-PROGRAM-CONTROL.
028800*
028900     IF  MMOGIO-HEADER
029000     OR  MMOGIO-TRAILER
029100         GO TO A350-READ-NEXT.
029200*
029300     MOVE MMOGIO-RECORD          TO MMOG-RECORD.
029400*
029500     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
029600     GO TO A350-READ-NEXT.
029700*
029800 A400-CHECK-READ-SWITCH.
029900*
030000     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
030100         MOVE '*** NO CONTROL CARDS ***'
030200                                 TO MB21WS-PP-COL44 (5 1)
030300         PERFORM MB21PD-PRINT-A-PAGE
030400                                 THRU MB21PD-PAP-EXIT.
030500*
030600     GO TO A600-CLOSE-FILES.
030700*
030800 A500-CONTROL-CARD-ERROR.
030900*
031000     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
031100     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
031200     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
031300     MOVE SPACE                  TO MB21WS-PP-LINE (4).
031400     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
031500     GO TO A200-PROGRAM-CONTROL.
031600*
031700 A600-CLOSE-FILES.
031800*
031900     MOVE 'C1OG'                 TO SS02WS-ABEND-LOCATION.
032000     SET MMOGRB-CLOSE            TO TRUE.
032100     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
032200*
032300     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
032400     SET MTCCRB-CLOSE            TO TRUE.
032500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
032600*
032700     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
032800     SET MMSCRB-CLOSE            TO TRUE.
032900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
033000*
033100     PERFORM MB20PD-CLOSE-PRINT-FILES
033200                                 THRU MB20PD-CPF-EXIT.
033300*
033400     STOP RUN.
033500/
033600 B100-PRT-BEGIN.
033700*
033800     MOVE '* OUTGOING INTERCHG GROUP STATS REC (MMOG) *'
033900                                 TO MB21WS-PRINT-WORK-AREA.
034000     PERFORM MB21PD-INSERT-A-COLUMN
034100                                 THRU MB21PD-IAC-EXIT.
034200*
034300     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
034400     MOVE 'ORG'                  TO MB21WS-NAME.
034500     MOVE MMOG-ORG               TO MB21WS-3V0.
034600     PERFORM MB21PD-INSERT-A-COLUMN
034700                                 THRU MB21PD-IAC-EXIT.
034800*
034900     MOVE 'CHAIN'                TO MB21WS-NAME.
035000     MOVE MMOG-ACCT              TO MB21WS-9V0.
035100     PERFORM MB21PD-INSERT-A-COLUMN
035200                                 THRU MB21PD-IAC-EXIT.
035300*
035400     MOVE 'REC-TYPE'             TO MB21WS-NAME.
035500     MOVE MMOG-REC-TYPE          TO MB21WS-1V0.
035600     PERFORM MB21PD-INSERT-A-COLUMN
035700                                 THRU MB21PD-IAC-EXIT.
035800*
035900     MOVE 'PRODUCT'              TO MB21WS-NAME.
036000     MOVE MMOG-PRODUCT           TO MB21WS-2V0.
036100     PERFORM MB21PD-INSERT-A-COLUMN
036200                                 THRU MB21PD-IAC-EXIT.
036300*
036400     MOVE 'QUAL-LEVEL'           TO MB21WS-NAME.
036500     MOVE MMOG-QUAL-LEVEL        TO MB21WS-2V0.
036600     PERFORM MB21PD-INSERT-A-COLUMN
036700                                 THRU MB21PD-IAC-EXIT.
036800*
036900     MOVE 'LOGIC-MODULE'         TO MB21WS-NAME.
037000     MOVE MMOG-LOGIC-MODULE      TO MB21WS-3V0.
037100     PERFORM MB21PD-INSERT-A-COLUMN
037200                                 THRU MB21PD-IAC-EXIT.
037300*
037400     MOVE 'REC-STATUS'           TO MB21WS-NAME.
037500     MOVE MMOG-REC-STATUS        TO MB21WS-1V0.
037600     PERFORM MB21PD-INSERT-A-COLUMN
037700                                 THRU MB21PD-IAC-EXIT 2 TIMES.
037800*
037900     MOVE '*--------- TOTALS DATA AREA -----------*'
038000                                 TO MB21WS-PRINT-WORK-AREA.
038100     PERFORM MB21PD-INSERT-A-COLUMN
038200                                 THRU MB21PD-IAC-EXIT.
038300*
038400     PERFORM
038500         VARYING X-MMOG FROM +1 BY +1
038600         UNTIL   X-MMOG IS GREATER THAN +18
038700         SET X-WS-MMOG-INDEX     TO X-MMOG
038800         MOVE WS-TOTALS-LIT (X-WS-MMOG-INDEX)
038900                                 TO MB21WS-PRINT-WORK-AREA
039000         PERFORM MB21PD-INSERT-A-COLUMN
039100                                 THRU MB21PD-IAC-EXIT
039200         MOVE 'NUMBER'           TO MB21WS-NAME
039300         MOVE MMOG-NBR (X-MMOG)  TO MB21WS-9V0
039400         PERFORM MB21PD-INSERT-A-COLUMN
039500                                 THRU MB21PD-IAC-EXIT
039600         MOVE 'AMOUNT'           TO MB21WS-NAME
039700         MOVE MMOG-AMT (X-MMOG)  TO MB21WS-17V0
039800         PERFORM MB21PD-INSERT-A-COLUMN
039900                                 THRU MB21PD-IAC-EXIT
040000     END-PERFORM.
040100*
040200     PERFORM MB21PD-INSERT-A-COLUMN
040300                                 THRU MB21PD-IAC-EXIT.
040400*
040500 B999-PRT-EXIT.
040600     EXIT.
040700*
040800 B200-PRINT-HEADER.
040900*
041000     MOVE 'HEADER RECORD (MMOG-)'
041100                                 TO MB21WS-NAME.
041200     PERFORM MB21PD-INSERT-A-COLUMN
041300                                 THRU MB21PD-IAC-EXIT.
041400*
041500     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
041600     MOVE 'ORG'                  TO MB21WS-NAME.
041700     MOVE MMOGIO-ORG             TO MB21WS-3V0.
041800     PERFORM MB21PD-INSERT-A-COLUMN
041900                                 THRU MB21PD-IAC-EXIT.
042000*
042100     MOVE 'CHAIN NBR'            TO MB21WS-NAME.
042200     MOVE MMOGIO-ACCT            TO MB21WS-9V0.
042300     PERFORM MB21PD-INSERT-A-COLUMN
042400                                 THRU MB21PD-IAC-EXIT.
042500*
042600     MOVE 'REC-TYPE'             TO MB21WS-NAME.
042700     MOVE MMOGIO-REC-TYPE        TO MB21WS-1V0.
042800     PERFORM MB21PD-INSERT-A-COLUMN
042900                                 THRU MB21PD-IAC-EXIT.
043000*
043100     MOVE 'PRODUCT'              TO MB21WS-NAME.
043200     MOVE MMOGIO-PRODUCT         TO MB21WS-2V0.
043300     PERFORM MB21PD-INSERT-A-COLUMN
043400                                 THRU MB21PD-IAC-EXIT.
043500*
043600     MOVE 'QUAL-LEVEL'           TO MB21WS-NAME.
043700     MOVE MMOGIO-QUAL-LEVEL      TO MB21WS-2V0.
043800     PERFORM MB21PD-INSERT-A-COLUMN
043900                                 THRU MB21PD-IAC-EXIT.
044000*
044100     MOVE 'LOGIC-MODULE'         TO MB21WS-NAME.
044200     MOVE MMOGIO-LOGIC-MODULE    TO MB21WS-3V0.
044300     PERFORM MB21PD-INSERT-A-COLUMN
044400                                 THRU MB21PD-IAC-EXIT.
044500*
044600     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
044700     MOVE MMOGIO-DATE-STAMP      TO SS01WS-JULIAN.
044800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
044900     MOVE MMOGIO-DATE-STAMP      TO MB21WS-JULIAN.
045000     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
045100     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
045200     PERFORM MB21PD-INSERT-A-COLUMN
045300                                 THRU MB21PD-IAC-EXIT.
045400*
045500     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
045600     MOVE MMOGIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
045700     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
045800                                 THRU SS27PD-NET-EXIT.
045900     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
046000     PERFORM MB21PD-INSERT-A-COLUMN
046100                                 THRU MB21PD-IAC-EXIT.
046200*
046300     PERFORM MB21PD-PRINT-A-PAGE
046400                                 THRU MB21PD-PAP-EXIT.
046500*
046600 B200-PH-EXIT.
046700     EXIT.
046800/
046900* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
047000*                          COMMON ROUTINES                      *
047100* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
047200*
047300     COPY SS02PD.
047400/
047500     COPY SS08PD.
047600/
047700     COPY SS16PD.
047800/
047900     COPY SS26PD.
048000/
048100     COPY SS27PD.
048200/
048300     COPY MB20PD.
048400/
048500     COPY MB21PD.
048600/
048700     COPY MB99PD.
048800/
048900     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
049000/
049100     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
049200/
049300     COPY MB00PD REPLACING ==:MB00:== BY ==MMOG==.
