000100****************************************************************
000200*                   MB21PD - PRINT ROUTINE                     *
000300*                                                              *
000400*    THIS ROUTINE IS THE OPTIONAL PRINT ROUTINE WHICH IS USED  *
000500*    FOR PRINTING THE UTILITY REPORTS.  IT USES THE MB20PD     *
000600*    PRINTING ROUTINES WHICH CALLS 'MBPRINT'.                  *
000700*    TO USE THIS ROUTINE YOU NEED TO COPY MB21WS IN THE        *
000800*    WORKING STORAGE SECTION OF YOUR PROGRAM THEN PERFORM      *
000900*    MB21PD-INSERT-A-COLUMN THRU MB21PD-IAC-EXIT.              *
001000****************************************************************
001100 MB21PD-INSERT-A-COLUMN SECTION.
001200*
001300 MB21PD-IAC-BEGIN.
001400*
001500     SET X-MB21WS-LIN            UP BY 1.
001600     IF  X-MB21WS-LIN IS GREATER THAN MB21WS-LIN-LIMIT
001700         SET X-MB21WS-LIN        TO 1
001800         SET X-MB21WS-COL        UP BY 1.
001900*
002000     IF  X-MB21WS-COL IS GREATER THAN MB21WS-COL-LIMIT
002100         PERFORM MB21PD-PRINT-A-PAGE
002200                                 THRU MB21PD-PAP-EXIT
002300         GO TO MB21PD-IAC-BEGIN.
002400*
002500     MOVE MB21WS-PRINT-WORK-AREA TO MB21WS-PP-COL44
002600                                 (X-MB21WS-LIN X-MB21WS-COL).
002700     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
002800*
002900 MB21PD-IAC-EXIT.
003000     EXIT.
003100*
003200* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
003300*     PRINT DOES NOT OCCUR UNTIL A FULL PAGE OF DATA OR         *
003400*     A CHANGE OF RECORD IS OBTAINED                            *
003500* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
003600 MB21PD-PRINT-A-PAGE SECTION.
003700*
003800 MB21PD-PAP-BEGIN.
003900*
004000     SET X-MB21WS-LIN            TO 1.
004100     MOVE 900                    TO MB20WS-LINE-COUNT.
004200     MOVE SPACES                 TO MB20WS-PRINT-LINE.
004300     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
004400     MOVE ZEROES                 TO MB20WS-LINE-COUNT.
004500*
004600 MB21PD-PAP-LOOP.
004700*
004800     IF  X-MB21WS-LIN IS GREATER THAN MB21WS-LIN-LIMIT
004900         GO TO MB21PD-PAP-RESET-INDEXES.
005000*
005100     MOVE MB21WS-PP-LINE (X-MB21WS-LIN) TO MB20WS-PRINT-LINE.
005200     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
005300     SET X-MB21WS-LIN            UP BY 1.
005400     GO TO MB21PD-PAP-LOOP.
005500*
005600 MB21PD-PAP-RESET-INDEXES.
005700*
005800     SET X-MB21WS-LIN            TO 1.
005900     SET X-MB21WS-LIN            DOWN BY 1.
006000     SET X-MB21WS-COL            TO 1.
006100     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
006200*
006300 MB21PD-PAP-EXIT.
006400     EXIT.
006500*
