000100****************************************************************
000200*              WORKING STORAGE COPYBOOK - MB21WS               *
000300*       REQUIRED BY PROCEDURE DIVISION COPYBOOK MB21PD         *
000400****************************************************************
000500*
000600 01  MB21WS-DATA-FIELDS.
000700     03  MB21WS-LIN-LIMIT    PIC S9(03)      COMP-3 VALUE +56.
000800     03  MB21WS-COL-LIMIT    PIC S9(01)      COMP-3 VALUE +3.
000900*
001000 01  MB21WS-PRINT-PAGE.
001100     03  MB21WS-PP-LINE                      OCCURS 88 TIMES
001200                                             INDEXED BY
001300                                             X-MB21WS-LIN.
001400         05  MB21WS-PP-COL44                 OCCURS 3 TIMES
001500                                             INDEXED BY
001600                                             X-MB21WS-COL
001700                             PIC  X(44).
001800*
001900 01  MB21WS-PRINT-WORK-AREA                  VALUE SPACES.
002000     03  MB21WS-DATA-NAME.
002100         05  MB21WS-NAME.
002200             07  FILLER      PIC  X(17).
002300             07  MB21WS-PARENS.
002400                 09  FILLER  PIC  X(01).
002500                 09  MB21WS-INDEX-1
002600                             PIC  9(02).
002700                 09  FILLER  PIC  X(01).
002800                 09  MB21WS-INDEX-2
002900                             PIC  9(01).
003000                 09  FILLER  PIC  X(01).
003100             07  FILLER      PIC  X(09).
003200         05  MB21WS-BYTE     PIC  X(12).
003300     03  MB21WS-DATA-DATES   REDEFINES MB21WS-DATA-NAME.
003400         05  FILLER          PIC  X(22).
003500         05  MB21WS-JULIAN   PIC  9999,999.
003600         05  FILLER          PIC  X(01).
003700         05  MB21WS-GREG     PIC  X(10).
003800         05  FILLER          PIC  X(03).
003900     03  MB21WS-DATA-DOLLARS REDEFINES MB21WS-DATA-NAME.
004000         05  FILLER          PIC  X(22).
004100         05  MB21WS-DOLLARS  PIC  ZZZ,ZZZ,ZZZ,ZZZ.99-.
004200         05  FILLER          PIC  X(03).
004300     03  MB21WS-DATA-NAME-ADDR
004400                             REDEFINES MB21WS-DATA-NAME.
004500         05  FILLER          PIC  X(14).
004600         05  MB21WS-NAME-ADDR
004700                             PIC  X(30).
004800     03  MB21WS-DATA-HOLIDAYS
004900                             REDEFINES MB21WS-DATA-NAME.
005000         05  MB21WS-HOLIDAY-LABEL
005100                             PIC  X(22).
005200         05  MB21WS-HOL-JULIAN
005300                             PIC  9999,999.
005400         05  FILLER          PIC  X(01).
005500         05  MB21WS-HOL-GREG PIC  X(10).
005600         05  FILLER          PIC  X(03).
005700     03  MB21WS-DATA-PHONE   REDEFINES MB21WS-DATA-NAME.
005800         05  FILLER          PIC  X(20).
005900         05  MB21WS-PHONE    PIC  X(20).
006000         05  FILLER          PIC  X(04).
006100     03  MB21WS-DATA-TR-NBR  REDEFINES MB21WS-DATA-NAME.
006200         05  FILLER          PIC  X(30).
006300         05  MB21WS-TR-NBR   PIC  9999,9999,9.
006400         05  FILLER          PIC  X(03).
006500     03  MB21WS-DATA-PAGE    REDEFINES MB21WS-DATA-NAME.
006600         05  FILLER          PIC  X(34).
006700         05  MB21WS-PAGE-LIT PIC  X(05).
006800         05  MB21WS-PAGE-NBR PIC  ZZZZ9.
006900*
007000     03  MB21WS-DATA-0V1     REDEFINES MB21WS-DATA-NAME.
007100         05  FILLER          PIC  X(38).
007200         05  MB21WS-0V1      PIC .9(01)-.
007300         05  FILLER          PIC  X(03).
007400     03  MB21WS-DATA-0V2     REDEFINES MB21WS-DATA-NAME.
007500         05  FILLER          PIC  X(37).
007600         05  MB21WS-0V2      PIC .9(02)-.
007700         05  FILLER          PIC  X(03).
007800     03  MB21WS-DATA-0V3     REDEFINES MB21WS-DATA-NAME.
007900         05  FILLER          PIC  X(36).
008000         05  MB21WS-0V3      PIC .9(03)-.
008100         05  FILLER          PIC  X(03).
008200     03  MB21WS-DATA-0V4     REDEFINES MB21WS-DATA-NAME.
008300         05  FILLER          PIC  X(35).
008400         05  MB21WS-0V4      PIC .9(04)-.
008500         05  FILLER          PIC  X(03).
008600     03  MB21WS-DATA-0V5     REDEFINES MB21WS-DATA-NAME.
008700         05  FILLER          PIC  X(34).
008800         05  MB21WS-0V5      PIC .9(05)-.
008900         05  FILLER          PIC  X(03).
009000     03  MB21WS-DATA-0V6     REDEFINES MB21WS-DATA-NAME.
009100         05  FILLER          PIC  X(33).
009200         05  MB21WS-0V6      PIC .9(06)-.
009300         05  FILLER          PIC  X(03).
009400     03  MB21WS-DATA-0V7     REDEFINES MB21WS-DATA-NAME.
009500         05  FILLER          PIC  X(32).
009600         05  MB21WS-0V7      PIC .9(07)-.
009700         05  FILLER          PIC  X(03).
009800     03  MB21WS-DATA-0V17    REDEFINES MB21WS-DATA-NAME.
009900         05  FILLER          PIC  X(22).
010000         05  MB21WS-0V17     PIC .9(17)-.
010100         05  FILLER          PIC  X(03).
010200*
010300     03  MB21WS-DATA-1V0     REDEFINES MB21WS-DATA-NAME.
010400         05  FILLER          PIC  X(39).
010500         05  MB21WS-1V0      PIC  9(01)-.
010600         05  FILLER          PIC  X(03).
010700     03  MB21WS-DATA-1V1     REDEFINES MB21WS-DATA-NAME.
010800         05  FILLER          PIC  X(37).
010900         05  MB21WS-1V1      PIC  Z.9(01)-.
011000         05  FILLER          PIC  X(03).
011100     03  MB21WS-DATA-1V2     REDEFINES MB21WS-DATA-NAME.
011200         05  FILLER          PIC  X(36).
011300         05  MB21WS-1V2      PIC  Z.9(02)-.
011400         05  FILLER          PIC  X(03).
011500     03  MB21WS-DATA-1V3     REDEFINES MB21WS-DATA-NAME.
011600         05  FILLER          PIC  X(35).
011700         05  MB21WS-1V3      PIC  Z.9(03)-.
011800         05  FILLER          PIC  X(03).
011900     03  MB21WS-DATA-1V4     REDEFINES MB21WS-DATA-NAME.
012000         05  FILLER          PIC  X(34).
012100         05  MB21WS-1V4      PIC  Z.9(04)-.
012200         05  FILLER          PIC  X(03).
012300     03  MB21WS-DATA-1V5     REDEFINES MB21WS-DATA-NAME.
012400         05  FILLER          PIC  X(33).
012500         05  MB21WS-1V5      PIC  Z.9(05)-.
012600         05  FILLER          PIC  X(03).
012700     03  MB21WS-DATA-1V6     REDEFINES MB21WS-DATA-NAME.
012800         05  FILLER          PIC  X(32).
012900         05  MB21WS-1V6      PIC  Z.9(06)-.
013000         05  FILLER          PIC  X(03).
013100     03  MB21WS-DATA-1V7     REDEFINES MB21WS-DATA-NAME.
013200         05  FILLER          PIC  X(31).
013300         05  MB21WS-1V7      PIC  Z.9(07)-.
013400         05  FILLER          PIC  X(03).
013500*
013600     03  MB21WS-DATA-2V0     REDEFINES MB21WS-DATA-NAME.
013700         05  FILLER          PIC  X(38).
013800         05  MB21WS-2V0      PIC  9(02)-.
013900         05  FILLER          PIC  X(03).
014000     03  MB21WS-DATA-2V1     REDEFINES MB21WS-DATA-NAME.
014100         05  FILLER          PIC  X(36).
014200         05  MB21WS-2V1      PIC  ZZ.9(01)-.
014300         05  FILLER          PIC  X(03).
014400     03  MB21WS-DATA-2V2     REDEFINES MB21WS-DATA-NAME.
014500         05  FILLER          PIC  X(35).
014600         05  MB21WS-2V2      PIC  ZZ.9(02)-.
014700         05  FILLER          PIC  X(03).
014800     03  MB21WS-DATA-2V3     REDEFINES MB21WS-DATA-NAME.
014900         05  FILLER          PIC  X(34).
015000         05  MB21WS-2V3      PIC  ZZ.9(03)-.
015100         05  FILLER          PIC  X(03).
015200     03  MB21WS-DATA-2V4     REDEFINES MB21WS-DATA-NAME.
015300         05  FILLER          PIC  X(33).
015400         05  MB21WS-2V4      PIC  ZZ.9(04)-.
015500         05  FILLER          PIC  X(03).
015600     03  MB21WS-DATA-2V5     REDEFINES MB21WS-DATA-NAME.
015700         05  FILLER          PIC  X(32).
015800         05  MB21WS-2V5      PIC  ZZ.9(05)-.
015900         05  FILLER          PIC  X(03).
016000     03  MB21WS-DATA-2V6     REDEFINES MB21WS-DATA-NAME.
016100         05  FILLER          PIC  X(31).
016200         05  MB21WS-2V6      PIC  ZZ.9(06)-.
016300         05  FILLER          PIC  X(03).
016400     03  MB21WS-DATA-2V7     REDEFINES MB21WS-DATA-NAME.
016500         05  FILLER          PIC  X(30).
016600         05  MB21WS-2V7      PIC  ZZ.9(07)-.
016700         05  FILLER          PIC  X(03).
016800*
016900     03  MB21WS-DATA-3V0     REDEFINES MB21WS-DATA-NAME.
017000         05  FILLER          PIC  X(37).
017100         05  MB21WS-3V0      PIC  9(03)-.
017200         05  FILLER          PIC  X(03).
017300     03  MB21WS-DATA-3V1     REDEFINES MB21WS-DATA-NAME.
017400         05  FILLER          PIC  X(35).
017500         05  MB21WS-3V1      PIC  Z(03).9(01)-.
017600         05  FILLER          PIC  X(03).
017700     03  MB21WS-DATA-3V2     REDEFINES MB21WS-DATA-NAME.
017800         05  FILLER          PIC  X(34).
017900         05  MB21WS-3V2      PIC  Z(03).9(02)-.
018000         05  FILLER          PIC  X(03).
018100     03  MB21WS-DATA-3V3     REDEFINES MB21WS-DATA-NAME.
018200         05  FILLER          PIC  X(33).
018300         05  MB21WS-3V3      PIC  Z(03).9(03)-.
018400         05  FILLER          PIC  X(03).
018500     03  MB21WS-DATA-3V4     REDEFINES MB21WS-DATA-NAME.
018600         05  FILLER          PIC  X(32).
018700         05  MB21WS-3V4      PIC  Z(03).9(04)-.
018800         05  FILLER          PIC  X(03).
018900     03  MB21WS-DATA-3V5     REDEFINES MB21WS-DATA-NAME.
019000         05  FILLER          PIC  X(31).
019100         05  MB21WS-3V5      PIC  Z(03).9(05)-.
019200         05  FILLER          PIC  X(03).
019300     03  MB21WS-DATA-3V6     REDEFINES MB21WS-DATA-NAME.
019400         05  FILLER          PIC  X(30).
019500         05  MB21WS-3V6      PIC  Z(03).9(06)-.
019600         05  FILLER          PIC  X(03).
019700     03  MB21WS-DATA-3V7     REDEFINES MB21WS-DATA-NAME.
019800         05  FILLER          PIC  X(29).
019900         05  MB21WS-3V7      PIC  Z(03).9(07)-.
020000         05  FILLER          PIC  X(03).
020100*
020200     03  MB21WS-DATA-4V0     REDEFINES MB21WS-DATA-NAME.
020300         05  FILLER          PIC  X(36).
020400         05  MB21WS-4V0      PIC  9(04)-.
020500         05  FILLER          PIC  X(03).
020600     03  MB21WS-DATA-4V1     REDEFINES MB21WS-DATA-NAME.
020700         05  FILLER          PIC  X(34).
020800         05  MB21WS-4V1      PIC  Z(04).9(01)-.
020900         05  FILLER          PIC  X(03).
021000     03  MB21WS-DATA-4V2     REDEFINES MB21WS-DATA-NAME.
021100         05  FILLER          PIC  X(33).
021200         05  MB21WS-4V2      PIC  Z(04).9(02)-.
021300         05  FILLER          PIC  X(03).
021400     03  MB21WS-DATA-4V3     REDEFINES MB21WS-DATA-NAME.
021500         05  FILLER          PIC  X(32).
021600         05  MB21WS-4V3      PIC  Z(04).9(03)-.
021700         05  FILLER          PIC  X(03).
021800     03  MB21WS-DATA-4V4     REDEFINES MB21WS-DATA-NAME.
021900         05  FILLER          PIC  X(31).
022000         05  MB21WS-4V4      PIC  Z(04).9(04)-.
022100         05  FILLER          PIC  X(03).
022200     03  MB21WS-DATA-4V5     REDEFINES MB21WS-DATA-NAME.
022300         05  FILLER          PIC  X(30).
022400         05  MB21WS-4V5      PIC  Z(04).9(05)-.
022500         05  FILLER          PIC  X(03).
022600     03  MB21WS-DATA-4V6     REDEFINES MB21WS-DATA-NAME.
022700         05  FILLER          PIC  X(29).
022800         05  MB21WS-4V6      PIC  Z(04).9(06)-.
022900         05  FILLER          PIC  X(03).
023000     03  MB21WS-DATA-4V7     REDEFINES MB21WS-DATA-NAME.
023100         05  FILLER          PIC  X(28).
023200         05  MB21WS-4V7      PIC  Z(04).9(07)-.
023300         05  FILLER          PIC  X(03).
023400*
023500     03  MB21WS-DATA-5V0     REDEFINES MB21WS-DATA-NAME.
023600         05  FILLER          PIC  X(35).
023700         05  MB21WS-5V0      PIC  9(05)-.
023800         05  FILLER          PIC  X(03).
023900     03  MB21WS-DATA-5V1     REDEFINES MB21WS-DATA-NAME.
024000         05  FILLER          PIC  X(33).
024100         05  MB21WS-5V1      PIC  Z(05).9(01)-.
024200         05  FILLER          PIC  X(03).
024300     03  MB21WS-DATA-5V2     REDEFINES MB21WS-DATA-NAME.
024400         05  FILLER          PIC  X(32).
024500         05  MB21WS-5V2      PIC  Z(05).9(02)-.
024600         05  FILLER          PIC  X(03).
024700     03  MB21WS-DATA-5V3     REDEFINES MB21WS-DATA-NAME.
024800         05  FILLER          PIC  X(31).
024900         05  MB21WS-5V3      PIC  Z(05).9(03)-.
025000         05  FILLER          PIC  X(03).
025100     03  MB21WS-DATA-5V4     REDEFINES MB21WS-DATA-NAME.
025200         05  FILLER          PIC  X(30).
025300         05  MB21WS-5V4      PIC  Z(05).9(04)-.
025400         05  FILLER          PIC  X(03).
025500     03  MB21WS-DATA-5V5     REDEFINES MB21WS-DATA-NAME.
025600         05  FILLER          PIC  X(29).
025700         05  MB21WS-5V5      PIC  Z(05).9(05)-.
025800         05  FILLER          PIC  X(03).
025900     03  MB21WS-DATA-5V6     REDEFINES MB21WS-DATA-NAME.
026000         05  FILLER          PIC  X(28).
026100         05  MB21WS-5V6      PIC  Z(05).9(06)-.
026200         05  FILLER          PIC  X(03).
026300     03  MB21WS-DATA-5V7     REDEFINES MB21WS-DATA-NAME.
026400         05  FILLER          PIC  X(27).
026500         05  MB21WS-5V7      PIC  Z(05).9(07)-.
026600         05  FILLER          PIC  X(03).
026700*
026800     03  MB21WS-DATA-6V0     REDEFINES MB21WS-DATA-NAME.
026900         05  FILLER          PIC  X(34).
027000         05  MB21WS-6V0      PIC  9(06)-.
027100         05  FILLER          PIC  X(03).
027200     03  MB21WS-DATA-6V1     REDEFINES MB21WS-DATA-NAME.
027300         05  FILLER          PIC  X(32).
027400         05  MB21WS-6V1      PIC  Z(06).9(01)-.
027500         05  FILLER          PIC  X(03).
027600     03  MB21WS-DATA-6V2     REDEFINES MB21WS-DATA-NAME.
027700         05  FILLER          PIC  X(31).
027800         05  MB21WS-6V2      PIC  Z(06).9(02)-.
027900         05  FILLER          PIC  X(03).
028000     03  MB21WS-DATA-6V3     REDEFINES MB21WS-DATA-NAME.
028100         05  FILLER          PIC  X(30).
028200         05  MB21WS-6V3      PIC  Z(06).9(03)-.
028300         05  FILLER          PIC  X(03).
028400     03  MB21WS-DATA-6V4     REDEFINES MB21WS-DATA-NAME.
028500         05  FILLER          PIC  X(29).
028600         05  MB21WS-6V4      PIC  Z(06).9(04)-.
028700         05  FILLER          PIC  X(03).
028800     03  MB21WS-DATA-6V5     REDEFINES MB21WS-DATA-NAME.
028900         05  FILLER          PIC  X(28).
029000         05  MB21WS-6V5      PIC  Z(06).9(05)-.
029100         05  FILLER          PIC  X(03).
029200     03  MB21WS-DATA-6V6     REDEFINES MB21WS-DATA-NAME.
029300         05  FILLER          PIC  X(27).
029400         05  MB21WS-6V6      PIC  Z(06).9(06)-.
029500         05  FILLER          PIC  X(03).
029600     03  MB21WS-DATA-6V7     REDEFINES MB21WS-DATA-NAME.
029700         05  FILLER          PIC  X(26).
029800         05  MB21WS-6V7      PIC  Z(06).9(07)-.
029900         05  FILLER          PIC  X(03).
030000*
030100     03  MB21WS-DATA-7V0     REDEFINES MB21WS-DATA-NAME.
030200         05  FILLER          PIC  X(33).
030300         05  MB21WS-7V0      PIC  9(07)-.
030400         05  FILLER          PIC  X(03).
030500     03  MB21WS-DATA-7V1     REDEFINES MB21WS-DATA-NAME.
030600         05  FILLER          PIC  X(31).
030700         05  MB21WS-7V1      PIC  Z(07).9(01)-.
030800         05  FILLER          PIC  X(03).
030900     03  MB21WS-DATA-7V2     REDEFINES MB21WS-DATA-NAME.
031000         05  FILLER          PIC  X(30).
031100         05  MB21WS-7V2      PIC  Z(07).9(02)-.
031200         05  FILLER          PIC  X(03).
031300     03  MB21WS-DATA-7V3     REDEFINES MB21WS-DATA-NAME.
031400         05  FILLER          PIC  X(29).
031500         05  MB21WS-7V3      PIC  Z(07).9(03)-.
031600         05  FILLER          PIC  X(03).
031700     03  MB21WS-DATA-7V4     REDEFINES MB21WS-DATA-NAME.
031800         05  FILLER          PIC  X(28).
031900         05  MB21WS-7V4      PIC  Z(07).9(04)-.
032000         05  FILLER          PIC  X(03).
032100     03  MB21WS-DATA-7V5     REDEFINES MB21WS-DATA-NAME.
032200         05  FILLER          PIC  X(27).
032300         05  MB21WS-7V5      PIC  Z(07).9(05)-.
032400         05  FILLER          PIC  X(03).
032500     03  MB21WS-DATA-7V6     REDEFINES MB21WS-DATA-NAME.
032600         05  FILLER          PIC  X(26).
032700         05  MB21WS-7V6      PIC  Z(07).9(06)-.
032800         05  FILLER          PIC  X(03).
032900     03  MB21WS-DATA-7V7     REDEFINES MB21WS-DATA-NAME.
033000         05  FILLER          PIC  X(25).
033100         05  MB21WS-7V7      PIC  Z(07).9(07)-.
033200         05  FILLER          PIC  X(03).
033300*
033400     03  MB21WS-DATA-8V0     REDEFINES MB21WS-DATA-NAME.
033500         05  FILLER          PIC  X(32).
033600         05  MB21WS-8V0      PIC  9(08)-.
033700         05  FILLER          PIC  X(03).
033800     03  MB21WS-DATA-8V1     REDEFINES MB21WS-DATA-NAME.
033900         05  FILLER          PIC  X(30).
034000         05  MB21WS-8V1      PIC  Z(08).9(01)-.
034100         05  FILLER          PIC  X(03).
034200     03  MB21WS-DATA-8V2     REDEFINES MB21WS-DATA-NAME.
034300         05  FILLER          PIC  X(29).
034400         05  MB21WS-8V2      PIC  Z(08).9(02)-.
034500         05  FILLER          PIC  X(03).
034600     03  MB21WS-DATA-8V3     REDEFINES MB21WS-DATA-NAME.
034700         05  FILLER          PIC  X(28).
034800         05  MB21WS-8V3      PIC  Z(08).9(03)-.
034900         05  FILLER          PIC  X(03).
035000     03  MB21WS-DATA-8V4     REDEFINES MB21WS-DATA-NAME.
035100         05  FILLER          PIC  X(27).
035200         05  MB21WS-8V4      PIC  Z(08).9(04)-.
035300         05  FILLER          PIC  X(03).
035400     03  MB21WS-DATA-8V5     REDEFINES MB21WS-DATA-NAME.
035500         05  FILLER          PIC  X(26).
035600         05  MB21WS-8V5      PIC  Z(08).9(05)-.
035700         05  FILLER          PIC  X(03).
035800     03  MB21WS-DATA-8V6     REDEFINES MB21WS-DATA-NAME.
035900         05  FILLER          PIC  X(25).
036000         05  MB21WS-8V6      PIC  Z(08).9(06)-.
036100         05  FILLER          PIC  X(03).
036200     03  MB21WS-DATA-8V7     REDEFINES MB21WS-DATA-NAME.
036300         05  FILLER          PIC  X(24).
036400         05  MB21WS-8V7      PIC  Z(08).9(07)-.
036500         05  FILLER          PIC  X(03).
036600*
036700     03  MB21WS-DATA-9V0     REDEFINES MB21WS-DATA-NAME.
036800         05  FILLER          PIC  X(31).
036900         05  MB21WS-9V0      PIC  9(09)-.
037000         05  FILLER          PIC  X(03).
037100     03  MB21WS-DATA-9V0Z    REDEFINES MB21WS-DATA-NAME.
037200         05  FILLER          PIC  X(29).
037300         05  MB21WS-9V0Z     PIC  ZZZ,ZZZ,ZZ9-.
037400         05  FILLER          PIC  X(03).
037500     03  MB21WS-DATA-9V1     REDEFINES MB21WS-DATA-NAME.
037600         05  FILLER          PIC  X(29).
037700         05  MB21WS-9V1      PIC  Z(09).9(01)-.
037800         05  FILLER          PIC  X(03).
037900     03  MB21WS-DATA-9V2     REDEFINES MB21WS-DATA-NAME.
038000         05  FILLER          PIC  X(28).
038100         05  MB21WS-9V2      PIC  Z(09).9(02)-.
038200         05  FILLER          PIC  X(03).
038300     03  MB21WS-DATA-9V3     REDEFINES MB21WS-DATA-NAME.
038400         05  FILLER          PIC  X(27).
038500         05  MB21WS-9V3      PIC  Z(09).9(03)-.
038600         05  FILLER          PIC  X(03).
038700     03  MB21WS-DATA-9V4     REDEFINES MB21WS-DATA-NAME.
038800         05  FILLER          PIC  X(26).
038900         05  MB21WS-9V4      PIC  Z(09).9(04)-.
039000         05  FILLER          PIC  X(03).
039100     03  MB21WS-DATA-9V5     REDEFINES MB21WS-DATA-NAME.
039200         05  FILLER          PIC  X(25).
039300         05  MB21WS-9V5      PIC  Z(09).9(05)-.
039400         05  FILLER          PIC  X(03).
039500     03  MB21WS-DATA-9V6     REDEFINES MB21WS-DATA-NAME.
039600         05  FILLER          PIC  X(24).
039700         05  MB21WS-9V6      PIC  Z(09).9(06)-.
039800         05  FILLER          PIC  X(03).
039900     03  MB21WS-DATA-9V7     REDEFINES MB21WS-DATA-NAME.
040000         05  FILLER          PIC  X(23).
040100         05  MB21WS-9V7      PIC  Z(09).9(07)-.
040200         05  FILLER          PIC  X(03).
040300*
040400     03  MB21WS-DATA-10V0    REDEFINES MB21WS-DATA-NAME.
040500         05  FILLER          PIC  X(30).
040600         05  MB21WS-10V0     PIC  9(10)-.
040700         05  FILLER          PIC  X(03).
040800     03  MB21WS-DATA-10V1    REDEFINES MB21WS-DATA-NAME.
040900         05  FILLER          PIC  X(28).
041000         05  MB21WS-10V1     PIC  Z(10).9(01)-.
041100         05  FILLER          PIC  X(03).
041200     03  MB21WS-DATA-10V2    REDEFINES MB21WS-DATA-NAME.
041300         05  FILLER          PIC  X(27).
041400         05  MB21WS-10V2     PIC  Z(10).9(02)-.
041500         05  FILLER          PIC  X(03).
041600     03  MB21WS-DATA-10V3    REDEFINES MB21WS-DATA-NAME.
041700         05  FILLER          PIC  X(26).
041800         05  MB21WS-10V3     PIC  Z(10).9(03)-.
041900         05  FILLER          PIC  X(03).
042000     03  MB21WS-DATA-10V4    REDEFINES MB21WS-DATA-NAME.
042100         05  FILLER          PIC  X(25).
042200         05  MB21WS-10V4     PIC  Z(10).9(04)-.
042300         05  FILLER          PIC  X(03).
042400     03  MB21WS-DATA-10V5    REDEFINES MB21WS-DATA-NAME.
042500         05  FILLER          PIC  X(24).
042600         05  MB21WS-10V5     PIC  Z(10).9(05)-.
042700         05  FILLER          PIC  X(03).
042800     03  MB21WS-DATA-10V6    REDEFINES MB21WS-DATA-NAME.
042900         05  FILLER          PIC  X(23).
043000         05  MB21WS-10V6     PIC  Z(10).9(06)-.
043100         05  FILLER          PIC  X(03).
043200     03  MB21WS-DATA-10V7    REDEFINES MB21WS-DATA-NAME.
043300         05  FILLER          PIC  X(22).
043400         05  MB21WS-10V7     PIC  Z(10).9(07)-.
043500         05  FILLER          PIC  X(03).
043600*
043700     03  MB21WS-DATA-11V0    REDEFINES MB21WS-DATA-NAME.
043800         05  FILLER          PIC  X(29).
043900         05  MB21WS-11V0     PIC  9(11)-.
044000         05  FILLER          PIC  X(03).
044100     03  MB21WS-DATA-11V1    REDEFINES MB21WS-DATA-NAME.
044200         05  FILLER          PIC  X(27).
044300         05  MB21WS-11V1     PIC  Z(11).9(01)-.
044400         05  FILLER          PIC  X(03).
044500     03  MB21WS-DATA-11V2    REDEFINES MB21WS-DATA-NAME.
044600         05  FILLER          PIC  X(26).
044700         05  MB21WS-11V2     PIC  Z(11).9(02)-.
044800         05  FILLER          PIC  X(03).
044900     03  MB21WS-DATA-11V3    REDEFINES MB21WS-DATA-NAME.
045000         05  FILLER          PIC  X(25).
045100         05  MB21WS-11V3     PIC  Z(11).9(03)-.
045200         05  FILLER          PIC  X(03).
045300     03  MB21WS-DATA-11V4    REDEFINES MB21WS-DATA-NAME.
045400         05  FILLER          PIC  X(24).
045500         05  MB21WS-11V4     PIC  Z(11).9(04)-.
045600         05  FILLER          PIC  X(03).
045700     03  MB21WS-DATA-11V5    REDEFINES MB21WS-DATA-NAME.
045800         05  FILLER          PIC  X(23).
045900         05  MB21WS-11V5     PIC  Z(11).9(05)-.
046000         05  FILLER          PIC  X(03).
046100     03  MB21WS-DATA-11V6    REDEFINES MB21WS-DATA-NAME.
046200         05  FILLER          PIC  X(22).
046300         05  MB21WS-11V6     PIC  Z(11).9(06)-.
046400         05  FILLER          PIC  X(03).
046500     03  MB21WS-DATA-11V7    REDEFINES MB21WS-DATA-NAME.
046600         05  FILLER          PIC  X(21).
046700         05  MB21WS-11V7     PIC  Z(11).9(07)-.
046800         05  FILLER          PIC  X(03).
046900*
047000     03  MB21WS-DATA-12V0    REDEFINES MB21WS-DATA-NAME.
047100         05  FILLER          PIC  X(28).
047200         05  MB21WS-12V0     PIC  9(12)-.
047300         05  FILLER          PIC  X(03).
047400     03  MB21WS-DATA-12V1    REDEFINES MB21WS-DATA-NAME.
047500         05  FILLER          PIC  X(26).
047600         05  MB21WS-12V1     PIC  Z(12).9(01)-.
047700         05  FILLER          PIC  X(03).
047800     03  MB21WS-DATA-12V2    REDEFINES MB21WS-DATA-NAME.
047900         05  FILLER          PIC  X(25).
048000         05  MB21WS-12V2     PIC  Z(12).9(02)-.
048100         05  FILLER          PIC  X(03).
048200     03  MB21WS-DATA-12V3    REDEFINES MB21WS-DATA-NAME.
048300         05  FILLER          PIC  X(24).
048400         05  MB21WS-12V3     PIC  Z(12).9(03)-.
048500         05  FILLER          PIC  X(03).
048600     03  MB21WS-DATA-12V4    REDEFINES MB21WS-DATA-NAME.
048700         05  FILLER          PIC  X(23).
048800         05  MB21WS-12V4     PIC  Z(12).9(04)-.
048900         05  FILLER          PIC  X(03).
049000     03  MB21WS-DATA-12V5    REDEFINES MB21WS-DATA-NAME.
049100         05  FILLER          PIC  X(22).
049200         05  MB21WS-12V5     PIC  Z(12).9(05)-.
049300         05  FILLER          PIC  X(03).
049400     03  MB21WS-DATA-12V6    REDEFINES MB21WS-DATA-NAME.
049500         05  FILLER          PIC  X(21).
049600         05  MB21WS-12V6     PIC  Z(12).9(06)-.
049700         05  FILLER          PIC  X(03).
049800     03  MB21WS-DATA-13V0    REDEFINES MB21WS-DATA-NAME.
049900         05  FILLER          PIC  X(27).
050000         05  MB21WS-13V0     PIC  9(13)-.
050100         05  FILLER          PIC  X(03).
050200     03  MB21WS-DATA-13V2    REDEFINES MB21WS-DATA-NAME.
050300         05  FILLER          PIC  X(24).
050400         05  MB21WS-13V2     PIC  Z(13).9(02)-.
050500         05  FILLER          PIC  X(03).
050600     03  MB21WS-DATA-14V3    REDEFINES MB21WS-DATA-NAME.
050700         05  FILLER          PIC  X(22).
050800         05  MB21WS-14V3     PIC  Z(14).9(03)-.
050900         05  FILLER          PIC  X(03).
051000     03  MB21WS-DATA-15V2    REDEFINES MB21WS-DATA-NAME.
051100         05  FILLER          PIC  X(22).
051200         05  MB21WS-15V2     PIC  Z(15).9(02)-.
051300         05  FILLER          PIC  X(03).
051400     03  MB21WS-DATA-17V0    REDEFINES MB21WS-DATA-NAME.
051500         05  FILLER          PIC  X(23).
051600         05  MB21WS-17V0     PIC  9(17)-.
051700         05  FILLER          PIC  X(03).
051800*
051900     03  MB21WS-DATA-Z16     REDEFINES MB21WS-DATA-NAME.
052000         05  FILLER          PIC  X(24).
052100         05  MB21WS-Z16      PIC  ZZZZZZZZZZZZZZZ9-.
052200         05  FILLER          PIC  X(03).
052300*
052400     03  MB21WS-DATA-X40     REDEFINES MB21WS-DATA-NAME.
052500         05  FILLER          PIC  X(01).
052600         05  MB21WS-X40      PIC  X(40).
052700         05  FILLER          PIC  X(03).
052800*
052900     03  MB21WS-DATA-X       REDEFINES MB21WS-DATA-NAME.
053000         05  FILLER          PIC  X(39).
053100         05  MB21WS-X        PIC  X(01).
053200         05  FILLER          PIC  X(04).
053300*
053400     03  MB21WS-DATA-2X      REDEFINES MB21WS-DATA-NAME.
053500         05  FILLER          PIC  X(38).
053600         05  MB21WS-2X       PIC  X(02).
053700         05  FILLER          PIC  X(04).
053800     03  MB21WS-DATA-3X      REDEFINES MB21WS-DATA-NAME.
053900         05  FILLER          PIC  X(37).
054000         05  MB21WS-3X       PIC  X(03).
054100         05  FILLER          PIC  X(04).
054200     03  MB21WS-DATA-4X      REDEFINES MB21WS-DATA-NAME.
054300         05  FILLER          PIC  X(36).
054400         05  MB21WS-4X       PIC  X(04).
054500         05  FILLER          PIC  X(04).
054600     03  MB21WS-DATA-5X      REDEFINES MB21WS-DATA-NAME.
054700         05  FILLER          PIC  X(35).
054800         05  MB21WS-5X       PIC  X(05).
054900         05  FILLER          PIC  X(04).
055000     03  MB21WS-DATA-6X      REDEFINES MB21WS-DATA-NAME.
055100         05  FILLER          PIC  X(34).
055200         05  MB21WS-6X       PIC  X(06).
055300         05  FILLER          PIC  X(04).
055400     03  MB21WS-DATA-7X      REDEFINES MB21WS-DATA-NAME.
055500         05  FILLER          PIC  X(33).
055600         05  MB21WS-7X       PIC  X(07).
055700         05  FILLER          PIC  X(04).
055800     03  MB21WS-DATA-8X      REDEFINES MB21WS-DATA-NAME.
055900         05  FILLER          PIC  X(32).
056000         05  MB21WS-8X       PIC  X(08).
056100         05  FILLER          PIC  X(04).
056200     03  MB21WS-DATA-9X      REDEFINES MB21WS-DATA-NAME.
056300         05  FILLER          PIC  X(31).
056400         05  MB21WS-9X       PIC  X(09).
056500         05  FILLER          PIC  X(04).
056600     03  MB21WS-DATA-10X     REDEFINES MB21WS-DATA-NAME.
056700         05  FILLER          PIC  X(30).
056800         05  MB21WS-10X      PIC  X(10).
056900         05  FILLER          PIC  X(04).
057000     03  MB21WS-DATA-11X     REDEFINES MB21WS-DATA-NAME.
057100         05  FILLER          PIC  X(29).
057200         05  MB21WS-11X      PIC  X(11).
057300         05  FILLER          PIC  X(04).
057400     03  MB21WS-DATA-12X     REDEFINES MB21WS-DATA-NAME.
057500         05  FILLER          PIC  X(28).
057600         05  MB21WS-12X      PIC  X(12).
057700         05  FILLER          PIC  X(04).
057800     03  MB21WS-DATA-13X     REDEFINES MB21WS-DATA-NAME.
057900         05  FILLER          PIC  X(27).
058000         05  MB21WS-13X      PIC  X(13).
058100         05  FILLER          PIC  X(04).
058200     03  MB21WS-DATA-14X     REDEFINES MB21WS-DATA-NAME.
058300         05  FILLER          PIC  X(26).
058400         05  MB21WS-14X      PIC  X(14).
058500         05  FILLER          PIC  X(04).
058600     03  MB21WS-DATA-15X     REDEFINES MB21WS-DATA-NAME.
058700         05  FILLER          PIC  X(25).
058800         05  MB21WS-15X      PIC  X(15).
058900         05  FILLER          PIC  X(04).
059000     03  MB21WS-DATA-16X     REDEFINES MB21WS-DATA-NAME.
059100         05  FILLER          PIC  X(24).
059200         05  MB21WS-16X      PIC  X(16).
059300         05  FILLER          PIC  X(04).
059400     03  MB21WS-DATA-17X     REDEFINES MB21WS-DATA-NAME.
059500         05  FILLER          PIC  X(23).
059600         05  MB21WS-17X      PIC  X(17).
059700         05  FILLER          PIC  X(04).
059800     03  MB21WS-DATA-18X     REDEFINES MB21WS-DATA-NAME.
059900         05  FILLER          PIC  X(22).
060000         05  MB21WS-18X      PIC  X(18).
060100         05  FILLER          PIC  X(04).
060200     03  MB21WS-DATA-19X     REDEFINES MB21WS-DATA-NAME.
060300         05  FILLER          PIC  X(21).
060400         05  MB21WS-19X      PIC  X(19).
060500         05  FILLER          PIC  X(04).
060600     03  MB21WS-DATA-20X     REDEFINES MB21WS-DATA-NAME.
060700         05  FILLER          PIC  X(20).
060800         05  MB21WS-20X      PIC  X(20).
060900         05  FILLER          PIC  X(04).
061000     03  MB21WS-DATA-21X     REDEFINES MB21WS-DATA-NAME.
061100         05  FILLER          PIC  X(19).
061200         05  MB21WS-21X      PIC  X(21).
061300         05  FILLER          PIC  X(04).
061400     03  MB21WS-DATA-22X     REDEFINES MB21WS-DATA-NAME.
061500         05  FILLER          PIC  X(18).
061600         05  MB21WS-22X      PIC  X(22).
061700         05  FILLER          PIC  X(04).
061800     03  MB21WS-DATA-23X     REDEFINES MB21WS-DATA-NAME.
061900         05  FILLER          PIC  X(17).
062000         05  MB21WS-23X      PIC  X(23).
062100         05  FILLER          PIC  X(04).
062200     03  MB21WS-DATA-24X     REDEFINES MB21WS-DATA-NAME.
062300         05  FILLER          PIC  X(16).
062400         05  MB21WS-24X      PIC  X(24).
062500         05  FILLER          PIC  X(04).
062600     03  MB21WS-DATA-25X     REDEFINES MB21WS-DATA-NAME.
062700         05  FILLER          PIC  X(15).
062800         05  MB21WS-25X      PIC  X(25).
062900         05  FILLER          PIC  X(04).
063000     03  MB21WS-DATA-26X     REDEFINES MB21WS-DATA-NAME.
063100         05  FILLER          PIC  X(14).
063200         05  MB21WS-26X      PIC  X(26).
063300         05  FILLER          PIC  X(04).
063400     03  MB21WS-DATA-27X     REDEFINES MB21WS-DATA-NAME.
063500         05  FILLER          PIC  X(13).
063600         05  MB21WS-27X      PIC  X(27).
063700         05  FILLER          PIC  X(04).
063800     03  MB21WS-DATA-28X     REDEFINES MB21WS-DATA-NAME.
063900         05  FILLER          PIC  X(12).
064000         05  MB21WS-28X      PIC  X(28).
064100         05  FILLER          PIC  X(04).
064200     03  MB21WS-DATA-29X     REDEFINES MB21WS-DATA-NAME.
064300         05  FILLER          PIC  X(11).
064400         05  MB21WS-29X      PIC  X(29).
064500         05  FILLER          PIC  X(04).
064600     03  MB21WS-DATA-30X     REDEFINES MB21WS-DATA-NAME.
064700         05  FILLER          PIC  X(10).
064800         05  MB21WS-30X      PIC  X(30).
064900         05  FILLER          PIC  X(04).
065000     03  MB21WS-DATA-31X     REDEFINES MB21WS-DATA-NAME.
065100         05  FILLER          PIC  X(09).
065200         05  MB21WS-31X      PIC  X(31).
065300         05  FILLER          PIC  X(04).
065400     03  MB21WS-DATA-32X     REDEFINES MB21WS-DATA-NAME.
065500         05  FILLER          PIC  X(08).
065600         05  MB21WS-32X      PIC  X(32).
065700         05  FILLER          PIC  X(04).
065800     03  MB21WS-DATA-33X     REDEFINES MB21WS-DATA-NAME.
065900         05  FILLER          PIC  X(07).
066000         05  MB21WS-33X      PIC  X(33).
066100         05  FILLER          PIC  X(04).
066200     03  MB21WS-DATA-34X     REDEFINES MB21WS-DATA-NAME.
066300         05  FILLER          PIC  X(06).
066400         05  MB21WS-34X      PIC  X(34).
066500         05  FILLER          PIC  X(04).
066600     03  MB21WS-DATA-35X     REDEFINES MB21WS-DATA-NAME.
066700         05  FILLER          PIC  X(05).
066800         05  MB21WS-35X      PIC  X(35).
066900         05  FILLER          PIC  X(04).
067000     03  MB21WS-DATA-36X     REDEFINES MB21WS-DATA-NAME.
067100         05  FILLER          PIC  X(04).
067200         05  MB21WS-36X      PIC  X(36).
067300         05  FILLER          PIC  X(04).
067400     03  MB21WS-DATA-37X     REDEFINES MB21WS-DATA-NAME.
067500         05  FILLER          PIC  X(03).
067600         05  MB21WS-37X      PIC  X(37).
067700         05  FILLER          PIC  X(04).
067800     03  MB21WS-DATA-38X     REDEFINES MB21WS-DATA-NAME.
067900         05  FILLER          PIC  X(02).
068000         05  MB21WS-38X      PIC  X(38).
068100         05  FILLER          PIC  X(04).
068200     03  MB21WS-DATA-39X     REDEFINES MB21WS-DATA-NAME.
068300         05  FILLER          PIC  X(01).
068400         05  MB21WS-39X      PIC  X(39).
068500         05  FILLER          PIC  X(04).
068600     03  MB21WS-TIME-X       REDEFINES MB21WS-DATA-NAME.
068700         05  FILLER          PIC  X(32).
068800         05  MB21WS-TIME     PIC  99B99B99.
068900         05  FILLER          PIC  X(04).
069000*
069100*       ***************************************************
069200*       *              END OF COPYBOOK MB21WS             *
069300*       ***************************************************
