000100****************************************************************
000200****************************************************************
000300****************************************************************
000400*         MB22PD1 - DRIVER PROGRAM PRINT ROUTINE               *
000500****************************************************************
000600****************************************************************
000700****************************************************************
000800*                                                              *
000900*    THIS ROUTINE IS THE STANDARD PRINT ROUTINE FOR THE MBS    *
001000*    SYSTEM.  THIS COPY BOOK IS USED BY DRIVER PROGRAMS        *
001100*    TO DO THE ACTUAL PRINTING OF REPORT PRINT LINES PASSED    *
001200*    FROM A SUBROUTINE.                                        *
001300*                                                              *
001400*    TO USE THIS ROUTINE..........                             *
001500*                                                              *
001600*    1A. COPY BOOK MB20WS MUST BE IN THE WS SECTION            *
001700*       (PRINT WORK AREAS)                                     *
001800*    1B. COPY BOOK MB20PD MUST BE IN THE PROCEDURE DIVISION    *
001900*       (PRINT ROUTINE)                                        *
002000*    1C. COPY BOOK MB22WS MUST BE IN THE WS SECTION            *
002100*       (SUBROUTINE PRINT ROUTINE WORK AREAS)                  *
002200*
002300****************************************************************
002400*
002500 MB22PD-DRIVER-PRINT-LINES.
002600*
002700     MOVE MB22WS-PL-FORM-CODE    TO MB20WS-FORM-CODE.
002800     MOVE MB22WS-PL-FICHE-CODE   TO MB20WS-FICHE-CODE.
002900     SET X-MB22WS-PL             TO 1.
003000*
003100     PERFORM MB22PD-MOVE-AND-PRINT
003200                                 THRU MB22PD-MAP-EXIT
003300        UNTIL X-MB22WS-PL IS GREATER THAN MB22WS-PL-MAX-LINES
003400           OR MB22WS-PRINT-LINE (X-MB22WS-PL)
003500                                 IS EQUAL TO HIGH-VALUES.
003600*
003700     PERFORM MB22PD-INITIALIZE-PAGE
003800                                 THRU MB22PD-IP-EXIT.
003900*
004000 MB22PD-DPL-EXIT.
004100     EXIT.
004200*
004300*
004400*
004500 MB22PD-INITIALIZE-PAGE.
004600*
004700     MOVE 1                      TO MB22WS-PL-INDEX.
004800     MOVE ZERO                   TO MB22WS-PL-FORM-CODE.
004900     MOVE ZERO                   TO MB22WS-PL-FICHE-CODE.
005000     MOVE HIGH-VALUES            TO MB22WS-PRINT-LINES.
005100     MOVE 99                     TO MB20WS-LINES-PER-PAGE.
005200*
005300 MB22PD-IP-EXIT.
005400     EXIT.
005500/
005600 MB22PD-MOVE-AND-PRINT.
005700*
005800     MOVE MB22WS-PL-ADVANCE-CODE (X-MB22WS-PL)
005900                                 TO MB20WS-ADVANCE-CODE.
006000     MOVE MB22WS-PL-USER-CONTROL-LINES (X-MB22WS-PL)
006100                                 TO MB20WS-USER-CONTROL-LINES.
006200     MOVE MB22WS-PRINT-LINE (X-MB22WS-PL)
006300                                 TO MB20WS-PRINT-LINE.
006400*
006500     SET X-MB22WS-PL             UP BY 1.
006600*
006700     IF  MB20WS-ADVANCE-1-LINE
006800         PERFORM MB20PD-PRINT-1-LINE
006900                                 THRU MB20PD-P1L-EXIT
007000         GO TO MB22PD-MAP-EXIT.
007100*
007200     IF  MB20WS-ADVANCE-2-LINES
007300         PERFORM MB20PD-PRINT-2-LINES
007400                                 THRU MB20PD-P2L-EXIT
007500         GO TO MB22PD-MAP-EXIT.
007600*
007700     IF  MB20WS-ADVANCE-3-LINES
007800         PERFORM MB20PD-PRINT-3-LINES
007900                                 THRU MB20PD-P3L-EXIT
008000         GO TO MB22PD-MAP-EXIT.
008100*
008200     IF  MB20WS-ADVANCE-PAGE
008300         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT
008400         GO TO MB22PD-MAP-EXIT.
008500*
008600     IF  MB20WS-ADVANCE-BY-USER-CONTROL
008700         PERFORM MB20PD-PRINT-USER-CONTROL
008800                                 THRU MB20PD-PUC-EXIT
008900         GO TO MB22PD-MAP-EXIT.
009000*
009100     IF  MB20WS-ADVANCE-0-LINES
009200         PERFORM MB20PD-PRINT-0-LINES
009300                                 THRU MB20PD-P0L-EXIT
009400         GO TO MB22PD-MAP-EXIT.
009500*
009600     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
009700*
009800 MB22PD-MAP-EXIT.
009900     EXIT.
