000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500****************************************************************
000600****************************************************************
000700****************************************************************
000800*    MB50WS - STATEMENT WORK AREAS.                            *
000900****************************************************************
001000****************************************************************
001100****************************************************************
001200*                                                              *
001300 01  MB50WS-REC-ID-AREAS.
001400     03  MB50WS-REC-ID-DATA.
001500         05  MB50WS-DATA.
001600             07  MB50WS-REC-ID-0000.
001700                 09  MB50WS-POSTAL-CODE
001800                             PIC  X(10).
001900                 09  MB50WS-R0000-NAME-ADDR
002000                                             OCCURS 5 TIMES
002100                                             INDEXED BY
002200                                             X-MB50WS-R0000-NA
002300                             PIC  X(40).
002400                 09  MB50WS-STMT-HEADING-FLAG
002500                             PIC  X(01).
002600                     88  MB50WS-STMT-HEADING-FAX
002700                                             VALUE 'F'.
002800                     88  MB50WS-STMT-HEADING-PRINT
002900                                             VALUE 'P'.
003000                 09  MB50WS-STATEMENT-RPT-FLAG
003100                             PIC  X(01).
003200                     88  MB50WS-STATEMENT-PRINT
003300                                             VALUE 'P' 'B'.
003400                     88  MB50WS-STATEMENT-NO-PRINT
003500                                             VALUE 'F'.
003600                     88  MB50WS-STATEMENT-FAX
003700                                             VALUE 'F' 'B'.
003800                     88  MB50WS-STATEMENT-NO-FAX
003900                                             VALUE 'P'.
004000                 09  MB50WS-FAX
004100                             PIC  X(20).
004200                 09  MB50WS-STMT-CONTROL
004300                             PIC  X(01).
004400                     88  MB50WS-NORMAL-STMT
004500                                             VALUE 'N'.
004600                     88  MB50WS-HOLD-STMT
004700                                             VALUE 'H'.
004800                     88  MB50WS-ONLINE-ONLY-STMT
004900                                             VALUE 'O'.
005000                     88  MB50WS-USER-HOLD-STMT
005100                                             VALUE '1' THRU '9'.
005200                     88  MB50WS-VALID-HOLD-STMT
005300                                             VALUE 'H' 'O'
005400                                                   '1' THRU '9'.
005500                 09  MB50WS-OOB-FLAG
005600                             PIC  X(01).
005700                     88  MB50WS-OUT-OF-BAL   VALUE 'N'.
005800                     88  MB50WS-IN-BAL       VALUE 'Y'.
005900                 09  MB50WS-BEG-STMT-DATE
006000                             PIC S9(07)      COMP-3.
006100                 09  MB50WS-END-STMT-DATE
006200                             PIC S9(07)      COMP-3.
006300                 09  MB50WS-INSERT-NBR
006400                             PIC  9(02).
006500                 09  MB50WS-MBD740BC-LINE-1
006600                             PIC  X(03).
006700                 09  MB50WS-MBD740BC-LINE-2
006800                             PIC  X(03).
006900                 09  MB50WS-MBD740BC-LINE-3
007000                             PIC  X(03).
007100                 09  MB50WS-IMP-DEV          OCCURS 3 TIMES
007200                                             INDEXED BY
007300                                             X-MB50WS-IMP-DEV.
007400                     11  MB50WS-IMP-DEV-TITLE
007500                             PIC  X(15).
007600                 09  MB50WS-POS-DEV          OCCURS 3 TIMES
007700                                             INDEXED BY
007800                                             X-MB50WS-POS-DEV.
007900                     11  MB50WS-POS-DEV-TITLE
008000                             PIC  X(15).
008100                 09  MB50WS-EURO-REPORTING-FLAG
008200                             PIC  X(01).
008300                     88  MB50WS-EURO-REPORTING-OFF
008400                                             VALUE ZERO.
008500                     88  MB50WS-EURO-REPORTING-ON
008600                                             VALUE '1'.
008700                 09  MB50WS-DUAL-CURRENCY-ORG
008800                             PIC  9(03).
008900                     88  MB50WS-DUAL-CURRENCY-OFF
009000                                             VALUE ZERO 999.
009100                     88  MB50WS-DUAL-CURRENCY-ON
009200                                             VALUE 001 THRU 998.
009300                 09  MB50WS-DEST-CURRENCY
009400                             PIC  X(03).
009500*
009600             07  MB50WS-REC-ID-0001-0005.
009700                 09  MB50WS-STMT-MSG-TABLE   OCCURS 5 TIMES
009800                                             INDEXED BY
009900                                             X-MB50WS-SMT.
010000                     11  MB50WS-STMT-MSG-LINE
010100                                             OCCURS 3 TIMES
010200                                             INDEXED BY
010300                                             X-MB50WS-SML
010400                             PIC  X(50).
010500*
010600             07  MB50WS-REC-ID-0006.
010700                 09  MB50WS-R0006-NAME-ADDR
010800                                             OCCURS 5 TIMES
010900                                             INDEXED BY
011000                                             X-MB50WS-R0006-NA
011100                             PIC  X(40).
011200                 09  MB50WS-CORR-PHONE
011300                             PIC  X(20).
011400                 09  MB50WS-CORR-FAX
011500                             PIC  X(20).
011600*
011700             07  MB50WS-REC-ID-0100.
011800                 09  MB50WS-BAL-SUMMARY.
011900                     11  MB50WS-BAL-NET-SETT-AMT
012000                             PIC S9(17)      COMP-3.
012100                     11  MB50WS-BAL-CURR-HOLDOVER-AMT
012200                             PIC S9(17)      COMP-3.
012300                     11  MB50WS-BAL-BEG-BALANCE
012400                             PIC S9(17)      COMP-3.
012500                     11  MB50WS-BAL-END-BALANCE
012600                             PIC S9(17)      COMP-3.
012700                     11  MB50WS-BAL-BATCH-HEADER-NBR
012800                             PIC S9(09)      COMP-3.
012900                     11  MB50WS-BAL-BATCH-HEADER-AMT
013000                             PIC S9(17)      COMP-3.
013100                     11  MB50WS-BAL-RESV-TO-SETT-NBR
013200                             PIC S9(09)      COMP-3.
013300                     11  MB50WS-BAL-RESV-TO-SETT-AMT
013400                             PIC S9(17)      COMP-3.
013500                     11  MB50WS-BAL-REFUND-NBR
013600                             PIC S9(09)      COMP-3.
013700                     11  MB50WS-BAL-REFUND-AMT
013800                             PIC S9(17)      COMP-3.
013900                     11  MB50WS-BAL-PART-CR-NBR
014000                             PIC S9(09)      COMP-3.
014100                     11  MB50WS-BAL-PART-CR-AMT
014200                             PIC S9(17)      COMP-3.
014300                     11  MB50WS-BAL-ADJ-CR-NBR
014400                             PIC S9(09)      COMP-3.
014500                     11  MB50WS-BAL-ADJ-CR-AMT
014600                             PIC S9(17)      COMP-3.
014700                     11  MB50WS-BAL-REC-ADJ-CR-NBR
014800                             PIC S9(09)      COMP-3.
014900                     11  MB50WS-BAL-REC-ADJ-CR-AMT
015000                             PIC S9(17)      COMP-3.
015100                     11  MB50WS-BAL-USER-CR-NBR
015200                             PIC S9(09)      COMP-3.
015300                     11  MB50WS-BAL-USER-CR-AMT
015400                             PIC S9(17)      COMP-3.
015500                     11  MB50WS-BAL-RESV-FUNDING-NBR
015600                             PIC S9(09)      COMP-3.
015700                     11  MB50WS-BAL-RESV-FUNDING-AMT
015800                             PIC S9(17)      COMP-3.
015900                     11  MB50WS-BAL-DISCOUNT-NBR
016000                             PIC S9(09)      COMP-3.
016100                     11  MB50WS-BAL-DISCOUNT-AMT
016200                             PIC S9(17)      COMP-3.
016300                     11  MB50WS-BAL-PART-DR-NBR
016400                             PIC S9(09)      COMP-3.
016500                     11  MB50WS-BAL-PART-DR-AMT
016600                             PIC S9(17)      COMP-3.
016700                     11  MB50WS-BAL-ADJ-DR-NBR
016800                             PIC S9(09)      COMP-3.
016900                     11  MB50WS-BAL-ADJ-DR-AMT
017000                             PIC S9(17)      COMP-3.
017100                     11  MB50WS-BAL-REC-ADJ-DR-NBR
017200                             PIC S9(09)      COMP-3.
017300                     11  MB50WS-BAL-REC-ADJ-DR-AMT
017400                             PIC S9(17)      COMP-3.
017500                     11  MB50WS-BAL-USER-FEES-NBR
017600                             PIC S9(09)      COMP-3.
017700                     11  MB50WS-BAL-USER-FEES-AMT
017800                             PIC S9(17)      COMP-3.
017900                     11  MB50WS-BAL-SYSTEM-FEES-NBR
018000                             PIC S9(09)      COMP-3.
018100                     11  MB50WS-BAL-SYSTEM-FEES-AMT
018200                             PIC S9(17)      COMP-3.
018300                     11  MB50WS-BAL-INTCHG-FEES-NBR
018400                             PIC S9(09)      COMP-3.
018500                     11  MB50WS-BAL-INTCHG-FEES-AMT
018600                             PIC S9(17)      COMP-3.
018700                     11  MB50WS-BAL-TRANSFER-NBR
018800                             PIC S9(09)      COMP-3.
018900                     11  MB50WS-BAL-TRANSFER-AMT
019000                             PIC S9(17)      COMP-3.
019100                     11  MB50WS-BAL-HOLDOVER-NBR
019200                             PIC S9(09)      COMP-3.
019300                     11  MB50WS-BAL-HOLDOVER-AMT
019400                             PIC S9(17)      COMP-3.
019500                     11  MB50WS-BAL-SETT-CR-NBR
019600                             PIC S9(09)      COMP-3.
019700                     11  MB50WS-BAL-SETT-CR-AMT
019800                             PIC S9(17)      COMP-3.
019900                     11  MB50WS-BAL-SETT-DR-NBR
020000                             PIC S9(09)      COMP-3.
020100                     11  MB50WS-BAL-SETT-DR-AMT
020200                             PIC S9(17)      COMP-3.
020300*
020400             07  MB50WS-REC-ID-0201.
020500                 09  MB50WS-RESV-1-AREA.
020600                     11  MB50WS-RESV-1-DESC
020700                             PIC  X(30).
020800                     11  MB50WS-RESV-1-BEG-BAL
020900                             PIC S9(17)      COMP-3.
021000                     11  MB50WS-RESV-1-END-BAL
021100                             PIC S9(17)      COMP-3.
021200                     11  MB50WS-RESV-1-FUNDING-LM
021300                             PIC  9(03).
021400                     11  MB50WS-RESV-1-FUNDING-NBR
021500                             PIC S9(09)      COMP-3.
021600                     11  MB50WS-RESV-1-FUNDING-AMT
021700                             PIC S9(17)      COMP-3.
021800                     11  MB50WS-RESV-1-INCREASE-LM
021900                             PIC  9(03).
022000                     11  MB50WS-RESV-1-INCREASE-NBR
022100                             PIC S9(09)      COMP-3.
022200                     11  MB50WS-RESV-1-INCREASE-AMT
022300                             PIC S9(17)      COMP-3.
022400                     11  MB50WS-RESV-1-TO-SETT-LM
022500                             PIC  9(03).
022600                     11  MB50WS-RESV-1-TO-SETT-NBR
022700                             PIC S9(09)      COMP-3.
022800                     11  MB50WS-RESV-1-TO-SETT-AMT
022900                             PIC S9(17)      COMP-3.
023000                     11  MB50WS-RESV-1-TO-PROC-LM
023100                             PIC  9(03).
023200                     11  MB50WS-RESV-1-TO-PROC-NBR
023300                             PIC S9(09)      COMP-3.
023400                     11  MB50WS-RESV-1-TO-PROC-AMT
023500                             PIC S9(17)      COMP-3.
023600*
023700             07  MB50WS-REC-ID-0202.
023800                 09  MB50WS-RESV-2-AREA.
023900                     11  MB50WS-RESV-2-DESC
024000                             PIC  X(30).
024100                     11  MB50WS-RESV-2-BEG-BAL
024200                             PIC S9(17)      COMP-3.
024300                     11  MB50WS-RESV-2-END-BAL
024400                             PIC S9(17)      COMP-3.
024500                     11  MB50WS-RESV-2-FUNDING-LM
024600                             PIC  9(03).
024700                     11  MB50WS-RESV-2-FUNDING-NBR
024800                             PIC S9(09)      COMP-3.
024900                     11  MB50WS-RESV-2-FUNDING-AMT
025000                             PIC S9(17)      COMP-3.
025100                     11  MB50WS-RESV-2-INCREASE-LM
025200                             PIC  9(03).
025300                     11  MB50WS-RESV-2-INCREASE-NBR
025400                             PIC S9(09)      COMP-3.
025500                     11  MB50WS-RESV-2-INCREASE-AMT
025600                             PIC S9(17)      COMP-3.
025700                     11  MB50WS-RESV-2-TO-SETT-LM
025800                             PIC  9(03).
025900                     11  MB50WS-RESV-2-TO-SETT-NBR
026000                             PIC S9(09)      COMP-3.
026100                     11  MB50WS-RESV-2-TO-SETT-AMT
026200                             PIC S9(17)      COMP-3.
026300                     11  MB50WS-RESV-2-TO-PROC-LM
026400                             PIC  9(03).
026500                     11  MB50WS-RESV-2-TO-PROC-NBR
026600                             PIC S9(09)      COMP-3.
026700                     11  MB50WS-RESV-2-TO-PROC-AMT
026800                             PIC S9(17)      COMP-3.
026900*
027000             07  MB50WS-REC-ID-0203.
027100                 09  MB50WS-RESV-3-AREA.
027200                     11  MB50WS-RESV-3-DESC
027300                             PIC  X(30).
027400                     11  MB50WS-RESV-3-BEG-BAL
027500                             PIC S9(17)      COMP-3.
027600                     11  MB50WS-RESV-3-END-BAL
027700                             PIC S9(17)      COMP-3.
027800                     11  MB50WS-RESV-3-FUNDING-LM
027900                             PIC  9(03).
028000                     11  MB50WS-RESV-3-FUNDING-NBR
028100                             PIC S9(09)      COMP-3.
028200                     11  MB50WS-RESV-3-FUNDING-AMT
028300                             PIC S9(17)      COMP-3.
028400                     11  MB50WS-RESV-3-INCREASE-LM
028500                             PIC  9(03).
028600                     11  MB50WS-RESV-3-INCREASE-NBR
028700                             PIC S9(09)      COMP-3.
028800                     11  MB50WS-RESV-3-INCREASE-AMT
028900                             PIC S9(17)      COMP-3.
029000                     11  MB50WS-RESV-3-TO-SETT-LM
029100                             PIC  9(03).
029200                     11  MB50WS-RESV-3-TO-SETT-NBR
029300                             PIC S9(09)      COMP-3.
029400                     11  MB50WS-RESV-3-TO-SETT-AMT
029500                             PIC S9(17)      COMP-3.
029600                     11  MB50WS-RESV-3-TO-PROC-LM
029700                             PIC  9(03).
029800                     11  MB50WS-RESV-3-TO-PROC-NBR
029900                             PIC S9(09)      COMP-3.
030000                     11  MB50WS-RESV-3-TO-PROC-AMT
030100                             PIC S9(17)      COMP-3.
030200*
030300             07  MB50WS-REC-ID-0204.
030400                 09  MB50WS-RESV-4-AREA.
030500                     11  MB50WS-RESV-4-DESC
030600                             PIC  X(30).
030700                     11  MB50WS-RESV-4-BEG-BAL
030800                             PIC S9(17)      COMP-3.
030900                     11  MB50WS-RESV-4-END-BAL
031000                             PIC S9(17)      COMP-3.
031100                     11  MB50WS-RESV-4-FUNDING-LM
031200                             PIC  9(03).
031300                     11  MB50WS-RESV-4-FUNDING-NBR
031400                             PIC S9(09)      COMP-3.
031500                     11  MB50WS-RESV-4-FUNDING-AMT
031600                             PIC S9(17)      COMP-3.
031700                     11  MB50WS-RESV-4-INCREASE-LM
031800                             PIC  9(03).
031900                     11  MB50WS-RESV-4-INCREASE-NBR
032000                             PIC S9(09)      COMP-3.
032100                     11  MB50WS-RESV-4-INCREASE-AMT
032200                             PIC S9(17)      COMP-3.
032300                     11  MB50WS-RESV-4-TO-SETT-LM
032400                             PIC  9(03).
032500                     11  MB50WS-RESV-4-TO-SETT-NBR
032600                             PIC S9(09)      COMP-3.
032700                     11  MB50WS-RESV-4-TO-SETT-AMT
032800                             PIC S9(17)      COMP-3.
032900                     11  MB50WS-RESV-4-TO-PROC-LM
033000                             PIC  9(03).
033100                     11  MB50WS-RESV-4-TO-PROC-NBR
033200                             PIC S9(09)      COMP-3.
033300                     11  MB50WS-RESV-4-TO-PROC-AMT
033400                             PIC S9(17)      COMP-3.
033500*
033600             07  MB50WS-REC-ID-0300.
033700                 09  MB50WS-REC-ADJ-AREA.
033800                     11  MB50WS-REC-ADJ      OCCURS 10 TIMES
033900                                             INDEXED BY
034000                                             X-MB50WS-REC-ADJ.
034100                         13  MB50WS-REC-ADJ-LM
034200                             PIC S9(03)      COMP-3.
034300                         13  MB50WS-REC-ADJ-NBR
034400                             PIC S9(09)      COMP-3.
034500                         13  MB50WS-REC-ADJ-AMT
034600                             PIC S9(17)      COMP-3.
034700*
034800             07  MB50WS-REC-ID-0400.
034900                 09  MB50WS-ADJ-AREA.
035000                     11  MB50WS-ADJ          OCCURS 40 TIMES
035100                                             INDEXED BY
035200                                             X-MB50WS-ADJ.
035300                         13  MB50WS-ADJ-LM
035400                             PIC S9(03)      COMP-3.
035500                         13  MB50WS-ADJ-NBR
035600                             PIC S9(09)      COMP-3.
035700                         13  MB50WS-ADJ-AMT
035800                             PIC S9(17)      COMP-3.
035900*
036000             07  MB50WS-REC-ID-0500.
036100                 09  MB50WS-USER-CR-AREA.
036200                     11  MB50WS-USER-CR      OCCURS 10 TIMES
036300                                             INDEXED BY
036400                                             X-MB50WS-USER-CR.
036500                         13  MB50WS-USER-CR-LM
036600                             PIC S9(03)      COMP-3.
036700                         13  MB50WS-USER-CR-NBR
036800                             PIC S9(09)      COMP-3.
036900                         13  MB50WS-USER-CR-AMT
037000                             PIC S9(17)      COMP-3.
037100*
037200             07  MB50WS-REC-ID-0600.
037300                 09  MB50WS-FEE-AREA.
037400                     11  MB50WS-FEE          OCCURS 60 TIMES
037500                                             INDEXED BY
037600                                             X-MB50WS-FEE.
037700                         13  MB50WS-FEE-LM
037800                             PIC S9(03)      COMP-3.
037900                         13  MB50WS-FEE-NBR
038000                             PIC S9(09)      COMP-3.
038100                         13  MB50WS-FEE-AMT
038200                             PIC S9(17)      COMP-3.
038300*
038400             07  MB50WS-REC-ID-0700.
038500                 09  MB50WS-SETT-ACCOUNTS.
038600                     11  MB50WS-SETT-ACCT    OCCURS 4 TIMES
038700                                             INDEXED BY
038800                                             X-MB50WS-SETT-ACCT.
038900                         13  MB50WS-SETT-ACCT-METHOD
039000                             PIC  X(02).
039100                             88  MB50WS-SETT-ACCT-SKIP
039200                                             VALUE 'N0'.
039300                             88  MB50WS-SETT-ACCT-ACH
039400                                             VALUE 'A1' 'A2'
039500                                                   'A3' 'A4'.
039600                             88  MB50WS-SETT-ACCT-MANUAL
039700                                             VALUE 'M1' 'M2'
039800                                                   'M3' 'M4'.
039900                             88  MB50WS-SETT-ACCT-CHECK
040000                                             VALUE 'C2'.
040100                             88  MB50WS-SETT-ACCT-WIRE
040200                                             VALUE 'W2'.
040300                             88  MB50WS-SETT-NET-SETTLEMENT
040400                                             VALUE 'A1' 'A2' 'A3'
040500                                                   'M1' 'M2' 'M3'
040600                                                   'C2' 'W2'.
040700                             88  MB50WS-SETT-NO-HOLDOVER
040800                                             VALUE 'A1' 'M1'.
040900                             88  MB50WS-SETT-HOLDOVER-NORM
041000                                             VALUE 'A2' 'M2'
041100                                                   'C2' 'W2'.
041200                             88  MB50WS-SETT-HOLDOVER-BILLED
041300                                             VALUE 'A3' 'M3'.
041400                         13  MB50WS-SA-DR-RT
041500                             PIC S9(09)      COMP-3.
041600                         13  MB50WS-SA-DR-ACCT
041700                             PIC  X(17).
041800                         13  MB50WS-SA-DR-ACCT-TYPE
041900                             PIC  X(01).
042000                             88  MB50WS-DR-ACCT-DDA
042100                                             VALUE 'D'.
042200                             88  MB50WS-DR-ACCT-SAV
042300                                             VALUE 'S'.
042400                             88  MB50WS-VALID-DR-ACCT-TYPE
042500                                             VALUE 'D' 'S'.
042600                         13  MB50WS-SA-CR-RT
042700                             PIC S9(09)      COMP-3.
042800                         13  MB50WS-SA-CR-ACCT
042900                             PIC  X(17).
043000                         13  MB50WS-SA-CR-ACCT-TYPE
043100                             PIC  X(01).
043200                             88  MB50WS-CR-ACCT-DDA
043300                                             VALUE 'D'.
043400                             88  MB50WS-CR-ACCT-SAV
043500                                             VALUE 'S'.
043600                             88  MB50WS-VALID-CR-ACCT-TYPE
043700                                             VALUE 'D' 'S'.
043800                         13  MB50WS-BILLING-ORG
043900                             PIC  9(03).
044000                         13  MB50WS-BILLING-ACCT
044100                             PIC  X(19).
044200*
044300             07  MB50WS-REC-ID-0701.
044400                 09  MB50WS-SETT-TOTALS.
044500                     11  MB50WS-SETT-ACH-MAN-TABLE
044600                                             OCCURS 4 TIMES
044700                                             INDEXED BY
044800                                             X-MB50WS-SAMT.
044900                         13  MB50WS-SAMT-CR-AMT
045000                             PIC S9(17)      COMP-3.
045100                         13  MB50WS-SAMT-DR-AMT
045200                             PIC S9(17)      COMP-3.
045300                         13  MB50WS-SAMT-NET-CR-AMT
045400                             PIC S9(17)      COMP-3.
045500                         13  MB50WS-SAMT-NET-DR-AMT
045600                             PIC S9(17)      COMP-3.
045700                         13  MB50WS-SAMT-HOLDOVER
045800                             PIC S9(17)      COMP-3.
045900                         13  MB50WS-SAMT-XFER-INV
046000                             PIC S9(17)      COMP-3.
046100                     11  MB50WS-SETT-BILLING-TABLE
046200                                             OCCURS 4 TIMES
046300                                             INDEXED BY
046400                                             X-MB50WS-SBT.
046500                         13  MB50WS-SBT-AMT
046600                             PIC S9(17)      COMP-3.
046700                     11  MB50WS-WINDOW-AMT
046800                             PIC S9(17)      COMP-3.
046900                     11  MB50WS-DISTRIB-HOLDOVER-AMT
047000                             PIC S9(17)      COMP-3.
047100*
047200             07  MB50WS-REC-ID-0800.
047300                 09  MB50WS-PROD-AREA.
047400                     11  MB50WS-PROD         OCCURS 200 TIMES
047500                                             INDEXED BY
047600                                             X-MB50WS-PROD.
047700                         13  MB50WS-PROD-LM
047800                             PIC S9(03)      COMP-3.
047900                         13  MB50WS-PROD-NBR
048000                             PIC S9(09)      COMP-3.
048100                         13  MB50WS-PROD-AMT
048200                             PIC S9(17)      COMP-3.
048300*
048400             07  MB50WS-REC-ID-0900.
048500                 09  MB50WS-STORE-AREA.
048600                     11  MB50WS-STORE-SALES-NBR
048700                             PIC S9(09)      COMP-3.
048800                     11  MB50WS-STORE-SALES-AMT
048900                             PIC S9(17)      COMP-3.
049000                     11  MB50WS-STORE-RETURNS-NBR
049100                             PIC S9(09)      COMP-3.
049200                     11  MB50WS-STORE-RETURNS-AMT
049300                             PIC S9(17)      COMP-3.
049400                     11  MB50WS-STORE-OTHER-CR-NBR
049500                             PIC S9(09)      COMP-3.
049600                     11  MB50WS-STORE-OTHER-CR-AMT
049700                             PIC S9(17)      COMP-3.
049800                     11  MB50WS-STORE-OTHER-DR-NBR
049900                             PIC S9(09)      COMP-3.
050000                     11  MB50WS-STORE-OTHER-DR-AMT
050100                             PIC S9(17)      COMP-3.
050200                     11  MB50WS-STORE-DBA-NAME
050300                             PIC  X(25).
050400                     11  MB50WS-STORE-DBA-CITY
050500                             PIC  X(13).
050600                     11  MB50WS-STORE-DBA-COUNTRY
050700                             PIC  X(03).
050800*
050900             07  MB50WS-REC-ID-1100.
051000                 09  MB50WS-MER-BAL-SUMMARY.
051100                     11  MB50WS-MER-NET-SETT-AMT
051200                             PIC S9(17)      COMP-3.
051300                     11  MB50WS-MER-CURR-HOLDOVER-AMT
051400                             PIC S9(17)      COMP-3.
051500                     11  MB50WS-MER-BEG-BALANCE
051600                             PIC S9(17)      COMP-3.
051700                     11  MB50WS-MER-END-BALANCE
051800                             PIC S9(17)      COMP-3.
051900                     11  MB50WS-MER-BATCH-HEADER-NBR
052000                             PIC S9(09)      COMP-3.
052100                     11  MB50WS-MER-BATCH-HEADER-AMT
052200                             PIC S9(17)      COMP-3.
052300                     11  MB50WS-MER-RESV-TO-SETT-NBR
052400                             PIC S9(09)      COMP-3.
052500                     11  MB50WS-MER-RESV-TO-SETT-AMT
052600                             PIC S9(17)      COMP-3.
052700                     11  MB50WS-MER-REFUND-NBR
052800                             PIC S9(09)      COMP-3.
052900                     11  MB50WS-MER-REFUND-AMT
053000                             PIC S9(17)      COMP-3.
053100                     11  MB50WS-MER-PART-CR-NBR
053200                             PIC S9(09)      COMP-3.
053300                     11  MB50WS-MER-PART-CR-AMT
053400                             PIC S9(17)      COMP-3.
053500                     11  MB50WS-MER-ADJ-CR-NBR
053600                             PIC S9(09)      COMP-3.
053700                     11  MB50WS-MER-ADJ-CR-AMT
053800                             PIC S9(17)      COMP-3.
053900                     11  MB50WS-MER-REC-ADJ-CR-NBR
054000                             PIC S9(09)      COMP-3.
054100                     11  MB50WS-MER-REC-ADJ-CR-AMT
054200                             PIC S9(17)      COMP-3.
054300                     11  MB50WS-MER-USER-CR-NBR
054400                             PIC S9(09)      COMP-3.
054500                     11  MB50WS-MER-USER-CR-AMT
054600                             PIC S9(17)      COMP-3.
054700                     11  MB50WS-MER-RESV-FUNDING-NBR
054800                             PIC S9(09)      COMP-3.
054900                     11  MB50WS-MER-RESV-FUNDING-AMT
055000                             PIC S9(17)      COMP-3.
055100                     11  MB50WS-MER-DISCOUNT-NBR
055200                             PIC S9(09)      COMP-3.
055300                     11  MB50WS-MER-DISCOUNT-AMT
055400                             PIC S9(17)      COMP-3.
055500                     11  MB50WS-MER-PART-DR-NBR
055600                             PIC S9(09)      COMP-3.
055700                     11  MB50WS-MER-PART-DR-AMT
055800                             PIC S9(17)      COMP-3.
055900                     11  MB50WS-MER-ADJ-DR-NBR
056000                             PIC S9(09)      COMP-3.
056100                     11  MB50WS-MER-ADJ-DR-AMT
056200                             PIC S9(17)      COMP-3.
056300                     11  MB50WS-MER-REC-ADJ-DR-NBR
056400                             PIC S9(09)      COMP-3.
056500                     11  MB50WS-MER-REC-ADJ-DR-AMT
056600                             PIC S9(17)      COMP-3.
056700                     11  MB50WS-MER-USER-FEES-NBR
056800                             PIC S9(09)      COMP-3.
056900                     11  MB50WS-MER-USER-FEES-AMT
057000                             PIC S9(17)      COMP-3.
057100                     11  MB50WS-MER-SYSTEM-FEES-NBR
057200                             PIC S9(09)      COMP-3.
057300                     11  MB50WS-MER-SYSTEM-FEES-AMT
057400                             PIC S9(17)      COMP-3.
057500                     11  MB50WS-MER-INTCHG-FEES-NBR
057600                             PIC S9(09)      COMP-3.
057700                     11  MB50WS-MER-INTCHG-FEES-AMT
057800                             PIC S9(17)      COMP-3.
057900                     11  MB50WS-MER-TRANSFER-NBR
058000                             PIC S9(09)      COMP-3.
058100                     11  MB50WS-MER-TRANSFER-AMT
058200                             PIC S9(17)      COMP-3.
058300                     11  MB50WS-MER-HOLDOVER-NBR
058400                             PIC S9(09)      COMP-3.
058500                     11  MB50WS-MER-HOLDOVER-AMT
058600                             PIC S9(17)      COMP-3.
058700                     11  MB50WS-MER-SETT-CR-NBR
058800                             PIC S9(09)      COMP-3.
058900                     11  MB50WS-MER-SETT-CR-AMT
059000                             PIC S9(17)      COMP-3.
059100                     11  MB50WS-MER-SETT-DR-NBR
059200                             PIC S9(09)      COMP-3.
059300                     11  MB50WS-MER-SETT-DR-AMT
059400                             PIC S9(17)      COMP-3.
059500*
059600*       ***************************************************
059700*       *              END OF COPYBOOK MB50WS             *
059800*       ***************************************************
