000100******************************************************************
000200*                                                                *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M    *
000400*                                                                *
000500******************************************************************
000600*  MB60WS - MBS CICS COMMUNICATION AREA RECORD DESCRIPTION       *
000700*           THE COMMAREA LENGTH IS 2000 BYTES                    *
000800******************************************************************
000900*
001000     03  MBCA-SECURITY-SAVE-AREA.
001100         05  MBCA-SECURITY-ID
001200                             PIC  X(06).
001300             88  MBCA-SECURITY-ID-VALID      VALUE 'V+SMSF'.
001400         05  MBCA-SIGN-ON-OPTION
001500                             PIC  X(01).
001600             88  MBCA-SIGN-ON-UNKNOWN        VALUE LOW-VALUES.
001700             88  MBCA-SIGN-ON-NONE           VALUE '0'.
001800             88  MBCA-SIGN-ON-MANUAL         VALUE 'M'.
001900             88  MBCA-SIGN-ON-AUTO-USERID    VALUE 'I'.
002000             88  MBCA-SIGN-ON-AUTO-USERNAME  VALUE 'N'.
002100         05  MBCA-SECURITY-RECORD
002200                             PIC  X(500).
002300*
002400     03  MBCA-COMMON-DATA.
002500         05  MBCA-DATE-FORMAT
002600                             PIC  X(01).
002700         05  MBCA-TERMINAL-ID
002800                             PIC  X(04).
002900         05  MBCA-TRANS-ID.
003000             07  MBCA-TI-POS-1-2
003100                             PIC  X(02).
003200             07  MBCA-TI-POS-3-4
003300                             PIC  X(02).
003400                 88  MBCA-TI-POS-3-4-OPEN-CLOSE
003500                                             VALUE 'CF' 'OF'.
003600         05  MBCA-PREV-TRANS-ID.
003700             07  MBCA-PTI-POS-1-2
003800                             PIC  X(02).
003900             07  MBCA-PTI-POS-3-4.
004000                 09  MBCA-PTI-POS-3
004100                             PIC  X(01).
004200                     88  MBCA-PTI-FUNCTION-IS-MAINT
004300                                             VALUE 'M'.
004400                     88  MBCA-PTI-FUNCTION-IS-ADD
004500                                             VALUE 'A'.
004600                     88  MBCA-PTI-FUNCTION-IS-INQUIRY
004700                                             VALUE 'Q'.
004800                     88  MBCA-PTI-FUNCTION-IS-DIR
004900                                             VALUE 'D'.
005000                     88  MBCA-PTI-FUNCTION-MAINT-OR-INQ
005100                                             VALUE 'M' 'Q'.
005200                     88  MBCA-PTI-FUNCTION-ADD-OR-MAINT
005300                                             VALUE 'A' 'M'.
005400                     88  MBCA-PTI-FUNCTION-IS-MODEL
005500                                             VALUE 'L'.
005600                     88  MBCA-PTI-FUNCTION-ADD-OR-MODEL
005700                                             VALUE 'A' 'L'.
005800                 09  MBCA-PTI-POS-4
005900                             PIC  X(01).
006000                     88  MBCA-PTI-MERCHANT-TRANSACTION
006100                                             VALUE 'M'.
006200*
006300         05  MBCA-SCREEN-NBR PIC  9(02).
006400             88  MBCA-INITIAL-SCREEN-NBR     VALUE 99.
006410             88  MBCA-NEXT-SCREEN-NBR        VALUE 51.            FX800022
006500*
006600         05  MBCA-SCREEN-NBR-R
006700                             REDEFINES       MBCA-SCREEN-NBR.
006800             07  MBCA-SCREEN-NBR-POS-1
006900                             PIC  9(01).
007000                 88  MBCA-SEND-SCREEN        VALUE 5 6 7 8 9.
007100                 88  MBCA-RECEIVE-SCREEN     VALUE 0 1 2 3 4.
007200             07  MBCA-SCREEN-NBR-POS-2
007300                             PIC  9(01).
007400         05  MBCA-SAVE-SCREEN-NBR
007500                             PIC  9(02).
007600         05  MBCA-MAX-SCREEN-NBR
007700                             PIC  9(02).
007800         05  MBCA-START-DATE PIC S9(07)      COMP-3.
007900         05  MBCA-START-TIME PIC S9(07)      COMP-3.
008000         05  MBCA-PROGRAM-ID PIC  X(08).
008100         05  MBCA-MAP-NAME   PIC  X(08).
008200         05  MBCA-ERROR-ROUTINE-SW
008300                             PIC  X(01).
008400             88  MBCA-ERROR-MSGS-PROVIDED    VALUE 'Y'.
008500             88  MBCA-ERROR-MSGS-NOT-PROVIDED
008600                                             VALUE SPACE
008700                                                   LOW-VALUE.
008800         05  MBCA-PROGRAM-LOCATION
008900                             PIC  X(04).
009000         05  MBCA-TRANS-LOOP-CONTROL.
009100             07  MBCA-TRANS-LOOP-CONTROL-9
009200                             PIC  9(02).
009300         05  MBCA-CTA-XCTL-SW
009400                             PIC  X(01).
009500         05  MBCA-PGMX-PF-KEY-AREA.
009600             07  MBCA-PGMX-PF-KEY            OCCURS 6 TIMES
009700                                             INDEXED BY
009800                                             X-MBCA-PGMX-PF-KEY.
009900*                            PF KEY VALUES (TRAN ID'S)
010000                 09  MBCA-PGMX-PF-TRANS-ID
010100                             PIC  X(04).
010200         05  MBCA-ADDR-AUX-1                 USAGE IS POINTER.
010300         05  MBCA-ADDR-AUX-2                 USAGE IS POINTER.
010400         05  MBCA-ADDR-AUX-3                 USAGE IS POINTER.
010500         05  MBCA-ADDR-AUX-4                 USAGE IS POINTER.
010600         05  MBCA-CTA-XCTL-TRANS-ID.
010700             07  MBCA-CTA-XCTL-TI-POS-1-2
010800                             PIC  X(02).
010900             07  MBCA-CTA-XCTL-TI-POS-3-4
011000                             PIC  X(02).
011100         05  MBCA-CTA-XCTL-APPL
011200                             PIC  9(02).
011300         05  MBCA-CTA-XCTL-ORG
011400                             PIC  9(03).
011500         05  MBCA-CTA-XCTL-TYPE-LOGO
011600                             PIC  9(03).
011700         05  MBCA-CTA-XCTL-ACCT
011800                             PIC  X(19).
011900         05  MBCA-WORK-TRANS-ID
012000                             PIC  X(04).
012100         05  MBCA-EIBAID     PIC  X(01).
012200             88  MBCA-EIBAID-ENTER           VALUE X'7D'.
012300             88  MBCA-EIBAID-CLEAR           VALUE X'6D'.
012400*
012500     03  MBCA-MBUI-USER-INPUT-SW
012600                             PIC  X(01).
012700         88  MBCA-MBUI-UI-YES                VALUE 'Y'.
012800         88  MBCA-MBUI-UI-NO                 VALUE 'N'.
012900*
013000     03  FILLER              PIC  X(40).
013100*
013200     03  MBCA-PGM-TABLE-HEADER
013300                             PIC  X(120).
013400     03  MBCA-PGM-TABLE-DETAIL
013500                             PIC  X(120).
013600*
013700     03  MBCA-COMMAREA-ID    PIC  X(06).
013800         88  MBCA-COMMAREA-IS-V--MBS         VALUE 'V++MBS'.
013900*
014000     03  MBCA-ERRR-WORK-AREA.
014100         05  MBCA-ERRR-EIBFN-CODES
014200                             PIC  X(02).
014300         05  MBCA-ERRR-EIBRCODE.
014400             07  MBCA-ERRR-EIBRCODE-1
014500                             PIC  X(02).
014600             07  MBCA-ERRR-EIBRCODE-2
014700                             PIC  X(02).
014800             07  MBCA-ERRR-EIBRCODE-3
014900                             PIC  X(02).
015000         05  MBCA-ERRR-EIBDS PIC  X(08).
015100         05  MBCA-ERRR-MSG1  PIC  X(40).
015200         05  MBCA-ERRR-MSG2  PIC  X(40).
015300         05  MBCA-ERRR-BAD-PROGRAM
015400                             PIC  X(08).
015500         05  MBCA-ERRR-BAD-TRANSID
015600                             PIC  X(04).
015700         05  MBCA-ERRR-IO-REQUEST
015800                             PIC  X(02).
015900*
016000     03  MBCA-TIMEOUT-SAVE-DATA.
016100         05  MBCA-TIMEOUT    PIC  9(04).
016200         05  MBCA-TCTUA-BEG  PIC  9(05).
016300         05  MBCA-TCTUA-LEN  PIC  9(05).
016400*
016500     03  FILLER              PIC  X(35).
016600/
016700     03  MBCA-FILE-KEYS.
016800         05  MBCA-KEY-CODE   PIC  9(02).
016900             88  MBCA-MMAM-KEY-CODE          VALUE 01 51
017000                                                   04 54
017100                                                   09 59
017200                                                   13 63
017300                                                   14 64
017400                                                   17 67
017500                                                   18 68
017600                                                   19 69
017700                                                   25 75
017800                                                   28 78
017900                                                   30 80.
018000             88  MBCA-MMBC-KEY-CODE          VALUE 02 52.
018100             88  MBCA-MMCG-KEY-CODE          VALUE 03 53
018200                                                   10 60
018300                                                   16 66
018400                                                   20 70
018500                                                   22 72.
018600             88  MBCA-MMCP-KEY-CODE          VALUE 04 54
018700                                                   01 51
018800                                                   09 59
018900                                                   13 63
019000                                                   14 64
019100                                                   17 67
019200                                                   18 68
019300                                                   19 69
019400                                                   25 75
019500                                                   28 78
019600                                                   30 80.
019700             88  MBCA-MMCS-KEY-CODE          VALUE 05 55
019800                                                   21 71
019900                                                   26 76.
020000             88  MBCA-MMCT-KEY-CODE          VALUE 06 56.
020100             88  MBCA-MMD3-KEY-CODE          VALUE 19 69.
020200             88  MBCA-MMD4-KEY-CODE          VALUE 19 69.
020300             88  MBCA-MMEF-KEY-CODE          VALUE 07 57
020400                                                   23 73.
020500             88  MBCA-MMEX-KEY-CODE          VALUE 08 58.
020600             88  MBCA-MMFA-KEY-CODE          VALUE 09 59
020700                                                   01 51
020800                                                   04 54
020900                                                   13 63
021000                                                   14 64
021100                                                   17 67
021200                                                   18 68
021300                                                   19 69
021400                                                   25 75
021500                                                   28 78
021600                                                   30 80.
021700             88  MBCA-MMFG-KEY-CODE          VALUE 10 60
021800                                                   03 53
021900                                                   16 66
022000                                                   20 70
022100                                                   22 72.
022200             88  MBCA-MMFP-KEY-CODE          VALUE 07 57
022300                                                   23 73.
022400             88  MBCA-MMFS-KEY-CODE          VALUE 11 61.
022500             88  MBCA-MMGD-KEY-CODE          VALUE 12 62.
022600             88  MBCA-MMIC-KEY-CODE          VALUE 13 63
022700                                                   09 59
022800                                                   01 51
022900                                                   04 54
023000                                                   14 64
023100                                                   17 67
023200                                                   18 68
023300                                                   19 69
023400                                                   25 75
023500                                                   28 78
023600                                                   30 80.
023700             88  MBCA-MMIF-KEY-CODE          VALUE 07 57
023800                                                   23 73.
023900             88  MBCA-MMLG-KEY-CODE          VALUE 03 53
024000                                                   10 60
024100                                                   16 66
024200                                                   20 70
024300                                                   22 72.
024400             88  MBCA-MMMM-KEY-CODE          VALUE 09 59
024500                                                   13 63
024600                                                   01 51
024700                                                   04 54
024800                                                   14 64
024900                                                   17 67
025000                                                   18 68
025100                                                   19 69
025200                                                   25 75
025300                                                   28 78
025400                                                   30 80.
025500             88  MBCA-MMMP-KEY-CODE          VALUE 14 64
025600                                                   09 59
025700                                                   13 63
025800                                                   01 51
025900                                                   04 54
026000                                                   17 67
026100                                                   18 68
026200                                                   19 69
026300                                                   25 75
026400                                                   28 78
026500                                                   30 80.
026600             88  MBCA-MMNL-KEY-CODE          VALUE 15 65.
026700             88  MBCA-MMOC-KEY-CODE          VALUE 12 62.
026800             88  MBCA-MMOG-KEY-CODE          VALUE 16 66
026900                                                   03 53
027000                                                   10 60
027100                                                   20 70
027200                                                   22 72.
027300             88  MBCA-MMOI-KEY-CODE          VALUE 17 67
027400                                                   14 64
027500                                                   09 59
027600                                                   13 63
027700                                                   01 51
027800                                                   04 54
027900                                                   18 68
028000                                                   19 69
028100                                                   25 75
028200                                                   28 78
028300                                                   30 80.
028400             88  MBCA-MMOE-KEY-CODE          VALUE 17 67
028500                                                   14 64
028600                                                   09 59
028700                                                   13 63
028800                                                   01 51
028900                                                   04 54
029000                                                   18 68
029100                                                   19 69
029200                                                   25 75
029300                                                   28 78
029400                                                   30 80.
029500             88  MBCA-MMOX-KEY-CODE          VALUE 16 66
029600                                                   03 53
029700                                                   10 60
029800                                                   20 70
029900                                                   22 72.
030000             88  MBCA-MMPA-KEY-CODE          VALUE 18 68
030100                                                   17 67
030200                                                   14 64
030300                                                   09 59
030400                                                   13 63
030500                                                   01 51
030600                                                   04 54
030700                                                   19 69
030800                                                   25 75
030900                                                   28 78
031000                                                   30 80.
031100             88  MBCA-MMPE-KEY-CODE          VALUE 18 68
031200                                                   17 67
031300                                                   14 64
031400                                                   09 59
031500                                                   13 63
031600                                                   01 51
031700                                                   04 54
031800                                                   19 69
031900                                                   25 75
032000                                                   28 78
032100                                                   30 80.
032200             88  MBCA-MMPF-KEY-CODE          VALUE 13 63
032300                                                   18 68
032400                                                   17 67
032500                                                   14 64
032600                                                   09 59
032700                                                   13 63
032800                                                   01 51
032900                                                   04 54
033000                                                   25 75
033100                                                   28 78
033200                                                   30 80.
033300             88  MBCA-MMPG-KEY-CODE          VALUE 20 70
033400                                                   16 66
033500                                                   03 53
033600                                                   10 60
033700                                                   22 72.
033800             88  MBCA-MMPS-KEY-CODE          VALUE 21 71
033900                                                   05 55
034000                                                   26 76.
034100             88  MBCA-MMPX-KEY-CODE          VALUE 20 70
034200                                                   16 66
034300                                                   03 53
034400                                                   10 60
034500                                                   22 72.
034600             88  MBCA-MMRC-KEY-CODE          VALUE 10 60
034700                                                   20 70
034800                                                   16 66
034900                                                   03 53
035000                                                   22 72.
035100             88  MBCA-MMRD-KEY-CODE          VALUE 22 72
035200                                                   10 60
035300                                                   20 70
035400                                                   16 66
035500                                                   03 53.
035600             88  MBCA-MMRG-KEY-CODE          VALUE 20 70
035700                                                   16 66
035800                                                   03 53
035900                                                   10 60
036000                                                   22 72.
036100             88  MBCA-MMRT-KEY-CODE          VALUE 23 73
036200                                                   07 57.
036300             88  MBCA-MMSC-KEY-CODE          VALUE 24 74.
036400             88  MBCA-MMSD-KEY-CODE          VALUE 22 72
036500                                                   10 60
036600                                                   20 70
036700                                                   16 66
036800                                                   03 53.
036900             88  MBCA-MMSH-KEY-CODE          VALUE 25 75
037000                                                   19 69
037100                                                   18 68
037200                                                   17 67
037300                                                   14 64
037400                                                   09 59
037500                                                   13 63
037600                                                   01 51
037700                                                   04 54
037800                                                   28 78
037900                                                   30 80.
038000             88  MBCA-MMSM-KEY-CODE          VALUE 26 76
038100                                                   21 71
038200                                                   05 55.
038300             88  MBCA-MMSR-KEY-CODE          VALUE 10 60
038400                                                   03 53
038500                                                   16 66
038600                                                   20 70
038700                                                   22 72.
038800             88  MBCA-MMSS-KEY-CODE          VALUE 27 77.
038900             88  MBCA-MMS1-KEY-CODE          VALUE 28 78
039000                                                   25 75
039100                                                   19 69
039200                                                   18 68
039300                                                   17 67
039400                                                   14 64
039500                                                   09 59
039600                                                   13 63
039700                                                   01 51
039800                                                   04 54
039900                                                   30 80.
040000             88  MBCA-MMS2-KEY-CODE          VALUE 28 78
040100                                                   25 75
040200                                                   19 69
040300                                                   18 68
040400                                                   17 67
040500                                                   14 64
040600                                                   09 59
040700                                                   13 63
040800                                                   01 51
040900                                                   04 54
041000                                                   30 80.
041100             88  MBCA-MMTC-KEY-CODE          VALUE 29 79.
041200             88  MBCA-MMTM-KEY-CODE          VALUE 13 63
041300                                                   09 59
041400                                                   01 51
041500                                                   04 54
041600                                                   14 64
041700                                                   17 67
041800                                                   18 68
041900                                                   19 69
042000                                                   25 75
042100                                                   28 78
042200                                                   30 80.
042300             88  MBCA-MMT1-KEY-CODE          VALUE 25 75
042400                                                   28 78
042500                                                   19 69
042600                                                   18 68
042700                                                   17 67
042800                                                   14 64
042900                                                   09 59
043000                                                   13 63
043100                                                   01 51
043200                                                   04 54
043300                                                   30 80.
043400             88  MBCA-MMXR-KEY-CODE          VALUE 30 80
043500                                                   25 75
043600                                                   28 78
043700                                                   19 69
043800                                                   18 68
043900                                                   17 67
044000                                                   14 64
044100                                                   09 59
044200                                                   13 63
044300                                                   01 51
044400                                                   04 54.
044500             88  MBCA-MMXT-KEY-CODE          VALUE 12 62.
044600             88  MBCA-INITIAL-KEY-CODE       VALUE 99.
044700             88  MBCA-INDIRECT-TRANSFER-CODE VALUE 01 THRU 30.
044800             88  MBCA-DIRECT-TRANSFER-CODE   VALUE 51 THRU 80.
044900             88  MBCA-VALID-KEY-CODES        VALUE 01 THRU 30
045000                                                   51 THRU 80
045100                                                   99.
045200*
045300         05  MBCA-ORG        PIC  9(03).
045400         05  MBCA-ORG-MERCHANT.
045500             07  MBCA-MERCHANT-ORG
045600                             PIC  9(03).
045700             07  MBCA-MERCHANT
045800                             PIC  9(09).
045900         05  MBCA-TABLE      PIC  9(09).
046000         05  MBCA-PROFILE    PIC  X(01).
046100         05  MBCA-GROUP-NBR  PIC  9(02).
046200         05  MBCA-SEQ-NBR    PIC  9(02).
046300         05  MBCA-TRANS-CODE PIC  9(03).
046400         05  MBCA-TC-CODE    PIC  9(04).
046500         05  MBCA-INSERT-NBR PIC  9(02).
046600         05  MBCA-REC-NBR    PIC  9(02).
046700         05  MBCA-SEQUENCE   PIC S9(08)      BINARY.
046800         05  MBCA-LOGO       PIC  9(03).
046900         05  MBCA-BS-ACCT    PIC  X(19).
047000         05  MBCA-CUS-ACCT   PIC  X(19).
047100         05  MBCA-CARD-PROD  PIC  9(02).
047200         05  MBCA-QUAL-LEVEL PIC  9(02).
047300         05  MBCA-CHAIN      PIC  9(09).
047400         05  MBCA-S-CHAIN    PIC  9(09).
047500         05  MBCA-SELECTED-DATE
047600                             PIC  9(08).
047700         05  MBCA-REQ-NBR    PIC  9(05).
047800         05  MBCA-CURRENCY-CODE
047900                             PIC  X(03).
048000         05  MBCA-TABLE-TYPE PIC  X(01).
048100             88  MBCA-TT-VALID               VALUE 'D' 'P'
048200                                                   'R' 'V'.
048300         05  MBCA-STORE      PIC  9(09).
048400         05  MBCA-S-M        PIC  X(01).
048500         05  MBCA-APPLICATION
048600                             PIC  9(02).
048700         05  MBCA-TYPE-LOGO  PIC  9(03).
048800         05  MBCA-INDEX-1    PIC S9(04)      BINARY.
048900         05  MBCA-INDEX-2    PIC S9(04)      BINARY.
049000         05  MBCA-PLAN       PIC  9(05).
049100         05  MBCA-REQUEST-NBR
049200                             PIC  9(05).
049300         05  MBCA-ACTION-CODE
049400                             PIC  X(02).
049500         05  MBCA-CURRENCY-NOD
049600                             PIC  X(01).
049700         05  MBCA-PER-ITEM-NOD
049800                             PIC  X(01).
049900         05  MBCA-PERCENT-NOD
050000                             PIC  X(01).
050100         05  FILLER          PIC  X(17).
050200*
050300         05  MBCA-SCS-FILE-TABLE
050400                             PIC  X(01).
050500*
050600     03  MBCA-SECURITY-DATA.
050700         05  MBCA-SIGNON-NAME
050800                             PIC  X(20).
050900         05  MBCA-ORG-LOW    PIC S9(03)      COMP-3.
051000         05  MBCA-ORG-HIGH   PIC S9(03)      COMP-3.
051100         05  MBCA-CODES      PIC S9(17)      COMP-3.
051200         05  MBCA-FIELD-SECURITY
051300                             PIC  X(01).
051400         05  MBCA-FILE-TABLE PIC  X(01).
051500         05  MBCA-PGM-TABLE  PIC  X(01).
051600         05  MBCA-OPERATOR-ID
051700                             PIC  X(03).
051800         05  MBCA-SOURCE-ID  PIC  X(03).
051900/
052000     03  MBCA-USER-WORK-AREA.
052100*                            THIS AREA IS RESERVED FOR ANY USER
052200*                            FIELDS WHICH MAY BE NEEDED BY CCSI
052300*                            CUSTOMERS AND IS AVAILABLE FOR THEIR
052400*                            USE.
052500         05  FILLER          PIC  X(200).
052600*
052700*
052800*
052900*
053000/
053100     03  MBCA-TRANS-WORK-AREA
053200                             PIC  X(500).
053300*
053400******************************************************************
053500*    WORK AREA FOR MERCHANT DIRECTORY ITEMS
053600******************************************************************
053700*
053800     03  MBCA-MBDA-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
053900         05  MBCA-MBDA-ORG   PIC  9(03).
054000         05  MBCA-MBDA-ORG-NAME
054100                             PIC  X(40).
054200         05  MBCA-MBDA-RETURN-FLAG
054300                             PIC  X(01).
054400             88  MBCA-MBDA-RETURN-NORMAL     VALUE ' '.
054500             88  MBCA-MBDA-RETURN-TOP        VALUE 'T'.
054600             88  MBCA-MBDA-RETURN-BOTTOM     VALUE 'E'.
054700             88  MBCA-MBDA-RETURN-FWD        VALUE 'F'.
054800             88  MBCA-MBDA-RETURN-BWD        VALUE 'B'.
054900         05  MBCA-MBDA-FIRST-KEY.
055000             07  MBCA-MBDA-FIRST-MERCHANT
055100                             PIC  9(09).
055200             07  MBCA-MBDA-FIRST-SEQ-NBR
055300                             PIC  9(08).
055400         05  MBCA-MBDA-FWD-KEY.
055500             07  MBCA-MBDA-FWD-MERCHANT
055600                             PIC  9(09).
055700             07  MBCA-MBDA-FWD-SEQ-NBR
055800                             PIC  9(08).
055900         05  MBCA-MBDA-BACK-KEY.
056000             07  MBCA-MBDA-BACK-MERCHANT
056100                             PIC  9(09).
056200             07  MBCA-MBDA-BACK-SEQ-NBR
056300                             PIC  9(08).
056400         05  FILLER          PIC  X(405).
056500*
056600******************************************************************
056700*    WORK AREA FOR MERCHANT CHAIN DIRECTORY ITEMS
056800******************************************************************
056900*
057000     03  MBCA-MBDC-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
057100         05  MBCA-MBDC-ORG   PIC  9(03).
057200         05  MBCA-MBDC-ORG-NAME
057300                             PIC  X(40).
057400         05  MBCA-MBDC-RETURN-FLAG
057500                             PIC  X(01).
057600             88  MBCA-MBDC-RETURN-NORMAL     VALUE ' '.
057700             88  MBCA-MBDC-RETURN-TOP        VALUE 'T'.
057800             88  MBCA-MBDC-RETURN-BOTTOM     VALUE 'E'.
057900             88  MBCA-MBDC-RETURN-FWD        VALUE 'F'.
058000             88  MBCA-MBDC-RETURN-BWD        VALUE 'B'.
058100         05  MBCA-MBDC-FIRST-KEY.
058200             07  MBCA-MBDC-FIRST-CHAIN-NBR
058300                             PIC  9(09).
058400         05  MBCA-MBDC-FWD-KEY.
058500             07  MBCA-MBDC-FWD-CHAIN-NBR
058600                             PIC  9(09).
058700         05  MBCA-MBDC-BACK-KEY.
058800             07  MBCA-MBDC-BACK-CHAIN-NBR
058900                             PIC  9(09).
059000         05  FILLER          PIC  X(429).
059100*
059200******************************************************************
059300*    WORK AREA FOR MERCHANT EXPENSE DIRECTORY ITEMS
059400******************************************************************
059500*
059600     03  MBCA-MBDE-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
059700         05  MBCA-MBDE-ORG   PIC  9(03).
059800         05  MBCA-MBDE-EXP-TABLE-NAME
059900                             PIC  X(40).
060000         05  MBCA-MBDE-RETURN-FLAG
060100                             PIC  X(01).
060200             88  MBCA-MBDE-RETURN-NORMAL     VALUE ' '.
060300             88  MBCA-MBDE-RETURN-TOP        VALUE 'T'.
060400             88  MBCA-MBDE-RETURN-BOTTOM     VALUE 'E'.
060500             88  MBCA-MBDE-RETURN-FWD        VALUE 'F'.
060600             88  MBCA-MBDE-RETURN-BWD        VALUE 'B'.
060700         05  MBCA-MBDE-FIRST-KEY.
060800             07  MBCA-MBDE-FIRST-TABLE-NBR
060900                             PIC  9(09).
061000         05  MBCA-MBDE-FWD-KEY.
061100             07  MBCA-MBDE-FWD-TABLE-NBR
061200                             PIC  9(09).
061300         05  MBCA-MBDE-BACK-KEY.
061400             07  MBCA-MBDE-BACK-TABLE-NBR
061500                             PIC  9(09).
061600         05  FILLER          PIC  X(429).
061700*
061800******************************************************************
061900*    WORK AREA FOR FIELD SECURITY DIRECTORY ITEMS
062000******************************************************************
062100*
062200     03  MBCA-MBDF-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
062300         05  MBCA-MBDF-ORG   PIC  9(03).
062400         05  MBCA-MBDF-ORG-NAME
062500                             PIC  X(40).
062600         05  MBCA-MBDF-RETURN-FLAG
062700                             PIC  X(01).
062800             88  MBCA-MBDF-RETURN-NORMAL     VALUE ' '.
062900             88  MBCA-MBDF-RETURN-TOP        VALUE 'T'.
063000             88  MBCA-MBDF-RETURN-BOTTOM     VALUE 'E'.
063100             88  MBCA-MBDF-RETURN-FWD        VALUE 'F'.
063200             88  MBCA-MBDF-RETURN-BWD        VALUE 'B'.
063300         05  MBCA-MBDF-FIRST-KEY.
063400             07  MBCA-MBDF-FIRST-CODE
063500                             PIC  X(01).
063600         05  MBCA-MBDF-FWD-KEY.
063700             07  MBCA-MBDF-FWD-FILLER
063800                             PIC  X(01).
063900             07  MBCA-MBDF-FWD-CODE
064000                             PIC  X(01).
064100         05  MBCA-MBDF-FWD-KEY-NUM
064200                             REDEFINES MBCA-MBDF-FWD-KEY.
064300             07  MBCA-MBDF-FWD-CODE-NUM
064400                             PIC S9(04)      BINARY.
064500         05  MBCA-MBDF-BACK-KEY.
064600             07  MBCA-MBDF-BACK-CODE
064700                             PIC  X(01).
064800         05  FILLER          PIC  X(452).
064900*
065000******************************************************************
065100*    WORK AREA FOR STORE CHAIN DIRECTORY ITEMS
065200******************************************************************
065300*
065400     03  MBCA-MBDG-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
065500         05  MBCA-MBDG-ORG   PIC  9(03).
065600         05  MBCA-MBDG-ORG-NAME
065700                             PIC  X(40).
065800         05  MBCA-MBDG-RETURN-FLAG
065900                             PIC  X(01).
066000             88  MBCA-MBDG-RETURN-NORMAL     VALUE ' '.
066100             88  MBCA-MBDG-RETURN-TOP        VALUE 'T'.
066200             88  MBCA-MBDG-RETURN-BOTTOM     VALUE 'E'.
066300             88  MBCA-MBDG-RETURN-FWD        VALUE 'F'.
066400             88  MBCA-MBDG-RETURN-BWD        VALUE 'B'.
066500         05  MBCA-MBDG-FIRST-KEY.
066600             07  MBCA-MBDG-FIRST-CHAIN-NBR
066700                             PIC  9(09).
066800         05  MBCA-MBDG-FWD-KEY.
066900             07  MBCA-MBDG-FWD-CHAIN-NBR
067000                             PIC  9(09).
067100         05  MBCA-MBDG-BACK-KEY.
067200             07  MBCA-MBDG-BACK-CHAIN-NBR
067300                             PIC  9(09).
067400         05  FILLER          PIC  X(429).
067500*
067600******************************************************************
067700*    WORK AREA FOR MERCHANT INCOME DIRECTORY ITEMS
067800******************************************************************
067900*
068000     03  MBCA-MBDI-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
068100         05  MBCA-MBDI-ORG   PIC  9(03).
068200         05  MBCA-MBDI-INC-TABLE-NAME
068300                             PIC  X(40).
068400         05  MBCA-MBDI-RETURN-FLAG
068500                             PIC  X(01).
068600             88  MBCA-MBDI-RETURN-NORMAL     VALUE ' '.
068700             88  MBCA-MBDI-RETURN-TOP        VALUE 'T'.
068800             88  MBCA-MBDI-RETURN-BOTTOM     VALUE 'E'.
068900             88  MBCA-MBDI-RETURN-FWD        VALUE 'F'.
069000             88  MBCA-MBDI-RETURN-BWD        VALUE 'B'.
069100         05  MBCA-MBDI-FIRST-KEY.
069200             07  MBCA-MBDI-FIRST-TABLE-NBR
069300                             PIC  9(09).
069400         05  MBCA-MBDI-FWD-KEY.
069500             07  MBCA-MBDI-FWD-TABLE-NBR
069600                             PIC  9(09).
069700         05  MBCA-MBDI-BACK-KEY.
069800             07  MBCA-MBDI-BACK-TABLE-NBR
069900                             PIC  9(09).
070000         05  FILLER          PIC  X(429).
070100*
070200******************************************************************
070300*    WORK AREA FOR MERCHANT DIRECTORY ITEMS
070400******************************************************************
070500*
070600     03  MBCA-MBDM-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
070700         05  MBCA-MBDM-ORG   PIC  9(03).
070800         05  MBCA-MBDM-ORG-NAME
070900                             PIC  X(40).
071000         05  MBCA-MBDM-RETURN-FLAG
071100                             PIC  X(01).
071200             88  MBCA-MBDM-RETURN-NORMAL     VALUE ' '.
071300             88  MBCA-MBDM-RETURN-TOP        VALUE 'T'.
071400             88  MBCA-MBDM-RETURN-BOTTOM     VALUE 'E'.
071500             88  MBCA-MBDM-RETURN-FWD        VALUE 'F'.
071600             88  MBCA-MBDM-RETURN-BWD        VALUE 'B'.
071700         05  MBCA-MBDM-FIRST-KEY.
071800             07  MBCA-MBDM-FIRST-MERCHANT
071900                             PIC  9(09).
072000         05  MBCA-MBDM-FWD-KEY.
072100             07  MBCA-MBDM-FWD-MERCHANT
072200                             PIC  9(09).
072300         05  MBCA-MBDM-BACK-KEY.
072400             07  MBCA-MBDM-BACK-MERCHANT
072500                             PIC  9(09).
072600         05  FILLER          PIC  X(429).
072700*
072800******************************************************************
072900*    WORK AREA FOR ORGANIZATION DIRECTORY ITEMS
073000******************************************************************
073100*
073200     03  MBCA-MBDO-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
073300         05  MBCA-MBDO-RETURN-FLAG
073400                             PIC  X(01).
073500             88  MBCA-MBDO-RETURN-NORMAL     VALUE ' '.
073600             88  MBCA-MBDO-RETURN-TOP        VALUE 'T'.
073700             88  MBCA-MBDO-RETURN-BOTTOM     VALUE 'E'.
073800             88  MBCA-MBDO-RETURN-FWD        VALUE 'F'.
073900             88  MBCA-MBDO-RETURN-BWD        VALUE 'B'.
074000         05  MBCA-MBDO-FIRST-KEY.
074100             07  MBCA-MBDO-FIRST-ORG
074200                             PIC  9(03).
074300         05  MBCA-MBDO-FWD-KEY.
074400             07  MBCA-MBDO-FWD-ORG
074500                             PIC  9(03).
074600         05  MBCA-MBDO-BACK-KEY.
074700             07  MBCA-MBDO-BACK-ORG
074800                             PIC  9(03).
074900         05  FILLER          PIC  X(490).
075000*
075100******************************************************************
075200*    WORK AREA FOR EXAM DIRECTORY ITEMS
075300******************************************************************
075400*
075500     03  MBCA-MBDQ-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
075600         05  MBCA-MBDQ-ORG   PIC  9(03).
075700         05  MBCA-MBDQ-RETURN-FLAG
075800                             PIC  X(01).
075900             88  MBCA-MBDQ-RETURN-NORMAL     VALUE ' '.
076000             88  MBCA-MBDQ-RETURN-TOP        VALUE 'T'.
076100             88  MBCA-MBDQ-RETURN-BOTTOM     VALUE 'E'.
076200             88  MBCA-MBDQ-RETURN-FWD        VALUE 'F'.
076300             88  MBCA-MBDQ-RETURN-BWD        VALUE 'B'.
076400         05  MBCA-MBDQ-FIRST-KEY.
076500             07  MBCA-MBDQ-FIRST-REQUEST
076600                             PIC  9(05).
076700         05  MBCA-MBDQ-FWD-KEY.
076800             07  MBCA-MBDQ-FWD-REQUEST
076900                             PIC  9(05).
077000         05  MBCA-MBDQ-BACK-KEY.
077100             07  MBCA-MBDQ-BACK-REQUEST
077200                             PIC  9(05).
077300         05  FILLER          PIC  X(481).
077400*
077500******************************************************************
077600*    WORK AREA FOR RATE TABLE DIRECTORY ITEMS
077700******************************************************************
077800*
077900     03  MBCA-MBDR-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
078000         05  MBCA-MBDR-ORG   PIC  9(03).
078100         05  MBCA-MBDR-ORG-NAME
078200                             PIC  X(40).
078300         05  MBCA-MBDR-TABLE-TYPE
078400                             PIC  X(01).
078500         05  MBCA-MBDR-RETURN-FLAG
078600                             PIC  X(01).
078700             88  MBCA-MBDR-RETURN-NORMAL     VALUE ' '.
078800             88  MBCA-MBDR-RETURN-TOP        VALUE 'T'.
078900             88  MBCA-MBDR-RETURN-BOTTOM     VALUE 'E'.
079000             88  MBCA-MBDR-RETURN-FWD        VALUE 'F'.
079100             88  MBCA-MBDR-RETURN-BWD        VALUE 'B'.
079200         05  MBCA-MBDR-FIRST-KEY.
079300             07  MBCA-MBDR-FIRST-TABLE-NBR
079400                             PIC  9(09).
079500         05  MBCA-MBDR-FWD-KEY.
079600             07  MBCA-MBDR-FWD-TABLE-NBR
079700                             PIC  9(09).
079800         05  MBCA-MBDR-BACK-KEY.
079900             07  MBCA-MBDR-BACK-TABLE-NBR
080000                             PIC  9(09).
080100         05  FILLER          PIC  X(428).
080200*
080300******************************************************************
080400*    WORK AREA FOR STORE DIRECTORY ITEMS
080500******************************************************************
080600*
080700     03  MBCA-MBDS-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
080800         05  MBCA-MBDS-ORG   PIC  9(03).
080900         05  MBCA-MBDS-ORG-NAME
081000                             PIC  X(40).
081100         05  MBCA-MBDS-RETURN-FLAG
081200                             PIC  X(01).
081300             88  MBCA-MBDS-RETURN-NORMAL     VALUE ' '.
081400             88  MBCA-MBDS-RETURN-TOP        VALUE 'T'.
081500             88  MBCA-MBDS-RETURN-BOTTOM     VALUE 'E'.
081600             88  MBCA-MBDS-RETURN-FWD        VALUE 'F'.
081700             88  MBCA-MBDS-RETURN-BWD        VALUE 'B'.
081800         05  MBCA-MBDS-FIRST-KEY.
081900             07  MBCA-MBDS-FIRST-STORE
082000                             PIC  9(09).
082100         05  MBCA-MBDS-FWD-KEY.
082200             07  MBCA-MBDS-FWD-STORE
082300                             PIC  9(09).
082400         05  MBCA-MBDS-BACK-KEY.
082500             07  MBCA-MBDS-BACK-STORE
082600                             PIC  9(09).
082700         05  FILLER          PIC  X(429).
082800*
082900******************************************************************
083000*    WORK AREA FOR FRAUD TABLE DIRECTORY ITEMS
083100******************************************************************
083200*
083300     03  MBCA-MBDU-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
083400         05  MBCA-MBDU-ORG   PIC  9(03).
083500         05  MBCA-MBDU-ORG-NAME
083600                             PIC  X(40).
083700         05  MBCA-MBDU-RETURN-FLAG
083800                             PIC  X(01).
083900             88  MBCA-MBDU-RETURN-NORMAL     VALUE ' '.
084000             88  MBCA-MBDU-RETURN-TOP        VALUE 'T'.
084100             88  MBCA-MBDU-RETURN-BOTTOM     VALUE 'E'.
084200             88  MBCA-MBDU-RETURN-FWD        VALUE 'F'.
084300             88  MBCA-MBDU-RETURN-BWD        VALUE 'B'.
084400         05  MBCA-MBDU-FIRST-KEY.
084500             07  MBCA-MBDU-FIRST-TABLE-NBR
084600                             PIC  9(09).
084700         05  MBCA-MBDU-FWD-KEY.
084800             07  MBCA-MBDU-FWD-TABLE-NBR
084900                             PIC  9(09).
085000         05  MBCA-MBDU-BACK-KEY.
085100             07  MBCA-MBDU-BACK-TABLE-NBR
085200                             PIC  9(09).
085300         05  FILLER          PIC  X(429).
085400*
085500******************************************************************
085600*    WORK AREA FOR INVENTORY DIRECTORY ITEMS
085700******************************************************************
085800*
085900     03  MBCA-MBDV-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
086000         05  MBCA-MBDV-ORG   PIC  9(03).
086100         05  MBCA-MBDV-ORG-NAME
086200                             PIC  X(40).
086300         05  MBCA-MBDV-RETURN-FLAG
086400                             PIC  X(01).
086500             88  MBCA-MBDV-RETURN-NORMAL     VALUE ' '.
086600             88  MBCA-MBDV-RETURN-TOP        VALUE 'T'.
086700             88  MBCA-MBDV-RETURN-BOTTOM     VALUE 'E'.
086800             88  MBCA-MBDV-RETURN-FWD        VALUE 'F'.
086900             88  MBCA-MBDV-RETURN-BWD        VALUE 'B'.
087000         05  MBCA-MBDV-FIRST-KEY.
087100             07  MBCA-MBDV-FIRST-MERCHANT
087200                             PIC  9(09).
087300         05  MBCA-MBDV-FWD-KEY.
087400             07  MBCA-MBDV-FWD-MERCHANT
087500                             PIC  9(09).
087600             07  MBCA-MBDV-FWD-TYPE
087700                             PIC  X(01).
087800         05  MBCA-MBDV-BACK-KEY.
087900             07  MBCA-MBDV-BACK-MERCHANT
088000                             PIC  9(09).
088100         05  FILLER          PIC  X(428).
088200*
088300******************************************************************
088400*    WORK AREA FOR MONETARY TRANS CODE DIRECTORY ITEMS
088500******************************************************************
088600*
088700     03  MBCA-MBDX-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
088800         05  MBCA-MBDX-ORG   PIC  9(03).
088900         05  MBCA-MBDX-ORG-NAME
089000                             PIC  X(40).
089100         05  MBCA-MBDX-RETURN-FLAG
089200                             PIC  X(01).
089300             88  MBCA-MBDX-RETURN-NORMAL     VALUE ' '.
089400             88  MBCA-MBDX-RETURN-TOP        VALUE 'T'.
089500             88  MBCA-MBDX-RETURN-BOTTOM     VALUE 'E'.
089600             88  MBCA-MBDX-RETURN-FWD        VALUE 'F'.
089700             88  MBCA-MBDX-RETURN-BWD        VALUE 'B'.
089800         05  MBCA-MBDX-FIRST-KEY.
089900             07  MBCA-MBDX-FIRST-TXN-CODE
090000                             PIC  9(03).
090100         05  MBCA-MBDX-FWD-KEY.
090200             07  MBCA-MBDX-FWD-TXN-CODE
090300                             PIC  9(03).
090400         05  MBCA-MBDX-BACK-KEY.
090500             07  MBCA-MBDX-BACK-TXN-CODE
090600                             PIC  9(03).
090700         05  FILLER          PIC  X(447).
090800*
090900******************************************************************
091000*    WORK AREA FOR BATCH INQIURY LOCATE
091100******************************************************************
091200*
091300     03  MBCA-MBIB-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
091400         05  MBCA-MBIB-RETURN-FLAG
091500                             PIC  X(01).
091600             88  MBCA-MBIB-RETURN-NORMAL     VALUE ' '.
091700             88  MBCA-MBIB-RETURN-TOP        VALUE 'T'.
091800             88  MBCA-MBIB-RETURN-FWD        VALUE 'F'.
091900             88  MBCA-MBIB-RETURN-BWD        VALUE 'B'.
092000         05  MBCA-MBIB-1ST-KEY.
092100             07  MBCA-MBIB-1ST-ORG
092200                             PIC  9(03).
092300             07  MBCA-MBIB-1ST-MERCHANT
092400                             PIC  9(09).
092500             07  MBCA-MBIB-1ST-STORE
092600                             PIC S9(09)      COMP-3.
092700             07  MBCA-MBIB-1ST-BATCH-DATE
092800                             PIC S9(07)      COMP-3.
092900             07  MBCA-MBIB-1ST-BATCH-SOURCE
093000                             PIC S9(05)      COMP-3.
093100             07  MBCA-MBIB-1ST-BATCH-NBR
093200                             PIC S9(05)      COMP-3.
093300             07  MBCA-MBIB-1ST-BATCH-SEQ
093400                             PIC S9(08)      BINARY.
093500             07  MBCA-MBIB-1ST-SEQ-NBR
093600                             PIC S9(08)      BINARY.
093700         05  MBCA-MBIB-1ST-POST-DATE
093800                             PIC S9(07)      COMP-3.
093900         05  MBCA-MBIB-HDR-KEY.
094000             07  MBCA-MBIB-HDR-ORG
094100                             PIC  9(03).
094200             07  MBCA-MBIB-HDR-MERCHANT
094300                             PIC  9(09).
094400             07  MBCA-MBIB-HDR-STORE
094500                             PIC S9(09)      COMP-3.
094600             07  MBCA-MBIB-HDR-BATCH-DATE
094700                             PIC S9(07)      COMP-3.
094800             07  MBCA-MBIB-HDR-BATCH-SOURCE
094900                             PIC S9(05)      COMP-3.
095000             07  MBCA-MBIB-HDR-BATCH-NBR
095100                             PIC S9(05)      COMP-3.
095200             07  MBCA-MBIB-HDR-BATCH-SEQ
095300                             PIC S9(08)      BINARY.
095400             07  MBCA-MBIB-HDR-SEQ-NBR
095500                             PIC S9(08)      BINARY.
095600         05  MBCA-MBIB-FWD-KEY.
095700             07  MBCA-MBIB-FWD-ORG
095800                             PIC  9(03).
095900             07  MBCA-MBIB-FWD-MERCHANT
096000                             PIC  9(09).
096100             07  MBCA-MBIB-FWD-STORE
096200                             PIC S9(09)      COMP-3.
096300             07  MBCA-MBIB-FWD-BATCH-DATE
096400                             PIC S9(07)      COMP-3.
096500             07  MBCA-MBIB-FWD-BATCH-SOURCE
096600                             PIC S9(05)      COMP-3.
096700             07  MBCA-MBIB-FWD-BATCH-NBR
096800                             PIC S9(05)      COMP-3.
096900             07  MBCA-MBIB-FWD-BATCH-SEQ
097000                             PIC S9(08)      BINARY.
097100             07  MBCA-MBIB-FWD-SEQ-NBR
097200                             PIC S9(08)      BINARY.
097300         05  MBCA-MBIB-FWD-TRANS-CODE
097400                             PIC  9(03).
097500         05  MBCA-MBIB-BACK-KEY.
097600             07  MBCA-MBIB-BACK-ORG
097700                             PIC  9(03).
097800             07  MBCA-MBIB-BACK-MERCHANT
097900                             PIC  9(09).
098000             07  MBCA-MBIB-BACK-STORE
098100                             PIC  9(09)      COMP-3.
098200             07  MBCA-MBIB-BACK-BATCH-DATE
098300                             PIC S9(07)      COMP-3.
098400             07  MBCA-MBIB-BACK-BATCH-SOURCE
098500                             PIC S9(05)      COMP-3.
098600             07  MBCA-MBIB-BACK-BATCH-NBR
098700                             PIC S9(05)      COMP-3.
098800             07  MBCA-MBIB-BACK-BATCH-SEQ
098900                             PIC S9(08)      BINARY.
099000             07  MBCA-MBIB-BACK-SEQ-NBR
099100                             PIC S9(08)      BINARY.
099200         05  MBCA-MBIB-SEARCH-KEY
099300                             PIC  X(01).
099400             88  MBCA-MBIB-SEARCH-1          VALUE '1'.
099500             88  MBCA-MBIB-SEARCH-2          VALUE '2'.
099600             88  MBCA-MBIB-SEARCH-3          VALUE '3'.
099700             88  MBCA-MBIB-SEARCH-4          VALUE '4'.
099800             88  MBCA-MBIB-SEARCH-5          VALUE '5'.
099900             88  MBCA-MBIB-SEARCH-6          VALUE '6'.
100000         05  MBCA-MBIB-FILE-CODE
100100                             PIC  X(01).
100200             88  MBCA-MBIB-FILE3             VALUE '3'.
100300             88  MBCA-MBIB-FILE4             VALUE '4'.
100400         05  MBCA-MBIB-PAGE-1-KEY.
100500             07  MBCA-MBIB-PAGE-1-ORG
100600                             PIC  9(03).
100700             07  MBCA-MBIB-PAGE-1-MERCHANT
100800                             PIC  9(09).
100900             07  MBCA-MBIB-PAGE-1-STORE
101000                             PIC  9(09)      COMP-3.
101100             07  MBCA-MBIB-PAGE-1-BATCH-DATE
101200                             PIC S9(07)      COMP-3.
101300             07  MBCA-MBIB-PAGE-1-BATCH-SOURCE
101400                             PIC S9(05)      COMP-3.
101500             07  MBCA-MBIB-PAGE-1-BATCH-NBR
101600                             PIC S9(05)      COMP-3.
101700             07  MBCA-MBIB-PAGE-1-BATCH-SEQ
101800                             PIC S9(08)      BINARY.
101900             07  MBCA-MBIB-PAGE-1-SEQ-NBR
102000                             PIC S9(08)      BINARY.
102100         05  MBCA-MBIB-PAGE-2-3-KEY.
102200             07  MBCA-MBIB-PAGE-23-ORG
102300                             PIC  9(03).
102400             07  MBCA-MBIB-PAGE-23-MERCHANT
102500                             PIC  9(09).
102600             07  MBCA-MBIB-PAGE-23-STORE
102700                             PIC  9(09)      COMP-3.
102800             07  MBCA-MBIB-PAGE-23-BATCH-DATE
102900                             PIC S9(07)      COMP-3.
103000             07  MBCA-MBIB-PAGE-23-BATCH-SOURCE
103100                             PIC S9(05)      COMP-3.
103200             07  MBCA-MBIB-PAGE-23-BATCH-NBR
103300                             PIC S9(05)      COMP-3.
103400             07  MBCA-MBIB-PAGE-23-BATCH-SEQ
103500                             PIC S9(08)      BINARY.
103600             07  MBCA-MBIB-PAGE-23-SEQ-NBR
103700                             PIC S9(08)      BINARY.
103800         05  MBCA-MBIB-1ST-TIME-SW
103900                             PIC  X(01).
104000             88  MBCA-MBIB-1ST-TIME-YES      VALUE 'Y'.
104100             88  MBCA-MBIB-1ST-TIME-NO       VALUE 'N'.
104200         05  MBCA-MBIB-SAVE-MERCHANT
104300                             PIC  9(09).
104400         05  MBCA-MBIB-FILE-CHANGE-SW
104500                             PIC  X(01).
104600             88  MBCA-MBIB-FILE-CHANGED    VALUE 'Y'.
104700             88  MBCA-MBIB-FILE-NOT-CHANGED
104800                                           VALUE 'N'.
104900         05  FILLER          PIC  X(269).
105000*
105100******************************************************************
105200*    WORK AREA FOR CHAIN INQIURY LOCATE
105300******************************************************************
105400*
105500     03  MBCA-MBIC-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
105600         05  MBCA-MBIC-ORG-CHAIN.
105700             07  MBCA-MBIC-ORG
105800                             PIC  9(03).
105900             07  MBCA-MBIC-CHAIN
106000                             PIC  9(09).
106100         05  MBCA-MBIC-TOTALS
106200                             PIC  X(01).
106300             88  MBCA-MBIC-TOTALS-YES        VALUE 'Y'.
106400             88  MBCA-MBIC-TOTALS-NO         VALUE 'N'.
106500         05  MBCA-MBIC-INDEX PIC S9(04)      BINARY.
106600         05  MBCA-MBIC-FWD-SW
106700                             PIC  X(01).
106800             88  MBCA-MBIC-FWD-DATA          VALUE 'Y'.
106900             88  MBCA-MBIC-NO-FWD-DATA       VALUE 'N'.
107000         05  MBCA-MBIC-FWD-BACK-SW
107100                             PIC  X(01).
107200             88  MBCA-MBIC-FWD               VALUE 'Y'.
107300             88  MBCA-MBIC-BACK              VALUE 'N'.
107400         05  MBCA-MBIC-CHAIN-NAME
107500                             PIC  X(40).
107600         05  FILLER          PIC  X(443).
107700*
107800******************************************************************
107900*    WORK AREA FOR MERCHANT TRANSACTION DISPLAY ITEMS            *
108000******************************************************************
108100*
108200     03  MBCA-MBIT-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
108300         05  MBCA-MBIT-RETURN-FLAG
108400                             PIC  X(01).
108500             88  MBCA-MBIT-RETURN-NORMAL     VALUE ' '.
108600             88  MBCA-MBIT-RETURN-TOP        VALUE 'T'.
108700             88  MBCA-MBIT-RETURN-BOTTOM     VALUE 'E'.
108800             88  MBCA-MBIT-RETURN-FWD        VALUE 'F'.
108900             88  MBCA-MBIT-RETURN-BWD        VALUE 'B'.
109000         05  MBCA-MBIT-FIRST-TIME-FLAG
109100                             PIC  X(01).
109200             88  MBCA-MBIT-FIRST-TIME        VALUE 'Y'.
109300             88  MBCA-MBIT-NOT-FIRST-TIME    VALUE 'N'.
109400         05  MBCA-MBIT-FIRST-KEY.
109500             07  MBCA-MBIT-FIRST-SEQ-NBR
109600                             PIC S9(08)      BINARY.
109700         05  MBCA-MBIT-FWD-KEY.
109800             07  MBCA-MBIT-FWD-SEQ-NBR
109900                             PIC S9(08)      BINARY.
110000         05  MBCA-MBIT-BACK-KEY.
110100             07  MBCA-MBIT-BACK-SEQ-NBR
110200                             PIC S9(08)      BINARY.
110300         05  MBCA-MBIT-SELECTION-CRITERIA.
110400             07  MBCA-MBIT-SEL-CRITERIA      OCCURS 13 TIMES
110500                                             INDEXED BY
110600                                             X-MBCA-MBIT-CRIT
110700                             PIC  X(14).
110800         05  FILLER          PIC  X(304).
110900*
111000******************************************************************
111100*    WORK AREA FOR MERCHANT INQUIRY                              *
111200******************************************************************
111300*
111400     03  MBCA-MBIM-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
111500         05  MBCA-MBIM-MERCHANT-NAME
111600                             PIC  X(40).
111700*
111800         05  FILLER          PIC  X(460).
111900*
112000******************************************************************
112100*    WORK AREA FOR MERCHANT SETTLEMENT STATEMENT ITEMS
112200******************************************************************
112300*
112400     03  MBCA-MBIS-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
112500         05  MBCA-MBIS-NAME  PIC  X(40).
112600         05  MBCA-MBIS-STMT-ID-CODE
112700                             PIC S9(07)      BINARY.
112800         05  MBCA-MBIS-REC-TYPE
112900                             PIC  X(01).
113000             88  MBCA-MBIS-MERCH             VALUE 'M'.
113100             88  MBCA-MBIS-CHAIN             VALUE 'C'.
113200         05  MBCA-MBIS-FILE-NUMBER
113300                             PIC  X(01).
113400             88  MBCA-MBIS-MMS1              VALUE '1'.
113500             88  MBCA-MBIS-MMS2              VALUE '2'.
113600         05  MBCA-MBIS-CURRENT-PAGE
113700                             PIC S9(04)      BINARY.
113710         05  MBCA-MBIS-CURRENT-RECORD                             FX800022
113712                             PIC 9999.                            FX800022
113714         05  MBCA-MBIS-TOTAL-PAGES                                FX800022
113716                             PIC 99.                              FX800022
113718         05  MBCA-MBIS-MORE-PAGES-FLAG                            FX800022
113720                             PIC X.                               FX800022
113722             88  MBCA-MBIS-MORE-PAGES-ON     VALUE 'Y'.           FX800022
113724             88  MBCA-MBIS-MORE-PAGES-OFF    VALUE 'N' SPACE.     FX800022
113726             88  MBCA-MBIS-MORE-PAGES-EXCEED VALUE SPACE.         FX800022
113728*                                                                 FX800022
113800         05  MBCA-MBIS-LAST-PAGE
113900                             PIC S9(03)      COMP-3.
114000         05  MBCA-MBIS-STMT-DATE
114100                             PIC  X(10).
114200         05  MBCA-MBIS-POS-DEV-TITLE         OCCURS 6 TIMES
114300                                             INDEXED BY
114400                                             X-MBCA-TITLE.
114500             07  MBCA-MBIS-TITLE
114600                             PIC  X(15).
114700*
115900         05  MBCA-MBIS-FIND-SW
116000                             PIC  X(01).
116100             88  MBCA-MBIS-FIND-SW-YES       VALUE 'Y'.
116200             88  MBCA-MBIS-FIND-SW-NO        VALUE 'N'.
116300         05  MBCA-MBIS-TRANS-CODE
116400                             PIC  9(03).
116500*
116510         05  MBCA-MBIS-P1-CURR-PAGE                               FX800022
116512                             PIC S9(04)      COMP.                FX800022
116518         05  MBCA-MBIS-P1-TOT-PAGES                               FX800022
116520                             PIC S9(04)      COMP.                FX800022
116522         05  MBCA-MBIS-PAGE-01-SW                                 FX800022
116524                             PIC  X(01).                          FX800022
116526             88  MBCA-MBIS-P1-BUILD-TS       VALUE 'Y'.           FX800022
116528             88  MBCA-MBIS-P1-TS-BUILT       VALUE 'N'.           FX800022
116530             88  MBCA-MBIS-P1-SW-VALID       VALUE 'N' 'Y'.       FX800022
116532*                                                                 FX800022
116600         05  FILLER          PIC  X(334).                         FX800022
116700*
116800******************************************************************
116900*    WORK AREA FOR MERCHANT ADJUSTMENTS
117000******************************************************************
117100*
117200     03  MBCA-MBMA-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
117300         05  MBCA-MBMA-ORG-MERCHANT.
117400             07  MBCA-MBMA-ORG
117500                             PIC  9(03).
117600             07  MBCA-MBMA-MERCHANT
117700                             PIC  9(09).
117800         05  MBCA-MBMA-MERCHANT-NAME
117900                             PIC  X(40).
118000         05  MBCA-MBMA-DBA-NAME
118100                             PIC  X(25).
118200         05  MBCA-MBMA-DBA-CITY
118300                             PIC  X(13).
118400         05  MBCA-MBMA-DBA-COUNTRY-CODE
118500                             PIC  X(03).
118600         05  MBCA-MBMA-RETURN-FLAG
118700                             PIC  X(01).
118800             88  MBCA-MBMA-RETURN-NORMAL     VALUE ' '.
118900             88  MBCA-MBMA-RETURN-TOP        VALUE 'T'.
119000             88  MBCA-MBMA-RETURN-BOTTOM     VALUE 'E'.
119100             88  MBCA-MBMA-RETURN-FWD        VALUE 'F'.
119200             88  MBCA-MBMA-RETURN-BWD        VALUE 'B'.
119300         05  MBCA-MBMA-FIRST-KEY.
119400             07  MBCA-MBMA-FIRST-SEQ-NBR
119500                             PIC S9(08)      BINARY.
119600         05  MBCA-MBMA-FWD-KEY.
119700             07  MBCA-MBMA-FWD-SEQ-NBR
119800                             PIC S9(08)      BINARY.
119900         05  MBCA-MBMA-BACK-KEY.
120000             07  MBCA-MBMA-BACK-SEQ-NBR
120100                             PIC S9(08)      BINARY.
120200         05  MBCA-MBMA-TODAYS-JULIAN
120300                             PIC S9(07)      COMP-3.
120400         05  FILLER          PIC  X(390).
120500*
120600******************************************************************
120700*    WORK AREA FOR MERCHANT EXPENSE FACTORS                      *
120800******************************************************************
120900*
121000     03  MBCA-MBME-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
121100         05  MBCA-MBME-QL-INDEX
121200                             PIC S9(08)      BINARY.
121300         05  MBCA-MBME-PL-INDEX
121400                             PIC S9(08)      BINARY.
121500         05  MBCA-MBME-IFT-INDEX
121600                             PIC S9(08)      BINARY.
121700         05  MBCA-MBME-MAX-INDEX
121800                             PIC S9(08)      BINARY.
121900         05  MBCA-MBME-PREV-PROD
122000                             PIC S9(08)      BINARY.
122100         05  MBCA-MBME-NEXT-PROD-SW
122200                             PIC  X(01).
122300             88  MBCA-MBME-NEXT-PROD-YES     VALUE 'Y'.
122400             88  MBCA-MBME-NEXT-PROD-NO      VALUE 'N'.
122500         05  MBCA-MBME-PRODS-SW
122600                             PIC  X(01).
122700             88  MBCA-MBME-PRODS-YES         VALUE 'Y'.
122800             88  MBCA-MBME-PRODS-NO          VALUE 'N'.
122900*
123000         05  FILLER          PIC  X(478).
123100*
123200******************************************************************
123300*    WORK AREA FOR FIELD SECURITY                                *
123400******************************************************************
123500*
123600     03  MBCA-MBMF-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
123700         05  MBCA-MBMF-INDEX PIC S9(08)      BINARY.
123800*
123900         05  FILLER          PIC  X(496).
124000*
124100******************************************************************
124200*    WORK AREA FOR MERCHANT INCOME FACTORS                       *
124300******************************************************************
124400*
124500     03  MBCA-MBMI-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
124600         05  MBCA-MBMI-QL-INDEX
124700                             PIC S9(08)      BINARY.
124800         05  MBCA-MBMI-PL-INDEX
124900                             PIC S9(08)      BINARY.
125000         05  MBCA-MBMI-IFT-INDEX
125100                             PIC S9(08)      BINARY.
125200         05  MBCA-MBMI-MAX-INDEX
125300                             PIC S9(08)      BINARY.
125400         05  MBCA-MBMI-PREV-PROD
125500                             PIC S9(08)      BINARY.
125600         05  MBCA-MBMI-NEXT-PROD-SW
125700                             PIC  X(01).
125800             88  MBCA-MBMI-NEXT-PROD-YES     VALUE 'Y'.
125900             88  MBCA-MBMI-NEXT-PROD-NO      VALUE 'N'.
126000         05  MBCA-MBMI-PRODS-SW
126100                             PIC  X(01).
126200             88  MBCA-MBMI-PRODS-YES         VALUE 'Y'.
126300             88  MBCA-MBMI-PRODS-NO          VALUE 'N'.
126400*
126500         05  FILLER          PIC  X(478).
126600*
126700******************************************************************
126800*    WORK AREA FOR PLAN TRANSLATION ITEMS
126900******************************************************************
127000*
127100     03  MBCA-MBML-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
127200         05  MBCA-MBML-ORG-NAME
127300                             PIC  X(40).
127400         05  MBCA-MBML-RETURN-FLAG
127500                             PIC  X(01).
127600             88  MBCA-MBML-RETURN-NORMAL     VALUE ' '.
127700             88  MBCA-MBML-RETURN-TOP        VALUE 'T'.
127800             88  MBCA-MBML-RETURN-BOTTOM     VALUE 'E'.
127900             88  MBCA-MBML-RETURN-FWD        VALUE 'F'.
128000             88  MBCA-MBML-RETURN-BWD        VALUE 'B'.
128100         05  MBCA-MBML-FIRST-KEY.
128200             07  MBCA-MBML-FIRST-SEQ
128300                             PIC S9(04)      BINARY.
128400         05  MBCA-MBML-FWD-KEY.
128500             07  MBCA-MBML-FWD-SEQ
128600                             PIC S9(04)      BINARY.
128700         05  MBCA-MBML-BACK-KEY.
128800             07  MBCA-MBML-BACK-SEQ
128900                             PIC S9(04)      BINARY.
129000         05  FILLER          PIC  X(453).
129100*
129200******************************************************************
129300*    WORK AREA FOR MERCHANT ITEMS                                *
129400******************************************************************
129500     03  MBCA-MBMM-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
129600         05  MBCA-MBMM-RETURN-FLAG
129700                             PIC  X(01).
129800             88  MBCA-MBMM-RETURN-NORMAL     VALUE ' '.
129900             88  MBCA-MBMM-RETURN-TOP        VALUE 'T'.
130000             88  MBCA-MBMM-RETURN-BOTTOM     VALUE 'E'.
130100             88  MBCA-MBMM-RETURN-FWD        VALUE 'F'.
130200             88  MBCA-MBMM-RETURN-BWD        VALUE 'B'.
130300         05  MBCA-MBMM-FIRST-KEY.
130400             07  MBCA-MBMM-FIRST-PRODUCT
130500                             PIC  9(02).
130600         05  MBCA-MBMM-FWD-KEY.
130700             07  MBCA-MBMM-FWD-PRODUCT
130800                             PIC  9(02).
130900         05  MBCA-MBMM-BACK-KEY.
131000             07  MBCA-MBMM-BACK-PRODUCT
131100                             PIC  9(02).
131200         05  MBCA-MBMM-PRODUCT-SW
131300                             PIC  X(01).
131400             88  MBCA-MBMM-PRODUCT-ON        VALUE 'Y'.
131500             88  MBCA-MBMM-PRODUCT-OFF       VALUE 'N'.
131510         05  MBCA-MBMM-XCTL-SW                                    EH800900
131515                             PIC  X(01).                          EH800900
131520         05  MBCA-MBMM-PROD-STATUS                                EH800900
131525                             PIC  X(01).                          EH800900
131530             88  MBCA-MBMM-PROD-NOT-ALLOWED  VALUE 'N'.           EH800900
131535             88  MBCA-MBMM-PROD-ACTIVE       VALUE 'A'.           EH800900
131540             88  MBCA-MBMM-PROD-CLOSED       VALUE 'C'.           EH800900
131545             88  MBCA-MBMM-PROD-PURGED       VALUE 'P'.           EH800900
131548         05  MBCA-MBMM-EUROPAY-FLAG                               EH800900
131550                             PIC  X(01).                          EH800900
131552             88  MBCA-MBMM-EUROPAY-ON        VALUE 'Y'.           EH800900
131554             88  MBCA-MBMM-EUROPAY-OFF       VALUE 'N'.           EH800900
131556*                                                                 EH800900
131600         05  FILLER          PIC  X(489).                         EH800900
131700*
131800******************************************************************
131900*    WORK AREA FOR ORGANIZATION RECORDS                          *
132000******************************************************************
132100*
132200     03  MBCA-MBMO-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
132300         05  MBCA-MBMO-ORG-NAME
132400                             PIC  X(40).
132500         05  MBCA-MBMO-PROD-INDEX
132600                             PIC S9(08)      BINARY.
132700         05  FILLER          PIC  X(456).
132800*
132900******************************************************************
133000*    WORK AREA FOR PRODUCT DEFINITION ITEMS
133100******************************************************************
133200*
133300     03  MBCA-MBMP-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
133400         05  MBCA-MBMP-RETURN-FLAG
133500                             PIC  X(01).
133600             88  MBCA-MBMP-RETURN-NORMAL     VALUE ' '.
133700             88  MBCA-MBMP-RETURN-TOP        VALUE 'T'.
133800             88  MBCA-MBMP-RETURN-BOTTOM     VALUE 'E'.
133900             88  MBCA-MBMP-RETURN-FWD        VALUE 'F'.
134000             88  MBCA-MBMP-RETURN-BWD        VALUE 'B'.
134100         05  MBCA-MBMP-FIRST-KEY.
134200             07  MBCA-MBMP-FIRST-SEQ
134300                             PIC S9(04)      BINARY.
134400         05  MBCA-MBMP-FWD-KEY.
134500             07  MBCA-MBMP-FWD-SEQ
134600                             PIC S9(04)      BINARY.
134700         05  MBCA-MBMP-BACK-KEY.
134800             07  MBCA-MBMP-BACK-SEQ
134900                             PIC S9(04)      BINARY.
135000         05  FILLER          PIC  X(493).
135100*
135200******************************************************************
135300*    WORK AREA FOR EXAM ITEMS
135400******************************************************************
135500*
135600     03  MBCA-MBMQ-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
135700         05  MBCA-MBMQ-SEL-INDEX
135800                             PIC S9(08)      BINARY.
135900         05  MBCA-MBMQ-MAINT-INDEX
136000                             PIC S9(08)      BINARY.
136100         05  MBCA-MBMQ-TRANS-INDEX
136200                             PIC S9(08)      BINARY.
136300         05  MBCA-MBMQ-COPY-SW
136400                             PIC  X(01).
136500         05  FILLER          PIC  X(487).
136502*                                                                 EH800900
136504******************************************************************EH800900
136506*    WORK AREA FOR STORE SCREENS                                 *EH800900
136508******************************************************************EH800900
136510*                                                                 EH800900
136512     03  MBCA-MBMS-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.      EH800900
136514         05  MBCA-MBMS-EUROPAY-FLAG                               EH800900
136516                             PIC  X(01).                          EH800900
136518             88  MBCA-MBMS-EUROPAY-ON        VALUE 'Y'.           EH800900
136520             88  MBCA-MBMS-EUROPAY-OFF       VALUE 'N'.           EH800900
136522*                                                                 EH800900
136524         05  FILLER          PIC  X(499).                         EH800900
136600*
136700******************************************************************
136800*    WORK AREA FOR TRANS CODE TRANSLATION                        *
136900******************************************************************
137000*
137100     03  MBCA-MBMT-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
137200         05  MBCA-MBMT-INDEX PIC S9(08)      BINARY.
137300*
137400         05  FILLER          PIC  X(496).
137500*
137600******************************************************************
137700*    WORK AREA FOR TRANSACTION CONTROL FILE                      *
137800******************************************************************
137900*
138000     03  MBCA-MBMX-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
138100         05  MBCA-MBMX-SUB-PAGE-NBR
138200                             PIC  9(02).
138300         05  MBCA-MBMX-ORG-NAME
138400                             PIC  X(40).
138500         05  MBCA-MBMX-TXN-CODE-TABLE-X.
138600             07  MBCA-MBMX-TXN-CODE-TABLE    OCCURS 3 TIMES
138700                                             INDEXED BY
138800                                             X-MBCA-MBMX.
138900                 09  MBCA-MBMX-TXN-CODE
139000                             PIC S9(03)      COMP-3.
139100                 09  MBCA-MBMX-LOGIC-MODULE
139200                             PIC  9(03).
139300         05  MBCA-MBMX-BEG-TXN-1
139400                             PIC  9(03).
139500         05  MBCA-MBMX-END-TXN-1
139600                             PIC  9(03).
139700         05  MBCA-MBMX-BEG-TXN-2
139800                             PIC  9(03).
139900         05  MBCA-MBMX-END-TXN-2
140000                             PIC  9(03).
140100         05  FILLER          PIC  X(431).
140200*
140300******************************************************************
140400*    WORK AREA FOR NAME KEY GENERATION                           *
140500******************************************************************
140600*
140700     03  MBCA-MBNK-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
140800         05  MBCA-MBNK-RTN-CODE
140900                             PIC  X(01).
141000             88  MBCA-MBNK-SUCCESSFUL-LINK   VALUE ' '.
141100             88  MBCA-MBNK-UNSUCCESSFUL-LINK VALUE 'E'.
141200             88  MBCA-MBNK-INVALID-PAMBS     VALUE 'I'.
141300         05  MBCA-MBNK-EIBFN PIC  X(02).
141400         05  MBCA-MBNK-EIBRCODE
141500                             PIC  X(06).
141600         05  MBCA-MBNK-EIBDS PIC  X(08).
141700         05  MBCA-MBNK-IO-REQUEST
141800                             PIC  X(02).
141900         05  MBCA-MBNK-MSG1  PIC  X(40).
142000         05  MBCA-MBNK-MSG2  PIC  X(40).
142100         05  FILLER          PIC  X(401).
142200*
142300******************************************************************
142400*    WORK AREA FOR NAME LOCATE GENERATION                        *
142500******************************************************************
142600*
142700     03  MBCA-MBNL-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
142800         05  MBCA-MBNL-MC-TYPE
142900                             PIC  X(02).
143000             88  MBCA-MBNL-STORE-MASTER      VALUE 'SM'.
143100             88  MBCA-MBNL-MERCH-MASTER      VALUE 'MM'.
143200             88  MBCA-MBNL-STORE-CHAIN       VALUE 'SC'.
143300             88  MBCA-MBNL-MERCH-CHAIN       VALUE 'MC'.
143400         05  MBCA-MBNL-PS-TYPE
143500                             PIC  X(01).
143600             88  MBCA-MBNL-VALID-PS-TYPE     VALUE 'B' 'P'
143700                                                   'S' 'D' 'A'.
143800             88  MBCA-MBNL-PS-TYPE-BOTH      VALUE 'B'.
143900         05  MBCA-MBNL-CHAIN-FLAG
144000                             PIC  X(01).
144100             88  MBCA-MBNL-VALID-CHAIN-FLAG  VALUE 'N' 'Y'.
144200         05  MBCA-MBNL-FILE-FLAG
144300                             PIC  X(01).
144400             88  MBCA-MBNL-VALID-FILE-FLAG   VALUE 'M' 'S'.
144500         05  MBCA-MBNL-ORG   PIC  X(03).
144600         05  MBCA-MBNL-TIE-BREAKER
144700                             PIC S9(08)      BINARY.
144800         05  MBCA-MBNL-CITY  PIC  X(40).
144900         05  MBCA-MBNL-STATE PIC  X(03).
145000         05  MBCA-MBNL-POSTAL-CODE
145100                             PIC  X(10).
145200         05  MBCA-MBNL-PHONE PIC  X(20).
145300         05  MBCA-MBNL-RETURN-FLAG
145400                             PIC  X(01).
145500             88  MBCA-MBNL-RETURN-NORMAL     VALUE ' '.
145600             88  MBCA-MBNL-RETURN-TOP        VALUE 'T'.
145700             88  MBCA-MBNL-RETURN-BOTTOM     VALUE 'E'.
145800             88  MBCA-MBNL-RETURN-FWD        VALUE 'F'.
145900             88  MBCA-MBNL-RETURN-BWD        VALUE 'B'.
146000         05  MBCA-MBNL-FIRST-KEY.
146100             07  MBCA-MBNL-FIRST-NAME
146200                             PIC  X(40).
146300             07  MBCA-MBNL-FIRST-TIE-BREAKER
146400                             PIC S9(08)      BINARY.
146500         05  MBCA-MBNL-FWD-KEY.
146600             07  MBCA-MBNL-FWD-NAME
146700                             PIC  X(40).
146800             07  MBCA-MBNL-FWD-TIE-BREAKER
146900                             PIC S9(08)      BINARY.
147000         05  MBCA-MBNL-BACK-KEY.
147100             07  MBCA-MBNL-BACK-NAME
147200                             PIC  X(40).
147300             07  MBCA-MBNL-BACK-TIE-BREAKER
147400                             PIC S9(08)      BINARY.
147500         05  MBCA-MBNL-NAME-CNT
147600                             PIC S9(04)      BINARY.
147700         05  MBCA-MBNL-ADDR1-CNT
147800                             PIC S9(04)      BINARY.
147900         05  MBCA-MBNL-CITY-CNT
148000                             PIC S9(04)      BINARY.
148100         05  MBCA-MBNL-STATE-CNT
148200                             PIC S9(04)      BINARY.
148300         05  MBCA-MBNL-POSTAL-CODE-CNT
148400                             PIC S9(04)      BINARY.
148500         05  MBCA-MBNL-PHONE-CNT
148600                             PIC S9(04)      BINARY.
148700         05  MBCA-MBNL-NAME-DELIM
148800                             PIC  X(01).
148900         05  MBCA-MBNL-ADDR1-DELIM
149000                             PIC  X(01).
149100         05  MBCA-MBNL-CITY-DELIM
149200                             PIC  X(01).
149300         05  MBCA-MBNL-STATE-DELIM
149400                             PIC  X(01).
149500         05  MBCA-MBNL-POSTAL-CODE-DELIM
149600                             PIC  X(01).
149700         05  MBCA-MBNL-PHONE-DELIM
149800                             PIC  X(01).
149900         05  MBCA-MBNL-ADDRESS-AREA.
150000             07  MBCA-MBNL-NAME
150100                             PIC  X(40).
150200             07  MBCA-MBNL-ADDR1
150300                             PIC  X(40).
150400         05  FILLER          PIC  X(184).
150500*
150600******************************************************************
150700*    WORK AREA FOR MERCHANT CHAIN DIRECTORY ITEMS
150800******************************************************************
150900*
151000     03  MBCA-MBRC-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
151100         05  MBCA-MBRC-NAME  PIC  X(40).
151200         05  MBCA-MBRC-RETURN-FLAG
151300                             PIC  X(01).
151400             88  MBCA-MBRC-RETURN-NORMAL     VALUE ' '.
151500             88  MBCA-MBRC-RETURN-TOP        VALUE 'T'.
151600             88  MBCA-MBRC-RETURN-BOTTOM     VALUE 'E'.
151700             88  MBCA-MBRC-RETURN-FWD        VALUE 'F'.
151800             88  MBCA-MBRC-RETURN-BWD        VALUE 'B'.
151900         05  MBCA-MBRC-FIRST-TIME-FLAG
152000                             PIC  X(01).
152100             88  MBCA-MBRC-FIRST-TIME        VALUE 'Y'.
152200             88  MBCA-MBRC-NOT-FIRST-TIME    VALUE 'N'.
152300         05  MBCA-MBRC-FIRST-KEY.
152400             07  MBCA-MBRC-FIRST-INDEX
152500                             PIC S9(04)      BINARY.
152600             07  MBCA-MBRC-FIRST-SEQ-NBR
152700                             PIC  S9(04)     BINARY.
152800         05  MBCA-MBRC-FWD-KEY.
152900             07  MBCA-MBRC-FWD-INDEX
153000                             PIC S9(04)      BINARY.
153100             07  MBCA-MBRC-FWD-SEQ-NBR
153200                             PIC  S9(04)     BINARY.
153300         05  MBCA-MBRC-BACK-KEY.
153400             07  MBCA-MBRC-BACK-INDEX
153500                             PIC S9(04)      BINARY.
153600             07  MBCA-MBRC-BACK-SEQ-NBR
153700                             PIC  S9(04)     BINARY.
153800         05  FILLER          PIC  X(446).
153900*
154000******************************************************************
154100*    WORK AREA FOR STORE CHAIN DIRECTORY ITEMS
154200******************************************************************
154300*
154400     03  MBCA-MBRG-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
154500         05  MBCA-MBRG-NAME  PIC  X(40).
154600         05  MBCA-MBRG-RETURN-FLAG
154700                             PIC  X(01).
154800             88  MBCA-MBRG-RETURN-NORMAL     VALUE ' '.
154900             88  MBCA-MBRG-RETURN-TOP        VALUE 'T'.
155000             88  MBCA-MBRG-RETURN-BOTTOM     VALUE 'E'.
155100             88  MBCA-MBRG-RETURN-FWD        VALUE 'F'.
155200             88  MBCA-MBRG-RETURN-BWD        VALUE 'B'.
155300         05  MBCA-MBRG-FIRST-TIME-FLAG
155400                             PIC  X(01).
155500             88  MBCA-MBRG-FIRST-TIME        VALUE 'Y'.
155600             88  MBCA-MBRG-NOT-FIRST-TIME    VALUE 'N'.
155700         05  MBCA-MBRG-FIRST-KEY.
155800             07  MBCA-MBRG-FIRST-INDEX
155900                             PIC S9(04)      BINARY.
156000             07  MBCA-MBRG-FIRST-SEQ-NBR
156100                             PIC  S9(04)     BINARY.
156200         05  MBCA-MBRG-FWD-KEY.
156300             07  MBCA-MBRG-FWD-INDEX
156400                             PIC S9(04)      BINARY.
156500             07  MBCA-MBRG-FWD-SEQ-NBR
156600                             PIC  S9(04)     BINARY.
156700         05  MBCA-MBRG-BACK-KEY.
156800             07  MBCA-MBRG-BACK-INDEX
156900                             PIC S9(04)      BINARY.
157000             07  MBCA-MBRG-BACK-SEQ-NBR
157100                             PIC  S9(04)     BINARY.
157200         05  FILLER          PIC  X(446).
157300*
157400******************************************************************
157500*    WORK AREA FOR STORE RELATIONSHIP DIRECTORY ITEMS
157600******************************************************************
157700*
157800     03  MBCA-MBRS-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
157900         05  MBCA-MBRS-ORG-MERCHANT.
158000             07  MBCA-MBRS-ORG
158100                             PIC  9(03).
158200             07  MBCA-MBRS-MERCHANT
158300                             PIC  9(09).
158400         05  MBCA-MBRS-DBA-NAME
158500                             PIC  X(25).
158600         05  MBCA-MBRS-DBA-CITY
158700                             PIC  X(13).
158800         05  MBCA-MBRS-DBA-STATE
158900                             PIC  X(03).
159000         05  MBCA-MBRS-RETURN-FLAG
159100                             PIC  X(01).
159200             88  MBCA-MBRS-RETURN-NORMAL     VALUE ' '.
159300             88  MBCA-MBRS-RETURN-TOP        VALUE 'T'.
159400             88  MBCA-MBRS-RETURN-BOTTOM     VALUE 'E'.
159500             88  MBCA-MBRS-RETURN-FWD        VALUE 'F'.
159600             88  MBCA-MBRS-RETURN-BWD        VALUE 'B'.
159700         05  MBCA-MBRS-FIRST-STORE
159800                             PIC S9(09)      COMP-3.
159900         05  MBCA-MBRS-FWD-STORE
160000                             PIC S9(09)      COMP-3.
160100         05  MBCA-MBRS-BACK-STORE
160200                             PIC S9(09)      COMP-3.
160300         05  FILLER          PIC  X(431).
160400*
160500******************************************************************
160600*    WORK AREA FOR MERCHANT INTERCHANGE STATISTICS               *
160700******************************************************************
160800*
160900     03  MBCA-MBSI-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
161000         05  MBCA-MBSI-NAME  PIC  X(30).
161100         05  MBCA-MBSI-PROD-DESC
161200                             PIC  X(30).
161300         05  MBCA-MBSI-ORG   PIC  9(03).
161400         05  MBCA-MBSI-CARD-PROD
161500                             PIC  9(02).
161600             88  MBCA-MBSI-VALID-VI          VALUE 01.
161700             88  MBCA-MBSI-VALID-MC          VALUE 02.
161800         05  MBCA-MBSI-CM-FLAG
161900                             PIC  X(01).
162000             88  MBCA-MBSI-VALID-CHAIN       VALUE 'C'.
162100             88  MBCA-MBSI-VALID-MERCHANT    VALUE 'M'.
162200         05  MBCA-MBSI-CHAIN-MERCH
162300                             PIC  9(09).
162400         05  MBCA-MBSI-INDEX-1
162500                             PIC S9(04)      BINARY.
162600         05  MBCA-MBSI-INDEX-2
162700                             PIC S9(04)      BINARY.
162800         05  MBCA-MBSI-RETURN-FLAG
162900                             PIC  X(01).
163000             88  MBCA-MBSI-RETURN-NORMAL     VALUE ' '.
163100             88  MBCA-MBSI-RETURN-TOP        VALUE 'T'.
163200             88  MBCA-MBSI-RETURN-BOTTOM     VALUE 'E'.
163300             88  MBCA-MBSI-RETURN-FWD        VALUE 'F'.
163400             88  MBCA-MBSI-RETURN-BWD        VALUE 'B'.
163500         05  MBCA-MBSI-FIRST-QUAL-LEVEL
163600                             PIC  9(02).
163700         05  MBCA-MBSI-FWD-QUAL-LEVEL
163800                             PIC  9(02).
163900         05  MBCA-MBSI-BWD-QUAL-LEVEL
164000                             PIC  9(02).
164100         05  FILLER          PIC  X(414).
164200*
164300******************************************************************
164400*    WORK AREA FOR MERCHANT STATISTICS                           *
164500******************************************************************
164600*
164700     03  MBCA-MBSM-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
164800         05  MBCA-MBSM-ORG   PIC  9(03).
164900         05  MBCA-MBSM-CARD-PROD
165000                             PIC  9(02).
165100             88  MBCA-MBSM-VALID-VI          VALUE 01.
165200             88  MBCA-MBSM-VALID-MC          VALUE 02.
165300         05  MBCA-MBSM-FIRST-SCREEN
165400                             PIC  9(02).
165500         05  MBCA-MBSM-CM-FLAG
165600                             PIC  X(01).
165700             88  MBCA-MBSM-VALID-S-CHAIN     VALUE 'Z'.
165800             88  MBCA-MBSM-VALID-CHAIN       VALUE 'C'.
165900             88  MBCA-MBSM-VALID-MERCHANT    VALUE 'M'.
166000             88  MBCA-MBSM-VALID-STORE       VALUE 'S'.
166100             88  MBCA-MBSM-VALID-CM-FLAG     VALUE 'S' 'M'
166200                                                   'C' 'Z'.
166300         05  MBCA-MBSM-SUB-FLAG
166400                             PIC  X(01).
166500             88  MBCA-MBSM-VALID-TOTALS      VALUE 'T'.
166600             88  MBCA-MBSM-VALID-PRODUCT     VALUE 'P'.
166700             88  MBCA-MBSM-VALID-CRED-PLAN   VALUE 'C'.
166800             88  MBCA-MBSM-VALID-QUAL-LVL    VALUE 'Q'.
166900             88  MBCA-MBSM-VALID-SUB-FLAG    VALUE 'T' 'P'
167000                                                   'C' 'Q'.
167100         05  MBCA-MBSM-EXPENSE-FLAG
167200                             PIC  X(01).
167300             88  MBCA-MBSM-EXPENSE-VALID     VALUE 'X'.
167400             88  MBCA-MBSM-EXPENSE-SPACE     VALUE ' '.
167500         05  MBCA-MBSM-CHAIN-MERCH
167600                             PIC  9(09).
167700         05  MBCA-MBSM-PLAN  PIC  9(05).
167800         05  MBCA-MBSM-QUAL-LEVEL
167900                             PIC  9(02).
168000         05  MBCA-MBSM-INDEX-1
168100                             PIC S9(04)      BINARY.
168200         05  MBCA-MBSM-INDEX-2
168300                             PIC S9(04)      BINARY.
168400         05  MBCA-MBSM-TOTAL-INDEX
168500                             PIC S9(04)      BINARY.
168600         05  MBCA-MBSM-PAGE-NBR
168700                             PIC S9(04)      BINARY.
168800         05  MBCA-MBSM-STATS-CONTROL-AREA.
168900             07  MBCA-MBSM-STATS-OCCURS-TABLE
169000                                             OCCURS 18 TIMES
169100                                             INDEXED BY
169200                                             X-MBCA-MBSM-STATS.
169300                 09  MBCA-MBSM-OCCURENCE-ID
169400                             PIC  X(03).
169500                 09  MBCA-MBSM-OCCURENCE-YEAR
169600                             PIC  9(04).
169700         05  MBCA-MBSM-TRAN-TYPES.
169800             07  MBCA-MBSM-TRAN-TYPE         OCCURS 10 TIMES
169900                                             INDEXED BY
170000                                             X-MBCA-MBSM-TRAN
170100                             PIC  X(01).
170200                 88  MBCA-MBSM-TRAN-TYPE-KEYED
170300                                             VALUE 'X'.
170400         05  FILLER          PIC  X(330).
170500*
170600******************************************************************
170700*    WORK AREA FOR TERMENATED MERCHANT SCREENS                   *
170800******************************************************************
170900*
171000     03  MBCA-MBTM-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
171100         05  MBCA-MBTM-PD-INDEX
171200                             PIC S9(04)      BINARY.
171300         05  MBCA-MBTM-FUNCTION-SW
171400                             PIC  X(01).
171500             88  MBCA-MBTM-FUNCTION-ADD      VALUE 'A'.
171600             88  MBCA-MBTM-FUNCTION-MAINT    VALUE 'M'.
171700         05  MBCA-MBTM-STORE-SW
171800                             PIC  X(01).
171900             88  MBCA-MBTM-STORE-NOT-FND     VALUE 'Y'.
172000             88  MBCA-MBTM-STORE-FOUND       VALUE 'N'.
172100         05  MBCA-MBTM-MERCH-SW
172200                             PIC  X(01).
172300             88  MBCA-MBTM-MERCH-NOT-FND     VALUE 'Y'.
172400             88  MBCA-MBTM-MERCH-FOUND       VALUE 'N'.
172500         05  MBCA-MBTM-COUNTRY-CODE
172600                             PIC  X(03).
172700             88  MBCA-MBTM-CC-UK             VALUE 'GB ' 'GBR'.   EH800900
172800             88  MBCA-MBTM-CC-AU-NZ          VALUE 'AU ' 'AUS'    EH800900
172802                                                   'NZ ' 'NZL'.   EH800900
172900             88  MBCA-MBTM-CC-AU             VALUE 'AU ' 'AUS'.   EH800900
173000             88  MBCA-MBTM-CC-NZ             VALUE 'NZ ' 'NZL'.   EH800900
173100             88  MBCA-MBTM-VALID-CC          VALUE 'AU ' 'AUS'    EH800900
173200                                                   'NZ ' 'NZL'    EH800900
173202                                                   'GB ' 'GBR'.   EH800900
173300         05  FILLER          PIC  X(492).
173400*
173500******************************************************************
173600*    WORK AREA FOR USER INPUT SCREEN                             *
173700******************************************************************
173800*
173900     03  MBCA-MBUI-WORK-AREA REDEFINES MBCA-TRANS-WORK-AREA.
174000         05  MBCA-MBUI-SEQ   PIC  9(07).
174100         05  MBCA-MBUI-KEY-X.
174200             07  MBCA-MBUI-ORG
174300                             PIC  9(03).
174400             07  MBCA-MBUI-KEY
174500                             PIC  9(09).
174600         05  MBCA-MBUI-PREV-KEY-X.
174700             07  MBCA-MBUI-PREV-ORG
174800                             PIC  9(03).
174900             07  MBCA-MBUI-PREV-KEY
175000                             PIC  9(09).
175100         05  MBCA-MBUI-ERROR-SW
175200                             PIC  X(01).
175300             88  MBCA-MBUI-ERROR-YES         VALUE 'Y'.
175400             88  MBCA-MBUI-ERROR-NO          VALUE 'N'.
175500*
175600         05  MBCA-MBUI-USER-INPUT-UPDATE-SW
175700                             PIC  X(01).
175800             88  MBCA-MBUI-UI-UPDATE-YES     VALUE 'Y'.
175900             88  MBCA-MBUI-UI-UPDATE-NO      VALUE 'N'.
176000*
176100         05  MBCA-MBUI-PROCESSING-FLAG
176200                             PIC  X(01).
176300             88  MBCA-MBUI-COMPLETE          VALUE 'Y'.
176400             88  MBCA-MBUI-NOT-COMPLETE      VALUE 'N'.
176500*
176600         05  MBCA-MBUI-NO-RECS-SW
176700                             PIC  X(01).
176800             88  MBCA-MBUI-EMPTY-FILE        VALUE 'Y'.
176900         05  FILLER          PIC  X(465).
177000*
177100******************************************************************
177200*    END MBS CICS COMMUNICATION AREA RECORD DESCRIPTION          *
177300******************************************************************
