000100 R170-REPORT-17 SECTION.
000200 R171-R17-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 17.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R179-R17-EXIT.
000900*
001000     IF  MBD200WS-DA-NO-ACTIVITY
001100     AND MBD200WS-DA-DISC-TIER       IS EQUAL TO ZERO
001200     AND MBD200WS-DA-DISC-AVG-TKT    IS EQUAL TO ZERO
001300     AND MBD200WS-DA-DISC-PLAN-ADJ   IS EQUAL TO ZERO
001400     AND MBD200WS-DA-DISC-PLAN-OVRD  IS EQUAL TO ZERO
001500     AND MBD200WS-DA-DISC-TRANS-ADJ  IS EQUAL TO ZERO
001600     AND MBD200WS-DA-DISC-TRANS-OVRD IS EQUAL TO ZERO
001700     AND MBD200WS-DA-DISC-MANUAL     IS EQUAL TO ZERO
001800     AND MBD200WS-DA-DISC-TOTAL      IS EQUAL TO ZERO
001900         GO TO R179-R17-EXIT.
002000*
002100     SET WS-D200-O17-ACTIVITY    TO TRUE.
002200*
002300     DIVIDE LENGTH OF MMRT-RECORD
002400     BY     LENGTH OF MTRF-O17-RT-SEGMENT
002500     GIVING           WS-D200-REFMOD-RESULT
002600     REMAINDER        WS-D200-REFMOD-REMAINDER.
002700*
002800     MOVE LENGTH OF MTRF-O17-RT-SEGMENT
002900                                 TO WS-D200-REFMOD-LEN.
003000     MOVE 1                      TO WS-D200-REFMOD-BEG.
003100*
003200     PERFORM
003300         VARYING WS-D200-REFMOD-COUNT FROM 1 BY 1
003400         UNTIL   WS-D200-REFMOD-COUNT IS GREATER THAN
003500                                 WS-D200-REFMOD-RESULT
003600         MOVE MMMM-MERCHANT      TO MTRF-K2-O17-MERCHANT
003700         IF  MMMM-DL-MERCHANT
003800             MOVE ZERO           TO MTRF-K2-O17-PRODUCT
003900         ELSE
004000             MOVE MMMP-PRODUCT   TO MTRF-K2-O17-PRODUCT
004100         END-IF
004200         SET MTRF-K2-O17-RT-RECORD
004300                                 TO TRUE
004400         MOVE WS-D200-REFMOD-COUNT
004500                                 TO MTRF-K2-O17-RT01-SEQ
004600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
004700         MOVE MMRT-RECORD (WS-D200-REFMOD-BEG:WS-D200-REFMOD-LEN)
004800                                 TO MTRF-O17-RT-SEGMENT
004900         MOVE WS-D200-REFMOD-BEG TO MTRF-K2-O17-RT01-BEG
005000         MOVE WS-D200-REFMOD-LEN TO MTRF-K2-O17-RT01-LEN
005100         PERFORM R980-WRITE-REPORT-FILE
005200            THRU R989-WRF-EXIT
005300         ADD WS-D200-REFMOD-LEN  TO WS-D200-REFMOD-BEG
005400     END-PERFORM.
005500*
005600     IF  WS-D200-REFMOD-REMAINDER IS GREATER THAN ZERO
005700         MOVE MMMM-MERCHANT      TO MTRF-K2-O17-MERCHANT
005800         IF  MMMM-DL-MERCHANT
005900             MOVE ZERO           TO MTRF-K2-O17-PRODUCT
006000         ELSE
006100             MOVE MMMP-PRODUCT   TO MTRF-K2-O17-PRODUCT
006200         END-IF
006300         SET MTRF-K2-O17-RT-RECORD
006400                                 TO TRUE
006500         COMPUTE MTRF-K2-O17-RT01-SEQ
006600                                 =  WS-D200-REFMOD-RESULT + 1
006700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
006800         MOVE MMRT-RECORD
006900              (WS-D200-REFMOD-BEG:WS-D200-REFMOD-REMAINDER)
007000                                 TO MTRF-O17-RT-SEGMENT
007100         MOVE WS-D200-REFMOD-BEG TO MTRF-K2-O17-RT01-BEG
007200         MOVE WS-D200-REFMOD-REMAINDER
007300                                 TO MTRF-K2-O17-RT01-LEN
007400         PERFORM R980-WRITE-REPORT-FILE
007500            THRU R989-WRF-EXIT.
007600*
007700*
007800*
007900     DIVIDE LENGTH OF MBD200WS-MBD200DC-DISC-AREA
008000     BY     LENGTH OF MTRF-O17-WS-SEGMENT
008100     GIVING           WS-D200-REFMOD-RESULT
008200     REMAINDER        WS-D200-REFMOD-REMAINDER.
008300*
008400     MOVE LENGTH OF MTRF-O17-WS-SEGMENT
008500                                 TO WS-D200-REFMOD-LEN.
008600     MOVE 1                      TO WS-D200-REFMOD-BEG.
008700*
008800     PERFORM
008900         VARYING WS-D200-REFMOD-COUNT FROM 1 BY 1
009000         UNTIL   WS-D200-REFMOD-COUNT IS GREATER THAN
009100                                 WS-D200-REFMOD-RESULT
009200         MOVE MMMM-MERCHANT      TO MTRF-K2-O17-MERCHANT
009300         IF  MMMM-DL-MERCHANT
009400             MOVE ZERO           TO MTRF-K2-O17-PRODUCT
009500         ELSE
009600             MOVE MMMP-PRODUCT   TO MTRF-K2-O17-PRODUCT
009700         END-IF
009800         SET MTRF-K2-O17-MBD200WS-DATA
009900                                 TO TRUE
010000         MOVE WS-D200-REFMOD-COUNT
010100                                 TO MTRF-K2-O17-RT02-SEQ
010200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
010300         MOVE MBD200WS-MBD200DC-DISC-AREA
010400              (WS-D200-REFMOD-BEG:WS-D200-REFMOD-LEN)
010500                                 TO MTRF-O17-WS-SEGMENT
010600         MOVE WS-D200-REFMOD-BEG TO MTRF-K2-O17-RT02-BEG
010700         MOVE WS-D200-REFMOD-LEN TO MTRF-K2-O17-RT02-LEN
010800         PERFORM R980-WRITE-REPORT-FILE
010900            THRU R989-WRF-EXIT
011000         ADD WS-D200-REFMOD-LEN  TO WS-D200-REFMOD-BEG
011100     END-PERFORM.
011200*
011300     IF  WS-D200-REFMOD-REMAINDER IS GREATER THAN ZERO
011400         MOVE MMMM-MERCHANT      TO MTRF-K2-O17-MERCHANT
011500         IF  MMMM-DL-MERCHANT
011600             MOVE ZERO           TO MTRF-K2-O17-PRODUCT
011700         ELSE
011800             MOVE MMMP-PRODUCT   TO MTRF-K2-O17-PRODUCT
011900         END-IF
012000         SET MTRF-K2-O17-MBD200WS-DATA
012100                                 TO TRUE
012200         COMPUTE MTRF-K2-O17-RT02-SEQ
012300                                 =  WS-D200-REFMOD-RESULT + 1
012400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
012500         MOVE MBD200WS-MBD200DC-DISC-AREA
012600              (WS-D200-REFMOD-BEG:WS-D200-REFMOD-REMAINDER)
012700                                 TO MTRF-O17-WS-SEGMENT
012800         MOVE WS-D200-REFMOD-BEG TO MTRF-K2-O17-RT02-BEG
012900         MOVE WS-D200-REFMOD-REMAINDER
013000                                 TO MTRF-K2-O17-RT02-LEN
013100         PERFORM R980-WRITE-REPORT-FILE
013200            THRU R989-WRF-EXIT.
013300*
013400*
013500*
013600     MOVE MMMM-MERCHANT          TO MTRF-K2-O17-MERCHANT.
013700*
013800     IF  MMMM-DL-MERCHANT
013900         MOVE ZERO               TO MTRF-K2-O17-PRODUCT
014000     ELSE
014100         MOVE MMMP-PRODUCT       TO MTRF-K2-O17-PRODUCT
014200     END-IF.
014300*
014400     SET MTRF-K2-O17-PRODUCT-TRAILER
014500                                 TO TRUE.
014600     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
014700*
014800     PERFORM R980-WRITE-REPORT-FILE
014900        THRU R989-WRF-EXIT.
015000*
015100*
015200*
015300 R179-R17-EXIT.
015400     EXIT.
015500/
015600 R170-REPORT-17-ADJ SECTION.
015700 R171-R17-ADJ-BEGIN.
015800*
015900     SET X-MTRFWS-ORT            TO 17.
016000*
016100     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
016200     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
016300         GO TO R179-R17-ADJ-EXIT.
016400*
016500     MOVE MMMM-MERCHANT          TO MTRF-K2-O17-MERCHANT.
016600*
016700     IF  MMMM-DL-MERCHANT
016800         MOVE ZERO               TO MTRF-K2-O17-PRODUCT
016900     ELSE
017000         MOVE MMMP-PRODUCT       TO MTRF-K2-O17-PRODUCT
017100     END-IF.
017200*
017300     SET MTRF-K2-O17-TRANS-ADJ   TO TRUE.
017400     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
017500     MOVE MTPT-STORE             TO MTRF-K2-O17-RT03-STORE.
017600     ADD 1                       TO WS-D200-O17-RT03-TRANS-SEQ.
017700     MOVE WS-D200-O17-RT03-TRANS-SEQ
017800                                 TO MTRF-K2-O17-RT03-TRANS-SEQ.
017900     SET  MTRF-K2-O17-RT03-TRANSACTION
018000                                 TO TRUE.
018100     MOVE MTPT-RECORD            TO MTRF-MT-TRANSACTION.
018200*
018300     PERFORM R980-WRITE-REPORT-FILE
018400        THRU R989-WRF-EXIT.
018500*
018600*
018700*
018800     MOVE MMMM-MERCHANT          TO MTRF-K2-O17-MERCHANT.
018900*
019000     IF  MMMM-DL-MERCHANT
019100         MOVE ZERO               TO MTRF-K2-O17-PRODUCT
019200     ELSE
019300         MOVE MMMP-PRODUCT       TO MTRF-K2-O17-PRODUCT
019400     END-IF.
019500*
019600     SET MTRF-K2-O17-TRANS-ADJ   TO TRUE.
019700     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
019800     MOVE MTPT-STORE             TO MTRF-K2-O17-RT03-STORE.
019900     MOVE WS-D200-O17-RT03-TRANS-SEQ
020000                                 TO MTRF-K2-O17-RT03-TRANS-SEQ.
020100     SET  MTRF-K2-O17-RT03-ADJ-OVRD
020200                                 TO TRUE.
020300     MOVE MBD200WS-DA-ADJ-OVRD-BREAKDOWN
020400                                 TO MTRF-O17-ADJ-OVRD-BREAKDOWN.
020500*
020600     PERFORM R980-WRITE-REPORT-FILE
020700        THRU R989-WRF-EXIT.
020800*
020900     SET MBD200WS-DA-ACTIVITY    TO TRUE.
021000*
021100 R179-R17-ADJ-EXIT.
021200     EXIT.
021300/
021400 R170-REPORT-17-OVRD SECTION.
021500 R171-R17-OVRD-BEGIN.
021600*
021700     SET X-MTRFWS-ORT            TO 17.
021800*
021900     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
022000     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
022100         GO TO R179-R17-OVRD-EXIT.
022200*
022300     MOVE MMMM-MERCHANT          TO MTRF-K2-O17-MERCHANT.
022400*
022500     IF  MMMM-DL-MERCHANT
022600         MOVE ZERO               TO MTRF-K2-O17-PRODUCT
022700     ELSE
022800         MOVE MMMP-PRODUCT       TO MTRF-K2-O17-PRODUCT
022900     END-IF.
023000*
023100     SET MTRF-K2-O17-TRANS-OVRD  TO TRUE.
023200     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
023300     MOVE MTPT-STORE             TO MTRF-K2-O17-RT04-STORE.
023400     ADD 1                       TO WS-D200-O17-RT04-TRANS-SEQ.
023500     MOVE WS-D200-O17-RT04-TRANS-SEQ
023600                                 TO MTRF-K2-O17-RT04-TRANS-SEQ.
023700     SET  MTRF-K2-O17-RT04-TRANSACTION
023800                                 TO TRUE.
023900     MOVE MTPT-RECORD            TO MTRF-MT-TRANSACTION.
024000*
024100     PERFORM R980-WRITE-REPORT-FILE
024200        THRU R989-WRF-EXIT.
024300*
024400*
024500*
024600     MOVE MMMM-MERCHANT          TO MTRF-K2-O17-MERCHANT.
024700*
024800     IF  MMMM-DL-MERCHANT
024900         MOVE ZERO               TO MTRF-K2-O17-PRODUCT
025000     ELSE
025100         MOVE MMMP-PRODUCT       TO MTRF-K2-O17-PRODUCT
025200     END-IF.
025300*
025400     SET MTRF-K2-O17-TRANS-OVRD  TO TRUE.
025500     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
025600     MOVE MTPT-STORE             TO MTRF-K2-O17-RT04-STORE.
025700     MOVE WS-D200-O17-RT04-TRANS-SEQ
025800                                 TO MTRF-K2-O17-RT04-TRANS-SEQ.
025900     SET  MTRF-K2-O17-RT04-ADJ-OVRD
026000                                 TO TRUE.
026100     MOVE MBD200WS-DA-ADJ-OVRD-BREAKDOWN
026200                                 TO MTRF-O17-ADJ-OVRD-BREAKDOWN.
026300*
026400     PERFORM R980-WRITE-REPORT-FILE
026500        THRU R989-WRF-EXIT.
026600*
026700     SET MBD200WS-DA-ACTIVITY    TO TRUE.
026800*
026900 R179-R17-OVRD-EXIT.
027000     EXIT.
027100/
027200 R170-REPORT-17-MANUAL SECTION.
027300 R171-R17-MANUAL-BEGIN.
027400*
027500     SET X-MTRFWS-ORT            TO 17.
027600*
027700     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
027800     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
027900         GO TO R179-R17-MANUAL-EXIT.
028000*
028100     MOVE MMMM-MERCHANT          TO MTRF-K2-O17-MERCHANT.
028200*
028300     IF  MMMM-DL-MERCHANT
028400         MOVE ZERO               TO MTRF-K2-O17-PRODUCT
028500     ELSE
028600         MOVE MMMP-PRODUCT       TO MTRF-K2-O17-PRODUCT
028700     END-IF.
028800*
028900     SET MTRF-K2-O17-TRANS-MANUAL
029000                                 TO TRUE.
029100     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
029200     MOVE MTPT-STORE             TO MTRF-K2-O17-RT05-STORE.
029300     MOVE MTPT-RECORD            TO MTRF-MT-TRANSACTION.
029400*
029500     PERFORM R980-WRITE-REPORT-FILE
029600        THRU R989-WRF-EXIT.
029700*
029800*
029900*
030000 R179-R17-MANUAL-EXIT.
030100     EXIT.
030200/
030300 R170-REPORT-17-MINIMUM SECTION.
030400 R170-R17-MINIMUM-BEGIN.
030500*
030600     SET X-MTRFWS-ORT            TO 17.
030700*
030800     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
030900     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
031000         GO TO R179-R17-MINIMUM-EXIT.
031100*
031200     IF  WS-D200-O17-NO-ACTIVITY
031300         GO TO R179-R17-MINIMUM-EXIT.
031400*
031500     MOVE MMMM-MERCHANT          TO MTRF-K2-O17-MERCHANT.
031600     MOVE ZERO                   TO MTRF-K2-O17-PRODUCT.
031700     SET MTRF-K2-O17-MERCH-HEADER
031800                                 TO TRUE.
031900     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
032000*
032100     MOVE WS-D200-MIN-DISC-CALC  TO MTRF-O17-MIN-DISC.
032200*
032300     PERFORM R980-WRITE-REPORT-FILE
032400        THRU R989-WRF-EXIT.
032500*
032600*
032700*
032800 R179-R17-MINIMUM-EXIT.
032900     EXIT.
