000100 R190-REPORT-19 SECTION.
000200 R191-R19-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 19.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R199-R19-EXIT.
000900*
001000     IF  MMRT-TABLE-NBR          IS EQUAL TO ZERO
001100     AND MBD200WS-RA-RESV-TIER(X-MBD200WS-RA)
001200                                 IS EQUAL TO ZERO
001300     AND MBD200WS-RA-RESV-PLAN-ADJ (X-MBD200WS-RA)
001400                                 IS EQUAL TO ZERO
001500     AND MBD200WS-RA-RESV-PLAN-OVRD (X-MBD200WS-RA)
001600                                 IS EQUAL TO ZERO
001700     AND MBD200WS-RA-RESV-TOTAL (X-MBD200WS-RA)
001800                                 IS EQUAL TO ZERO
001900         GO TO R199-R19-EXIT.
002000*
002100     SET WS-D200-O19-ACTIVITY    TO TRUE.
002200*
002300     DIVIDE LENGTH OF MMRT-RECORD
002400     BY     LENGTH OF MTRF-O19-RT-SEGMENT
002500     GIVING           WS-D200-REFMOD-RESULT
002600     REMAINDER        WS-D200-REFMOD-REMAINDER.
002700*
002800     MOVE LENGTH OF MTRF-O19-RT-SEGMENT
002900                                 TO WS-D200-REFMOD-LEN.
003000     MOVE 1                      TO WS-D200-REFMOD-BEG.
003100*
003200     PERFORM
003300         VARYING WS-D200-REFMOD-COUNT FROM 1 BY 1
003400         UNTIL   WS-D200-REFMOD-COUNT IS GREATER THAN
003500                                 WS-D200-REFMOD-RESULT
003600         MOVE MMMM-MERCHANT      TO MTRF-K2-O19-MERCHANT
003700         MOVE MBD200WS-RA-RESV-INDEX
003800                                 TO MTRF-K2-O19-RESV-NBR
003900         IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
004000             MOVE ZERO           TO MTRF-K2-O19-PRODUCT
004100         ELSE
004200             MOVE MMMP-PRODUCT   TO MTRF-K2-O19-PRODUCT
004300         END-IF
004400         SET MTRF-K2-O19-RT-RECORD
004500                                 TO TRUE
004600         MOVE WS-D200-REFMOD-COUNT
004700                                 TO MTRF-K2-O19-RT01-SEQ
004800         MOVE 1                  TO WS-D200-RPT-REC-TYPE
004900         MOVE MMRT-RECORD (WS-D200-REFMOD-BEG:WS-D200-REFMOD-LEN)
005000                                 TO MTRF-O19-RT-SEGMENT
005100         MOVE WS-D200-REFMOD-BEG TO MTRF-K2-O19-RT01-BEG
005200         MOVE WS-D200-REFMOD-LEN TO MTRF-K2-O19-RT01-LEN
005300         PERFORM R980-WRITE-REPORT-FILE
005400            THRU R989-WRF-EXIT
005500         ADD WS-D200-REFMOD-LEN  TO WS-D200-REFMOD-BEG
005600     END-PERFORM.
005700*
005800     IF  WS-D200-REFMOD-REMAINDER IS GREATER THAN ZERO
005900         MOVE MMMM-MERCHANT      TO MTRF-K2-O19-MERCHANT
006000         MOVE MBD200WS-RA-RESV-INDEX
006100                                 TO MTRF-K2-O19-RESV-NBR
006200         IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
006300             MOVE ZERO           TO MTRF-K2-O19-PRODUCT
006400         ELSE
006500             MOVE MMMP-PRODUCT   TO MTRF-K2-O19-PRODUCT
006600         END-IF
006700         SET MTRF-K2-O19-RT-RECORD
006800                                 TO TRUE
006900         COMPUTE MTRF-K2-O19-RT01-SEQ
007000                                 =  WS-D200-REFMOD-RESULT + 1
007100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
007200         MOVE MMRT-RECORD
007300              (WS-D200-REFMOD-BEG:WS-D200-REFMOD-REMAINDER)
007400                                 TO MTRF-O19-RT-SEGMENT
007500         MOVE WS-D200-REFMOD-BEG TO MTRF-K2-O19-RT01-BEG
007600         MOVE WS-D200-REFMOD-REMAINDER
007700                                 TO MTRF-K2-O19-RT01-LEN
007800         PERFORM R980-WRITE-REPORT-FILE
007900            THRU R989-WRF-EXIT.
008000*
008100*
008200*
008300     DIVIDE LENGTH OF MBD200WS-MBD200RC-RESV-AREA
008400                      (X-MBD200WS-RA)
008500     BY     LENGTH OF MTRF-O19-WS-SEGMENT
008600     GIVING           WS-D200-REFMOD-RESULT
008700     REMAINDER        WS-D200-REFMOD-REMAINDER.
008800*
008900     MOVE LENGTH OF MTRF-O19-WS-SEGMENT
009000                                 TO WS-D200-REFMOD-LEN.
009100     MOVE 1                      TO WS-D200-REFMOD-BEG.
009200*
009300     PERFORM
009400         VARYING WS-D200-REFMOD-COUNT FROM 1 BY 1
009500         UNTIL   WS-D200-REFMOD-COUNT IS GREATER THAN
009600                                 WS-D200-REFMOD-RESULT
009700         MOVE MMMM-MERCHANT      TO MTRF-K2-O19-MERCHANT
009800         MOVE MBD200WS-RA-RESV-INDEX
009900                                 TO MTRF-K2-O19-RESV-NBR
010000         IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
010100             MOVE ZERO           TO MTRF-K2-O19-PRODUCT
010200         ELSE
010300             MOVE MMMP-PRODUCT   TO MTRF-K2-O19-PRODUCT
010400         END-IF
010500         SET MTRF-K2-O19-MBD200WS-DATA
010600                                 TO TRUE
010700         MOVE WS-D200-REFMOD-COUNT
010800                                 TO MTRF-K2-O19-RT02-SEQ
010900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
011000         MOVE MBD200WS-MBD200RC-RESV-AREA
011100              (X-MBD200WS-RA)
011200              (WS-D200-REFMOD-BEG:WS-D200-REFMOD-LEN)
011300                                 TO MTRF-O19-WS-SEGMENT
011400         MOVE WS-D200-REFMOD-BEG TO MTRF-K2-O19-RT02-BEG
011500         MOVE WS-D200-REFMOD-LEN TO MTRF-K2-O19-RT02-LEN
011600         PERFORM R980-WRITE-REPORT-FILE
011700            THRU R989-WRF-EXIT
011800         ADD WS-D200-REFMOD-LEN  TO WS-D200-REFMOD-BEG
011900     END-PERFORM.
012000*
012100     IF  WS-D200-REFMOD-REMAINDER IS GREATER THAN ZERO
012200         MOVE MMMM-MERCHANT      TO MTRF-K2-O19-MERCHANT
012300         MOVE MBD200WS-RA-RESV-INDEX
012400                                 TO MTRF-K2-O19-RESV-NBR
012500         IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
012600             MOVE ZERO           TO MTRF-K2-O19-PRODUCT
012700         ELSE
012800             MOVE MMMP-PRODUCT   TO MTRF-K2-O19-PRODUCT
012900         END-IF
013000         SET MTRF-K2-O19-MBD200WS-DATA
013100                                 TO TRUE
013200         COMPUTE MTRF-K2-O19-RT02-SEQ
013300                                 =  WS-D200-REFMOD-RESULT + 1
013400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
013500         MOVE MBD200WS-MBD200RC-RESV-AREA
013600              (X-MBD200WS-RA)
013700              (WS-D200-REFMOD-BEG:WS-D200-REFMOD-REMAINDER)
013800                                 TO MTRF-O19-WS-SEGMENT
013900         MOVE WS-D200-REFMOD-BEG TO MTRF-K2-O19-RT02-BEG
014000         MOVE WS-D200-REFMOD-REMAINDER
014100                                 TO MTRF-K2-O19-RT02-LEN
014200         PERFORM R980-WRITE-REPORT-FILE
014300            THRU R989-WRF-EXIT.
014400*
014500*
014600*
014700     MOVE MMMM-MERCHANT          TO MTRF-K2-O19-MERCHANT.
014800     MOVE MBD200WS-RA-RESV-INDEX TO MTRF-K2-O19-RESV-NBR.
014900*
015000     IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
015100         MOVE ZERO               TO MTRF-K2-O19-PRODUCT
015200     ELSE
015300         MOVE MMMP-PRODUCT       TO MTRF-K2-O19-PRODUCT
015400     END-IF.
015500*
015600     SET MTRF-K2-O19-PRODUCT-TRAILER
015700                                 TO TRUE.
015800     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
015900*
016000     PERFORM R980-WRITE-REPORT-FILE
016100        THRU R989-WRF-EXIT.
016200*
016300*
016400*
016500 R199-R19-EXIT.
016600     EXIT.
016700/
016800 R190-REPORT-19-HEADER SECTION.
016900 R190-R19-HEADER-BEGIN.
017000*
017100     SET X-MTRFWS-ORT            TO 19.
017200*
017300     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
017400     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
017500         GO TO R199-R19-HEADER-EXIT.
017600*
017700     IF  WS-D200-O19-NO-ACTIVITY
017800         GO TO R199-R19-HEADER-EXIT.
017900*
018000     MOVE MMMM-MERCHANT          TO MTRF-K2-O19-MERCHANT.
018100     MOVE ZERO                   TO MTRF-K2-O19-RESV-NBR.
018200     MOVE ZERO                   TO MTRF-K2-O19-PRODUCT.
018300     SET MTRF-K2-O19-MERCH-HEADER
018400                                 TO TRUE.
018500     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
018600*
018700     MOVE MMMM-RESV-DESC (1)     TO MTRF-O19-RESV-DESC (1).
018800     MOVE MMMM-RESV-DESC (2)     TO MTRF-O19-RESV-DESC (2).
018900     MOVE MMMM-RESV-DESC (3)     TO MTRF-O19-RESV-DESC (3).
019000     MOVE MMMM-RESV-DESC (4)     TO MTRF-O19-RESV-DESC (4).
019100*
019200     MOVE MMMM-RESV-FLOOR (1)    TO MTRF-O19-RESV-FLOOR (1).
019300     MOVE MMMM-RESV-FLOOR (2)    TO MTRF-O19-RESV-FLOOR (2).
019400     MOVE MMMM-RESV-FLOOR (3)    TO MTRF-O19-RESV-FLOOR (3).
019500     MOVE MMMM-RESV-FLOOR (4)    TO MTRF-O19-RESV-FLOOR (4).
019600*
019700     MOVE MMMM-RESV-CEILING (1)  TO MTRF-O19-RESV-CEILING (1).
019800     MOVE MMMM-RESV-CEILING (2)  TO MTRF-O19-RESV-CEILING (2).
019900     MOVE MMMM-RESV-CEILING (3)  TO MTRF-O19-RESV-CEILING (3).
020000     MOVE MMMM-RESV-CEILING (4)  TO MTRF-O19-RESV-CEILING (4).
020100*
020200     PERFORM R980-WRITE-REPORT-FILE
020300        THRU R989-WRF-EXIT.
020400*
020500*
020600*
020700 R199-R19-HEADER-EXIT.
020800     EXIT.
