000100 R200-REPORT-20 SECTION.
000200 R201-R20-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 20.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R209-R20-EXIT.
000900*
001000     MOVE MMMM-MERCHANT          TO MTRF-K2-O20-MERCHANT.
001100     SET  MTRF-K2-O20-RESV-1-4-DATA
001200                                 TO TRUE.
001300     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
001400*
001500     INITIALIZE MTRF-O20-R1-RESERVE-TABLE (1).
001600     INITIALIZE MTRF-O20-R1-RESERVE-TABLE (2).
001700     INITIALIZE MTRF-O20-R1-RESERVE-TABLE (3).
001800     INITIALIZE MTRF-O20-R1-RESERVE-TABLE (4).
001900*
002000     SET  MTRF-O20-RESV-IN-BALANCE (1)
002100                                 TO TRUE.
002200     SET  MTRF-O20-RESV-IN-BALANCE (2)
002300                                 TO TRUE.
002400     SET  MTRF-O20-RESV-IN-BALANCE (3)
002500                                 TO TRUE.
002600     SET  MTRF-O20-RESV-IN-BALANCE (4)
002700                                 TO TRUE.
002800*
002900     MOVE WS-D200-O20-RESV-BEG-BAL (1)
003000                                 TO MTRF-O20-RESV-BEG-BAL (1).
003100     MOVE WS-D200-O20-RESV-BEG-BAL (2)
003200                                 TO MTRF-O20-RESV-BEG-BAL (2).
003300     MOVE WS-D200-O20-RESV-BEG-BAL (3)
003400                                 TO MTRF-O20-RESV-BEG-BAL (3).
003500     MOVE WS-D200-O20-RESV-BEG-BAL (4)
003600                                 TO MTRF-O20-RESV-BEG-BAL (4).
003700*
003800     MOVE MMMM-BAL-RESV (1)      TO MTRF-O20-RESV-END-BAL (1).
003900     MOVE MMMM-BAL-RESV (2)      TO MTRF-O20-RESV-END-BAL (2).
004000     MOVE MMMM-BAL-RESV (3)      TO MTRF-O20-RESV-END-BAL (3).
004100     MOVE MMMM-BAL-RESV (4)      TO MTRF-O20-RESV-END-BAL (4).
004200*
004300     PERFORM
004400         VARYING X-MMPATB-TOTAL FROM 1 BY 1
004500         UNTIL   X-MMPATB-TOTAL IS GREATER THAN
004600                                 MMPATB-MAX-ENTRIES
004700            OR   MMPATB-END-OF-TABLE (X-MMPATB-TOTAL)
004800         IF  MMPATB-TOTALS (X-MMPATB-TOTAL)
004900             MOVE MMPATB-RECORD (X-MMPATB-TOTAL)
005000                                 TO MMPA-RECORD
005100             MOVE MMPA-LOGIC-MODULE
005200                                 TO MMTCWS-LOGIC-MODULE
005300             EVALUATE TRUE
005400                 WHEN MMTCWS-LM-RESV-1-INCREASE
005500                     ADD  MMPA-AMT (13)
005600                                 TO MTRF-O20-RESV-FUND-TODAY (1)
005700                 WHEN MMTCWS-LM-RESV-2-INCREASE
005800                     ADD  MMPA-AMT (13)
005900                                 TO MTRF-O20-RESV-FUND-TODAY (2)
006000                 WHEN MMTCWS-LM-RESV-3-INCREASE
006100                     ADD  MMPA-AMT (13)
006200                                 TO MTRF-O20-RESV-FUND-TODAY (3)
006300                 WHEN MMTCWS-LM-RESV-4-INCREASE
006400                     ADD  MMPA-AMT (13)
006500                                 TO MTRF-O20-RESV-FUND-TODAY (4)
006600                 WHEN MMTCWS-LM-RESV-1-MANUAL-INCR
006700                     ADD  MMPA-AMT (13)
006800                                 TO MTRF-O20-RESV-INCREASES (1)
006900                 WHEN MMTCWS-LM-RESV-2-MANUAL-INCR
007000                     ADD  MMPA-AMT (13)
007100                                 TO MTRF-O20-RESV-INCREASES (2)
007200                 WHEN MMTCWS-LM-RESV-3-MANUAL-INCR
007300                     ADD  MMPA-AMT (13)
007400                                 TO MTRF-O20-RESV-INCREASES (3)
007500                 WHEN MMTCWS-LM-RESV-4-MANUAL-INCR
007600                     ADD  MMPA-AMT (13)
007700                                 TO MTRF-O20-RESV-INCREASES (4)
007800                 WHEN MMTCWS-LM-RESV-1-DECREASE-PROC
007900                     SUBTRACT MMPA-AMT (13)
008000                               FROM MTRF-O20-RESV-TO-PROC (1)
008100                 WHEN MMTCWS-LM-RESV-2-DECREASE-PROC
008200                     SUBTRACT MMPA-AMT (13)
008300                               FROM MTRF-O20-RESV-TO-PROC (2)
008400                 WHEN MMTCWS-LM-RESV-3-DECREASE-PROC
008500                     SUBTRACT MMPA-AMT (13)
008600                               FROM MTRF-O20-RESV-TO-PROC (3)
008700                 WHEN MMTCWS-LM-RESV-4-DECREASE-PROC
008800                     SUBTRACT MMPA-AMT (13)
008900                               FROM MTRF-O20-RESV-TO-PROC (4)
009000                 WHEN MMTCWS-LM-RESV-1-DECREASE-SETT
009100                     SUBTRACT MMPA-AMT (13)
009200                               FROM MTRF-O20-RESV-TO-SETT (1)
009300                 WHEN MMTCWS-LM-RESV-2-DECREASE-SETT
009400                     SUBTRACT MMPA-AMT (13)
009500                               FROM MTRF-O20-RESV-TO-SETT (2)
009600                 WHEN MMTCWS-LM-RESV-3-DECREASE-SETT
009700                     SUBTRACT MMPA-AMT (13)
009800                               FROM MTRF-O20-RESV-TO-SETT (3)
009900                 WHEN MMTCWS-LM-RESV-4-DECREASE-SETT
010000                     SUBTRACT MMPA-AMT (13)
010100                               FROM MTRF-O20-RESV-TO-SETT (4)
010200             END-EVALUATE
010300         END-IF
010400     END-PERFORM.
010500
010600*
010700     IF  MTRF-O20-RESV-BEG-BAL   (1) IS EQUAL TO ZERO
010800     AND MTRF-O20-RESV-BEG-BAL   (2) IS EQUAL TO ZERO
010900     AND MTRF-O20-RESV-BEG-BAL   (3) IS EQUAL TO ZERO
011000     AND MTRF-O20-RESV-BEG-BAL   (4) IS EQUAL TO ZERO
011100     AND MTRF-O20-RESV-FUND-TODAY(1) IS EQUAL TO ZERO
011200     AND MTRF-O20-RESV-FUND-TODAY(2) IS EQUAL TO ZERO
011300     AND MTRF-O20-RESV-FUND-TODAY(3) IS EQUAL TO ZERO
011400     AND MTRF-O20-RESV-FUND-TODAY(4) IS EQUAL TO ZERO
011500     AND MTRF-O20-RESV-INCREASES (1) IS EQUAL TO ZERO
011600     AND MTRF-O20-RESV-INCREASES (2) IS EQUAL TO ZERO
011700     AND MTRF-O20-RESV-INCREASES (3) IS EQUAL TO ZERO
011800     AND MTRF-O20-RESV-INCREASES (4) IS EQUAL TO ZERO
011900     AND MTRF-O20-RESV-TO-PROC   (1) IS EQUAL TO ZERO
012000     AND MTRF-O20-RESV-TO-PROC   (2) IS EQUAL TO ZERO
012100     AND MTRF-O20-RESV-TO-PROC   (3) IS EQUAL TO ZERO
012200     AND MTRF-O20-RESV-TO-PROC   (4) IS EQUAL TO ZERO
012300     AND MTRF-O20-RESV-TO-SETT   (1) IS EQUAL TO ZERO
012400     AND MTRF-O20-RESV-TO-SETT   (2) IS EQUAL TO ZERO
012500     AND MTRF-O20-RESV-TO-SETT   (3) IS EQUAL TO ZERO
012600     AND MTRF-O20-RESV-TO-SETT   (4) IS EQUAL TO ZERO
012700     AND MTRF-O20-RESV-END-BAL   (1) IS EQUAL TO ZERO
012800     AND MTRF-O20-RESV-END-BAL   (2) IS EQUAL TO ZERO
012900     AND MTRF-O20-RESV-END-BAL   (3) IS EQUAL TO ZERO
013000     AND MTRF-O20-RESV-END-BAL   (4) IS EQUAL TO ZERO
013100     AND MMMM-RESV-RATE-TABLE    (1) IS EQUAL TO ZERO
013200     AND MMMM-RESV-RATE-TABLE    (2) IS EQUAL TO ZERO
013300     AND MMMM-RESV-RATE-TABLE    (3) IS EQUAL TO ZERO
013400     AND MMMM-RESV-RATE-TABLE    (4) IS EQUAL TO ZERO
013500     AND MMMM-RESV-FLOOR         (1) IS EQUAL TO ZERO
013600     AND MMMM-RESV-FLOOR         (2) IS EQUAL TO ZERO
013700     AND MMMM-RESV-FLOOR         (3) IS EQUAL TO ZERO
013800     AND MMMM-RESV-FLOOR         (4) IS EQUAL TO ZERO
013900     AND MMMM-RESV-CEILING       (1) IS EQUAL TO ZERO
014000     AND MMMM-RESV-CEILING       (2) IS EQUAL TO ZERO
014100     AND MMMM-RESV-CEILING       (3) IS EQUAL TO ZERO
014200     AND MMMM-RESV-CEILING       (4) IS EQUAL TO ZERO
014300     AND MMMM-RESV-DESC          (1) IS EQUAL TO SPACES
014400     AND MMMM-RESV-DESC          (2) IS EQUAL TO SPACES
014500     AND MMMM-RESV-DESC          (3) IS EQUAL TO SPACES
014600     AND MMMM-RESV-DESC          (4) IS EQUAL TO SPACES
014700         MOVE SPACES             TO MTRF-RECORD
014800         GO TO R209-R20-EXIT.
014900*
015000     COMPUTE WS-D200-O20-WORK-AMT
015100                                 =  MTRF-O20-RESV-BEG-BAL    (1)
015200                                 +  MTRF-O20-RESV-FUND-TODAY (1)
015300                                 +  MTRF-O20-RESV-INCREASES  (1)
015400                                 +  MTRF-O20-RESV-TO-PROC    (1)
015500                                 +  MTRF-O20-RESV-TO-SETT    (1).
015600*
015700     IF  MTRF-O20-RESV-END-BAL (1) IS NOT EQUAL TO
015800                                 WS-D200-O20-WORK-AMT
015900         SET  MTRF-O20-RESV-OUT-OF-BAL (1)
016000                                 TO TRUE.
016100*
016200     COMPUTE WS-D200-O20-WORK-AMT
016300                                 =  MTRF-O20-RESV-BEG-BAL    (2)
016400                                 +  MTRF-O20-RESV-FUND-TODAY (2)
016500                                 +  MTRF-O20-RESV-INCREASES  (2)
016600                                 +  MTRF-O20-RESV-TO-PROC    (2)
016700                                 +  MTRF-O20-RESV-TO-SETT    (2).
016800*
016900     IF  MTRF-O20-RESV-END-BAL (2) IS NOT EQUAL TO
017000                                 WS-D200-O20-WORK-AMT
017100         SET  MTRF-O20-RESV-OUT-OF-BAL (2)
017200                                 TO TRUE.
017300*
017400     COMPUTE WS-D200-O20-WORK-AMT
017500                                 =  MTRF-O20-RESV-BEG-BAL    (3)
017600                                 +  MTRF-O20-RESV-FUND-TODAY (3)
017700                                 +  MTRF-O20-RESV-INCREASES  (3)
017800                                 +  MTRF-O20-RESV-TO-PROC    (3)
017900                                 +  MTRF-O20-RESV-TO-SETT    (3).
018000*
018100     IF  MTRF-O20-RESV-END-BAL (3) IS NOT EQUAL TO
018200                                 WS-D200-O20-WORK-AMT
018300         SET  MTRF-O20-RESV-OUT-OF-BAL (3)
018400                                 TO TRUE.
018500*
018600     COMPUTE WS-D200-O20-WORK-AMT
018700                                 =  MTRF-O20-RESV-BEG-BAL    (4)
018800                                 +  MTRF-O20-RESV-FUND-TODAY (4)
018900                                 +  MTRF-O20-RESV-INCREASES  (4)
019000                                 +  MTRF-O20-RESV-TO-PROC    (4)
019100                                 +  MTRF-O20-RESV-TO-SETT    (4).
019200*
019300     IF  MTRF-O20-RESV-END-BAL (4) IS NOT EQUAL TO
019400                                 WS-D200-O20-WORK-AMT
019500         SET  MTRF-O20-RESV-OUT-OF-BAL (4)
019600                                 TO TRUE.
019700*
019800     PERFORM R980-WRITE-REPORT-FILE
019900        THRU R989-WRF-EXIT.
020000*
020100*
020200*
020300     MOVE MMMM-MERCHANT          TO MTRF-K2-O20-MERCHANT.
020400     SET  MTRF-K2-O20-MERCH-HEADER
020500                                 TO TRUE.
020600     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
020700*
020800     MOVE MMMM-RESERVE-TABLE (1) TO MTRF-O20-R0-RESERVE-TABLE (1).
020900     MOVE MMMM-RESERVE-TABLE (2) TO MTRF-O20-R0-RESERVE-TABLE (2).
021000     MOVE MMMM-RESERVE-TABLE (3) TO MTRF-O20-R0-RESERVE-TABLE (3).
021100     MOVE MMMM-RESERVE-TABLE (4) TO MTRF-O20-R0-RESERVE-TABLE (4).
021200*
021300     PERFORM R980-WRITE-REPORT-FILE
021400        THRU R989-WRF-EXIT.
021500*
021600*
021700*
021800 R209-R20-EXIT.
021900     EXIT.
