000100 R390-REPORT-39 SECTION.
000200 R391-R39-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 39.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R399-R39-EXIT.
000900*
001000******************************************************************
001100*    DAILY AUTH AMOUNT FRAUD CHECK (OVER)                        *
001200******************************************************************
001300     MOVE WS-D200-SRA-AUTH-AMT (13)
001400                                 TO WS-D200-WORK-AMT.
001500*
001600     SET X-MMFP-FRAUD            TO 5.
001700*
001800     IF  WS-D200-NORM-AUTH-AMT = ZERO
001900         MOVE 10000.0000         TO WS-D200-VARIANCE
002000     ELSE
002100         COMPUTE WS-D200-VARIANCE ROUNDED
002200                                 =  WS-D200-WORK-AMT
002300                                 /  WS-D200-NORM-AUTH-AMT
002400     END-IF.
002500*
002600     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
002700                                (X-MMFP-FRAUD)
002800     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
002900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
003000         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
003100         SET  MTRF-K2-O39-KT-MERCHANT
003200                                 TO TRUE
003300         SET  MTRF-K2-O39-FRAUD-INDEX
003400                                 TO X-MMFP-FRAUD
003500         SET  MTRF-O39-OVER      TO TRUE
003600         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
003700         MOVE MMMM-DATE-LAST-STMT
003800                                 TO MTRF-O39-DATE-LAST-STMT
003900         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
004000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
004100                                 TO MTRF-O39-AVG-NBR-MONTHS
004200         MOVE WS-D200-WORK-AMT   TO MTRF-O39-ACTUAL-ACTIVITY
004300         MOVE WS-D200-NORM-AUTH-AMT
004400                                 TO MTRF-O39-ALLOWED-ACTIVITY
004500         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
004600         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
004700                                 TO MTRF-O39-FP-VARIANCE
004800         PERFORM R980-WRITE-REPORT-FILE
004900            THRU R989-WRF-EXIT
005000     END-IF.
005100*
005200******************************************************************
005300*    DAILY AUTH AMOUNT FRAUD CHECK (UNDER)                       *
005400******************************************************************
005500*
005600     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
005700                                (X-MMFP-FRAUD)
005800     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
005900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
006000         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
006100         SET  MTRF-K2-O39-KT-MERCHANT
006200                                 TO TRUE
006300         SET  MTRF-K2-O39-FRAUD-INDEX
006400                                 TO X-MMFP-FRAUD
006500         SET  MTRF-O39-UNDER     TO TRUE
006600         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
006700         MOVE MMMM-DATE-LAST-STMT
006800                                 TO MTRF-O39-DATE-LAST-STMT
006900         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
007000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
007100                                 TO MTRF-O39-AVG-NBR-MONTHS
007200         MOVE WS-D200-WORK-AMT   TO MTRF-O39-ACTUAL-ACTIVITY
007300         MOVE WS-D200-NORM-AUTH-AMT
007400                                 TO MTRF-O39-ALLOWED-ACTIVITY
007500         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
007600         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
007700                                 TO MTRF-O39-FP-VARIANCE
007800         PERFORM R980-WRITE-REPORT-FILE
007900            THRU R989-WRF-EXIT
008000     END-IF.
008100*
008200*
008300*
008400******************************************************************
008500*    DAILY AUTH NUMBER FRAUD CHECK (OVER)                        *
008600******************************************************************
008700*
008800     MOVE WS-D200-SRA-AUTH-NBR (13)
008900                                 TO WS-D200-WORK-NBR.
009000*
009100     SET X-MMFP-FRAUD            TO 6.
009200*
009300     IF  WS-D200-NORM-AUTH-NBR = ZERO
009400         MOVE 10000.0000         TO WS-D200-VARIANCE
009500     ELSE
009600         COMPUTE WS-D200-VARIANCE ROUNDED
009700                                 =  WS-D200-WORK-NBR
009800                                 /  WS-D200-NORM-AUTH-NBR
009900     END-IF.
010000*
010100     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
010200                                (X-MMFP-FRAUD)
010300     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
010400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
010500         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
010600         SET  MTRF-K2-O39-KT-MERCHANT
010700                                 TO TRUE
010800         SET  MTRF-K2-O39-FRAUD-INDEX
010900                                 TO X-MMFP-FRAUD
011000         SET  MTRF-O39-OVER      TO TRUE
011100         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
011200         MOVE MMMM-DATE-LAST-STMT
011300                                 TO MTRF-O39-DATE-LAST-STMT
011400         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
011500         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
011600                                 TO MTRF-O39-AVG-NBR-MONTHS
011700         MOVE WS-D200-WORK-NBR   TO MTRF-O39-ACTUAL-ACTIVITY
011800         MOVE WS-D200-NORM-AUTH-NBR
011900                                 TO MTRF-O39-ALLOWED-ACTIVITY
012000         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
012100         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
012200                                 TO MTRF-O39-FP-VARIANCE
012300         PERFORM R980-WRITE-REPORT-FILE
012400            THRU R989-WRF-EXIT
012500     END-IF.
012600*
012700******************************************************************
012800*    DAILY AUTH NUMBER FRAUD CHECK (UNDER)                       *
012900******************************************************************
013000*
013100     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
013200                                (X-MMFP-FRAUD)
013300     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
013400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
013500         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
013600         SET  MTRF-K2-O39-KT-MERCHANT
013700                                 TO TRUE
013800         SET  MTRF-K2-O39-FRAUD-INDEX
013900                                 TO X-MMFP-FRAUD
014000         SET  MTRF-O39-UNDER     TO TRUE
014100         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
014200         MOVE MMMM-DATE-LAST-STMT
014300                                 TO MTRF-O39-DATE-LAST-STMT
014400         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
014500         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
014600                                 TO MTRF-O39-AVG-NBR-MONTHS
014700         MOVE WS-D200-WORK-NBR   TO MTRF-O39-ACTUAL-ACTIVITY
014800         MOVE WS-D200-NORM-AUTH-NBR
014900                                 TO MTRF-O39-ALLOWED-ACTIVITY
015000         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
015100         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
015200                                 TO MTRF-O39-FP-VARIANCE
015300         PERFORM R980-WRITE-REPORT-FILE
015400            THRU R989-WRF-EXIT
015500     END-IF.
015600*
015700*
015800*
015900******************************************************************
016000*    DAILY KEYED AUTH AMOUNT FRAUD CHECK (OVER)                  *
016100******************************************************************
016200*
016300     MOVE MMFA-KEYED-AUTHS-AMT (13)
016400                                  TO WS-D200-WORK-AMT.
016500*
016600     SET X-MMFP-FRAUD            TO 17.
016700*
016800     IF  WS-D200-NORM-KEYED-AUTH-AMT = ZERO
016900         MOVE 10000.0000         TO WS-D200-VARIANCE
017000     ELSE
017100         COMPUTE WS-D200-VARIANCE ROUNDED
017200                                 =  WS-D200-WORK-AMT
017300                                 /  WS-D200-NORM-KEYED-AUTH-AMT
017400     END-IF.
017500*
017600     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
017700                                (X-MMFP-FRAUD)
017800     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
017900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
018000         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
018100         SET  MTRF-K2-O39-KT-MERCHANT
018200                                 TO TRUE
018300         SET  MTRF-K2-O39-FRAUD-INDEX
018400                                 TO X-MMFP-FRAUD
018500         SET  MTRF-O39-OVER      TO TRUE
018600         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
018700         MOVE MMMM-DATE-LAST-STMT
018800                                 TO MTRF-O39-DATE-LAST-STMT
018900         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
019000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
019100                                 TO MTRF-O39-AVG-NBR-MONTHS
019200         MOVE WS-D200-WORK-AMT   TO MTRF-O39-ACTUAL-ACTIVITY
019300         MOVE WS-D200-NORM-KEYED-AUTH-AMT
019400                                 TO MTRF-O39-ALLOWED-ACTIVITY
019500         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
019600         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
019700                                 TO MTRF-O39-FP-VARIANCE
019800         PERFORM R980-WRITE-REPORT-FILE
019900            THRU R989-WRF-EXIT
020000     END-IF.
020100*
020200******************************************************************
020300*    DAILY KEYED AUTH AMOUNT FRAUD CHECK (UNDER)                 *
020400******************************************************************
020500*
020600     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
020700                                (X-MMFP-FRAUD)
020800     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
020900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
021000         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
021100         SET  MTRF-K2-O39-KT-MERCHANT
021200                                 TO TRUE
021300         SET  MTRF-K2-O39-FRAUD-INDEX
021400                                 TO X-MMFP-FRAUD
021500         SET  MTRF-O39-UNDER     TO TRUE
021600         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
021700         MOVE MMMM-DATE-LAST-STMT
021800                                 TO MTRF-O39-DATE-LAST-STMT
021900         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
022000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
022100                                 TO MTRF-O39-AVG-NBR-MONTHS
022200         MOVE WS-D200-WORK-AMT   TO MTRF-O39-ACTUAL-ACTIVITY
022300         MOVE WS-D200-NORM-KEYED-AUTH-AMT
022400                                 TO MTRF-O39-ALLOWED-ACTIVITY
022500         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
022600         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
022700                                 TO MTRF-O39-FP-VARIANCE
022800         PERFORM R980-WRITE-REPORT-FILE
022900            THRU R989-WRF-EXIT
023000     END-IF.
023100*
023200*
023300*
023400******************************************************************
023500*    DAILY KEYED AUTH NUMBER FRAUD CHECK (OVER)                  *
023600******************************************************************
023700*
023800     MOVE MMFA-KEYED-AUTHS-NBR (13)
023900                                  TO WS-D200-WORK-NBR.
024000*
024100     SET X-MMFP-FRAUD            TO 18.
024200*
024300     IF  WS-D200-NORM-KEYED-AUTH-NBR = ZERO
024400         MOVE 10000.0000         TO WS-D200-VARIANCE
024500     ELSE
024600         COMPUTE WS-D200-VARIANCE ROUNDED
024700                                 =  WS-D200-WORK-NBR
024800                                 /  WS-D200-NORM-KEYED-AUTH-NBR
024900     END-IF.
025000*
025100     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
025200                                (X-MMFP-FRAUD)
025300     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
025400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
025500         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
025600         SET  MTRF-K2-O39-KT-MERCHANT
025700                                 TO TRUE
025800         SET  MTRF-K2-O39-FRAUD-INDEX
025900                                 TO X-MMFP-FRAUD
026000         SET  MTRF-O39-OVER      TO TRUE
026100         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
026200         MOVE MMMM-DATE-LAST-STMT
026300                                 TO MTRF-O39-DATE-LAST-STMT
026400         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
026500         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
026600                                 TO MTRF-O39-AVG-NBR-MONTHS
026700         MOVE WS-D200-WORK-NBR   TO MTRF-O39-ACTUAL-ACTIVITY
026800         MOVE WS-D200-NORM-KEYED-AUTH-NBR
026900                                 TO MTRF-O39-ALLOWED-ACTIVITY
027000         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
027100         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
027200                                 TO MTRF-O39-FP-VARIANCE
027300         PERFORM R980-WRITE-REPORT-FILE
027400            THRU R989-WRF-EXIT
027500     END-IF.
027600*
027700******************************************************************
027800*    DAILY KEYED AUTH NUMBER FRAUD CHECK (UNDER)                 *
027900******************************************************************
028000*
028100     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
028200                                (X-MMFP-FRAUD)
028300     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
028400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
028500         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
028600         SET  MTRF-K2-O39-KT-MERCHANT
028700                                 TO TRUE
028800         SET  MTRF-K2-O39-FRAUD-INDEX
028900                                 TO X-MMFP-FRAUD
029000         SET  MTRF-O39-UNDER     TO TRUE
029100         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
029200         MOVE MMMM-DATE-LAST-STMT
029300                                 TO MTRF-O39-DATE-LAST-STMT
029400         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
029500         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
029600                                 TO MTRF-O39-AVG-NBR-MONTHS
029700         MOVE WS-D200-WORK-NBR   TO MTRF-O39-ACTUAL-ACTIVITY
029800         MOVE WS-D200-NORM-KEYED-AUTH-NBR
029900                                 TO MTRF-O39-ALLOWED-ACTIVITY
030000         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
030100         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
030200                                 TO MTRF-O39-FP-VARIANCE
030300         PERFORM R980-WRITE-REPORT-FILE
030400            THRU R989-WRF-EXIT
030500     END-IF.
030600*
030700*
030800*
030900******************************************************************
031000*    KEYED-TO-SWIPED AUTHS RATIO FRAUD CHECK (OVER)              *
031100******************************************************************
031200*
031300     MOVE MMFA-SWIPED-AUTHS-NBR (13)
031400                                 TO WS-D200-WORK-NBR.
031500*
031600     SET X-MMFP-FRAUD            TO 53.
031700*
031800     IF  WS-D200-WORK-NBR = ZERO
031900         MOVE 10000.0000         TO WS-D200-VARIANCE
032000     ELSE
032100         COMPUTE WS-D200-VARIANCE ROUNDED
032200                                 =  MMFA-KEYED-AUTHS-NBR (13)
032300                                 /  WS-D200-WORK-NBR
032400     END-IF.
032500*
032600     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
032700                                (X-MMFP-FRAUD)
032800     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
032900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
033000         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
033100         SET  MTRF-K2-O39-KT-MERCHANT
033200                                 TO TRUE
033300         SET  MTRF-K2-O39-FRAUD-INDEX
033400                                 TO X-MMFP-FRAUD
033500         SET  MTRF-O39-OVER      TO TRUE
033600         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
033700         MOVE MMMM-DATE-LAST-STMT
033800                                 TO MTRF-O39-DATE-LAST-STMT
033900         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
034000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
034100                                 TO MTRF-O39-AVG-NBR-MONTHS
034200         MOVE WS-D200-WORK-NBR   TO MTRF-O39-ACTUAL-ACTIVITY
034300         MOVE MMFA-KEYED-AUTHS-NBR (13)
034400                                 TO MTRF-O39-ALLOWED-ACTIVITY
034500         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
034600         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
034700                                 TO MTRF-O39-FP-VARIANCE
034800         PERFORM R980-WRITE-REPORT-FILE
034900            THRU R989-WRF-EXIT
035000     END-IF.
035100*
035200******************************************************************
035300*    KEYED-TO-SWIPED AUTHS RATIO FRAUD CHECK (UNDER)             *
035400******************************************************************
035500*
035600     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
035700                                (X-MMFP-FRAUD)
035800     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
035900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
036000         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
036100         SET  MTRF-K2-O39-KT-MERCHANT
036200                                 TO TRUE
036300         SET  MTRF-K2-O39-FRAUD-INDEX
036400                                 TO X-MMFP-FRAUD
036500         SET  MTRF-O39-UNDER     TO TRUE
036600         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
036700         MOVE MMMM-DATE-LAST-STMT
036800                                 TO MTRF-O39-DATE-LAST-STMT
036900         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
037000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
037100                                 TO MTRF-O39-AVG-NBR-MONTHS
037200         MOVE WS-D200-WORK-NBR   TO MTRF-O39-ACTUAL-ACTIVITY
037300         MOVE MMFA-KEYED-AUTHS-NBR (13)
037400                                 TO MTRF-O39-ALLOWED-ACTIVITY
037500         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
037600         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
037700                                 TO MTRF-O39-FP-VARIANCE
037800         PERFORM R980-WRITE-REPORT-FILE
037900            THRU R989-WRF-EXIT
038000     END-IF.
038100*
038200*
038300*
038400******************************************************************
038500*    AUTH DECLINES TO AUTH APPROVALS RATIO FRAUD CHECK (OVER)    *
038600******************************************************************
038700*
038800     MOVE WS-D200-SRA-AUTH-AMT(13)
038900                                 TO WS-D200-WORK-AMT.
039000*
039100     SET X-MMFP-FRAUD            TO 55.
039200*
039300     IF  WS-D200-WORK-AMT = ZERO
039400         MOVE 10000.0000         TO WS-D200-VARIANCE
039500     ELSE
039600         COMPUTE WS-D200-VARIANCE ROUNDED
039700                                 =  WS-D200-SRA-AUTH-DECL-AMT(13)
039800                                 /  WS-D200-WORK-AMT
039900     END-IF.
040000*
040100     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
040200                                (X-MMFP-FRAUD)
040300     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
040400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
040500         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
040600         SET  MTRF-K2-O39-KT-MERCHANT
040700                                 TO TRUE
040800         SET  MTRF-K2-O39-FRAUD-INDEX
040900                                 TO X-MMFP-FRAUD
041000         SET  MTRF-O39-OVER      TO TRUE
041100         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
041200         MOVE MMMM-DATE-LAST-STMT
041300                                 TO MTRF-O39-DATE-LAST-STMT
041400         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
041500         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
041600                                 TO MTRF-O39-AVG-NBR-MONTHS
041700         MOVE WS-D200-WORK-AMT   TO MTRF-O39-ACTUAL-ACTIVITY
041800         MOVE WS-D200-SRA-AUTH-DECL-AMT(13)
041900                                 TO MTRF-O39-ALLOWED-ACTIVITY
042000         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
042100         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
042200                                 TO MTRF-O39-FP-VARIANCE
042300         PERFORM R980-WRITE-REPORT-FILE
042400            THRU R989-WRF-EXIT
042500     END-IF.
042600*
042700******************************************************************
042800*    AUTH DECLINES TO AUTH APPROVALS RATIO FRAUD CHECK (UNDER)   *
042900******************************************************************
043000*
043100     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
043200                                (X-MMFP-FRAUD)
043300     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
043400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
043500         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
043600         SET  MTRF-K2-O39-KT-MERCHANT
043700                                 TO TRUE
043800         SET  MTRF-K2-O39-FRAUD-INDEX
043900                                 TO X-MMFP-FRAUD
044000         SET  MTRF-O39-UNDER     TO TRUE
044100         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
044200         MOVE MMMM-DATE-LAST-STMT
044300                                 TO MTRF-O39-DATE-LAST-STMT
044400         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
044500         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
044600                                 TO MTRF-O39-AVG-NBR-MONTHS
044700         MOVE WS-D200-WORK-AMT   TO MTRF-O39-ACTUAL-ACTIVITY
044800         MOVE WS-D200-SRA-AUTH-DECL-AMT(13)
044900                                 TO MTRF-O39-ALLOWED-ACTIVITY
045000         MOVE WS-D200-VARIANCE   TO MTRF-O39-VARIANCE
045100         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
045200                                 TO MTRF-O39-FP-VARIANCE
045300         PERFORM R980-WRITE-REPORT-FILE
045400            THRU R989-WRF-EXIT
045500     END-IF.
045600*
045700*
045800*
045900******************************************************************
046000*    DUPLICATE AUTHORIZATIONS BY BATCH FRAUD CHECK (OVER ONLY)   *
046100******************************************************************
046200*
046300     IF  WS-D200-AUTHS-DUP-IN-BATCH NOT <
046400                                 MMMM-DUP-AUTHS-BATCH-NBR-C-H
046500     AND MMMM-DUP-AUTHS-BATCH-NBR-C-H > ZERO
046600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
046700         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
046800         SET  MTRF-K2-O39-KT-MERCHANT
046900                                 TO TRUE
047000         MOVE 71                 TO MTRF-K2-O39-FRAUD-INDEX
047100         SET  MTRF-O39-OVER      TO TRUE
047200         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
047300         MOVE MMMM-DATE-LAST-STMT
047400                                 TO MTRF-O39-DATE-LAST-STMT
047500         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
047600         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
047700                                 TO MTRF-O39-AVG-NBR-MONTHS
047800         MOVE WS-D200-AUTHS-DUP-IN-BATCH
047900                                 TO MTRF-O39-ACTUAL-ACTIVITY
048000         MOVE MMMM-DUP-AUTHS-BATCH-NBR-C-H
048100                                 TO MTRF-O39-ALLOWED-ACTIVITY
048200         COMPUTE MTRF-O39-VARIANCE ROUNDED
048300                                 =  WS-D200-AUTHS-DUP-IN-BATCH
048400                                 /  MMMM-DUP-AUTHS-BATCH-NBR-C-H
048500         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
048600         PERFORM R980-WRITE-REPORT-FILE
048700            THRU R989-WRF-EXIT
048800     END-IF.
048900*
049000*
049100*
049200******************************************************************
049300*    DUPLICATE AUTHORIZATIONS BY DAY FRAUD CHECK (OVER ONLY)     *
049400******************************************************************
049500*
049600     IF  WS-D200-AUTHS-DUP-BY-DAY NOT <
049700                                 MMMM-DUP-AUTHS-DAY-NBR-C-H
049800     AND MMMM-DUP-AUTHS-DAY-NBR-C-H > ZERO
049900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
050000         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
050100         SET  MTRF-K2-O39-KT-MERCHANT
050200                                 TO TRUE
050300         MOVE 72                 TO MTRF-K2-O39-FRAUD-INDEX
050400         SET  MTRF-O39-OVER      TO TRUE
050500         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
050600         MOVE MMMM-DATE-LAST-STMT
050700                                 TO MTRF-O39-DATE-LAST-STMT
050800         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
050900         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
051000                                 TO MTRF-O39-AVG-NBR-MONTHS
051100         MOVE WS-D200-AUTHS-DUP-BY-DAY
051200                                 TO MTRF-O39-ACTUAL-ACTIVITY
051300         MOVE MMMM-DUP-AUTHS-DAY-NBR-C-H
051400                                 TO MTRF-O39-ALLOWED-ACTIVITY
051500         COMPUTE MTRF-O39-VARIANCE ROUNDED
051600                                 =  WS-D200-AUTHS-DUP-BY-DAY
051700                                 /  MMMM-DUP-AUTHS-DAY-NBR-C-H
051800         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
051900         PERFORM R980-WRITE-REPORT-FILE
052000            THRU R989-WRF-EXIT
052100     END-IF.
052200*
052300*
052400*
052500******************************************************************
052600*    DUPLICATE AUTHORIZATIONS AMOUNT FRAUD CHECK (OVER ONLY)     *
052700******************************************************************
052800*
052900     IF  WS-D200-AUTHS-DUP-AMT NOT <
053000                                 MMMM-DUP-AUTHS-DAY-AMT-C-H
053100     AND MMMM-DUP-AUTHS-DAY-AMT-C-H > ZERO
053200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
053300         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
053400         SET  MTRF-K2-O39-KT-MERCHANT
053500                                 TO TRUE
053600         MOVE 79                 TO MTRF-K2-O39-FRAUD-INDEX
053700         SET  MTRF-O39-OVER      TO TRUE
053800         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
053900         MOVE MMMM-DATE-LAST-STMT
054000                                 TO MTRF-O39-DATE-LAST-STMT
054100         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
054200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
054300                                 TO MTRF-O39-AVG-NBR-MONTHS
054400         MOVE WS-D200-AUTHS-DUP-AMT
054500                                 TO MTRF-O39-ACTUAL-ACTIVITY
054600         MOVE MMMM-DUP-AUTHS-DAY-AMT-C-H
054700                                 TO MTRF-O39-ALLOWED-ACTIVITY
054800         COMPUTE MTRF-O39-VARIANCE ROUNDED
054900                                 =  WS-D200-AUTHS-DUP-AMT
055000                                 /  MMMM-DUP-AUTHS-DAY-AMT-C-H
055100         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
055200         PERFORM R980-WRITE-REPORT-FILE
055300            THRU R989-WRF-EXIT
055400     END-IF.
055500*
055600*
055700*
055800******************************************************************
055900*    INDIVIDUAL AUTH AMOUNT EXCEEDED FRAUD CHECK (OVER ONLY)     *
056000******************************************************************
056100*
056200     IF  WS-D200-O39-AMT-EXCEEDED-YES
056300     AND MMFP-FRAUD-AUTH-EXCESS-AMT > ZERO
056400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
056500         MOVE MMMM-MERCHANT      TO MTRF-K2-O39-MERCHANT
056600         SET  MTRF-K2-O39-KT-MERCHANT
056700                                 TO TRUE
056800         MOVE 62                 TO MTRF-K2-O39-FRAUD-INDEX
056900         SET  MTRF-O39-OVER      TO TRUE
057000         MOVE MMMM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
057100         MOVE MMMM-DATE-LAST-STMT
057200                                 TO MTRF-O39-DATE-LAST-STMT
057300         MOVE MMFP-TABLE-NBR     TO MTRF-O39-FRAUD-TABLE
057400         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
057500                                 TO MTRF-O39-AVG-NBR-MONTHS
057600         MOVE ZERO               TO MTRF-O39-ACTUAL-ACTIVITY
057700         MOVE MMFP-FRAUD-AUTH-EXCESS-AMT
057800                                 TO MTRF-O39-ALLOWED-ACTIVITY
057900         MOVE 100                TO MTRF-O39-VARIANCE
058000         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
058100         PERFORM R980-WRITE-REPORT-FILE
058200            THRU R989-WRF-EXIT
058300     END-IF.
058400*
058500*
058600*
058700 R399-R39-EXIT.
058800     EXIT.
