000100 R510-REPORT-51 SECTION.
000200 R511-R51-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 51.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R519-R51-EXIT.
000900*
001000     SET WS-D200-O51-ACTIVITY    TO TRUE.
001100     MOVE MMMM-MERCHANT          TO MTRF-K2-O51-MERCHANT.
001200     SET  MTRF-K2-O51-DETAIL-TRANS
001300                                 TO TRUE.
001400     MOVE MTPT-BATCH             TO MTRF-K2-O51-BATCH.
001500     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
001600     MOVE MTPT-RECORD            TO MTRF-MT-TRANSACTION.
001700*
001800     PERFORM R980-WRITE-REPORT-FILE
001900        THRU R989-WRF-EXIT.
002000*
002100 R519-R51-EXIT.
002200     EXIT.
002300/
002400 R510-REPORT-51-TOTALS SECTION.
002500 R511-R51T-BEGIN.
002600*
002700     SET X-MTRFWS-ORT            TO 51.
002800*
002900     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
003000     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
003100         GO TO R519-R51T-EXIT.
003200*
003300     IF  WS-D200-O51-NO-ACTIVITY
003400         GO TO R519-R51T-EXIT.
003500*
003600     MOVE MMMM-MERCHANT          TO MTRF-K2-O51-MERCHANT.
003700     SET  MTRF-K2-O51-NA-RECORD  TO TRUE.
003800     INITIALIZE                     MTRF-K2-O51-BATCH.
003900     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
004000*
004100     MOVE SPACES                 TO SS12WS-NAME-ADDR-GROUP.
004200*
004300     IF  MMMM-SAC-USE-SECONDARY
004400         MOVE MMMM-NA-LINE (2 1) TO SS12WS-NAME-ADDR (1)
004500         MOVE MMMM-NA-LINE (2 2) TO SS12WS-NAME-ADDR (2)
004600         MOVE MMMM-NA-LINE (2 3) TO SS12WS-NAME-ADDR (3)
004700         MOVE MMMM-NA-LINE (2 4) TO SS12WS-NAME-ADDR (4)
004800         MOVE MMMM-NA-LINE (2 5) TO SS12WS-NAME-ADDR (5)
004900         MOVE MMMM-POSTAL-CODE (2)
005000                                 TO SS12WS-POSTAL-CODE
005100         MOVE MMMM-STATE-CODE (2)
005200                                 TO SS12WS-STATE-CODE
005300         MOVE MMMM-COUNTRY-CODE (2)
005400                                 TO SS12WS-COUNTRY-CODE
005500     ELSE
005600         MOVE MMMM-NA-LINE (1 1) TO SS12WS-NAME-ADDR (1)
005700         MOVE MMMM-NA-LINE (1 2) TO SS12WS-NAME-ADDR (2)
005800         MOVE MMMM-NA-LINE (1 3) TO SS12WS-NAME-ADDR (3)
005900         MOVE MMMM-NA-LINE (1 4) TO SS12WS-NAME-ADDR (4)
006000         MOVE MMMM-NA-LINE (1 5) TO SS12WS-NAME-ADDR (5)
006100         MOVE MMMM-POSTAL-CODE (1)
006200                                 TO SS12WS-POSTAL-CODE
006300         MOVE MMMM-STATE-CODE (1)
006400                                 TO SS12WS-STATE-CODE
006500         MOVE MMMM-COUNTRY-CODE (1)
006600                                 TO SS12WS-COUNTRY-CODE
006700     END-IF.
006800*
006900     PERFORM SS12PD-FORMAT-DEMOGRAPHICS
007000        THRU SS12PD-FD-EXIT.
007100*
007200         MOVE SS12WS-MAIL-LINE (1) TO MTRF-O51-RT0-NAME-ADDR (1)
007300         MOVE SS12WS-MAIL-LINE (2) TO MTRF-O51-RT0-NAME-ADDR (2)
007400         MOVE SS12WS-MAIL-LINE (3) TO MTRF-O51-RT0-NAME-ADDR (3)
007500         MOVE SS12WS-MAIL-LINE (4) TO MTRF-O51-RT0-NAME-ADDR (4)
007600         MOVE SS12WS-MAIL-LINE (5) TO MTRF-O51-RT0-NAME-ADDR (5).
007700*
007800     MOVE MMOC-TODAYS-JULIAN     TO MTRF-O51-NOTICE-DATE.
007900*
008000     MOVE MMMM-EURO-REPORTING-FLAG
008100                                 TO MTRF-O51-EURO-REPORTING-FLAG.
008200     MOVE MMMM-DUAL-CURRENCY-ORG TO MTRF-O51-DUAL-CURRENCY-ORG.
008300     MOVE MMOC-CURRENCY-CODE     TO MTRF-O51-DEST-CURRENCY.
008400*
008500     PERFORM R980-WRITE-REPORT-FILE
008600        THRU R989-WRF-EXIT.
008700*
008800*
008900*
009000     MOVE MMMM-MERCHANT          TO MTRF-K2-O51-MERCHANT.
009100     SET  MTRF-K2-O51-CORR-NA-RECORD
009200                                 TO TRUE.
009300     INITIALIZE                     MTRF-K2-O51-BATCH.
009400     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
009500*
009600     MOVE SPACES                 TO SS12WS-NAME-ADDR-GROUP.
009700*
009800     MOVE MMOC-NA-LINE (2 1)     TO SS12WS-NAME-ADDR (1).
009900     MOVE MMOC-NA-LINE (2 2)     TO SS12WS-NAME-ADDR (2).
010000     MOVE MMOC-NA-LINE (2 3)     TO SS12WS-NAME-ADDR (3).
010100     MOVE MMOC-NA-LINE (2 4)     TO SS12WS-NAME-ADDR (4).
010200     MOVE MMOC-NA-LINE (2 5)     TO SS12WS-NAME-ADDR (5).
010300     MOVE MMOC-POSTAL-CODE (2)   TO SS12WS-POSTAL-CODE.
010400     MOVE MMOC-STATE-CODE (2)    TO SS12WS-STATE-CODE.
010500     MOVE MMOC-COUNTRY-CODE (2)  TO SS12WS-COUNTRY-CODE.
010600*
010700     PERFORM SS12PD-FORMAT-DEMOGRAPHICS
010800        THRU SS12PD-FD-EXIT.
010900*
011000     MOVE SS12WS-MAIL-LINE (1)   TO MTRF-O51-RT1-NAME-ADDR (1).
011100     MOVE SS12WS-MAIL-LINE (2)   TO MTRF-O51-RT1-NAME-ADDR (2).
011200     MOVE SS12WS-MAIL-LINE (3)   TO MTRF-O51-RT1-NAME-ADDR (3).
011300     MOVE SS12WS-MAIL-LINE (4)   TO MTRF-O51-RT1-NAME-ADDR (4).
011400     MOVE SS12WS-MAIL-LINE (5)   TO MTRF-O51-RT1-NAME-ADDR (5).
011500     MOVE MMOC-PHONE (2)         TO MTRF-O51-CORR-PHONE.
011600     MOVE MMOC-FAX (2)           TO MTRF-O51-CORR-FAX.
011700*
011800     PERFORM R980-WRITE-REPORT-FILE
011900        THRU R989-WRF-EXIT.
012000*
012100*
012200*
012300     MOVE MMMM-MERCHANT          TO MTRF-K2-O51-MERCHANT.
012400     SET  MTRF-K2-O51-MERCH-SUMMARY
012500                                 TO TRUE.
012600     INITIALIZE                     MTRF-K2-O51-BATCH.
012700     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
012800*
012900     MOVE WS-D200-O51-ADJ-CR-AMT TO MTRF-O51-ADJ-CR-AMT.
013000     MOVE WS-D200-O51-ADJ-DR-AMT TO MTRF-O51-ADJ-DR-AMT.
013100*
013200     PERFORM R980-WRITE-REPORT-FILE
013300        THRU R989-WRF-EXIT.
013400*
013500 R519-R51T-EXIT.
013600     EXIT.
