000100 R530-REPORT-53 SECTION.
000200 R531-R53-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 53.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R539-R53-EXIT.
000900*
001000     IF  WS-D200-NO-SETT-TODAY
001100     AND WS-D200-O53-NO-ACTIVITY
001200         GO TO R539-R53-EXIT.
001300*
001400     IF  WS-D200-O53-NO-ACTIVITY
001500         GO TO R539-R53-EXIT.
001600*
001700     PERFORM R530-REPORT-53-REC-0000
001800        THRU R539-R53-REC-0000-EXIT.
001900*
002000     PERFORM R530-REPORT-53-REC-0006
002100        THRU R539-R53-REC-0006-EXIT.
002200*
002300     PERFORM R530-REPORT-53-REC-0007
002400        THRU R539-R53-REC-0007-EXIT.
002500*
002600     PERFORM R530-REPORT-53-REC-0008
002700        THRU R539-R53-REC-0008-EXIT.
002800*
002900     PERFORM R530-REPORT-53-REC-1000
003000        THRU R539-R53-REC-1000-EXIT.
003100*
003200     INITIALIZE MTRF-O53-SETT-TRAILER.
003300*
003400     PERFORM
003500         VARYING X-MB53WS-TT-DEST FROM 1 BY 1
003600         UNTIL   X-MB53WS-TT-DEST IS GREATER THAN 2
003700         PERFORM R530-REPORT-53-DETAIL-CTL-RECS
003800            THRU R539-R53-DCR-EXIT
003900             VARYING X-MB53WS-TT-ACCT FROM 1 BY 1
004000             UNTIL   X-MB53WS-TT-ACCT IS GREATER THAN 4
004100     END-PERFORM.
004200*
004300     SET X-MB53WS-TT-DEST        TO 3.
004400     SET X-MB53WS-TT-ACCT        TO 1.
004500     PERFORM R530-REPORT-53-DETAIL-CTL-RECS
004600        THRU R539-R53-DCR-EXIT.
004700*
004800     PERFORM R530-REPORT-53-REC-9999
004900        THRU R539-R53-REC-9999-EXIT.
005000*
005100 R539-R53-EXIT.
005200     EXIT.
005300/
005400 R530-REPORT-53-REC-0000 SECTION.
005500 R531-R53-REC-0000-BEGIN.
005600*
005700     MOVE MMMM-MERCHANT          TO MTRF-K2-O53-MERCHANT.
005800     SET MTRF-K2-O53-DI-HEADER   TO TRUE.
005900     SET MTRF-K2-O53-NA-RECORD   TO TRUE.
006000     MOVE SPACES                 TO MTRF-K2-O53-REC-ID-SEQ-X.
006100     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
006200*
006300     MOVE SPACES                 TO SS12WS-NAME-ADDR-GROUP.
006400     MOVE SPACES                 TO MTRF-O53-POSTAL-CODE.
006500*
006600     IF  MMMM-SAC-USE-SECONDARY
006700         MOVE MMMM-POSTAL-CODE (2)
006800                                 TO MTRF-O53-POSTAL-CODE
006900         MOVE MMMM-NA-LINE (2 1) TO SS12WS-NAME-ADDR (1)
007000         MOVE MMMM-NA-LINE (2 2) TO SS12WS-NAME-ADDR (2)
007100         MOVE MMMM-NA-LINE (2 3) TO SS12WS-NAME-ADDR (3)
007200         MOVE MMMM-NA-LINE (2 4) TO SS12WS-NAME-ADDR (4)
007300         MOVE MMMM-NA-LINE (2 5) TO SS12WS-NAME-ADDR (5)
007400         MOVE MMMM-FAX     (2)   TO MTRF-O53-FAX
007500         MOVE MMMM-POSTAL-CODE (2)
007600                                 TO SS12WS-POSTAL-CODE
007700         MOVE MMMM-STATE-CODE (2)
007800                                 TO SS12WS-STATE-CODE
007900         MOVE MMMM-COUNTRY-CODE (2)
008000                                 TO SS12WS-COUNTRY-CODE
008100     ELSE
008200         MOVE MMMM-POSTAL-CODE (1)
008300                                 TO MTRF-O53-POSTAL-CODE
008400         MOVE MMMM-NA-LINE (1 1) TO SS12WS-NAME-ADDR (1)
008500         MOVE MMMM-NA-LINE (1 2) TO SS12WS-NAME-ADDR (2)
008600         MOVE MMMM-NA-LINE (1 3) TO SS12WS-NAME-ADDR (3)
008700         MOVE MMMM-NA-LINE (1 4) TO SS12WS-NAME-ADDR (4)
008800         MOVE MMMM-NA-LINE (1 5) TO SS12WS-NAME-ADDR (5)
008900         MOVE MMMM-FAX     (1)   TO MTRF-O53-FAX
009000         MOVE MMMM-POSTAL-CODE (1)
009100                                 TO SS12WS-POSTAL-CODE
009200         MOVE MMMM-STATE-CODE (1)
009300                                 TO SS12WS-STATE-CODE
009400         MOVE MMMM-COUNTRY-CODE (1)
009500                                 TO SS12WS-COUNTRY-CODE
009600     END-IF.
009700*
009800     PERFORM SS12PD-FORMAT-DEMOGRAPHICS
009900        THRU SS12PD-FD-EXIT.
010000*
010100     MOVE SS12WS-MAIL-LINE (1)   TO MTRF-O53-R0000-NAME-ADDR (1).
010200     MOVE SS12WS-MAIL-LINE (2)   TO MTRF-O53-R0000-NAME-ADDR (2).
010300     MOVE SS12WS-MAIL-LINE (3)   TO MTRF-O53-R0000-NAME-ADDR (3).
010400     MOVE SS12WS-MAIL-LINE (4)   TO MTRF-O53-R0000-NAME-ADDR (4).
010500     MOVE SS12WS-MAIL-LINE (5)   TO MTRF-O53-R0000-NAME-ADDR (5).
010600*
010700     MOVE MMMM-DATE-LAST-SETT    TO MTRF-O53-NOTICE-DATE.
010800     SET  MTRF-O53-SETT-HEADING-PRINT
010900                                 TO TRUE.
011000     MOVE MMMM-SETT-NOTICE-RPT-FLAG
011100                                 TO MTRF-O53-SETT-NOTICE-RPT-FLAG.
011200*
011300     MOVE MMMM-EURO-REPORTING-FLAG
011400                                 TO MTRF-O53-EURO-REPORTING-FLAG.
011500     MOVE MMMM-DUAL-CURRENCY-ORG TO MTRF-O53-DUAL-CURRENCY-ORG.
011600     MOVE MMOC-CURRENCY-CODE     TO MTRF-O53-DEST-CURRENCY.
011700*
011800     PERFORM R980-WRITE-REPORT-FILE
011900        THRU R989-WRF-EXIT.
012000*
012100 R539-R53-REC-0000-EXIT.
012200     EXIT.
012300/
012400 R530-REPORT-53-REC-0006 SECTION.
012500 R531-R53-REC-0006-BEGIN.
012600*
012700     MOVE MMMM-MERCHANT          TO MTRF-K2-O53-MERCHANT.
012800     SET MTRF-K2-O53-DI-HEADER   TO TRUE.
012900     SET MTRF-K2-O53-CORR-NA-RECORD
013000                                 TO TRUE.
013100     MOVE SPACES                 TO MTRF-K2-O53-REC-ID-SEQ-X.
013200     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
013300     MOVE SPACES                 TO SS12WS-NAME-ADDR-GROUP.
013400*
013500     MOVE MMOC-NA-LINE (2 1)     TO SS12WS-NAME-ADDR (1).
013600     MOVE MMOC-NA-LINE (2 2)     TO SS12WS-NAME-ADDR (2).
013700     MOVE MMOC-NA-LINE (2 3)     TO SS12WS-NAME-ADDR (3).
013800     MOVE MMOC-NA-LINE (2 4)     TO SS12WS-NAME-ADDR (4).
013900     MOVE MMOC-NA-LINE (2 5)     TO SS12WS-NAME-ADDR (5).
014000*
014100     MOVE MMOC-PHONE (2)         TO MTRF-O53-CORR-PHONE.
014200     MOVE MMOC-FAX (2)           TO MTRF-O53-CORR-FAX.
014300     MOVE MMOC-POSTAL-CODE (2)   TO SS12WS-POSTAL-CODE.
014400     MOVE MMOC-STATE-CODE (2)    TO SS12WS-STATE-CODE.
014500     MOVE MMOC-COUNTRY-CODE (2)  TO SS12WS-COUNTRY-CODE.
014600*
014700     PERFORM SS12PD-FORMAT-DEMOGRAPHICS
014800                                 THRU SS12PD-FD-EXIT.
014900*
015000     MOVE SS12WS-MAIL-LINE (1)   TO MTRF-O53-R0006-NAME-ADDR (1).
015100     MOVE SS12WS-MAIL-LINE (2)   TO MTRF-O53-R0006-NAME-ADDR (2).
015200     MOVE SS12WS-MAIL-LINE (3)   TO MTRF-O53-R0006-NAME-ADDR (3).
015300     MOVE SS12WS-MAIL-LINE (4)   TO MTRF-O53-R0006-NAME-ADDR (4).
015400     MOVE SS12WS-MAIL-LINE (5)   TO MTRF-O53-R0006-NAME-ADDR (5).
015500*
015600     PERFORM R980-WRITE-REPORT-FILE
015700        THRU R989-WRF-EXIT.
015800*
015900 R539-R53-REC-0006-EXIT.
016000     EXIT.
016100/
016200 R530-REPORT-53-REC-0007 SECTION.
016300 R531-R53-REC-0007-BEGIN.
016400*
016500     MOVE MMMM-MERCHANT          TO MTRF-K2-O53-MERCHANT.
016600     SET MTRF-K2-O53-DI-HEADER   TO TRUE.
016700     SET MTRF-K2-O53-SETT-DISTRIB
016800                                 TO TRUE.
016900     MOVE SPACES                 TO MTRF-K2-O53-REC-ID-SEQ-X.
017000     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
017100*
017200     PERFORM
017300         VARYING X-MMMM-SETT-ACCT FROM 1 BY 1
017400         UNTIL   X-MMMM-SETT-ACCT IS GREATER THAN 4
017500         SET X-MMMM-BILL         TO X-MMMM-SETT-ACCT
017600         SET X-MMMM-SETT-ACH     TO X-MMMM-SETT-ACCT
017700         SET X-MTRF-O53-SETT-ACCT
017800                                 TO X-MMMM-SETT-ACCT
017900         MOVE MMMM-SETT-ACCT-METH (X-MMMM-SETT-ACCT)
018000                                 TO MTRF-O53-SETT-ACCT-METHOD
018100                                    (X-MTRF-O53-SETT-ACCT)
018200         MOVE MMMM-ACTIVE-DR-RT (X-MMMM-SETT-ACH)
018300                                 TO MTRF-O53-SA-DR-RT
018400                                    (X-MTRF-O53-SETT-ACCT)
018500         MOVE MMMM-ACTIVE-DR-ACCT (X-MMMM-SETT-ACH)
018600                                 TO MTRF-O53-SA-DR-ACCT
018700                                    (X-MTRF-O53-SETT-ACCT)
018800         MOVE MMMM-ACTIVE-DR-ACCT-TYPE (X-MMMM-SETT-ACH)
018900                                 TO MTRF-O53-SA-DR-ACCT-TYPE
019000                                    (X-MTRF-O53-SETT-ACCT)
019100         MOVE MMMM-ACTIVE-CR-RT (X-MMMM-SETT-ACH)
019200                                 TO MTRF-O53-SA-CR-RT
019300                                    (X-MTRF-O53-SETT-ACCT)
019400         MOVE MMMM-ACTIVE-CR-ACCT (X-MMMM-SETT-ACH)
019500                                 TO MTRF-O53-SA-CR-ACCT
019600                                    (X-MTRF-O53-SETT-ACCT)
019700         MOVE MMMM-ACTIVE-CR-ACCT-TYPE (X-MMMM-SETT-ACH)
019800                                 TO MTRF-O53-SA-CR-ACCT-TYPE
019900                                    (X-MTRF-O53-SETT-ACCT)
020000         MOVE MMMM-BILL-USE-FLAG (X-MMMM-BILL)
020100                                 TO MTRF-O53-BILL-USE-FLAG
020200                                    (X-MTRF-O53-SETT-ACCT)
020300         MOVE MMMM-BILLING-ORG (X-MMMM-BILL)
020400                                 TO MTRF-O53-BILLING-ORG
020500                                    (X-MTRF-O53-SETT-ACCT)
020600         MOVE MMMM-BILLING-ACCT (X-MMMM-BILL)
020700                                 TO MTRF-O53-BILLING-ACCT
020800                                    (X-MTRF-O53-SETT-ACCT)
020900     END-PERFORM.
021000*
021100     PERFORM R980-WRITE-REPORT-FILE
021200        THRU R989-WRF-EXIT.
021300*
021400 R539-R53-REC-0007-EXIT.
021500     EXIT.
021600/
021700 R530-REPORT-53-REC-0008 SECTION.
021800 R539-R53-REC-0008-BEGIN.
021900*
022000     MOVE MMMM-MERCHANT          TO MTRF-K2-O53-MERCHANT.
022100     SET MTRF-K2-O53-DI-HEADER   TO TRUE.
022200     SET MTRF-K2-O53-SETT-TOTALS TO TRUE.
022300     MOVE SPACES                 TO MTRF-K2-O53-REC-ID-SEQ-X.
022400     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
022500*
022600     EVALUATE TRUE
022700         WHEN MMMM-SA1-NO-HOLDOVER
022800             IF  MMMM-SETT-ACCT-1-NET-AMT IS LESS THAN ZERO
022900                 MOVE MMMM-SETT-ACCT-1-NET-AMT
023000                                 TO MB53WS-SAMT-NET-DR-AMT (1)
023100             ELSE
023200                 MOVE MMMM-SETT-ACCT-1-NET-AMT
023300                                 TO MB53WS-SAMT-NET-CR-AMT (1)
023400             END-IF
023500         WHEN MMMM-SA1-HOLDOVER-NORM
023600             IF  MMMM-SETT-ACCT-1-NET-AMT IS LESS THAN ZERO
023700                 MOVE MMMM-SETT-ACCT-1-NET-AMT
023800                                 TO MB53WS-SAMT-HOLDOVER (1)
023900             ELSE
024000                 MOVE MMMM-SETT-ACCT-1-NET-AMT
024100                                 TO MB53WS-SAMT-NET-CR-AMT (1)
024200             END-IF
024300         WHEN MMMM-SA1-HOLDOVER-BILLED
024400             IF  MMMM-SETT-ACCT-1-NET-AMT IS LESS THAN ZERO
024500                 MOVE MMMM-SETT-ACCT-1-NET-AMT
024600                                 TO MB53WS-SAMT-XFER-INV (1)
024700             ELSE
024800                 MOVE MMMM-SETT-ACCT-1-NET-AMT
024900                                 TO MB53WS-SAMT-NET-CR-AMT (1)
025000             END-IF
025100     END-EVALUATE.
025200*
025300     EVALUATE TRUE
025400         WHEN MMMM-SA2-NO-HOLDOVER
025500             IF  MMMM-SETT-ACCT-2-NET-AMT IS LESS THAN ZERO
025600                 MOVE MMMM-SETT-ACCT-2-NET-AMT
025700                                 TO MB53WS-SAMT-NET-DR-AMT (2)
025800             ELSE
025900                 MOVE MMMM-SETT-ACCT-2-NET-AMT
026000                                 TO MB53WS-SAMT-NET-CR-AMT (2)
026100             END-IF
026200         WHEN MMMM-SA2-HOLDOVER-NORM
026300             IF  MMMM-SETT-ACCT-2-NET-AMT IS LESS THAN ZERO
026400                 MOVE MMMM-SETT-ACCT-2-NET-AMT
026500                                 TO MB53WS-SAMT-HOLDOVER (2)
026600             ELSE
026700                 MOVE MMMM-SETT-ACCT-2-NET-AMT
026800                                 TO MB53WS-SAMT-NET-CR-AMT (2)
026900             END-IF
027000         WHEN MMMM-SA2-HOLDOVER-BILLED
027100             IF  MMMM-SETT-ACCT-2-NET-AMT IS LESS THAN ZERO
027200                 MOVE MMMM-SETT-ACCT-2-NET-AMT
027300                                 TO MB53WS-SAMT-XFER-INV (2)
027400             ELSE
027500                 MOVE MMMM-SETT-ACCT-2-NET-AMT
027600                                 TO MB53WS-SAMT-NET-CR-AMT (2)
027700             END-IF
027800     END-EVALUATE.
027900*
028000     EVALUATE TRUE
028100         WHEN MMMM-SA3-NO-HOLDOVER
028200             IF  MMMM-SETT-ACCT-3-NET-AMT IS LESS THAN ZERO
028300                 MOVE MMMM-SETT-ACCT-3-NET-AMT
028400                                 TO MB53WS-SAMT-NET-DR-AMT (3)
028500             ELSE
028600                 MOVE MMMM-SETT-ACCT-3-NET-AMT
028700                                 TO MB53WS-SAMT-NET-CR-AMT (3)
028800             END-IF
028900         WHEN MMMM-SA3-HOLDOVER-NORM
029000             IF  MMMM-SETT-ACCT-3-NET-AMT IS LESS THAN ZERO
029100                 MOVE MMMM-SETT-ACCT-3-NET-AMT
029200                                 TO MB53WS-SAMT-HOLDOVER (3)
029300             ELSE
029400                 MOVE MMMM-SETT-ACCT-3-NET-AMT
029500                                 TO MB53WS-SAMT-NET-CR-AMT (3)
029600             END-IF
029700         WHEN MMMM-SA3-HOLDOVER-BILLED
029800             IF  MMMM-SETT-ACCT-3-NET-AMT IS LESS THAN ZERO
029900                 MOVE MMMM-SETT-ACCT-3-NET-AMT
030000                                 TO MB53WS-SAMT-XFER-INV (3)
030100             ELSE
030200                 MOVE MMMM-SETT-ACCT-3-NET-AMT
030300                                 TO MB53WS-SAMT-NET-CR-AMT (3)
030400             END-IF
030500     END-EVALUATE.
030600*
030700     EVALUATE TRUE
030800         WHEN MMMM-SA4-NO-HOLDOVER
030900             IF  MMMM-SETT-ACCT-4-NET-AMT IS LESS THAN ZERO
031000                 MOVE MMMM-SETT-ACCT-4-NET-AMT
031100                                 TO MB53WS-SAMT-NET-DR-AMT (4)
031200             ELSE
031300                 MOVE MMMM-SETT-ACCT-4-NET-AMT
031400                                 TO MB53WS-SAMT-NET-CR-AMT (4)
031500             END-IF
031600         WHEN MMMM-SA4-HOLDOVER-NORM
031700             IF  MMMM-SETT-ACCT-4-NET-AMT IS LESS THAN ZERO
031800                 MOVE MMMM-SETT-ACCT-4-NET-AMT
031900                                 TO MB53WS-SAMT-HOLDOVER (4)
032000             ELSE
032100                 MOVE MMMM-SETT-ACCT-4-NET-AMT
032200                                 TO MB53WS-SAMT-NET-CR-AMT (4)
032300             END-IF
032400         WHEN MMMM-SA4-HOLDOVER-BILLED
032500             IF  MMMM-SETT-ACCT-4-NET-AMT IS LESS THAN ZERO
032600                 MOVE MMMM-SETT-ACCT-4-NET-AMT
032700                                 TO MB53WS-SAMT-XFER-INV (4)
032800             ELSE
032900                 MOVE MMMM-SETT-ACCT-4-NET-AMT
033000                                 TO MB53WS-SAMT-NET-CR-AMT (4)
033100             END-IF
033200     END-EVALUATE.
033300*
033400     COMPUTE MB53WS-DISTRIB-HOLDOVER-AMT
033500                                 = MMMM-SETT-ACCT-1-HOLDOVER-IN
033600                                 + MMMM-SETT-ACCT-2-HOLDOVER-IN
033700                                 + MMMM-SETT-ACCT-3-HOLDOVER-IN
033800                                 + MMMM-SETT-ACCT-4-HOLDOVER-IN.
033900*
034000     MOVE MB53WS-SETT-TOTALS     TO MTRF-O53-SETT-TOTALS.
034100*
034200     PERFORM R980-WRITE-REPORT-FILE
034300        THRU R989-WRF-EXIT.
034400*
034500 R539-R53-REC-0008-EXIT.
034600     EXIT.
034700/
034800 R530-REPORT-53-REC-1000 SECTION.
034900 R531-R53-REC-1000-BEGIN.
035000*
035100     MOVE SPACES                 TO MTRF-K2-O53-REC-ID-SEQ-X.
035200*
035300     IF  MB53WS-SETT-DEST-ACTIVITY (1)
035400         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
035500         SET MTRF-K2-O53-DI-SETT-1
035600                                 TO TRUE
035700         SET MTRF-K2-O53-SETT-ACCT-BEGIN
035800                                 TO TRUE
035900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
036000         PERFORM R980-WRITE-REPORT-FILE
036100            THRU R989-WRF-EXIT
036200         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
036300         SET MTRF-K2-O53-DI-SETT-1
036400                                 TO TRUE
036500         SET MTRF-K2-O53-SETT-ACCT-END
036600                                 TO TRUE
036700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
036800         PERFORM R980-WRITE-REPORT-FILE
036900            THRU R989-WRF-EXIT.
037000*
037100*
037200*
037300     IF  MB53WS-SETT-DEST-ACTIVITY (2)
037400         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
037500         SET MTRF-K2-O53-DI-SETT-2
037600                                 TO TRUE
037700         SET MTRF-K2-O53-SETT-ACCT-BEGIN
037800                                 TO TRUE
037900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
038000         PERFORM R980-WRITE-REPORT-FILE
038100            THRU R989-WRF-EXIT
038200         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
038300         SET MTRF-K2-O53-DI-SETT-2
038400                                 TO TRUE
038500         SET MTRF-K2-O53-SETT-ACCT-END
038600                                 TO TRUE
038700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
038800         PERFORM R980-WRITE-REPORT-FILE
038900            THRU R989-WRF-EXIT.
039000*
039100*
039200*
039300     IF  MB53WS-SETT-DEST-ACTIVITY (3)
039400         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
039500         SET MTRF-K2-O53-DI-SETT-3
039600                                 TO TRUE
039700         SET MTRF-K2-O53-SETT-ACCT-BEGIN
039800                                 TO TRUE
039900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
040000         PERFORM R980-WRITE-REPORT-FILE
040100            THRU R989-WRF-EXIT
040200         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
040300         SET MTRF-K2-O53-DI-SETT-3
040400                                 TO TRUE
040500         SET MTRF-K2-O53-SETT-ACCT-END
040600                                 TO TRUE
040700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
040800         PERFORM R980-WRITE-REPORT-FILE
040900            THRU R989-WRF-EXIT.
041000*
041100*
041200*
041300     IF  MB53WS-SETT-DEST-ACTIVITY (4)
041400         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
041500         SET MTRF-K2-O53-DI-SETT-4
041600                                 TO TRUE
041700         SET MTRF-K2-O53-SETT-ACCT-BEGIN
041800                                 TO TRUE
041900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
042000         PERFORM R980-WRITE-REPORT-FILE
042100            THRU R989-WRF-EXIT
042200         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
042300         SET MTRF-K2-O53-DI-SETT-4
042400                                 TO TRUE
042500         SET MTRF-K2-O53-SETT-ACCT-END
042600                                 TO TRUE
042700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
042800         PERFORM R980-WRITE-REPORT-FILE
042900            THRU R989-WRF-EXIT.
043000*
043100*
043200*
043300     IF  MB53WS-BILL-DEST-ACTIVITY (1)
043400         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
043500         SET MTRF-K2-O53-DI-BILL-1
043600                                 TO TRUE
043700         SET MTRF-K2-O53-SETT-ACCT-BEGIN
043800                                 TO TRUE
043900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
044000         PERFORM R980-WRITE-REPORT-FILE
044100            THRU R989-WRF-EXIT
044200         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
044300         SET MTRF-K2-O53-DI-BILL-1
044400                                 TO TRUE
044500         SET MTRF-K2-O53-SETT-ACCT-END
044600                                 TO TRUE
044700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
044800         PERFORM R980-WRITE-REPORT-FILE
044900            THRU R989-WRF-EXIT.
045000*
045100*
045200*
045300     IF  MB53WS-BILL-DEST-ACTIVITY (2)
045400         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
045500         SET MTRF-K2-O53-DI-BILL-2
045600                                 TO TRUE
045700         SET MTRF-K2-O53-SETT-ACCT-BEGIN
045800                                 TO TRUE
045900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
046000         PERFORM R980-WRITE-REPORT-FILE
046100            THRU R989-WRF-EXIT
046200         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
046300         SET MTRF-K2-O53-DI-BILL-2
046400                                 TO TRUE
046500         SET MTRF-K2-O53-SETT-ACCT-END
046600                                 TO TRUE
046700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
046800         PERFORM R980-WRITE-REPORT-FILE
046900            THRU R989-WRF-EXIT.
047000*
047100*
047200*
047300     IF  MB53WS-BILL-DEST-ACTIVITY (3)
047400         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
047500         SET MTRF-K2-O53-DI-BILL-3
047600                                 TO TRUE
047700         SET MTRF-K2-O53-SETT-ACCT-BEGIN
047800                                 TO TRUE
047900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
048000         PERFORM R980-WRITE-REPORT-FILE
048100            THRU R989-WRF-EXIT
048200         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
048300         SET MTRF-K2-O53-DI-BILL-3
048400                                 TO TRUE
048500         SET MTRF-K2-O53-SETT-ACCT-END
048600                                 TO TRUE
048700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
048800         PERFORM R980-WRITE-REPORT-FILE
048900            THRU R989-WRF-EXIT.
049000*
049100*
049200*
049300     IF  MB53WS-BILL-DEST-ACTIVITY (4)
049400         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
049500         SET MTRF-K2-O53-DI-BILL-4
049600                                 TO TRUE
049700         SET MTRF-K2-O53-SETT-ACCT-BEGIN
049800                                 TO TRUE
049900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
050000         PERFORM R980-WRITE-REPORT-FILE
050100            THRU R989-WRF-EXIT
050200         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
050300         SET MTRF-K2-O53-DI-BILL-4
050400                                 TO TRUE
050500         SET MTRF-K2-O53-SETT-ACCT-END
050600                                 TO TRUE
050700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
050800         PERFORM R980-WRITE-REPORT-FILE
050900            THRU R989-WRF-EXIT.
051000*
051100*
051200*
051300     IF  MB53WS-WINDOW-ACTIVITY
051400         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
051500         SET MTRF-K2-O53-DI-WINDOW
051600                                 TO TRUE
051700         SET MTRF-K2-O53-SETT-ACCT-BEGIN
051800                                 TO TRUE
051900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
052000         PERFORM R980-WRITE-REPORT-FILE
052100            THRU R989-WRF-EXIT
052200         MOVE MMMM-MERCHANT      TO MTRF-K2-O53-MERCHANT
052300         SET MTRF-K2-O53-DI-WINDOW
052400                                 TO TRUE
052500         SET MTRF-K2-O53-SETT-ACCT-END
052600                                 TO TRUE
052700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
052800         PERFORM R980-WRITE-REPORT-FILE
052900            THRU R989-WRF-EXIT.
053000*
053100*
053200*
053300 R539-R53-REC-1000-EXIT.
053400     EXIT.
053500/
053600 R530-REPORT-53-REC-9999 SECTION.
053700 R531-R53-REC-9999-BEGIN.
053800*
053900     MOVE MMMM-MERCHANT          TO MTRF-K2-O53-MERCHANT.
054000     SET MTRF-K2-O53-DI-TRAILER  TO TRUE.
054100     SET MTRF-K2-O53-END-OF-NOTICE
054200                                 TO TRUE.
054300     MOVE SPACES                 TO MTRF-K2-O53-REC-ID-SEQ-X.
054400     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
054500*
054600     PERFORM R980-WRITE-REPORT-FILE
054700        THRU R989-WRF-EXIT.
054800*
054900 R539-R53-REC-9999-EXIT.
055000     EXIT.
055100/
055200 R530-REPORT-53-DETAIL-CTL-RECS SECTION.
055300 R531-R53-DCR-BEGIN.
055400*
055500     IF  MB53WS-TT-HOLDOVER-NBR
055600         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
055700     OR  MB53WS-TT-HOLDOVER-AMT
055800         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
055900         SET  MTRF-K2-O53-HOLDOVER-H
056000                                 TO TRUE
056100         PERFORM R530-REPORT-53-H-T-COMMON
056200            THRU R539-R53-HTC-EXIT
056300         SET  MTRF-K2-O53-HOLDOVER-T
056400                                 TO TRUE
056500         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
056600                                 =  0
056700                                 -  MB53WS-TT-HOLDOVER-NBR
056800                                    (X-MB53WS-TT-DEST
056900                                     X-MB53WS-TT-ACCT)
057000         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
057100                                 =  0
057200                                 -  MB53WS-TT-HOLDOVER-AMT
057300                                    (X-MB53WS-TT-DEST
057400                                     X-MB53WS-TT-ACCT)
057500         PERFORM R530-REPORT-53-H-T-COMMON
057600            THRU R539-R53-HTC-EXIT.
057700*
057800     IF  MB53WS-TT-DEPOSITS-NBR
057900         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
058000     OR  MB53WS-TT-DEPOSITS-AMT
058100         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
058200     OR  MB53WS-TT-WITHDRAWAL-NBR
058300         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
058400     OR  MB53WS-TT-WITHDRAWAL-AMT
058500         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
058600         SET  MTRF-K2-O53-DEPOSIT-H
058700                                 TO TRUE
058800         PERFORM R530-REPORT-53-H-T-COMMON
058900            THRU R539-R53-HTC-EXIT
059000         SET  MTRF-K2-O53-DEPOSIT-T
059100                                 TO TRUE
059200         MOVE MB53WS-TT-DEPOSITS-NBR
059300              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
059400                                 TO MTRF-O53-ST-CR-TOTAL-NBR
059500         MOVE MB53WS-TT-DEPOSITS-AMT
059600              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
059700                                 TO MTRF-O53-ST-CR-TOTAL-AMT
059800         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
059900                                 =  0
060000                                 -  MB53WS-TT-WITHDRAWAL-NBR
060100                                    (X-MB53WS-TT-DEST
060200                                     X-MB53WS-TT-ACCT)
060300         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
060400                                 =  0
060500                                 -  MB53WS-TT-WITHDRAWAL-AMT
060600                                    (X-MB53WS-TT-DEST
060700                                     X-MB53WS-TT-ACCT)
060800         PERFORM R530-REPORT-53-H-T-COMMON
060900            THRU R539-R53-HTC-EXIT.
061000*
061100     IF  MB53WS-TT-RESV-DR-NBR
061200         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
061300     OR  MB53WS-TT-RESV-DR-AMT
061400         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
061500         SET  MTRF-K2-O53-RESV-FUND-H
061600                                 TO TRUE
061700         PERFORM R530-REPORT-53-H-T-COMMON
061800            THRU R539-R53-HTC-EXIT
061900         SET  MTRF-K2-O53-RESV-FUND-T
062000                                 TO TRUE
062100         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
062200                                 =  0
062300                                 -  MB53WS-TT-RESV-DR-NBR
062400                                    (X-MB53WS-TT-DEST
062500                                     X-MB53WS-TT-ACCT)
062600         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
062700                                 =  0
062800                                 -  MB53WS-TT-RESV-DR-AMT
062900                                    (X-MB53WS-TT-DEST
063000                                     X-MB53WS-TT-ACCT)
063100         PERFORM R530-REPORT-53-H-T-COMMON
063200            THRU R539-R53-HTC-EXIT.
063300*
063400     IF  MB53WS-TT-RESV-CR-NBR
063500         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
063600     OR  MB53WS-TT-RESV-CR-AMT
063700         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
063800         SET  MTRF-K2-O53-RESV-TO-SETT-H
063900                                 TO TRUE
064000         PERFORM R530-REPORT-53-H-T-COMMON
064100            THRU R539-R53-HTC-EXIT
064200         SET  MTRF-K2-O53-RESV-TO-SETT-T
064300                                 TO TRUE
064400         MOVE MB53WS-TT-RESV-CR-NBR
064500              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
064600                                 TO MTRF-O53-ST-CR-TOTAL-NBR
064700         MOVE MB53WS-TT-RESV-CR-AMT
064800              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
064900                                 TO MTRF-O53-ST-CR-TOTAL-AMT
065000         PERFORM R530-REPORT-53-H-T-COMMON
065100            THRU R539-R53-HTC-EXIT.
065200*
065300     IF  MB53WS-TT-DISC-NBR
065400         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
065500     OR  MB53WS-TT-DISC-AMT
065600         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
065700         SET  MTRF-K2-O53-DISCOUNT-H
065800                                 TO TRUE
065900         PERFORM R530-REPORT-53-H-T-COMMON
066000            THRU R539-R53-HTC-EXIT
066100         SET  MTRF-K2-O53-DISCOUNT-T
066200                                 TO TRUE
066300         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
066400                                 =  0
066500                                 -  MB53WS-TT-DISC-NBR
066600                                    (X-MB53WS-TT-DEST
066700                                     X-MB53WS-TT-ACCT)
066800         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
066900                                 =  0
067000                                 -  MB53WS-TT-DISC-AMT
067100                                    (X-MB53WS-TT-DEST
067200                                     X-MB53WS-TT-ACCT)
067300         PERFORM R530-REPORT-53-H-T-COMMON
067400            THRU R539-R53-HTC-EXIT.
067500*
067600     IF  MB53WS-TT-REFUND-NBR
067700         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
067800     OR  MB53WS-TT-REFUND-AMT
067900         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
068000         SET  MTRF-K2-O53-REFUND-H
068100                                 TO TRUE
068200         PERFORM R530-REPORT-53-H-T-COMMON
068300            THRU R539-R53-HTC-EXIT
068400         SET  MTRF-K2-O53-REFUND-T
068500                                 TO TRUE
068600         MOVE MB53WS-TT-REFUND-NBR
068700              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
068800                                 TO MTRF-O53-ST-CR-TOTAL-NBR
068900         MOVE MB53WS-TT-REFUND-AMT
069000              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
069100                                 TO MTRF-O53-ST-CR-TOTAL-AMT
069200         PERFORM R530-REPORT-53-H-T-COMMON
069300            THRU R539-R53-HTC-EXIT.
069400*
069500     IF  MB53WS-TT-PART-DR-NBR
069600         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
069700     OR  MB53WS-TT-PART-DR-AMT
069800         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
069900         SET  MTRF-K2-O53-PART-DR-H
070000                                 TO TRUE
070100         PERFORM R530-REPORT-53-H-T-COMMON
070200            THRU R539-R53-HTC-EXIT
070300         SET  MTRF-K2-O53-PART-DR-T
070400                                 TO TRUE
070500         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
070600                                 =  0
070700                                 -  MB53WS-TT-PART-DR-NBR
070800                                    (X-MB53WS-TT-DEST
070900                                     X-MB53WS-TT-ACCT)
071000         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
071100                                 =  0
071200                                 -  MB53WS-TT-PART-DR-AMT
071300                                    (X-MB53WS-TT-DEST
071400                                     X-MB53WS-TT-ACCT)
071500         PERFORM R530-REPORT-53-H-T-COMMON
071600            THRU R539-R53-HTC-EXIT.
071700*
071800     IF  MB53WS-TT-PART-CR-NBR
071900         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
072000     OR  MB53WS-TT-PART-CR-AMT
072100         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
072200         SET  MTRF-K2-O53-PART-CR-H
072300                                 TO TRUE
072400         PERFORM R530-REPORT-53-H-T-COMMON
072500            THRU R539-R53-HTC-EXIT
072600         SET  MTRF-K2-O53-PART-CR-T
072700                                 TO TRUE
072800         MOVE MB53WS-TT-PART-CR-NBR
072900              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
073000                                 TO MTRF-O53-ST-CR-TOTAL-NBR
073100         MOVE MB53WS-TT-PART-CR-AMT
073200              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
073300                                 TO MTRF-O53-ST-CR-TOTAL-AMT
073400         PERFORM R530-REPORT-53-H-T-COMMON
073500            THRU R539-R53-HTC-EXIT.
073600*
073700     IF  MB53WS-TT-ADJ-DR-NBR
073800         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
073900     OR  MB53WS-TT-ADJ-DR-AMT
074000         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
074100         SET  MTRF-K2-O53-ADJ-DR-H
074200                                 TO TRUE
074300         PERFORM R530-REPORT-53-H-T-COMMON
074400            THRU R539-R53-HTC-EXIT
074500         SET  MTRF-K2-O53-ADJ-DR-T
074600                                 TO TRUE
074700         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
074800                                 =  0
074900                                 -  MB53WS-TT-ADJ-DR-NBR
075000                                    (X-MB53WS-TT-DEST
075100                                     X-MB53WS-TT-ACCT)
075200         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
075300                                 =  0
075400                                 -  MB53WS-TT-ADJ-DR-AMT
075500                                    (X-MB53WS-TT-DEST
075600                                     X-MB53WS-TT-ACCT)
075700         PERFORM R530-REPORT-53-H-T-COMMON
075800            THRU R539-R53-HTC-EXIT.
075900*
076000     IF  MB53WS-TT-ADJ-CR-NBR
076100         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
076200     OR  MB53WS-TT-ADJ-CR-AMT
076300         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
076400         SET  MTRF-K2-O53-ADJ-CR-H
076500                                 TO TRUE
076600         PERFORM R530-REPORT-53-H-T-COMMON
076700            THRU R539-R53-HTC-EXIT
076800         SET  MTRF-K2-O53-ADJ-CR-T
076900                                 TO TRUE
077000         MOVE MB53WS-TT-ADJ-CR-NBR
077100              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
077200                                 TO MTRF-O53-ST-CR-TOTAL-NBR
077300         MOVE MB53WS-TT-ADJ-CR-AMT
077400              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
077500                                 TO MTRF-O53-ST-CR-TOTAL-AMT
077600         PERFORM R530-REPORT-53-H-T-COMMON
077700            THRU R539-R53-HTC-EXIT.
077800*
077900     IF  MB53WS-TT-REC-ADJ-DR-NBR
078000         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
078100     OR  MB53WS-TT-REC-ADJ-DR-AMT
078200         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
078300         SET  MTRF-K2-O53-REC-ADJ-DR-H
078400                                 TO TRUE
078500         PERFORM R530-REPORT-53-H-T-COMMON
078600            THRU R539-R53-HTC-EXIT
078700         SET  MTRF-K2-O53-REC-ADJ-DR-T
078800                                 TO TRUE
078900         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
079000                                 =  0
079100                                 -  MB53WS-TT-REC-ADJ-DR-NBR
079200                                    (X-MB53WS-TT-DEST
079300                                     X-MB53WS-TT-ACCT)
079400         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
079500                                 =  0
079600                                 -  MB53WS-TT-REC-ADJ-DR-AMT
079700                                    (X-MB53WS-TT-DEST
079800                                     X-MB53WS-TT-ACCT)
079900         PERFORM R530-REPORT-53-H-T-COMMON
080000            THRU R539-R53-HTC-EXIT.
080100*
080200     IF  MB53WS-TT-REC-ADJ-CR-NBR
080300         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
080400     OR  MB53WS-TT-REC-ADJ-CR-AMT
080500         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
080600         SET  MTRF-K2-O53-REC-ADJ-CR-H
080700                                 TO TRUE
080800         PERFORM R530-REPORT-53-H-T-COMMON
080900            THRU R539-R53-HTC-EXIT
081000         SET  MTRF-K2-O53-REC-ADJ-CR-T
081100                                 TO TRUE
081200         MOVE MB53WS-TT-REC-ADJ-CR-NBR
081300              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
081400                                 TO MTRF-O53-ST-CR-TOTAL-NBR
081500         MOVE MB53WS-TT-REC-ADJ-CR-AMT
081600              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
081700                                 TO MTRF-O53-ST-CR-TOTAL-AMT
081800         PERFORM R530-REPORT-53-H-T-COMMON
081900            THRU R539-R53-HTC-EXIT.
082000*
082100     IF  MB53WS-TT-USER-FEES-CR-NBR
082200         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
082300     OR  MB53WS-TT-USER-FEES-CR-AMT
082400         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
082500     OR  MB53WS-TT-USER-FEES-DR-NBR
082600         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
082700     OR  MB53WS-TT-USER-FEES-DR-AMT
082800         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
082900         SET  MTRF-K2-O53-USER-FEES-H
083000                                 TO TRUE
083100         PERFORM R530-REPORT-53-H-T-COMMON
083200            THRU R539-R53-HTC-EXIT
083300         SET  MTRF-K2-O53-USER-FEES-T
083400                                 TO TRUE
083500         MOVE MB53WS-TT-USER-FEES-CR-NBR
083600              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
083700                                 TO MTRF-O53-ST-CR-TOTAL-NBR
083800         MOVE MB53WS-TT-USER-FEES-CR-AMT
083900              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
084000                                 TO MTRF-O53-ST-CR-TOTAL-AMT
084100         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
084200                                 =  0
084300                                 -  MB53WS-TT-USER-FEES-DR-NBR
084400                                    (X-MB53WS-TT-DEST
084500                                     X-MB53WS-TT-ACCT)
084600         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
084700                                 =  0
084800                                 -  MB53WS-TT-USER-FEES-DR-AMT
084900                                    (X-MB53WS-TT-DEST
085000                                     X-MB53WS-TT-ACCT)
085100         PERFORM R530-REPORT-53-H-T-COMMON
085200            THRU R539-R53-HTC-EXIT.
085300*
085400     IF  MB53WS-TT-USER-CR-NBR
085500         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
085600     OR  MB53WS-TT-USER-CR-AMT
085700         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
085800     OR  MB53WS-TT-USER-DR-NBR
085900         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
086000     OR  MB53WS-TT-USER-DR-AMT
086100         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
086200         SET  MTRF-K2-O53-USER-CREDITS-H
086300                                 TO TRUE
086400         PERFORM R530-REPORT-53-H-T-COMMON
086500            THRU R539-R53-HTC-EXIT
086600         SET  MTRF-K2-O53-USER-CREDITS-T
086700                                 TO TRUE
086800         MOVE MB53WS-TT-USER-CR-NBR
086900              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
087000                                 TO MTRF-O53-ST-CR-TOTAL-NBR
087100         MOVE MB53WS-TT-USER-CR-AMT
087200              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
087300                                 TO MTRF-O53-ST-CR-TOTAL-AMT
087400         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
087500                                 =  0
087600                                 -  MB53WS-TT-USER-DR-NBR
087700                                    (X-MB53WS-TT-DEST
087800                                     X-MB53WS-TT-ACCT)
087900         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
088000                                 =  0
088100                                 -  MB53WS-TT-USER-DR-AMT
088200                                    (X-MB53WS-TT-DEST
088300                                     X-MB53WS-TT-ACCT)
088400         PERFORM R530-REPORT-53-H-T-COMMON
088500            THRU R539-R53-HTC-EXIT.
088600*
088700     IF  MB53WS-TT-SYSTEM-FEES-CR-NBR
088800         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
088900     OR  MB53WS-TT-SYSTEM-FEES-CR-AMT
089000         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
089100     OR  MB53WS-TT-SYSTEM-FEES-DR-NBR
089200         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
089300     OR  MB53WS-TT-SYSTEM-FEES-DR-AMT
089400         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
089500         SET  MTRF-K2-O53-SYSTEM-FEES-H
089600                                 TO TRUE
089700         PERFORM R530-REPORT-53-H-T-COMMON
089800            THRU R539-R53-HTC-EXIT
089900         SET  MTRF-K2-O53-SYSTEM-FEES-T
090000                                 TO TRUE
090100         MOVE MB53WS-TT-SYSTEM-FEES-CR-NBR
090200              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
090300                                 TO MTRF-O53-ST-CR-TOTAL-NBR
090400         MOVE MB53WS-TT-SYSTEM-FEES-CR-AMT
090500              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
090600                                 TO MTRF-O53-ST-CR-TOTAL-AMT
090700         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
090800                                 =  0
090900                                 -  MB53WS-TT-SYSTEM-FEES-DR-NBR
091000                                    (X-MB53WS-TT-DEST
091100                                     X-MB53WS-TT-ACCT)
091200         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
091300                                 =  0
091400                                 -  MB53WS-TT-SYSTEM-FEES-DR-AMT
091500                                    (X-MB53WS-TT-DEST
091600                                     X-MB53WS-TT-ACCT)
091700         PERFORM R530-REPORT-53-H-T-COMMON
091800            THRU R539-R53-HTC-EXIT.
091900*
092000     IF  MB53WS-TT-INTCHG-FEES-CR-NBR
092100         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
092200     OR  MB53WS-TT-INTCHG-FEES-CR-AMT
092300         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
092400     OR  MB53WS-TT-INTCHG-FEES-DR-NBR
092500         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
092600     OR  MB53WS-TT-INTCHG-FEES-DR-AMT
092700         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
092800         SET  MTRF-K2-O53-INTCHG-FEES-H
092900                                 TO TRUE
093000         PERFORM R530-REPORT-53-H-T-COMMON
093100            THRU R539-R53-HTC-EXIT
093200         SET  MTRF-K2-O53-INTCHG-FEES-T
093300                                 TO TRUE
093400         MOVE MB53WS-TT-INTCHG-FEES-CR-NBR
093500              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
093600                                 TO MTRF-O53-ST-CR-TOTAL-NBR
093700         MOVE MB53WS-TT-INTCHG-FEES-CR-AMT
093800              (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
093900                                 TO MTRF-O53-ST-CR-TOTAL-AMT
094000         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
094100                                 =  0
094200                                 -  MB53WS-TT-INTCHG-FEES-DR-NBR
094300                                    (X-MB53WS-TT-DEST
094400                                     X-MB53WS-TT-ACCT)
094500         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
094600                                 =  0
094700                                 -  MB53WS-TT-INTCHG-FEES-DR-AMT
094800                                    (X-MB53WS-TT-DEST
094900                                     X-MB53WS-TT-ACCT)
095000         PERFORM R530-REPORT-53-H-T-COMMON
095100            THRU R539-R53-HTC-EXIT.
095200*
095300     IF  MB53WS-TT-XFER-INV-NBR
095400         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
095500     OR  MB53WS-TT-XFER-INV-AMT
095600         (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT) IS NOT EQUAL TO ZERO
095700         SET  MTRF-K2-O53-SETT-XFER-H
095800                                 TO TRUE
095900         PERFORM R530-REPORT-53-H-T-COMMON
096000            THRU R539-R53-HTC-EXIT
096100         SET  MTRF-K2-O53-SETT-XFER-T
096200                                 TO TRUE
096300         COMPUTE MTRF-O53-ST-DR-TOTAL-NBR
096400                                 =  0
096500                                 -  MB53WS-TT-XFER-INV-NBR
096600                                    (X-MB53WS-TT-DEST
096700                                     X-MB53WS-TT-ACCT)
096800         COMPUTE MTRF-O53-ST-DR-TOTAL-AMT
096900                                 =  0
097000                                 -  MB53WS-TT-XFER-INV-AMT
097100                                    (X-MB53WS-TT-DEST
097200                                     X-MB53WS-TT-ACCT)
097300         PERFORM R530-REPORT-53-H-T-COMMON
097400            THRU R539-R53-HTC-EXIT.
097500*
097600 R539-R53-DCR-EXIT.
097700     EXIT.
097800/
097900 R530-REPORT-53-H-T-COMMON SECTION.
098000 R531-R53-HTC-BEGIN.
098100*
098200     MOVE MMMM-MERCHANT          TO MTRF-K2-O53-MERCHANT.
098300     SET  MTRF-K2-O53-DEST-ID-I1 TO X-MB53WS-TT-DEST.
098400     SET  MTRF-K2-O53-DEST-ID-I2 TO X-MB53WS-TT-ACCT.
098500     MOVE SPACES                 TO MTRF-K2-O53-REC-ID-SEQ-X.
098600     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
098700     PERFORM R980-WRITE-REPORT-FILE
098800        THRU R989-WRF-EXIT.
098900*
099000     INITIALIZE MTRF-O53-SETT-TRAILER.
099100*
099200 R539-R53-HTC-EXIT.
099300     EXIT.
099400/
099500 R530-REPORT-53-DISTRIB-ACCUM SECTION.
099600 R539-R53-DA-BEGIN.
099700*
099800     MOVE MMSH-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
099900*
100000     IF  MMTCWS-LM-SETTLEMENT-CR
100100     OR  MMTCWS-LM-SETTLEMENT-DR
100200     OR  MMTCWS-LM-VALID-MEMO
100300     OR  MMTCWS-LM-VALID-INTERNAL
100400         GO TO R539-R53-DA-EXIT.
100500*
100600     IF  MMTCWS-LM-VALID-DEBIT
100700     OR  MMTCWS-LM-VALID-CREDIT
100800         NEXT SENTENCE
100900     ELSE
101000         GO TO R539-R53-DA-EXIT.
101100*
101200     IF  MMSH-SETTLED-ACH-MAN
101300     OR  MMSH-SETTLED-BILLED
101400     OR  MMSH-SETTLED-WINDOW
101500         NEXT SENTENCE
101600     ELSE
101700         GO TO R539-R53-DA-EXIT.
101800*
101900     SET  WS-D200-O53-ACTIVITY   TO TRUE.
102000     SET  MTRF-K2-O53-DI-SETT-1  TO TRUE.
102100     SET  MTRF-K2-O53-DEPOSIT-D  TO TRUE.
102200*
102300     EVALUATE TRUE
102400          WHEN MMSH-SETTLED-BILLED
102500              SET X-MB53WS-TT-DEST
102600                                 TO 2
102700              SET X-MB53WS-TT-ACCT
102800                                 TO MMSH-SETT-ACCT
102900          WHEN MMSH-SETTLED-WINDOW
103000              SET X-MB53WS-TT-DEST
103100                                 TO 3
103200              SET X-MB53WS-TT-ACCT
103300                                 TO 1
103400          WHEN OTHER
103500              SET X-MB53WS-TT-DEST
103600                                 TO 1
103700              SET X-MB53WS-TT-ACCT
103800                                 TO MMSH-SETT-ACCT
103900     END-EVALUATE.
104000*
104100     EVALUATE TRUE
104200         WHEN MMTCWS-LM-BATCH-HDR-CR
104300             SET MTRF-K2-O53-DEPOSIT-D
104400                                 TO TRUE
104500             ADD MMSH-AMOUNT     TO MB53WS-TT-DEPOSITS-AMT
104600                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
104700             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-DEPOSITS-NBR
104800                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
104900          WHEN MMTCWS-LM-BATCH-HDR-DR
105000             SET MTRF-K2-O53-DEPOSIT-D
105100                                 TO TRUE
105200             ADD MMSH-AMOUNT     TO MB53WS-TT-WITHDRAWAL-AMT
105300                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
105400             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-WITHDRAWAL-NBR
105500                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
105600         WHEN MMTCWS-LM-VALID-RESV-SETT-CR
105700             SET MTRF-K2-O53-RESV-TO-SETT-D
105800                                 TO TRUE
105900             ADD MMSH-AMOUNT     TO MB53WS-TT-RESV-CR-AMT
106000                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
106100             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-RESV-CR-NBR
106200                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
106300         WHEN MMTCWS-LM-VALID-RESV-SETT-DR
106400             SET MTRF-K2-O53-RESV-FUND-D
106500                                 TO TRUE
106600             ADD MMSH-AMOUNT     TO MB53WS-TT-RESV-DR-AMT
106700                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
106800             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-RESV-DR-NBR
106900                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
107000         WHEN MMTCWS-LM-DISCOUNT
107100             SET MTRF-K2-O53-DISCOUNT-D
107200                                 TO TRUE
107300             ADD MMSH-AMOUNT     TO MB53WS-TT-DISC-AMT
107400                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
107500             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-DISC-NBR
107600                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
107700         WHEN MMTCWS-LM-REFUND
107800             SET MTRF-K2-O53-REFUND-D
107900                                 TO TRUE
108000             ADD MMSH-AMOUNT     TO MB53WS-TT-REFUND-AMT
108100                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
108200             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-REFUND-NBR
108300                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
108400         WHEN MMTCWS-LM-PART-DR
108500             SET MTRF-K2-O53-PART-DR-D
108600                                 TO TRUE
108700             ADD MMSH-AMOUNT     TO MB53WS-TT-PART-DR-AMT
108800                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
108900             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-PART-DR-NBR
109000                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
109100         WHEN MMTCWS-LM-PART-CR
109200             SET MTRF-K2-O53-PART-CR-D
109300                                 TO TRUE
109400             ADD MMSH-AMOUNT     TO MB53WS-TT-PART-CR-AMT
109500                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
109600             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-PART-CR-NBR
109700                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
109800         WHEN MMTCWS-LM-ADJ-CR
109900             SET MTRF-K2-O53-ADJ-CR-D
110000                                 TO TRUE
110100             ADD MMSH-AMOUNT     TO MB53WS-TT-ADJ-CR-AMT
110200                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
110300             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-ADJ-CR-NBR
110400                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
110500         WHEN MMTCWS-LM-ADJ-DR
110600             SET MTRF-K2-O53-ADJ-DR-D
110700                                 TO TRUE
110800             ADD MMSH-AMOUNT     TO MB53WS-TT-ADJ-DR-AMT
110900                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
111000             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-ADJ-DR-NBR
111100                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
111200         WHEN MMTCWS-LM-RECOVERY-ADJ-CR
111300             SET MTRF-K2-O53-REC-ADJ-CR-D
111400                                 TO TRUE
111500             ADD MMSH-AMOUNT     TO MB53WS-TT-REC-ADJ-CR-AMT
111600                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
111700             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-REC-ADJ-CR-NBR
111800                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
111900         WHEN MMTCWS-LM-RECOVERY-ADJ-DR
112000             SET MTRF-K2-O53-REC-ADJ-DR-D
112100                                 TO TRUE
112200             ADD MMSH-AMOUNT     TO MB53WS-TT-REC-ADJ-DR-AMT
112300                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
112400             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-REC-ADJ-DR-NBR
112500                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
112600         WHEN MMTCWS-LM-SYSTEM-FEES-CR
112700             SET MTRF-K2-O53-SYSTEM-FEES-D
112800                                 TO TRUE
112900             ADD MMSH-AMOUNT     TO MB53WS-TT-SYSTEM-FEES-CR-AMT
113000                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
113100             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-SYSTEM-FEES-CR-NBR
113200                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
113300         WHEN MMTCWS-LM-SYSTEM-FEES-DR
113400             SET MTRF-K2-O53-SYSTEM-FEES-D
113500                                 TO TRUE
113600             ADD MMSH-AMOUNT     TO MB53WS-TT-SYSTEM-FEES-DR-AMT
113700                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
113800             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-SYSTEM-FEES-DR-NBR
113900                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
114000         WHEN MMTCWS-LM-USER-FEES-CR
114100             SET MTRF-K2-O53-USER-FEES-D
114200                                 TO TRUE
114300             ADD MMSH-AMOUNT     TO MB53WS-TT-USER-FEES-CR-AMT
114400                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
114500             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-USER-FEES-CR-NBR
114600                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
114700         WHEN MMTCWS-LM-USER-FEES-DR
114800             SET MTRF-K2-O53-USER-FEES-D
114900                                 TO TRUE
115000             ADD MMSH-AMOUNT     TO MB53WS-TT-USER-FEES-DR-AMT
115100                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
115200             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-USER-FEES-DR-NBR
115300                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
115400         WHEN MMTCWS-LM-INTCHG-FEES-CR
115500             SET MTRF-K2-O53-INTCHG-FEES-D
115600                                 TO TRUE
115700             ADD MMSH-AMOUNT     TO MB53WS-TT-INTCHG-FEES-CR-AMT
115800                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
115900             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-INTCHG-FEES-CR-NBR
116000                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
116100         WHEN MMTCWS-LM-INTCHG-FEES-DR
116200             SET MTRF-K2-O53-INTCHG-FEES-D
116300                                 TO TRUE
116400             ADD MMSH-AMOUNT     TO MB53WS-TT-INTCHG-FEES-DR-AMT
116500                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
116600             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-INTCHG-FEES-DR-NBR
116700                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
116800         WHEN MMTCWS-LM-USER-CREDITS
116900             SET MTRF-K2-O53-USER-CREDITS-D
117000                                 TO TRUE
117100             ADD MMSH-AMOUNT     TO MB53WS-TT-USER-CR-AMT
117200                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
117300             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-USER-CR-NBR
117400                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
117500         WHEN MMTCWS-LM-USER-DEBITS
117600             SET MTRF-K2-O53-USER-CREDITS-D
117700                                 TO TRUE
117800             ADD MMSH-AMOUNT     TO MB53WS-TT-USER-DR-AMT
117900                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
118000             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-USER-DR-NBR
118100                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
118200         WHEN MMTCWS-LM-HOLDOVER
118300             SET MTRF-K2-O53-HOLDOVER-D
118400                                 TO TRUE
118500             ADD MMSH-AMOUNT     TO MB53WS-TT-HOLDOVER-AMT
118600                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
118700             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-HOLDOVER-NBR
118800                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
118900         WHEN MMTCWS-LM-SETTLEMENT-DR-XFER
119000             SET  MTRF-K2-O53-SETT-XFER-D
119100                                 TO TRUE
119200             ADD MMSH-AMOUNT     TO MB53WS-TT-XFER-INV-AMT
119300                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
119400             ADD MMSH-NBR-ITEMS  TO MB53WS-TT-XFER-INV-NBR
119500                            (X-MB53WS-TT-DEST X-MB53WS-TT-ACCT)
119600     END-EVALUATE.
119700*
119800     IF  MMSH-SETT-ACCT-1
119900     OR  MMSH-SETT-ACCT-2
120000     OR  MMSH-SETT-ACCT-3
120100     OR  MMSH-SETT-ACCT-4
120200         SET X-MB53WS-SAMT       TO MMSH-SETT-ACCT
120300         SET X-MB53WS-SBT        TO MMSH-SETT-ACCT
120400     ELSE
120500         SET X-MB53WS-SAMT       TO 1
120600         SET X-MB53WS-SBT        TO 1.
120700*
120800     EVALUATE TRUE
120900         WHEN (MMSH-SETT-ACCT-1
121000          AND  MMSH-SETTLED-BILLED
121100          AND  MMTCWS-LM-VALID-DEBIT)
121200             SET MB53WS-BILL-DEST-ACTIVITY (1)
121300                                 TO TRUE
121400             SET MTRF-K2-O53-DI-BILL-1
121500                                 TO TRUE
121600             SUBTRACT MMSH-AMOUNT
121700                               FROM MB53WS-SBT-AMT
121800                                    (X-MB53WS-SBT)
121900         WHEN (MMSH-SETT-ACCT-1
122000          AND  MMSH-SETTLED-BILLED
122100          AND  MMTCWS-LM-VALID-CREDIT)
122200             SET MB53WS-BILL-DEST-ACTIVITY (1)
122300                                 TO TRUE
122400             SET MTRF-K2-O53-DI-BILL-1
122500                                 TO TRUE
122600             ADD MMSH-AMOUNT     TO MB53WS-SBT-AMT
122700                                    (X-MB53WS-SBT)
122800         WHEN (MMSH-SETT-ACCT-1
122900          AND  MMTCWS-LM-VALID-DEBIT)
123000             SET MB53WS-SETT-DEST-ACTIVITY (1)
123100                                 TO TRUE
123200             SET MTRF-K2-O53-DI-SETT-1
123300                                 TO TRUE
123400             SUBTRACT MMSH-AMOUNT
123500                               FROM MB53WS-SAMT-DR-AMT
123600                                    (X-MB53WS-SAMT)
123700         WHEN (MMSH-SETT-ACCT-1
123800          AND  MMTCWS-LM-VALID-CREDIT)
123900             SET MB53WS-SETT-DEST-ACTIVITY (1)
124000                                 TO TRUE
124100             SET MTRF-K2-O53-DI-SETT-1
124200                                 TO TRUE
124300             ADD MMSH-AMOUNT     TO MB53WS-SAMT-CR-AMT
124400                                    (X-MB53WS-SAMT)
124500         WHEN (MMSH-SETT-ACCT-2
124600          AND  MMSH-SETTLED-BILLED
124700          AND  MMTCWS-LM-VALID-DEBIT)
124800             SET MB53WS-BILL-DEST-ACTIVITY (2)
124900                                 TO TRUE
125000             SET MTRF-K2-O53-DI-BILL-2
125100                                 TO TRUE
125200             SUBTRACT MMSH-AMOUNT
125300                               FROM MB53WS-SBT-AMT
125400                                    (X-MB53WS-SBT)
125500         WHEN (MMSH-SETT-ACCT-2
125600          AND  MMSH-SETTLED-BILLED
125700          AND  MMTCWS-LM-VALID-CREDIT)
125800             SET MB53WS-BILL-DEST-ACTIVITY (2)
125900                                 TO TRUE
126000             SET MTRF-K2-O53-DI-BILL-2
126100                                 TO TRUE
126200             ADD MMSH-AMOUNT     TO MB53WS-SBT-AMT
126300                                    (X-MB53WS-SBT)
126400         WHEN (MMSH-SETT-ACCT-2
126500          AND  MMTCWS-LM-VALID-DEBIT)
126600             SET MB53WS-SETT-DEST-ACTIVITY (2)
126700                                 TO TRUE
126800             SET MTRF-K2-O53-DI-SETT-2
126900                                 TO TRUE
127000             SUBTRACT MMSH-AMOUNT
127100                               FROM MB53WS-SAMT-DR-AMT
127200                                    (X-MB53WS-SAMT)
127300         WHEN (MMSH-SETT-ACCT-2
127400          AND  MMTCWS-LM-VALID-CREDIT)
127500             SET MB53WS-SETT-DEST-ACTIVITY (2)
127600                                 TO TRUE
127700             SET MTRF-K2-O53-DI-SETT-2
127800                                 TO TRUE
127900             ADD MMSH-AMOUNT     TO MB53WS-SAMT-CR-AMT
128000                                    (X-MB53WS-SAMT)
128100         WHEN (MMSH-SETT-ACCT-3
128200          AND  MMSH-SETTLED-BILLED
128300          AND  MMTCWS-LM-VALID-DEBIT)
128400             SET MB53WS-BILL-DEST-ACTIVITY (3)
128500                                 TO TRUE
128600             SET MTRF-K2-O53-DI-BILL-3
128700                                 TO TRUE
128800             SUBTRACT MMSH-AMOUNT
128900                               FROM MB53WS-SBT-AMT
129000                                    (X-MB53WS-SBT)
129100         WHEN (MMSH-SETT-ACCT-3
129200          AND  MMSH-SETTLED-BILLED
129300          AND  MMTCWS-LM-VALID-CREDIT)
129400             SET MB53WS-BILL-DEST-ACTIVITY (3)
129500                                 TO TRUE
129600             SET MTRF-K2-O53-DI-BILL-3
129700                                 TO TRUE
129800             ADD MMSH-AMOUNT     TO MB53WS-SBT-AMT
129900                                    (X-MB53WS-SBT)
130000         WHEN (MMSH-SETT-ACCT-3
130100          AND  MMTCWS-LM-VALID-DEBIT)
130200             SET MB53WS-SETT-DEST-ACTIVITY (3)
130300                                 TO TRUE
130400             SET MTRF-K2-O53-DI-SETT-3
130500                                 TO TRUE
130600             SUBTRACT MMSH-AMOUNT
130700                               FROM MB53WS-SAMT-DR-AMT
130800                                    (X-MB53WS-SAMT)
130900         WHEN (MMSH-SETT-ACCT-3
131000          AND  MMTCWS-LM-VALID-CREDIT)
131100             SET MB53WS-SETT-DEST-ACTIVITY (3)
131200                                 TO TRUE
131300             SET MTRF-K2-O53-DI-SETT-3
131400                                 TO TRUE
131500             ADD MMSH-AMOUNT     TO MB53WS-SAMT-CR-AMT
131600                                    (X-MB53WS-SAMT)
131700         WHEN (MMSH-SETT-ACCT-4
131800          AND  MMSH-SETTLED-BILLED
131900          AND  MMTCWS-LM-VALID-DEBIT)
132000             SET MB53WS-BILL-DEST-ACTIVITY (4)
132100                                 TO TRUE
132200             SET MTRF-K2-O53-DI-BILL-4
132300                                 TO TRUE
132400             SUBTRACT MMSH-AMOUNT
132500                               FROM MB53WS-SBT-AMT
132600                                    (X-MB53WS-SBT)
132700         WHEN (MMSH-SETT-ACCT-4
132800          AND  MMSH-SETTLED-BILLED
132900          AND  MMTCWS-LM-VALID-CREDIT)
133000             SET MB53WS-BILL-DEST-ACTIVITY (4)
133100                                 TO TRUE
133200             SET MTRF-K2-O53-DI-BILL-4
133300                                 TO TRUE
133400             ADD MMSH-AMOUNT     TO MB53WS-SBT-AMT
133500                                    (X-MB53WS-SBT)
133600         WHEN (MMSH-SETT-ACCT-4
133700          AND  MMTCWS-LM-VALID-DEBIT)
133800             SET MB53WS-SETT-DEST-ACTIVITY (4)
133900                                 TO TRUE
134000             SET MTRF-K2-O53-DI-SETT-4
134100                                 TO TRUE
134200             SUBTRACT MMSH-AMOUNT
134300                               FROM MB53WS-SAMT-DR-AMT
134400                                    (X-MB53WS-SAMT)
134500         WHEN (MMSH-SETT-ACCT-4
134600          AND  MMTCWS-LM-VALID-CREDIT)
134700             SET MB53WS-SETT-DEST-ACTIVITY (4)
134800                                 TO TRUE
134900             SET MTRF-K2-O53-DI-SETT-4
135000                                 TO TRUE
135100             ADD MMSH-AMOUNT     TO MB53WS-SAMT-CR-AMT
135200                                    (X-MB53WS-SAMT)
135300         WHEN (MMSH-SETTLED-WINDOW
135400          AND  MMTCWS-LM-VALID-CREDIT)
135500             SET MB53WS-WINDOW-ACTIVITY
135600                                 TO TRUE
135700             SET MTRF-K2-O53-DI-WINDOW
135800                                 TO TRUE
135900             ADD MMSH-AMOUNT     TO MB53WS-WINDOW-AMT
136000         WHEN (MMSH-SETTLED-WINDOW
136100          AND  MMTCWS-LM-VALID-DEBIT)
136200             SET MB53WS-WINDOW-ACTIVITY
136300                                 TO TRUE
136400             SET MTRF-K2-O53-DI-WINDOW
136500                                 TO TRUE
136600             SUBTRACT MMSH-AMOUNT
136700                               FROM MB53WS-WINDOW-AMT
136800     END-EVALUATE.
136900*
137000     SET X-MTRFWS-ORT            TO 53.
137100*
137200     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
137300     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
137400         MOVE SPACES             TO MTRF-RECORD
137500         GO TO R539-R53-DA-EXIT.
137600*
137700     MOVE MMSH-MERCHANT          TO MTRF-K2-O53-MERCHANT.
137800     MOVE MMSH-POST-DATE         TO MTRF-K2-O53-RISO-POST-DATE.
137900     MOVE MMSH-TRANS-CODE        TO MTRF-K2-O53-RISO-TC.
138000     MOVE MMSH-STORE             TO MTRF-K2-O53-RISO-STORE.
138100     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
138200     MOVE MMSH-RECORD            TO MTRF-SH-RECORD.
138300*
138400     PERFORM R980-WRITE-REPORT-FILE
138500        THRU R989-WRF-EXIT.
138600*
138700 R539-R53-DA-EXIT.
138800     EXIT.
