000100 R300-REPORT-30 SECTION.
000200 R301-R30-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 30.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R309-R30-EXIT
000900     END-IF.
001000*
001100*
001200*
001300******************************************************************
001400*    DUPLICATE SALES BY DAY C-H NUMBER FRAUD CHECK (OVER ONLY)   *
001500******************************************************************
001600*
001700     IF  WS-D360-SALES-DUP-NBR-C-H NOT <
001800                                 MMSM-DUP-SALES-DAY-NBR-C-H
001900     AND MMSM-DUP-SALES-DAY-NBR-C-H > ZERO
002000         MOVE 1                  TO WS-D360-RPT-REC-TYPE
002100         MOVE MMSM-STORE         TO MTRF-K2-O30-STORE
002200         SET  MTRF-K2-O30-KT-STORE
002300                                 TO TRUE
002400         MOVE 81                 TO MTRF-K2-O30-FRAUD-INDEX
002500         SET  MTRF-O30-OVER      TO TRUE
002600         MOVE MMSM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
002700         MOVE MMSM-DATE-LAST-STMT
002800                                 TO MTRF-O30-DATE-LAST-STMT
002900         MOVE ZERO               TO MTRF-O30-FRAUD-TABLE
003000         MOVE ZERO               TO MTRF-O30-AVG-NBR-MONTHS
003100         MOVE WS-D360-SALES-DUP-NBR-C-H
003200                                 TO MTRF-O30-ACTUAL-ACTIVITY
003300         MOVE MMSM-DUP-SALES-DAY-NBR-C-H
003400                                 TO MTRF-O30-ALLOWED-ACTIVITY
003500         COMPUTE MTRF-O30-VARIANCE ROUNDED
003600                                 =  WS-D360-SALES-DUP-NBR-C-H
003700                                 /  MMSM-DUP-SALES-DAY-NBR-C-H
003800         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
003900         PERFORM R980-WRITE-REPORT-FILE
004000            THRU R989-WRF-EXIT
004100     END-IF.
004200*
004300*
004400*
004500******************************************************************
004600*    DUPLICATE SALES BY DAY C-H AMOUNT FRAUD CHECK (OVER ONLY)   *
004700******************************************************************
004800*
004900     IF  WS-D360-SALES-DUP-AMT-C-H NOT <
005000                                 MMSM-DUP-SALES-DAY-AMT-C-H
005100     AND MMSM-DUP-SALES-DAY-AMT-C-H > ZERO
005200         MOVE 1                  TO WS-D360-RPT-REC-TYPE
005300         MOVE MMSM-STORE         TO MTRF-K2-O30-STORE
005400         SET  MTRF-K2-O30-KT-STORE
005500                                 TO TRUE
005600         MOVE 89                 TO MTRF-K2-O30-FRAUD-INDEX
005700         SET  MTRF-O30-OVER      TO TRUE
005800         MOVE MMSM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
005900         MOVE MMSM-DATE-LAST-STMT
006000                                 TO MTRF-O30-DATE-LAST-STMT
006100         MOVE ZERO               TO MTRF-O30-FRAUD-TABLE
006200         MOVE ZERO               TO MTRF-O30-AVG-NBR-MONTHS
006300         MOVE WS-D360-SALES-DUP-AMT-C-H
006400                                 TO MTRF-O30-ACTUAL-ACTIVITY
006500         MOVE MMSM-DUP-SALES-DAY-AMT-C-H
006600                                 TO MTRF-O30-ALLOWED-ACTIVITY
006700         COMPUTE MTRF-O30-VARIANCE ROUNDED
006800                                 =  WS-D360-SALES-DUP-AMT-C-H
006900                                 /  MMSM-DUP-SALES-DAY-AMT-C-H
007000         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
007100         PERFORM R980-WRITE-REPORT-FILE
007200            THRU R989-WRF-EXIT
007300     END-IF.
007400*
007500*
007600*
007700******************************************************************
007800*    DUPLICATE SALES BY DAY BIN NUMBER FRAUD CHECK (OVER ONLY)   *
007900******************************************************************
008000*
008100     IF  WS-D360-SALES-DUP-NBR-BIN NOT <
008200                                 MMSM-DUP-SALES-DAY-NBR-BIN
008300     AND MMSM-DUP-SALES-DAY-NBR-BIN > ZERO
008400         MOVE 1                  TO WS-D360-RPT-REC-TYPE
008500         MOVE MMSM-STORE         TO MTRF-K2-O30-STORE
008600         SET  MTRF-K2-O30-KT-STORE
008700                                 TO TRUE
008800         MOVE 82                 TO MTRF-K2-O30-FRAUD-INDEX
008900         SET  MTRF-O30-OVER      TO TRUE
009000         MOVE MMSM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
009100         MOVE MMSM-DATE-LAST-STMT
009200                                 TO MTRF-O30-DATE-LAST-STMT
009300         MOVE ZERO               TO MTRF-O30-FRAUD-TABLE
009400         MOVE ZERO               TO MTRF-O30-AVG-NBR-MONTHS
009500         MOVE WS-D360-SALES-DUP-NBR-BIN
009600                                 TO MTRF-O30-ACTUAL-ACTIVITY
009700         MOVE MMSM-DUP-SALES-DAY-NBR-BIN
009800                                 TO MTRF-O30-ALLOWED-ACTIVITY
009900         COMPUTE MTRF-O30-VARIANCE ROUNDED
010000                                 =  WS-D360-SALES-DUP-NBR-BIN
010100                                 /  MMSM-DUP-SALES-DAY-NBR-BIN
010200         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
010300         PERFORM R980-WRITE-REPORT-FILE
010400            THRU R989-WRF-EXIT
010500     END-IF.
010600*
010700*
010800*
010900******************************************************************
011000*    DUPLICATE SALES BY DAY BIN AMOUNT FRAUD CHECK (OVER ONLY)   *
011100******************************************************************
011200*
011300     IF  WS-D360-SALES-DUP-AMT-BIN NOT <
011400                                 MMSM-DUP-SALES-DAY-AMT-BIN
011500     AND MMSM-DUP-SALES-DAY-AMT-BIN > ZERO
011600         MOVE 1                  TO WS-D360-RPT-REC-TYPE
011700         MOVE MMSM-STORE         TO MTRF-K2-O30-STORE
011800         SET  MTRF-K2-O30-KT-STORE
011900                                 TO TRUE
012000         MOVE 90                 TO MTRF-K2-O30-FRAUD-INDEX
012100         SET  MTRF-O30-OVER      TO TRUE
012200         MOVE MMSM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
012300         MOVE MMSM-DATE-LAST-STMT
012400                                 TO MTRF-O30-DATE-LAST-STMT
012500         MOVE ZERO               TO MTRF-O30-FRAUD-TABLE
012600         MOVE ZERO               TO MTRF-O30-AVG-NBR-MONTHS
012700         MOVE WS-D360-SALES-DUP-AMT-BIN
012800                                 TO MTRF-O30-ACTUAL-ACTIVITY
012900         MOVE MMSM-DUP-SALES-DAY-AMT-BIN
013000                                 TO MTRF-O30-ALLOWED-ACTIVITY
013100         COMPUTE MTRF-O30-VARIANCE ROUNDED
013200                                 =  WS-D360-SALES-DUP-AMT-BIN
013300                                 /  MMSM-DUP-SALES-DAY-AMT-BIN
013400         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
013500         PERFORM R980-WRITE-REPORT-FILE
013600            THRU R989-WRF-EXIT
013700     END-IF.
013800*
013900*
014000*
014100 R309-R30-EXIT.
014200     EXIT.
