000100 R320-REPORT-32 SECTION.
000200 R321-R32-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 32.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R329-R32-EXIT
000900     END-IF.
001000*
001100     IF  MTPTWS-STORE-DUP-C-H
001200         EVALUATE TRUE
001300             WHEN MMTCWS-LM-SALE
001400             WHEN MMTCWS-LM-RETURN
001500             WHEN MMTCWS-LM-RETURN-REV
001600             WHEN MMTCWS-LM-SALE-REV
001700                 PERFORM R320-REPORT-32-SALES-DAY-C-H
001800                    THRU R329-R32-SB-C-H-EXIT
001900             WHEN MMTCWS-LM-AUTH-APPROVED
002000             WHEN MMTCWS-LM-AUTH-DECLINED
002100                 PERFORM R320-REPORT-32-AUTHS-DAY-C-H
002200                    THRU R329-R32-AB-C-H-EXIT
002300         END-EVALUATE
002400     END-IF.
002500*
002600     IF  MTPTWS-STORE-DUP-BIN
002700         EVALUATE TRUE
002800             WHEN MMTCWS-LM-SALE
002900             WHEN MMTCWS-LM-RETURN
003000             WHEN MMTCWS-LM-RETURN-REV
003100             WHEN MMTCWS-LM-SALE-REV
003200                 PERFORM R320-REPORT-32-SALES-DAY-BIN
003300                    THRU R329-R32-SB-BIN-EXIT
003400             WHEN MMTCWS-LM-AUTH-APPROVED
003500             WHEN MMTCWS-LM-AUTH-DECLINED
003600                 PERFORM R320-REPORT-32-AUTHS-DAY-BIN
003700                    THRU R329-R32-AB-BIN-EXIT
003800         END-EVALUATE
003900     END-IF.
004000*
004100 R329-R32-EXIT.
004200     EXIT.
004300/
004400 R320-REPORT-32-SALES-DAY-C-H SECTION.
004500 R321-R32-SB-C-H-BEGIN.
004600*
004700     IF  MMSM-DUP-SALES-DAY-NBR-C-H = ZERO
004800         GO TO R329-R32-SB-C-H-EXIT
004900     END-IF.
005000*
005100     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
005200     SET  WS-D360-O32-ACTIVITY   TO TRUE.
005300     SET  MTRF-K2-O32-KT-STORE   TO TRUE.
005400     MOVE MTST-STORE             TO MTRF-K2-O32-STORE.
005500     SET  MTRF-K2-O32-D-SALES-DAY-C-H
005600                                 TO TRUE.
005700     MOVE MTST-AR-ACCT           TO MTRF-K2-O32-AR-ACCT.
005800     MOVE MTST-REF-BATCH-SORT    TO MTRF-K2-O32-BATCH-SORT.
005900*
006000     MOVE MTST-RECORD            TO MTRF-MT-TRANSACTION.
006100*
006200     PERFORM R980-WRITE-REPORT-FILE
006300        THRU R989-WRF-EXIT.
006400*
006500 R329-R32-SB-C-H-EXIT.
006600     EXIT.
006700*
006800*
006900*
007000 R320-REPORT-32-AUTHS-DAY-C-H SECTION.
007100 R321-R32-AB-C-H-BEGIN.
007200*
007300     IF  MMSM-DUP-AUTHS-DAY-NBR-C-H = ZERO
007400         GO TO R329-R32-AB-C-H-EXIT
007500     END-IF.
007600*
007700     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
007800     SET  WS-D360-O32-ACTIVITY   TO TRUE.
007900     SET  MTRF-K2-O32-KT-STORE   TO TRUE.
008000     MOVE MTST-STORE             TO MTRF-K2-O32-STORE.
008100     SET  MTRF-K2-O32-D-AUTHS-DAY-C-H
008200                                 TO TRUE.
008300     MOVE MTST-AR-ACCT           TO MTRF-K2-O32-AR-ACCT.
008400     MOVE MTST-REF-BATCH-SORT    TO MTRF-K2-O32-BATCH-SORT.
008500*
008600     MOVE MTST-RECORD            TO MTRF-MT-TRANSACTION.
008700*
008800     PERFORM R980-WRITE-REPORT-FILE
008900        THRU R989-WRF-EXIT.
009000*
009100 R329-R32-AB-C-H-EXIT.
009200     EXIT.
009300/
009400 R320-REPORT-32-SALES-DAY-BIN SECTION.
009500 R321-R32-SB-BIN-BEGIN.
009600*
009700     IF  MMSM-DUP-SALES-DAY-NBR-BIN = ZERO
009800         GO TO R329-R32-SB-BIN-EXIT
009900     END-IF.
010000*
010100     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
010200     SET  WS-D360-O32-ACTIVITY   TO TRUE.
010300     SET  MTRF-K2-O32-KT-STORE   TO TRUE.
010400     MOVE MTST-STORE             TO MTRF-K2-O32-STORE.
010500     SET  MTRF-K2-O32-D-SALES-DAY-BIN
010600                                 TO TRUE.
010700     MOVE MTST-AR-ACCT           TO MTRF-K2-O32-AR-ACCT.
010800     MOVE MTST-REF-BATCH-SORT    TO MTRF-K2-O32-BATCH-SORT.
010900*
011000     MOVE MTST-RECORD            TO MTRF-MT-TRANSACTION.
011100*
011200     PERFORM R980-WRITE-REPORT-FILE
011300        THRU R989-WRF-EXIT.
011400*
011500 R329-R32-SB-BIN-EXIT.
011600     EXIT.
011700*
011800*
011900*
012000 R320-REPORT-32-AUTHS-DAY-BIN SECTION.
012100 R321-R32-AB-BIN-BEGIN.
012200*
012300     IF  MMSM-DUP-AUTHS-DAY-NBR-BIN = ZERO
012400         GO TO R329-R32-AB-BIN-EXIT
012500     END-IF.
012600*
012700     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
012800     SET  WS-D360-O32-ACTIVITY   TO TRUE.
012900     SET  MTRF-K2-O32-KT-STORE   TO TRUE.
013000     MOVE MTST-STORE             TO MTRF-K2-O32-STORE.
013100     SET  MTRF-K2-O32-D-AUTHS-DAY-BIN
013200                                 TO TRUE.
013300     MOVE MTST-AR-ACCT           TO MTRF-K2-O32-AR-ACCT.
013400     MOVE MTST-REF-BATCH-SORT    TO MTRF-K2-O32-BATCH-SORT.
013500*
013600     MOVE MTST-RECORD            TO MTRF-MT-TRANSACTION.
013700*
013800     PERFORM R980-WRITE-REPORT-FILE
013900        THRU R989-WRF-EXIT.
014000*
014100 R329-R32-AB-BIN-EXIT.
014200     EXIT.
014300/
014400 R320-REPORT-32-TOTALS SECTION.
014500 R321-R32-TOTALS-BEGIN.
014600*
014700     IF  WS-D360-O32-NO-ACTIVITY
014800         GO TO R329-R32-TOTALS-EXIT
014900     END-IF.
015000*
015100     SET X-MTRFWS-ORT            TO 32.
015200*
015300     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
015400     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
015500         GO TO R329-R32-TOTALS-EXIT
015600     END-IF.
015700*
015800*
015900*
016000     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
016100     SET  MTRF-K2-O32-KT-STORE   TO TRUE.
016200     MOVE MMSM-STORE             TO MTRF-K2-O32-STORE.
016300     SET  MTRF-K2-O32-H-SALES-DAY-C-H
016400                                 TO TRUE.
016500     MOVE SPACES                 TO MTRF-K2-O32-AR-ACCT.
016600     INITIALIZE                     MTRF-K2-O32-BATCH-SORT.
016700     MOVE MMSM-DBA-NAME          TO MTRF-O32-DBA-NAME.
016800     MOVE MMSM-DATE-OPENED       TO MTRF-O32-DATE-OPENED.
016900     MOVE MMSM-DATE-LAST-STMT    TO MTRF-O32-DATE-LAST-STMT.
017000     MOVE MMSM-DUP-SALES-DAY-NBR-C-H
017100                                 TO MTRF-O32-DUP-ALLOWED.
017200     MOVE WS-D360-SALES-DUP-NBR-C-H
017300                                 TO MTRF-O32-DUP-ACTUAL.
017400*
017500     IF  MMSM-DUP-SALES-DAY-NBR-C-H = ZERO
017600     OR  WS-D360-SALES-DUP-NBR-C-H  = ZERO
017700         MOVE SPACES             TO MTRF-RECORD
017800     ELSE
017900         PERFORM R980-WRITE-REPORT-FILE
018000            THRU R989-WRF-EXIT
018100     END-IF.
018200*
018300*
018400*
018500     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
018600     SET  MTRF-K2-O32-KT-STORE   TO TRUE.
018700     MOVE MMSM-STORE             TO MTRF-K2-O32-STORE.
018800     SET  MTRF-K2-O32-H-AUTHS-DAY-C-H
018900                                 TO TRUE.
019000     MOVE SPACES                 TO MTRF-K2-O32-AR-ACCT.
019100     INITIALIZE                     MTRF-K2-O32-BATCH-SORT.
019200     MOVE MMSM-DBA-NAME          TO MTRF-O32-DBA-NAME.
019300     MOVE MMSM-DATE-OPENED       TO MTRF-O32-DATE-OPENED.
019400     MOVE MMSM-DATE-LAST-STMT    TO MTRF-O32-DATE-LAST-STMT.
019500     MOVE MMSM-DUP-AUTHS-DAY-NBR-C-H
019600                                 TO MTRF-O32-DUP-ALLOWED.
019700     MOVE WS-D360-AUTHS-DUP-NBR-C-H
019800                                 TO MTRF-O32-DUP-ACTUAL.
019900*
020000     IF  MMSM-DUP-AUTHS-DAY-NBR-C-H = ZERO
020100     OR  WS-D360-AUTHS-DUP-NBR-C-H  = ZERO
020200         MOVE SPACES             TO MTRF-RECORD
020300     ELSE
020400         PERFORM R980-WRITE-REPORT-FILE
020500            THRU R989-WRF-EXIT
020600     END-IF.
020700*
020800*
020900*
021000     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
021100     SET  MTRF-K2-O32-KT-STORE   TO TRUE.
021200     MOVE MMSM-STORE             TO MTRF-K2-O32-STORE.
021300     SET  MTRF-K2-O32-H-SALES-DAY-BIN
021400                                 TO TRUE.
021500     MOVE SPACES                 TO MTRF-K2-O32-AR-ACCT.
021600     INITIALIZE                     MTRF-K2-O32-BATCH-SORT.
021700     MOVE MMSM-DBA-NAME          TO MTRF-O32-DBA-NAME.
021800     MOVE MMSM-DATE-OPENED       TO MTRF-O32-DATE-OPENED.
021900     MOVE MMSM-DATE-LAST-STMT    TO MTRF-O32-DATE-LAST-STMT.
022000     MOVE MMSM-DUP-SALES-DAY-NBR-BIN
022100                                 TO MTRF-O32-DUP-ALLOWED.
022200     MOVE WS-D360-SALES-DUP-NBR-BIN
022300                                 TO MTRF-O32-DUP-ACTUAL.
022400*
022500     IF  MMSM-DUP-SALES-DAY-NBR-BIN = ZERO
022600     OR  WS-D360-SALES-DUP-NBR-BIN  = ZERO
022700         MOVE SPACES             TO MTRF-RECORD
022800     ELSE
022900         PERFORM R980-WRITE-REPORT-FILE
023000            THRU R989-WRF-EXIT
023100     END-IF.
023200*
023300*
023400*
023500     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
023600     SET  MTRF-K2-O32-KT-STORE   TO TRUE.
023700     MOVE MMSM-STORE             TO MTRF-K2-O32-STORE.
023800     SET  MTRF-K2-O32-H-AUTHS-DAY-BIN
023900                                 TO TRUE.
024000     MOVE SPACES                 TO MTRF-K2-O32-AR-ACCT.
024100     INITIALIZE                     MTRF-K2-O32-BATCH-SORT.
024200     MOVE MMSM-DBA-NAME          TO MTRF-O32-DBA-NAME.
024300     MOVE MMSM-DATE-OPENED       TO MTRF-O32-DATE-OPENED.
024400     MOVE MMSM-DATE-LAST-STMT    TO MTRF-O32-DATE-LAST-STMT.
024500     MOVE MMSM-DUP-AUTHS-DAY-NBR-BIN
024600                                 TO MTRF-O32-DUP-ALLOWED.
024700     MOVE WS-D360-AUTHS-DUP-NBR-BIN
024800                                 TO MTRF-O32-DUP-ACTUAL.
024900*
025000     IF  MMSM-DUP-AUTHS-DAY-NBR-BIN = ZERO
025100     OR  WS-D360-AUTHS-DUP-NBR-BIN  = ZERO
025200         MOVE SPACES             TO MTRF-RECORD
025300     ELSE
025400         PERFORM R980-WRITE-REPORT-FILE
025500            THRU R989-WRF-EXIT
025600     END-IF.
025700*
025800*
025900*
026000 R329-R32-TOTALS-EXIT.
026100     EXIT.
