000100 R390-REPORT-39 SECTION.
000200 R391-R39-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 39.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R399-R39-EXIT
000900     END-IF.
001000*
001100*
001200*
001300******************************************************************
001400*    DUPLICATE AUTHS BY DAY C-H NUMBER FRAUD CHECK (OVER ONLY)   *
001500******************************************************************
001600*
001700     IF  WS-D360-AUTHS-DUP-NBR-C-H NOT <
001800                                 MMSM-DUP-AUTHS-DAY-NBR-C-H
001900     AND MMSM-DUP-AUTHS-DAY-NBR-C-H > ZERO
002000         MOVE 1                  TO WS-D360-RPT-REC-TYPE
002100         MOVE MMSM-STORE         TO MTRF-K2-O39-STORE
002200         SET  MTRF-K2-O39-KT-STORE
002300                                 TO TRUE
002400         MOVE 81                 TO MTRF-K2-O39-FRAUD-INDEX
002500         SET  MTRF-O39-OVER      TO TRUE
002600         MOVE MMSM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
002700         MOVE MMSM-DATE-LAST-STMT
002800                                 TO MTRF-O39-DATE-LAST-STMT
002900         MOVE ZERO               TO MTRF-O39-FRAUD-TABLE
003000         MOVE ZERO               TO MTRF-O39-AVG-NBR-MONTHS
003100         MOVE WS-D360-AUTHS-DUP-NBR-C-H
003200                                 TO MTRF-O39-ACTUAL-ACTIVITY
003300         MOVE MMSM-DUP-AUTHS-DAY-NBR-C-H
003400                                 TO MTRF-O39-ALLOWED-ACTIVITY
003500         COMPUTE MTRF-O39-VARIANCE ROUNDED
003600                                 =  WS-D360-AUTHS-DUP-NBR-C-H
003700                                 /  MMSM-DUP-AUTHS-DAY-NBR-C-H
003800         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
003900         PERFORM R980-WRITE-REPORT-FILE
004000            THRU R989-WRF-EXIT
004100     END-IF.
004200*
004300*
004400*
004500******************************************************************
004600*    DUPLICATE AUTHS BY DAY C-H AMOUNT FRAUD CHECK (OVER ONLY)   *
004700******************************************************************
004800*
004900     IF  WS-D360-AUTHS-DUP-AMT-C-H NOT <
005000                                 MMSM-DUP-AUTHS-DAY-AMT-C-H
005100     AND MMSM-DUP-AUTHS-DAY-AMT-C-H > ZERO
005200         MOVE 1                  TO WS-D360-RPT-REC-TYPE
005300         MOVE MMSM-STORE         TO MTRF-K2-O39-STORE
005400         SET  MTRF-K2-O39-KT-STORE
005500                                 TO TRUE
005600         MOVE 89                 TO MTRF-K2-O39-FRAUD-INDEX
005700         SET  MTRF-O39-OVER      TO TRUE
005800         MOVE MMSM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
005900         MOVE MMSM-DATE-LAST-STMT
006000                                 TO MTRF-O39-DATE-LAST-STMT
006100         MOVE ZERO               TO MTRF-O39-FRAUD-TABLE
006200         MOVE ZERO               TO MTRF-O39-AVG-NBR-MONTHS
006300         MOVE WS-D360-AUTHS-DUP-AMT-C-H
006400                                 TO MTRF-O39-ACTUAL-ACTIVITY
006500         MOVE MMSM-DUP-AUTHS-DAY-AMT-C-H
006600                                 TO MTRF-O39-ALLOWED-ACTIVITY
006700         COMPUTE MTRF-O39-VARIANCE ROUNDED
006800                                 =  WS-D360-AUTHS-DUP-AMT-C-H
006900                                 /  MMSM-DUP-AUTHS-DAY-AMT-C-H
007000         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
007100         PERFORM R980-WRITE-REPORT-FILE
007200            THRU R989-WRF-EXIT
007300     END-IF.
007400*
007500*
007600*
007700******************************************************************
007800*    DUPLICATE AUTHS BY DAY BIN NUMBER FRAUD CHECK (OVER ONLY)   *
007900******************************************************************
008000*
008100     IF  WS-D360-AUTHS-DUP-NBR-BIN NOT <
008200                                 MMSM-DUP-AUTHS-DAY-NBR-BIN
008300     AND MMSM-DUP-AUTHS-DAY-NBR-BIN > ZERO
008400         MOVE 1                  TO WS-D360-RPT-REC-TYPE
008500         MOVE MMSM-STORE         TO MTRF-K2-O39-STORE
008600         SET  MTRF-K2-O39-KT-STORE
008700                                 TO TRUE
008800         MOVE 82                 TO MTRF-K2-O39-FRAUD-INDEX
008900         SET  MTRF-O39-OVER      TO TRUE
009000         MOVE MMSM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
009100         MOVE MMSM-DATE-LAST-STMT
009200                                 TO MTRF-O39-DATE-LAST-STMT
009300         MOVE ZERO               TO MTRF-O39-FRAUD-TABLE
009400         MOVE ZERO               TO MTRF-O39-AVG-NBR-MONTHS
009500         MOVE WS-D360-AUTHS-DUP-NBR-BIN
009600                                 TO MTRF-O39-ACTUAL-ACTIVITY
009700         MOVE MMSM-DUP-AUTHS-DAY-NBR-BIN
009800                                 TO MTRF-O39-ALLOWED-ACTIVITY
009900         COMPUTE MTRF-O39-VARIANCE ROUNDED
010000                                 =  WS-D360-AUTHS-DUP-NBR-BIN
010100                                 /  MMSM-DUP-AUTHS-DAY-NBR-BIN
010200         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
010300         PERFORM R980-WRITE-REPORT-FILE
010400            THRU R989-WRF-EXIT
010500     END-IF.
010600*
010700*
010800*
010900******************************************************************
011000*    DUPLICATE AUTHS BY DAY BIN AMOUNT FRAUD CHECK (OVER ONLY)   *
011100******************************************************************
011200*
011300     IF  WS-D360-AUTHS-DUP-AMT-BIN NOT <
011400                                 MMSM-DUP-AUTHS-DAY-AMT-BIN
011500     AND MMSM-DUP-AUTHS-DAY-AMT-BIN > ZERO
011600         MOVE 1                  TO WS-D360-RPT-REC-TYPE
011700         MOVE MMSM-STORE         TO MTRF-K2-O39-STORE
011800         SET  MTRF-K2-O39-KT-STORE
011900                                 TO TRUE
012000         MOVE 90                 TO MTRF-K2-O39-FRAUD-INDEX
012100         SET  MTRF-O39-OVER      TO TRUE
012200         MOVE MMSM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
012300         MOVE MMSM-DATE-LAST-STMT
012400                                 TO MTRF-O39-DATE-LAST-STMT
012500         MOVE ZERO               TO MTRF-O39-FRAUD-TABLE
012600         MOVE ZERO               TO MTRF-O39-AVG-NBR-MONTHS
012700         MOVE WS-D360-AUTHS-DUP-AMT-BIN
012800                                 TO MTRF-O39-ACTUAL-ACTIVITY
012900         MOVE MMSM-DUP-AUTHS-DAY-AMT-BIN
013000                                 TO MTRF-O39-ALLOWED-ACTIVITY
013100         COMPUTE MTRF-O39-VARIANCE ROUNDED
013200                                 =  WS-D360-AUTHS-DUP-AMT-BIN
013300                                 /  MMSM-DUP-AUTHS-DAY-AMT-BIN
013400         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
013500         PERFORM R980-WRITE-REPORT-FILE
013600            THRU R989-WRF-EXIT
013700     END-IF.
013800*
013900*
014000*
014100******************************************************************
014200*    VISA DAILY AUTHS BELOW FLOOR LIMIT FRAUD CHECK (OVER ONLY)  *
014300******************************************************************
014400*
014500     IF  WS-D360-VI-AUTHS-BELOW-FLOOR NOT <
014600                                 MMSM-AUTHS-BELOW-FLOOR-VI
014700     AND MMSM-AUTHS-BELOW-FLOOR-VI > ZERO
014800         MOVE 1                  TO WS-D360-RPT-REC-TYPE
014900         MOVE MMSM-STORE         TO MTRF-K2-O39-STORE
015000         SET  MTRF-K2-O39-KT-STORE
015100                                 TO TRUE
015200         MOVE 68                 TO MTRF-K2-O39-FRAUD-INDEX
015300         SET  MTRF-O39-OVER      TO TRUE
015400         MOVE MMSM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
015500         MOVE MMSM-DATE-LAST-STMT
015600                                 TO MTRF-O39-DATE-LAST-STMT
015700         MOVE ZERO               TO MTRF-O39-FRAUD-TABLE
015800         MOVE ZERO               TO MTRF-O39-AVG-NBR-MONTHS
015900         MOVE WS-D360-VI-AUTHS-BELOW-FLOOR
016000                                 TO MTRF-O39-ACTUAL-ACTIVITY
016100         MOVE MMSM-AUTHS-BELOW-FLOOR-VI
016200                                 TO MTRF-O39-ALLOWED-ACTIVITY
016300         COMPUTE MTRF-O39-VARIANCE ROUNDED
016400                                 =  WS-D360-VI-AUTHS-BELOW-FLOOR
016500                                 /  MMSM-AUTHS-BELOW-FLOOR-VI
016600         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
016700         PERFORM R980-WRITE-REPORT-FILE
016800            THRU R989-WRF-EXIT
016900     END-IF.
017000*
017100*
017200*
017300******************************************************************
017400*    M/C DAILY AUTHS BELOW FLOOR LIMIT FRAUD CHECK (OVER ONLY)   *
017500******************************************************************
017600*
017700     IF  WS-D360-MC-AUTHS-BELOW-FLOOR NOT <
017800                                 MMSM-AUTHS-BELOW-FLOOR-MC
017900     AND MMSM-AUTHS-BELOW-FLOOR-MC > ZERO
018000         MOVE 1                  TO WS-D360-RPT-REC-TYPE
018100         MOVE MMSM-STORE         TO MTRF-K2-O39-STORE
018200         SET  MTRF-K2-O39-KT-STORE
018300                                 TO TRUE
018400         MOVE 67                 TO MTRF-K2-O39-FRAUD-INDEX
018500         SET  MTRF-O39-OVER      TO TRUE
018600         MOVE MMSM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
018700         MOVE MMSM-DATE-LAST-STMT
018800                                 TO MTRF-O39-DATE-LAST-STMT
018900         MOVE ZERO               TO MTRF-O39-FRAUD-TABLE
019000         MOVE ZERO               TO MTRF-O39-AVG-NBR-MONTHS
019100         MOVE WS-D360-MC-AUTHS-BELOW-FLOOR
019200                                 TO MTRF-O39-ACTUAL-ACTIVITY
019300         MOVE MMSM-AUTHS-BELOW-FLOOR-MC
019400                                 TO MTRF-O39-ALLOWED-ACTIVITY
019500         COMPUTE MTRF-O39-VARIANCE ROUNDED
019600                                 =  WS-D360-MC-AUTHS-BELOW-FLOOR
019700                                 /  MMSM-AUTHS-BELOW-FLOOR-MC
019800         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
019900         PERFORM R980-WRITE-REPORT-FILE
020000            THRU R989-WRF-EXIT
020100     END-IF.
020200*
020300*
020400*
020500******************************************************************
020600*    P/L DAILY AUTHS BELOW FLOOR LIMIT FRAUD CHECK (OVER ONLY)   *
020700******************************************************************
020800*
020900     IF  WS-D360-PL-AUTHS-BELOW-FLOOR NOT <
021000                                 MMSM-AUTHS-BELOW-FLOOR-PL
021100     AND MMSM-AUTHS-BELOW-FLOOR-PL > ZERO
021200         MOVE 1                  TO WS-D360-RPT-REC-TYPE
021300         MOVE MMSM-STORE         TO MTRF-K2-O39-STORE
021400         SET  MTRF-K2-O39-KT-STORE
021500                                 TO TRUE
021600         MOVE 66                 TO MTRF-K2-O39-FRAUD-INDEX
021700         SET  MTRF-O39-OVER      TO TRUE
021800         MOVE MMSM-DATE-OPENED   TO MTRF-O39-DATE-OPENED
021900         MOVE MMSM-DATE-LAST-STMT
022000                                 TO MTRF-O39-DATE-LAST-STMT
022100         MOVE ZERO               TO MTRF-O39-FRAUD-TABLE
022200         MOVE ZERO               TO MTRF-O39-AVG-NBR-MONTHS
022300         MOVE WS-D360-PL-AUTHS-BELOW-FLOOR
022400                                 TO MTRF-O39-ACTUAL-ACTIVITY
022500         MOVE MMSM-AUTHS-BELOW-FLOOR-PL
022600                                 TO MTRF-O39-ALLOWED-ACTIVITY
022700         COMPUTE MTRF-O39-VARIANCE ROUNDED
022800                                 =  WS-D360-PL-AUTHS-BELOW-FLOOR
022900                                 /  MMSM-AUTHS-BELOW-FLOOR-PL
023000         MOVE ZERO               TO MTRF-O39-FP-VARIANCE
023100         PERFORM R980-WRITE-REPORT-FILE
023200            THRU R989-WRF-EXIT
023300     END-IF.
023400*
023500*
023600*
023700 R399-R39-EXIT.
023800     EXIT.
