000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*            MBDQ01R  ----- EXTRACT AND MAINT DIRECTORY         *
000600*                           REDEFINITION SCREEN 01              *
000700*                                                               *
000800*****************************************************************
000900*
001000*
001100 01  DQ01-MAP-01   REDEFINES MBDQ01I.
001200     03  FILLER              PIC  X(12).
001300*
001400     03  DQ01-TRANID-L       PIC S9(04)      BINARY.
001500     03  DQ01-TRANID-A       PIC  X(01).
001600     03  DQ01-TRANID         PIC  X(04).
001700*
001800     03  DQ01-ALT-TRAN-LP-L  PIC S9(04)      BINARY.
001900     03  DQ01-ALT-TRAN-LP-A  PIC  X(01).
002000     03  DQ01-ALT-TRAN-LP    PIC  X(01).
002100*
002200     03  DQ01-ALT-TRANID-L   PIC S9(04)      BINARY.
002300     03  DQ01-ALT-TRANID-A   PIC  X(01).
002400     03  DQ01-ALT-TRANID     PIC  X(04).
002500*
002600     03  DQ01-ALT-TRAN-RP-L  PIC S9(04)      BINARY.
002700     03  DQ01-ALT-TRAN-RP-A  PIC  X(01).
002800     03  DQ01-ALT-TRAN-RP    PIC  X(01).
002900*
003000     03  DQ01-SYSTEM-TITLE-L PIC S9(04)      BINARY.
003100     03  DQ01-SYSTEM-TITLE-A PIC  X(01).
003200     03  DQ01-SYSTEM-TITLE   PIC  X(30).
003300*
003400     03  DQ01-PAGE-LIT-L     PIC S9(04)      BINARY.
003500     03  DQ01-PAGE-LIT-A     PIC  X(01).
003600     03  DQ01-PAGE-LIT       PIC  X(04).
003700*
003800     03  DQ01-CURRENT-PAGE-L PIC S9(04)      BINARY.
003900     03  DQ01-CURRENT-PAGE-A PIC  X(01).
004000     03  DQ01-CURRENT-PAGE   PIC  9(02).
004100*
004200     03  DQ01-FILLER-L       PIC S9(04)      BINARY.
004300     03  DQ01-FILLER-A       PIC  X(01).
004400     03  DQ01-FILLER         PIC  X(03).
004500*
004600     03  DQ01-DATE-L         PIC S9(04)      BINARY.
004700     03  DQ01-DATE-A         PIC  X(01).
004800     03  DQ01-DATE           PIC  X(10).
004900*
005000     03  DQ01-MENU-DESC-L    PIC S9(04)      BINARY.
005100     03  DQ01-MENU-DESC-A    PIC  X(01).
005200     03  DQ01-MENU-DESC      PIC  X(40).
005300*
005400     03  DQ01-TIME-L         PIC S9(04)      BINARY.
005500     03  DQ01-TIME-A         PIC  X(01).
005600     03  DQ01-TIME           PIC  X(08).
005700*
005800     03  DQ01-ORG-LIT-L      PIC S9(04)      BINARY.
005900     03  DQ01-ORG-LIT-A      PIC  X(01).
006000     03  DQ01-ORG-LIT        PIC  X(16).
006100*
006200     03  DQ01-ORG-L          PIC S9(04)      BINARY.
006300     03  DQ01-ORG-A          PIC  X(01).
006400     03  DQ01-ORG            PIC  9(03).
006500*
006600     03  DQ01-REQUEST-LIT-L  PIC S9(04)      BINARY.
006700     03  DQ01-REQUEST-LIT-A  PIC  X(01).
006800     03  DQ01-REQUEST-LIT    PIC  X(13).
006900*
007000     03  DQ01-REQUEST-L      PIC S9(04)      BINARY.
007100     03  DQ01-REQUEST-A      PIC  X(01).
007200     03  DQ01-REQUEST        PIC  9(05).
007300*
007400     03  DQ01-LIT-LINE-1-L   PIC S9(04)      BINARY.
007500     03  DQ01-LIT-LINE-1-A   PIC  X(01).
007600     03  DQ01-LIT-LINE-1     PIC  X(09).
007700*
007800     03  DQ01-LIT-LINE-2-L   PIC S9(04)      BINARY.
007900     03  DQ01-LIT-LINE-2-A   PIC  X(01).
008000     03  DQ01-LIT-LINE-2     PIC  X(76).
008100*
008200     03  DQ01-LIT-LINE-3-L   PIC S9(04)      BINARY.
008300     03  DQ01-LIT-LINE-3-A   PIC  X(01).
008400     03  DQ01-LIT-LINE-3     PIC  X(76).
008500*
008600     03  DQ01-EXTRACT-DIRECTORY-AREA         OCCURS 15 TIMES
008700                                             INDEXED BY
008800                                             X-DQ01-REQ-INDEX.
008900*
009000         05  DQ01-FWD-BACK-IND-L
009100                             PIC S9(04)      BINARY.
009200         05  DQ01-FWD-BACK-IND-A
009300                             PIC  X(01).
009400         05  DQ01-FWD-BACK-IND
009500                             PIC  X(01).
009600*
009700         05  DQ01-SELECT-LP-L
009800                             PIC S9(04)      BINARY.
009900         05  DQ01-SELECT-LP-A
010000                             PIC  X(01).
010100         05  DQ01-SELECT-LP  PIC  X(01).
010200*
010300         05  DQ01-SELECT-L   PIC S9(04)      BINARY.
010400         05  DQ01-SELECT-A   PIC  X(01).
010500         05  DQ01-SELECT     PIC  X(01).
010600             88  DQ01-VALID-SELECT           VALUE 'Q' 'M' ' '.
010700             88  DQ01-VALID-SPACE            VALUE ' '.
010800             88  DQ01-VALID-INQUIRY          VALUE 'Q'.
010900             88  DQ01-VALID-MAINT            VALUE 'M'.
011000             88  DQ01-VALID-INQUIRY-MAINT    VALUE 'Q' 'M'.
011100*
011200         05  DQ01-SELECT-RP-L
011300                             PIC S9(04)      BINARY.
011400         05  DQ01-SELECT-RP-A
011500                             PIC  X(01).
011600         05  DQ01-SELECT-RP  PIC  X(01).
011700*
011800         05  DQ01-DIRECTORY-LINE-L
011900                             PIC S9(04)      BINARY.
012000         05  DQ01-DIRECTORY-LINE-A
012100                             PIC  X(01).
012200         05  DQ01-DIRECTORY-LINE
012300                             PIC  X(70).
012400*
012500     03  DQ01-ERR-MESSAGE-L  PIC S9(04)      BINARY.
012600     03  DQ01-ERR-MESSAGE-A  PIC  X(01).
012700     03  DQ01-ERR-MESSAGE    PIC  X(60).
012800*
012900     03  DQ01-PF-KEYS-L      PIC S9(04)      BINARY.
013000     03  DQ01-PF-KEYS-A      PIC  X(01).
013100     03  DQ01-PF-KEYS        PIC  X(79).
013200*
013300*       ***************************************************
013400*       *              END OF COPYBOOK MBDQ01R            *
013500*       ***************************************************
