000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MBEMWS ---------- STANDARD ERROR MESSAGES -----------------  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MBEMSS08WS-ERROR-MESSAGES.
001000*
001100     03  MBEMWS-NOT-OPEN     PIC  X(60)      VALUE
001200         'FILE IS NOT OPEN'.
001300*
001400     03  MBEMWS-DISABLED     PIC  X(60)      VALUE
001500         'FILE IS DISABLED'.
001600*
001700     03  MBEMWS-NOT-ON-FILE
001800                             PIC  X(60)      VALUE
001900         'RECORD NOT ON FILE'.
002000*
002100     03  MBEMWS-ALREADY-ON-FILE
002200                             PIC  X(60)      VALUE
002300         'RECORD ALREADY ON FILE'.
002400*
002500     03  MBEMWS-ADD-PENDING  PIC  X(60)      VALUE
002600         'RECORD IS IN AN ADD PENDING STATE'.
002700*
002800     03  MBEMWS-NOT-ACTIVE
002900                             PIC  X(60)      VALUE
003000         'RECORD IS NOT ACTIVE'.
003100*
003200     03  MBEMWS-INVALID-ORG  PIC  X(60)      VALUE
003300         'INVALID ORG NUMBER'.
003400*
003500     03  MBEMWS-INVALID-PROFILE
003600                             PIC  X(60)      VALUE
003700         'INVALID PROFILE'.
003800*
003900     03  MBEMWS-INVALID-CHAIN
004000                             PIC  X(60)      VALUE
004100         'INVALID CHAIN NUMBER'.
004200*
004300     03  MBEMWS-INVALID-INSERT-NBR
004400                             PIC  X(60)      VALUE
004500         'INVALID INSERT NUMBER'.
004600*
004700     03  MBEMWS-INVALID-TABLE
004800                             PIC  X(60)      VALUE
004900         'INVALID TABLE NUMBER'.
005000*
005100     03  MBEMWS-INVALID-MERCHANT
005200                             PIC  X(60)      VALUE
005300         'INVALID MERCHANT NUMBER'.
005400*
005500     03  MBEMWS-INVALID-GROUP
005600                             PIC  X(60)      VALUE
005700         'INVALID GROUP NUMBER'.
005800*
005900     03  MBEMWS-INVALID-PROD PIC  X(60)      VALUE
006000         'INVALID PROD NUMBER'.
006100*
006200     03  MBEMWS-INVALID-ADDR-CONTROL
006300                             PIC  X(60)      VALUE
006400         'INVALID ADDRESS CONTROL'.
006500*
006600     03  MBEMWS-NOT-ON-MERCHANT-MASTER
006700                             PIC  X(60)      VALUE
006800         'RECORD NOT FOUND OR NOT ACTIVE ON MERCHANT MASTER'.
006900*
007000     03  MBEMWS-FIELD-SECURITY-NOTFND.
007100         05  FILLER          PIC  X(24)      VALUE
007200             'FIELD SECURITY PROFILE ('.
007300         05  MBEMWS-FS-PROFILE
007400                             PIC  X(01)      VALUE SPACE.
007500         05  FILLER          PIC  X(25)      VALUE
007600             ') INACTIVE OR NOT ON FILE'.
007700*
007800     03  MBEMWS-GROUP-NOT-DEFINED
007900                             PIC  X(60)      VALUE
008000         'THIS GROUP IS NOT DEFINED IN THIS CHAIN'.
008100*
008200     03  MBEMWS-NO-MEMBERS
008300                             PIC  X(60)      VALUE
008400         'NO MERCHANTS ARE CURRENTLY ASSIGNED TO THIS GROUP'.
008500*
008600     03  MBEMWS-INVALID-MC-FLAG
008700                             PIC  X(60)      VALUE
008800         'INVALID CHAIN \ MERCHANT FLAG                    '.
008900*
009000     03  MBEMWS-INVALID-PS-FLAG
009100                             PIC  X(60)      VALUE
009200         'INVALID PRIMARY \ SECONDARY FLAG                 '.
009300*
009400     03  MBEMWS-INVALID-NAME PIC  X(60)      VALUE
009500         'INVALID NAME FOR SEARCH                          '.
009600*
009700     03  MBEMWS-INVALID-TYPE
009800                             PIC  X(60)      VALUE
009900         'VALID VALUES FOR TYPE MUST BE  D,P,R, OR V       '.
010000*
010100     03  MBEMWS-INVALID-CARD-PROD
010200                             PIC  X(60)      VALUE
010300         'CARD PRODUCT NOT DEFINED ON THE ORG RECORD       '.
010400*
010500     03  MBEMWS-INVALID-STORE
010600                             PIC  X(60)      VALUE
010700         'INVALID STORE NUMBER'.
010800*
010900     03  MBEMWS-INVALID-PLAN
011000                             PIC  X(60)      VALUE
011100         'INVALID PLAN NUMBER'.
011200*
011300     03  MBEMWS-INVALID-QUAL-LVL
011400                             PIC  X(60)      VALUE
011500         'INVALID QUALIFYING LEVEL NUMBER'.
011600*
011700     03  MBEMWS-SINGLE-STORE-REC
011800                             PIC  X(60)      VALUE
011900         'SINGLE STORE USE MBMM SCREEN 12  MERCHANT = XXXXXXXXX'.
012000*
012100     03  MBEMWS-TRANS-IN-USE
012200                             PIC  X(60)      VALUE
012300         'TRANSACTION CODE ALREADY IN USE'.
012400*
012500     03  MBEMWS-DUP-TRANS-CODE
012600                             PIC  X(60)      VALUE
012700         'DUPLICATE TRANSACTION CODE     '.
012800*
012900     03  MBEMWS-INV-TRANS-CODE
013000                             PIC  X(60)      VALUE
013100         'INVALID TRANSACTION CODE       '.
013200*
013300     03  MBEMWS-NOT-ON-STORE-MASTER
013400                             PIC  X(60)      VALUE
013500         'RECORD NOT FOUND OR NOT ACTIVE ON STORE MASTER'.
013600*
013700     03  MBEMWS-INVALID-STORE-MERCHANT
013800                             PIC  X(60)      VALUE
013900         'INVALID STORE/MERCHANT NUMBER'.
014000*
014100     03  MBEMWS-INVALID-S-M  PIC  X(60)      VALUE
014200         'INVALID S/M IDENTIFIER'.
014300*
014400     03  MBEMWS-SINGLE-STORE-COPY
014500                             PIC  X(60)      VALUE
014600         'CAN NOT COPY A SINGLE STORE RECORD'.
014700*
014800     03  MBEMWS-INVALID-MSC-FLAG
014900                             PIC  X(60)      VALUE
015000         'INVALID STORE \ MERCHANT \ CHAIN  FLAG           '.
015100*
015200     03  MBEMWS-INVALID-MERCH-CHAIN-IND
015300                             PIC  X(60)      VALUE
015400         'INVALID MERCHANT\CHAIN INDICATOR                 '.
015500*
015600     03  MBEMWS-INQ-ALREADY-ON-FILE
015700                             PIC  X(60)      VALUE
015800         'INQUIRY RECORD ALREADY ON FILE'.
015900*
016000     03  MBEMWS-ADD-ALREADY-ON-FILE
016100                             PIC  X(60)      VALUE
016200         'ADD RECORD ALREADY ON FILE'.
016300*
016400     03  MBEMWS-INVALID-REQUEST-NBR
016500                             PIC  X(60)      VALUE
016600         'INVALID REQUEST NUMBER    '.
016700*
016800     03  MBEMWS-BAD-REC-STATUS
016900                             PIC  X(60)      VALUE
017000         'RECORD STATUS DOES NOT CORRESPOND TO THIS TRANSID'.
017100*
017200     03  MBEMWS-SINGLE-STORE
017300                             PIC  X(60)      VALUE
017400         'CAN NOT UPDATE A SINGLE STORE RECORD'.
017500*
017600     03  MBEMWS-MERCH-NOT-ACTIVE
017700                             PIC  X(60)      VALUE
017800         'MERCHANT RECORD IS NOT ACTIVE'.
017900*
018000     03  MBEMWS-REC-PURGED   PIC  X(60)      VALUE
018100         'RECORD IS IN A PURGED STATUS'.
018200*
018300     03  MBEMWS-MERCH-NOT-ACTIVE-CLOSED
018400                             PIC  X(60)      VALUE
018500         'MERCHANT RECORD IS NOT ACTIVE OR CLOSED'.
018600     03  MBEMWS-INVALID-STATUS
018700                             PIC  X(60)      VALUE
018800         'RECORD STATUS IS NOT INACTIVE OR PURGED'.
