000100*****************************************************************
000200*                                                               *
000300*                 M E R C H A N T    S Y S T E M                *
000400*                                                               *
000500*     MBMV03R  - INVENTORY RECORD REDEFINITION SCREEN 03        *
000600*                                                               *
000700*****************************************************************
000800*
000900*
001000 01  MV03-INVENTORY-MAP      REDEFINES MBMV03I.
001100     03  FILLER              PIC  X(12).
001200*
001300     03  MV03-TRANID-L       PIC S9(04)      BINARY.
001400     03  MV03-TRANID-A       PIC  X(01).
001500     03  MV03-TRANID         PIC  X(04).
001600*
001700     03  MV03-ALT-TRAN-LP-L  PIC S9(04)      BINARY.
001800     03  MV03-ALT-TRAN-LP-A  PIC  X(01).
001900     03  MV03-ALT-TRAN-LP    PIC  X(01).
002000*
002100     03  MV03-ALT-TRANID-L   PIC S9(04)      BINARY.
002200     03  MV03-ALT-TRANID-A   PIC  X(01).
002300     03  MV03-ALT-TRANID     PIC  X(04).
002400*
002500     03  MV03-ALT-TRAN-RP-L  PIC S9(04)      BINARY.
002600     03  MV03-ALT-TRAN-RP-A  PIC  X(01).
002700     03  MV03-ALT-TRAN-RP    PIC  X(01).
002800*
002900     03  MV03-SYSTEM-TITLE-L PIC S9(04)      BINARY.
003000     03  MV03-SYSTEM-TITLE-A PIC  X(01).
003100     03  MV03-SYSTEM-TITLE   PIC  X(30).
003200*
003300     03  MV03-PAGE-LIT-L     PIC S9(04)      BINARY.
003400     03  MV03-PAGE-LIT-A     PIC  X(01).
003500     03  MV03-PAGE-LIT       PIC  X(04).
003600*
003700     03  MV03-CURRENT-PAGE-L PIC S9(04)      BINARY.
003800     03  MV03-CURRENT-PAGE-A PIC  X(01).
003900     03  MV03-CURRENT-PAGE   PIC  9(02).
004000*
004100     03  MV03-FILLER-L       PIC S9(04)      BINARY.
004200     03  MV03-FILLER-A       PIC  X(01).
004300     03  MV03-FILLER         PIC  X(03).
004400*
004500     03  MV03-DATE-L         PIC S9(04)      BINARY.
004600     03  MV03-DATE-A         PIC  X(01).
004700     03  MV03-DATE           PIC  X(10).
004800*
004900     03  MV03-SCREEN-DESC-L  PIC S9(04)      BINARY.
005000     03  MV03-SCREEN-DESC-A  PIC  X(01).
005100     03  MV03-SCREEN-DESC    PIC  X(40).
005200*
005300     03  MV03-TIME-L         PIC S9(04)      BINARY.
005400     03  MV03-TIME-A         PIC  X(01).
005500     03  MV03-TIME           PIC  X(08).
005600*
005700     03  MV03-ORG-LIT-L      PIC S9(04)      BINARY.
005800     03  MV03-ORG-LIT-A      PIC  X(01).
005900     03  MV03-ORG-LIT        PIC  X(03).
006000*
006100     03  MV03-ORG-L          PIC S9(04)      BINARY.
006200     03  MV03-ORG-A          PIC  X(01).
006300     03  MV03-ORG            PIC  9(03).
006400*
006500     03  MV03-MERCHANT-LIT-L PIC S9(04)      BINARY.
006600     03  MV03-MERCHANT-LIT-A PIC  X(01).
006700     03  MV03-MERCHANT-LIT   PIC  X(08).
006800*
006900     03  MV03-MERCHANT-L     PIC S9(04)      BINARY.
007000     03  MV03-MERCHANT-A     PIC  X(01).
007100     03  MV03-MERCHANT       PIC  9(09).
007200*
007300     03  MV03-NAME-L         PIC S9(04)      BINARY.
007400     03  MV03-NAME-A         PIC  X(01).
007500     03  MV03-NAME           PIC  X(40).
007600*
007700     03  MV03-INVENTORY-ITEMS.
007800*
007900         05  MV03-INVENTORY-ITEM             OCCURS 3 TIMES
008000                                             INDEXED BY
008100                                             X-MV03-INVENTORY.
008200*
008300             07  MV03-ITEM-CODE-LIT-L
008400                             PIC S9(04)      BINARY.
008500             07  MV03-ITEM-CODE-LIT-A
008600                             PIC  X(01).
008700             07  MV03-ITEM-CODE-LIT
008800                             PIC  X(06).
008900*
009000             07  MV03-ITEM-CODE-LP-L
009100                             PIC S9(04)      BINARY.
009200             07  MV03-ITEM-CODE-LP-A
009300                             PIC  X(01).
009400             07  MV03-ITEM-CODE-LP
009500                             PIC  X(01).
009600*
009700             07  MV03-ITEM-CODE-L
009800                             PIC S9(04)      BINARY.
009900             07  MV03-ITEM-CODE-A
010000                             PIC  X(01).
010100             07  MV03-ITEM-CODE
010200                             PIC  X(15).
010300*
010400             07  MV03-ITEM-CODE-RP-L
010500                             PIC S9(04)      BINARY.
010600             07  MV03-ITEM-CODE-RP-A
010700                             PIC  X(01).
010800             07  MV03-ITEM-CODE-RP
010900                             PIC  X(01).
011000*
011100             07  MV03-ITEM-DESC-LIT-L
011200                             PIC S9(04)      BINARY.
011300             07  MV03-ITEM-DESC-LIT-A
011400                             PIC  X(01).
011500             07  MV03-ITEM-DESC-LIT
011600                             PIC  X(13).
011700*
011800             07  MV03-ITEM-DESC-LP-L
011900                             PIC S9(04)      BINARY.
012000             07  MV03-ITEM-DESC-LP-A
012100                             PIC  X(01).
012200             07  MV03-ITEM-DESC-LP
012300                             PIC  X(01).
012400*
012500             07  MV03-ITEM-DESC-L
012600                             PIC S9(04)      BINARY.
012700             07  MV03-ITEM-DESC-A
012800                             PIC  X(01).
012900             07  MV03-ITEM-DESC
013000                             PIC  X(30).
013100*
013200             07  MV03-ITEM-DESC-RP-L
013300                             PIC S9(04)      BINARY.
013400             07  MV03-ITEM-DESC-RP-A
013500                             PIC  X(01).
013600             07  MV03-ITEM-DESC-RP
013700                             PIC  X(01).
013800*
013900             07  MV03-QTY-ON-HAND-LIT-L
014000                             PIC S9(04)      BINARY.
014100             07  MV03-QTY-ON-HAND-LIT-A
014200                             PIC  X(01).
014300             07  MV03-QTY-ON-HAND-LIT
014400                             PIC  X(14).
014500*
014600             07  MV03-QTY-ON-HAND-LP-L
014700                             PIC S9(04)      BINARY.
014800             07  MV03-QTY-ON-HAND-LP-A
014900                             PIC  X(01).
015000             07  MV03-QTY-ON-HAND-LP
015100                             PIC  X(01).
015200*
015300             07  MV03-QTY-ON-HAND-L
015400                             PIC S9(04)      BINARY.
015500             07  MV03-QTY-ON-HAND-A
015600                             PIC  X(01).
015700             07  MV03-QTY-ON-HAND
015800                             PIC  9(07).
015900*
016000             07  MV03-QTY-ON-HAND-RP-L
016100                             PIC S9(04)      BINARY.
016200             07  MV03-QTY-ON-HAND-RP-A
016300                             PIC  X(01).
016400             07  MV03-QTY-ON-HAND-RP
016500                             PIC  X(01).
016600*
016700             07  MV03-BUNDLE-AMT-LIT-L
016800                             PIC S9(04)      BINARY.
016900             07  MV03-BUNDLE-AMT-LIT-A
017000                             PIC  X(01).
017100             07  MV03-BUNDLE-AMT-LIT
017200                             PIC  X(13).
017300*
017400             07  MV03-BUNDLE-AMT-LP-L
017500                             PIC S9(04)      BINARY.
017600             07  MV03-BUNDLE-AMT-LP-A
017700                             PIC  X(01).
017800             07  MV03-BUNDLE-AMT-LP
017900                             PIC  X(01).
018000*
018100             07  MV03-BUNDLE-AMT-L
018200                             PIC S9(04)      BINARY.
018300             07  MV03-BUNDLE-AMT-A
018400                             PIC  X(01).
018500             07  MV03-BUNDLE-AMT
018600                             PIC  9(17).
018700*
018800             07  MV03-BUNDLE-AMT-RP-L
018900                             PIC S9(04)      BINARY.
019000             07  MV03-BUNDLE-AMT-RP-A
019100                             PIC  X(01).
019200             07  MV03-BUNDLE-AMT-RP
019300                             PIC  X(01).
019400*
019500             07  MV03-NORM-SHIPMENT-FREQ-LIT-L
019600                             PIC S9(04)      BINARY.
019700             07  MV03-NORM-SHIPMENT-FREQ-LIT-A
019800                             PIC  X(01).
019900             07  MV03-NORM-SHIPMENT-FREQ-LIT
020000                             PIC  X(14).
020100*
020200             07  MV03-NORM-SHIPMENT-FREQ-LP-L
020300                             PIC S9(04)      BINARY.
020400             07  MV03-NORM-SHIPMENT-FREQ-LP-A
020500                             PIC  X(01).
020600             07  MV03-NORM-SHIPMENT-FREQ-LP
020700                             PIC  X(01).
020800*
020900             07  MV03-NORM-SHIPMENT-FREQ-L
021000                             PIC S9(04)      BINARY.
021100             07  MV03-NORM-SHIPMENT-FREQ-A
021200                             PIC  X(01).
021300             07  MV03-NORM-SHIPMENT-FREQ
021400                             PIC  9(02).
021500                 88  MV03-NORM-SHIPMENT-FREQ-MANUAL
021600                                             VALUE 99.
021700*
021800             07  MV03-NORM-SHIPMENT-FREQ-RP-L
021900                             PIC S9(04)      BINARY.
022000             07  MV03-NORM-SHIPMENT-FREQ-RP-A
022100                             PIC  X(01).
022200             07  MV03-NORM-SHIPMENT-FREQ-RP
022300                             PIC  X(01).
022400*
022500             07  MV03-NORM-SHIPMENT-QTY-LIT-L
022600                             PIC S9(04)      BINARY.
022700             07  MV03-NORM-SHIPMENT-QTY-LIT-A
022800                             PIC  X(01).
022900             07  MV03-NORM-SHIPMENT-QTY-LIT
023000                             PIC  X(13).
023100*
023200             07  MV03-NORM-SHIPMENT-QTY-LP-L
023300                             PIC S9(04)      BINARY.
023400             07  MV03-NORM-SHIPMENT-QTY-LP-A
023500                             PIC  X(01).
023600             07  MV03-NORM-SHIPMENT-QTY-LP
023700                             PIC  X(01).
023800*
023900             07  MV03-NORM-SHIPMENT-QTY-L
024000                             PIC S9(04)      BINARY.
024100             07  MV03-NORM-SHIPMENT-QTY-A
024200                             PIC  X(01).
024300             07  MV03-NORM-SHIPMENT-QTY
024400                             PIC  9(07).
024500*
024600             07  MV03-NORM-SHIPMENT-QTY-RP-L
024700                             PIC S9(04)      BINARY.
024800             07  MV03-NORM-SHIPMENT-QTY-RP-A
024900                             PIC  X(01).
025000             07  MV03-NORM-SHIPMENT-QTY-RP
025100                             PIC  X(01).
025200*
025300             07  MV03-BUNDLE-QTY-LIT-L
025400                             PIC S9(04)      BINARY.
025500             07  MV03-BUNDLE-QTY-LIT-A
025600                             PIC  X(01).
025700             07  MV03-BUNDLE-QTY-LIT
025800                             PIC  X(10).
025900*
026000             07  MV03-BUNDLE-QTY-LP-L
026100                             PIC S9(04)      BINARY.
026200             07  MV03-BUNDLE-QTY-LP-A
026300                             PIC  X(01).
026400             07  MV03-BUNDLE-QTY-LP
026500                             PIC  X(01).
026600*
026700             07  MV03-BUNDLE-QTY-L
026800                             PIC S9(04)      BINARY.
026900             07  MV03-BUNDLE-QTY-A
027000                             PIC  X(01).
027100             07  MV03-BUNDLE-QTY
027200                             PIC  9(07).
027300*
027400             07  MV03-BUNDLE-QTY-RP-L
027500                             PIC S9(04)      BINARY.
027600             07  MV03-BUNDLE-QTY-RP-A
027700                             PIC  X(01).
027800             07  MV03-BUNDLE-QTY-RP
027900                             PIC  X(01).
028000*
028100             07  MV03-LAST-SHIPMENT-DATE-LIT-L
028200                             PIC S9(04)      BINARY.
028300             07  MV03-LAST-SHIPMENT-DATE-LIT-A
028400                             PIC  X(01).
028500             07  MV03-LAST-SHIPMENT-DATE-LIT
028600                             PIC  X(14).
028700*
028800             07  MV03-LAST-SHIPMENT-DATE-L
028900                             PIC S9(04)      BINARY.
029000             07  MV03-LAST-SHIPMENT-DATE-A
029100                             PIC  X(01).
029200             07  MV03-LAST-SHIPMENT-DATE
029300                             PIC  9(08).
029400*
029500             07  MV03-LAST-SHIPMENT-QTY-LIT-L
029600                             PIC S9(04)      BINARY.
029700             07  MV03-LAST-SHIPMENT-QTY-LIT-A
029800                             PIC  X(01).
029900             07  MV03-LAST-SHIPMENT-QTY-LIT
030000                             PIC  X(13).
030100*
030200             07  MV03-LAST-SHIPMENT-QTY-L
030300                             PIC S9(04)      BINARY.
030400             07  MV03-LAST-SHIPMENT-QTY-A
030500                             PIC  X(01).
030600             07  MV03-LAST-SHIPMENT-QTY
030700                             PIC  9(07).
030800*
030900             07  MV03-LAST-SHIPMENT-OPER-LIT-L
031000                             PIC S9(04)      BINARY.
031100             07  MV03-LAST-SHIPMENT-OPER-LIT-A
031200                             PIC  X(01).
031300             07  MV03-LAST-SHIPMENT-OPER-LIT
031400                             PIC  X(10).
031500*
031600             07  MV03-LAST-SHIPMENT-OPER-L
031700                             PIC S9(04)      BINARY.
031800             07  MV03-LAST-SHIPMENT-OPER-A
031900                             PIC  X(01).
032000             07  MV03-LAST-SHIPMENT-OPER
032100                             PIC  X(03).
032200*
032300             07  MV03-NEXT-SHIPMENT-DATE-LIT-L
032400                             PIC S9(04)      BINARY.
032500             07  MV03-NEXT-SHIPMENT-DATE-LIT-A
032600                             PIC  X(01).
032700             07  MV03-NEXT-SHIPMENT-DATE-LIT
032800                             PIC  X(14).
032900*
033000             07  MV03-NEXT-SHIPMENT-DATE-LP-L
033100                             PIC S9(04)      BINARY.
033200             07  MV03-NEXT-SHIPMENT-DATE-LP-A
033300                             PIC  X(01).
033400             07  MV03-NEXT-SHIPMENT-DATE-LP
033500                             PIC  X(01).
033600*
033700             07  MV03-NEXT-SHIPMENT-DATE-L
033800                             PIC S9(04)      BINARY.
033900             07  MV03-NEXT-SHIPMENT-DATE-A
034000                             PIC  X(01).
034100             07  MV03-NEXT-SHIPMENT-DATE
034200                             PIC  9(08).
034300*
034400             07  MV03-NEXT-SHIPMENT-DATE-RP-L
034500                             PIC S9(04)      BINARY.
034600             07  MV03-NEXT-SHIPMENT-DATE-RP-A
034700                             PIC  X(01).
034800             07  MV03-NEXT-SHIPMENT-DATE-RP
034900                             PIC  X(01).
035000*
035100             07  MV03-NEXT-SHIPMENT-QTY-LIT-L
035200                             PIC S9(04)      BINARY.
035300             07  MV03-NEXT-SHIPMENT-QTY-LIT-A
035400                             PIC  X(01).
035500             07  MV03-NEXT-SHIPMENT-QTY-LIT
035600                             PIC  X(13).
035700*
035800             07  MV03-NEXT-SHIPMENT-QTY-LP-L
035900                             PIC S9(04)      BINARY.
036000             07  MV03-NEXT-SHIPMENT-QTY-LP-A
036100                             PIC  X(01).
036200             07  MV03-NEXT-SHIPMENT-QTY-LP
036300                             PIC  X(01).
036400*
036500             07  MV03-NEXT-SHIPMENT-QTY-L
036600                             PIC S9(04)      BINARY.
036700             07  MV03-NEXT-SHIPMENT-QTY-A
036800                             PIC  X(01).
036900             07  MV03-NEXT-SHIPMENT-QTY
037000                             PIC  9(07).
037100*
037200             07  MV03-NEXT-SHIPMENT-QTY-RP-L
037300                             PIC S9(04)      BINARY.
037400             07  MV03-NEXT-SHIPMENT-QTY-RP-A
037500                             PIC  X(01).
037600             07  MV03-NEXT-SHIPMENT-QTY-RP
037700                             PIC  X(01).
037800*
037900             07  MV03-NEXT-SHIPMENT-OPER-LIT-L
038000                             PIC S9(04)      BINARY.
038100             07  MV03-NEXT-SHIPMENT-OPER-LIT-A
038200                             PIC  X(01).
038300             07  MV03-NEXT-SHIPMENT-OPER-LIT
038400                             PIC  X(10).
038500*
038600             07  MV03-NEXT-SHIPMENT-OPER-L
038700                             PIC S9(04)      BINARY.
038800             07  MV03-NEXT-SHIPMENT-OPER-A
038900                             PIC  X(01).
039000             07  MV03-NEXT-SHIPMENT-OPER
039100                             PIC  X(03).
039200*
039300     03  MV03-ERROR-MESSAGE-L
039400                             PIC S9(04)      BINARY.
039500     03  MV03-ERROR-MESSAGE-A
039600                             PIC  X(01).
039700     03  MV03-ERROR-MESSAGE  PIC  X(76).
039800*
039900     03  MV03-PF-KEYS-L      PIC S9(04)      BINARY.
040000     03  MV03-PF-KEYS-A      PIC  X(01).
040100     03  MV03-PF-KEYS        PIC  X(79).
040200*
040300*       ***************************************************
040400*       *              END OF COPYBOOK MBMV02R            *
040500*       ***************************************************
