000100*****************************************************************
000200*                                                               *
000300*                                                               *
000400*                 M E R C H A N T    S Y S T E M                *
000500*                                                               *
000600*            MBRC01R  ----- MERCHANT CHAIN DIRECTORY            *
000700*                           REDEFINITION SCREEN 01              *
000800*                                                               *
000900*****************************************************************
001000*
001100*
001200 01  RC01-DIRECTORY-MAP-01   REDEFINES MBRC01I.
001300     03  FILLER              PIC  X(12).
001400*
001500     03  RC01-TRANID-L       PIC S9(04)      BINARY.
001600     03  RC01-TRANID-A       PIC  X(01).
001700     03  RC01-TRANID         PIC  X(04).
001800*
001900     03  RC01-ALT-TRAN-LP-L  PIC S9(04)      BINARY.
002000     03  RC01-ALT-TRAN-LP-A  PIC  X(01).
002100     03  RC01-ALT-TRAN-LP    PIC  X(01).
002200*
002300     03  RC01-ALT-TRANID-L   PIC S9(04)      BINARY.
002400     03  RC01-ALT-TRANID-A   PIC  X(01).
002500     03  RC01-ALT-TRANID     PIC  X(04).
002600*
002700     03  RC01-ALT-TRAN-RP-L  PIC S9(04)      BINARY.
002800     03  RC01-ALT-TRAN-RP-A  PIC  X(01).
002900     03  RC01-ALT-TRAN-RP    PIC  X(01).
003000*
003100     03  RC01-SYSTEM-TITLE-L PIC S9(04)      BINARY.
003200     03  RC01-SYSTEM-TITLE-A PIC  X(01).
003300     03  RC01-SYSTEM-TITLE   PIC  X(30).
003400*
003500     03  RC01-PAGE-LIT-L     PIC S9(04)      BINARY.
003600     03  RC01-PAGE-LIT-A     PIC  X(01).
003700     03  RC01-PAGE-LIT       PIC  X(04).
003800*
003900     03  RC01-CURRENT-PAGE-L PIC S9(04)      BINARY.
004000     03  RC01-CURRENT-PAGE-A PIC  X(01).
004100     03  RC01-CURRENT-PAGE   PIC  9(02).
004200*
004300     03  RC01-FILLER-L       PIC S9(04)      BINARY.
004400     03  RC01-FILLER-A       PIC  X(01).
004500     03  RC01-FILLER         PIC  X(03).
004600*
004700     03  RC01-DATE-L         PIC S9(04)      BINARY.
004800     03  RC01-DATE-A         PIC  X(01).
004900     03  RC01-DATE           PIC  X(10).
005000*
005100     03  RC01-MENU-DESC-L    PIC S9(04)      BINARY.
005200     03  RC01-MENU-DESC-A    PIC  X(01).
005300     03  RC01-MENU-DESC      PIC  X(40).
005400*
005500     03  RC01-TIME-L         PIC S9(04)      BINARY.
005600     03  RC01-TIME-A         PIC  X(01).
005700     03  RC01-TIME           PIC  X(08).
005800*
005900     03  RC01-ORG-LIT-L      PIC S9(04)      BINARY.
006000     03  RC01-ORG-LIT-A      PIC  X(01).
006100     03  RC01-ORG-LIT        PIC  X(03).
006200*
006300     03  RC01-ORG-L          PIC S9(04)      BINARY.
006400     03  RC01-ORG-A          PIC  X(01).
006500     03  RC01-ORG            PIC  9(03).
006600*
006700     03  RC01-CHAIN-LIT-L    PIC S9(04)      BINARY.
006800     03  RC01-CHAIN-LIT-A    PIC  X(01).
006900     03  RC01-CHAIN-LIT      PIC  X(05).
007000*
007100     03  RC01-CHAIN-L        PIC S9(04)      BINARY.
007200     03  RC01-CHAIN-A        PIC  X(01).
007300     03  RC01-CHAIN          PIC  9(09).
007400*
007500     03  RC01-CHAIN-NAME-L   PIC S9(04)      BINARY.
007600     03  RC01-CHAIN-NAME-A   PIC  X(01).
007700     03  RC01-CHAIN-NAME     PIC  X(40).
007800*
007900     03  RC01-LIT-LINE-1-L   PIC S9(04)      BINARY.
008000     03  RC01-LIT-LINE-1-A   PIC  X(01).
008100     03  RC01-LIT-LINE-1     PIC  X(33).
008200*
008300     03  RC01-LIT-LINE-2-L   PIC S9(04)      BINARY.
008400     03  RC01-LIT-LINE-2-A   PIC  X(01).
008500     03  RC01-LIT-LINE-2     PIC  X(18).
008600*
008700     03  RC01-LIT-LINE-3-L   PIC S9(04)      BINARY.
008800     03  RC01-LIT-LINE-3-A   PIC  X(01).
008900     03  RC01-LIT-LINE-3     PIC  X(74).
009000*
009100     03  RC01-CHAIN-DIRECTORY-AREA           OCCURS 15 TIMES
009200                                             INDEXED BY
009300                                             X-MERCHANT-INDEX.
009400*
009500         05  RC01-FWD-BACK-IND-L
009600                             PIC S9(04)      BINARY.
009700         05  RC01-FWD-BACK-IND-A
009800                             PIC  X(01).
009900         05  RC01-FWD-BACK-IND
010000                             PIC  X(01).
010100*
010200         05  RC01-SELECT-LP-L
010300                             PIC S9(04)      BINARY.
010400         05  RC01-SELECT-LP-A
010500                             PIC  X(01).
010600         05  RC01-SELECT-LP  PIC  X(01).
010700*
010800         05  RC01-SELECT-L   PIC S9(04)      BINARY.
010900         05  RC01-SELECT-A   PIC  X(01).
011000         05  RC01-SELECT     PIC  X(01).
011100             88  RC01-VALID-SELECT           VALUE 'Q' 'M' ' '.
011200             88  RC01-VALID-SPACE            VALUE ' '.
011300             88  RC01-VALID-INQUIRY          VALUE 'Q'.
011400             88  RC01-VALID-MAINT            VALUE 'M'.
011500             88  RC01-VALID-INQUIRY-MAINT    VALUE 'Q' 'M'.
011600*
011700         05  RC01-SELECT-RP-L
011800                             PIC S9(04)      BINARY.
011900         05  RC01-SELECT-RP-A
012000                             PIC  X(01).
012100         05  RC01-SELECT-RP  PIC  X(01).
012200*
012300         05  RC01-DIRECTORY-LINE-L
012400                             PIC S9(04)      BINARY.
012500         05  RC01-DIRECTORY-LINE-A
012600                             PIC  X(01).
012700         05  RC01-DIRECTORY-LINE
012800                             PIC  X(67).
012900*
013000     03  RC01-PF-KEYS-L      PIC S9(04)      BINARY.
013100     03  RC01-PF-KEYS-A      PIC  X(01).
013200     03  RC01-PF-KEYS        PIC  X(79).
013300*
013400*       ***************************************************
013500*       *              END OF COPYBOOK MBRC01R            *
013600*       ***************************************************
