000100 MBU600PD-EXTRACT-NUMERICS SECTION.
000200 MBU600PD-EN-BEGIN.
000300*
000400     MOVE ZERO                   TO MMEXWS-NUMBER.
000500     MOVE 18                     TO MMEXWS-NUMBER-REFMOD-2.
000600     SET  MMEXWS-PERCENT-OFF     TO TRUE.
000700     SET  MMEXWS-SIGN-ASSUMMED-POSITIVE
000800                                 TO TRUE.
000900     PERFORM MBU600PD-FIND-NUMERIC-SIGN
001000        THRU MBU600PD-FNS-EXIT.
001100*
001200     IF  MMEXWS-SIGN-ASSUMMED-POSITIVE
001300         SET MMEXWS-SIGN-NOT-PRESENT
001400                                 TO TRUE.
001500*
001600*
001700     PERFORM
001800         VARYING MMEXWS-NUMBER-REFMOD-1 FROM 50 BY -1
001900         UNTIL   MMEXWS-NUMBER-REFMOD-1 IS LESS THAN 1
002000            OR   MMEXWS-NUMBER-REFMOD-2 IS LESS THAN 1
002100         IF  MMEX-MAINT-FIELD-VALUE
002200             (X-MMEX-MAINT)
002300             (MMEXWS-NUMBER-REFMOD-1:1) IS EQUAL TO '%'
002400             SET  MMEXWS-PERCENT-ON
002500                                 TO TRUE
002600         END-IF
002700         IF  MMEX-MAINT-FIELD-VALUE
002800             (X-MMEX-MAINT)
002900             (MMEXWS-NUMBER-REFMOD-1:1) IS NUMERIC
003000             MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
003100                                      (MMEXWS-NUMBER-REFMOD-1:1)
003200                                 TO MMEXWS-NUMBER-X
003300                                    (MMEXWS-NUMBER-REFMOD-2:1)
003400             SUBTRACT 1 FROM MMEXWS-NUMBER-REFMOD-2
003500         END-IF
003600     END-PERFORM.
003700*
003800*
003900*
004000     MOVE ZERO                   TO MMEXWS-NBR-OF-DECIMALS.
004100*
004200     IF  MMEXWS-PERCENT-ON
004300         MOVE ZERO               TO MMEXWS-NUMBER-REFMOD-2
004400         PERFORM
004500             VARYING MMEXWS-NUMBER-REFMOD-1 FROM 50 BY -1
004600             UNTIL   MMEXWS-NUMBER-REFMOD-1 IS LESS THAN 1
004700                OR   MMEXWS-NUMBER-REFMOD-2 IS LESS THAN 1
004800                OR   MMEX-MAINT-FIELD-VALUE
004900                     (X-MMEX-MAINT)
005000                     (MMEXWS-NUMBER-REFMOD-1:1) IS EQUAL TO '.'
005100             IF  MMEX-MAINT-FIELD-VALUE
005200                 (X-MMEX-MAINT)
005300                 (MMEXWS-NUMBER-REFMOD-1:1) IS NUMERIC
005400                 ADD  1          TO MMEXWS-NUMBER-REFMOD-2
005500             END-IF
005600         END-PERFORM
005700         COMPUTE MMEXWS-NBR-OF-DECIMALS
005800                                 =  MMEXWS-NUMBER-REFMOD-2 + 2
005900         END-COMPUTE
006000     END-IF.
006100*
006200*
006300*
006400 MBU600PD-EN-EXIT.
006500     EXIT.
006600/
006700 MBU600PD-FIND-NUMERIC-SIGN SECTION.
006800 MBU600PD-FNS-BEGIN.
006900*
007000     PERFORM
007100         VARYING MMEXWS-NUMBER-REFMOD-1 FROM 1 BY 1
007200         UNTIL   MMEXWS-NUMBER-REFMOD-1 IS GREATER THAN 50
007300            OR   MMEXWS-SIGN-ACHIEVED
007400         EVALUATE TRUE
007500             WHEN MMEX-MAINT-FIELD-VALUE
007600                  (X-MMEX-MAINT)
007700                  (MMEXWS-NUMBER-REFMOD-1:1) IS EQUAL TO '-'
007800                 SET MMEXWS-SIGN-NEGATIVE
007900                                 TO TRUE
008000             WHEN MMEX-MAINT-FIELD-VALUE
008100                  (X-MMEX-MAINT)
008200                  (MMEXWS-NUMBER-REFMOD-1:1) IS EQUAL TO '+'
008300                 SET MMEXWS-SIGN-POSITIVE
008400                                 TO TRUE
008500         END-EVALUATE
008600     END-PERFORM.
008700*
008800*
008900*
009000 MBU600PD-FNS-EXIT.
009100     EXIT.
009200/
009300 MBU600PD-DECREASE-NUMERICS SECTION.
009400 MBU600PD-DN-BEGIN.
009500*
009600     COMPUTE MMEXWS-F-S18V0 ROUNDED
009700                                 =  MMEXWS-F-S18V0
009800                                 -  MMEXWS-E-S18V0.
009900*
010000     IF  MMEXWS-F-S18V0 IS LESS THAN ZERO
010100         MOVE ZERO               TO MMEXWS-F-S18V0.
010200*
010300 MBU600PD-DN-EXIT.
010400     EXIT.
010500*
010600*
010700*
010800 MBU600PD-INCREASE-NUMERICS SECTION.
010900 MBU600PD-IN-BEGIN.
011000*
011100     COMPUTE MMEXWS-F-S18V0 ROUNDED
011200                                 =  MMEXWS-F-S18V0
011300                                 +  MMEXWS-E-S18V0.
011400*
011500 MBU600PD-IN-EXIT.
011600     EXIT.
011700/
011800 MBU600PD-PERCENT-CHANGE SECTION.
011900 MBU600PD-PC-BEGIN.
012000*
012100     EVALUATE TRUE
012200         WHEN MMEXWS-SIGN-NEGATIVE
012300             COMPUTE MMEXWS-E-S18V0 ROUNDED
012400                                 =  0 - MMEXWS-NUMBER
012500         WHEN OTHER
012600             MOVE MMEXWS-NUMBER
012700                                 TO MMEXWS-E-S18V0
012800     END-EVALUATE.
012900*
013000     EVALUATE TRUE
013100         WHEN MMEXWS-SIGN-NEGATIVE
013200             EVALUATE TRUE
013300                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 17
013400                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
013500                                 =  MMEXWS-F-S18V0
013600                                 *  MMEXWS-E-S1V17
013700                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 16
013800                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
013900                                 =  MMEXWS-F-S18V0
014000                                 *  MMEXWS-E-S2V16
014100                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 15
014200                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
014300                                 =  MMEXWS-F-S18V0
014400                                 *  MMEXWS-E-S3V15
014500                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 14
014600                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
014700                                 =  MMEXWS-F-S18V0
014800                                 *  MMEXWS-E-S4V14
014900                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 13
015000                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
015100                                 =  MMEXWS-F-S18V0
015200                                 *  MMEXWS-E-S5V13
015300                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 12
015400                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
015500                                 =  MMEXWS-F-S18V0
015600                                 *  MMEXWS-E-S6V12
015700                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 11
015800                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
015900                                 =  MMEXWS-F-S18V0
016000                                 *  MMEXWS-E-S7V11
016100                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 10
016200                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
016300                                 =  MMEXWS-F-S18V0
016400                                 *  MMEXWS-E-S8V10
016500                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 9
016600                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
016700                                 =  MMEXWS-F-S18V0
016800                                 *  MMEXWS-E-S9V9
016900                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 8
017000                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
017100                                 =  MMEXWS-F-S18V0
017200                                 *  MMEXWS-E-S10V8
017300                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 7
017400                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
017500                                 =  MMEXWS-F-S18V0
017600                                 *  MMEXWS-E-S11V7
017700                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 6
017800                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
017900                                 =  MMEXWS-F-S18V0
018000                                 *  MMEXWS-E-S12V6
018100                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 5
018200                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
018300                                 =  MMEXWS-F-S18V0
018400                                 *  MMEXWS-E-S13V5
018500                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 4
018600                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
018700                                 =  MMEXWS-F-S18V0
018800                                 *  MMEXWS-E-S14V4
018900                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 3
019000                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
019100                                 =  MMEXWS-F-S18V0
019200                                 *  MMEXWS-E-S15V3
019300                 WHEN OTHER
019400                     COMPUTE MMEXWS-BINARY-SIGNED ROUNDED
019500                                 =  MMEXWS-F-S18V0
019600                                 *  MMEXWS-E-S16V2
019700             END-EVALUATE
019800             COMPUTE MMEXWS-F-S18V0
019900                                 =  MMEXWS-F-S18V0
020000                                 +  MMEXWS-BINARY-SIGNED
020100             IF  MMEXWS-F-S18V0 IS LESS THAN ZERO
020200                 MOVE ZERO       TO MMEXWS-F-S18V0
020300             END-IF
020400         WHEN OTHER
020500             EVALUATE TRUE
020600                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 17
020700                     COMPUTE MMEXWS-F-S18V0 ROUNDED
020800                                 =  MMEXWS-F-S18V0
020900                                 * (MMEXWS-E-S1V17 + 1.0)
021000                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 16
021100                     COMPUTE MMEXWS-F-S18V0 ROUNDED
021200                                 =  MMEXWS-F-S18V0
021300                                 * (MMEXWS-E-S2V16 + 1.0)
021400                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 15
021500                     COMPUTE MMEXWS-F-S18V0 ROUNDED
021600                                 =  MMEXWS-F-S18V0
021700                                 * (MMEXWS-E-S3V15 + 1.0)
021800                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 14
021900                     COMPUTE MMEXWS-F-S18V0 ROUNDED
022000                                 =  MMEXWS-F-S18V0
022100                                 * (MMEXWS-E-S4V14 + 1.0)
022200                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 13
022300                     COMPUTE MMEXWS-F-S18V0 ROUNDED
022400                                 =  MMEXWS-F-S18V0
022500                                 * (MMEXWS-E-S5V13 + 1.0)
022600                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 12
022700                     COMPUTE MMEXWS-F-S18V0 ROUNDED
022800                                 =  MMEXWS-F-S18V0
022900                                 * (MMEXWS-E-S6V12 + 1.0)
023000                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 11
023100                     COMPUTE MMEXWS-F-S18V0 ROUNDED
023200                                 =  MMEXWS-F-S18V0
023300                                 * (MMEXWS-E-S7V11 + 1.0)
023400                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 10
023500                     COMPUTE MMEXWS-F-S18V0 ROUNDED
023600                                 =  MMEXWS-F-S18V0
023700                                 * (MMEXWS-E-S8V10 + 1.0)
023800                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 9
023900                     COMPUTE MMEXWS-F-S18V0 ROUNDED
024000                                 =  MMEXWS-F-S18V0
024100                                 * (MMEXWS-E-S9V9  + 1.0)
024200                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 8
024300                     COMPUTE MMEXWS-F-S18V0 ROUNDED
024400                                 =  MMEXWS-F-S18V0
024500                                 * (MMEXWS-E-S10V8 + 1.0)
024600                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 7
024700                     COMPUTE MMEXWS-F-S18V0 ROUNDED
024800                                 =  MMEXWS-F-S18V0
024900                                 * (MMEXWS-E-S11V7 + 1.0)
025000                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 6
025100                     COMPUTE MMEXWS-F-S18V0 ROUNDED
025200                                 =  MMEXWS-F-S18V0
025300                                 * (MMEXWS-E-S12V6 + 1.0)
025400                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 5
025500                     COMPUTE MMEXWS-F-S18V0 ROUNDED
025600                                 =  MMEXWS-F-S18V0
025700                                 * (MMEXWS-E-S13V5 + 1.0)
025800                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 4
025900                     COMPUTE MMEXWS-F-S18V0 ROUNDED
026000                                 =  MMEXWS-F-S18V0
026100                                 * (MMEXWS-E-S14V4 + 1.0)
026200                 WHEN MMEXWS-NBR-OF-DECIMALS IS EQUAL TO 3
026300                     COMPUTE MMEXWS-F-S18V0 ROUNDED
026400                                 =  MMEXWS-F-S18V0
026500                                 * (MMEXWS-E-S15V3 + 1.0)
026600                 WHEN OTHER
026700                     COMPUTE MMEXWS-F-S18V0 ROUNDED
026800                                 =  MMEXWS-F-S18V0
026900                                 * (MMEXWS-E-S16V2 + 1.0)
027000             END-EVALUATE
027100     END-EVALUATE.
027200*
027300 MBU600PD-PC-EXIT.
027400     EXIT.
027500/
027600
027700 MBU600PD-AMOUNT-ROUNDING SECTION.
027800 MBU600PD-AR-BEGIN.
027900*
028000     MOVE MMEX-MAINT-ROUND-OPTION (X-MMEX-MAINT)
028100                                 TO MMEXWS-ROUNDING-OPTIONS.
028200*
028300     MOVE MMEXWS-F-S18V0         TO MMEXWS-ROUNDING.
028400*
028500     EVALUATE TRUE
028600         WHEN MMEXWS-RO-NO-ROUNDING
028700             CONTINUE
028800         WHEN MMEXWS-RO-NEXT-1
028900             PERFORM
029000                 UNTIL MMEXWS-ROUNDING-X(17:2) IS EQUAL TO '00'
029100                 ADD  1          TO MMEXWS-ROUNDING
029200             END-PERFORM
029300         WHEN MMEXWS-RO-NEXT-5
029400             PERFORM
029500                 UNTIL MMEXWS-ROUNDING-X(16:3) IS EQUAL TO '500'
029600                    OR MMEXWS-ROUNDING-X(16:3) IS EQUAL TO '000'
029700                 ADD  1          TO MMEXWS-ROUNDING
029800             END-PERFORM
029900         WHEN MMEXWS-RO-NEXT-10
030000             PERFORM
030100                 UNTIL MMEXWS-ROUNDING-X(16:3) IS EQUAL TO '000'
030200                 ADD  1          TO MMEXWS-ROUNDING
030300             END-PERFORM
030400         WHEN MMEXWS-RO-NEXT-50
030500             PERFORM
030600                 UNTIL MMEXWS-ROUNDING-X(15:4) IS EQUAL TO '5000'
030700                    OR MMEXWS-ROUNDING-X(15:4) IS EQUAL TO '0000'
030800                 ADD  1          TO MMEXWS-ROUNDING
030900             END-PERFORM
031000         WHEN MMEXWS-RO-NEXT-100
031100             PERFORM
031200                 UNTIL MMEXWS-ROUNDING-X(15:4)
031300                                 IS EQUAL TO '0000'
031400                 ADD  1          TO MMEXWS-ROUNDING
031500             END-PERFORM
031600         WHEN MMEXWS-RO-NEXT-500
031700             PERFORM
031800                 UNTIL MMEXWS-ROUNDING-X(14:5)
031900                                 IS EQUAL TO '50000'
032000                    OR MMEXWS-ROUNDING-X(14:5)
032100                                 IS EQUAL TO '00000'
032200                 ADD  1          TO MMEXWS-ROUNDING
032300             END-PERFORM
032400         WHEN MMEXWS-RO-NEXT-1000
032500             PERFORM
032600                 UNTIL MMEXWS-ROUNDING-X(14:5)
032700                                 IS EQUAL TO '00000'
032800                 ADD  1          TO MMEXWS-ROUNDING
032900             END-PERFORM
033000         WHEN MMEXWS-RO-NEAREST-1
033100             IF  MMEXWS-ROUNDING(17:2) IS GREATER THAN '49'
033200                 ADD  100        TO MMEXWS-ROUNDING
033300             END-IF
033400             MOVE '00'           TO MMEXWS-ROUNDING(17:2)
033500         WHEN MMEXWS-RO-NEAREST-5
033600             EVALUATE TRUE
033700                 WHEN MMEXWS-ROUNDING(16:3) IS GREATER THAN '749'
033800                     ADD  1000   TO MMEXWS-ROUNDING
033900                     MOVE '000'  TO MMEXWS-ROUNDING(16:3)
034000                 WHEN MMEXWS-ROUNDING(16:3) IS GREATER THAN '249'
034100                     MOVE '500'  TO MMEXWS-ROUNDING(16:3)
034200                 WHEN OTHER
034300                     MOVE '000'  TO MMEXWS-ROUNDING(16:3)
034400             END-EVALUATE
034500         WHEN MMEXWS-RO-NEAREST-10
034600             IF  MMEXWS-ROUNDING(16:3) IS GREATER THAN '499'
034700                 ADD  1000       TO MMEXWS-ROUNDING
034800             END-IF
034900             MOVE '000'          TO MMEXWS-ROUNDING(16:3)
035000         WHEN MMEXWS-RO-NEAREST-50
035100             EVALUATE TRUE
035200                 WHEN MMEXWS-ROUNDING(15:4) IS GREATER THAN '7499'
035300                     ADD  10000  TO MMEXWS-ROUNDING
035400                     MOVE '0000' TO MMEXWS-ROUNDING(15:4)
035500                 WHEN MMEXWS-ROUNDING(15:4) IS GREATER THAN '2499'
035600                     MOVE '5000' TO MMEXWS-ROUNDING(15:4)
035700                 WHEN OTHER
035800                     MOVE '0000' TO MMEXWS-ROUNDING(15:4)
035900             END-EVALUATE
036000         WHEN MMEXWS-RO-NEAREST-100
036100             IF  MMEXWS-ROUNDING(15:4) IS GREATER THAN '4999'
036200                 ADD  10000      TO MMEXWS-ROUNDING
036300             END-IF
036400             MOVE '0000'         TO MMEXWS-ROUNDING(15:4)
036500         WHEN MMEXWS-RO-NEAREST-500
036600             EVALUATE TRUE
036700                 WHEN MMEXWS-ROUNDING(14:5)
036800                                 IS GREATER THAN '74999'
036900                     ADD  100000 TO MMEXWS-ROUNDING
037000                     MOVE '00000'
037100                                 TO MMEXWS-ROUNDING(14:5)
037200                 WHEN MMEXWS-ROUNDING(14:5)
037300                                 IS GREATER THAN '24999'
037400                     MOVE '50000'
037500                                 TO MMEXWS-ROUNDING(14:5)
037600                 WHEN OTHER
037700                     MOVE '00000'
037800                                 TO MMEXWS-ROUNDING(14:5)
037900             END-EVALUATE
038000         WHEN MMEXWS-RO-NEAREST-1000
038100             IF  MMEXWS-ROUNDING(14:5) IS GREATER THAN '49999'
038200                 ADD  100000     TO MMEXWS-ROUNDING
038300             END-IF
038400             MOVE '00000'        TO MMEXWS-ROUNDING(14:5)
038500     END-EVALUATE.
038600*
038700     MOVE MMEXWS-ROUNDING        TO MMEXWS-F-S18V0.
038800*
038900*
039000*
039100 MBU600PD-AR-EXIT.
039200     EXIT.
039300/
