000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMFAIR ---- FEE ACTIVITY INITIALIZER RECORD ---- 4080 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  :MMFA:IR-RECORD.
000900     03  :MMFA:IR-KEY.
001000         05  :MMFA:IR-ALIGN-KEY.
001100             07  :MMFA:IR-ORG-MERCHANT.
001200                 88  :MMFA:IR-HEADER         VALUE ZERO.
001300                 88  :MMFA:IR-TRAILER        VALUE '999999999999'.
001400                 09  :MMFA:IR-ORG-X.
001500                     11  :MMFA:IR-ORG
001600                             PIC  9(03)      VALUE ZERO.
001700                 09  :MMFA:IR-MERCHANT-X.
001800                     11  :MMFA:IR-MERCHANT
001900                             PIC  9(09)      VALUE ZERO.
002000*
002100     03  :MMFA:IR-STATIC-DATA-1.
002200         05  :MMFA:IR-STATUS-INFORMATION.
002300             07  :MMFA:IR-REC-STATUS
002400                             PIC  9(01)      VALUE 1.
002500                 88  :MMFA:IR-REC-ACTIVE     VALUE 1.
002600                 88  :MMFA:IR-REC-PURGED     VALUE 9.
002700*
002800         05  :MMFA:IR-FRAUD-WTD-ACTIVITY-X.
002900             07  :MMFA:IR-WTD-ACTIVITY       OCCURS 7 TIMES
003000                                             INDEXED BY
003100                                             X-:MMFA:IR-WTD-ACT.
003200                 09  :MMFA:IR-WTD-ACTIVITY-FLAG
003300                             PIC  X(01)      VALUE 'C'.
003400                     88  :MMFA:IR-WTD-AF-PROCESSING
003500                                             VALUE 'X'.
003600                     88  :MMFA:IR-WTD-AF-NOT-PROCESSING
003700                                             VALUE 'C'.
003800                 09  :MMFA:IR-WTD-DEPOSITS-NBR
003900                             PIC S9(09)      COMP-3 VALUE ZERO.
004000                 09  :MMFA:IR-WTD-DEPOSITS-AMT
004100                             PIC S9(17)      COMP-3 VALUE ZERO.
004200                 09  :MMFA:IR-WTD-SALES-NBR
004300                             PIC S9(09)      COMP-3 VALUE ZERO.
004400                 09  :MMFA:IR-WTD-SALES-AMT
004500                             PIC S9(17)      COMP-3 VALUE ZERO.
004600                 09  :MMFA:IR-WTD-SALES-REV-NBR
004700                             PIC S9(09)      COMP-3 VALUE ZERO.
004800                 09  :MMFA:IR-WTD-SALES-REV-AMT
004900                             PIC S9(17)      COMP-3 VALUE ZERO.
005000                 09  :MMFA:IR-WTD-RETURNS-NBR
005100                             PIC S9(09)      COMP-3 VALUE ZERO.
005200                 09  :MMFA:IR-WTD-RETURNS-AMT
005300                             PIC S9(17)      COMP-3 VALUE ZERO.
005400                 09  :MMFA:IR-WTD-RETURNS-REV-NBR
005500                             PIC S9(09)      COMP-3 VALUE ZERO.
005600                 09  :MMFA:IR-WTD-RETURNS-REV-AMT
005700                             PIC S9(17)      COMP-3 VALUE ZERO.
005800                 09  :MMFA:IR-WTD-CHGBACK-NBR
005900                             PIC S9(09)      COMP-3 VALUE ZERO.
006000                 09  :MMFA:IR-WTD-CHGBACK-AMT
006100                             PIC S9(17)      COMP-3 VALUE ZERO.
006200*
006300         05  :MMFA:IR-PREV-ACH-NBR
006400                             PIC S9(09)      COMP-3 VALUE ZERO.
006500*
006600         05  :MMFA:IR-CURR-ACH-NBR
006700                             PIC S9(09)      COMP-3 VALUE ZERO.
006800*
006900     03  :MMFA:IR-FILLER     PIC  X(220)     VALUE SPACES.
007000*
007100     03  :MMFA:IR-USER-FILLER
007200                             PIC  X(20)      VALUE SPACES.
007300*
007400     03  :MMFA:IR-TOTALS-DATA.
007500******************************************************************
007600* OCCURRENCE *---------------DATA CONTENT---------------*        *
007700*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
007800*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
007900*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
008000*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
008100*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
008200*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
008300*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
008400*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
008500*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
008600*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
008700*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
008800*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
008900*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
009000*    14     MONTH-TO-DATE STATS                                  *
009100*    15     YEAR-TO-DATE STATS                                   *
009200*    16     STATEMENT CYCLE-TO-DATE STATS                        *
009300*    17     DISCOUNT-TO-DATE STATS                               *
009400*    18     PARTICIPATION-TO-DATE STATS                          *
009500******************************************************************
009600         05  :MMFA:IR-TABLE                  OCCURS 18 TIMES
009700                                             INDEXED BY
009800                                             X-:MMFA:IR
009900                                             X-:MMFA:IR-1
010000                                             X-:MMFA:IR-2
010100                                             X-:MMFA:IR-3
010200                                             X-:MMFA:IR-4
010300                                             X-:MMFA:IR-5
010400                                             X-:MMFA:IR-6
010500                                             X-:MMFA:IR-SEARCH.
010600             07  :MMFA:IR-STAT-AMOUNTS.
010700                 09  :MMFA:IR-KEYED-AUTHS-AMT
010800                             PIC S9(17)      COMP-3 VALUE ZERO.
010900*
011000                 09  :MMFA:IR-SWIPED-AUTHS-AMT
011100                             PIC S9(17)      COMP-3 VALUE ZERO.
011200*
011300                 09  :MMFA:IR-KEYED-SALES-AMT
011400                             PIC S9(17)      COMP-3 VALUE ZERO.
011500*
011600                 09  :MMFA:IR-KEYED-SALES-REV-AMT
011700                             PIC S9(17)      COMP-3 VALUE ZERO.
011800*
011900                 09  :MMFA:IR-KEYED-RETURNS-AMT
012000                             PIC S9(17)      COMP-3 VALUE ZERO.
012100*
012200                 09  :MMFA:IR-KEYED-RETURNS-REV-AMT
012300                             PIC S9(17)      COMP-3 VALUE ZERO.
012400*
012500                 09  :MMFA:IR-SWIPED-SALES-AMT
012600                             PIC S9(17)      COMP-3 VALUE ZERO.
012700*
012800                 09  :MMFA:IR-SWIPED-SALES-REV-AMT
012900                             PIC S9(17)      COMP-3 VALUE ZERO.
013000*
013100                 09  :MMFA:IR-SWIPED-RETURNS-AMT
013200                             PIC S9(17)      COMP-3 VALUE ZERO.
013300*
013400                 09  :MMFA:IR-SWIPED-RETURNS-REV-AMT
013500                             PIC S9(17)      COMP-3 VALUE ZERO.
013600*
013700                 09  :MMFA:IR-SALES-BELOW-FLOOR-AMT
013800                             PIC S9(17)      COMP-3 VALUE ZERO.
013900*
014000*
014100*
014200             07  :MMFA:IR-STAT-NUMBERS.
014300                 09  :MMFA:IR-KEYED-AUTHS-NBR
014400                             PIC S9(09)      COMP-3 VALUE ZERO.
014500*
014600                 09  :MMFA:IR-SWIPED-AUTHS-NBR
014700                             PIC S9(09)      COMP-3 VALUE ZERO.
014800*
014900                 09  :MMFA:IR-KEYED-SALES-NBR
015000                             PIC S9(09)      COMP-3 VALUE ZERO.
015100*
015200                 09  :MMFA:IR-KEYED-SALES-REV-NBR
015300                             PIC S9(09)      COMP-3 VALUE ZERO.
015400*
015500                 09  :MMFA:IR-KEYED-RETURNS-NBR
015600                             PIC S9(09)      COMP-3 VALUE ZERO.
015700*
015800                 09  :MMFA:IR-KEYED-RETURNS-REV-NBR
015900                             PIC S9(09)      COMP-3 VALUE ZERO.
016000*
016100                 09  :MMFA:IR-SWIPED-SALES-NBR
016200                             PIC S9(09)      COMP-3 VALUE ZERO.
016300*
016400                 09  :MMFA:IR-SWIPED-SALES-REV-NBR
016500                             PIC S9(09)      COMP-3 VALUE ZERO.
016600*
016700                 09  :MMFA:IR-SWIPED-RETURNS-NBR
016800                             PIC S9(09)      COMP-3 VALUE ZERO.
016900*
017000                 09  :MMFA:IR-SWIPED-RETURNS-REV-NBR
017100                             PIC S9(09)      COMP-3 VALUE ZERO.
017200*
017300                 09  :MMFA:IR-USER-INP-NBR
017400                             PIC S9(09)      COMP-3 VALUE ZERO.
017500*
017600                 09  :MMFA:IR-LOCAL-INP-NBR
017700                             PIC S9(09)      COMP-3 VALUE ZERO.
017800*
017900                 09  :MMFA:IR-ACH-NBR
018000                             PIC S9(09)      COMP-3 VALUE ZERO.
018100*
018200                 09  :MMFA:IR-POS-CAP-NBR-X.
018300                     11  :MMFA:IR-POS-1-CAP-NBR
018400                             PIC S9(09)      COMP-3 VALUE ZERO.
018500*
018600                     11  :MMFA:IR-POS-2-CAP-NBR
018700                             PIC S9(09)      COMP-3 VALUE ZERO.
018800*
018900                     11  :MMFA:IR-POS-3-CAP-NBR
019000                             PIC S9(09)      COMP-3 VALUE ZERO.
019100                 09  :MMFA:IR-POS-CAP-NBR-R
019200                             REDEFINES :MMFA:IR-POS-CAP-NBR-X.
019300                     11  :MMFA:IR-POS-CAP-NBRS
019400                                             OCCURS 3 TIMES
019500                                             INDEXED BY
019600                                             X-:MMFA:IR-POS-CAP
019700                                             X-:MMFA:IR-POS-CAP-1
019800                                             X-:MMFA:IR-POS-CAP-2
019900                                             X-:MMFA:IR-POS-CAP-3.
020000                         13  :MMFA:IR-POS-CAP-NBR
020100                             PIC S9(09)      COMP-3.
020200*
020300*
020400*
020500*       ***************************************************
020600*       *              END OF COPYBOOK MMFAIR             *
020700*       ***************************************************
