000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMFARL ---------- FEE ACTIVITY MASTER FILE ----- 4080 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*  OTHER FILES USING THIS PSUEDO-TEXT COPY BOOK ARE:            *
000900*                                                               *
001000*  MMFA---FEE ACTIVITY STATS FILE                               *
001100*  MMFG---FEE ACTIVITY GROUP STATS FILE                         *
001200*  MTFG---FEE ACTIVITY GROUP STATS FILE                    TEMP *
001300*  MWFA---FEE ACTIVITY STATS FILE                          WORK *
001400*                                                               *
001500*****************************************************************
001600 01  :MMFA:-RECORD.
001700     03  :MMFA:-KEY.
001800         05  :MMFA:-ALIGN-KEY.
001900             07  :MMFA:-ORG-MERCHANT.
002000                 88  :MMFA:-HEADER           VALUE ZERO.
002100                 88  :MMFA:-TRAILER          VALUE '999999999999'.
002200                 09  :MMFA:-ORG-X.
002300                     11  :MMFA:-ORG
002400                             PIC  9(03).
002500                 09  :MMFA:-MERCHANT-X.
002600                     11  :MMFA:-MERCHANT
002700                             PIC  9(09).
002800*
002900     03  :MMFA:-STATIC-DATA-1.
003000         05  :MMFA:-STATUS-INFORMATION.
003100             07  :MMFA:-REC-STATUS
003200                             PIC  9(01).
003300                 88  :MMFA:-REC-ACTIVE       VALUE 1.
003400                 88  :MMFA:-REC-PURGED       VALUE 9.
003500*
003600         05  :MMFA:-FRAUD-WTD-ACTIVITY-X.
003700             07  :MMFA:-WTD-ACTIVITY         OCCURS 7 TIMES
003800                                             INDEXED BY
003900                                             X-:MMFA:-WTD-ACT.
004000                 09  :MMFA:-WTD-ACTIVITY-FLAG
004100                             PIC  X(01).
004200                     88  :MMFA:-WTD-AF-PROCESSING
004300                                             VALUE 'X'.
004400                     88  :MMFA:-WTD-AF-NOT-PROCESSING
004500                                             VALUE 'C'.
004600                 09  :MMFA:-WTD-DEPOSITS-NBR
004700                             PIC S9(09)      COMP-3.
004800                 09  :MMFA:-WTD-DEPOSITS-AMT
004900                             PIC S9(17)      COMP-3.
005000                 09  :MMFA:-WTD-SALES-NBR
005100                             PIC S9(09)      COMP-3.
005200                 09  :MMFA:-WTD-SALES-AMT
005300                             PIC S9(17)      COMP-3.
005400                 09  :MMFA:-WTD-SALES-REV-NBR
005500                             PIC S9(09)      COMP-3.
005600                 09  :MMFA:-WTD-SALES-REV-AMT
005700                             PIC S9(17)      COMP-3.
005800                 09  :MMFA:-WTD-RETURNS-NBR
005900                             PIC S9(09)      COMP-3.
006000                 09  :MMFA:-WTD-RETURNS-AMT
006100                             PIC S9(17)      COMP-3.
006200                 09  :MMFA:-WTD-RETURNS-REV-NBR
006300                             PIC S9(09)      COMP-3.
006400                 09  :MMFA:-WTD-RETURNS-REV-AMT
006500                             PIC S9(17)      COMP-3.
006600                 09  :MMFA:-WTD-CHGBACK-NBR
006700                             PIC S9(09)      COMP-3.
006800                 09  :MMFA:-WTD-CHGBACK-AMT
006900                             PIC S9(17)      COMP-3.
007000*
007100         05  :MMFA:-PREV-ACH-NBR
007200                             PIC S9(09)      COMP-3.
007300*
007400         05  :MMFA:-CURR-ACH-NBR
007500                             PIC S9(09)      COMP-3.
007600*
007700     03  :MMFA:-FILLER       PIC  X(220).
007800*
007900     03  :MMFA:-USER-FILLER  PIC  X(20).
008000*
008100     03  :MMFA:-TOTALS-DATA.
008200******************************************************************
008300* OCCURRENCE *---------------DATA CONTENT---------------*        *
008400*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
008500*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
008600*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
008700*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
008800*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
008900*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
009000*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
009100*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
009200*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
009300*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
009400*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
009500*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
009600*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
009700*    14     MONTH-TO-DATE STATS                                  *
009800*    15     YEAR-TO-DATE STATS                                   *
009900*    16     STATEMENT CYCLE-TO-DATE STATS                        *
010000*    17     DISCOUNT-TO-DATE STATS                               *
010100*    18     PARTICIPATION-TO-DATE STATS                          *
010200******************************************************************
010300         05  :MMFA:-TABLE                    OCCURS 18 TIMES
010400                                             INDEXED BY
010500                                             X-:MMFA:
010600                                             X-:MMFA:-1
010700                                             X-:MMFA:-2
010800                                             X-:MMFA:-3
010900                                             X-:MMFA:-4
011000                                             X-:MMFA:-5
011100                                             X-:MMFA:-6
011200                                             X-:MMFA:-SEARCH.
011300             07  :MMFA:-STAT-AMOUNTS.
011400                 09  :MMFA:-KEYED-AUTHS-AMT
011500                             PIC S9(17)      COMP-3.
011600*
011700                 09  :MMFA:-SWIPED-AUTHS-AMT
011800                             PIC S9(17)      COMP-3.
011900*
012000                 09  :MMFA:-KEYED-SALES-AMT
012100                             PIC S9(17)      COMP-3.
012200*
012300                 09  :MMFA:-KEYED-SALES-REV-AMT
012400                             PIC S9(17)      COMP-3.
012500*
012600                 09  :MMFA:-KEYED-RETURNS-AMT
012700                             PIC S9(17)      COMP-3.
012800*
012900                 09  :MMFA:-KEYED-RETURNS-REV-AMT
013000                             PIC S9(17)      COMP-3.
013100*
013200                 09  :MMFA:-SWIPED-SALES-AMT
013300                             PIC S9(17)      COMP-3.
013400*
013500                 09  :MMFA:-SWIPED-SALES-REV-AMT
013600                             PIC S9(17)      COMP-3.
013700*
013800                 09  :MMFA:-SWIPED-RETURNS-AMT
013900                             PIC S9(17)      COMP-3.
014000*
014100                 09  :MMFA:-SWIPED-RETURNS-REV-AMT
014200                             PIC S9(17)      COMP-3.
014300*
014400                 09  :MMFA:-SALES-BELOW-FLOOR-AMT
014500                             PIC S9(17)      COMP-3.
014600*
014700*
014800*
014900             07  :MMFA:-STAT-NUMBERS.
015000                 09  :MMFA:-KEYED-AUTHS-NBR
015100                             PIC S9(09)      COMP-3.
015200*
015300                 09  :MMFA:-SWIPED-AUTHS-NBR
015400                             PIC S9(09)      COMP-3.
015500*
015600                 09  :MMFA:-KEYED-SALES-NBR
015700                             PIC S9(09)      COMP-3.
015800*
015900                 09  :MMFA:-KEYED-SALES-REV-NBR
016000                             PIC S9(09)      COMP-3.
016100*
016200                 09  :MMFA:-KEYED-RETURNS-NBR
016300                             PIC S9(09)      COMP-3.
016400*
016500                 09  :MMFA:-KEYED-RETURNS-REV-NBR
016600                             PIC S9(09)      COMP-3.
016700*
016800                 09  :MMFA:-SWIPED-SALES-NBR
016900                             PIC S9(09)      COMP-3.
017000*
017100                 09  :MMFA:-SWIPED-SALES-REV-NBR
017200                             PIC S9(09)      COMP-3.
017300*
017400                 09  :MMFA:-SWIPED-RETURNS-NBR
017500                             PIC S9(09)      COMP-3.
017600*
017700                 09  :MMFA:-SWIPED-RETURNS-REV-NBR
017800                             PIC S9(09)      COMP-3.
017900*
018000                 09  :MMFA:-USER-INP-NBR
018100                             PIC S9(09)      COMP-3.
018200*
018300                 09  :MMFA:-LOCAL-INP-NBR
018400                             PIC S9(09)      COMP-3.
018500*
018600                 09  :MMFA:-ACH-NBR
018700                             PIC S9(09)      COMP-3.
018800*
018900                 09  :MMFA:-POS-CAP-NBR-X.
019000                     11  :MMFA:-POS-1-CAP-NBR
019100                             PIC S9(09)      COMP-3.
019200*
019300                     11  :MMFA:-POS-2-CAP-NBR
019400                             PIC S9(09)      COMP-3.
019500*
019600                     11  :MMFA:-POS-3-CAP-NBR
019700                             PIC S9(09)      COMP-3.
019800                 09  :MMFA:-POS-CAP-NBR-R
019900                             REDEFINES :MMFA:-POS-CAP-NBR-X.
020000                     11  :MMFA:-POS-CAP-NBRS OCCURS 3 TIMES
020100                                             INDEXED BY
020200                                             X-:MMFA:-POS-CAP
020300                                             X-:MMFA:-POS-CAP-1
020400                                             X-:MMFA:-POS-CAP-2
020500                                             X-:MMFA:-POS-CAP-3.
020600                         13  :MMFA:-POS-CAP-NBR
020700                             PIC S9(09)      COMP-3.
020800*
020900*
021000*
021100*       ***************************************************
021200*       *              END OF COPYBOOK MMFARL             *
021300*       ***************************************************
