000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMFPWS ---- FRAUD REPORTING PARAMETERS WORK AREAS            *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMFPWS-WORK-AREAS.
001000*****************************************************************
001100*                  FRAUD CONTROL DESCRIPTIONS                   *
001200*****************************************************************
001300*                                                               *
001400*  THIS WS TABLE PROVIDES A 20 CHARACTER DESCRIPTION FOR THE    *
001500*  FRAUD PARAMETERS USED BY THE MMFP FILE FRAUD ARRAY AND FOR   *
001600*  DESCRIPTIONS NECESSARY FOR THE OPTIONAL 30 (O30) AND         *
001700*  OPTIONAL 39 (O39) REPORTS.  TABLE ENTRIES 1-60 CORRESPOND    *
001800*  TO THE ARRAY IN THE MMFP-FRAUD-ELEMENT-TABLE.                *
001900*  TABLE ENTRIES 61-99 ARE USED FOR NON-TABLE FRAUD ITEMS       *
002000*  APPEARING ON THE O30 AND O39 REPORTS.                        *
002100*  TABLE ENTRIES 1-60 ARE ALSO USED FOR THE MBMU TRANS-ID.      *
002200*  ANY ENTRY CONTAINING SPACES IN THE DESCRIPTION IS NOT USED   *
002300*  AND IS AVAILABLE FOR FUTURE USE.                             *
002400*                                                               *
002500*                                                               *
002600*  FRAUD DESCRIPTIONS ARE AS FOLLOWS:                           *
002700*                                                               *
002800*  ELEMENT  FRAUD INDICATOR        ELEMENT   FRAUD INDICATOR    *
002900*   *--*****----------------*      *--*****-----------------*   *
003000*    01 DAILY SALES AMT            02 DAILY SALES NBR           *
003100*    03 DAILY RETURNS AMT          04 DAILY RETURNS NBR         *
003200*    05 DAILY AUTHORIZATION AMT    06 DAILY AUTHORIZATION NBR   *
003300*    07 DAILY CHGBACK CR AMT       08 DAILY CHGBACK NBR         *
003400*    09 DAILY RETRIEVAL REQ AMT    10 DAILY RETRIEVAL REQ NBR   *
003500*    11 DAILY AVERAGE TICKET       12 DAILY TRANSACTION NBR     *
003600*    13 DAILY MERCH DEPOSIT AMT    14 DAILY MERCH DEPOSIT NBR   *
003700*    15 DAILY KEYED DEPOSIT AMT    16 DAILY KEYED DEPOSIT NBR   *
003800*    17 DAILY AUTH KEYED AMT       18 DAILY AUTH KEYED NBR      *
003900*    19 RESERVED FOR FUTURE USE    20 RESERVED FOR FUTURE USE   *
004000*    21 RESERVED FOR FUTURE USE    22 RESERVED FOR FUTURE USE   *
004100*    23 RESERVED FOR FUTURE USE    24 RESERVED FOR FUTURE USE   *
004200*    25 RESERVED FOR FUTURE USE    26 RESERVED FOR FUTURE USE   *
004300*    27 RESERVED FOR FUTURE USE    28 RESERVED FOR FUTURE USE   *
004400*    29 RESERVED FOR FUTURE USE    30 RESERVED FOR FUTURE USE   *
004500*                                                               *
004600*    31 WEEKLY SALES AMT           32 WEEKLY SALES NBR          *
004700*    33 WEEKLY DEPOSITS AMT        34 WEEKLY DEPOSITS NBR       *
004800*    35 WEEKLY RETURNS AMT         36 WEEKLY RETURNS NBR        *
004900*    37 WEEKLY CHGBACK AMT         38 WEEKLY CHGBACK NBR        *
005000*    39 RESERVED FOR FUTURE USE    40 RESERVED FOR FUTURE USE   *
005100*    41 MTD CHGBACK MEMO AMT       42 MTD CHGBACK MEMO NBR      *
005200*    43 MTD SALES AMT              44 MTD RETURN AMT            *
005300*    45 MTD REFUNDS AMT            46 MTD CHGBACK NBR           *
005400*    47 RESERVED FOR FUTURE USE    48 RESERVED FOR FUTURE USE   *
005500*    49 %CHARGEBAKS:SALES          50 %CREDITS:SALES            *
005600*    51 %KEYED:SWIPED SALES        52 %TRANS BELOW FLOOR LIMIT  *
005700*    53 %KEYED:SWIPED AUTHS        54 %RETRIEVAL REQ:SALES      *
005800*    55 %%DECLINES:AUTH RESP       56 RESERVED FOR FUTURE USE   *
005900*    57 RESERVED FOR FUTURE USE    58 RESERVED FOR FUTURE USE   *
006000*    59 RESERVED FOR FUTURE USE    60 RESERVED FOR FUTURE USE   *
006100*                                                               *
006200*    61 INDIV SALE EXCEEDED        62 INDIV AUTH EXCEEDED       *
006300*    63 DAYS LAST DEP EXCEED       64 MON NBR CHGBK EXCEED      *
006400*    65 WEEK GR SALES EXCEED       66 PL AUTHS BELOW FLOOR      *
006500*    67 MC AUTHS BELOW FLOOR       68 VI AUTHS BELOW FLOOR      *
006600*    69 VISA ELAPSED DAYS AVG      70 M/C ELAPSED DAYS AVG      *
006700*                                                               *
006800*    71-80 ARE FOR MERCHANTS       81-90 ARE FOR STORES         *
006900*                                                               *
007000*    71 NBR DUP C-H IN BATCH       72 NBR DUP C-H BY DAY        *
007100*    73 RESERVED FOR FUTURE USE    74 RESERVED FOR FUTURE USE   *
007200*    75 RESERVED FOR FUTURE USE    76 RESERVED FOR FUTURE USE   *
007300*    77 RESERVED FOR FUTURE USE    78 RESERVED FOR FUTURE USE   *
007400*    79 AMT DUP C-H BY DAY         80 RESERVED FOR FUTURE USE   *
007500*                                                               *
007600*    81 NBR DUP C-H BY DAY         82 NBR DUP BIN BY DAY        *
007700*    83 RESERVED FOR FUTURE USE    84 RESERVED FOR FUTURE USE   *
007800*    85 RESERVED FOR FUTURE USE    86 RESERVED FOR FUTURE USE   *
007900*    87 RESERVED FOR FUTURE USE    88 RESERVED FOR FUTURE USE   *
008000*    89 AMT DUP C-H BY DAY         90 AMT DUP BIN BY DAY        *
008100*                                                               *
008200*    91 RESERVED FOR FUTURE USE    92 RESERVED FOR FUTURE USE   *
008300*    93 RESERVED FOR FUTURE USE    94 RESERVED FOR FUTURE USE   *
008400*    95 RESERVED FOR FUTURE USE    96 RESERVED FOR FUTURE USE   *
008500*    97 RESERVED FOR FUTURE USE    98 RESERVED FOR FUTURE USE   *
008600*    99 RESERVED FOR FUTURE USE                                 *
008700*                                                               *
008800*****************************************************************
008900*
009000     03  MMFPWS-FRAUD-DESCRIPTIONS.
009100         05  MMFPWS-FRAUD-DESC-01
009200                             PIC  X(32)      VALUE
009300                               '00000000000ADAILY SALES AMT     '.
009400         05  MMFPWS-FRAUD-DESC-02
009500                             PIC  X(32)      VALUE
009600                               '00000000000NDAILY SALES NBR     '.
009700         05  MMFPWS-FRAUD-DESC-03
009800                             PIC  X(32)      VALUE
009900                               '00000000000ADAILY RETURNS AMT   '.
010000         05  MMFPWS-FRAUD-DESC-04
010100                             PIC  X(32)      VALUE
010200                               '00000000000NDAILY RETURNS NBR   '.
010300         05  MMFPWS-FRAUD-DESC-05
010400                             PIC  X(32)      VALUE
010500                               '00000000000ADAILY AUTHS AMT     '.
010600         05  MMFPWS-FRAUD-DESC-06
010700                             PIC  X(32)      VALUE
010800                               '00000000000NDAILY AUTHS NBR     '.
010900         05  MMFPWS-FRAUD-DESC-07
011000                             PIC  X(32)      VALUE
011100                               '00000000000ADAILY CHGBK CR AMT  '.
011200         05  MMFPWS-FRAUD-DESC-08
011300                             PIC  X(32)      VALUE
011400                               '00000000000NDAILY CHGBK NBR     '.
011500         05  MMFPWS-FRAUD-DESC-09
011600                             PIC  X(32)      VALUE
011700                               '00000000000ADAILY RET REQ AMT   '.
011800         05  MMFPWS-FRAUD-DESC-10
011900                             PIC  X(32)      VALUE
012000                               '00000000000NDAILY RET REQ NBR   '.
012100         05  MMFPWS-FRAUD-DESC-11
012200                             PIC  X(32)      VALUE
012300                               '00000000000ADAILY AVERAGE TKT   '.
012400         05  MMFPWS-FRAUD-DESC-12
012500                             PIC  X(32)      VALUE
012600                               '00000000000NDAILY TRANS NBR     '.
012700         05  MMFPWS-FRAUD-DESC-13
012800                             PIC  X(32)      VALUE
012900                               '00000000000ADAILY MER DEP AMT   '.
013000         05  MMFPWS-FRAUD-DESC-14
013100                             PIC  X(32)      VALUE
013200                               '00000000000NDAILY MER DEP NBR   '.
013300         05  MMFPWS-FRAUD-DESC-15
013400                             PIC  X(32)      VALUE
013500                               '00000000000ADLY DEP KEY-ENT AMT '.
013600         05  MMFPWS-FRAUD-DESC-16
013700                             PIC  X(32)      VALUE
013800                               '00000000000NDLY DEP KEY-ENT NBR '.
013900         05  MMFPWS-FRAUD-DESC-17
014000                             PIC  X(32)      VALUE
014100                               '00000000000ADLY AUTH KEY-ENT AMT'.
014200         05  MMFPWS-FRAUD-DESC-18
014300                             PIC  X(32)      VALUE
014400                               '00000000000NDLY AUTH KEY-ENT NBR'.
014500         05  MMFPWS-FRAUD-DESC-19
014600                             PIC  X(32)      VALUE
014700                               '00000000000A                    '.
014800         05  MMFPWS-FRAUD-DESC-20
014900                             PIC  X(32)      VALUE
015000                               '00000000000A                    '.
015100         05  MMFPWS-FRAUD-DESC-21
015200                             PIC  X(32)      VALUE
015300                               '00000000000A                    '.
015400         05  MMFPWS-FRAUD-DESC-22
015500                             PIC  X(32)      VALUE
015600                               '00000000000A                    '.
015700         05  MMFPWS-FRAUD-DESC-23
015800                             PIC  X(32)      VALUE
015900                               '00000000000A                    '.
016000         05  MMFPWS-FRAUD-DESC-24
016100                             PIC  X(32)      VALUE
016200                               '00000000000A                    '.
016300         05  MMFPWS-FRAUD-DESC-25
016400                             PIC  X(32)      VALUE
016500                               '00000000000A                    '.
016600         05  MMFPWS-FRAUD-DESC-26
016700                             PIC  X(32)      VALUE
016800                               '00000000000A                    '.
016900         05  MMFPWS-FRAUD-DESC-27
017000                             PIC  X(32)      VALUE
017100                               '00000000000A                    '.
017200         05  MMFPWS-FRAUD-DESC-28
017300                             PIC  X(32)      VALUE
017400                               '00000000000A                    '.
017500         05  MMFPWS-FRAUD-DESC-29
017600                             PIC  X(32)      VALUE
017700                               '00000000000A                    '.
017800         05  MMFPWS-FRAUD-DESC-30
017900                             PIC  X(32)      VALUE
018000                               '00000000000A                    '.
018100         05  MMFPWS-FRAUD-DESC-31
018200                             PIC  X(32)      VALUE
018300                               '00000000000AWEEKLY SALES AMT    '.
018400         05  MMFPWS-FRAUD-DESC-32
018500                             PIC  X(32)      VALUE
018600                               '00000000000NWEEKLY SALES NBR    '.
018700         05  MMFPWS-FRAUD-DESC-33
018800                             PIC  X(32)      VALUE
018900                               '00000000000AWEEKLY DEPOSIT AMT  '.
019000         05  MMFPWS-FRAUD-DESC-34
019100                             PIC  X(32)      VALUE
019200                               '00000000000NWEEKLY DEPOSIT NBR  '.
019300         05  MMFPWS-FRAUD-DESC-35
019400                             PIC  X(32)      VALUE
019500                               '00000000000AWEEKLY RETURNS AMT  '.
019600         05  MMFPWS-FRAUD-DESC-36
019700                             PIC  X(32)      VALUE
019800                               '00000000000NWEEKLY RETURNS NBR  '.
019900         05  MMFPWS-FRAUD-DESC-37
020000                             PIC  X(32)      VALUE
020100                               '00000000000AWEEKLY CHGBK AMT    '.
020200         05  MMFPWS-FRAUD-DESC-38
020300                             PIC  X(32)      VALUE
020400                               '00000000000NWEEKLY CHGBK NBR    '.
020500         05  MMFPWS-FRAUD-DESC-39
020600                             PIC  X(32)      VALUE
020700                               '00000000000A                    '.
020800         05  MMFPWS-FRAUD-DESC-40
020900                             PIC  X(32)      VALUE
021000                               '00000000000A                    '.
021100         05  MMFPWS-FRAUD-DESC-41
021200                             PIC  X(32)      VALUE
021300                               '00000000000AM-T-D CHGBK MEMO AMT'.
021400         05  MMFPWS-FRAUD-DESC-42
021500                             PIC  X(32)      VALUE
021600                               '00000000000NM-T-D CHGBK MEMO NBR'.
021700         05  MMFPWS-FRAUD-DESC-43
021800                             PIC  X(32)      VALUE
021900                               '00000000000AM-T-D SALES AMT     '.
022000         05  MMFPWS-FRAUD-DESC-44
022100                             PIC  X(32)      VALUE
022200                               '00000000000AM-T-D RETURNS AMT   '.
022300         05  MMFPWS-FRAUD-DESC-45
022400                             PIC  X(32)      VALUE
022500                               '00000000000AM-T-D REFUNDS AMT   '.
022600         05  MMFPWS-FRAUD-DESC-46
022700                             PIC  X(32)      VALUE
022800                               '00000000000NM-T-D CHGBK NBR     '.
022900         05  MMFPWS-FRAUD-DESC-47
023000                             PIC  X(32)      VALUE
023100                               '00000000000A                    '.
023200         05  MMFPWS-FRAUD-DESC-48
023300                             PIC  X(32)      VALUE
023400                               '00000000000A                    '.
023500         05  MMFPWS-FRAUD-DESC-49
023600                             PIC  X(32)      VALUE
023700                               '00000000000N%CHARGEBACKS:SALES  '.
023800         05  MMFPWS-FRAUD-DESC-50
023900                             PIC  X(32)      VALUE
024000                               '00000000000N%CREDITS:SALES      '.
024100         05  MMFPWS-FRAUD-DESC-51
024200                             PIC  X(32)      VALUE
024300                               '00000000000N%KEYED:SWIPED SALES '.
024400         05  MMFPWS-FRAUD-DESC-52
024500                             PIC  X(32)      VALUE
024600                               '00000000000A%TRANS BELOW FLR LMT'.
024700         05  MMFPWS-FRAUD-DESC-53
024800                             PIC  X(32)      VALUE
024900                               '00000000000N%KEYED:SWIPED AUTHS '.
025000         05  MMFPWS-FRAUD-DESC-54
025100                             PIC  X(32)      VALUE
025200                               '00000000000A%RETRIEVAL REQ:SALES'.
025300         05  MMFPWS-FRAUD-DESC-55
025400                             PIC  X(32)      VALUE
025500                               '00000000000A%DECLINES:AUTH RESP '.
025600         05  MMFPWS-FRAUD-DESC-56
025700                             PIC  X(32)      VALUE
025800                               '00000000000A                    '.
025900         05  MMFPWS-FRAUD-DESC-57
026000                             PIC  X(32)      VALUE
026100                               '00000000000A                    '.
026200         05  MMFPWS-FRAUD-DESC-58
026300                             PIC  X(32)      VALUE
026400                               '00000000000A                    '.
026500         05  MMFPWS-FRAUD-DESC-59
026600                             PIC  X(32)      VALUE
026700                               '00000000000A                    '.
026800         05  MMFPWS-FRAUD-DESC-60
026900                             PIC  X(32)      VALUE
027000                               '00000000000A                    '.
027100         05  MMFPWS-FRAUD-DESC-61
027200                             PIC  X(32)      VALUE
027300                               '00000000000AINDIV SALE EXCEEDED '.
027400         05  MMFPWS-FRAUD-DESC-62
027500                             PIC  X(32)      VALUE
027600                               '00000000000AINDIV AUTH EXCEEDED '.
027700         05  MMFPWS-FRAUD-DESC-63
027800                             PIC  X(32)      VALUE
027900                               '00000000000NDAYS LAST DEP EXCEED'.
028000         05  MMFPWS-FRAUD-DESC-64
028100                             PIC  X(32)      VALUE
028200                               '00000000000NMON NBR CHGBK EXCEED'.
028300         05  MMFPWS-FRAUD-DESC-65
028400                             PIC  X(32)      VALUE
028500                               '00000000000AWEEK GR SALES EXCEED'.
028600         05  MMFPWS-FRAUD-DESC-66
028700                             PIC  X(32)      VALUE
028800                               '00000000000NPL AUTHS BELOW FLOOR'.
028900         05  MMFPWS-FRAUD-DESC-67
029000                             PIC  X(32)      VALUE
029100                               '00000000000NMC AUTHS BELOW FLOOR'.
029200         05  MMFPWS-FRAUD-DESC-68
029300                             PIC  X(32)      VALUE
029400                               '00000000000NVI AUTHS BELOW FLOOR'.
029500         05  MMFPWS-FRAUD-DESC-69
029600                             PIC  X(32)      VALUE
029700                               '00000000000NVISA ELAPSED DAY AVG'.
029800         05  MMFPWS-FRAUD-DESC-70
029900                             PIC  X(32)      VALUE
030000                               '00000000000NM/C ELAPSED DAY AVG '.
030100         05  MMFPWS-FRAUD-DESC-71
030200                             PIC  X(32)      VALUE
030300                               '00000000000NNBR DUP C-H IN BATCH'.
030400         05  MMFPWS-FRAUD-DESC-72
030500                             PIC  X(32)      VALUE
030600                               '00000000000NNBR DUP C-H BY DAY  '.
030700         05  MMFPWS-FRAUD-DESC-73
030800                             PIC  X(32)      VALUE
030900                               '00000000000A                    '.
031000         05  MMFPWS-FRAUD-DESC-74
031100                             PIC  X(32)      VALUE
031200                               '00000000000A                    '.
031300         05  MMFPWS-FRAUD-DESC-75
031400                             PIC  X(32)      VALUE
031500                               '00000000000A                    '.
031600         05  MMFPWS-FRAUD-DESC-76
031700                             PIC  X(32)      VALUE
031800                               '00000000000A                    '.
031900         05  MMFPWS-FRAUD-DESC-77
032000                             PIC  X(32)      VALUE
032100                               '00000000000A                    '.
032200         05  MMFPWS-FRAUD-DESC-78
032300                             PIC  X(32)      VALUE
032400                               '00000000000A                    '.
032500         05  MMFPWS-FRAUD-DESC-79
032600                             PIC  X(32)      VALUE
032700                               '00000000000AAMT DUP C-H BY DAY  '.
032800         05  MMFPWS-FRAUD-DESC-80
032900                             PIC  X(32)      VALUE
033000                               '00000000000A                    '.
033100         05  MMFPWS-FRAUD-DESC-81
033200                             PIC  X(32)      VALUE
033300                               '00000000000NNBR DUP C-H DAY/STOR'.
033400         05  MMFPWS-FRAUD-DESC-82
033500                             PIC  X(32)      VALUE
033600                               '00000000000NNBR DUP BIN DAY/STOR'.
033700         05  MMFPWS-FRAUD-DESC-83
033800                             PIC  X(32)      VALUE
033900                               '00000000000A                    '.
034000         05  MMFPWS-FRAUD-DESC-84
034100                             PIC  X(32)      VALUE
034200                               '00000000000A                    '.
034300         05  MMFPWS-FRAUD-DESC-85
034400                             PIC  X(32)      VALUE
034500                               '00000000000A                    '.
034600         05  MMFPWS-FRAUD-DESC-86
034700                             PIC  X(32)      VALUE
034800                               '00000000000A                    '.
034900         05  MMFPWS-FRAUD-DESC-87
035000                             PIC  X(32)      VALUE
035100                               '00000000000A                    '.
035200         05  MMFPWS-FRAUD-DESC-88
035300                             PIC  X(32)      VALUE
035400                               '00000000000A                    '.
035500         05  MMFPWS-FRAUD-DESC-89
035600                             PIC  X(32)      VALUE
035700                               '00000000000AAMT DUP C-H DAY/STOR'.
035800         05  MMFPWS-FRAUD-DESC-90
035900                             PIC  X(32)      VALUE
036000                               '00000000000AAMT DUP BIN DAY/STOR'.
036100         05  MMFPWS-FRAUD-DESC-91
036200                             PIC  X(32)      VALUE
036300                               '00000000000A                    '.
036400         05  MMFPWS-FRAUD-DESC-92
036500                             PIC  X(32)      VALUE
036600                               '00000000000A                    '.
036700         05  MMFPWS-FRAUD-DESC-93
036800                             PIC  X(32)      VALUE
036900                               '00000000000A                    '.
037000         05  MMFPWS-FRAUD-DESC-94
037100                             PIC  X(32)      VALUE
037200                               '00000000000A                    '.
037300         05  MMFPWS-FRAUD-DESC-95
037400                             PIC  X(32)      VALUE
037500                               '00000000000A                    '.
037600         05  MMFPWS-FRAUD-DESC-96
037700                             PIC  X(32)      VALUE
037800                               '00000000000A                    '.
037900         05  MMFPWS-FRAUD-DESC-97
038000                             PIC  X(32)      VALUE
038100                               '00000000000A                    '.
038200         05  MMFPWS-FRAUD-DESC-98
038300                             PIC  X(32)      VALUE
038400                               '00000000000A                    '.
038500         05  MMFPWS-FRAUD-DESC-99
038600                             PIC  X(32)      VALUE
038700                               '00000000000A                    '.
038800     03  MMFPWS-FRAUD-DESCRIPTIONS-R
038900                             REDEFINES MMFPWS-FRAUD-DESCRIPTIONS.
039000         05  MMFPWS-FRAUD-DESC-TABLE-X.
039100             07  MMFPWS-FRAUD-DESC-TABLE     OCCURS 99 TIMES
039200                                             INDEXED BY
039300                                             X-MMFPWS-FRAUD.
039400                 09  MMFPWS-FRAUD-COUNT
039500                             PIC  9(11).
039600                 09  MMFPWS-FRAUD-TOTAL-TYPE
039700                             PIC  X(01).
039800                     88  MMFPWS-FTT-AMOUNT   VALUE 'A'.
039900                     88  MMFPWS-FTT-NUMBER   VALUE 'N'.
040000                 09  MMFPWS-FRAUD-DESC
040100                             PIC  X(20).
040200                     88  MMFPWS-FD-NOT-USED  VALUE SPACES.
040300*
040400*
040500*
040600*       ***************************************************
040700*       *              END OF COPYBOOK MMFPWS             *
040800*       ***************************************************
