000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMFSIR ---- MERCHANT FIELD SECURITY RECORD ---- 4080 BYTES   *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMFSIR-RECORD.
001000     03  MMFSIR-KEY.
001100         05  MMFSIR-ORG-FS-CODE.
001200             88  MMFSIR-HEADER               VALUE '000 '.
001300             88  MMFSIR-TRAILER              VALUE '999 '.
001400             07  MMFSIR-ORG-X.
001500                 09  MMFSIR-ORG
001600                             PIC  9(03)      VALUE ZERO.
001700             07  MMFSIR-FS-CODE
001800                             PIC  X(01)      VALUE SPACES.
001900                 88  MMFSIR-VALID-FS-CODE    VALUE SPACE
002000                                                   'A' THRU 'Z'
002100                                                   '0' THRU '9'.
002200*
002300     03  MMFSIR-STATUS-INFORMATION.
002400         05  MMFSIR-REC-STATUS
002500                             PIC  9(01)      VALUE ZERO.
002600             88  MMFSIR-REC-INCOMPLETE       VALUE 0.
002700             88  MMFSIR-REC-ACTIVE           VALUE 1.
002800             88  MMFSIR-REC-INACTIVE         VALUE 2.
002900             88  MMFSIR-REC-PURGED           VALUE 9.
003000         05  MMFSIR-ONLINE-STATUS
003100                             PIC  9(02)      VALUE ZERO.
003200             88  MMFSIR-ADD-PENDING          VALUE 00 THRU 49.
003300             88  MMFSIR-ADD-COMPLETE         VALUE 99.
003400         05  MMFSIR-LAST-MAINT-DATE
003500                             PIC S9(07)      COMP-3 VALUE ZERO.
003600         05  MMFSIR-LAST-MAINT-OPER
003700                             PIC  X(03)      VALUE SPACES.
003800*
003900     03  MMFSIR-NAME         PIC  X(30)      VALUE SPACES.
004000*
004100     03  MMFSIR-MERCHANT-DATA.
004200         05  MMFSIR-MERCHANT-TABLE           OCCURS 1000 TIMES
004300                                             INDEXED BY
004400                                             X-MMFSIR-MERCH.
004500             07  MMFSIR-MT-FIELD-ATTR
004600                             PIC  9(01)      VALUE ZERO.
004700                 88  MMFSIR-MT-OPTIONAL      VALUE 0 2.
004800                 88  MMFSIR-MT-REQUIRED      VALUE 1 3.
004900                 88  MMFSIR-MT-NO-MAINT      VALUE 2 3.
005000                 88  MMFSIR-MT-MAINT-ONLY    VALUE 4.
005100                 88  MMFSIR-MT-MAINT-ALLOWED VALUE 0 1 4.
005200                 88  MMFSIR-MT-NO-ACCESS     VALUE 5.
005300                 88  MMFSIR-MT-INQ-ONLY      VALUE 6.
005400                 88  MMFSIR-MT-VALID-FIELD-ATTR
005500                                             VALUE 0 1 2 3 4 5 6.
005600             07  MMFSIR-MT-AUDIT-CODE
005700                             PIC  X(01)      VALUE 'N'.
005800                 88  MMFSIR-MT-AUDIT-REPORT  VALUE 'Y'.
005900                 88  MMFSIR-MT-NO-AUDIT-REPORT
006000                                             VALUE 'N'.
006100                 88  MMFSIR-MT-VALID-AUDIT-CODE
006200                                             VALUE 'Y' 'N'.
006300*
006400     03  MMFSIR-STORE-DATA.
006500         05  MMFSIR-STORE-TABLE              OCCURS 1000 TIMES
006600                                             INDEXED BY
006700                                             X-MMFSIR-STORE.
006800             07  MMFSIR-ST-FIELD-ATTR
006900                             PIC  9(01)      VALUE ZERO.
007000                 88  MMFSIR-ST-OPTIONAL      VALUE 0 2.
007100                 88  MMFSIR-ST-REQUIRED      VALUE 1 3.
007200                 88  MMFSIR-ST-NO-MAINT      VALUE 2 3.
007300                 88  MMFSIR-ST-MAINT-ONLY    VALUE 4.
007400                 88  MMFSIR-ST-MAINT-ALLOWED VALUE 0 1 4.
007500                 88  MMFSIR-ST-NO-ACCESS     VALUE 5.
007600                 88  MMFSIR-ST-INQ-ONLY      VALUE 6.
007700                 88  MMFSIR-ST-VALID-FIELD-ATTR
007800                                             VALUE 0 1 2 3 4 5 6.
007900             07  MMFSIR-ST-AUDIT-CODE
008000                             PIC  X(01)      VALUE 'N'.
008100                 88  MMFSIR-ST-AUDIT-REPORT  VALUE 'Y'.
008200                 88  MMFSIR-ST-NO-AUDIT-REPORT
008300                                             VALUE 'N'.
008400                 88  MMFSIR-ST-VALID-AUDIT-CODE
008500                                             VALUE 'Y' 'N'.
008600*
008700     03  FILLER              PIC  X(36)      VALUE SPACES.
008800*
008900*       ***************************************************
009000*       *              END OF COPYBOOK MMFSIR             *
009100*       ***************************************************
