000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMICIR -------- INVENTORY CONTROL RECORD ------- 2700 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMICIR-RECORD.
001000     03  MMICIR-KEY.
001100         05  MMICIR-ORG-MERCHANT.
001200             88  MMICIR-HEADER               VALUE ZERO.
001300             88  MMICIR-TRAILER              VALUE ALL '9'.
001400             07  MMICIR-ORG-X.
001500                 09  MMICIR-ORG
001600                             PIC  9(03)      VALUE ZERO.
001700             07  MMICIR-MERCHANT-X.
001800                 09  MMICIR-MERCHANT
001900                             PIC  9(09)      VALUE ZERO.
002000         05  MMICIR-TYPE     PIC  X(01)      VALUE 'M'.
002100             88  MMICIR-TYPE-IS-MERCHANT     VALUE 'M'.
002200             88  MMICIR-TYPE-IS-STORE        VALUE 'S'.
002300*
002400     03  MMICIR-STATUS-INFORMATION.
002500         05  MMICIR-REC-STATUS
002600                             PIC  9(01)      VALUE ZERO.
002700             88  MMICIR-REC-INCOMPLETE       VALUE 0.
002800             88  MMICIR-REC-ACTIVE           VALUE 1.
002900             88  MMICIR-REC-INACTIVE         VALUE 2.
003000             88  MMICIR-REC-PURGED           VALUE 9.
003100         05  MMICIR-ONLINE-STATUS
003200                             PIC  9(02)      VALUE ZERO.
003300             88  MMICIR-ADD-PENDING          VALUE 00 THRU 49.
003400             88  MMICIR-ADD-COMPLETED        VALUE 99.
003500         05  MMICIR-LAST-MAINT-DATE
003600                             PIC S9(07)      COMP-3 VALUE ZERO.
003700         05  MMICIR-LAST-MAINT-OPER
003800                             PIC  X(03)      VALUE SPACES.
003900*
004000*****************************************************************
004100*                             DATES                             *
004200*****************************************************************
004300*
004400     03  MMICIR-DATES.
004500         05  MMICIR-DATE-FIRST-SHIPMENT
004600                             PIC S9(07)      COMP-3 VALUE ZERO.
004700         05  MMICIR-DATE-LAST-SHIPMENT
004800                             PIC S9(07)      COMP-3 VALUE ZERO.
004900         05  MMICIR-DATE-NEXT-SHIPMENT
005000                             PIC S9(07)      COMP-3 VALUE ZERO.
005100*
005200*****************************************************************
005300*                 NAME AND ADDRESS INFORMATION                  *
005400*****************************************************************
005500*
005600     03  MMICIR-DEMOGRAPHICS-AREA.
005700         05  MMICIR-DEMOGRAPHICS-TABLE       OCCURS 2 TIMES
005800                                             INDEXED BY
005900                                             X-MMICIR-DEMOGRAPHICS
006000                                             X-MMICIR-PRIMARY
006100                                             X-MMICIR-SECONDARY.
006200             07  MMICIR-GNA-NBR
006300                             PIC  X(19)      VALUE SPACES.
006400             07  MMICIR-NA-LINES-TABLE
006500                                             OCCURS 5 TIMES
006600                                             INDEXED BY
006700                                             X-MMICIR-NA.
006800                 09  MMICIR-NA-LINE
006900                             PIC  X(40)      VALUE SPACES.
007000             07  MMICIR-NA-OVERFLOW-SW
007100                             PIC  X(01)      VALUE 'N'.
007200                 88  MMICIR-NA-OVERFLOW-YES  VALUE 'Y'.
007300                 88  MMICIR-NA-OVERFLOW-NO   VALUE 'N'.
007400             07  MMICIR-COUNTRY-CODE
007500                             PIC  X(03)      VALUE SPACES.
007600             07  MMICIR-STATE-CODE
007700                             PIC  X(03)      VALUE SPACES.
007800             07  MMICIR-POSTAL-CODE
007900                             PIC  X(10)      VALUE SPACES.
008000             07  MMICIR-PHONE
008100                             PIC  X(20)      VALUE SPACES.
008200             07  MMICIR-FAX
008300                             PIC  X(20)      VALUE SPACES.
008400*
008500     03  MMICIR-DEMOGRAPHICS-CONTROLS.
008600         05  MMICIR-STMT-ADDR-CONTROL
008700                             PIC  X(01)      VALUE 'P'.
008800             88  MMICIR-SAC-USE-PRIMARY      VALUE 'P'.
008900             88  MMICIR-SAC-USE-SECONDARY    VALUE 'S'.
009000             88  MMICIR-SAC-IS-VALID         VALUE 'P' 'S'.
009100*
009200*****************************************************************
009300*                      INVENTORY CONTROL                        *
009400*****************************************************************
009500*
009600     03  MMICIR-INVENTORY-USED-FLAG
009700                             PIC  X(01)      VALUE 'N'.
009800*
009900     03  MMICIR-INVENTORY-INFO.
010000         05  MMICIR-INVENTORY-ELEMENT        OCCURS 18 TIMES
010100                                             INDEXED BY
010200                                             X-MMICIR-INVENTORY.
010300             07  MMICIR-ITEM-CODE
010400                             PIC  X(15)      VALUE SPACES.
010500             07  MMICIR-ITEM-DESC
010600                             PIC  X(30)      VALUE SPACES.
010700             07  MMICIR-BUNDLE-AMT
010800                             PIC S9(07)      COMP-3 VALUE ZERO.
010900             07  MMICIR-BUNDLE-QTY
011000                             PIC S9(07)      COMP-3 VALUE ZERO.
011100             07  MMICIR-QTY-ON-HAND
011200                             PIC S9(07)      COMP-3 VALUE ZERO.
011300             07  MMICIR-NORM-SHIPMENT-QTY
011400                             PIC S9(07)      COMP-3 VALUE ZERO.
011500             07  MMICIR-NORM-SHIPMENT-FREQ
011600                             PIC  9(02)      VALUE ZERO.
011700                 88  MMICIR-NSF-NOT-USED     VALUE ZERO.
011800                 88  MMICIR-NSF-AUTOMATIC    VALUE 01 THRU 98.
011900                 88  MMICIR-NSF-MANUAL       VALUE 99.
012000                 88  MMICIR-VALID-SHIPMENT-FREQ
012100                                             VALUE ZERO THRU 99.
012200             07  MMICIR-NEXT-SHIPMENT-QTY
012300                             PIC S9(07)      COMP-3 VALUE ZERO.
012400             07  MMICIR-NEXT-SHIPMENT-OPER
012500                             PIC  X(03)      VALUE SPACES.
012600             07  MMICIR-NEXT-SHIPMENT-DATE
012700                             PIC S9(07)      COMP-3 VALUE ZERO.
012800             07  MMICIR-LAST-SHIPMENT-QTY
012900                             PIC S9(07)      COMP-3 VALUE ZERO.
013000             07  MMICIR-LAST-SHIPMENT-OPER
013100                             PIC  X(03)      VALUE SPACES.
013200             07  MMICIR-LAST-SHIPMENT-DATE
013300                             PIC S9(07)      COMP-3 VALUE ZERO.
013400*
013500*****************************************************************
013600*                  OTHER ASSOCIATIONS DATA                      *
013700*****************************************************************
013800*
013900     03  MMICIR-OTHER-ASSOC-INFO.
014000         05  MMICIR-OTHER-ASSOC-ELEMENT
014100                                             OCCURS 35 TIMES
014200                                             INDEXED BY
014300                                             X-MMICIR-OTHER-ASSOC.
014400             07  MMICIR-OTHER-ASSOC-ID
014500                             PIC S9(09)      COMP-3 VALUE ZERO.
014600             07  MMICIR-OTHER-ASSOC-TYPE
014700                             PIC  X(01)      VALUE SPACES.
014800*
014900     03  MMICIR-USER-FILLER  PIC  X(100)     VALUE SPACES.
015000*
015100     03  MMICIR-FILLER       PIC  X(271)     VALUE SPACES.
015200*
015300*       ***************************************************
015400*       *              END OF COPYBOOK MMICIR             *
015500*       ***************************************************
