000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMICRL -------- INVENTORY CONTROL RECORD ------- 2700 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMIC-RECORD.
001000     03  MMIC-KEY.
001100         05  MMIC-ORG-MERCHANT.
001200             88  MMIC-HEADER                 VALUE ZERO.
001300             88  MMIC-TRAILER                VALUE ALL '9'.
001400             07  MMIC-ORG-X.
001500                 09  MMIC-ORG
001600                             PIC  9(03).
001700             07  MMIC-MERCHANT-X.
001800                 09  MMIC-MERCHANT
001900                             PIC  9(09).
002000         05  MMIC-ORG-STORE
002100                             REDEFINES MMIC-ORG-MERCHANT.
002200             07  FILLER      PIC  X(03).
002300             07  MMIC-STORE-X.
002400                 09  MMIC-STORE
002500                             PIC  9(09).
002600         05  MMIC-TYPE       PIC  X(01).
002700             88  MMIC-TYPE-IS-MERCHANT       VALUE 'M'.
002800             88  MMIC-TYPE-IS-STORE          VALUE 'S'.
002900*
003000     03  MMIC-STATUS-INFORMATION.
003100         05  MMIC-REC-STATUS PIC  9(01).
003200             88  MMIC-REC-INCOMPLETE         VALUE 0.
003300             88  MMIC-REC-ACTIVE             VALUE 1.
003400             88  MMIC-REC-INACTIVE           VALUE 2.
003500             88  MMIC-REC-PURGED             VALUE 9.
003600         05  MMIC-ONLINE-STATUS
003700                             PIC  9(02).
003800             88  MMIC-ADD-PENDING            VALUE 00 THRU 49.
003900             88  MMIC-ADD-COMPLETED          VALUE 99.
004000         05  MMIC-LAST-MAINT-DATE
004100                             PIC S9(07)      COMP-3.
004200         05  MMIC-LAST-MAINT-OPER
004300                             PIC  X(03).
004400*
004500*****************************************************************
004600*                             DATES                             *
004700*****************************************************************
004800*
004900     03  MMIC-DATES.
005000         05  MMIC-DATE-FIRST-SHIPMENT
005100                             PIC S9(07)      COMP-3.
005200         05  MMIC-DATE-LAST-SHIPMENT
005300                             PIC S9(07)      COMP-3.
005400         05  MMIC-DATE-NEXT-SHIPMENT
005500                             PIC S9(07)      COMP-3.
005600*
005700*****************************************************************
005800*                 NAME AND ADDRESS INFORMATION                  *
005900*****************************************************************
006000*
006100     03  MMIC-DEMOGRAPHICS-AREA.
006200         05  MMIC-DEMOGRAPHICS-TABLE         OCCURS 2 TIMES
006300                                             INDEXED BY
006400                                             X-MMIC-DEMOGRAPHICS
006500                                             X-MMIC-PRIMARY
006600                                             X-MMIC-SECONDARY.
006700             07  MMIC-GNA-NBR
006800                             PIC  X(19).
006900             07  MMIC-NA-LINES-TABLE
007000                                             OCCURS 5 TIMES
007100                                             INDEXED BY
007200                                             X-MMIC-NA.
007300                 09  MMIC-NA-LINE
007400                             PIC  X(40).
007500             07  MMIC-NA-OVERFLOW-SW
007600                             PIC  X(01).
007700                 88  MMIC-NA-OVERFLOW-YES    VALUE 'Y'.
007800                 88  MMIC-NA-OVERFLOW-NO     VALUE 'N'.
007900             07  MMIC-COUNTRY-CODE
008000                             PIC  X(03).
008100             07  MMIC-STATE-CODE
008200                             PIC  X(03).
008300             07  MMIC-POSTAL-CODE
008400                             PIC  X(10).
008500             07  MMIC-PHONE
008600                             PIC  X(20).
008700             07  MMIC-FAX
008800                             PIC  X(20).
008900*
009000     03  MMIC-DEMOGRAPHICS-CONTROLS.
009100         05  MMIC-STMT-ADDR-CONTROL
009200                             PIC  X(01).
009300             88  MMIC-SAC-USE-PRIMARY        VALUE 'P'.
009400             88  MMIC-SAC-USE-SECONDARY      VALUE 'S'.
009500             88  MMIC-SAC-IS-VALID           VALUE 'P' 'S'.
009600*
009700*****************************************************************
009800*                      INVENTORY CONTROL                        *
009900*****************************************************************
010000*
010100     03  MMIC-INVENTORY-USED-FLAG
010200                             PIC  X(01).
010300         88  MMIC-INVENTORY-IS-USED          VALUE 'Y'.
010400         88  MMIC-INVENTORY-IS-NOT-USED      VALUE 'N'.
010500         88  MMIC-VALID-INVENTORY-USED-FLAG  VALUE 'Y' 'N'.
010600*
010700     03  MMIC-INVENTORY-INFO.
010800         05  MMIC-INVENTORY-ELEMENT          OCCURS 18 TIMES
010900                                             INDEXED BY
011000                                             X-MMIC-INVENTORY.
011100             07  MMIC-ITEM-CODE
011200                             PIC  X(15).
011300             07  MMIC-ITEM-DESC
011400                             PIC  X(30).
011500             07  MMIC-BUNDLE-AMT
011600                             PIC S9(07)      COMP-3.
011700             07  MMIC-BUNDLE-QTY
011800                             PIC S9(07)      COMP-3.
011900             07  MMIC-QTY-ON-HAND
012000                             PIC S9(07)      COMP-3.
012100             07  MMIC-NORM-SHIPMENT-QTY
012200                             PIC S9(07)      COMP-3.
012300             07  MMIC-NORM-SHIPMENT-FREQ
012400                             PIC  9(02).
012500                 88  MMIC-NSF-NOT-USED       VALUE ZERO.
012600                 88  MMIC-NSF-AUTOMATIC      VALUE 01 THRU 98.
012700                 88  MMIC-NSF-MANUAL         VALUE 99.
012800                 88  MMIC-VALID-SHIPMENT-FREQ
012900                                             VALUE ZERO THRU 99.
013000             07  MMIC-NEXT-SHIPMENT-QTY
013100                             PIC S9(07)      COMP-3.
013200             07  MMIC-NEXT-SHIPMENT-OPER
013300                             PIC  X(03).
013400             07  MMIC-NEXT-SHIPMENT-DATE
013500                             PIC S9(07)      COMP-3.
013600             07  MMIC-LAST-SHIPMENT-QTY
013700                             PIC S9(07)      COMP-3.
013800             07  MMIC-LAST-SHIPMENT-OPER
013900                             PIC  X(03).
014000             07  MMIC-LAST-SHIPMENT-DATE
014100                             PIC S9(07)      COMP-3.
014200*
014300*****************************************************************
014400*                  OTHER ASSOCIATIONS DATA                      *
014500*****************************************************************
014600*
014700     03  MMIC-OTHER-ASSOC-INFO.
014800         05  MMIC-OTHER-ASSOC-ELEMENT
014900                                             OCCURS 35 TIMES
015000                                             INDEXED BY
015100                                             X-MMIC-OTHER-ASSOC.
015200             07  MMIC-OTHER-ASSOC-ID
015300                             PIC S9(09)      COMP-3.
015400             07  MMIC-OTHER-ASSOC-TYPE
015500                             PIC  X(01).
015600*
015700     03  MMIC-USER-FILLER    PIC  X(100).
015800*
015900     03  MMIC-FILLER         PIC  X(271).
016000*
016100*       ***************************************************
016200*       *              END OF COPYBOOK MMICRL             *
016300*       ***************************************************
