000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMMPRL --- MERCHANT PRODUCTS ASSIGNMENTS FILE---  110 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMMP-RECORD.
001000     03  MMMP-KEY.
001100         05  MMMP-ORG-MERCHANT.
001200             88  MMMP-HEADER                 VALUE ZERO.
001300             88  MMMP-TRAILER                VALUE ALL '9'.
001400             07  MMMP-ORG-X.
001500                 09  MMMP-ORG
001600                             PIC  9(03).
001700             07  MMMP-MERCHANT-X.
001800                 09  MMMP-MERCHANT
001900                             PIC  9(09).
002000         05  MMMP-PRODUCT-X.
002100             07  MMMP-PRODUCT
002200                             PIC  9(02).
002300                 88  MMMP-NON-PRODUCT        VALUE ZERO.
002400                 88  MMMP-PROD-IS-VISA       VALUE 01.
002500                 88  MMMP-PROD-IS-MC         VALUE 02.
002600                 88  MMMP-PROD-IS-PL         VALUE 03 THRU 99.
002700*
002800     03  MMMP-STATUS-INFORMATION.
002900         05  MMMP-REC-STATUS
003000                             PIC  9(01).
003100             88  MMMP-REC-INCOMPLETE         VALUE 0.
003200             88  MMMP-REC-ACTIVE             VALUE 1.
003300             88  MMMP-REC-MODEL              VALUE 3.
003400             88  MMMP-REC-PURGED             VALUE 9.
003500         05  MMMP-ONLINE-STATUS
003600                             PIC  9(02).
003700             88  MMMP-ADD-PENDING            VALUE 00 THRU 49.
003800             88  MMMP-ADD-COMPLETED          VALUE 99.
003900         05  MMMP-LAST-MAINT-DATE
004000                             PIC S9(07)      COMP-3.
004100         05  MMMP-LAST-MAINT-OPER
004200                             PIC  X(03).
004300*****************************************************************
004400*    PRODUCT DATA                                               *
004500*****************************************************************
004600*
004700     03  MMMP-PRODUCT-DATA.
004800         05  MMMP-PRODUCT-TABLE.
004900             07  MMMP-PROD-STATUS
005000                             PIC  X(01).
005100                 88  MMMP-PROD-NOT-ALLOWED   VALUE 'N'.
005200                 88  MMMP-PROD-ACTIVE        VALUE 'A'.
005300                 88  MMMP-PROD-CLOSED        VALUE 'C'.
005400                 88  MMMP-PROD-PURGED        VALUE 'P'.
005500             07  MMMP-PROD-EFF-DATE
005600                             PIC S9(07)      COMP-3.
005700             07  MMMP-PROD-SHORT-DESC
005800                             PIC  X(05).
005900             07  MMMP-PROD-SETTLE-FLAG
006000                             PIC  X(01).
006100                 88  MMMP-PROD-SETT-YES      VALUE 'Y'.
006200                 88  MMMP-PROD-SETT-NO       VALUE 'N'.
006300             07  MMMP-PROD-SOURCE
006400                             PIC  X(05).
006500             07  MMMP-PROD-DISC-RATE-TABLE
006600                             PIC S9(09)      COMP-3.
006700             07  MMMP-PROD-DISC-FEE-BASE
006800                             PIC  X(01).
006900                 88  MMMP-PDFB-GROSS-SALES   VALUE 'G'.
007000                 88  MMMP-PDFB-NET-SALES     VALUE 'N'.
007100                 88  MMMP-PDFB-GROSS-VOLUME
007200                                             VALUE 'V'.
007300             07  MMMP-PROD-PART-RATE-TABLE
007400                             PIC S9(09)      COMP-3.
007500             07  MMMP-PROD-PART-FEE-BASE
007600                             PIC  X(01).
007700                 88  MMMP-PPFB-GROSS-SALES   VALUE 'G'.
007800                 88  MMMP-PPFB-NET-SALES     VALUE 'N'.
007900                 88  MMMP-PPFB-GROSS-VOLUME
008000                                             VALUE 'V'.
008100             07  MMMP-PROD-RESV-TABLE        OCCURS 4 TIMES
008200                                             INDEXED BY
008300                                             X-MMMP-PROD-RESV.
008400                 09  MMMP-PROD-RESV-RATE-TABLE
008500                             PIC S9(09)      COMP-3.
008600                 09  MMMP-PROD-RESV-FEE-BASE
008700                             PIC  X(01).
008800                     88  MMMP-PRFB-GROSS-SALES
008900                                             VALUE 'G'.
009000                     88  MMMP-PRFB-NET-SALES
009100                                             VALUE 'N'.
009200                     88  MMMP-PRFB-GROSS-VOLUME
009300                                             VALUE 'V'.
009400             07  MMMP-PROD-INTCHG-FEE-BASE
009500                             PIC  X(01).
009600                 88  MMMP-PIFB-GROSS-SALES   VALUE 'G'.
009700                 88  MMMP-PIFB-NET-SALES     VALUE 'N'.
009800                 88  MMMP-PIFB-GROSS-VOLUME
009900                                             VALUE 'V'.
010000             07  MMMP-PROD-USER-CODE
010100                             PIC  X(02).
010200*
010300     03  FILLER              PIC  X(21).
010400*
010500     03  USER-FILLER         PIC  X(10).
010600*
010700*       ***************************************************
010800*       *              END OF COPYBOOK MMMPRL             *
010900*       ***************************************************
