000100*****************************************************************
000200*                                                               *
000300*  V - PLUS  M E R C H A N T   B A N K C A R D  S Y S T E M     *
000400*                                                               *
000500* MMRCRL ---MERCHANT RELATIONSHIP CONTROL RECORD---  1630 BYTES *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMRC-RECORD.
001000     03  MMRC-KEY.
001100         05  MMRC-ORG-CHAIN.
001200             88  MMRC-HEADER                 VALUE ZERO.
001300             88  MMRC-TRAILER                VALUE '999999999999'.
001400             07  MMRC-ORG-X.
001500                 09  MMRC-ORG
001600                             PIC  9(03).
001700             07  MMRC-CHAIN-X.
001800                 09  MMRC-CHAIN
001900                             PIC  9(09).
002000*
002100     03  MMRC-STATUS-INFORMATION.
002200         05  MMRC-REC-STATUS
002300                             PIC  9(01).
002400             88  MMRC-REC-INCOMPLETE         VALUE 0.
002500             88  MMRC-REC-ACTIVE             VALUE 1.
002600             88  MMRC-REC-INACTIVE           VALUE 2.
002700             88  MMRC-REC-PURGED             VALUE 9.
002800*
002900         05  MMRC-ONLINE-STATUS
003000                             PIC  9(02).
003100             88  MMRC-ADD-PENDING            VALUE 00 THRU 49.
003200             88  MMRC-ADD-COMPLETED          VALUE 99.
003300*
003400         05  MMRC-LAST-MAINT-DATE
003500                             PIC S9(07)      COMP-3.
003600         05  MMRC-LAST-MAINT-OPER
003700                             PIC  X(03).
003800*
003900*****************************************************************
004000*    PRIMARY DEMOGRAPHICS                                       *
004100*****************************************************************
004200*
004300     03  MMRC-DEMOGRAPHICS-AREA.
004400         05  MMRC-DEMOGRAPHICS-TABLE.
004500             07  MMRC-GNA-NBR
004600                             PIC  X(19).
004700             07  MMRC-NA-LINES-TABLE
004800                                             OCCURS 5 TIMES
004900                                             INDEXED BY
005000                                             X-MMRC-NA.
005100                 09  MMRC-NA-LINE
005200                             PIC  X(40).
005300             07  MMRC-NA-OVERFLOW-SW
005400                             PIC  X(01).
005500                 88  MMRC-NA-OVERFLOW-YES    VALUE 'Y'.
005600                 88  MMRC-NA-OVERFLOW-NO     VALUE 'N'.
005700             07  MMRC-COUNTRY-CODE
005800                             PIC  X(03).
005900             07  MMRC-STATE-CODE
006000                             PIC  X(03).
006100             07  MMRC-POSTAL-CODE
006200                             PIC  X(10).
006300             07  MMRC-PHONE
006400                             PIC  X(20).
006500             07  MMRC-FAX
006600                             PIC  X(20).
006700*
006800*****************************************************************
006900*    CHAIN PROCESSING OPTIONS AND STATIC DATA                   *
007000*****************************************************************
007100*
007200     03  MMRC-CHAIN-DATA.
007300         05  FILLER          PIC  X(30).
007400         05  MMRC-STMT-OPTION
007500                             PIC  X(01).
007600             88  MMRC-PRODUCE-CHAIN-STMT     VALUE 'Y'.
007700             88  MMRC-NO-CHAIN-STMT          VALUE 'N'.
007800*
007900         05  MMRC-DATE-LAST-STMT
008000                             PIC S9(07)      COMP-3.
008100*
008200         05  MMRC-DATE-PREV-STMT
008300                             PIC S9(07)      COMP-3.
008400*
008500         05  MMRC-BI-WEEKLY-STMT-DATE
008600                             PIC S9(07)      COMP-3.
008700*
008800         05  MMRC-STMT-FLAG
008900                             PIC  X(01).
009000             88  MMRC-NORMAL-STMT            VALUE 'N'.
009100             88  MMRC-HOLD-STMT              VALUE 'H'.
009200             88  MMRC-ONLINE-ONLY-STMT       VALUE 'O'.
009300             88  MMRC-USER-HOLD-STMT         VALUE '1' THRU '9'.
009400             88  MMRC-VALID-HOLD-STMT        VALUE 'H' 'O'
009500                                                   '1' THRU '9'.
009600*
009700         05  MMRC-STMT-MSG-FLAG-TABLE        OCCURS 5 TIMES
009800                                             INDEXED BY
009900                                             X-MMRC-STMT-MSG.
010000             07  MMRC-STMT-MSG-FLAG
010100                             PIC  X(01).
010200                 88  MMRC-STMT-MSG-PRINT     VALUE 'Y'.
010300                 88  MMRC-STMT-MSG-SUPPRESS
010400                                             VALUE 'N'.
010500                 88  MMRC-STMT-MSG-PERIODIC
010600                                             VALUE 'P'.
010700             07  MMRC-STMT-MSG-LINE-X        OCCURS 3 TIMES
010800                                             INDEXED BY
010900                                         X-MMRC-STMT-MSG-LINE.
011000                     11  MMRC-STMT-MSG-LINE
011100                             PIC  X(50).
011200*
011300         05  MMRC-STMT-FREQ-1-X.
011400             07  MMRC-STMT-FREQ-1
011500                             PIC  9(02).
011600                 88  MMRC-SF1-DAILY-STMT
011700                                             VALUE 99.
011800                 88  MMRC-SF1-WEEKLY-STMT
011900                                             VALUE 41 THRU 47.
012000                 88  MMRC-SF1-BI-WEEKLY-STMT
012100                                             VALUE 51 THRU 57.
012200                 88  MMRC-SF1-MONTHLY-STMT
012300                                             VALUE 01 THRU 31.
012400                 88  MMRC-SF1-VALID-FREQ
012500                                             VALUE 99
012600                                                   01 THRU 31
012700                                                   41 THRU 47
012800                                                   51 THRU 57.
012900         05  MMRC-STMT-FREQ-1-R
013000                             REDEFINES MMRC-STMT-FREQ-1-X.
013100             07  FILLER      PIC  9(01).
013200             07  MMRC-STMT-FREQ-1-DOW
013300                             PIC  9(01).
013400*
013500         05  MMRC-STMT-FREQ-2-X.
013600             07  MMRC-STMT-FREQ-2
013700                             PIC  9(02).
013800                 88  MMRC-SF2-NOT-USED
013900                                             VALUE 00.
014000                 88  MMRC-SF2-WEEKLY-STMT
014100                                             VALUE 41 THRU 47.
014200                 88  MMRC-SF2-MONTHLY-STMT
014300                                             VALUE 01 THRU 31.
014400                 88  MMRC-SF2-VALID-FREQ
014500                                             VALUE 00
014600                                                   01 THRU 31
014700                                                   41 THRU 47.
014800         05  MMRC-STMT-FREQ-2-R
014900                             REDEFINES MMRC-STMT-FREQ-2-X.
015000             07  FILLER      PIC  9(01).
015100             07  MMRC-STMT-FREQ-2-DOW
015200                             PIC  9(01).
015300*
015400     03  FILLER              PIC  X(294).
015500*
015600*****************************************************************
015700*    STATISTICS CONTROL AREA                                    *
015800*****************************************************************
015900*
016000*
016100******************************************************************
016200* OCCURRENCE *---------------DATA CONTENT---------------*        *
016300*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
016400*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
016500*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
016600*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
016700*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
016800*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
016900*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
017000*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
017100*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
017200*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
017300*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
017400*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
017500*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
017600*    14     MONTH-TO-DATE STATS                                  *
017700*    15     YEAR-TO-DATE STATS                                   *
017800*    16     STATEMENT CYCLE-TO-DATE STATS                        *
017900*    17     DISCOUNT-TO-DATE STATS                               *
018000*    18     PARTICIPATION-TO-DATE STATS                          *
018100******************************************************************
018200*
018300     03  MMRC-STATS-CONTROL-AREA.
018400         05  MMRC-STATS-OCCUR-TABLE          OCCURS 18 TIMES
018500                                             INDEXED BY
018600                                             X-MMRC
018700                                             X-MMRC-1
018800                                             X-MMRC-2
018900                                             X-MMRC-3
019000                                             X-MMRC-4
019100                                             X-MMRC-5
019200                                             X-MMRC-6
019300                                             X-MMRC-SEARCH.
019400             07  MMRC-OCCURRENCE-DESC.
019500                 09  MMRC-OCCURRENCE-ID
019600                             PIC  X(03).
019700                     88  MMRC-OID-JAN        VALUE 'JAN'.
019800                     88  MMRC-OID-FEB        VALUE 'FEB'.
019900                     88  MMRC-OID-MAR        VALUE 'MAR'.
020000                     88  MMRC-OID-APR        VALUE 'APR'.
020100                     88  MMRC-OID-MAY        VALUE 'MAY'.
020200                     88  MMRC-OID-JUN        VALUE 'JUN'.
020300                     88  MMRC-OID-JUL        VALUE 'JUL'.
020400                     88  MMRC-OID-AUG        VALUE 'AUG'.
020500                     88  MMRC-OID-SEP        VALUE 'SEP'.
020600                     88  MMRC-OID-OCT        VALUE 'OCT'.
020700                     88  MMRC-OID-NOV        VALUE 'NOV'.
020800                     88  MMRC-OID-DEC        VALUE 'DEC'.
020900                     88  MMRC-OID-CUR        VALUE 'CUR'.
021000                     88  MMRC-OID-MTD        VALUE 'MTD'.
021100                     88  MMRC-OID-YTD        VALUE 'YTD'.
021200                     88  MMRC-OID-CTD        VALUE 'CTD'.
021300                     88  MMRC-OID-DTD        VALUE 'DTD'.
021400                     88  MMRC-OID-PTD        VALUE 'PTD'.
021500                 09  MMRC-OCCURRENCE-YEAR
021600                             PIC  9(04).
021700*
021800*****************************************************************
021900*    INTERNATIONAL DATA                                         *
022000*****************************************************************
022100*
022200     03  MMRC-INTERNATIONAL-DATA.
022300         05  MMRC-EURO-REPORTING-FLAG
022400                             PIC  X(01).
022500             88  MMRC-EURO-REPORTING-OFF     VALUE ZERO.
022600             88  MMRC-EURO-REPORTING-ON      VALUE '1'.
022700         05  MMRC-DUAL-CURRENCY-ORG
022800                             PIC  9(03).
022900             88  MMRC-DUAL-CURRENCY-OFF      VALUE ZERO 999.
023000             88  MMRC-DUAL-CURRENCY-ON       VALUE 001 THRU 998.
023100*
023200     03  FILLER              PIC  X(55).
023300*
023400     03  MMRC-USER-FILLER    PIC  X(50).
023500*
023600*       ***************************************************
023700*       *              END OF COPYBOOK MMRCRL             *
023800*       ***************************************************
