000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMRTIR --------------RATE TABLES FILE---------- 5400 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  MMRTIR-RECORD.
000900     03  MMRTIR-KEY.
001000         05  MMRTIR-ORG-TABLE.
001100             88  MMRTIR-HEADER               VALUE ZERO.
001200             88  MMRTIR-TRAILER              VALUE '999999999999'.
001300             07  MMRTIR-ORG-X.
001400                 09  MMRTIR-ORG
001500                             PIC  9(03)      VALUE ZERO.
001600             07  MMRTIR-TABLE-NBR-X.
001700                 09  MMRTIR-TABLE-NBR
001800                             PIC  9(09)      VALUE ZERO.
001900         05  MMRTIR-TABLE-TYPE
002000                             PIC  X(01)      VALUE 'D'.
002100             88  MMRTIR-TT-DISCOUNT          VALUE 'D'.
002200             88  MMRTIR-TT-PARTICIPATION     VALUE 'P'.
002300             88  MMRTIR-TT-RESERVE           VALUE 'R'.
002400             88  MMRTIR-TT-VOLUME            VALUE 'V'.
002500*
002600     03  MMRTIR-STATUS-INFORMATION.
002700         05  MMRTIR-REC-STATUS
002800                             PIC  9(01)      VALUE ZERO.
002900             88  MMRTIR-REC-INCOMPLETE       VALUE 0.
003000             88  MMRTIR-REC-ACTIVE           VALUE 1.
003100             88  MMRTIR-REC-INACTIVE         VALUE 2.
003200             88  MMRTIR-REC-PURGED           VALUE 9.
003300         05  MMRTIR-ONLINE-STATUS
003400                             PIC  9(02)      VALUE ZERO.
003500             88  MMRTIR-ADD-PENDING          VALUE 00 THRU 49.
003600             88  MMRTIR-ADD-COMPLETED        VALUE 99.
003700         05  MMRTIR-LAST-MAINT-DATE
003800                             PIC S9(07)      COMP-3.
003900         05  MMRTIR-LAST-MAINT-OPER
004000                             PIC  X(03)      VALUE SPACES.
004100*
004200*****************************************************************
004300*                         DEMOGRAPHICS                          *
004400*****************************************************************
004500*
004600     03  MMRTIR-DEMOGRAPHICS.
004700         05  MMRTIR-TITLE    PIC  X(30)      VALUE SPACES.
004800         05  MMRTIR-LEVEL    PIC  X(01)      VALUE 'M'.
004900             88  MMRTIR-MERCHANT-LEVEL       VALUE 'M'.
005000             88  MMRTIR-PRODUCT-LEVEL        VALUE 'P'.
005100             88  MMRTIR-VOLUME-BONUS-LEVEL   VALUE 'V'.
005200         05  MMRTIR-METHOD   PIC  X(03)      VALUE SPACES.
005300*****************************************************************
005400*                       PRIMARY RATE DATA                       *
005500*****************************************************************
005600*
005700     03  MMRTIR-PRIMARY-RATE-DATA.
005800         05  MMRTIR-PRIMARY-RATES-TABLE      OCCURS 10 TIMES
005900                                             INDEXED BY
006000                                             X-MMRTIR-PRIM.
006100             07  MMRTIR-PRIM-AMOUNT-RATES.
006200                 09  MMRTIR-PRIM-LIMIT
006300                             PIC S9(17)      COMP-3 VALUE
006400                                             +99999999999999999.
006500                 09  MMRTIR-PRIM-RATE
006600                             PIC S9(09)      COMP-3 VALUE ZEROS.
006700             07  MMRTIR-PRIM-NUMBER-RATES
006800                             REDEFINES MMRTIR-PRIM-AMOUNT-RATES.
006900                 09  MMRTIR-PRIM-LIMIT-NBR
007000                             PIC S9(17)      COMP-3.
007100                 09  MMRTIR-PRIM-PER-ITEM
007200                             PIC S9(09)      COMP-3.
007300             07  MMRTIR-PRIM-FLAT-RATES
007400                             REDEFINES MMRTIR-PRIM-AMOUNT-RATES.
007500                 09  FILLER  PIC S9(17)      COMP-3.
007600                 09  MMRTIR-PRIM-FLAT-RATE
007700                             PIC S9(09)      COMP-3.
007800*
007900*
008000*****************************************************************
008100*    EXCEPTION CONTROL                                          *
008200*****************************************************************
008300*
008400     03  MMRTIR-EXCEPTION-CONTROL.
008500*
008600**************************************************************
008700*                                                            *
008800*        EXCEPTION CONTROL OCCURRENCES ARE AS FOLLOWS:       *
008900*                                                            *
009000*            1 = AVERAGE TICKET                              *
009100*            2 = CREDIT PLAN                                 *
009200*            3 = SINGLE TICKET                               *
009300*            4 = STATE                                       *
009400*            5 = LOGO                                        *
009500*            6 = DEPARTMENT                                  *
009600*            7 = SKU NUMBER                                  *
009700*                                                            *
009800**************************************************************
009900*
010000         05  MMRTIR-EXCEPTION                OCCURS 7 TIMES
010100                                             INDEXED BY
010200                                             X-MMRTIR-EXCEPTION.
010300             07  MMRTIR-EXCEPTION-PRIORITY
010400                             PIC  X(01)      VALUE ZERO.
010500                 88  MMRTIR-EXCEPTION-NOT-USED
010600                                             VALUE '0'.
010700                 88  MMRTIR-EXCEPTION-IS-OVERRIDE
010800                                             VALUE '1' THRU '6'.
010900                 88  MMRTIR-EXCEPTION-COND-OVERRIDE
011000                                             VALUE '1'.
011100                 88  MMRTIR-EXCEPTION-TRAN-OVERRIDE
011200                                             VALUE '1' THRU '6'.
011300                 88  MMRTIR-EXCEPTION-IS-ADJUSTMENT
011400                                             VALUE 'A'.
011500                 88  MMRTIR-VALID-EXCEPTION-PRIO
011600                                             VALUE '0' 'A'
011700                                                   '1' THRU '6'.
011800*
011900*****************************************************************
012000*    AVERAGE TICKET PARAMETERS                                  *
012100*****************************************************************
012200*
012300     03  MMRTIR-AVG-TKT-VOL-DATA.
012400         05  MMRTIR-AVG-TKT-VOL-TABLE        OCCURS 10 TIMES
012500                                             INDEXED BY
012600                                             X-MMRTIR-ATV.
012700             07  MMRTIR-ATV-LIMIT
012800                             PIC S9(17)      COMP-3 VALUE
012900                                             +99999999999999999.
013000             07  MMRTIR-ATV-RATE
013100                             PIC S9(09)      COMP-3 VALUE ZEROS.
013200             07  MMRTIR-ATV-PER-ITEM
013300                             REDEFINES MMRTIR-ATV-RATE
013400                             PIC S9(09)      COMP-3.
013500*
013600*****************************************************************
013700*    SINGLE TICKET PARAMETERS                                   *
013800*****************************************************************
013900*
014000     03  MMRTIR-SINGLE-TKT-DATA.
014100         05  MMRTIR-SINGLE-TKT-BEG-LIMIT
014200                             PIC S9(17)      COMP-3 VALUE
014300                                             +99999999999999999.
014400*
014500         05  MMRTIR-SINGLE-TKT-TABLE         OCCURS 10 TIMES
014600                                             INDEXED BY
014700                                             X-MMRTIR-SINGLE-TKT.
014800             07  MMRTIR-SINGLE-TKT-LIMIT
014900                             PIC S9(17)      COMP-3 VALUE
015000                                             +99999999999999999.
015100             07  MMRTIR-SINGLE-TKT-RATE
015200                             PIC S9(09)      COMP-3 VALUE ZEROS.
015300             07  MMRTIR-SINGLE-TKT-PER-ITEM
015400                             REDEFINES MMRTIR-SINGLE-TKT-RATE
015500                             PIC S9(09)      COMP-3.
015600*
015700*****************************************************************
015800*    STORE STATE PARAMETERS                                     *
015900*****************************************************************
016000*
016100     03  MMRTIR-STATE-DATA.
016200         05  MMRTIR-STATE-TABLE              OCCURS 56 TIMES
016300                                             INDEXED BY
016400                                             X-MMRTIR-STATE.
016500             07  MMRTIR-STATE
016600                             PIC  X(03)      VALUE SPACES.
016700             07  MMRTIR-STATE-RATE
016800                             PIC S9(09)      COMP-3 VALUE ZERO.
016900             07  MMRTIR-STATE-PER-ITEM
017000                             REDEFINES MMRTIR-STATE-RATE
017100                             PIC S9(09)      COMP-3.
017200*
017300*****************************************************************
017400*    PLAN AND PLAN RANGE PARAMETERS                             *
017500*****************************************************************
017600*
017700     03  MMRTIR-PLAN-DATA.
017800         05  MMRTIR-PLAN-TABLE               OCCURS 56 TIMES
017900                                             INDEXED BY
018000                                             X-MMRTIR-PLAN.
018100             07  MMRTIR-SINGLE-PLANS.
018200                 09  MMRTIR-PLAN-X.
018300                     11  MMRTIR-PLAN
018400                             PIC  X(05)      VALUE SPACES.
018500                 09  MMRTIR-PLAN-RATE
018600                             PIC S9(09)      COMP-3 VALUE ZERO.
018700                 09  MMRTIR-PLAN-PER-ITEM
018800                             REDEFINES MMRTIR-PLAN-RATE
018900                             PIC S9(09)      COMP-3.
019000*
019100             07  MMRTIR-PLAN-RANGES.
019200                 09  MMRTIR-PLAN-BEG-X.
019300                     11  MMRTIR-PLAN-BEG
019400                             PIC  9(05)      VALUE ZEROS.
019500                 09  MMRTIR-PLAN-END-X.
019600                     11  MMRTIR-PLAN-END
019700                             PIC  9(05)      VALUE ZEROS.
019800                 09  MMRTIR-PLAN-RANGE-RATE
019900                             PIC S9(09)      COMP-3 VALUE ZERO.
020000                 09  MMRTIR-PLAN-RANGE-PER-ITEM
020100                             REDEFINES MMRTIR-PLAN-RANGE-RATE
020200                             PIC S9(09)      COMP-3.
020300*
020400*****************************************************************
020500*    SKU NUMBER PARAMETERS                                      *
020600*****************************************************************
020700*
020800     03  MMRTIR-SKU-DATA.
020900         05  MMRTIR-SKU-TABLE                OCCURS 56 TIMES
021000                                             INDEXED BY
021100                                             X-MMRTIR-SKU.
021200             07  MMRTIR-SKU-NBR
021300                             PIC  X(09)      VALUE SPACES.
021400             07  MMRTIR-SKU-RATE
021500                             PIC S9(09)      COMP-3 VALUE ZERO.
021600             07  MMRTIR-SKU-PER-ITEM
021700                             REDEFINES MMRTIR-SKU-RATE
021800                             PIC S9(09)      COMP-3.
021900*
022000*****************************************************************
022100*    DEPT NUMBER PARAMETERS                                     *
022200*****************************************************************
022300*
022400     03  MMRTIR-DEPT-DATA.
022500         05  MMRTIR-DEPT-TABLE               OCCURS 56 TIMES
022600                                             INDEXED BY
022700                                             X-MMRTIR-DEPT.
022800             07  MMRTIR-DEPT
022900                             PIC  X(04)      VALUE SPACES.
023000             07  MMRTIR-DEPT-RATE
023100                             PIC S9(09)      COMP-3 VALUE ZERO.
023200             07  MMRTIR-DEPT-PER-ITEM
023300                             REDEFINES MMRTIR-DEPT-RATE
023400                             PIC S9(09)      COMP-3.
023500*
023600*****************************************************************
023700*    LOGO NUMBER PARAMETERS                                     *
023800*****************************************************************
023900*
024000     03  MMRTIR-LOGO-DATA.
024100         05  MMRTIR-LOGO-TABLE               OCCURS 56 TIMES
024200                                             INDEXED BY
024300                                             X-MMRTIR-LOGO.
024400             07  MMRTIR-LOGO-X.
024500                 09  MMRTIR-LOGO
024600                             PIC  9(03)      VALUE ZEROS.
024700             07  MMRTIR-LOGO-RATE
024800                             PIC S9(09)      COMP-3 VALUE ZERO.
024900             07  MMRTIR-LOGO-PER-ITEM
025000                             REDEFINES MMRTIR-LOGO-RATE
025100                             PIC S9(09)      COMP-3.
025200*
025300*****************************************************************
025400*                           FILLER                              *
025500*****************************************************************
025600*
025700     03  FILLER              PIC  X(1223)     VALUE SPACES.
025800*
025900*****************************************************************
026000*                         USER FILLER                           *
026100*****************************************************************
026200*
026300     03  MMRTIR-USER-FILLER  PIC  X(100)      VALUE SPACES.
026400*
026500*       ***************************************************
026600*       *              END OF COPYBOOK MMRTIR             *
026700*       ***************************************************
