000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMRTRL --------------RATE TABLES FILE---------- 4080 BYTES   *
000600*                                                               *
000700*****************************************************************
000800 01  MMRT-RECORD.
000900     03  MMRT-KEY.
001000         05  MMRT-ORG-TABLE.
001100             88  MMRT-HEADER                 VALUE ZERO.
001200             88  MMRT-TRAILER                VALUE '999999999999'.
001300             07  MMRT-ORG-X.
001400                 09  MMRT-ORG
001500                             PIC  9(03).
001600             07  MMRT-TABLE-NBR-X.
001700                 09  MMRT-TABLE-NBR
001800                             PIC  9(09).
001900         05  MMRT-TABLE-TYPE
002000                             PIC  X(01).
002100             88  MMRT-TT-DISCOUNT            VALUE 'D'.
002200             88  MMRT-TT-PARTICIPATION       VALUE 'P'.
002300             88  MMRT-TT-RESERVE             VALUE 'R'.
002400             88  MMRT-TT-VOLUME              VALUE 'V'.
002500*
002600     03  MMRT-STATUS-INFORMATION.
002700         05  MMRT-REC-STATUS
002800                             PIC  9(01).
002900             88  MMRT-REC-INCOMPLETE         VALUE 0.
003000             88  MMRT-REC-ACTIVE             VALUE 1.
003100             88  MMRT-REC-INACTIVE           VALUE 2.
003200             88  MMRT-REC-PURGED             VALUE 9.
003300         05  MMRT-ONLINE-STATUS
003400                             PIC  9(02).
003500             88  MMRT-ADD-PENDING            VALUE 00 THRU 49.
003600             88  MMRT-ADD-COMPLETED          VALUE 99.
003700         05  MMRT-LAST-MAINT-DATE
003800                             PIC S9(07)      COMP-3.
003900         05  MMRT-LAST-MAINT-OPER
004000                             PIC  X(03).
004100*
004200*****************************************************************
004300*                         DEMOGRAPHICS                          *
004400*****************************************************************
004500*
004600     03  MMRT-DEMOGRAPHICS.
004700         05  MMRT-TITLE      PIC  X(30).
004800         05  MMRT-LEVEL      PIC  X(01).
004900             88  MMRT-MERCHANT-LEVEL         VALUE 'M'.
005000             88  MMRT-PRODUCT-LEVEL          VALUE 'P'.
005100         05  MMRT-METHOD     PIC  X(03).
005200*****************************************************************
005300*                       PRIMARY RATE DATA                       *
005400*****************************************************************
005500*
005600     03  MMRT-PRIMARY-RATE-DATA.
005700         05  MMRT-PRIMARY-RATES-TABLE        OCCURS 10 TIMES
005800                                             INDEXED BY
005900                                             X-MMRT-PRIM.
006000             07  MMRT-PRIM-AMOUNT-RATES.
006100                 09  MMRT-PRIM-LIMIT
006200                             PIC S9(17)      COMP-3.
006300                 09  MMRT-PRIM-RATE
006400                             PIC S9(09)      COMP-3.
006500             07  MMRT-PRIM-NUMBER-RATES
006600                             REDEFINES MMRT-PRIM-AMOUNT-RATES.
006700                 09  MMRT-PRIM-LIMIT-NBR
006800                             PIC S9(17)      COMP-3.
006900                 09  MMRT-PRIM-PER-ITEM
007000                             PIC S9(09)      COMP-3.
007100             07  MMRT-PRIM-FLAT-RATES
007200                             REDEFINES MMRT-PRIM-AMOUNT-RATES.
007300                 09  FILLER  PIC S9(17)      COMP-3.
007400                 09  MMRT-PRIM-FLAT-RATE
007500                             PIC S9(09)      COMP-3.
007600*
007700*
007800*****************************************************************
007900*      EXCEPTION CONTROL
008000*****************************************************************
008100*
008200     03  MMRT-EXCEPTION-CONTROL.
008300*
008400**************************************************************
008500*                                                            *
008600*        EXCEPTION CONTROL OCCURRENCES ARE AS FOLLOWS:       *
008700*                                                            *
008800*            1 = AVERAGE TICKET                              *
008900*            2 = CREDIT PLAN                                 *
009000*            3 = SINGLE TICKET                               *
009100*            4 = STATE                                       *
009200*            5 = LOGO                                        *
009300*            6 = DEPARTMENT                                  *
009400*            7 = SKU NUMBER                                  *
009500*                                                            *
009600**************************************************************
009700*
009800         05  MMRT-EXCEPTION                  OCCURS 7 TIMES
009900                                             INDEXED BY
010000                                             X-MMRT-EXCEPTION.
010100             07  MMRT-EXCEPTION-PRIORITY
010200                             PIC  X(01).
010300                 88  MMRT-EXCEPTION-NOT-USED VALUE '0'.
010400                 88  MMRT-EXCEPTION-IS-OVERRIDE
010500                                             VALUE '1' THRU '6'.
010600                 88  MMRT-EXCEPTION-COND-OVERRIDE
010700                                             VALUE '1'.
010800                 88  MMRT-EXCEPTION-TRAN-OVERRIDE
010900                                             VALUE '1' THRU '6'.
011000                 88  MMRT-EXCEPTION-IS-ADJUSTMENT
011100                                             VALUE 'A'.
011200                 88  MMRT-VALID-EXCEPTION-PRIORITY
011300                                             VALUE '0' 'A'
011400                                                   '1' THRU '6'.
011500*
011600*****************************************************************
011700*    AVERAGE TICKET PARAMETERS                                  *
011800*****************************************************************
011900*
012000     03  MMRT-AVG-TKT-VOL-DATA.
012100         05  MMRT-AVG-TKT-VOL-TABLE          OCCURS 10 TIMES
012200                                             INDEXED BY
012300                                             X-MMRT-ATV.
012400             07  MMRT-ATV-LIMIT
012500                             PIC S9(17)      COMP-3.
012600             07  MMRT-ATV-RATE
012700                             PIC S9(09)      COMP-3.
012800             07  MMRT-ATV-PER-ITEM
012900                             REDEFINES MMRT-ATV-RATE
013000                             PIC S9(09)      COMP-3.
013100*
013200*****************************************************************
013300*    SINGLE TICKET PARAMETERS                                   *
013400*****************************************************************
013500*
013600     03  MMRT-SINGLE-TKT-DATA.
013700         05  MMRT-SINGLE-TKT-BEG-LIMIT
013800                             PIC S9(17)      COMP-3.
013900*
014000         05  MMRT-SINGLE-TKT-TABLE           OCCURS 10 TIMES
014100                                             INDEXED BY
014200                                             X-MMRT-SINGLE-TKT.
014300             07  MMRT-SINGLE-TKT-LIMIT
014400                             PIC S9(17)      COMP-3.
014500             07  MMRT-SINGLE-TKT-RATE
014600                             PIC S9(09)      COMP-3.
014700             07  MMRT-SINGLE-TKT-PER-ITEM
014800                             REDEFINES MMRT-SINGLE-TKT-RATE
014900                             PIC S9(09)      COMP-3.
015000*
015100*****************************************************************
015200*    STORE STATE PARAMETERS                                     *
015300*****************************************************************
015400*
015500     03  MMRT-STATE-DATA.
015600         05  MMRT-STATE-TABLE                OCCURS 56 TIMES
015700                                             INDEXED BY
015800                                             X-MMRT-STATE.
015900             07  MMRT-STATE
016000                             PIC  X(03).
016100             07  MMRT-STATE-RATE
016200                             PIC S9(09)      COMP-3.
016300             07  MMRT-STATE-PER-ITEM
016400                             REDEFINES MMRT-STATE-RATE
016500                             PIC S9(09)      COMP-3.
016600*
016700*****************************************************************
016800*    PLAN AND PLAN RANGE PARAMETERS                             *
016900*****************************************************************
017000*
017100     03  MMRT-PLAN-DATA.
017200         05  MMRT-PLAN-TABLE                 OCCURS 56 TIMES
017300                                             INDEXED BY
017400                                             X-MMRT-PLAN.
017500             07  MMRT-SINGLE-PLANS.
017600                 09  MMRT-PLAN-X.
017700                     11  MMRT-PLAN
017800                             PIC  X(05).
017900                 09  MMRT-PLAN-RATE
018000                             PIC S9(09)      COMP-3.
018100                 09  MMRT-PLAN-PER-ITEM
018200                             REDEFINES MMRT-PLAN-RATE
018300                             PIC S9(09)      COMP-3.
018400*
018500             07  MMRT-PLAN-RANGES.
018600                 09  MMRT-PLAN-BEG-X.
018700                     11  MMRT-PLAN-BEG
018800                             PIC  9(05).
018900                 09  MMRT-PLAN-END-X.
019000                     11  MMRT-PLAN-END
019100                             PIC  9(05).
019200                 09  MMRT-PLAN-RANGE-RATE
019300                             PIC S9(09)      COMP-3.
019400                 09  MMRT-PLAN-RANGE-PER-ITEM
019500                             REDEFINES MMRT-PLAN-RANGE-RATE
019600                             PIC S9(09)      COMP-3.
019700*
019800*****************************************************************
019900*    SKU NUMBER PARAMETERS                                      *
020000*****************************************************************
020100*
020200     03  MMRT-SKU-DATA.
020300         05  MMRT-SKU-TABLE                  OCCURS 56 TIMES
020400                                             INDEXED BY
020500                                             X-MMRT-SKU.
020600             07  MMRT-SKU-NBR
020700                             PIC  X(09).
020800             07  MMRT-SKU-RATE
020900                             PIC S9(09)      COMP-3.
021000             07  MMRT-SKU-PER-ITEM
021100                             REDEFINES MMRT-SKU-RATE
021200                             PIC S9(09)      COMP-3.
021300*
021400*****************************************************************
021500*    DEPT NUMBER PARAMETERS                                     *
021600*****************************************************************
021700*
021800     03  MMRT-DEPT-DATA.
021900         05  MMRT-DEPT-TABLE                 OCCURS 56 TIMES
022000                                             INDEXED BY
022100                                             X-MMRT-DEPT.
022200             07  MMRT-DEPT
022300                             PIC  X(04).
022400             07  MMRT-DEPT-RATE
022500                             PIC S9(09)      COMP-3.
022600             07  MMRT-DEPT-PER-ITEM
022700                             REDEFINES MMRT-DEPT-RATE
022800                             PIC S9(09)      COMP-3.
022900*
023000*****************************************************************
023100*    LOGO NUMBER PARAMETERS                                     *
023200*****************************************************************
023300*
023400     03  MMRT-LOGO-DATA.
023500         05  MMRT-LOGO-TABLE                 OCCURS 56 TIMES
023600                                             INDEXED BY
023700                                             X-MMRT-LOGO.
023800             07  MMRT-LOGO-X.
023900                 09  MMRT-LOGO
024000                             PIC  9(03).
024100             07  MMRT-LOGO-RATE
024200                             PIC S9(09)      COMP-3.
024300             07  MMRT-LOGO-PER-ITEM
024400                             REDEFINES MMRT-LOGO-RATE
024500                             PIC S9(09)      COMP-3.
024600*
024700*****************************************************************
024800*                           FILLER                              *
024900*****************************************************************
025000*
025100     03  FILLER              PIC  X(1223).
025200*
025300*****************************************************************
025400*                         USER FILLER                           *
025500*****************************************************************
025600*
025700     03  MMRT-USER-FILLER    PIC  X(100).
025800*
025900*       ***************************************************
026000*       *              END OF COPYBOOK MMRTRL             *
026100*       ***************************************************
