000100******************************************************************
000200*                                                                *
000300*     ---------------MERCHANT BANKCARD SYSTEM---------------     *
000400*                                                                *
000500*      MMS1IO  - I/O ROUTINE RECORD WORK AREA FOR FILE MMS1      *
000600*                                                                *
000700*                                                                *
000800******************************************************************
000900 01  :MMS1:IO-RECORD.
001000     03  :MMS1:IO-KEY.
001100         05  :MMS1:IO-ORG-MERCHANT.
001200             88  :MMS1:IO-HEADER             VALUE ZERO.
001300             88  :MMS1:IO-TRAILER            VALUE '999999999999'.
001400             07  :MMS1:IO-ORG-X.
001500                 09  :MMS1:IO-ORG
001600                             PIC  9(03).
001700             07  :MMS1:IO-MERCHANT-X.
001800                 09  :MMS1:IO-MERCHANT
001900                             PIC  9(09).
002000         05  :MMS1:IO-ORG-CHAIN REDEFINES :MMS1:IO-ORG-MERCHANT.
002100             07  FILLER      PIC  9(03).
002200             07  :MMS1:IO-CHAIN-X.
002300                 09  :MMS1:IO-CHAIN
002400                             PIC  9(09).
002500         05  :MMS1:IO-KEY-TYPE
002600                             PIC X(01).
002700             88  :MMS1:IO-KT-CHAIN           VALUE 'C'.
002800             88  :MMS1:IO-KT-MERCHANT        VALUE 'M'.
002900         05  :MMS1:IO-STMT-ID-CODE
003000                             PIC S9(08)      BINARY.
003100*                            THE STATEMENT ID CODE IS OBTAINED BY
003200*                            TAKING THE JULIAN DATE ON WHICH THE
003300*                            STATEMENT IS DROPPED AND MULTIPLYING
003400*                            IT BY -1.  THIS IS DONE TO
003500*                            PUT THE STATEMENT RECORDS ON THE
003600*                            ON-LINE STATEMENT FILE IN DESCENDING
003700*                            DATE ORDER.  TO OBTAIN THE STATEMENT
003800*                            DATE, MULTIPLY THIS FIELD BY -1.
003900*                            EXAMPLES.............................
004000*
004100*      JULIAN STMT   GREG STMT       DECIMAL        HEX
004200*       DROP DATE    DROP DATE    STMT-ID-CODE STMT-ID-CODE
004300*        1996336     DEC 01, 1996    -1996336    FFE189D0
004400*        1996307     NOV 01, 1996    -1996307    FFE189ED
004500*        1996275     OCT 01, 1996    -1996275    FFE18A0D
004600*        1996245     SEP 01, 1996    -1996245    FFE18A2B
004700*        1996214     AUG 01, 1996    -1996214    FFE18A4A
004800*        1996183     JUL 01, 1996    -1996183    FFE18A69
004900*        1996153     JUN 01, 1996    -1996153    FFE18A87
005000*        1996122     MAY 01, 1996    -1996122    FFE18AA6
005100*        1996092     APR 01, 1996    -1996092    FFE18AC4
005200*        1996061     MAR 01, 1996    -1996061    FFE18AE3
005300*        1996032     FEB 01, 1996    -1996032    FFE18B00
005400*        1996001     JAN 01, 1996    -1996001    FFE18B16
005500*
005600*
005700         05  :MMS1:IO-REC-ID.
005800             88  :MMS1:IO-O50-NA-RECORD      VALUE '0000'.
005900             88  :MMS1:IO-O50-BALANCE-SUMMARY VALUE '0100'.
006000             88  :MMS1:IO-O50-RESERVE-SUMMARY VALUE '0201'
006100                                                   '0202'
006200                                                   '0203'
006300                                                   '0204'.
006400             88  :MMS1:IO-O50-RESV-1-SUMMARY VALUE '0201'.
006500             88  :MMS1:IO-O50-RESV-2-SUMMARY VALUE '0202'.
006600             88  :MMS1:IO-O50-RESV-3-SUMMARY VALUE '0203'.
006700             88  :MMS1:IO-O50-RESV-4-SUMMARY VALUE '0204'.
006800             88  :MMS1:IO-O50-RECOVERY-ADJ   VALUE '0300'.
006900             88  :MMS1:IO-O50-ADJ-SUMMARY    VALUE '0400'.
007000             88  :MMS1:IO-O50-USER-CR-SUMMARY VALUE '0500'.
007100             88  :MMS1:IO-O50-FEE-SUMMARY    VALUE '0600'.
007200             88  :MMS1:IO-O50-SETT-DISTRIB   VALUE '0700'.
007300             88  :MMS1:IO-O50-SETT-TOTALS    VALUE '0701'.
007400             88  :MMS1:IO-O50-PRODUCT-SUMMARY VALUE '0800'
007500                                             THRU  '0899'.
007600             88  :MMS1:IO-O50-STORE-SUMMARY  VALUE '0900'.
007700             88  :MMS1:IO-O50-DETAIL-TRANS   VALUE '1000'.
007800             88  :MMS1:IO-O50-MERCH-SUMMARY  VALUE '1100'.
007900             07  :MMS1:IO-REC-TYPE
008000                             PIC  9(02).
008100             07  :MMS1:IO-REC-SEQ
008200                             PIC  9(02).
008300         05  :MMS1:IO-REC-ID-SEQ
008400                             PIC S9(09)      BINARY.
008500*
008600     03  :MMS1:IO-REC-LENGTH PIC S9(04)      BINARY.
008700*
008800******************************************************************
008900*
009000     03  :MMS1:IO-DATA.
009100         05  FILLER          PIC  X(350).
009200*
009300*****************************************************************
009400*
009500     03  :MMS1:IO-HEADER-DATA REDEFINES      :MMS1:IO-DATA.
009600         05  :MMS1:IO-DATE-STAMP
009700                             PIC S9(07)      COMP-3.
009800         05  :MMS1:IO-TIME-STAMP
009900                             PIC S9(11)      COMP-3.
010000         05  FILLER          PIC  X(340).
