000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMSMRL ----------- STORE MASTER FILE ----------- 4080 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMSM-RECORD.
001000     03  MMSM-KEY.
001100         88  MMSM-HEADER                     VALUE ZERO.
001200         88  MMSM-TRAILER                    VALUE ALL '9'.
001300         05  MMSM-ORG-STORE.
001400             07  MMSM-ORG-X.
001500                 09  MMSM-ORG
001600                             PIC  9(03).
001700             07  MMSM-STORE-X.
001800                 09  MMSM-STORE
001900                             PIC  9(09).
002000*
002100     03  MMSM-STATUS-INFORMATION.
002200         05  MMSM-REC-STATUS
002300                             PIC  9(01).
002400             88  MMSM-REC-INCOMPLETE         VALUE 0.
002500             88  MMSM-REC-ACTIVE             VALUE 1.
002600             88  MMSM-REC-MODEL              VALUE 3.
002700             88  MMSM-REC-CLOSED             VALUE 6.
002800             88  MMSM-REC-PENDING-PURGE      VALUE 7.
002900             88  MMSM-REC-PURGING            VALUE 8.
003000             88  MMSM-REC-PURGED             VALUE 9.
003100         05  MMSM-ONLINE-STATUS
003200                             PIC  9(02).
003300             88  MMSM-ADD-PENDING            VALUE 00 THRU 49.
003400             88  MMSM-ADD-COMPLETED          VALUE 99.
003500         05  MMSM-LAST-MAINT-DATE
003600                             PIC S9(07)      COMP-3.
003700         05  MMSM-LAST-MAINT-OPER
003800                             PIC  X(03).
003900*
004000*****************************************************************
004100*    STATISTICS CONTROL AREA                                    *
004200*****************************************************************
004300*
004400*
004500******************************************************************
004600* OCCURRENCE *---------------DATA CONTENT---------------*        *
004700*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
004800*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
004900*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
005000*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
005100*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
005200*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
005300*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
005400*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
005500*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
005600*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
005700*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
005800*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
005900*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
006000*    14     MONTH-TO-DATE STATS                                  *
006100*    15     YEAR-TO-DATE STATS                                   *
006200*    16     STATEMENT CYCLE-TO-DATE STATS                        *
006300*    17     DISCOUNT-TO-DATE STATS                               *
006400*    18     PARTICIPATION-TO-DATE STATS                          *
006500******************************************************************
006600*
006700     03  MMSM-STATS-CONTROL-AREA.
006800         05  MMSM-STATS-OCCUR-TABLE          OCCURS 18 TIMES
006900                                             INDEXED BY
007000                                             X-MMSM
007100                                             X-MMSM-1
007200                                             X-MMSM-2
007300                                             X-MMSM-3
007400                                             X-MMSM-4
007500                                             X-MMSM-5
007600                                             X-MMSM-6
007700                                             X-MMSM-SEARCH.
007800             07  MMSM-OCCURRENCE-DESC.
007900                 09  MMSM-OCCURRENCE-ID
008000                             PIC  X(03).
008100                     88  MMSM-OID-JAN        VALUE 'JAN'.
008200                     88  MMSM-OID-FEB        VALUE 'FEB'.
008300                     88  MMSM-OID-MAR        VALUE 'MAR'.
008400                     88  MMSM-OID-APR        VALUE 'APR'.
008500                     88  MMSM-OID-MAY        VALUE 'MAY'.
008600                     88  MMSM-OID-JUN        VALUE 'JUN'.
008700                     88  MMSM-OID-JUL        VALUE 'JUL'.
008800                     88  MMSM-OID-AUG        VALUE 'AUG'.
008900                     88  MMSM-OID-SEP        VALUE 'SEP'.
009000                     88  MMSM-OID-OCT        VALUE 'OCT'.
009100                     88  MMSM-OID-NOV        VALUE 'NOV'.
009200                     88  MMSM-OID-DEC        VALUE 'DEC'.
009300                     88  MMSM-OID-CUR        VALUE 'CUR'.
009400                     88  MMSM-OID-MTD        VALUE 'MTD'.
009500                     88  MMSM-OID-YTD        VALUE 'YTD'.
009600                     88  MMSM-OID-CTD        VALUE 'CTD'.
009700                     88  MMSM-OID-DTD        VALUE 'DTD'.
009800                     88  MMSM-OID-PTD        VALUE 'PTD'.
009900                 09  MMSM-OCCURRENCE-YEAR
010000                             PIC  9(04).
010100*****************************************************************
010200*    DATES                                                      *
010300*****************************************************************
010400*
010500     03  MMSM-DATE-AREA.
010600         05  MMSM-DATE-OPENED
010700                             PIC S9(07)      COMP-3.
010800         05  MMSM-DATE-LAST-SETT
010900                             PIC S9(07)      COMP-3.
011000         05  MMSM-DATE-LAST-DISC
011100                             PIC S9(07)      COMP-3.
011200         05  MMSM-DATE-LAST-STMT
011300                             PIC S9(07)      COMP-3.
011400         05  MMSM-DATE-PREV-STMT
011500                             PIC S9(07)      COMP-3.
011600         05  MMSM-DATE-LAST-VISIT
011700                             PIC S9(07)      COMP-3.
011800         05  MMSM-DATE-NEXT-VISIT
011900                             PIC S9(07)      COMP-3.
012000         05  MMSM-DATE-LAST-REVIEW
012100                             PIC S9(07)      COMP-3.
012200         05  MMSM-DATE-NEXT-REVIEW
012300                             PIC S9(07)      COMP-3.
012400         05  MMSM-DATE-LAST-ACTIVE
012500                             PIC S9(07)      COMP-3.
012600         05  MMSM-DATE-FIRST-ACTIVE
012700                             PIC S9(07)      COMP-3.
012800         05  MMSM-DATE-CLOSED
012900                             PIC S9(07)      COMP-3.
013000         05  MMSM-DATE-PURGED
013100                             PIC S9(07)      COMP-3.
013200         05  MMSM-CTD-CLEAR-DATE-1
013300                             PIC S9(07)      COMP-3.
013400         05  MMSM-CTD-CLEAR-DATE-2
013500                             PIC S9(07)      COMP-3.
013600         05  MMSM-DTD-CLEAR-DATE-1
013700                             PIC S9(07)      COMP-3.
013800         05  MMSM-DTD-CLEAR-DATE-2
013900                             PIC S9(07)      COMP-3.
014000         05  MMSM-PTD-CLEAR-DATE-1
014100                             PIC S9(07)      COMP-3.
014200         05  MMSM-PTD-CLEAR-DATE-2
014300                             PIC S9(07)      COMP-3.
014400         05  MMSM-BI-WEEKLY-SETT-DATE
014500                             PIC S9(07)      COMP-3.
014600         05  MMSM-BI-WEEKLY-STMT-DATE
014700                             PIC S9(07)      COMP-3.
014800         05  MMSM-BI-WEEKLY-DISC-DATE
014900                             PIC S9(07)      COMP-3.
015000         05  MMSM-BI-WEEKLY-PART-DATE
015100                             PIC S9(07)      COMP-3.
015200         05  MMSM-DATE-LAST-PART
015300                             PIC S9(07)      COMP-3.
015400         05  MMSM-PURGING-DATE
015500                             PIC S9(07)      COMP-3.
015600         05  MMSM-OUT-OF-BUS-DATE
015700                             PIC S9(07)      COMP-3.
015800         05  MMSM-OWNERSHIP-CHG-DATE
015900                             PIC S9(07)      COMP-3.
016000         05  FILLER
016100                             PIC S9(07)      COMP-3.
016200         05  FILLER
016300                             PIC S9(07)      COMP-3.
016400         05  FILLER
016500                             PIC S9(07)      COMP-3.
016600         05  FILLER
016700                             PIC S9(07)      COMP-3.
016800*
016900*****************************************************************
017000*    PRIMARY DEMOGRAPHICS                                       *
017100*****************************************************************
017200*
017300     03  MMSM-DEMOGRAPHICS-AREA.
017400         05  MMSM-DEMOGRAPHICS-TABLE         OCCURS 2 TIMES
017500                                             INDEXED BY
017600                                             X-MMSM-DEMOGRAPHICS
017700                                             X-MMSM-PRIMARY
017800                                             X-MMSM-SECONDARY.
017900             07  MMSM-GNA-NBR
018000                             PIC  X(19).
018100             07  MMSM-NA-LINES-TABLE
018200                                             OCCURS 5 TIMES
018300                                             INDEXED BY
018400                                             X-MMSM-NA.
018500                 09  MMSM-NA-LINE
018600                             PIC  X(40).
018700             07  MMSM-NA-OVERFLOW-SW
018800                             PIC  X(01).
018900                 88  MMSM-NA-OVERFLOW-YES    VALUE 'Y'.
019000                 88  MMSM-NA-OVERFLOW-NO     VALUE 'N'.
019100             07  MMSM-COUNTRY-CODE
019200                             PIC  X(03).
019300             07  MMSM-STATE-CODE
019400                             PIC  X(03).
019500             07  MMSM-POSTAL-CODE
019600                             PIC  X(10).
019700             07  MMSM-PHONE
019800                             PIC  X(20).
019900             07  MMSM-FAX
020000                             PIC  X(20).
020100*
020200*****************************************************************
020300*    DBA DEMOGRAPHICS                                           *
020400*****************************************************************
020500*
020600     03  MMSM-DBA-DEMOGRAPHICS.
020700         05  MMSM-DBA-NAME   PIC  X(25).
020800         05  MMSM-DBA-CITY   PIC  X(13).
020900         05  MMSM-DBA-COUNTRY-CODE
021000                             PIC  X(03).
021100*
021200*****************************************************************
021300*    STATEMENT PARAMETERS                                       *
021400*****************************************************************
021500*
021600     03  MMSM-STATEMENT-PARAMETERS.
021700         05  MMSM-STMT-FREQ-1-X.
021800             07  MMSM-STMT-FREQ-1
021900                             PIC  9(02).
022000                 88  MMSM-SF1-DAILY-STMT     VALUE 99.
022100                 88  MMSM-SF1-WEEKLY-STMT    VALUE 41 THRU 47.
022200                 88  MMSM-SF1-BI-WEEKLY-STMT
022300                                             VALUE 51 THRU 57.
022400                 88  MMSM-SF1-MONTHLY-STMT   VALUE 01 THRU 31.
022500                 88  MMSM-SF1-VALID-FREQ-STMT
022600                                             VALUE 99
022700                                                   01 THRU 31
022800                                                   41 THRU 47
022900                                                   51 THRU 57.
023000         05  MMSM-STMT-FREQ-1-R
023100                             REDEFINES MMSM-STMT-FREQ-1-X.
023200             07  FILLER      PIC  9(01).
023300             07  MMSM-STMT-FREQ-1-DOW
023400                             PIC  9(01).
023500*
023600         05  MMSM-STMT-FREQ-2-X.
023700             07  MMSM-STMT-FREQ-2
023800                             PIC  9(02).
023900                 88  MMSM-SF2-NOT-USED-STMT
024000                                             VALUE 00.
024100                 88  MMSM-SF2-WEEKLY-STMT    VALUE 41 THRU 47.
024200                 88  MMSM-SF2-MONTHLY-STMT   VALUE 01 THRU 31.
024300                 88  MMSM-SF2-VALID-FREQ-STMT
024400                                             VALUE 00
024500                                                   01 THRU 31
024600                                                   41 THRU 47.
024700         05  MMSM-STMT-FREQ-2-R
024800                             REDEFINES MMSM-STMT-FREQ-2-X.
024900             07  FILLER      PIC  9(01).
025000             07  MMSM-STMT-FREQ-2-DOW
025100                             PIC  9(01).
025200*
025300*****************************************************************
025400*    DISCOUNT PARAMETERS                                        *
025500*****************************************************************
025600*
025700     03  MMSM-DISC-PARAMETERS.
025800         05  MMSM-DISC-FREQ-1-X.
025900             07  MMSM-DISC-FREQ-1
026000                             PIC  9(02).
026100                 88  MMSM-DF1-DAILY-DISC     VALUE 99.
026200                 88  MMSM-DF1-WEEKLY-DISC    VALUE 41 THRU 47.
026300                 88  MMSM-DF1-BI-WEEKLY-DISC
026400                                             VALUE 51 THRU 57.
026500                 88  MMSM-DF1-MONTHLY-DISC   VALUE 01 THRU 31.
026600                 88  MMSM-DF1-VALID-FREQ-DISC
026700                                             VALUE 99
026800                                                   01 THRU 31
026900                                                   41 THRU 47
027000                                                   51 THRU 57.
027100         05  MMSM-DISC-FREQ-1-R
027200                             REDEFINES MMSM-DISC-FREQ-1-X.
027300             07  FILLER      PIC  9(01).
027400             07  MMSM-DISC-FREQ-1-DOW
027500                             PIC  9(01).
027600*
027700         05  MMSM-DISC-FREQ-2-X.
027800             07  MMSM-DISC-FREQ-2
027900                             PIC  9(02).
028000                 88  MMSM-DF2-NOT-USED-DISC
028100                                             VALUE 00.
028200                 88  MMSM-DF2-WEEKLY-DISC    VALUE 41 THRU 47.
028300                 88  MMSM-DF2-MONTHLY-DISC   VALUE 01 THRU 31.
028400                 88  MMSM-DF2-VALID-FREQ-DISC
028500                                             VALUE 00
028600                                                   01 THRU 31
028700                                                   41 THRU 47.
028800         05  MMSM-DISC-FREQ-2-R
028900                             REDEFINES MMSM-DISC-FREQ-2-X.
029000             07  FILLER      PIC  9(01).
029100             07  MMSM-DISC-FREQ-2-DOW
029200                             PIC  9(01).
029300*
029400         05  FILLER          PIC  X(05).
029500*
029600*****************************************************************
029700*    PARTICIPATION PARAMETERS                                   *
029800*****************************************************************
029900*
030000     03  MMSM-PART-PARAMETERS.
030100         05  MMSM-PART-FREQ-1-X.
030200             07  MMSM-PART-FREQ-1
030300                             PIC  9(02).
030400                 88  MMSM-PF1-DAILY-PART     VALUE 99.
030500                 88  MMSM-PF1-WEEKLY-PART    VALUE 41 THRU 47.
030600                 88  MMSM-PF1-BI-WEEKLY-PART
030700                                             VALUE 51 THRU 57.
030800                 88  MMSM-PF1-MONTHLY-PART   VALUE 01 THRU 31.
030900                 88  MMSM-PF1-VALID-FREQ-PART
031000                                             VALUE 99
031100                                                   01 THRU 31
031200                                                   41 THRU 47
031300                                                   51 THRU 57.
031400         05  MMSM-PART-FREQ-1-R
031500                             REDEFINES MMSM-PART-FREQ-1-X.
031600             07  FILLER      PIC  9(01).
031700             07  MMSM-PART-FREQ-1-DOW
031800                             PIC  9(01).
031900*
032000         05  MMSM-PART-FREQ-2-X.
032100             07  MMSM-PART-FREQ-2
032200                             PIC  9(02).
032300                 88  MMSM-PF2-NOT-USED-PART
032400                                             VALUE 00.
032500                 88  MMSM-PF2-WEEKLY-PART    VALUE 41 THRU 47.
032600                 88  MMSM-PF2-MONTHLY-PART   VALUE 01 THRU 31.
032700                 88  MMSM-PF2-VALID-FREQ-PART
032800                                             VALUE 00
032900                                                   01 THRU 31
033000                                                   41 THRU 47.
033100         05  MMSM-PART-FREQ-2-R
033200                             REDEFINES MMSM-PART-FREQ-2-X.
033300             07  FILLER      PIC  9(01).
033400             07  MMSM-PART-FREQ-2-DOW
033500                             PIC  9(01).
033600*
033700         05  FILLER          PIC  X(05).
033800*
033900*****************************************************************
034000*    SETTLEMENT PARAMETERS                                      *
034100*****************************************************************
034200*
034300     03  MMSM-SETTLEMENT-PARAMETERS.
034400         05  MMSM-SETT-FREQ-1-X.
034500             07  MMSM-SETT-FREQ-1
034600                             PIC  9(02).
034700                 88  MMSM-SF1-DAILY-SETT     VALUE 99.
034800                 88  MMSM-SF1-WEEKLY-SETT    VALUE 41 THRU 47.
034900                 88  MMSM-SF1-BI-WEEKLY-SETT
035000                                             VALUE 51 THRU 57.
035100                 88  MMSM-SF1-MONTHLY-SETT   VALUE 01 THRU 31.
035200                 88  MMSM-SF1-VALID-FREQ-SETT
035300                                             VALUE 99
035400                                                   01 THRU 31
035500                                                   41 THRU 47
035600                                                   51 THRU 57.
035700         05  MMSM-SETT-FREQ-1-R
035800                             REDEFINES MMSM-SETT-FREQ-1-X.
035900             07  FILLER      PIC  9(01).
036000             07  MMSM-SETT-FREQ-1-DOW
036100                             PIC  9(01).
036200*
036300         05  MMSM-SETT-FREQ-2-X.
036400             07  MMSM-SETT-FREQ-2
036500                             PIC  9(02).
036600                 88  MMSM-SF2-NOT-USED-SETT
036700                                             VALUE 00.
036800                 88  MMSM-SF2-WEEKLY-SETT    VALUE 41 THRU 47.
036900                 88  MMSM-SF2-MONTHLY-SETT   VALUE 01 THRU 31.
037000                 88  MMSM-SF2-VALID-FREQ-SETT
037100                                             VALUE 00
037200                                                   01 THRU 31
037300                                                   41 THRU 47.
037400         05  MMSM-SETT-FREQ-2-R
037500                             REDEFINES MMSM-SETT-FREQ-2-X.
037600             07  FILLER      PIC  9(01).
037700             07  MMSM-SETT-FREQ-2-DOW
037800                             PIC  9(01).
037900*
038000*****************************************************************
038100*    PROCESSING PARAMETERS                                      *
038200*****************************************************************
038300*
038400     03  MMSM-PROCESSING-PARAMETERS.
038500         05  MMSM-MERCHANT-ID-X.
038600             07  MMSM-MERCHANT-ID
038700                             PIC  9(09).
038800         05  MMSM-SINGLE-STORE-FLAG
038900                             PIC  X(01).
039000             88  MMSM-REC-SINGLE-STORE       VALUE 'Y'.
039100             88  MMSM-SINGLE-STORE-YES       VALUE 'Y'.
039200             88  MMSM-SINGLE-STORE-NO        VALUE 'N'.
039300         05  MMSM-LOCATION-ID
039400                             PIC  X(09).
039500         05  MMSM-CHECK-GUARANTEE-CO
039600                             PIC  X(30).
039700         05  MMSM-CONTACT-INFO               OCCURS 4 TIMES
039800                                             INDEXED BY
039900                                             X-MMSM-CONTACT.
040000             07  MMSM-CONTACT
040100                             PIC  X(40).
040200             07  MMSM-CONTACT-TITLE
040300                             PIC  X(25).
040400             07  MMSM-CONTACT-PHONE
040500                             PIC  X(20).
040600             07  MMSM-CONTACT-FAX
040700                             PIC  X(20).
040800         05  MMSM-BRANCH
040900                             PIC  9(09).
041000         05  MMSM-AGENT-BANK
041100                             PIC  9(05).
041200         05  MMSM-OFFICER-ID
041300                             PIC  X(03).
041400         05  MMSM-TIN-TYPE   PIC  X(01).
041500             88  MMSM-TIN-TYPE-SSN           VALUE '1'.
041600             88  MMSM-TIN-TYPE-EIN           VALUE '2'.
041700             88  MMSM-TIN-TYPE-OTHER         VALUE '3'.
041800             88  MMSM-TIN-TYPE-NON-US        VALUE SPACES.
041900             88  MMSM-TIN-TYPE-VALID         VALUE '1' '2' '3'
042000                                                   SPACES.
042100*
042200         05  MMSM-TAX-ID     PIC  X(15).
042300         05  MMSM-INCORPORATION-STATUS
042400                             PIC  X(02).
042500         05  MMSM-SOLE-PROP-AREA.
042600             07  MMSM-SOLE-PROP-LAST
042700                             PIC  X(25).
042800             07  MMSM-SOLE-PROP-FIRST
042900                             PIC  X(25).
043000             07  MMSM-SOLE-PROP-INITIAL
043100                             PIC  X(01).
043200*
043300         05  MMSM-CRB-FLAG   PIC  X(01).
043400             88  MMSM-SEND-CRB               VALUE '1' '2' '3'.
043500             88  MMSM-DO-NOT-SEND-CRB        VALUE ZERO.
043600             88  MMSM-CRB-DELETE             VALUE '1'.
043700             88  MMSM-CRB-NEW-STORE          VALUE '2'.
043800             88  MMSM-CRB-MAINT-STORE        VALUE '3'.
043900*
044000         05  MMSM-DEFAULT-PLATES
044100                             PIC S9(05)      COMP-3.
044200*
044300         05  MMSM-NBR-BULLETINS
044400                             PIC S9(05)      COMP-3.
044500         05  MMSM-PL-FLOOR-LIMIT
044600                             PIC S9(17)      COMP-3.
044700*
044800         05  MMSM-1099-REFUSAL-IND
044900                             PIC  X(01).
045000             88  MMSM-ALL-1099-DATA          VALUE 'N' SPACES.
045100             88  MMSM-NO-1099-DATA           VALUE 'Y'.
045200*
045300         05  MMSM-CORP-LEGAL-NAME
045400                             PIC  X(30).
045500*
045600         05  MMSM-MINORITY-CODE
045700                             PIC  X(02).
045800             88  MMSM-MINORITY-ASIAN-INDIAN
045900                                             VALUE 'AI'.
046000             88  MMSM-MINORITY-ASIAN-PACIFIC
046100                                             VALUE 'AP'.
046200             88  MMSM-MINORITY-BLACK         VALUE 'BL'.
046300             88  MMSM-MINORITY-HISPANIC      VALUE 'HI'.
046400             88  MMSM-MINORITY-NATIVE-AMERICA
046500                                             VALUE 'NA'.
046600             88  MMSM-MINORITY-OTHER         VALUE 'OT'.
046700             88  MMSM-MINORITY-UNKNOWN       VALUE SPACES.
046800*
046900         05  MMSM-WOMAN-OWNED-CODE
047000                             PIC  X(01).
047100             88  MMSM-WOMAN-OWNED-NO         VALUE ZERO.
047200             88  MMSM-WOMAN-OWNED-YES        VALUE '1'.
047300*
047400         05  MMSM-DUN-AND-BRADSTREET-NBR
047500                             PIC  X(09).
047600*
047700         05  FILLER          PIC  X(40).
047800*
047900*****************************************************************
048000*    STORE PARAMETERS                                           *
048100*****************************************************************
048200*
048300     03  MMSM-STORE-PROCESSING-DATA.
048400         05  MMSM-AUTH-CODE
048500                             PIC  X(01).
048600             88  MMSM-AUTH-IS-ALLOWED        VALUE 'Y'.
048700             88  MMSM-AUTH-IS-NOT-ALLOWED    VALUE 'N'.
048800             88  MMSM-VALID-AUTH-CODE        VALUE 'Y' 'N'.
048900         05  MMSM-AUTH-LOGO
049000                             PIC  9(03).
049100         05  MMSM-GOVERNING-STATE
049200                             PIC  X(03).
049300         05  MMSM-STMT-ADDR-CONTROL
049400                             PIC  X(01).
049500             88  MMSM-SAC-USE-PRIMARY        VALUE 'P'.
049600             88  MMSM-SAC-USE-SECONDARY      VALUE 'S'.
049700             88  MMSM-SAC-IS-VALID           VALUE 'P' 'S'.
049800         05  MMSM-STORE-SETT-FLAG
049900                             PIC  X(01).
050000             88  MMSM-STORE-NON-SETTLEMENT   VALUE 'N'.
050100             88  MMSM-STORE-SETT-ALLOWED     VALUE 'Y'.
050200         05  MMSM-STORE-SETT-DATE
050300                             PIC S9(07)      COMP-3.
050400         05  MMSM-PL-CATEGORY-CODE
050500                             PIC  9(04).
050600         05  MMSM-MEDIA-TYPE
050700                             PIC  X(01).
050800             88  MMSM-INPUT-KEYED            VALUE 'K'.
050900             88  MMSM-INPUT-MAG              VALUE 'M'.
051000*
051100         05  MMSM-BULLETIN-TYPE
051200                             PIC  X(01).
051300             88  MMSM-BULLETIN-PAPER         VALUE 'P'.
051400             88  MMSM-BULLETIN-MAG           VALUE 'M'.
051500         05  MMSM-STORE-TYPE
051600                             PIC  9(02).
051700             88  MMSM-STORE-REGULAR          VALUE 01.
051800             88  MMSM-STORE-CASH-ADV         VALUE 02.
051900             88  MMSM-STORE-ATM              VALUE 03.
052000             88  MMSM-STORE-WARN-BULL        VALUE 06.
052100             88  MMSM-STORE-MAIL-ORDER       VALUE 07.
052200             88  MMSM-STORE-UNIQUE           VALUE 08.
052300*
052400*****************************************************************
052500*    CMS ACTIVITY RECAP INFORMATION                             *
052600*****************************************************************
052700*
052800     03  MMSM-ACTIVITY-RECAP.
052900         05  MMSM-ACT-RECAP-1
053000                             PIC S9(03)      COMP-3.
053100         05  MMSM-ACT-RECAP-DTL-1
053200                             PIC  X(01).
053300             88  MMSM-PRT-DTL-ACT-RECAP-1    VALUE 'Y'.
053400             88  MMSM-NO-PRT-DTL-ACT-RECAP-1
053500                                             VALUE 'N'.
053600             88  MMSM-VALID-ACT-RECAP-DTL-1
053700                                             VALUE 'Y' 'N'.
053800         05  MMSM-ACT-RECAP-2
053900                             PIC S9(03)      COMP-3.
054000         05  MMSM-ACT-RECAP-DTL-2
054100                             PIC  X(01).
054200             88  MMSM-PRT-DTL-ACT-RECAP-2    VALUE 'Y'.
054300             88  MMSM-NO-PRT-DTL-ACT-RECAP-2
054400                                             VALUE 'N'.
054500             88  MMSM-VALID-ACT-RECAP-DTL-2
054600                                             VALUE 'Y' 'N'.
054700         05  MMSM-ACT-RECAP-3
054800                             PIC S9(03)      COMP-3.
054900         05  MMSM-ACT-RECAP-DTL-3
055000                             PIC  X(01).
055100             88  MMSM-PRT-DTL-ACT-RECAP-3    VALUE 'Y'.
055200             88  MMSM-NO-PRT-DTL-ACT-RECAP-3
055300                                             VALUE 'N'.
055400             88  MMSM-VALID-ACT-RECAP-DTL-3
055500                                             VALUE 'Y' 'N'.
055600         05  MMSM-ACT-RECAP-4
055700                             PIC S9(03)      COMP-3.
055800         05  MMSM-ACT-RECAP-DTL-4
055900                             PIC  X(01).
056000             88  MMSM-PRT-DTL-ACT-RECAP-4    VALUE 'Y'.
056100             88  MMSM-NO-PRT-DTL-ACT-RECAP-4
056200                                             VALUE 'N'.
056300             88  MMSM-VALID-ACT-RECAP-DTL-4
056400                                             VALUE 'Y' 'N'.
056500     03  MMSM-ACTIVITY-RECAP-R
056600                             REDEFINES MMSM-ACTIVITY-RECAP.
056700         05  MMSM-ACT-RECAP-TABLE            OCCURS 4 TIMES
056800                                             INDEXED BY
056900                                         X-MMSM-ACT-RECAP.
057000             07  MMSM-ACT-RECAP-ENTRIES.
057100                 09  MMSM-ACT-RECAP
057200                             PIC S9(03)      COMP-3.
057300                 09  MMSM-ACT-RECAP-DTL
057400                             PIC  X(01).
057500                     88  MMSM-PRT-DTL-ACT-RECAP
057600                                             VALUE 'Y'.
057700                     88  MMSM-NO-PRT-DTL-ACT-RECAP
057800                                             VALUE 'N'.
057900                     88  MMSM-VALID-ACT-RECAP-DTL
058000                                             VALUE 'Y' 'N'.
058100*
058200*****************************************************************
058300*    VISIT AND REVIEW INFORMATION                               *
058400*****************************************************************
058500*
058600     03  MMSM-VISIT-AND-REVIEW-DATA.
058700         05  MMSM-VISIT-REP-NAME
058800                             PIC  X(40).
058900         05  MMSM-VISIT-REP-OPER
059000                             PIC  X(03).
059100         05  MMSM-VISIT-FREQ
059200                             PIC  9(02).
059300*
059400         05  MMSM-REVIEW-REP-NAME
059500                             PIC  X(40).
059600         05  MMSM-REVIEW-REP-OPER
059700                             PIC  X(03).
059800         05  MMSM-REVIEW-FREQ
059900                             PIC  9(02).
060000*
060100*****************************************************************
060200*    STORE CHAIN INFORMATION                                    *
060300*****************************************************************
060400*
060500     03  MMSM-STORE-CHAIN-INFO.
060600         05  MMSM-STORE-CHAIN                OCCURS 10 TIMES
060700                                             INDEXED BY
060800                                             X-MMSM-STORE-CHAIN.
060900             07  MMSM-STORE-CHAIN-ID
061000                             PIC S9(09)      COMP-3.
061100*
061200*****************************************************************
061300*    STORE IMPRINTER INFORMATION                                *
061400*****************************************************************
061500*
061600     03  MMSM-IMP-INFO.
061700         05  MMSM-IMP-DEV                    OCCURS 3 TIMES
061800                                             INDEXED BY
061900                                             X-MMSM-IMP.
062000             07  MMSM-IMP-DEV-TITLE
062100                             PIC  X(15).
062200             07  MMSM-IMP-DEV-NBR
062300                             PIC S9(05)      COMP-3.
062400*
062500*****************************************************************
062600*    POINT OF SALE INFORMATION                                  *
062700*****************************************************************
062800*
062900     03  MMSM-POS-INFO.
063000         05  MMSM-POS-DEV                    OCCURS 3 TIMES
063100                                             INDEXED BY
063200                                             X-MMSM-POS.
063300             07  MMSM-POS-DEV-TITLE
063400                             PIC  X(15).
063500             07  MMSM-POS-DEV-NBR
063600                             PIC S9(05)      COMP-3.
063700*
063800*****************************************************************
063900*    MEMO INFORMATION                                           *
064000*****************************************************************
064100*
064200     03  MMSM-MEMO-DATA.
064300         05  MMSM-MEMO-1     PIC  X(50).
064400         05  MMSM-MEMO-2     PIC  X(50).
064500         05  MMSM-MEMO-3     PIC  X(50).
064600         05  MMSM-MEMO-4     PIC  X(50).
064700*
064800     03  MMSM-MEMO-DATA-R    REDEFINES MMSM-MEMO-DATA.
064900         05  MMSM-MEMO-TABLE                 OCCURS 4 TIMES
065000                                             INDEXED BY
065100                                             X-MMSM-MEMO.
065200             07  MMSM-MEMO   PIC  X(50).
065300*
065400*****************************************************************
065500*    CUSTOMER STATEMENT LINES                                   *
065600*****************************************************************
065700*
065800     03  MMSM-CUST-STMT-LINE-DATA.
065900         05  MMSM-CUST-STMT-LINE-TABLE       OCCURS 3 TIMES
066000                                             INDEXED BY
066100                                             X-MMSM-CSL.
066200             07  MMSM-CUST-STMT-LINE
066300                             PIC  X(30).
066400*
066500*****************************************************************
066600*    USER DATA INFORMATION                                      *
066700*****************************************************************
066800*
066900     03  MMSM-USER-DATA-INFO.
067000         05  MMSM-USER-DATA-ELEMENT          OCCURS 8 TIMES
067100                                             INDEXED BY
067200                                             X-MMSM-USER-DATA.
067300             07  MMSM-USER-DATA-TITLE
067400                             PIC  X(15).
067500             07  MMSM-USER-DATA
067600                             PIC  X(12).
067700*
067800*****************************************************************
067900*    USER DATE INFORMATION                                      *
068000*****************************************************************
068100*
068200     03  MMSM-USER-DATE-INFO.
068300         05  MMSM-USER-DATE-ELEMENT          OCCURS 8 TIMES
068400                                             INDEXED BY
068500                                             X-MMSM-USER-DATE.
068600             07  MMSM-USER-DATE-TITLE
068700                             PIC  X(15).
068800             07  MMSM-USER-DATE
068900                             PIC S9(07)      COMP-3.
069000*
069100*****************************************************************
069200*    USER AMOUNT INFORMATION                                    *
069300*****************************************************************
069400*
069500     03  MMSM-USER-AMT-INFO.
069600         05  MMSM-USER-AMT-ELEMENT           OCCURS 8 TIMES
069700                                             INDEXED BY
069800                                             X-MMSM-USER-AMT.
069900             07  MMSM-USER-AMT-TITLE
070000                             PIC  X(15).
070100             07  MMSM-USER-AMT
070200                             PIC S9(17)      COMP-3.
070300             07  MMSM-USER-AMT-NO-DEC
070400                             REDEFINES       MMSM-USER-AMT
070500                             PIC S9(17)      COMP-3.
070600*
070700*****************************************************************
070800*    VISA SPECIFIC FIELDS                                       *
070900*****************************************************************
071000*
071100     03  MMSM-VISA-DATA.
071200         05  MMSM-VI-STATUS
071300                             PIC  X(01).
071400             88  MMSM-VI-NOT-ALLOWED         VALUE 'N'.
071500             88  MMSM-VI-ACTIVE              VALUE 'A'.
071600             88  MMSM-VI-CLOSED              VALUE 'C'.
071700             88  MMSM-VI-PURGED              VALUE 'P'.
071800         05  MMSM-VI-EFF-DATE
071900                             PIC S9(07)      COMP-3.
072000         05  MMSM-VI-DBA-NAME
072100                             PIC  X(25).
072200*
072300         05  MMSM-VI-INTCHG-FLAG
072400                             PIC  X(01).
072500             88  MMSM-VI-STANDARD-RATE       VALUE 'S'.
072600             88  MMSM-VI-STANDARD-INTL       VALUE '0'.
072700             88  MMSM-VI-EIRF                VALUE 'E'.
072800             88  MMSM-VI-PSIRF-RATE          VALUE 'A'.
072900             88  MMSM-VI-PRE-PS2000          VALUE 'B'.
072920             88  MMSM-VI-CPS-ECOMM-PREF      VALUE 'C'.           RG800921
072940             88  MMSM-VI-INTL-AIRLINE        VALUE 'D'.           RG800906
073000             88  MMSM-VI-EPS                 VALUE 'X'.
073100             88  MMSM-VI-SUPERMKT-RATE       VALUE 'M'.
073200             88  MMSM-VI-TIER-2-ATM          VALUE '2'.
073300             88  MMSM-VI-TIER-3-ATM          VALUE '3'.
073400             88  MMSM-VI-REDUCED-INTCHG-RATE VALUE 'E' 'A'
073500                                                   'B' 'X' 'M'
073600                                                   '2' '3'.
073700             88  MMSM-VI-VALID-INTCHG-FLAG   VALUE 'S' '0'
073800                                                   'E' 'A'
073900                                                   'B' 'X' 'M'
074000                                                   '2' '3' 'C'    RG800921
074020                                                   'D'.           RG800921
074100*
074200         05  MMSM-VI-MEMBER-ID
074300                             PIC  9(08).
074400*
074500         05  MMSM-VI-SPECIAL-COND-IND.
074600             07  MMSM-VI-SPECIAL-COND-1
074700                             PIC  X(01).
074800             07  MMSM-VI-SPECIAL-COND-2
074900                             PIC  X(01).
075000*
075100         05  MMSM-VI-CH-TERM-IND
075200                             PIC  X(01).
075300         05  MMSM-VI-CH-ID-METHOD
075400                             PIC  X(01).
075500         05  MMSM-VI-POS-CAPABILITIES
075600                             PIC  X(01).
075700         05  MMSM-VI-AUTH-SOURCE
075800                             PIC  X(01).
075900         05  MMSM-VI-MAIL-PHONE-IND
076000                             PIC  X(01).
076100         05  MMSM-VI-POS-MODE
076200                             PIC  X(02).
076300         05  MMSM-VI-RPT-THSHOLD
076400                             PIC  X(01).
076500         05  MMSM-VI-PROG-INDICATOR
076600                             PIC  X(01).
076700         05  MMSM-VI-REG-ADDR-IND
076800                             PIC  X(01).
076900             88  MMSM-VI-RAI-PRIMARY         VALUE 'P'.
077000             88  MMSM-VI-RAI-SECONDARY       VALUE 'S'.
077100         05  MMSM-VI-REG-ADDR-LINE
077200                             PIC  9(01).
077300         05  MMSM-VI-MPS-ID-NBR
077400                             PIC  9(10).
077500         05  MMSM-VI-CRB-REGION
077600                             PIC  X(02).
077700         05  MMSM-VI-CATEGORY-CODE
077800                             PIC  9(04).
077900         05  MMSM-VI-FLOOR-LIMIT
078000                             PIC S9(17)      COMP-3.
078100         05  MMSM-VI-VOLUME-IND
078200                             PIC  X(02).
078300             88  MMSM-VI-VOLUME-IND-NOT-USED
078400                                             VALUE SPACES.
078500             88  MMSM-VI-VOLUME-IND-USED     VALUE '01' THRU
078600                                                   '99'.
078700             88  MMSM-VI-VOLUME-IND-VALID    VALUE '01' THRU
078800                                                   '99'
078900                                                   SPACES.
078906*                                                                 RG800914
078908***  ADDITIONAL BANKCARD FIELDS                                   RG800914
078910*                                                                 RG802901
078920         05  MMSM-VI-URL-EMAIL                                    RG802901
078930                             PIC  X(60).                          RG802901
078940         05  MMSM-VI-CONTACT-IND                                  RG802901
078950                             PIC  X(01).                          RG802901
078960             88  MMSM-VI-USE-PHONE           VALUE '0'.           RG802901
078970             88  MMSM-VI-USE-URL-EMAIL       VALUE '1'.           RG802901
078980*                                                                 RG802901
078982         05  MMSM-VI-SVC-DVLP-IND PIC X(01).                      RG800914
078983             88  MMSM-VI-SDF-NOT-USED        VALUE '0'.           RG800914
078984             88  MMSM-VI-SDF-ELEC-COMM       VALUE '1'.           RG800914
078985             88  MMSM-VI-SDF-INFLT-COMM      VALUE '2'.           RG800914
078986             88  MMSM-VI-SDF-TRANS-INIT      VALUE '5'.           RG800914
078987             88  MMSM-VI-SDF-REL-PART        VALUE '6'.           RG800914
078988             88  MMSM-VI-SDF-DFR-BILL-IND    VALUE '7'.           RG800914
078990*                                                                 RG800914
079000         05  MMSM-VI-FILLER
079100                             PIC  X(18).                          RG800914
079200*
079300*
079400*****************************************************************
079500*    MASTERCARD SPECIFIC FIELDS                                 *
079600*****************************************************************
079700*
079800     03  MMSM-MC-DATA.
079900         05  MMSM-MC-STATUS
080000                             PIC  X(01).
080100             88  MMSM-MC-NOT-ALLOWED         VALUE 'N'.
080200             88  MMSM-MC-ACTIVE              VALUE 'A'.
080300             88  MMSM-MC-CLOSED              VALUE 'C'.
080400             88  MMSM-MC-PURGED              VALUE 'P'.
080500         05  MMSM-MC-EFF-DATE
080600                             PIC S9(07)      COMP-3.
080700         05  MMSM-MC-DBA-NAME
080800                             PIC  X(22).
080900         05  MMSM-MC-INTCHG-FLAG
081000                             PIC  X(01).
081100             88  MMSM-MC-STANDARD-RATE       VALUE 'S'.
081200             88  MMSM-MC-STANDARD-INTL       VALUE '0'.
081300             88  MMSM-MC-MERIT-1-RATE        VALUE '1'.
081400             88  MMSM-MC-WAREHOUSE-CLUB      VALUE 'W'.
081500             88  MMSM-MC-MERIT-3-RATE        VALUE '3'.
081600             88  MMSM-MC-SUPERMKT-RATE       VALUE '4'.
081700             88  MMSM-MC-SERVICE-INDUSTRY    VALUE '5'.
081704             88  MMSM-MC-BASE-CORP           VALUE '6'.           EH800900
081706             88  MMSM-MC-BASE-CORP-DATA      VALUE '7'.           EH800900
081708             88  MMSM-MC-SEC-ELEC-CORP       VALUE '8'.           EH800900
081710             88  MMSM-MC-SEC-ELEC-CORP-DATA                       EH800900
081712                                             VALUE '9'.           EH800900
081726             88  MMSM-MC-CHIP-FULL-GRADE     VALUE 'F'.           RG27916
081728             88  MMSM-MC-CHIP-FG-ADDENDUM    VALUE 'G'.           RG27916
081800             88  MMSM-MC-CONVENIENCE         VALUE 'C'.           EH800900
082000             88  MMSM-MC-TRAVEL-PREM-SERV    VALUE 'T'.
082100             88  MMSM-MC-INTL-ELECTRONIC     VALUE 'B'.
082200             88  MMSM-MC-MASTER-PHONE        VALUE 'P'.
082300             88  MMSM-MC-REDUCED-INTCHG-RATE
082400                                             VALUE '1'
082500                                                   '3' '4' '5'
082502                                                   '6' '7' '8' '9'EH800900
082600                                                   'B' 'P'
082700                                                   'C' 'T' 'W'.
082800             88  MMSM-MC-VALID-INTCHG-FLAG   VALUE 'S' '0' '1'
082900                                                   '3' '4' '5'
082902                                                   '6' '7' '8' '9'EH800900
083000                                                   'B' 'P'
083002                                                   'F' 'G'        FX800044
083100                                                   'C' 'T' 'W'.
083200*
083300         05  MMSM-MC-AIRLINE-CATEGORY
083400                             PIC S9(05)      COMP-3.
083500*
083600         05  MMSM-MC-POS-ENTRY-MODE
083700                             PIC  X(02).
083800         05  MMSM-MC-CIRRUS-IND
083900                             PIC  X(01).
084000             88  MMSM-MC-ATM-IS-CIRRUS       VALUE 'Y'.
084100             88  MMSM-MC-ATM-NOT-CIRRUS      VALUE 'N'.
084200         05  MMSM-MC-BUSINESS-CLASS                               EH800900
084202                             PIC  X(04).                          EH800900
084204         05  MMSM-MC-BUSINESS-CLASS-1-4                           EH800900
084206                             REDEFINES MMSM-MC-BUSINESS-CLASS.    EH800900
084208             07  MMSM-MC-BUSINESS-CLASS-1                         EH800900
084210                             PIC  X(01).                          EH800900
084212                 88  MMSM-MC-BC1-CORPORATION                      EH800900
084214                                             VALUE '1'.           EH800900
084216                 88  MMSM-MC-BC1-OTHER-STRUCTURE                  EH800900
084218                                             VALUE '2'.           EH800900
084220                 88  MMSM-MC-BC1-SOLE-PROP   VALUE '3'.           EH800900
084222                 88  MMSM-MC-BC1-PARTNERSHIP                      EH800900
084224                                             VALUE '4'.           EH800900
084226                 88  MMSM-MC-BC1-ASSOCIATION                      EH800900
084228                                             VALUE '5'.           EH800900
084230                 88  MMSM-MC-BC1-TAX-EXEMPT  VALUE '6'.           EH800900
084232                 88  MMSM-MC-BC1-INTERNATIONAL                    EH800900
084234                                             VALUE '7'.           EH800900
084236                 88  MMSM-MC-BC1-LIMITED-LIAB-CO                  EH800900
084238                                             VALUE '8'.           EH800900
084240                 88  MMSM-MC-BC1-VALID       VALUE '1' THRU '8'.  EH800900
084242             07  MMSM-MC-BUSINESS-CLASS-2                         EH800900
084244                             PIC  X(01).                          EH800900
084246                 88  MMSM-MC-BC2-UNKNOWN     VALUE '0'.           EH800900
084248                 88  MMSM-MC-BC2-NO-APPLIC-CLASS                  EH800900
084250                                             VALUE '1'.           EH800900
084252                 88  MMSM-MC-BC2-FEMALE-OWNER                     EH800900
084254                                             VALUE '2'.           EH800900
084256                 88  MMSM-MC-BC2-FEMALE-HADICAP                   EH800900
084258                                             VALUE '3'.           EH800900
084260                 88  MMSM-MC-BC2-MALE-HANDICAP                    EH800900
084262                                             VALUE '4'.           EH800900
084264                 88  MMSM-MC-BC2-VALID       VALUE '0' THRU '4'.  EH800900
084266             07  MMSM-MC-BUSINESS-CLASS-3                         EH800900
084268                             PIC  X(01).                          EH800900
084270                 88  MMSM-MC-BC3-UNKNOWN     VALUE '0'.           EH800900
084272                 88  MMSM-MC-BC3-NOT-CERTIFIED                    EH800900
084274                                             VALUE '1'.           EH800900
084276                 88  MMSM-MC-BC3-SMALL-BUS-CERT                   EH800900
084278                                             VALUE '2'.           EH800900
084280                 88  MMSM-MC-BC3-SMALL-DISAD-CERT                 EH800900
084282                                             VALUE '3'.           EH800900
084284                 88  MMSM-MC-BC3-MINORITY-SUPPLY                  EH800900
084286                                             VALUE '4'.           EH800900
084288                 88  MMSM-MC-BC3-SELF-CERT-BUS                    EH800900
084290                                             VALUE '5'.           EH800900
084292                 88  MMSM-MC-BC3-SMALL-BUS-RECOG                  EH800900
084294                                             VALUE '6'.           EH800900
084296                 88  MMSM-MC-BC3-SMALL-BUS-DISAD                  EH800900
084298                                             VALUE '7'.           EH800900
084300                 88  MMSM-MC-BC3-SMALL-BUS-OTHER                  EH800900
084302                                             VALUE '8'.           EH800900
084304                 88  MMSM-MC-BC3-SBA-CERT-AS-8                    EH800900
084306                                             VALUE 'A'.           EH800900
084308                 88  MMSM-MC-BC3-SELF-CERT-SDB                    EH800900
084310                                             VALUE 'B'.           EH800900
084312                 88  MMSM-MC-BC3-SBA-CERT-HUBZONE                 EH800900
084314                                             VALUE 'C'.           EH800900
084316                 88  MMSM-MC-BC3-VALID       VALUE '0' THRU '8'   EH800900
084318                                                   'A' 'B'  'C'.  EH800900
084320             07  MMSM-MC-BUSINESS-CLASS-4                         EH800900
084322                             PIC  X(01).                          EH800900
084324                 88  MMSM-MC-BC4-UNKNOWN     VALUE '0'.           EH800900
084326                 88  MMSM-MC-BC4-AFRICAN-AM                       EH800900
084328                                             VALUE '1'.           EH800900
084330                 88  MMSM-MC-BC4-ASIA-PAC-AM                      EH800900
084332                                             VALUE '2'.           EH800900
084334                 88  MMSM-MC-BC4-SUB-ASIAN-AM                     EH800900
084336                                             VALUE '3'.           EH800900
084338                 88  MMSM-MC-BC4-HISPANIC-AM                      EH800900
084340                                             VALUE '4'.           EH800900
084342                 88  MMSM-MC-BC4-NATIVE-AMERICAN                  EH800900
084344                                             VALUE '5'.           EH800900
084346                 88  MMSM-MC-BC4-NATIVE-HAWAIIAN                  EH800900
084348                                             VALUE '6'.           EH800900
084350                 88  MMSM-MC-BC4-NATIVE-ALASKAN                   EH800900
084352                                             VALUE '7'.           EH800900
084354                 88  MMSM-MC-BC4-CAUCASIAN   VALUE '8'.           EH800900
084356                 88  MMSM-MC-BC4-OTHER       VALUE '9'.           EH800900
084358                 88  MMSM-MC-BC4-VALID       VALUE '0' THRU '9'.  EH800900
084400         05  MMSM-MC-CATEGORY-CODE
084500                             PIC  9(04).
084600         05  MMSM-MC-FLOOR-LIMIT
084700                             PIC S9(17)      COMP-3.
084800         05  MMSM-MC-CH-TERM-IND
084900                             PIC  X(01).
085000             88  MMSM-MC-CH-TERM-IND-NOT-USED
085100                                             VALUE SPACES.
085200             88  MMSM-MC-CH-TERM-IND-1-4     VALUE '1' THRU '4'.
085300         88  MMSM-MC-CH-TERM-IND-6-7         VALUE '6' '7'.       EH800900
085400             88  MMSM-VALID-MC-CH-TERM-IND   VALUE '1' THRU '4'
085500                                                   '6' '7'        EH800900
085600                                                   SPACES.
085700*
085800         05  MMSM-MC-FILLER
085900                             PIC  X(80).
086000*
086100*****************************************************************
086200*    CLOSE/PURGING/PURGE DATA                                   *
086300*****************************************************************
086400*
086500     03  MMSM-CLOSE-PURGE-DATA-X.
086600         05  MMSM-CLOSE-REASON
086700                             PIC  X(02).
086800         05  MMSM-STATUS-CHANGE-OPER
086900                             PIC  X(03).
087000             88  MMSM-STATUS-OPER-AUTO       VALUE '*S*' '*S6'.
087100         05  MMSM-SETT-HIST-SW
087200                             PIC  X(01).
087300             88  MMSM-SETT-HIST-PRESENT      VALUE 'Y'.
087400             88  MMSM-SETT-HIST-NOT-PRESENT
087500                                             VALUE 'N'.
087600         05  MMSM-CMS-ACTIVE-FLAG
087700                             PIC  X(01).
087800             88  MMSM-CMS-ENABLED            VALUE 'Y'.
087900             88  MMSM-CMS-DISABLED           VALUE 'N'.
088000*
088100*                                                                 EH800900
088110     03  MMSM-MC-PROJECT-7787.                                    EH800900
088112******************************************************************EH800900
088114*    POS                                                         *EH800900
088116*    DATA                                                        *EH800900
088118*    CODE  FIELD DESCRIPTION                VALID VALUES         *EH800900
088120*    ----  -------------------------------- -----------------    *EH800900
088122*     01 = CARD DATA INPUT CAPABILITY       1,2,5                *EH800900
088124*     02 = CARDHOLDER AUTHENTICATION METHOD 0,1                  *EH800900
088126*     03 = CARD CAPTURE CAPABILITY          0,1                  *EH800900
088128*     04 = OPERATING ENVIRONMENT            0,1,2,3,4,5,9,S,T,U,V*EH800900
088130*     05 = CARDHOLDER PRESENT               0,1,2,3,4            *EH800900
088132*     06 = CARD PRESENT                     0,1                  *EH800900
088134*     07 = CARD DATA INPUT MODE             1,2,5,6,S,T,U,V      *RG27913
088136*     08 = CARDHOLDER AUTHENTICATION METHOD 0,1,5                *EH800900
088138*     09 = CARDHOLDER AUTHENTICATION        0,1,3,4,5,9          *EH800900
088140*     10 = CARD DATA OUTPUT CAPABILITY      0,1,3                *EH800900
088142*     11 = TERMINAL OUTPUT CAPABILITY       0,1,2,3,4            *EH800900
088144*     12 = PIN CAPTURE CAPABILITY           0,1,4,5,6            *EH800900
088146******************************************************************EH800900
088148         05  MMSM-MC-POS-DATA-CODE.                               EH800900
088150             07  MMSM-MC-POS-DC-01                                EH800900
088152                             PIC  X(01).                          EH800900
088154                 88  MMSM-MC-POS-DC-01-VALID                      EH800900
088156                                             VALUE '1' '2' '5'.   EH800900
088158             07  MMSM-MC-POS-DC-02                                EH800900
088160                             PIC  X(01).                          EH800900
088162                 88  MMSM-MC-POS-DC-02-VALID                      EH800900
088164                                             VALUE '0' '1'.       EH800900
088166             07  MMSM-MC-POS-DC-03                                EH800900
088168                             PIC  X(01).                          EH800900
088170                 88  MMSM-MC-POS-DC-03-VALID                      EH800900
088172                                             VALUE '0' '1'.       EH800900
088174             07  MMSM-MC-POS-DC-04                                EH800900
088176                             PIC  X(01).                          EH800900
088178                 88  MMSM-MC-POS-DC-04-VALID                      EH800900
088180                                             VALUE '0' '1' '2'    EH800900
088182                                               '3' '4' '5' '9'    EH800900
088184                                               'S' 'T' 'U' 'V'.   EH800900
088186             07  MMSM-MC-POS-DC-05                                EH800900
088188                             PIC  X(01).                          EH800900
088190                 88  MMSM-MC-POS-DC-05-VALID                      EH800900
088192                                             VALUE '0' '1'        EH800900
088194                                               '2' '3' '4'.       EH800900
088196             07  MMSM-MC-POS-DC-06                                EH800900
088198                             PIC  X(01).                          EH800900
088200                 88  MMSM-MC-POS-DC-06-VALID                      EH800900
088202                                             VALUE '0' '1'.       EH800900
088204             07  MMSM-MC-POS-DC-07                                EH800900
088206                             PIC  X(01).                          EH800900
088208                 88  MMSM-MC-POS-DC-07-VALID                      RG27913
088209                                             VALUE '1' '2' '5'    RG27913
088210                                                   '6' 'S' 'T'    RG27913
088211                                                   'U' 'V'.       RG27913
088212             07  MMSM-MC-POS-DC-08                                EH800900
088214                             PIC  X(01).                          EH800900
088216                 88  MMSM-MC-POS-DC-08-VALID                      EH800900
088218                                             VALUE '0' '1' '5'.   EH800900
088220             07  MMSM-MC-POS-DC-09                                EH800900
088222                             PIC  X(01).                          EH800900
088224                 88  MMSM-MC-POS-DC-09-VALID                      EH800900
088226                                             VALUE '0' '1' '3'    EH800900
088228                                                   '4' '5' '9'.   EH800900
088230             07  MMSM-MC-POS-DC-10                                EH800900
088232                             PIC  X(01).                          EH800900
088234                 88  MMSM-MC-POS-DC-10-VALID                      EH800900
088236                                             VALUE '0' '1' '3'.   EH800900
088238             07  MMSM-MC-POS-DC-11                                EH800900
088240                             PIC  X(01).                          EH800900
088242                 88  MMSM-MC-POS-DC-11-VALID                      EH800900
088244                                             VALUE '0' '1' '2'    EH800900
088246                                                   '3' '4'.       EH800900
088248             07  MMSM-MC-POS-DC-12                                EH800900
088250                             PIC  X(01).                          EH800900
088252                 88  MMSM-MC-POS-DC-12-VALID                      EH800900
088254                                             VALUE '0' '1'        EH800900
088256                                               '4' '5' '6'.       EH800900
088258*                                                                 EH800900
088260     03  MMSM-MC-ASSIGNED-ID                                      RG800913
088262                             PIC  X(03).                          RG800913
088264*                                                                 RG800913
088298     03  FILLER              PIC  X(921).                         RG800902
088299***************************************************************** RG800913
088300*    SPECIAL AUTHORIZATIONS AREA                                *
088400*****************************************************************
088500*
088600     03  MMSM-SPEC-AUTH-AREA.
088700         05  MMSM-AUTH-CURRENCY-CODE
088800                             PIC  X(03).
088900         05  FILLER          PIC  X(14).
089000*
089100***************************************************************** RG800902
089200*    STORE FRAUD CONTROL                                        * RG800902
089300***************************************************************** RG800902
089400*                                                                 RG800902
089500     03  MMSM-FRAUD-DATA.                                         RG800902
089600         05  MMSM-FRAUD-FLOOR-OPTIONS.                            RG800902
089700             07  MMSM-AUTHS-BELOW-FLOOR-VI                        RG800902
089800                             PIC S9(05)      COMP-3.              RG800902
089900             07  MMSM-AUTHS-BELOW-FLOOR-MC                        RG800902
090000                             PIC S9(05)      COMP-3.              RG800902
090100             07  MMSM-AUTHS-BELOW-FLOOR-PL                        RG800902
090200                             PIC S9(05)      COMP-3.              RG800902
090300         05  MMSM-FRAUD-DUPLICATE-FIELDS.                         RG800902
090400             07  MMSM-DUP-SALES-DAY-NBR-C-H                       RG800902
090500                             PIC S9(03)      COMP-3.              RG800902
090600             07  MMSM-DUP-SALES-DAY-AMT-C-H                       RG800902
090700                             PIC S9(17)      COMP-3.              RG800902
090800             07  MMSM-DUP-SALES-DAY-NBR-BIN                       RG800902
090900                             PIC S9(03)      COMP-3.              RG800902
091000             07  MMSM-DUP-SALES-DAY-AMT-BIN                       RG800902
091100                             PIC S9(17)      COMP-3.              RG800902
091200             07  MMSM-DUP-AUTHS-DAY-NBR-C-H                       RG800902
091300                             PIC S9(03)      COMP-3.              RG800902
091400             07  MMSM-DUP-AUTHS-DAY-AMT-C-H                       RG800902
091500                             PIC S9(17)      COMP-3.              RG800902
091600             07  MMSM-DUP-AUTHS-DAY-NBR-BIN                       RG800902
091700                             PIC S9(03)      COMP-3.              RG800902
091800             07  MMSM-DUP-AUTHS-DAY-AMT-BIN                       RG800902
091900                             PIC S9(17)      COMP-3.              RG800902
092000*                                                                 RG800902
092100*                                                                 RG800902
092200*                                                                 RG800902
092300     03  MMSM-USER-FILLER    PIC  X(100).                         RG800902
092400*                                                                 RG800902
092500*                                                                 RG800902
092600*                                                                 RG800902
092700*       ***************************************************       RG800902
092800*       *              END OF COPYBOOK MMSMRL             *       RG800902
092900*       ***************************************************       RG800902
