000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMSRIR -- INITIALIZER ROUTINE WORK AREA AND INITIALIZER      *
000600*            RECORD LAYOUT.                                     *
000700*                                                               *
000800*****************************************************************
000900 01  MMSRIR-WORK-AREAS.
001000     03  MMSRIR-DATE         PIC S9(07)      COMP-3 VALUE ZERO.
001100     03  MMSRIR-OCC-ID-TABLE-X.
001200         05  MMSRIR-JAN      PIC  X(03)      VALUE 'JAN'.
001300         05  MMSRIR-FEB      PIC  X(03)      VALUE 'FEB'.
001400         05  MMSRIR-MAR      PIC  X(03)      VALUE 'MAR'.
001500         05  MMSRIR-APR      PIC  X(03)      VALUE 'APR'.
001600         05  MMSRIR-MAY      PIC  X(03)      VALUE 'MAY'.
001700         05  MMSRIR-JUN      PIC  X(03)      VALUE 'JUN'.
001800         05  MMSRIR-JUL      PIC  X(03)      VALUE 'JUL'.
001900         05  MMSRIR-AUG      PIC  X(03)      VALUE 'AUG'.
002000         05  MMSRIR-SEP      PIC  X(03)      VALUE 'SEP'.
002100         05  MMSRIR-OCT      PIC  X(03)      VALUE 'OCT'.
002200         05  MMSRIR-NOV      PIC  X(03)      VALUE 'NOV'.
002300         05  MMSRIR-DEC      PIC  X(03)      VALUE 'DEC'.
002400         05  MMSRIR-CUR      PIC  X(03)      VALUE 'CUR'.
002500         05  MMSRIR-MTD      PIC  X(03)      VALUE 'MTD'.
002600         05  MMSRIR-YTD      PIC  X(03)      VALUE 'YTD'.
002700         05  MMSRIR-CTD      PIC  X(03)      VALUE 'CTD'.
002800         05  MMSRIR-DTD      PIC  X(03)      VALUE 'DTD'.
002900         05  MMSRIR-PTD      PIC  X(03)      VALUE 'PTD'.
003000     03  MMSRIR-OCC-ID-TABLE-R
003100                             REDEFINES MMSRIR-OCC-ID-TABLE-X.
003200         05  MMSRIR-OIT      PIC  X(03)      OCCURS 18 TIMES
003300                                             INDEXED BY
003400                                             X-MMSRIR-OIT.
003500/
003600*****************************************************************
003700*                                                               *
003800*  V - PLUS  M E R C H A N T   B A N K C A R D  S Y S T E M     *
003900*                                                               *
004000* MMSRIR -----STORE RELATIONSHIP CONTROL RECORD-----  510 BYTES *
004100*                                                               *
004200*****************************************************************
004300*
004400 01  MMSRIR-RECORD.
004500     03  MMSRIR-KEY.
004600         05  MMSRIR-ORG-CHAIN.
004700             88  MMSRIR-HEADER               VALUE ZERO.
004800             88  MMSRIR-TRAILER              VALUE '999999999999'.
004900             07  MMSRIR-ORG-X.
005000                 09  MMSRIR-ORG
005100                             PIC  9(03)      VALUE ZERO.
005200             07  MMSRIR-CHAIN-X.
005300                 09  MMSRIR-CHAIN
005400                             PIC  9(09)      VALUE ZERO.
005500*
005600     03  MMSRIR-STATUS-INFORMATION.
005700         05  MMSRIR-REC-STATUS
005800                             PIC  9(01)      VALUE ZERO.
005900             88  MMSRIR-REC-INCOMPLETE       VALUE 0.
006000             88  MMSRIR-REC-ACTIVE           VALUE 1.
006100             88  MMSRIR-REC-INACTIVE         VALUE 2.
006200             88  MMSRIR-REC-PURGED           VALUE 9.
006300*
006400         05  MMSRIR-ONLINE-STATUS
006500                             PIC  9(02)      VALUE ZERO.
006600             88  MMSRIR-ADD-PENDING          VALUE 00 THRU 49.
006700             88  MMSRIR-ADD-COMPLETED        VALUE 99.
006800*
006900         05  MMSRIR-LAST-MAINT-DATE
007000                             PIC S9(07)      COMP-3 VALUE ZERO.
007100         05  MMSRIR-LAST-MAINT-OPER
007200                             PIC  X(03)      VALUE SPACES.
007300*
007400*****************************************************************
007500*    PRIMARY DEMOGRAPHICS                                       *
007600*****************************************************************
007700*
007800     03  MMSRIR-DEMOGRAPHICS-AREA.
007900         05  MMSRIR-DEMOGRAPHICS-TABLE.
008000             07  MMSRIR-GNA-NBR
008100                             PIC  X(19)      VALUE SPACES.
008200             07  MMSRIR-NA-LINES-TABLE
008300                                             OCCURS 5 TIMES
008400                                             INDEXED BY
008500                                             X-MMSRIR-NA.
008600                 09  MMSRIR-NA-LINE
008700                             PIC  X(40)      VALUE SPACES.
008800             07  MMSRIR-NA-OVERFLOW-SW
008900                             PIC  X(01)      VALUE 'N'.
009000                 88  MMSRIR-NA-OVERFLOW-YES  VALUE 'Y'.
009100                 88  MMSRIR-NA-OVERFLOW-NO   VALUE 'N'.
009200             07  MMSRIR-COUNTRY-CODE
009300                             PIC  X(03)      VALUE SPACES.
009400             07  MMSRIR-STATE-CODE
009500                             PIC  X(03)      VALUE SPACES.
009600             07  MMSRIR-POSTAL-CODE
009700                             PIC  X(10)      VALUE SPACES.
009800             07  MMSRIR-PHONE
009900                             PIC  X(20)      VALUE SPACES.
010000             07  MMSRIR-FAX
010100                             PIC  X(20)      VALUE SPACES.
010200*
010300*****************************************************************
010400*    CHAIN PROCESSING OPTIONS AND STATIC DATA                   *
010500*****************************************************************
010600*
010700     03  MMSRIR-CHAIN-DATA.
010800         05  FILLER          PIC  X(24)      VALUE SPACES.
010900*
011000*****************************************************************
011100*    STATISTICS CONTROL AREA                                    *
011200*****************************************************************
011300*
011400*
011500******************************************************************
011600* OCCURRENCE *---------------DATA CONTENT---------------*        *
011700*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
011800*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
011900*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
012000*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
012100*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
012200*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
012300*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
012400*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
012500*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
012600*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
012700*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
012800*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
012900*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
013000*    14     MONTH-TO-DATE STATS                                  *
013100*    15     YEAR-TO-DATE STATS                                   *
013200*    16     STATEMENT CYCLE-TO-DATE STATS                        *
013300*    17     DISCOUNT-TO-DATE STATS                               *
013400*    18     PARTICIPATION-TO-DATE STATS                          *
013500******************************************************************
013600*
013700     03  MMSRIR-STATS-CONTROL-AREA.
013800         05  MMSRIR-STATS-OCCUR-TABLE        OCCURS 18 TIMES
013900                                             INDEXED BY
014000                                             X-MMSRIR
014100                                             X-MMSRIR-1
014200                                             X-MMSRIR-2
014300                                             X-MMSRIR-3
014400                                             X-MMSRIR-4
014500                                             X-MMSRIR-5
014600                                             X-MMSRIR-6
014700                                             X-MMSRIR-SEARCH.
014800             07  MMSRIR-OCCURRENCE-DESC.
014900                 09  MMSRIR-OCCURRENCE-ID
015000                             PIC  X(03)      VALUE SPACES.
015100                     88  MMSRIR-OID-JAN      VALUE 'JAN'.
015200                     88  MMSRIR-OID-FEB      VALUE 'FEB'.
015300                     88  MMSRIR-OID-MAR      VALUE 'MAR'.
015400                     88  MMSRIR-OID-APR      VALUE 'APR'.
015500                     88  MMSRIR-OID-MAY      VALUE 'MAY'.
015600                     88  MMSRIR-OID-JUN      VALUE 'JUN'.
015700                     88  MMSRIR-OID-JUL      VALUE 'JUL'.
015800                     88  MMSRIR-OID-AUG      VALUE 'AUG'.
015900                     88  MMSRIR-OID-SEP      VALUE 'SEP'.
016000                     88  MMSRIR-OID-OCT      VALUE 'OCT'.
016100                     88  MMSRIR-OID-NOV      VALUE 'NOV'.
016200                     88  MMSRIR-OID-DEC      VALUE 'DEC'.
016300                     88  MMSRIR-OID-CUR      VALUE 'CUR'.
016400                     88  MMSRIR-OID-MTD      VALUE 'MTD'.
016500                     88  MMSRIR-OID-YTD      VALUE 'YTD'.
016600                     88  MMSRIR-OID-CTD      VALUE 'CTD'.
016700                     88  MMSRIR-OID-DTD      VALUE 'DTD'.
016800                     88  MMSRIR-OID-PTD      VALUE 'PTD'.
016900                 09  MMSRIR-OCCURRENCE-YEAR
017000                             PIC  9(04)      VALUE ZERO.
017100*
017200     03  FILLER              PIC  X(12)      VALUE SPACES.
017300*
017400     03  MMSRIR-USER-FILLER  PIC  X(50)      VALUE SPACES.
017500*
017600*       ***************************************************
017700*       *              END OF COPYBOOK MMSRIR             *
017800*       ***************************************************
