000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMTMIR ------ MASTERCARD MATCH / VISA NMAS ------1630 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMTMIR-RECORD.
001000     03  MMTMIR-KEY.
001100         05  MMTMIR-ORG-MERCHANT.
001200             88  MMTMIR-HEADER               VALUE ZERO.
001300             88  MMTMIR-TRAILER              VALUE ALL '9'.
001400             07  MMTMIR-ORG-X.
001500                 09  MMTMIR-ORG
001600                             PIC  9(03)      VALUE ZERO.
001700             07  MMTMIR-MERCHANT-X.
001800                 09  MMTMIR-MERCHANT
001900                             PIC  9(09)      VALUE ZERO.
002000         05  MMTMIR-FILE-TYPE
002100                             PIC  X(01)      VALUE SPACES.
002200             88  MMTMIR-MERCH-TYPE           VALUE 'M'.
002300             88  MMTMIR-STORE-TYPE           VALUE 'S'.
002400         05  MMTMIR-ACTION-CODE
002500                             PIC  X(02)      VALUE SPACES.
002600             88  MMTMIR-ACTION-CODE-INQ      VALUE 'IM' 'IV'.
002700             88  MMTMIR-ACTION-CODE-ADD      VALUE 'AM' 'AV'.
002800             88  MMTMIR-ACTION-CODE-MC       VALUE 'AM' 'IM'.
002900             88  MMTMIR-ACTION-CODE-VISA     VALUE 'AV' 'IV'.
003000*
003100     03  MMTMIR-STATUS-INFORMATION.
003200         05  MMTMIR-REC-STATUS
003300                             PIC  9(01)      VALUE ZERO.
003400             88  MMTMIR-REC-INCOMPLETE       VALUE ZERO.
003500             88  MMTMIR-REC-ACTIVE           VALUE 1.
003600             88  MMTMIR-REC-PURGED           VALUE 9.
003700         05  MMTMIR-ONLINE-STATUS
003800                             PIC  9(02)      VALUE ZERO.
003900             88  MMTMIR-ADD-PENDING          VALUE 00 THRU 49.
004000             88  MMTMIR-ADD-COMPLETED        VALUE 99.
004100         05  MMTMIR-LAST-MAINT-DATE
004200                             PIC S9(07)      COMP-3 VALUE ZERO.
004300         05  MMTMIR-LAST-MAINT-OPER
004400                             PIC  X(03)      VALUE SPACES.
004500*
004600     03  MMTMIR-DATA-FORMAT  PIC  X(01)      VALUE SPACES.
004700         88  MMTMIR-DF-NOT-DEFINED           VALUE SPACES.
004800         88  MMTMIR-DF-MASTERCARD            VALUE 'M'.
004900         88  MMTMIR-DF-VISA-UK               VALUE '0'.
005000         88  MMTMIR-DF-VISA-AUNZ             VALUE '1'.
005010         88  MMTMIR-DF-VISA-INTL             VALUE '2'.           EH800900
005100         88  MMTMIR-DF-VISA-0                VALUE '0'.
005200         88  MMTMIR-DF-VISA-1                VALUE '1'.
005300         88  MMTMIR-DF-VISA-2                VALUE '2'.
005400         88  MMTMIR-DF-VISA-3                VALUE '3'.
005500         88  MMTMIR-DF-VISA-4                VALUE '4'.
005600         88  MMTMIR-DF-VISA-5                VALUE '5'.
005700         88  MMTMIR-DF-VISA-6                VALUE '6'.
005800         88  MMTMIR-DF-VISA-7                VALUE '7'.
005900         88  MMTMIR-DF-VISA-8                VALUE '8'.
006000         88  MMTMIR-DF-VISA-9                VALUE '9'.
006100*
006200     03  MMTMIR-DATA.
006300         05  FILLER          PIC  X(1500)    VALUE SPACES.
006400*
006500*
006600*
006700     03  MMTMIR-FILLER       PIC  X(04)      VALUE SPACES.
006800*
006900     03  MMTMIR-USER-FILLER  PIC  X(100)     VALUE SPACES.
007000*
007100*
007200*
007300/
007400 01  MMTMIR-AREA-INITIALIZERS.
007500     03  MMTMIR-MASTERCARD-DATA.
007600*
007700*****************************************************************
007800*    MASTERCARD MATCH ADDRESS AREA                              *
007900*****************************************************************
008000*
008100         05  MMTMIR-ADDRESS-AREA.
008200             07  MMTMIR-NAME-LINE-1
008300                             PIC  X(30)      VALUE SPACES.
008400             07  MMTMIR-ADDR-LINE-1
008500                             PIC  X(30)      VALUE SPACES.
008600             07  MMTMIR-ADDR-LINE-2
008700                             PIC  X(30)      VALUE SPACES.
008800             07  MMTMIR-CITY PIC  X(15)      VALUE SPACES.
008900             07  MMTMIR-STATE-PROV
009000                             PIC  X(02)      VALUE SPACES.
009100             07  MMTMIR-COUNTRY-CODE
009200                             PIC  X(03)      VALUE SPACES.
009300             07  MMTMIR-POSTAL-CODE
009400                             PIC  X(10)      VALUE SPACES.
009500             07  MMTMIR-PHONE
009600                             PIC  X(10)      VALUE SPACES.
009700             07  MMTMIR-DBA-NAME
009800                             PIC  X(30)      VALUE SPACES.
009900*
010000*****************************************************************
010100*    MASTERCARD MATCH MISC FIELDS                               *
010200*****************************************************************
010300*
010400         05  MMTMIR-MISC-DATA.
010500             07  MMTMIR-DATE-OPENED
010600                             PIC S9(07)      COMP-3 VALUE ZERO.
010700             07  MMTMIR-DATE-CLOSED
010800                             PIC S9(07)      COMP-3 VALUE ZERO.
010900             07  MMTMIR-SIC-CODE
011000                             PIC  9(04)      VALUE ZERO.
011100             07  MMTMIR-FED-TAX-ID
011200                             PIC  X(09)      VALUE SPACES.
011300             07  MMTMIR-STATE-TAX-ID
011400                             PIC  X(09)      VALUE SPACES.
011500*
011600*****************************************************************
011700*    MASTERCARD MATCH INQUIRY FIELDS                            *
011800*****************************************************************
011900*
012000         05  MMTMIR-INQUIRY-DATA.
012100             07  MMTMIR-NBR-MATCHES
012200                             PIC  9(01)      VALUE ZERO.
012300             07  MMTMIR-TRANS-REF-NBR
012400                             PIC S9(05)      COMP-3 VALUE ZERO.
012500             07  MMTMIR-REGION-TABLE         OCCURS 6 TIMES
012600                                             INDEXED BY
012700                                             X-MMTMIR-REGION.
012800                 09  MMTMIR-REGION
012900                             PIC  X(03)      VALUE SPACES.
013000             07  MMTMIR-COUNTRY-TABLE        OCCURS 10 TIMES
013100                                             INDEXED BY
013200                                             X-MMTMIR-COUNTRY.
013300                 09  MMTMIR-COUNTRY
013400                             PIC  X(03)      VALUE SPACES.
013500*
013600*****************************************************************
013700*    MASTERCARD MATCH MATCH ADD FIELDS                          *
013800*****************************************************************
013900*
014000         05  MMTMIR-ADD-DATA.
014100             07  MMTMIR-CH-ACT-TERM-IND
014200                             PIC  X(01)      VALUE SPACES.
014300             07  MMTMIR-CATEGORY-CODE
014400                             PIC  9(04)      VALUE ZERO.
014500             07  MMTMIR-REASON-CODE
014600                             PIC  9(02)      VALUE ZERO.
014700             07  MMTMIR-COMMENTS-TABLE       OCCURS 4 TIMES
014800                                             INDEXED BY
014900                                             X-MMTMIR-COMMENTS.
015000                 09  MMTMIR-COMMENTS
015100                             PIC  X(50)      VALUE SPACES.
015200*
015300*****************************************************************
015400*    MASTERCARD MATCH PRINCIPAL DATA                            *
015500*****************************************************************
015600*
015700         05  MMTMIR-PRINCIPAL-DATA.
015800             07  MMTMIR-PRINCIPAL-TABLE      OCCURS 5 TIMES
015900                                             INDEXED BY
016000                                             X-MMTMIR-PRIN-DATA.
016100                 09  MMTMIR-PR-FIRST-NAME
016200                             PIC  X(15)      VALUE SPACES.
016300                 09  MMTMIR-PR-MIDDLE-INITIAL
016400                             PIC  X(01)      VALUE SPACES.
016500                 09  MMTMIR-PR-LAST-NAME
016600                             PIC  X(25)      VALUE SPACES.
016700                 09  MMTMIR-PR-ADDR-1
016800                             PIC  X(30)      VALUE SPACES.
016900                 09  MMTMIR-PR-ADDR-2
017000                             PIC  X(30)      VALUE SPACES.
017100                 09  MMTMIR-PR-CITY
017200                             PIC  X(15)      VALUE SPACES.
017300                 09  MMTMIR-PR-STATE
017400                             PIC  X(02)      VALUE SPACES.
017500                 09  MMTMIR-PR-COUNTRY
017600                             PIC  X(03)      VALUE SPACES.
017700                 09  MMTMIR-PR-POSTAL-CODE
017800                             PIC  X(10)      VALUE SPACES.
017900                 09  MMTMIR-PR-PHONE
018000                             PIC  X(10)      VALUE SPACES.
018100                 09  MMTMIR-DL-STATE
018200                             PIC  X(02)      VALUE SPACES.
018300                 09  MMTMIR-DL-NBR
018400                             PIC  X(25)      VALUE SPACES.
018500                 09  MMTMIR-DL-COUNTRY
018600                             PIC  X(03)      VALUE SPACES.
018700                 09  MMTMIR-SOC-SEC-NBR
018800                             PIC  X(09)      VALUE SPACES.
018900*
019000         05  MMTMIR-MC-FILLER
019100                             PIC  X(151)     VALUE SPACES.
019200
019300*
019400*****************************************************************
019500*    VISA NMAS DATA - CONTROL AREA                              *
019600*****************************************************************
019700*
019800     03  MMTMIR-VISA-DATA.
019900         05  FILLER          PIC  X(1500)    VALUE SPACES.
020000*
020100*****************************************************************
020200*    VISA NMAS ***UK*** DATA                                    *
020300*****************************************************************
020400*
020500     03  MMTMIR-VISA-UK-DATA.
020600         05  MMTMIR-V-UK-MER-LEGAL-NAME
020700                             PIC  X(30)      VALUE SPACES.
020800         05  MMTMIR-V-UK-MER-TRADING-NAME
020900                             PIC  X(30)      VALUE SPACES.
021000         05  MMTMIR-V-UK-MER-STREET-ADDR
021100                             PIC  X(40)      VALUE SPACES.
021200         05  MMTMIR-V-UK-MER-CITY
021300                             PIC  X(20)      VALUE SPACES.
021400         05  MMTMIR-V-UK-MER-COUNTY
021500                             PIC  X(15)      VALUE SPACES.
021600         05  MMTMIR-V-UK-MER-COUNTRY-CODE
021700                             PIC  X(03)      VALUE SPACES.
021800         05  MMTMIR-V-UK-LOCALITY-DISTRICT
021900                             PIC  X(40)      VALUE SPACES.
022000         05  MMTMIR-V-UK-MER-POSTAL-CODE
022100                             PIC  X(09)      VALUE SPACES.
022200         05  MMTMIR-V-UK-TELE-NBR-1
022300                             PIC  X(11)      VALUE SPACES.
022400         05  MMTMIR-V-UK-TELE-NBR-2
022500                             PIC  X(11)      VALUE SPACES.
022600         05  MMTMIR-V-UK-TELE-NBR-3
022700                             PIC  X(11)      VALUE SPACES.
022800         05  MMTMIR-V-UK-LISTING-REASON-CD
022900                             PIC  9(02)      VALUE ZERO.
023000         05  MMTMIR-V-UK-MER-CAT-CODE
023100                             PIC  9(04)      VALUE ZERO.
023200         05  MMTMIR-V-UK-CONTRACT-OPEN-DATE
023300                             PIC S9(07)      COMP-3 VALUE ZERO.
023400         05  MMTMIR-V-UK-CONTRACT-CLOSED-DT
023500                             PIC S9(07)      COMP-3 VALUE ZERO.
023600         05  MMTMIR-V-UK-VAT-REG-1-NBR
023700                             PIC  X(09)      VALUE SPACES.
023800         05  MMTMIR-V-UK-BUS-REG-2-NBR
023900                             PIC  X(17)      VALUE SPACES.
024000         05  MMTMIR-V-UK-BANK-SORT-CODE
024100                             PIC  X(06)      VALUE SPACES.
024200         05  MMTMIR-V-UK-BANK-ACCT-CODE
024300                             PIC  X(12)      VALUE SPACES.
024400         05  MMTMIR-V-UK-PRIN-NAME-1
024500                             PIC  X(30)      VALUE SPACES.
024600         05  MMTMIR-V-UK-PRIN-NAME-2
024700                             PIC  X(30)      VALUE SPACES.
024800         05  MMTMIR-V-UK-PRIN-NAME-3
024900                             PIC  X(30)      VALUE SPACES.
025000*
025100         05  MMTMIR-V-UK-FILLER
025200                             PIC  X(1132)    VALUE SPACES.
025300*
025400*****************************************************************
025500*    VISA NMAS ***AU/NZ*** DATA                                 *
025600*****************************************************************
025700*
025800     03  MMTMIR-VISA-ANZ-DATA.
025900         05  MMTMIR-VANZ-MER-LEGAL-NAME
026000                             PIC  X(35)      VALUE SPACES.
026100         05  MMTMIR-VANZ-MER-TRADING-NAME
026200                             PIC  X(35)      VALUE SPACES.
026300         05  MMTMIR-VANZ-MER-STREET-ADDR
026400                             PIC  X(40)      VALUE SPACES.
026500         05  MMTMIR-VANZ-MER-CITY
026600                             PIC  X(20)      VALUE SPACES.
026700         05  MMTMIR-VANZ-MER-AREA
026800                             PIC  X(20)      VALUE SPACES.
026900         05  MMTMIR-VANZ-MER-COUNTRY-CODE
027000                             PIC  X(03)      VALUE SPACES.
027100         05  MMTMIR-VANZ-MER-POSTAL-CODE
027200                             PIC  9(04)      VALUE ZERO.
027300         05  MMTMIR-VANZ-TELE-NBR-1
027400                             PIC  X(10)      VALUE SPACES.
027500         05  MMTMIR-VANZ-TELE-NBR-2
027600                             PIC  X(10)      VALUE SPACES.
027700         05  MMTMIR-VANZ-TELE-NBR-3
027800                             PIC  X(10)      VALUE SPACES.
027900         05  MMTMIR-VANZ-LISTING-REASON-CD
028000                             PIC  9(02)      VALUE ZERO.
028100         05  MMTMIR-VANZ-MER-CAT-CODE
028200                             PIC  9(04)      VALUE ZERO.
028300         05  MMTMIR-VANZ-CONTRACT-OPEN-DATE
028400                             PIC S9(07)      COMP-3 VALUE ZERO.
028500         05  MMTMIR-VANZ-CONTRACT-CLOSED-DT
028600                             PIC S9(07)      COMP-3 VALUE ZERO.
028700         05  MMTMIR-VANZ-BUS-REG-NBR
028800                             PIC  X(09)      VALUE SPACES.
028900         05  MMTMIR-VANZ-DDA-ACCT-1
029000                             PIC  X(18)      VALUE SPACES.
029100         05  MMTMIR-VANZ-DDA-ACCT-2
029200                             PIC  X(18)      VALUE SPACES.
029300         05  MMTMIR-VANZ-DDA-ACCT-3
029400                             PIC  X(18)      VALUE SPACES.
029500         05  MMTMIR-VANZ-PRIN-NAME-1
029600                             PIC  X(35)      VALUE SPACES.
029700         05  MMTMIR-VANZ-NATIONAL-ID-1
029800                             PIC  X(15)      VALUE SPACES.
029900         05  MMTMIR-VANZ-PRIN-NAME-2
030000                             PIC  X(35)      VALUE SPACES.
030100         05  MMTMIR-VANZ-NATIONAL-ID-2
030200                             PIC  X(15)      VALUE SPACES.
030300         05  MMTMIR-VANZ-PRIN-NAME-3
030400                             PIC  X(35)      VALUE SPACES.
030500         05  MMTMIR-VANZ-NATIONAL-ID-3
030600                             PIC  X(15)      VALUE SPACES.
030700*
030800         05  MMTMIR-VANZ-FILLER
030900                             PIC  X(1086)    VALUE SPACES.
031000*
031100***************************************************************** EH800900
031200*    VISA NMAS ***INTL*** DATA                                  * EH800900
031300***************************************************************** EH800900
031400                                                                  EH800900
031500     03  MMTMIR-VISA-INTL-DATA.                                   EH800900
031600         05  MMTMIR-VINT-MER-LEGAL-NAME                           EH800900
031700                             PIC  X(40)      VALUE SPACES.        EH800900
031800         05  MMTMIR-VINT-MER-TRADING-NAME                         EH800900
031900                             PIC  X(40)      VALUE SPACES.        EH800900
032000         05  MMTMIR-VINT-MER-STREET-ADDR                          EH800900
032100                             PIC  X(60)      VALUE SPACES.        EH800900
032200         05  MMTMIR-VINT-MER-CITY                                 EH800900
032300                             PIC  X(30)      VALUE SPACES.        EH800900
032400         05  MMTMIR-VINT-MER-COUNTY                               EH800900
032500                             PIC  X(25)      VALUE SPACES.        EH800900
032600         05  MMTMIR-VINT-MER-COUNTRY-CODE                         EH800900
032700                             PIC  X(03)      VALUE SPACES.        EH800900
032800         05  MMTMIR-VINT-LOCALITY-DIST                            EH800900
032900                             PIC  X(40)      VALUE SPACES.        EH800900
033000         05  MMTMIR-VINT-MER-POSTAL-CODE                          EH800900
033100                             PIC  X(09)      VALUE ZERO.          EH800900
033200         05  MMTMIR-VINT-TELE-NBR-1                               EH800900
033300                             PIC  X(14)      VALUE SPACES.        EH800900
033400         05  MMTMIR-VINT-TELE-NBR-2                               EH800900
033500                             PIC  X(14)      VALUE SPACES.        EH800900
033600         05  MMTMIR-VINT-TELE-NBR-3                               EH800900
033700                             PIC  X(14)      VALUE SPACES.        EH800900
033800         05  MMTMIR-VINT-LISTING-REASON-CD                        EH800900
033900                             PIC  9(02)      VALUE ZERO.          EH800900
034000         05  MMTMIR-VINT-MER-CAT-CODE                             EH800900
034100                             PIC  9(04)      VALUE ZERO.          EH800900
034200         05  MMTMIR-VINT-CONTRACT-OPEN-DATE                       EH800900
034300                             PIC S9(07)      COMP-3 VALUE ZERO.   EH800900
034400         05  MMTMIR-VINT-CONTRACT-CLOSED-DT                       EH800900
034500                             PIC S9(07)      COMP-3 VALUE ZERO.   EH800900
034600         05  MMTMIR-VINT-BUS-REG-1-NBR                            EH800900
034700                             PIC  X(20)      VALUE SPACES.        EH800900
034800         05  MMTMIR-VINT-BUS-REG-2-NBR                            EH800900
034900                             PIC  X(20)      VALUE SPACES.        EH800900
035000         05  MMTMIR-VINT-BANK-SORT-CODE                           EH800900
035100                             PIC  X(09)      VALUE SPACES.        EH800900
035200         05  MMTMIR-VINT-CAB-BRANCH-NBR                           EH800900
035300                             PIC  X(05)      VALUE SPACES.        EH800900
035400         05  MMTMIR-VINT-DDA-ACCT-1                               EH800900
035500                             PIC  X(18)      VALUE SPACES.        EH800900
035600         05  MMTMIR-VINT-DDA-ACCT-2                               EH800900
035700                             PIC  X(18)      VALUE SPACES.        EH800900
035800         05  MMTMIR-VINT-DDA-ACCT-3                               EH800900
035900                             PIC  X(18)      VALUE SPACES.        EH800900
036000         05  MMTMIR-VINT-PRIN-NAME-1                              EH800900
036100                             PIC  X(40)      VALUE SPACES.        EH800900
036200         05  MMTMIR-VINT-NATIONAL-ID-1                            EH800900
036300                             PIC  X(20)      VALUE SPACES.        EH800900
036400         05  MMTMIR-VINT-PRIN-NAME-2                              EH800900
036500                             PIC  X(40)      VALUE SPACES.        EH800900
036600         05  MMTMIR-VINT-NATIONAL-ID-2                            EH800900
036700                             PIC  X(20)      VALUE SPACES.        EH800900
036800         05  MMTMIR-VINT-PRIN-NAME-3                              EH800900
036900                             PIC  X(40)      VALUE SPACES.        EH800900
037000         05  MMTMIR-VINT-NATIONAL-ID-3                            EH800900
037100                             PIC  X(20)      VALUE SPACES.        EH800900
037200*                                                                 EH800900
037300         05  MMTMIR-VINT-FILLER                                   EH800900
037400                             PIC  X(909)     VALUE SPACES.        EH800900
037500*                                                                 EH800900
