000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMTMRL ------ MASTERCARD MATCH / VISA NMAS ------1630 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMTM-RECORD.
001000     03  MMTM-KEY.
001100         05  MMTM-ORG-MERCHANT.
001200             88  MMTM-HEADER                 VALUE ZERO.
001300             88  MMTM-TRAILER                VALUE ALL '9'.
001400             07  MMTM-ORG-X.
001500                 09  MMTM-ORG
001600                             PIC  9(03).
001700             07  MMTM-MERCHANT-X.
001800                 09  MMTM-MERCHANT
001900                             PIC  9(09).
002000         05  MMTM-FILE-TYPE
002100                             PIC  X(01).
002200             88  MMTM-MERCH-TYPE             VALUE 'M'.
002300             88  MMTM-STORE-TYPE             VALUE 'S'.
002400         05  MMTM-ACTION-CODE
002500                             PIC  X(02).
002600             88  MMTM-ACTION-CODE-INQ        VALUE 'IM' 'IV'.
002700             88  MMTM-ACTION-CODE-ADD        VALUE 'AM' 'AV'.
002800             88  MMTM-ACTION-CODE-MC         VALUE 'AM' 'IM'.
002900             88  MMTM-ACTION-CODE-VISA       VALUE 'AV' 'IV'.
003000*
003100     03  MMTM-STATUS-INFORMATION.
003200         05  MMTM-REC-STATUS
003300                             PIC  9(01).
003400             88  MMTM-REC-INCOMPLETE         VALUE ZERO.
003500             88  MMTM-REC-ACTIVE             VALUE 1.
003600             88  MMTM-REC-PURGED             VALUE 9.
003700         05  MMTM-ONLINE-STATUS
003800                             PIC  9(02).
003900             88  MMTM-ADD-PENDING            VALUE 00 THRU 49.
004000             88  MMTM-ADD-COMPLETED          VALUE 99.
004100         05  MMTM-LAST-MAINT-DATE
004200                             PIC S9(07)      COMP-3.
004300         05  MMTM-LAST-MAINT-OPER
004400                             PIC  X(03).
004500*
004600     03  MMTM-DATA-FORMAT    PIC  X(01).
004700         88  MMTM-DF-NOT-DEFINED             VALUE SPACES.
004800         88  MMTM-DF-MASTERCARD              VALUE 'M'.
004900         88  MMTM-DF-VISA-UK                 VALUE '0'.
005000         88  MMTM-DF-VISA-AUNZ               VALUE '1'.
005010         88  MMTM-DF-VISA-INTL               VALUE '2'.           EH800900
005100         88  MMTM-DF-VISA-0                  VALUE '0'.
005200         88  MMTM-DF-VISA-1                  VALUE '1'.
005300         88  MMTM-DF-VISA-2                  VALUE '2'.
005400         88  MMTM-DF-VISA-3                  VALUE '3'.
005500         88  MMTM-DF-VISA-4                  VALUE '4'.
005600         88  MMTM-DF-VISA-5                  VALUE '5'.
005700         88  MMTM-DF-VISA-6                  VALUE '6'.
005800         88  MMTM-DF-VISA-7                  VALUE '7'.
005900         88  MMTM-DF-VISA-8                  VALUE '8'.
006000         88  MMTM-DF-VISA-9                  VALUE '9'.
006100*
006200     03  MMTM-DATA.
006300         05  FILLER          PIC  X(1500).
006400*
006500*
006600*
006700     03  MMTM-MASTERCARD-DATA
006800                             REDEFINES MMTM-DATA.
006900*
007000*****************************************************************
007100*    MASTERCARD MATCH ADDRESS AREA                              *
007200*****************************************************************
007300*
007400         05  MMTM-ADDRESS-AREA.
007500             07  MMTM-NAME-LINE-1
007600                             PIC  X(30).
007700             07  MMTM-ADDR-LINE-1
007800                             PIC  X(30).
007900             07  MMTM-ADDR-LINE-2
008000                             PIC  X(30).
008100             07  MMTM-CITY   PIC  X(15).
008200             07  MMTM-STATE-PROV
008300                             PIC  X(02).
008400             07  MMTM-COUNTRY-CODE
008500                             PIC  X(03).
008600             07  MMTM-POSTAL-CODE
008700                             PIC  X(10).
008800             07  MMTM-PHONE
008900                             PIC  X(10).
009000             07  MMTM-DBA-NAME
009100                             PIC  X(30).
009200*
009300*****************************************************************
009400*    MASTERCARD MATCH MISC FIELDS                               *
009500*****************************************************************
009600*
009700         05  MMTM-MISC-DATA.
009800             07  MMTM-DATE-OPENED
009900                             PIC S9(07)      COMP-3.
010000             07  MMTM-DATE-CLOSED
010100                             PIC S9(07)      COMP-3.
010200             07  MMTM-SIC-CODE
010300                             PIC  9(04).
010400             07  MMTM-FED-TAX-ID
010500                             PIC  X(09).
010600             07  MMTM-STATE-TAX-ID
010700                             PIC  X(09).
010800*
010900*****************************************************************
011000*    MASTERCARD MATCH INQUIRY FIELDS                            *
011100*****************************************************************
011200*
011300         05  MMTM-INQUIRY-DATA.
011400             07  MMTM-NBR-MATCHES
011500                             PIC  9(01).
011600             07  MMTM-TRANS-REF-NBR
011700                             PIC S9(05)      COMP-3.
011800             07  MMTM-REGION-TABLE           OCCURS 6 TIMES
011900                                             INDEXED BY
012000                                             X-MMTM-REGION.
012100                 09  MMTM-REGION
012200                             PIC  X(03).
012300             07  MMTM-COUNTRY-TABLE          OCCURS 10 TIMES
012400                                             INDEXED BY
012500                                             X-MMTM-COUNTRY.
012600                 09  MMTM-COUNTRY
012700                             PIC  X(03).
012800*
012900*****************************************************************
013000*    MASTERCARD MATCH MATCH ADD FIELDS                          *
013100*****************************************************************
013200*
013300         05  MMTM-ADD-DATA.
013400             07  MMTM-CH-ACT-TERM-IND
013500                             PIC  X(01).
013600             07  MMTM-CATEGORY-CODE
013700                             PIC  9(04).
013800             07  MMTM-REASON-CODE
013900                             PIC  9(02).
014000             07  MMTM-COMMENTS-TABLE         OCCURS 4 TIMES
014100                                             INDEXED BY
014200                                             X-MMTM-COMMENTS.
014300                 09  MMTM-COMMENTS
014400                             PIC  X(50).
014500*
014600*****************************************************************
014700*    MASTERCARD MATCH PRINCIPAL DATA                            *
014800*****************************************************************
014900*
015000         05  MMTM-PRINCIPAL-DATA.
015100             07  MMTM-PRINCIPAL-TABLE        OCCURS 5 TIMES
015200                                             INDEXED BY
015300                                             X-MMTM-PRIN-DATA.
015400                 09  MMTM-PR-FIRST-NAME
015500                             PIC  X(15).
015600                 09  MMTM-PR-MIDDLE-INITIAL
015700                             PIC  X(01).
015800                 09  MMTM-PR-LAST-NAME
015900                             PIC  X(25).
016000                 09  MMTM-PR-ADDR-1
016100                             PIC  X(30).
016200                 09  MMTM-PR-ADDR-2
016300                             PIC  X(30).
016400                 09  MMTM-PR-CITY
016500                             PIC  X(15).
016600                 09  MMTM-PR-STATE
016700                             PIC  X(02).
016800                 09  MMTM-PR-COUNTRY
016900                             PIC  X(03).
017000                 09  MMTM-PR-POSTAL-CODE
017100                             PIC  X(10).
017200                 09  MMTM-PR-PHONE
017300                             PIC  X(10).
017400                 09  MMTM-DL-STATE
017500                             PIC  X(02).
017600                 09  MMTM-DL-NBR
017700                             PIC  X(25).
017800                 09  MMTM-DL-COUNTRY
017900                             PIC  X(03).
018000                 09  MMTM-SOC-SEC-NBR
018100                             PIC  X(09).
018200*
018300         05  MMTM-MC-FILLER
018400                             PIC  X(151).
018500
018600*
018700*****************************************************************
018800*    VISA NMAS DATA - CONTROL AREA                              *
018900*****************************************************************
019000*
019100     03  MMTM-VISA-DATA      REDEFINES MMTM-DATA.
019200         05  MMTM-V-MER-LEGAL-NAME                                EH800900
019201                             PIC  X(40).                          EH800900
019202         05  MMTM-V-MER-TRADING-NAME                              EH800900
019203                             PIC  X(40).                          EH800900
019204         05  MMTM-V-MER-STREET-ADDR                               EH800900
019205                             PIC  X(60).                          EH800900
019206         05  MMTM-V-MER-CITY                                      EH800900
019207                             PIC  X(30).                          EH800900
019208         05  MMTM-V-MER-COUNTY                                    EH800900
019209                             PIC  X(25).                          EH800900
019210         05  MMTM-V-MER-COUNTRY-CODE                              EH800900
019211                             PIC  X(03).                          EH800900
019212         05  MMTM-V-LOCALITY-DISTRICT                             EH800900
019213                             PIC  X(40).                          EH800900
019214         05  MMTM-V-MER-POSTAL-CODE                               EH800900
019215                             PIC  X(09).                          EH800900
019216         05  MMTM-V-TELE-NBR-1                                    EH800900
019217                             PIC  X(14).                          EH800900
019218         05  MMTM-V-TELE-NBR-2                                    EH800900
019219                             PIC  X(14).                          EH800900
019220         05  MMTM-V-TELE-NBR-3                                    EH800900
019221                             PIC  X(14).                          EH800900
019222         05  MMTM-V-LISTING-REASON-CODE                           EH800900
019223                             PIC  9(02).                          EH800900
019224         05  MMTM-V-MER-CAT-CODE                                  EH800900
019225                             PIC  9(04).                          EH800900
019226         05  MMTM-V-CONTRACT-OPEN-DATE                            EH800900
019227                             PIC S9(07)      COMP-3.              EH800900
019228         05  MMTM-V-CONTRACT-CLOSED-DATE                          EH800900
019229                             PIC S9(07)      COMP-3.              EH800900
019230         05  MMTM-V-BUS-REG-1-NBR                                 EH800900
019231                             PIC  X(20).                          EH800900
019232         05  MMTM-V-BUS-REG-2-NBR                                 EH800900
019233                             PIC  X(20).                          EH800900
019234         05  MMTM-V-BANK-SORT-CODE                                EH800900
019235                             PIC  X(09).                          EH800900
019236         05  MMTM-V-CAB-BRANCH-NBR                                EH800900
019237                             PIC  X(05).                          EH800900
019238         05  MMTM-V-DDA-ACCT-1                                    EH800900
019239                             PIC  X(18).                          EH800900
019240         05  MMTM-V-DDA-ACCT-2                                    EH800900
019241                             PIC  X(18).                          EH800900
019242         05  MMTM-V-DDA-ACCT-3                                    EH800900
019243                             PIC  X(18).                          EH800900
019244         05  MMTM-V-PRIN-NAME-1                                   EH800900
019245                             PIC  X(40).                          EH800900
019246         05  MMTM-V-NATIONAL-ID-1                                 EH800900
019247                             PIC  X(20).                          EH800900
019248         05  MMTM-V-PRIN-NAME-2                                   EH800900
019249                             PIC  X(40).                          EH800900
019250         05  MMTM-V-NATIONAL-ID-2                                 EH800900
019251                             PIC  X(20).                          EH800900
019252         05  MMTM-V-PRIN-NAME-3                                   EH800900
019253                             PIC  X(40).                          EH800900
019254         05  MMTM-V-NATIONAL-ID-3                                 EH800900
019255                             PIC  X(20).                          EH800900
019256*                                                                 EH800900
019257         05  MMTM-V-FILLER                                        EH800900
019258                             PIC  X(909).                         EH800900
019300*
019400*****************************************************************
019500*    VISA NMAS ***UK*** DATA                                    *
019600*****************************************************************
019700*
019800     03  MMTM-VISA-UK-DATA   REDEFINES MMTM-DATA.
019900         05  MMTM-V-UK-MER-LEGAL-NAME
020000                             PIC  X(30).
020100         05  MMTM-V-UK-MER-TRADING-NAME
020200                             PIC  X(30).
020300         05  MMTM-V-UK-MER-STREET-ADDR
020400                             PIC  X(40).
020500         05  MMTM-V-UK-MER-CITY
020600                             PIC  X(20).
020700         05  MMTM-V-UK-MER-COUNTY
020800                             PIC  X(15).
020900         05  MMTM-V-UK-MER-COUNTRY-CODE
021000                             PIC  X(03).
021100         05  MMTM-V-UK-LOCALITY-DISTRICT
021200                             PIC  X(40).
021300         05  MMTM-V-UK-MER-POSTAL-CODE
021400                             PIC  X(09).
021500         05  MMTM-V-UK-TELE-NBR-1
021600                             PIC  X(11).
021700         05  MMTM-V-UK-TELE-NBR-2
021800                             PIC  X(11).
021900         05  MMTM-V-UK-TELE-NBR-3
022000                             PIC  X(11).
022100         05  MMTM-V-UK-LISTING-REASON-CODE
022200                             PIC  9(02).
022300         05  MMTM-V-UK-MER-CAT-CODE
022400                             PIC  9(04).
022500         05  MMTM-V-UK-CONTRACT-OPEN-DATE
022600                             PIC S9(07)      COMP-3.
022700         05  MMTM-V-UK-CONTRACT-CLOSED-DATE
022800                             PIC S9(07)      COMP-3.
022900         05  MMTM-V-UK-VAT-REG-1-NBR
023000                             PIC  X(09).
023100         05  MMTM-V-UK-BUS-REG-2-NBR
023200                             PIC  X(17).
023300         05  MMTM-V-UK-BANK-SORT-CODE
023400                             PIC  X(06).
023500         05  MMTM-V-UK-BANK-ACCT-CODE
023600                             PIC  X(12).
023700         05  MMTM-V-UK-PRIN-NAME-1
023800                             PIC  X(30).
023900         05  MMTM-V-UK-PRIN-NAME-2
024000                             PIC  X(30).
024100         05  MMTM-V-UK-PRIN-NAME-3
024200                             PIC  X(30).
024300*
024400         05  MMTM-V-UK-FILLER
024500                             PIC  X(1132).
024600*
024700*****************************************************************
024800*    VISA NMAS ***AU/NZ*** DATA                                 *
024900*****************************************************************
025000*
025100     03  MMTM-VISA-ANZ-DATA
025200                             REDEFINES MMTM-DATA.
025300         05  MMTM-VANZ-MER-LEGAL-NAME
025400                             PIC  X(35).
025500         05  MMTM-VANZ-MER-TRADING-NAME
025600                             PIC  X(35).
025700         05  MMTM-VANZ-MER-STREET-ADDR
025800                             PIC  X(40).
025900         05  MMTM-VANZ-MER-CITY
026000                             PIC  X(20).
026100         05  MMTM-VANZ-MER-AREA
026200                             PIC  X(20).
026300         05  MMTM-VANZ-MER-COUNTRY-CODE
026400                             PIC  X(03).
026500         05  MMTM-VANZ-MER-POSTAL-CODE
026600                             PIC  9(04).
026700         05  MMTM-VANZ-TELE-NBR-1
026800                             PIC  X(10).
026900         05  MMTM-VANZ-TELE-NBR-2
027000                             PIC  X(10).
027100         05  MMTM-VANZ-TELE-NBR-3
027200                             PIC  X(10).
027300         05  MMTM-VANZ-LISTING-REASON-CODE
027400                             PIC  9(02).
027500         05  MMTM-VANZ-MER-CAT-CODE
027600                             PIC  9(04).
027700         05  MMTM-VANZ-CONTRACT-OPEN-DATE
027800                             PIC S9(07)      COMP-3.
027900         05  MMTM-VANZ-CONTRACT-CLOSED-DATE
028000                             PIC S9(07)      COMP-3.
028100         05  MMTM-VANZ-BUS-REG-NBR
028200                             PIC  X(09).
028300         05  MMTM-VANZ-DDA-ACCT-1
028400                             PIC  X(18).
028500         05  MMTM-VANZ-DDA-ACCT-2
028600                             PIC  X(18).
028700         05  MMTM-VANZ-DDA-ACCT-3
028800                             PIC  X(18).
028900         05  MMTM-VANZ-PRIN-NAME-1
029000                             PIC  X(35).
029100         05  MMTM-VANZ-NATIONAL-ID-1
029200                             PIC  X(15).
029300         05  MMTM-VANZ-PRIN-NAME-2
029400                             PIC  X(35).
029500         05  MMTM-VANZ-NATIONAL-ID-2
029600                             PIC  X(15).
029700         05  MMTM-VANZ-PRIN-NAME-3
029800                             PIC  X(35).
029900         05  MMTM-VANZ-NATIONAL-ID-3
030000                             PIC  X(15).
030100*
030200         05  MMTM-VANZ-FILLER
030300                             PIC  X(1086).
030400*
030500******************************************************************
030600*
030700     03  MMTM-FILLER         PIC  X(04).
030800*
030900     03  MMTM-USER-FILLER    PIC  X(100).
031000*
031100*       ***************************************************
031200*       *              END OF COPYBOOK MMTMRL             *
031300*       ***************************************************
