000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTCKRL ---------------CHECK FILE----------------- 160 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*  OTHER FILES USING THIS PSUEDO-TEXT COPY BOOK ARE:            *
000900*                                                               *
001000*  MTCK---RAW CHECK FILE                                   TEMP *
001100*  MTAR---CHECK FILE FOR ACCOUNT RECONCILIATION INTERFACE  TEMP *
001200*  MTWI---WIRE TRANSFERS FILE                              TEMP *
001300*                                                               *
001400*****************************************************************
001500*                                                               *
001600*  THE FILES MTCK, MTAR AND MTWI MAY BE USED INTERCHANGABLY     *
001700*  IN THE MBU240 PROGRAM.                                       *
001800*                                                               *
001900*****************************************************************
002000 01  :MTCK:-RECORD.
002100     03  :MTCK:-SORT-KEY.
002200         05  :MTCK:-KEY.
002300*                            THE ORG AND MERCHANT OR STORE
002400*                            WHICH IS TO RECEIVE A CHECK OR
002500*                            WIRE TRANSFER.
002600*                            IF PRODUCING CHECKS, WIRE OR A
002700*                            REGISTER FOR A STORE, MOVE THE STORE
002800*                            NUMBER TO THE FIELD :MTCK:-STORE-NBR.
002900*
003000             07  :MTCK:-ORG-MERCHANT.
003100                 09  :MTCK:-ORG-X.
003200                     11  :MTCK:-ORG
003300                             PIC  9(03).
003400                 09  :MTCK:-MERCHANT-X.
003500                     11  :MTCK:-MERCHANT
003600                             PIC  9(09).
003700                 09  :MTCK:-STORE-X
003800                             REDEFINES :MTCK:-MERCHANT-X.
003900                     11  :MTCK:-STORE
004000                             PIC  9(09).
004100*
004200         05  :MTCK:-SERIAL-NBR PIC S9(09)    COMP-3.
004300*                            IF CREATING AN INTERFACE FILE TO THE
004400*                            CHECK/REGISTER PRINT PROGRAM, MOVE
004500*                            ZERO TO THIS FIELD.
004600*                            THIS IS THE SERIAL NUMBER OF THE
004700*                            CHECK WHICH IS ASSIGNED BY THE CHECK/
004800*                            REGISTER PRINT PROGRAM (IF, AND ONLY
004900*                            IF, YOU SELECTED THE SERIAL NUMBER
005000*                            ASSIGNMENT OPTION).
005100     03  :MTCK:-KEY-OF-NAME-FLAG
005200                             PIC  X(01).
005300*                            THIS FLAG INDICATES WHERE THE NAME
005400*                            AND ADDRESS INFORMATION COMES FROM.
005500*                            M OR SPACE = NAME/ADDRESS IS FROM
005600*                                         THE MERCHANT FILE.
005700*                            S          = NAME/ADDRESS IS FROM
005800*                                         THE STORE FILE.
005900*                            N O T E --- YOU MAY MIX OR MATCH
006000*                                        THE KEY OF WHERE THE NAME
006100*                                        AND ADDRESS INFO IS
006200*                                        EXTRACTED ON THE FILE.
006300*                                        NORMALLY, FOR
006400*                                        A MERCHANT MASTER FILE,
006500*                                        YOU WILL USE AN MMMM
006600*                                        RECORD FOR THE NAME/ADDR
006700*                                        ON THE CHECK.
006800*                                        N O T H I N G   PREVENTS
006900*                                        YOU FROM USING A STORE
007000*                                        NAME FROM PRINTING ON A
007100*                                        CHECK IF YOU SO CHOOSE.
007200*                                        YOU MAY SELECT A CHECK
007300*                                        TO PRINT FOR A STORE.
007400         88  :MTCK:-NAME-FROM-MMMM           VALUE 'M' SPACE.
007500         88  :MTCK:-NAME-FROM-MMSM           VALUE 'S'.
007600*
007700     03  :MTCK:-USER-DATE    PIC S9(07)      COMP-3.
007800*                            FIELD CAN BE USED FOR ANY DATE
007900*                            DESIRED.  IT WILL APPEAR ON THE
008000*                            REGISTER REPORT.
008100*
008200     03  :MTCK:-USER-DATE-TITLE
008300                             PIC  X(30).
008400*                            THIS FIELD IS USED TO DESCRIBE THE
008500*                            USER DATE AND WILL APPEAR ON THE
008600*                            REGISTER REPORT.
008700*
008800     03  :MTCK:-DATE-LAST-ACTIVE
008900                             PIC S9(07)      COMP-3.
009000*                            DATE LAST ACTIVE OF THE MERCHANT.
009100*                            THIS DATE WILL APPEAR ON THE CHECK
009200*                            REGISTER.
009300*
009400     03  :MTCK:-AMOUNT       PIC S9(17)      COMP-3.
009500*                            AMOUNT OF CHECK OR WIRE.
009600*
009700     03  :MTCK:-DATE-OF-CHECK PIC S9(07)     COMP-3.
009800*                            DATE OF THE CHECK OR WIRE TO BE
009900*                            PRINTED ON THE CHECK AND THE REGISTER
010000*
010100     03  :MTCK:-DESC         PIC  X(40).
010200*                            DESCRIPTION OF THE CHECK.  THIS WILL
010300*                            APPEAR ON THE CHECK ITSELF AND ON THE
010400*                            REGISTER.
010500*
010600     03  :MTCK:-RT-NBR       PIC S9(09)      COMP-3.
010700*                            ROUTING/TRANSIT NUMBER FOR CHECK
010800*                            OR WIRE TRANSFER
010900*
011000     03  :MTCK:-DDA-ACCT     PIC  X(17).
011100*                            DESTINATION DDA ACCT NUMBER FOR
011200*                            CHECK OR WIRE TRANSFER
011300*
011400     03  :MTCK:-WIRE-ID      PIC  X(19).
011500*                            WIRE IDENTIFICATION
011600*
011700     03  :MTCK:-USER-FILLER  PIC  X(10).
011800*
011900*       ***************************************************
012000*       *              END OF COPYBOOK :MTCK:RL           *
012100*       ***************************************************
