000100******************************************************************
000200*                                                                *
000300*    ----------------MERCHANT BANKCARD SYSTEM--------------      *
000400*                                                                *
000500******************************************************************
000600 01  :MTFX:WS-WORK-AREAS.
000700*
000800     03  :MTFX:WS-PRT-CARRIAGE-CTL-AREA.
000900         05  :MTFX:WS-PRT-CC-FLAG
001000                             PIC  9(01)      VALUE ZERO.
001100             88  :MTFX:WS-PRT-CC-CALL-MBFICHE
001200                                             VALUE ZERO.
001300             88  :MTFX:WS-PRT-CC-USE-ANSI    VALUE 1.
001400             88  :MTFX:WS-PRT-CC-USE-IBM     VALUE 2.
001500             88  :MTFX:WS-PRT-CC-USE-ADV     VALUE 3.
001600*
001700*  3 CARRIAGE CONTROL OPTIONS ARE AVAILABLE FOR FICHE TAPES.
001800*
001900*    1.  OPTION 1.
002000*        IF THE FIELD :MTFX:WS-PRT-CC-FLAG IS SET TO OPTION 1 IN
002100*        THE SYSTEM, THE ANSI-DEFINED CARRIAGE CONTROL CHARACTERS
002200*        WILL BE USED.  (SEE TABLE BELOW)
002300*    2.  OPTION 2 IS THE DEFAULT IN THE VANILLA SYSTEM.  IF YOU
002400*        DESIRE TO HAVE IBM STANDARD CARRIAGE CONTROL CHARACTERS
002500*        AS THE FIRST CHARACTER OF THE 133 BYTE PRINT LINE,
002600*        THE VALUE IN THE FIELD :MTFX:WS-PRT-CC-FLAG IS TO SET TO
002700*        A 2.  (SEE TABLE BELOW)
002800*    3.  OPTION 3.
002900*        IF YOU DESIRE TO HAVE THE ADVANCE CODES PASSED TO THE
003000*        MBPRINT SUBROUTINE (MB20WS-ADVANCE-CODE), CHANGE
003100*        THE VALUE ON THE FIELD :MTFX:WS-PRT-CC-FLAG TO A 3.
003200*        (SEE TABLE BELOW)
003300*
003400*        :MTFX:WS-PRT-CC-FLAG     CARRIAGE CONTROL CHARACTER
003500*              VALUE              (POSITION 1 OF 133 BYTES)
003600*
003700*                1               ' '= PRINT AND THEN SPACE 1 LINE
003800*                                 0 = PRINT AND THEN SPACE 2 LINES
003900*                                 - = PRINT AND THEN SPACE 3 LINES
004000*                                 + = PRINT WITH NO ADVANCE
004100*                                     (THIS SHOULD BE BYPASSED)
004200*                                     NOTE - IF YOU USE THIS YOU
004300*                                     WILL DOUBLE PRINT ON YOUR
004400*                                     FICHE FILE.
004500*                                 1 = SKIP TO TOP OF PAGE
004600*
004700*                2         HEX '09' = PRINT AND THEN SPACE 1 LINE
004800*                          HEX '11' = PRINT AND THEN SPACE 2 LINES
004900*                          HEX '19' = PRINT AND THEN SPACE 3 LINES
005000*                          HEX '09' = PRINT WITH NO ADVANCE
005100*                                     (THIS SHOULD BE BYPASSED)
005200*                                     NOTE - IF YOU USE THIS YOU
005300*                                     WILL DOUBLE PRINT ON YOUR
005400*                                     FICHE FILE.
005500*                          HEX '89' = SKIP TO TOP OF PAGE
005600*
005700*                3                1 = PRINT AND THEN SPACE 1 LINE
005800*                                 2 = PRINT AND THEN SPACE 2 LINES
005900*                                 3 = PRINT AND THEN SPACE 3 LINES
006000*                                 0 = PRINT WITH NO ADVANCE
006100*                                     (THIS SHOULD BE BYPASSED)
006200*                                     NOTE - IF YOU USE THIS YOU
006300*                                     WILL DOUBLE PRINT ON YOUR
006400*                                     FICHE FILE.
006500*                                 9 = SKIP TO TOP OF PAGE
006600*
006700         05  :MTFX:WS-IBM-ANSI-CARRIAGE-CTL.
006800*
006900*                            THE IBM STANDARD CARRIAGE CONTROL
007000*                            CHARACTERS (FROM YOUR S/370 REFERENCE
007100*                            SUMMARY PANEL 7) ARE DEFINED BELOW.
007200*                            ALSO, ARE THE ANSI-PRINTER CONTROL
007300*                            CHARACTERS (FROM YOUR S/370 REFERENCE
007400*                            SUMMARY PANEL 12) ARE DEFINED.
007500*                            THIS SYSTEM ONLY USES SPACE 1 LINE,
007600*                            SPACE 2 LINES, SPACE 3 LINES, AND
007700*                            SKIP TO CHANNEL 01.
007800*
007900*                                              IMMEDIATE
008000*              FUNCTION           AFTER WRITE    WRITE
008100*
008200*              SPACE 1 LINE         HEX 09      HEX 0B
008300*              SPACE 2 LINES        HEX 11      HEX 13
008400*              SPACE 3 LINES        HEX 19      HEX 1B
008500*              SKIP TO CHANNEL 01   HEX 89      HEX 8B
008600*
008700*            THE DECIMAL VALUE 2321 = HEX VALUE 0911
008800*            THE DECIMAL VALUE 6537 = HEX VALUE 1989
008900*
009000             07  WS-HEX-0911 PIC S9(04)      BINARY VALUE +2321.
009100             07  WS-HEX-1989 PIC S9(04)      BINARY VALUE +6537.
009200             07  FILLER      PIC  X(01)      VALUE SPACE.
009300             07  FILLER      PIC  X(01)      VALUE ZERO.
009400             07  FILLER      PIC  X(01)      VALUE '-'.
009500             07  FILLER      PIC  X(01)      VALUE '1'.
009600         05  :MTFX:WS-IBM-ANSI-CARRIAGE-CTLR
009700                             REDEFINES
009800                             :MTFX:WS-IBM-ANSI-CARRIAGE-CTL.
009900             07  :MTFX:WS-IBM-SPACE-1
010000                             PIC  X(01).
010100             07  :MTFX:WS-IBM-SPACE-2
010200                             PIC  X(01).
010300             07  :MTFX:WS-IBM-SPACE-3
010400                             PIC  X(01).
010500             07  :MTFX:WS-IBM-PAGE-EJECT
010600                             PIC  X(01).
010700             07  :MTFX:WS-ANSI-SPACE-1
010800                             PIC  X(01).
010900             07  :MTFX:WS-ANSI-SPACE-2
011000                             PIC  X(01).
011100             07  :MTFX:WS-ANSI-SPACE-3
011200                             PIC  X(01).
011300             07  :MTFX:WS-ANSI-PAGE-EJECT
011400                             PIC  X(01).
