000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTI3RL -------CMS/AR SYSTEM ATIA RECORD---------  200 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900*****************************************************************
001000* ATIARL - DAILY AUTHORIZATION INPUT FILE TO POSTING            *
001100*           SEQUENTIAL, RECORD SIZE = 200                       *
001200*****************************************************************
001300*
001400 01  MTI3-RECORD.
001500     03  MTI3-KEY.
001600         05  MTI3-BASE-SEGMENT-KEY.
001700*                            THIS PART OF THE KEY CORRESPONDS
001800*                            TO THE BASE SEGMENT MASTER KEY.
001900             07  MTI3-ORG-X.
002000                 09  MTI3-ORG
002100                             PIC 9(3).
002200                     88  MTI3-HEADER-REC     VALUE 000.
002300                     88  MTI3-TRAILER-REC    VALUE 999.
002400             07  MTI3-ACCT   PIC X(19).
002500*
002600         05  MTI3-EFF-DATE   PIC S9(7)       COMP-3.
002700*                            DATE OF AUTH REQUEST
002800         05  MTI3-TIME       PIC S9(7)       COMP-3.
002900*                            DATE OF AUTH REQUEST
003000*
003100     03  MTI3-DATA-FIELDS.
003200*
003300         05  MTI3-STORE-KEY.
003400*                            KEY OF STORE ORIGINATING THE
003500*                            AUTH REQUEST.
003600             07  MTI3-STORE-ORG
003700                             PIC 999.
003800             07  MTI3-STORE  PIC 9(9).
003900*
004000         05  MTI3-CREDIT-PLAN
004100                             PIC S9(5)       COMP-3.
004200*                            CREDIT PLAN FOR AUTH REQUEST
004300*
004400         05  MTI3-SKU-NBR    PIC S9(11)      COMP-3.
004500*                            SKU NBR OF PRINCIPAL ITEM PURCHASED
004600*
004700         05  MTI3-TOTAL-SALES-AMOUNT
004800                             PIC S9(17)      COMP-3.
004900*                            THE TOTAL AMOUNT OF THE SALE
005000*
005100         05  MTI3-OFFERED-DOWN-PMT
005200                             PIC S9(17)      COMP-3.
005300*                            AMOUNT OF DOWN PAYMENT OFFERED AT
005400*                            THE TIME OF THE REQUEST.
005500*
005600         05  MTI3-DOWN-PMT-USED
005700                             PIC S9(17)      COMP-3.
005800*                            AMOUNT OF DOWN PAYMENT USED FOR THE
005900*                            CREDIT DECISION.
006000*
006100         05  MTI3-AUTH-AMOUNT
006200                             PIC S9(17)      COMP-3.
006300*                            AMOUNT TO BE AUTHORIZED.
006400*
006500         05  MTI3-ACTION     PIC X.
006600*                            SYSTEM OR OPERATOR RESPONSE.
006700             88  MTI3-MEMO-CR                VALUE 'C'.
006800             88  MTI3-MEMO-DB                VALUE 'A'.
006900             88  MTI3-APPROVED               VALUE 'A', 'C'.
007000             88  MTI3-DECLINED               VALUE 'D'.
007100             88  MTI3-REVERSAL               VALUE 'R'.
007200             88  MTI3-PURGED                 VALUE 'P'.
007300*
007400         05  MTI3-ACTION-REASON
007500                             PIC S9(03)      COMP-3.
007600*                            FOR AN INTERPRETATION OF THE
007700*                            REASON CODE FOR SYSTEM GENERATED
007800*                            DECLINE ACTION CODES, PLEASE
007900*                            SEE COPYBOOK AR33WS.
008000             88  MTI3-AR-PARTIAL-REV         VALUE 95.
008100             88  MTI3-AR-INCREM-AUTH         VALUE 96.
008200             88  MTI3-AR-REV                 VALUE 97.
008300             88  MTI3-AR-AUTH                VALUE 98.
008400         05  MTI3-AUTHORIZATION-CODE
008500                             PIC X(06).
008600*                            AUTHORIZATION CODE FOR THIS REQUEST.
008700*                            ONLY PRESENT FOR APPROVALS.
008800*
008900         05  MTI3-AUTHORIZOR-ID
009000                             PIC X(03).
009100*                            THREE POSITION BEGINNING OF THE
009200*                            MANUAL AUTHORIZOR SECURITY SIGNON
009300*                            NAME.
009400*
009500         05  MTI3-VISA-TRAN-ID
009600                             PIC 9(15).
009700*
009800*              VISA TRAN-ID
009900*
010000         05  MTI3-TR-BANKNET REDEFINES MTI3-VISA-TRAN-ID.
010100             07  MTI3-BNK-NET-NBR
010200                             PIC X(09).
010300*
010400*                 MASTERCARD BANKNET REFERENCE NUMBER
010500*
010600             07  MTI3-BNK-NET-DT
010700                             PIC 9(04).
010800*
010900*                 MASTERCARD BANKNET DATE
011000*
011100             07  FILLER      PIC X(02).
011200*
011300         05  MTI3-MKT-SPEC-DATA-ID
011400                             PIC X(01).
011500*                            MARKET SPECIFIC DATA IDENTIFIER
011600*                            (AUTO/HOTEL)
011700             88  MTI3-MSDI-AUTO              VALUE 'A'.
011800             88  MTI3-MSDI-HOTEL             VALUE 'H'.
011900             88  MTI3-MSDI-FAILED-EDITS      VALUE 'N'.
012000*
012100         05  MTI3-AUTH-DURATION
012200                             PIC 9(02).
012300*                            NBR DAYS FOR AUTO USE OR HOTEL STAY
012400         05  MTI3-AUTH-CHAR-INDIC
012500                             PIC X(01).
012600*                            AUTHORIZATION CHARACTERISTIC INDIC.
012700             88  MTI3-ACI-INCREMENTAL        VALUE 'I'.
012800             88  MTI3-ACI-NOT-INCREMENTAL    VALUE 'N'.
012900*
013000         05  MTI3-PRES-PROP-INDIC
013100                             PIC X(01).
013200*                            PRESTIGIOUS PROPERTY INDICATOR
013300             88  MTI3-PPI-1000               VALUE 'B'.
013400             88  MTI3-PPI-500-CLASSIC-1500-GOLD
013500                                             VALUE 'D'.
013600             88  MTI3-PPI-1500               VALUE 'S'.
013700*
013800         05  MTI3-VALIDATION-CODE
013900                             PIC X(04).
014000*                            VISA VALIDATION CODE
014100         05  MTI3-CARD-NBR   PIC X(19).
014200         05  MTI3-CARD-SEQ   PIC 9(04).
014300         05  MTI3-TXN-REC-TYPE
014400                             PIC 9(01).
014500             88  MTI3-LOCAL-CURR-TYPE        VALUE 1.
014600             88  MTI3-DUAL-CURR-TYPE         VALUE 2.
014700             88  MTI3-NON-DUAL-CURR-TYPE     VALUE 3.
014800     03  MTI3-SPNDG-DAYS-LEFT
014900                             PIC 9(03).
015000     03  MTI3-AUTH-TRAN-TYPE PIC  X(01).
015100         88  MTI3-ATT-ATM-CASH               VALUE '1'.
015200         88  MTI3-ATT-OTC-CASH               VALUE '2'.
015300         88  MTI3-ATT-RTL-PURCH              VALUE '3'.
015400     03  MTI3-AUTH-TXN-TYPE-COUNT
015500                             PIC S9(09)      COMP.
015600     03  MTI3-AUTH-EMBOSSED-NAME
015700                             PIC  X(30).
015800     03  MTI3-INPUT-SOURCE
015900                             PIC X(01).
016000*
016100*                            INDICATES WHERE THE AUTH ORIGINATED.
016200*                            'B' - RECEIVED FROM BATCH AUTH FILE
016300*                            'H' - RECEIVED FROM CENTER'S HOST
016400*                            'M' - RECEIVED FROM MC NETWORK
016500*                            'V' - RECEIVED FROM VISA NETWORK
016600*                            'P' - RECEIVED FROM POS INTERFACE
016700*
016800     03  FILLER              PIC X(14).
