000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTLIRL  EXTERNAL LETTERS REQUEST INTERFACE RECORD 600 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900*****************************************************************
001000*   LTDTRL    ----- EXTERNAL LETTER REQUEST -----   600 BYTES   *
001100*****************************************************************
001200*
001300 01  MTLI-RECORD.
001400     03  MTLI-REQUEST-KEY.
001500         05  MTLI-REQUESTOR
001600                             PIC  X(08).
001700         05  MTLI-REQUEST-DATE
001800                             PIC  9(07).
001900         05  MTLI-REQUEST-TIME
002000                             PIC  9(06).
002100     03  FILLER              PIC  X(08).
002200*
002300     03  MTLI-REQUESTOR-ID.
002400         05  MTLI-REQUESTOR-SIGNON
002500                             PIC  X(20).
002600         05  MTLI-REQUESTOR-LOCN
002700                             PIC  X(05).
002800         05  MTLI-REQUESTOR-NAME
002900                             PIC  X(40).
003000         05  MTLI-OPERATOR   PIC  X(03).
003100         05  MTLI-TERMINAL   PIC  X(04).
003200*
003300         05  FILLER          PIC  X(05).
003400*
003500******************************************************************
003600*    THE FOLLOWING FILLER IS FOR USE BY USERS.  THIS AREA IS     *
003700*    AVAILABLE TO THE USER AND IS CARRIED FOREWARD IN ALL        *
003800*    RELEASES.                                                   *
003900******************************************************************
004000         05  MTLI-USER-FILLER1
004100                             PIC  X(15).
004200*
004300     03  MTLI-LETTER-ID.
004400         05  MTLI-ORG        PIC  9(03)      COMP-3.
004500         05  MTLI-LETTER     PIC  X(03).
004600         05  MTLI-SORT-CODE
004700                             PIC  X(01).
004800             88  MTLI-SORT-CODE-PAYOFF       VALUE 'X'.
004900         05  MTLI-HOLD-CODE
005000                             PIC  X(01).
005100             88  MTLI-HOLD                   VALUE 'H'.
005200             88  MTLI-HOLD-DFLT              VALUE ' '.
005300             88  MTLI-HOLD-CB-HOLD           VALUE 'D'.
005400             88  MTLI-HOLD-CB-SEND           VALUE 'C'.
005500             88  MTLI-HOLD-SL-HOLD           VALUE 'T'.
005600             88  MTLI-HOLD-SL-SEND           VALUE 'S'.
005700             88  MTLI-HOLD-PAYOFF            VALUE 'X'.
005800             88  MTLI-HOLD-USER-0            VALUE '0'.
005900             88  MTLI-HOLD-USER-1            VALUE '1'.
006000             88  MTLI-HOLD-USER-2            VALUE '2'.
006100             88  MTLI-HOLD-USER-3            VALUE '3'.
006200             88  MTLI-HOLD-USER-4            VALUE '4'.
006300             88  MTLI-HOLD-USER-5            VALUE '5'.
006400             88  MTLI-HOLD-USER-6            VALUE '6'.
006500             88  MTLI-HOLD-USER-7            VALUE '7'.
006600             88  MTLI-HOLD-USER-8            VALUE '8'.
006700             88  MTLI-HOLD-USER-9            VALUE '9'.
006800         05  MTLI-PRINTER    PIC  X(04).
006900         05  MTLI-MBS-FLAG   PIC  X(01).
007000*
007100         05  FILLER          PIC  X(03).
007200         05  MTLI-ASM-FLAG   PIC  X(01).
007300         05  MTLI-CSM-FLAG   PIC  X(01).
007400         05  MTLI-STATUS     PIC  9(01).
007500             88  MTLI-LTR-REQ-STAT-REQUEST
007600                                             VALUE 1.
007700             88  MTLI-LTR-REQ-STAT-PRT-ONLINE
007800                                             VALUE 2.
007900             88  MTLI-LTR-REQ-STAT-DELETED
008000                                             VALUE 9.
008100*
008200         05  FILLER          PIC  X(01).
008300*
008400         05  MTLI-CASE-NBR   PIC S9(11)      COMP-3.
008500         05  FILLER          PIC  X(19).
008600*
008700     03  MTLI-SUBJECT-ID.
008800         05  MTLI-SUBJECT-SOURCE
008900                             PIC  X(01).
009000             88  MTLI-SOURCE-LETTERS         VALUE 'L'.
009100             88  MTLI-SOURCE-EXTERNAL        VALUE 'X'.
009200*
009300         05  MTLI-SUBJECT-DATA.
009400             09  MTLI-SUBJECT-APPL
009500                             PIC  9(02).
009600             09  MTLI-SUBJECT-ORG
009700                             PIC S9(03)      COMP-3.
009800             09  MTLI-SUBJECT-TYPE
009900                             PIC S9(03)      COMP-3.
010000             09  MTLI-SUBJECT-ACCOUNT
010100                             PIC  X(19).
010200             09  MTLI-SUBJECT-ACCOUNT-X   REDEFINES
010300                 MTLI-SUBJECT-ACCOUNT.
010400                 11  FILLER      PIC  X(10).
010500                 11  MTLI-SUBJECT-ACCOUNT-16
010600                                 PIC S9(16)  COMP-3.
010700             09  MTLI-SUBJECT-ASSOC
010800                             PIC  X(02).
010900             09  MTLI-SUBJECT-CTA-APPL
011000                             PIC  9(02).
011100             09  MTLI-SUBJECT-OLC-APPL
011200                             REDEFINES MTLI-SUBJECT-CTA-APPL
011300                             PIC  9(02).
011400                 88  MTLI-CTA-CPS            VALUE 01.
011500                 88  MTLI-CTA-CMS            VALUE 02.
011600             09  FILLER      PIC  X(03).
011700             09  MTLI-SUBJECT-NAME
011800                             PIC  X(30).
011900*
012000******************************************************************
012100*    THE FOLLOWING FILLER IS FOR USE BY USERS.  THIS AREA IS     *
012200*    AVAILABLE TO THE USER AND IS CARRIED FOREWARD IN ALL        *
012300*    RELEASES.                                                   *
012400******************************************************************
012500     03  MTLI-USER-FILLER2   PIC  X(15).
012600*
012700     03  MTLI-USER-VARIABLES.
012800         05  MTLI-USER-VARIABLE
012900                             PIC  X(01).
013000             88  MTLI-USER-VARIABLES-PRESENT   VALUE 'Y'.
013100         05  MTLI-USER-VARIABLE-TABLE.
013200             07  MTLI-USER-VARIABLE-DATA-1
013300                             PIC  X(06).
013400             07  MTLI-USER-VARIABLE-DATA-2
013500                             PIC  X(08).
013600             07  MTLI-USER-VARIABLE-DATA-3
013700                             PIC  X(12).
013800             07  MTLI-USER-VARIABLE-DATA-4
013900                             PIC  X(16).
014000             07  MTLI-USER-VARIABLE-DATA-5
014100                             PIC  X(20).
014200             07  MTLI-USER-VARIABLE-DATA-6
014300                             PIC  X(40).
014400             07  MTLI-USER-VARIABLE-DATA-7
014500                             PIC  X(40).
014600             07  MTLI-USER-VARIABLE-DATA-8
014700                             PIC  X(40).
014800             07  MTLI-USER-VARIABLE-DATA-9
014900                             PIC  X(40).
015000             07  MTLI-USER-VARIABLE-DATA-10
015100                             PIC  X(40).
015200*
015300     03  FILLER              PIC  X(071).
015400*
015500******************************************************************
015600*    THE FOLLOWING FILLER IS FOR USE BY USERS.  THIS AREA IS     *
015700*    AVAILABLE TO THE USER AND IS CARRIED FOREWARD IN ALL        *
015800*    RELEASES.                                                   *
015900******************************************************************
016000*
016100     03  MTLI-USER-FILLER3   PIC  X(23).
016200*
016300*       ***************************************************
016400*       *              END OF COPYBOOK MTLIRL             *
016500*       ***************************************************
