000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTMORL ---M/C OUTGOING INTERCHANGE 651 RECORD--- 1012 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  MTMO-RECORD.
000900     03  MTMO-TC             PIC  X(03).
001000         88  MTMO-TC-651                     VALUE '651'.
001100     03  MTMO-ACTION         PIC  X(01).
001200         88  MTMO-ACTION-ADD                 VALUE 'A'.
001300         88  MTMO-ACTION-INQ                 VALUE 'I'.
001400*
001500     03  MTMO-ICA            PIC  9(07).
001600     03  MTMO-REC-SEQ        PIC  9(06).
001700     03  MTMO-REC-TYPE       PIC  9(01).
001800         88  MTMO-RT-GENERAL-DATA            VALUE 1.
001900         88  MTMO-RT-PRINCIPAL-DATA          VALUE 2.
002000*
002100     03  MTMO-MATCH-ADD-GEN-DATA.
002200         05  MTMO-A1-CATEGORY
002300                             PIC  9(04).
002400         05  MTMO-A1-DATE-OPENED
002500                             PIC  9(08).
002600         05  MTMO-A1-DATE-CLOSED
002700                             PIC  9(08).
002800         05  MTMO-A1-MERCHANT
002900                             PIC  9(15).
003000         05  MTMO-A1-NAME    PIC  X(30).
003100         05  MTMO-A1-DBA-NAME
003200                             PIC  X(30).
003300         05  MTMO-A1-ADDR-1  PIC  X(30).
003400         05  MTMO-A1-ADDR-2  PIC  X(30).
003500         05  MTMO-A1-CITY    PIC  X(15).
003600         05  MTMO-A1-STATE   PIC  X(02).
003700         05  MTMO-A1-ZIP     PIC  X(10).
003800         05  MTMO-A1-COUNTRY PIC  X(03).
003900         05  MTMO-A1-PHONE   PIC  9(10).
004000         05  MTMO-A1-CAT-IND PIC  X(01).
004100         05  MTMO-A1-STATE-TAX-ID
004200                             PIC  X(09).
004300         05  MTMO-A1-FED-TAX-ID
004400                             PIC  X(09).
004500         05  FILLER          PIC  X(01).
004600         05  MTMO-A1-REASON  PIC  9(02).
004700         05  MTMO-A1-COMMENTS
004800                             PIC  X(200).
004900         05  FILLER          PIC  X(577).
005000*
005100     03  MTMO-MATCH-ADD-PRIN-DATA
005200                             REDEFINES MTMO-MATCH-ADD-GEN-DATA.
005300         05  MTMO-A2-PRINCIPALS              OCCURS 5 TIMES
005400                                             INDEXED BY
005500                                             X-MTMO-A2-PRIN.
005600             07  MTMO-A2-PRIN-LAST-NAME
005700                             PIC  X(25).
005800             07  MTMO-A2-PRIN-FIRST-NAME
005900                             PIC  X(15).
006000             07  MTMO-A2-PRIN-MIDDLE-INITIAL
006100                             PIC  X(01).
006200             07  MTMO-A2-PRIN-ADDR-1
006300                             PIC  X(30).
006400             07  MTMO-A2-PRIN-ADDR-2
006500                             PIC  X(30).
006600             07  MTMO-A2-PRIN-CITY
006700                             PIC  X(15).
006800             07  MTMO-A2-PRIN-STATE
006900                             PIC  X(02).
007000             07  MTMO-A2-PRIN-ZIP
007100                             PIC  X(10).
007200             07  MTMO-A2-PRIN-COUNTRY
007300                             PIC  X(03).
007400             07  MTMO-A2-PRIN-PHONE
007500                             PIC  9(10).
007600             07  MTMO-A2-PRIN-SSN
007700                             PIC  9(09).
007800             07  MTMO-A2-PRIN-DL-NBR
007900                             PIC  X(25).
008000             07  MTMO-A2-PRIN-DL-STATE
008100                             PIC  X(02).
008200             07  MTMO-A2-PRIN-DL-COUNTRY
008300                             PIC  X(03).
008400         05  FILLER          PIC  X(94).
008500*
008600     03  MTMO-MATCH-INQ-GEN-DATA
008700                             REDEFINES MTMO-MATCH-ADD-GEN-DATA.
008800         05  MTMO-I1-PHONETIC-MATCHES
008900                             PIC  9(01).
009000         05  MTMO-I1-BUSINESS-NAME
009100                             PIC  X(30).
009200         05  MTMO-I1-DBA-NAME
009300                             PIC  X(30).
009400         05  MTMO-I1-ADDR-1  PIC  X(30).
009500         05  MTMO-I1-ADDR-2  PIC  X(30).
009600         05  MTMO-I1-CITY    PIC  X(15).
009700         05  MTMO-I1-STATE   PIC  X(02).
009800         05  MTMO-I1-ZIP     PIC  X(10).
009900         05  MTMO-I1-COUNTRY PIC  X(03).
010000         05  MTMO-I1-PHONE   PIC  9(10).
010100         05  MTMO-I1-STATE-TAX-ID
010200                             PIC  X(09).
010300         05  MTMO-I1-FED-TAX-ID
010400                             PIC  X(09).
010500         05  MTMO-I1-REF     PIC  9(05).
010600         05  MTMO-I1-REGION-SEARCH           OCCURS 6 TIMES
010700                                             INDEXED BY
010800                                             X-MTMO-I1-RS
010900                             PIC  X(03).
011000         05  MTMO-I1-COUNTRY-SEARCH          OCCURS 10 TIMES
011100                                             INDEXED BY
011200                                             X-MTMO-I1-CS
011300                             PIC  X(03).
011400         05  FILLER          PIC  X(762).
011500*
011600     03  MTMO-MATCH-INQ-PRIN-DATA
011700                             REDEFINES MTMO-MATCH-ADD-GEN-DATA.
011800         05  MTMO-I2-PRINCIPALS              OCCURS 5 TIMES
011900                                             INDEXED BY
012000                                             X-MTMO-I2-PRIN.
012100             07  MTMO-I2-PRIN-LAST-NAME
012200                             PIC  X(25).
012300             07  MTMO-I2-PRIN-FIRST-NAME
012400                             PIC  X(15).
012500             07  MTMO-I2-PRIN-MIDDLE-INITIAL
012600                             PIC  X(01).
012700             07  MTMO-I2-PRIN-ADDR-1
012800                             PIC  X(30).
012900             07  MTMO-I2-PRIN-ADDR-2
013000                             PIC  X(30).
013100             07  MTMO-I2-PRIN-CITY
013200                             PIC  X(15).
013300             07  MTMO-I2-PRIN-STATE
013400                             PIC  X(02).
013500             07  MTMO-I2-PRIN-ZIP
013600                             PIC  X(10).
013700             07  MTMO-I2-PRIN-COUNTRY
013800                             PIC  X(03).
013900             07  MTMO-I2-PRIN-PHONE
014000                             PIC  9(10).
014100             07  MTMO-I2-PRIN-SSN
014200                             PIC  9(09).
014300             07  MTMO-I2-PRIN-DL-NBR
014400                             PIC  X(25).
014500             07  MTMO-I2-PRIN-DL-STATE
014600                             PIC  X(02).
014700             07  MTMO-I2-PRIN-DL-COUNTRY
014800                             PIC  X(03).
014900         05  FILLER          PIC  X(94).
015000*
015100*       ***************************************************
015200*       *              END OF COPYBOOK MTMORL             *
015300*       ***************************************************
