000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTQLRL -EXAM QUALIFIED/UNQUALIFIED REPORT RECORD- 350 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*                                                               *
000900*  OTHER FILES USING THIS PSUEDO-TEXT COPY BOOK ARE:            *
001000*                                                               *
001100*  MTQL---EXAM QUALIFIED FILE                              TEMP *
001200*  MTUQ---EXAM UNQUALIFIED FILE                            TEMP *
001300*                                                               *
001400*****************************************************************
001500 01  :MTQL:-RECORD.
001600     03  :MTQL:-KEY.
001700         88  :MTQL:-HEADER                   VALUE ZERO.
001800         88  :MTQL:-TRAILER                  VALUE '999999999999'.
001900         05  :MTQL:-ORG-MERCHANT.
002000             07  :MTQL:-ORG-X.
002100                 09  :MTQL:-ORG
002200                             PIC  9(03).
002300             07  :MTQL:-MERCHANT-X.
002400                 09  :MTQL:-MERCHANT
002500                             PIC  9(09).
002600         05  :MTQL:-ORG-STORE REDEFINES :MTQL:-ORG-MERCHANT.
002700             07  FILLER      PIC  X(03).
002800             07  :MTQL:-STORE-X.
002900                 09  :MTQL:-STORE
003000                             PIC  9(09).
003100*
003200     03  :MTQL:-COMMON-DATA.
003300         05  :MTQL:-DBA-DEMOGRAPHICS.
003400             07  :MTQL:-DBA-NAME
003500                             PIC  X(25).
003600             07  :MTQL:-DBA-CITY
003700                             PIC  X(13).
003800             07  :MTQL:-DBA-COUNTRY-CODE
003900                             PIC  X(03).
004000*
004100         05  :MTQL:-CONTACT-INFO.
004200             07  :MTQL:-CONTACT
004300                             PIC  X(40).
004400             07  :MTQL:-CONTACT-PHONE
004500                             PIC  X(20).
004600             07  :MTQL:-CONTACT-FAX
004700                             PIC  X(20).
004800*
004900         05  :MTQL:-BRANCH   PIC  9(09).
005000         05  :MTQL:-AGENT-BANK
005100                             PIC  9(05).
005200         05  :MTQL:-DATE-OPENED
005300                             PIC S9(07)      COMP-3.
005400         05  :MTQL:-DATE-LAST-VISIT
005500                             PIC S9(07)      COMP-3.
005600         05  :MTQL:-DATE-LAST-REVIEW
005700                             PIC S9(07)      COMP-3.
005800         05  :MTQL:-DATE-LAST-ACTIVE
005900                             PIC S9(07)      COMP-3.
006000*
006100         05  :MTQL:-DISC-FREQ-1
006200                             PIC  9(02).
006300         05  :MTQL:-DISC-FREQ-2
006400                             PIC  9(02).
006500         05  :MTQL:-DATE-LAST-DISC
006600                             PIC S9(07)      COMP-3.
006700*
006800         05  :MTQL:-PART-FREQ-1
006900                             PIC  9(02).
007000         05  :MTQL:-PART-FREQ-2
007100                             PIC  9(02).
007200         05  :MTQL:-DATE-LAST-PART
007300                             PIC S9(07)      COMP-3.
007400*
007500         05  :MTQL:-SETT-FREQ-1
007600                             PIC  9(02).
007700         05  :MTQL:-SETT-FREQ-2
007800                             PIC  9(02).
007900         05  :MTQL:-DATE-LAST-SETT
008000                             PIC S9(07)      COMP-3.
008100*
008200         05  :MTQL:-STMT-FREQ-1
008300                             PIC  9(02).
008400         05  :MTQL:-STMT-FREQ-2
008500                             PIC  9(02).
008600         05  :MTQL:-DATE-LAST-STMT
008700                             PIC S9(07)      COMP-3.
008800*
008900     03  :MTQL:-MERCHANT-DATA.
009000         05  :MTQL:-BLOCK-CODE
009100                             PIC  X(01).
009200         05  :MTQL:-NBR-STORES
009300                             PIC S9(09)      COMP-3.
009400*
009500         05  :MTQL:-BAL-SETT PIC S9(17)      COMP-3.
009600         05  :MTQL:-BAL-RESV-1 PIC S9(17)    COMP-3.
009700         05  :MTQL:-BAL-RESV-2 PIC S9(17)    COMP-3.
009800         05  :MTQL:-BAL-RESV-3 PIC S9(17)    COMP-3.
009900         05  :MTQL:-BAL-RESV-4 PIC S9(17)    COMP-3.
010000*
010100*
010200*
010300     03  :MTQL:-STORE-DATA   REDEFINES :MTQL:-MERCHANT-DATA.
010400         05  :MTQL:-VI-INTCHG-FLAG
010500                             PIC  X(01).
010600         05  :MTQL:-VI-CATEGORY-CODE
010700                             PIC  9(04).
010800         05  :MTQL:-MC-INTCHG-FLAG
010900                             PIC  X(01).
011000         05  :MTQL:-MC-CATEGORY-CODE
011100                             PIC  9(04).
011200         05  :MTQL:-GOVERNING-STATE
011300                             PIC  X(03).
011400         05  :MTQL:-STORE-TYPE
011500                             PIC  9(02).
011600         05  :MTQL:-IMP-INFO.
011700             07  :MTQL:-IMP-DEV              OCCURS 3 TIMES
011800                                             INDEXED BY
011900                                             X-:MTQL:-IMP.
012000                 09  :MTQL:-IMP-DEV-NBR
012100                             PIC S9(05)      COMP-3.
012200*
012300         05  :MTQL:-POS-INFO.
012400             07  :MTQL:-POS-DEV              OCCURS 3 TIMES
012500                                             INDEXED BY
012600                                             X-:MTQL:-POS.
012700                 09  :MTQL:-POS-DEV-NBR
012800                             PIC S9(05)      COMP-3.
012900*
013000         05  FILLER          PIC  X(18).
013100*
013200*
013300*
013400     03  :MTQL:-PRODUCT-DATA REDEFINES :MTQL:-MERCHANT-DATA.
013500         05  :MTQL:-PRODUCT-DESC
013600                             PIC  X(16).
013700         05  :MTQL:-PRODUCT
013800                             PIC  9(02).
013900         05  :MTQL:-PROD-STATUS
014000                             PIC  X(01).
014100         05  :MTQL:-PROD-EFF-DATE
014200                             PIC S9(07)      COMP-3.
014300         05  :MTQL:-PROD-SHORT-DESC
014400                             PIC  X(05).
014500         05  :MTQL:-PROD-SETTLE-FLAG
014600                             PIC  X(01).
014700         05  :MTQL:-PROD-SOURCE
014800                             PIC  X(05).
014900         05  :MTQL:-PROD-USER-CODE
015000                             PIC  X(02).
015100*
015200         05  FILLER          PIC  X(15).
015300*
015400*
015500*
015600     03  :MTQL:-SELECT-T-F-AREA.
015700         05  :MTQL:-STF-TABLE                OCCURS 70 TIMES
015800                                             INDEXED BY
015900                                             X-:MTQL:-STF.
016000             07  :MTQL:-STF-ENTRY
016100                             PIC  X(01).
016200                 88  :MTQL:-STF-IS-TRUE      VALUE 'T'.
016300                 88  :MTQL:-STF-IS-FALSE     VALUE 'F'.
016400                 88  :MTQL:-STF-NO-SELECTION VALUE SPACES.
016500*
016600     03  FILLER              PIC  X(09).
016700*
016800     03  :MTQL:-USER-FILLER  PIC  X(25).
