000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  :MTSE: ----------- CSF STATEMENT EXTRACT REC ---             *
000600*                            VARIABLE    201 TO 900 BYTES       *
000700*                                                               *
000800*****************************************************************
000900*
001000 01  :MTSE:-RECORD.
001100     03  :MTSE:-SORT-KEY.
001200         05  :MTSE:-S-RPT-NBR
001300                             PIC  9(02).
001400             88  :MTSE:-S-MERCHANT-DATA      VALUE  50.
001500             88  :MTSE:-S-CHAIN-DATA         VALUE  52.
001600         05  :MTSE:-S-FORM   PIC  9(02).
001700         05  :MTSE:-S-ORG    PIC  9(03).
001800         05  :MTSE:-S-MERCHANT
001900                             PIC  9(09).
002000         05  :MTSE:-S-STORE
002100                             PIC  9(09).
002200         05  :MTSE:-S-CHAIN
002300                             PIC  9(09).
002400         05  :MTSE:-S-REC-TYPE
002500                             PIC  9(01).
002600             88  :MTSE:-S-RT-PROCESSOR       VALUE ZERO.
002700             88  :MTSE:-S-RT-DETAIL          VALUE 1 2.
002800             88  :MTSE:-S-RT-MERCHANT        VALUE 1.
002900             88  :MTSE:-S-RT-TRANSACTION     VALUE 2.
003000         05  :MTSE:-S-RECORD-ID
003100                             PIC  X(04).
003200             88  :MTSE:-S-DEMO-DATA          VALUE '0000'.
003300             88  :MTSE:-S-STMNT-MSG          VALUE '0001'
003400                                             THRU  '0005'.
003500             88  :MTSE:-S-PROCESSOR-DEMO     VALUE '0006'.
003600             88  :MTSE:-S-BALANCE-SUMMARY    VALUE '0100'.
003700             88  :MTSE:-S-RESERVE-SUMMARY    VALUE '0201'
003800                                                   '0202'
003900                                                   '0203'
004000                                                   '0204'.
004100             88  :MTSE:-S-RECOVERY-ADJ       VALUE '0300'.
004200             88  :MTSE:-S-ADJ-SUMMARY        VALUE '0400'.
004300             88  :MTSE:-S-USER-CR-SUMMARY    VALUE '0500'.
004400             88  :MTSE:-S-FEE-SUMMARY        VALUE '0600'.
004500             88  :MTSE:-S-DISBURSE-ACT-SUMM
004600                                             VALUE '0700'.
004700             88  :MTSE:-S-DISBURSE-TOTALS    VALUE '0701'.
004800             88  :MTSE:-S-PRODUCT-SUMMARY    VALUE '0800'
004900                                             THRU  '0899'.
005000             88  :MTSE:-S-STORE-SUMMARY      VALUE '0900'.
005100             88  :MTSE:-S-DETAIL-TRANS       VALUE '1000'.
005200             88  :MTSE:-S-MERCH-SUMMARY      VALUE '1100'.
005300             88  :MTSE:-S-DEPOSIT-TRANS      VALUE '1200'.
005400         05  :MTSE:-S-RECORD-ID-NUM
005500                             REDEFINES  :MTSE:-S-RECORD-ID.
005600             07  FILLER      PIC  X(02).
005700             07  :MTSE:-S-REC-ID-99
005800                             PIC  9(02).
005900         05  :MTSE:-S-SUMM-DTL
006000                             PIC  X(01).
006100             88  :MTSE:-S-SUMMARY            VALUE 'S'.
006200             88  :MTSE:-S-DETAIL             VALUE 'D'.
006300         05  :MTSE:-S-POSTAL-CODE
006400                             PIC  X(10).
006500         05  :MTSE:-S-REC-ID-SEQ
006600                             PIC S9(09)      COMP-3.
006700*
006800     03  :MTSE:-STATIC-DATA.
006900         05  :MTSE:-BLOCK-CODE
007000                             PIC  X(01).
007100         05  :MTSE:-REC-STATUS
007200                             PIC  9(01).
007300         05  :MTSE:-GNA-NBR  PIC  X(19).
007400         05  :MTSE:-NA-OVERFLOW-SW
007500                             PIC  X(01).
007600             88  :MTSE:-NA-OVERFLOW-YES      VALUE 'Y'.
007700             88  :MTSE:-NA-OVERFLOW-NO       VALUE 'N'.
007800         05  :MTSE:-NAME     PIC  X(40).
007900         05  :MTSE:-STATE    PIC  X(03).
008000         05  :MTSE:-COUNTRY  PIC  X(03).
008100         05  :MTSE:-STMT-FREQ-1
008200                             PIC  9(02).
008300         05  :MTSE:-STMT-FREQ-2
008400                             PIC  9(02).
008500         05  :MTSE:-DISC-FREQ-1
008600                             PIC  9(02).
008700         05  :MTSE:-DISC-FREQ-2
008800                             PIC  9(02).
008900         05  :MTSE:-PART-FREQ-1
009000                             PIC  9(02).
009100         05  :MTSE:-PART-FREQ-2
009200                             PIC  9(02).
009300         05  :MTSE:-SETT-FREQ-1
009400                             PIC  9(02).
009500         05  :MTSE:-SETT-FREQ-2
009600                             PIC  9(02).
009700         05  :MTSE:-CLOSE-REASON
009800                             PIC  X(02).
009900*
010000         05  FILLER          PIC  X(02).
010100         05  :MTSE:-CURRENCY-CODE
010200                             PIC  9(03).
010300         05  :MTSE:-CURRENCY-DESC
010400                             PIC  X(28).
010500         05  :MTSE:-CURRENCY-NOD
010600                             PIC  X(01).
010700         05  FILLER          PIC  X(25).
010800*
010900     03  :MTSE:-DATA-AREA    PIC  X(750).
011000*
011100* - PROCESSOR DEMOGRAPHIC DATA AREA (234)
011200*
011300     03  :MTSE:-PROC-DEMO-X  REDEFINES  :MTSE:-DATA-AREA.
011400         05  :MTSE:-PROC-DEMO.
011500             07  :MTSE:-PD-NAME-ADDR1
011600                             PIC  X(40).
011700             07  :MTSE:-PD-NAME-ADDR2
011800                             PIC  X(40).
011900             07  :MTSE:-PD-NAME-ADDR3
012000                             PIC  X(40).
012100             07  :MTSE:-PD-NAME-ADDR4
012200                             PIC  X(40).
012300             07  :MTSE:-PD-NAME-ADDR5
012400                             PIC  X(40).
012500             07  :MTSE:-PD-CORR-PHONE
012600                             PIC  X(17).
012700             07  :MTSE:-PD-CORR-FAX
012800                             PIC  X(17).
012900         05  FILLER          PIC  X(516).
013000*
013100* - MERCHANT/CHAIN DEMOGRAPHIC DATA AREA (339)
013200*
013300     03  :MTSE:-DEMO-DATA-X  REDEFINES  :MTSE:-DATA-AREA.
013400         05  :MTSE:-DEMO-DATA.
013500             07  :MTSE:-DD-POSTAL-CODE
013600                             PIC  X(10).
013700             07  :MTSE:-DD-NAME-ADDR1
013800                             PIC  X(40).
013900             07  :MTSE:-DD-NAME-ADDR2
014000                             PIC  X(40).
014100             07  :MTSE:-DD-NAME-ADDR3
014200                             PIC  X(40).
014300             07  :MTSE:-DD-NAME-ADDR4
014400                             PIC  X(40).
014500             07  :MTSE:-DD-NAME-ADDR5
014600                             PIC  X(40).
014700             07  :MTSE:-DD-BEG-STMT-DATE
014800                             PIC  X(08).
014900             07  :MTSE:-DD-END-STMT-DATE
015000                             PIC  X(08).
015100             07  :MTSE:-DD-IMP-DEV-TITLE1
015200                             PIC  X(15).
015300             07  :MTSE:-DD-IMP-DEV-TITLE2
015400                             PIC  X(15).
015500             07  :MTSE:-DD-IMP-DEV-TITLE3
015600                             PIC  X(15).
015700             07  :MTSE:-DD-POS-DEV-TITLE1
015800                             PIC  X(15).
015900             07  :MTSE:-DD-POS-DEV-TITLE2
016000                             PIC  X(15).
016100             07  :MTSE:-DD-POS-DEV-TITLE3
016200                             PIC  X(15).
016300             07  :MTSE:-DD-EURO-RPT-FLAG
016400                             PIC  X(01).
016500             07  :MTSE:-DD-DUAL-CURR-ORG
016600                             PIC  9(03).
016700             07  :MTSE:-DD-DEST-CURR
016800                             PIC  X(03).
016900             07  :MTSE:-OOB-FLAG
017000                             PIC  X(01).
017100         05  FILLER          PIC  X(426).
017200*
017300* - STATEMENT MESSAGE DATA AREA (150)
017400*
017500     03  :MTSE:-STMNT-MSG-X  REDEFINES  :MTSE:-DATA-AREA.
017600         05  :MTSE:-STMNT-MSG.
017700             07  :MTSE:-STMT-MSG-LINE1
017800                             PIC  X(50).
017900             07  :MTSE:-STMT-MSG-LINE2
018000                             PIC  X(50).
018100             07  :MTSE:-STMT-MSG-LINE3
018200                             PIC  X(50).
018300         05  FILLER          PIC  X(600).
018400*
018500* - BALANCE SUMMARY DATA AREA (578)
018600*
018700     03  :MTSE:-BAL-SUMMARY-X REDEFINES :MTSE:-DATA-AREA.
018800         05  :MTSE:-BAL-SUMMARY.
018900             07 :MTSE:-BS-NET-SETT-AMT
019000                             PIC  X(21).
019100             07 :MTSE:-BS-CURR-HOLDOVER-AMT
019200                             PIC  X(21).
019300             07 :MTSE:-BS-BEG-BALANCE
019400                             PIC  X(21).
019500             07 :MTSE:-BS-END-BALANCE
019600                             PIC  X(21).
019700             07 :MTSE:-BS-BATCH-HEADER-NBR
019800                             PIC S9(09)      COMP-3.
019900             07 :MTSE:-BS-BATCH-HEADER-AMT
020000                             PIC  X(21).
020100             07 :MTSE:-BS-RESV-TO-SETT-NBR
020200                             PIC S9(09)      COMP-3.
020300             07 :MTSE:-BS-RESV-TO-SETT-AMT
020400                             PIC  X(21).
020500             07 :MTSE:-BS-REFUND-NBR
020600                             PIC S9(09)      COMP-3.
020700             07 :MTSE:-BS-REFUND-AMT
020800                             PIC  X(21).
020900             07 :MTSE:-BS-PART-CR-NBR
021000                             PIC S9(09)      COMP-3.
021100             07 :MTSE:-BS-PART-CR-AMT
021200                             PIC  X(21).
021300             07 :MTSE:-BS-ADJ-CR-NBR
021400                             PIC S9(09)      COMP-3.
021500             07 :MTSE:-BS-ADJ-CR-AMT
021600                             PIC  X(21).
021700             07 :MTSE:-BS-REC-ADJ-CR-NBR
021800                             PIC S9(09)      COMP-3.
021900             07 :MTSE:-BS-REC-ADJ-CR-AMT
022000                             PIC  X(21).
022100             07 :MTSE:-BS-USER-CR-NBR
022200                             PIC S9(09)      COMP-3.
022300             07 :MTSE:-BS-USER-CR-AMT
022400                             PIC  X(21).
022500             07 :MTSE:-BS-RESV-FUNDING-NBR
022600                             PIC S9(09)      COMP-3.
022700             07 :MTSE:-BS-RESV-FUNDING-AMT
022800                             PIC  X(21).
022900             07 :MTSE:-BS-DISCOUNT-NBR
023000                             PIC S9(09)      COMP-3.
023100             07 :MTSE:-BS-DISCOUNT-AMT
023200                             PIC  X(21).
023300             07 :MTSE:-BS-PART-DR-NBR
023400                             PIC S9(09)      COMP-3.
023500             07 :MTSE:-BS-PART-DR-AMT
023600                             PIC  X(21).
023700             07 :MTSE:-BS-ADJ-DR-NBR
023800                             PIC S9(09)      COMP-3.
023900             07 :MTSE:-BS-ADJ-DR-AMT
024000                             PIC  X(21).
024100             07 :MTSE:-BS-REC-ADJ-DR-NBR
024200                             PIC S9(09)      COMP-3.
024300             07 :MTSE:-BS-REC-ADJ-DR-AMT
024400                             PIC  X(21).
024500             07 :MTSE:-BS-USER-FEES-NBR
024600                             PIC S9(09)      COMP-3.
024700             07 :MTSE:-BS-USER-FEES-AMT
024800                             PIC  X(21).
024900             07 :MTSE:-BS-SYSTEM-FEES-NBR
025000                             PIC S9(09)      COMP-3.
025100             07 :MTSE:-BS-SYSTEM-FEES-AMT
025200                             PIC  X(21).
025300             07 :MTSE:-BS-INTCHG-FEES-NBR
025400                               PIC S9(09)    COMP-3.
025500             07 :MTSE:-BS-INTCHG-FEES-AMT
025600                             PIC  X(21).
025700             07 :MTSE:-BS-TRANSFER-NBR
025800                             PIC S9(09)      COMP-3.
025900             07 :MTSE:-BS-TRANSFER-AMT
026000                             PIC  X(21).
026100             07 :MTSE:-BS-HOLDOVER-NBR
026200                             PIC S9(09)      COMP-3.
026300             07 :MTSE:-BS-HOLDOVER-AMT
026400                             PIC  X(21).
026500             07 :MTSE:-BS-SETT-CR-NBR
026600                             PIC S9(09)      COMP-3.
026700             07 :MTSE:-BS-SETT-CR-AMT
026800                             PIC  X(21).
026900             07 :MTSE:-BS-SETT-DR-NBR
027000                             PIC S9(09)      COMP-3.
027100             07 :MTSE:-BS-SETT-DR-AMT
027200                             PIC  X(21).
027300         05  FILLER          PIC  X(172).
027400*
027500* - RESERVE SUMMARY DATA AREA (188)
027600*
027700     03  :MTSE:-RESERVE-SUMM-X REDEFINES :MTSE:-DATA-AREA.
027800         05  :MTSE:-RESERVE-SUMM.
027900             07 :MTSE:-RS-DESC
028000                             PIC X(30).
028100             07 :MTSE:-RS-BEG-BAL
028200                             PIC  X(21).
028300             07 :MTSE:-RS-END-BAL
028400                             PIC  X(21).
028500             07 :MTSE:-RS-FUNDING-LM
028600                             PIC  9(03).
028700             07 :MTSE:-RS-FUNDING-NBR
028800                             PIC S9(09)      COMP-3.
028900             07 :MTSE:-RS-FUNDING-AMT
029000                             PIC  X(21).
029100             07 :MTSE:-RS-INCREASE-LM
029200                             PIC  9(03).
029300             07 :MTSE:-RS-INCREASE-NBR
029400                             PIC S9(09)      COMP-3.
029500             07 :MTSE:-RS-INCREASE-AMT
029600                             PIC  X(21).
029700             07 :MTSE:-RS-TO-SETT-LM
029800                             PIC  9(03).
029900             07 :MTSE:-RS-TO-SETT-NBR
030000                             PIC S9(09)      COMP-3.
030100             07 :MTSE:-RS-TO-SETT-AMT
030200                             PIC  X(21).
030300             07 :MTSE:-RS-TO-PROC-LM
030400                             PIC  9(03).
030500             07 :MTSE:-RS-TO-PROC-NBR
030600                             PIC S9(09)      COMP-3.
030700             07 :MTSE:-RS-TO-PROC-AMT
030800                             PIC  X(21).
030900         05  FILLER          PIC  X(562).
031000*
031100* - RECOVERY ADJUSMENT SUMMARY DATA AREA (280)
031200*
031300     03  :MTSE:-RECOVERY-ADJ-X REDEFINES :MTSE:-DATA-AREA.
031400         05  :MTSE:-RECOVERY-ADJ.
031500             07 :MTSE:-RA-LM1
031600                             PIC S9(03)      COMP-3.
031700             07 :MTSE:-RA-NBR1
031800                             PIC S9(09)      COMP-3.
031900             07 :MTSE:-RA-AMT1
032000                             PIC  X(21).
032100             07 :MTSE:-RA-LM2
032200                             PIC S9(03)      COMP-3.
032300             07 :MTSE:-RA-NBR2
032400                             PIC S9(09)      COMP-3.
032500             07 :MTSE:-RA-AMT2
032600                             PIC  X(21).
032700             07 :MTSE:-RA-LM3
032800                             PIC S9(03)      COMP-3.
032900             07 :MTSE:-RA-NBR3
033000                             PIC S9(09)      COMP-3.
033100             07 :MTSE:-RA-AMT3
033200                             PIC  X(21).
033300             07 :MTSE:-RA-LM4
033400                             PIC S9(03)      COMP-3.
033500             07 :MTSE:-RA-NBR4
033600                             PIC S9(09)      COMP-3.
033700             07 :MTSE:-RA-AMT4
033800                             PIC  X(21).
033900             07 :MTSE:-RA-LM5
034000                             PIC S9(03)      COMP-3.
034100             07 :MTSE:-RA-NBR5
034200                             PIC S9(09)      COMP-3.
034300             07 :MTSE:-RA-AMT5
034400                             PIC  X(21).
034500             07 :MTSE:-RA-LM6
034600                             PIC S9(03)      COMP-3.
034700             07 :MTSE:-RA-NBR6
034800                             PIC S9(09)      COMP-3.
034900             07 :MTSE:-RA-AMT6
035000                             PIC  X(21).
035100             07 :MTSE:-RA-LM7
035200                             PIC S9(03)      COMP-3.
035300             07 :MTSE:-RA-NBR7
035400                             PIC S9(09)      COMP-3.
035500             07 :MTSE:-RA-AMT7
035600                             PIC  X(21).
035700             07 :MTSE:-RA-LM8
035800                             PIC S9(03)      COMP-3.
035900             07 :MTSE:-RA-NBR8
036000                             PIC S9(09)      COMP-3.
036100             07 :MTSE:-RA-AMT8
036200                             PIC  X(21).
036300             07 :MTSE:-RA-LM9
036400                             PIC S9(03)      COMP-3.
036500             07 :MTSE:-RA-NBR9
036600                             PIC S9(09)      COMP-3.
036700             07 :MTSE:-RA-AMT9
036800                             PIC  X(21).
036900             07 :MTSE:-RA-LM10
037000                             PIC S9(03)      COMP-3.
037100             07 :MTSE:-RA-NBR10
037200                             PIC S9(09)      COMP-3.
037300             07 :MTSE:-RA-AMT10
037400                             PIC  X(21).
037500         05  FILLER          PIC  X(470).
037600*
037700* - ADJUSMENT SUMMARY DATA AREA (560)
037800*
037900     03  :MTSE:-ADJ-SUMMARY-X
038000                             REDEFINES  :MTSE:-DATA-AREA.
038100         05  :MTSE:-ADJ-SUMMARY.
038200             07  :MTSE:-AS-LM1
038300                             PIC S9(03)      COMP-3.
038400             07  :MTSE:-AS-NBR1
038500                             PIC S9(09)      COMP-3.
038600             07  :MTSE:-AS-AMT1
038700                             PIC  X(21).
038800             07  :MTSE:-AS-LM2
038900                             PIC S9(03)      COMP-3.
039000             07  :MTSE:-AS-NBR2
039100                             PIC S9(09)      COMP-3.
039200             07  :MTSE:-AS-AMT2
039300                             PIC  X(21).
039400             07  :MTSE:-AS-LM3
039500                             PIC S9(03)      COMP-3.
039600             07  :MTSE:-AS-NBR3
039700                             PIC S9(09)      COMP-3.
039800             07  :MTSE:-AS-AMT3
039900                             PIC  X(21).
040000             07  :MTSE:-AS-LM4
040100                             PIC S9(03)      COMP-3.
040200             07  :MTSE:-AS-NBR4
040300                             PIC S9(09)      COMP-3.
040400             07  :MTSE:-AS-AMT4
040500                             PIC  X(21).
040600             07  :MTSE:-AS-LM5
040700                             PIC S9(03)      COMP-3.
040800             07  :MTSE:-AS-NBR5
040900                             PIC S9(09)      COMP-3.
041000             07  :MTSE:-AS-AMT5
041100                             PIC  X(21).
041200             07  :MTSE:-AS-LM6
041300                             PIC S9(03)      COMP-3.
041400             07  :MTSE:-AS-NBR6
041500                             PIC S9(09)      COMP-3.
041600             07  :MTSE:-AS-AMT6
041700                             PIC  X(21).
041800             07  :MTSE:-AS-LM7
041900                             PIC S9(03)      COMP-3.
042000             07  :MTSE:-AS-NBR7
042100                             PIC S9(09)      COMP-3.
042200             07  :MTSE:-AS-AMT7
042300                             PIC  X(21).
042400             07  :MTSE:-AS-LM8
042500                             PIC S9(03)      COMP-3.
042600             07  :MTSE:-AS-NBR8
042700                             PIC S9(09)      COMP-3.
042800             07  :MTSE:-AS-AMT8
042900                             PIC  X(21).
043000             07  :MTSE:-AS-LM9
043100                             PIC S9(03)      COMP-3.
043200             07  :MTSE:-AS-NBR9
043300                             PIC S9(09)      COMP-3.
043400             07  :MTSE:-AS-AMT9
043500                             PIC  X(21).
043600             07  :MTSE:-AS-LM10
043700                             PIC S9(03)      COMP-3.
043800             07  :MTSE:-AS-NBR10
043900                             PIC S9(09)      COMP-3.
044000             07  :MTSE:-AS-AMT10
044100                             PIC  X(21).
044200             07  :MTSE:-AS-LM11
044300                             PIC S9(03)      COMP-3.
044400             07  :MTSE:-AS-NBR11
044500                             PIC S9(09)      COMP-3.
044600             07  :MTSE:-AS-AMT11
044700                             PIC  X(21).
044800             07  :MTSE:-AS-LM12
044900                             PIC S9(03)      COMP-3.
045000             07  :MTSE:-AS-NBR12
045100                             PIC S9(09)      COMP-3.
045200             07  :MTSE:-AS-AMT12
045300                             PIC  X(21).
045400             07  :MTSE:-AS-LM13
045500                             PIC S9(03)      COMP-3.
045600             07  :MTSE:-AS-NBR13
045700                             PIC S9(09)      COMP-3.
045800             07  :MTSE:-AS-AMT13
045900                             PIC  X(21).
046000             07  :MTSE:-AS-LM14
046100                             PIC S9(03)      COMP-3.
046200             07  :MTSE:-AS-NBR14
046300                             PIC S9(09)      COMP-3.
046400             07  :MTSE:-AS-AMT14
046500                             PIC  X(21).
046600             07  :MTSE:-AS-LM15
046700                             PIC S9(03)      COMP-3.
046800             07  :MTSE:-AS-NBR15
046900                             PIC S9(09)      COMP-3.
047000             07  :MTSE:-AS-AMT15
047100                             PIC  X(21).
047200             07  :MTSE:-AS-LM16
047300                             PIC S9(03)      COMP-3.
047400             07  :MTSE:-AS-NBR16
047500                             PIC S9(09)      COMP-3.
047600             07  :MTSE:-AS-AMT16
047700                             PIC  X(21).
047800             07  :MTSE:-AS-LM17
047900                             PIC S9(03)      COMP-3.
048000             07  :MTSE:-AS-NBR17
048100                             PIC S9(09)      COMP-3.
048200             07  :MTSE:-AS-AMT17
048300                             PIC  X(21).
048400             07  :MTSE:-AS-LM18
048500                             PIC S9(03)      COMP-3.
048600             07  :MTSE:-AS-NBR18
048700                             PIC S9(09)      COMP-3.
048800             07  :MTSE:-AS-AMT18
048900                             PIC  X(21).
049000             07  :MTSE:-AS-LM19
049100                             PIC S9(03)      COMP-3.
049200             07  :MTSE:-AS-NBR19
049300                             PIC S9(09)      COMP-3.
049400             07  :MTSE:-AS-AMT19
049500                             PIC  X(21).
049600             07  :MTSE:-AS-LM20
049700                             PIC S9(03)      COMP-3.
049800             07  :MTSE:-AS-NBR20
049900                             PIC S9(09)      COMP-3.
050000             07  :MTSE:-AS-AMT20
050100                             PIC  X(21).
050200         05  FILLER          PIC  X(190).
050300*
050400* - USER CREDIT DATA AREA (280)
050500*
050600     03  :MTSE:-USER-CREDIT-X REDEFINES :MTSE:-DATA-AREA.
050700         05  :MTSE:-USER-CREDIT.
050800             07  :MTSE:-UC-LM1
050900                             PIC S9(03)      COMP-3.
051000             07  :MTSE:-UC-NBR1
051100                             PIC S9(09)      COMP-3.
051200             07  :MTSE:-UC-AMT1
051300                             PIC  X(21).
051400             07  :MTSE:-UC-LM2
051500                             PIC S9(03)      COMP-3.
051600             07  :MTSE:-UC-NBR2
051700                             PIC S9(09)      COMP-3.
051800             07  :MTSE:-UC-AMT2
051900                             PIC  X(21).
052000             07  :MTSE:-UC-LM3
052100                             PIC S9(03)      COMP-3.
052200             07  :MTSE:-UC-NBR3
052300                             PIC S9(09)      COMP-3.
052400             07  :MTSE:-UC-AMT3
052500                             PIC  X(21).
052600             07  :MTSE:-UC-LM4
052700                             PIC S9(03)      COMP-3.
052800             07  :MTSE:-UC-NBR4
052900                             PIC S9(09)      COMP-3.
053000             07  :MTSE:-UC-AMT4
053100                             PIC  X(21).
053200             07  :MTSE:-UC-LM5
053300                             PIC S9(03)      COMP-3.
053400             07  :MTSE:-UC-NBR5
053500                             PIC S9(09)      COMP-3.
053600             07  :MTSE:-UC-AMT5
053700                             PIC  X(21).
053800             07  :MTSE:-UC-LM6
053900                             PIC S9(03)      COMP-3.
054000             07  :MTSE:-UC-NBR6
054100                             PIC S9(09)      COMP-3.
054200             07  :MTSE:-UC-AMT6
054300                             PIC  X(21).
054400             07  :MTSE:-UC-LM7
054500                             PIC S9(03)      COMP-3.
054600             07  :MTSE:-UC-NBR7
054700                             PIC S9(09)      COMP-3.
054800             07  :MTSE:-UC-AMT7
054900                             PIC  X(21).
055000             07  :MTSE:-UC-LM8
055100                             PIC S9(03)      COMP-3.
055200             07  :MTSE:-UC-NBR8
055300                             PIC S9(09)      COMP-3.
055400             07  :MTSE:-UC-AMT8
055500                             PIC  X(21).
055600             07  :MTSE:-UC-LM9
055700                             PIC S9(03)      COMP-3.
055800             07  :MTSE:-UC-NBR9
055900                             PIC S9(09)      COMP-3.
056000             07  :MTSE:-UC-AMT9
056100                             PIC  X(21).
056200             07  :MTSE:-UC-LM10
056300                             PIC S9(03)      COMP-3.
056400             07  :MTSE:-UC-NBR10
056500                             PIC S9(09)      COMP-3.
056600             07  :MTSE:-UC-AMT10
056700                             PIC  X(21).
056800         05  FILLER          PIC  X(470).
056900*
057000* - FEE SUMMARY DATA AREA (560)
057100*
057200     03  :MTSE:-FEE-SUMMARY-X REDEFINES :MTSE:-DATA-AREA.
057300         05  :MTSE:-FEE-SUMMARY.
057400             07  :MTSE:-FS-LM1
057500                             PIC S9(03)      COMP-3.
057600             07  :MTSE:-FS-NBR1
057700                             PIC S9(09)      COMP-3.
057800             07  :MTSE:-FS-AMT1
057900                             PIC  X(21).
058000             07  :MTSE:-FS-LM2
058100                             PIC S9(03)      COMP-3.
058200             07  :MTSE:-FS-NBR2
058300                             PIC S9(09)      COMP-3.
058400             07  :MTSE:-FS-AMT2
058500                             PIC  X(21).
058600             07  :MTSE:-FS-LM3
058700                             PIC S9(03)      COMP-3.
058800             07  :MTSE:-FS-NBR3
058900                             PIC S9(09)      COMP-3.
059000             07  :MTSE:-FS-AMT3
059100                             PIC  X(21).
059200             07  :MTSE:-FS-LM4
059300                             PIC S9(03)      COMP-3.
059400             07  :MTSE:-FS-NBR4
059500                             PIC S9(09)      COMP-3.
059600             07  :MTSE:-FS-AMT4
059700                             PIC  X(21).
059800             07  :MTSE:-FS-LM5
059900                             PIC S9(03)      COMP-3.
060000             07  :MTSE:-FS-NBR5
060100                             PIC S9(09)      COMP-3.
060200             07  :MTSE:-FS-AMT5
060300                             PIC  X(21).
060400             07  :MTSE:-FS-LM6
060500                             PIC S9(03)      COMP-3.
060600             07  :MTSE:-FS-NBR6
060700                             PIC S9(09)      COMP-3.
060800             07  :MTSE:-FS-AMT6
060900                             PIC  X(21).
061000             07  :MTSE:-FS-LM7
061100                             PIC S9(03)      COMP-3.
061200             07  :MTSE:-FS-NBR7
061300                             PIC S9(09)      COMP-3.
061400             07  :MTSE:-FS-AMT7
061500                             PIC  X(21).
061600             07  :MTSE:-FS-LM8
061700                             PIC S9(03)      COMP-3.
061800             07  :MTSE:-FS-NBR8
061900                             PIC S9(09)      COMP-3.
062000             07  :MTSE:-FS-AMT8
062100                             PIC  X(21).
062200             07  :MTSE:-FS-LM9
062300                             PIC S9(03)      COMP-3.
062400             07  :MTSE:-FS-NBR9
062500                             PIC S9(09)      COMP-3.
062600             07  :MTSE:-FS-AMT9
062700                             PIC  X(21).
062800             07  :MTSE:-FS-LM10
062900                             PIC S9(03)      COMP-3.
063000             07  :MTSE:-FS-NBR10
063100                             PIC S9(09)      COMP-3.
063200             07  :MTSE:-FS-AMT10
063300                             PIC  X(21).
063400             07  :MTSE:-FS-LM11
063500                             PIC S9(03)      COMP-3.
063600             07  :MTSE:-FS-NBR11
063700                             PIC S9(09)      COMP-3.
063800             07  :MTSE:-FS-AMT11
063900                             PIC  X(21).
064000             07  :MTSE:-FS-LM12
064100                             PIC S9(03)      COMP-3.
064200             07  :MTSE:-FS-NBR12
064300                             PIC S9(09)      COMP-3.
064400             07  :MTSE:-FS-AMT12
064500                             PIC  X(21).
064600             07  :MTSE:-FS-LM13
064700                             PIC S9(03)      COMP-3.
064800             07  :MTSE:-FS-NBR13
064900                             PIC S9(09)      COMP-3.
065000             07  :MTSE:-FS-AMT13
065100                             PIC  X(21).
065200             07  :MTSE:-FS-LM14
065300                             PIC S9(03)      COMP-3.
065400             07  :MTSE:-FS-NBR14
065500                             PIC S9(09)      COMP-3.
065600             07  :MTSE:-FS-AMT14
065700                             PIC  X(21).
065800             07  :MTSE:-FS-LM15
065900                             PIC S9(03)      COMP-3.
066000             07  :MTSE:-FS-NBR15
066100                             PIC S9(09)      COMP-3.
066200             07  :MTSE:-FS-AMT15
066300                             PIC  X(21).
066400             07  :MTSE:-FS-LM16
066500                             PIC S9(03)      COMP-3.
066600             07  :MTSE:-FS-NBR16
066700                             PIC S9(09)      COMP-3.
066800             07  :MTSE:-FS-AMT16
066900                             PIC  X(21).
067000             07  :MTSE:-FS-LM17
067100                             PIC S9(03)      COMP-3.
067200             07  :MTSE:-FS-NBR17
067300                             PIC S9(09)      COMP-3.
067400             07  :MTSE:-FS-AMT17
067500                             PIC  X(21).
067600             07  :MTSE:-FS-LM18
067700                             PIC S9(03)      COMP-3.
067800             07  :MTSE:-FS-NBR18
067900                             PIC S9(09)      COMP-3.
068000             07  :MTSE:-FS-AMT18
068100                             PIC  X(21).
068200             07  :MTSE:-FS-LM19
068300                             PIC S9(03)      COMP-3.
068400             07  :MTSE:-FS-NBR19
068500                             PIC S9(09)      COMP-3.
068600             07  :MTSE:-FS-AMT19
068700                             PIC  X(21).
068800             07  :MTSE:-FS-LM20
068900                             PIC S9(03)      COMP-3.
069000             07  :MTSE:-FS-NBR20
069100                             PIC S9(09)      COMP-3.
069200             07  :MTSE:-FS-AMT20
069300                             PIC  X(21).
069400         05  FILLER          PIC  X(190).
069500*
069600* - DISBURSEMENT ACTIVITY DATA AREA (320)
069700*
069800     03  :MTSE:-DISBURSE-ACTIVITY-X
069900                             REDEFINES  :MTSE:-DATA-AREA.
070000         05  :MTSE:-DISBURSE-ACTIVITY.
070100             07  :MTSE:-DA-METHOD1
070200                             PIC  X(02).
070300                 88  :MTSE:-DA-SKIP1         VALUE  'N0'.
070400                 88  :MTSE:-DA-ACH1          VALUE  'A1' 'A2'
070500                                                    'A3' 'A4'.
070600                 88  :MTSE:-DA-MANUAL1       VALUE  'M1' 'M2'
070700                                                    'M3' 'M4'.
070800                 88  :MTSE:-DA-NET-SETL1     VALUE  'A1' 'A2'
070900                                                    'A3' 'M1'
071000                                                    'M2' 'M3'
071100                                                    'C2' 'W2'.
071200                 88  :MTSE:-DA-HOLDOVER1     VALUE  'A2' 'M2'
071300                                                    'C2' 'W2'.
071400                 88 :MTSE:-DA-HLDOVR-BILLED1 VALUE  'A3' 'M3'.
071500                 88 :MTSE:-DA-ACCT-CHK1      VALUE  'C2'.
071600                 88 :MTSE:-DA-ACCT-WIRE1     VALUE  'W2'.
071700             07 :MTSE:-DA-DR-RT1
071800                             PIC  X(10).
071900             07 :MTSE:-DA-DR-ACCT1
072000                             PIC  X(17).
072100             07 :MTSE:-DA-DR-ACCT-TYPE1
072200                             PIC  X(01).
072300                 88 :MTSE:-DA-DR-DDA1        VALUE  'D'.
072400                 88 :MTSE:-DA-DR-SAV1        VALUE  'S'.
072500             07 :MTSE:-DA-CR-RT1
072600                             PIC  X(10).
072700             07 :MTSE:-DA-CR-ACCT1
072800                             PIC  X(17).
072900             07 :MTSE:-DA-CR-ACCT-TYPE1
073000                             PIC  X(01).
073100                 88 :MTSE:-DA-CR-DDA1        VALUE  'D'.
073200                 88 :MTSE:-DA-CR-SAV1        VALUE  'S'.
073300             07 :MTSE:-DA-BILL-ORG1
073400                             PIC  9(03).
073500             07 :MTSE:-DA-BILL-ACCT1
073600                             PIC  X(19).
073700*              FORMAT: XXX-XXXXX-XXXXX-XXXXX-X
073800             07 :MTSE:-DA-METHOD2
073900                             PIC  X(02).
074000                 88 :MTSE:-DA-SKIP2          VALUE  'N0'.
074100                 88 :MTSE:-DA-ACH2           VALUE  'A1' 'A2'
074200                                                    'A3' 'A4'.
074300                 88 :MTSE:-DA-MANUAL2        VALUE  'M1' 'M2'
074400                                                    'M3' 'M4'.
074500                 88 :MTSE:-DA-NET-SETL2      VALUE  'A1' 'A2'
074600                                                    'A3' 'M1'
074700                                                    'M2' 'M3'
074800                                                    'C2' 'W2'.
074900                 88 :MTSE:-DA-HOLDOVER2      VALUE  'A2' 'M2'
075000                                                    'C2' 'W2'.
075100                 88 :MTSE:-DA-HLDOVR-BILLED2 VALUE  'A3' 'M3'.
075200                 88 :MTSE:-DA-ACCT-CHK2      VALUE  'C2'.
075300                 88 :MTSE:-DA-ACCT-WIRE2     VALUE  'W2'.
075400             07 :MTSE:-DA-DR-RT2
075500                             PIC  X(10).
075600             07 :MTSE:-DA-DR-ACCT2
075700                             PIC  X(17).
075800             07 :MTSE:-DA-DR-ACCT-TYPE2
075900                             PIC  X(01).
076000                 88 :MTSE:-DA-DR-DDA2        VALUE  'D'.
076100                 88 :MTSE:-DA-DR-SAV2        VALUE  'S'.
076200             07 :MTSE:-DA-CR-RT2
076300                             PIC  X(10).
076400             07 :MTSE:-DA-CR-ACCT2
076500                             PIC  X(17).
076600             07 :MTSE:-DA-CR-ACCT-TYPE2
076700                             PIC  X(01).
076800                 88 :MTSE:-DA-CR-DDA2        VALUE  'D'.
076900                 88 :MTSE:-DA-CR-SAV2        VALUE  'S'.
077000             07 :MTSE:-DA-BILL-ORG2
077100                             PIC  9(03).
077200             07 :MTSE:-DA-BILL-ACCT2
077300                             PIC  X(19).
077400*              FORMAT: XXX-XXXXX-XXXXX-XXXXX-X
077500             07 :MTSE:-DA-METHOD3
077600                             PIC  X(02).
077700                 88 :MTSE:-DA-SKIP3          VALUE  'N0'.
077800                 88 :MTSE:-DA-ACH3           VALUE  'A1' 'A2'
077900                                                    'A3' 'A4'.
078000                 88 :MTSE:-DA-MANUAL3        VALUE  'M1' 'M2'
078100                                                    'M3' 'M4'.
078200                 88 :MTSE:-DA-NET-SETL3      VALUE  'A1' 'A2'
078300                                                    'A3' 'M1'
078400                                                    'M2' 'M3'
078500                                                    'C2' 'W2'.
078600                 88 :MTSE:-DA-HOLDOVER3      VALUE  'A2' 'M2'
078700                                                    'C2' 'W2'.
078800                 88 :MTSE:-DA-HLDOVR-BILLED3 VALUE  'A3' 'M3'.
078900                 88 :MTSE:-DA-ACCT-CHK3      VALUE  'C2'.
079000                 88 :MTSE:-DA-ACCT-WIRE3     VALUE  'W2'.
079100             07 :MTSE:-DA-DR-RT3
079200                             PIC  X(10).
079300             07 :MTSE:-DA-DR-ACCT3
079400                             PIC  X(17).
079500             07 :MTSE:-DA-DR-ACCT-TYPE3
079600                             PIC  X(01).
079700                 88 :MTSE:-DA-DR-DDA3        VALUE  'D'.
079800                 88 :MTSE:-DA-DR-SAV3        VALUE  'S'.
079900             07 :MTSE:-DA-CR-RT3
080000                             PIC  X(10).
080100             07 :MTSE:-DA-CR-ACCT3
080200                             PIC  X(17).
080300             07 :MTSE:-DA-CR-ACCT-TYPE3
080400                             PIC  X(01).
080500                 88 :MTSE:-DA-CR-DDA3        VALUE  'D'.
080600                 88 :MTSE:-DA-CR-SAV3        VALUE  'S'.
080700             07 :MTSE:-DA-BILL-ORG3
080800                             PIC  9(03).
080900             07 :MTSE:-DA-BILL-ACCT3
081000                             PIC  X(19).
081100*              FORMAT: XXX-XXXXX-XXXXX-XXXXX-X
081200             07 :MTSE:-DA-METHOD4
081300                             PIC X(02).
081400                 88 :MTSE:-DA-SKIP4          VALUE  'N0'.
081500                 88 :MTSE:-DA-ACH4           VALUE  'A1' 'A2'
081600                                                    'A3' 'A4'.
081700                 88 :MTSE:-DA-MANUAL4        VALUE  'M1' 'M2'
081800                                                    'M3' 'M4'.
081900                 88 :MTSE:-DA-NET-SETL4      VALUE  'A1' 'A2'
082000                                                    'A3' 'M1'
082100                                                    'M2' 'M3'
082200                                                    'C2' 'W2'.
082300                 88 :MTSE:-DA-HOLDOVER4      VALUE  'A2' 'M2'
082400                                                    'C2' 'W2'.
082500                 88 :MTSE:-DA-HLDOVR-BILLED4 VALUE  'A3' 'M3'.
082600                 88 :MTSE:-DA-ACCT-CHK4      VALUE  'C2'.
082700                 88 :MTSE:-DA-ACCT-WIRE4     VALUE  'W2'.
082800             07 :MTSE:-DA-DR-RT4
082900                             PIC  X(10).
083000             07 :MTSE:-DA-DR-ACCT4
083100                             PIC  X(17).
083200             07 :MTSE:-DA-DR-ACCT-TYPE4
083300                             PIC  X(01).
083400                 88 :MTSE:-DA-DR-DDA4        VALUE  'D'.
083500                 88 :MTSE:-DA-DR-SAV4        VALUE  'S'.
083600             07 :MTSE:-DA-CR-RT4
083700                             PIC  X(10).
083800             07 :MTSE:-DA-CR-ACCT4
083900                             PIC  X(17).
084000             07 :MTSE:-DA-CR-ACCT-TYPE4
084100                             PIC  X(01).
084200                 88 :MTSE:-DA-CR-DDA4        VALUE  'D'.
084300                 88 :MTSE:-DA-CR-SAV4        VALUE  'S'.
084400             07 :MTSE:-DA-BILL-ORG4
084500                             PIC  9(03).
084600             07 :MTSE:-DA-BILL-ACCT4
084700                             PIC  X(19).
084800*              FORMAT: XXX-XXXXX-XXXXX-XXXXX-X
084900         05  FILLER          PIC  X(430).
085000*
085100* - DISBURSEMENT TOTALS DATA AREA (630)
085200*
085300     03  :MTSE:-DISBURSEMENT-TOTS-X
085400                             REDEFINES  :MTSE:-DATA-AREA.
085500         05  :MTSE:-DISBURSEMENT-TOTS.
085600             07  :MTSE:-AT-ACH-AMTS.
085700                 09 :MTSE:-DTA-CR-AMT1
085800                             PIC  X(21).
085900                 09 :MTSE:-DTA-DR-AMT1
086000                             PIC  X(21).
086100                 09 :MTSE:-DTA-NET-CR-AMT1
086200                             PIC  X(21).
086300                 09 :MTSE:-DTA-NET-DR-AMT1
086400                             PIC  X(21).
086500                 09 :MTSE:-DTA-HOLDOVER-AMT1
086600                             PIC  X(21).
086700                 09 :MTSE:-DTA-XFER-INV-AMT1
086800                             PIC  X(21).
086900                 09 :MTSE:-DTA-CR-AMT2
087000                             PIC  X(21).
087100                 09 :MTSE:-DTA-DR-AMT2
087200                             PIC  X(21).
087300                 09 :MTSE:-DTA-NET-CR-AMT2
087400                             PIC  X(21).
087500                 09 :MTSE:-DTA-NET-DR-AMT2
087600                             PIC  X(21).
087700                 09 :MTSE:-DTA-HOLDOVER-AMT2
087800                             PIC  X(21).
087900                 09 :MTSE:-DTA-XFER-INV-AMT2
088000                             PIC  X(21).
088100                 09 :MTSE:-DTA-CR-AMT3
088200                             PIC  X(21).
088300                 09 :MTSE:-DTA-DR-AMT3
088400                             PIC  X(21).
088500                 09 :MTSE:-DTA-NET-CR-AMT3
088600                             PIC  X(21).
088700                 09 :MTSE:-DTA-NET-DR-AMT3
088800                             PIC  X(21).
088900                 09 :MTSE:-DTA-HOLDOVER-AMT3
089000                             PIC  X(21).
089100                 09 :MTSE:-DTA-XFER-INV-AMT3
089200                             PIC  X(21).
089300                 09 :MTSE:-DTA-CR-AMT4
089400                             PIC  X(21).
089500                 09 :MTSE:-DTA-DR-AMT4
089600                             PIC  X(21).
089700                 09 :MTSE:-DTA-NET-CR-AMT4
089800                             PIC  X(21).
089900                 09 :MTSE:-DTA-NET-DR-AMT4
090000                             PIC  X(21).
090100                 09 :MTSE:-DTA-HOLDOVER-AMT4
090200                             PIC  X(21).
090300                 09 :MTSE:-DTA-XFER-INV-AMT4
090400                             PIC  X(21).
090500             07 :MTSE:-DT-BILL-AMT1
090600                             PIC  X(21).
090700             07 :MTSE:-DT-BILL-AMT2
090800                             PIC  X(21).
090900             07 :MTSE:-DT-BILL-AMT3
091000                             PIC  X(21).
091100             07 :MTSE:-DT-BILL-AMT4
091200                             PIC  X(21).
091300             07 :MTSE:-DT-WINDOW-AMT
091400                             PIC  X(21).
091500             07 :MTSE:-DT-DIST-HOLDOVER-AMT
091600                             PIC  X(21).
091700         05  FILLER          PIC  X(120).
091800*
091900* - PRODUCT SUMMARY DATA AREA (576)
092000*
092100     03  :MTSE:-PRODUCT-SUMMARY-X
092200                             REDEFINES  :MTSE:-DATA-AREA.
092300         05  :MTSE:-PRODUCT-SUMMARY.
092400             07 :MTSE:-PS-LM1
092500                             PIC S9(03)      COMP-3.
092600             07 :MTSE:-PS-NBR1
092700                             PIC S9(09)      COMP-3.
092800             07 :MTSE:-PS-AMT1
092900                             PIC  X(21).
093000             07 :MTSE:-PS-LM2
093100                             PIC S9(03)      COMP-3.
093200             07 :MTSE:-PS-NBR2
093300                             PIC S9(09)      COMP-3.
093400             07 :MTSE:-PS-AMT2
093500                             PIC  X(21).
093600             07 :MTSE:-PS-LM3
093700                             PIC S9(03)      COMP-3.
093800             07 :MTSE:-PS-NBR3
093900                             PIC S9(09)      COMP-3.
094000             07 :MTSE:-PS-AMT3
094100                             PIC  X(21).
094200             07 :MTSE:-PS-LM4
094300                             PIC S9(03)      COMP-3.
094400             07 :MTSE:-PS-NBR4
094500                             PIC S9(09)      COMP-3.
094600             07 :MTSE:-PS-AMT4
094700                             PIC  X(21).
094800             07 :MTSE:-PS-LM5
094900                             PIC S9(03)      COMP-3.
095000             07 :MTSE:-PS-NBR5
095100                             PIC S9(09)      COMP-3.
095200             07 :MTSE:-PS-AMT5
095300                             PIC  X(21).
095400             07 :MTSE:-PS-LM6
095500                             PIC S9(03)      COMP-3.
095600             07 :MTSE:-PS-NBR6
095700                             PIC S9(09)      COMP-3.
095800             07 :MTSE:-PS-AMT6
095900                             PIC  X(21).
096000             07 :MTSE:-PS-LM7
096100                             PIC S9(03)      COMP-3.
096200             07 :MTSE:-PS-NBR7
096300                             PIC S9(09)      COMP-3.
096400             07 :MTSE:-PS-AMT7
096500                             PIC  X(21).
096600             07 :MTSE:-PS-LM8
096700                             PIC S9(03)      COMP-3.
096800             07 :MTSE:-PS-NBR8
096900                             PIC S9(09)      COMP-3.
097000             07 :MTSE:-PS-AMT8
097100                             PIC  X(21).
097200             07 :MTSE:-PS-LM9
097300                             PIC S9(03)      COMP-3.
097400             07 :MTSE:-PS-NBR9
097500                             PIC S9(09)      COMP-3.
097600             07 :MTSE:-PS-AMT9
097700                             PIC  X(21).
097800             07 :MTSE:-PS-LM10
097900                             PIC S9(03)      COMP-3.
098000             07 :MTSE:-PS-NBR10
098100                             PIC S9(09)      COMP-3.
098200             07 :MTSE:-PS-AMT10
098300                             PIC  X(21).
098400             07 :MTSE:-PS-LM11
098500                             PIC S9(03)      COMP-3.
098600             07 :MTSE:-PS-NBR11
098700                             PIC S9(09)      COMP-3.
098800             07 :MTSE:-PS-AMT11
098900                             PIC  X(21).
099000             07 :MTSE:-PS-LM12
099100                             PIC S9(03)      COMP-3.
099200             07 :MTSE:-PS-NBR12
099300                             PIC S9(09)      COMP-3.
099400             07 :MTSE:-PS-AMT12
099500                             PIC  X(21).
099600             07 :MTSE:-PS-LM13
099700                             PIC S9(03)      COMP-3.
099800             07 :MTSE:-PS-NBR13
099900                             PIC S9(09)      COMP-3.
100000             07 :MTSE:-PS-AMT13
100100                             PIC  X(21).
100200             07 :MTSE:-PS-LM14
100300                             PIC S9(03)      COMP-3.
100400             07 :MTSE:-PS-NBR14
100500                             PIC S9(09)      COMP-3.
100600             07 :MTSE:-PS-AMT14
100700                             PIC  X(21).
100800             07 :MTSE:-PS-LM15
100900                             PIC S9(03)      COMP-3.
101000             07 :MTSE:-PS-NBR15
101100                             PIC S9(09)      COMP-3.
101200             07 :MTSE:-PS-AMT15
101300                             PIC  X(21).
101400             07 :MTSE:-PS-LM16
101500                             PIC S9(03)      COMP-3.
101600             07 :MTSE:-PS-NBR16
101700                             PIC S9(09)      COMP-3.
101800             07 :MTSE:-PS-AMT16
101900                             PIC  X(21).
102000             07 :MTSE:-PS-LM17
102100                             PIC S9(03)      COMP-3.
102200             07 :MTSE:-PS-NBR17
102300                             PIC S9(09)      COMP-3.
102400             07 :MTSE:-PS-AMT17
102500                             PIC  X(21).
102600             07 :MTSE:-PS-LM18
102700                             PIC S9(03)      COMP-3.
102800             07 :MTSE:-PS-NBR18
102900                             PIC S9(09)      COMP-3.
103000             07 :MTSE:-PS-AMT18
103100                             PIC  X(21).
103200             07 :MTSE:-PS-LM19
103300                             PIC S9(03)      COMP-3.
103400             07 :MTSE:-PS-NBR19
103500                             PIC S9(09)      COMP-3.
103600             07 :MTSE:-PS-AMT19
103700                             PIC  X(21).
103800             07 :MTSE:-PS-LM20
103900                             PIC S9(03)      COMP-3.
104000             07 :MTSE:-PS-NBR20
104100                             PIC S9(09)      COMP-3.
104200             07 :MTSE:-PS-AMT20
104300                             PIC  X(21).
104400             07 :MTSE:-PS-PRD-DESC
104500                             PIC  X(16).
104600         05  FILLER          PIC  X(174).
104700*
104800* - STORE SUMMARY DATA AREA (145)
104900*
105000     03  :MTSE:-STORE-SUMMARY-X
105100                             REDEFINES  :MTSE:-DATA-AREA.
105200         05  :MTSE:-STORE-SUMMARY.
105300             07 :MTSE:-SS-SALES-NBR
105400                             PIC S9(09)      COMP-3.
105500             07 :MTSE:-SS-SALES-AMT
105600                             PIC  X(21).
105700             07 :MTSE:-SS-RETURNS-NBR
105800                             PIC S9(09)      COMP-3.
105900             07 :MTSE:-SS-RETURNS-AMT
106000                             PIC  X(21).
106100             07 :MTSE:-SS-OTHER-CR-NBR
106200                             PIC S9(09)      COMP-3.
106300             07 :MTSE:-SS-OTHER-CR-AMT
106400                             PIC  X(21).
106500             07 :MTSE:-SS-OTHER-DR-NBR
106600                             PIC S9(09)      COMP-3.
106700             07 :MTSE:-SS-OTHER-DR-AMT
106800                             PIC  X(21).
106900             07 :MTSE:-SS-DBA-NAME
107000                             PIC  X(25).
107100             07 :MTSE:-SS-DBA-CITY
107200                             PIC  X(13).
107300             07 :MTSE:-SS-DBA-COUNTRY
107400                             PIC  X(03).
107500         05  FILLER          PIC  X(605).
107600*
107700* - DEPOSIT HISTORY DATA AREA (479)
107800*
107900*     MMD3 RECORD AREA
108000*
108100     03  :MTSE:-DEPOSIT-HISTORY-X
108200                             REDEFINES  :MTSE:-DATA-AREA.
108300         05  :MTSE:-DEPOSIT-HISTORY.
108400             07  :MTSE:-DH-KEY.
108500                 09  :MTSE:-DH-ORG
108600                             PIC  9(03).
108700                 09  :MTSE:-DH-MERCHANT
108800                             PIC  9(09).
108900                 09  :MTSE:-DH-STORE
109000                             PIC S9(09)      COMP-3.
109100                 09  :MTSE:-DH-BATCH-DATE
109200                             PIC  X(08).
109300*              FORMAT: YYYYMMDD
109400                 09  :MTSE:-DH-BATCH-SOURCE
109500                             PIC S9(05)      COMP-3.
109600                 09  :MTSE:-DH-BATCH-NBR
109700                             PIC S9(05)      COMP-3.
109800                 09  :MTSE:-DH-BATCH-SEQ
109900                             PIC S9(08)      BINARY.
110000             07  :MTSE:-DH-SEQ-NBR
110100                             PIC S9(08)      BINARY.
110200             07  :MTSE:-DH-POST-KEY.
110300                 09  :MTSE:-DH-PRODUCT
110400                             PIC  9(02).
110500                     88  :MTSE:-DH-NON-PRODUCT
110600                                             VALUE ZERO.
110700                     88  :MTSE:-DH-PROD-IS-VISA
110800                                             VALUE 01.
110900                     88  :MTSE:-DH-PROD-IS-MC
111000                                             VALUE 02.
111100                     88  :MTSE:-DH-PROD-IS-PL
111200                                             VALUE 03 THRU 99.
111300                 09  :MTSE:-DH-PLAN
111400                             PIC  9(05).
111500                 09  :MTSE:-DH-LOGIC-MODULE
111600                             PIC  9(03).
111700                 09  :MTSE:-DH-QUAL-LEVEL
111800                             PIC  9(02).
111900*
112000             07 :MTSE:-DH-TRANS-CODE
112100                             PIC S9(03)      COMP-3.
112200             07 :MTSE:-DH-TRANS-FLAG
112300                             PIC  X(01).
112400                 88 :MTSE:-DH-TF-MEMO        VALUE  'M' ' '.
112500                 88 :MTSE:-DH-TF-CREDIT      VALUE  'C'.
112600                 88 :MTSE:-DH-TF-DEBIT       VALUE  'D'.
112700                 88 :MTSE:-DH-TF-NOT-YET-ASSIGNED
112800                                             VALUE  ' '.
112900             07 :MTSE:-DH-NBR-ITEMS
113000                             PIC S9(08)      BINARY.
113100             07 :MTSE:-DH-AMOUNT
113200                             PIC  X(21).
113300             07 :MTSE:-DH-POST-DATE
113400                             PIC  X(08).
113500*              FORMAT: YYYYMMDD
113600             07 :MTSE:-DH-ENTRY-DATE
113700                             PIC  X(08).
113800*              FORMAT: YYYYMMDD
113900             07 :MTSE:-DH-STMT-FLAG
114000                             PIC  X(01).
114100                 88 :MTSE:-DH-STATEMENTED
114200                                             VALUE 'Y'.
114300                 88 :MTSE:-DH-NOT-STATEMENTED
114400                                             VALUE 'N'.
114500             07 :MTSE:-DH-SETT-FLAG
114600                             PIC  X(01).
114700                 88 :MTSE:-DH-SETTLED        VALUE  'S' 'B' 'W'
114800                                                    '1' '2'
114900                                                    '3' '4'.
115000                 88 :MTSE:-DH-NOT-SETTLED    VALUE  'N'.
115100                 88 :MTSE:-DH-SETTLED-ACH-MAN
115200                                             VALUE  'S'.
115300                 88 :MTSE:-DH-SETTLED-BILLED
115400                                             VALUE  'B'.
115500                 88 :MTSE:-DH-SETTLED-WINDOW
115600                                             VALUE  'W'.
115700                 88 :MTSE:-DH-SETTLED-RESV-1
115800                                             VALUE  '1'.
115900                 88 :MTSE:-DH-SETTLED-RESV-2
116000                                             VALUE  '2'.
116100                 88 :MTSE:-DH-SETTLED-RESV-3
116200                                             VALUE  '3'.
116300                 88 :MTSE:-DH-SETTLED-RESV-4
116400                                             VALUE  '4'.
116500             07 :MTSE:-DH-SETT-ACCT
116600                             PIC  9(01).
116700                 88 :MTSE:-DH-SA-NOT-APPLICABLE
116800                                             VALUE  0.
116900                 88 :MTSE:-DH-SETT-ACCT-1    VALUE  1.
117000                 88 :MTSE:-DH-SETT-ACCT-2    VALUE  2.
117100                 88 :MTSE:-DH-SETT-ACCT-3    VALUE  3.
117200                 88 :MTSE:-DH-SETT-ACCT-4    VALUE  4.
117300                 88 :MTSE:-DH-SA-WINDOW      VALUE  5.
117400                 88 :MTSE:-DH-SA-NOT-APPLICABLE
117500                                             VALUE  0.
117600                 88 :MTSE:-DH-SETT-ACCT-1    VALUE  1.
117700                 88 :MTSE:-DH-SETT-ACCT-2    VALUE  2.
117800                 88 :MTSE:-DH-SETT-ACCT-3    VALUE  3.
117900                 88 :MTSE:-DH-SETT-ACCT-4    VALUE  4.
118000                 88 :MTSE:-DH-SA-WINDOW      VALUE  5.
118100             07 :MTSE:-DH-SETT-DATE
118200                             PIC  X(08).
118300*              FORMAT: YYYYMMDD
118400             07 :MTSE:-DH-REF-BATCH-DATE
118500                             PIC  X(08).
118600*              FORMAT: YYYYMMDD
118700             07 :MTSE:-DH-REF-BATCH-SOURCE
118800                             PIC S9(05)      COMP-3.
118900             07 :MTSE:-DH-REF-BATCH-NBR
119000                             PIC S9(05)      COMP-3.
119100             07 :MTSE:-DH-REF-BATCH-SEQ
119200                             PIC S9(08)      BINARY.
119300*
119400             07 :MTSE:-DH-REF-NBR
119500                             PIC X(23).
119600             07 :MTSE:-DH-REF-AMOUNT-1
119700                             PIC  X(21).
119800             07 :MTSE:-DH-REF-AMOUNT-2
119900                             PIC  X(21).
120000             07 :MTSE:-DH-REF-NBR-ITEMS
120100                             PIC S9(08)      BINARY.
120200             07 :MTSE:-DH-REF-PRODUCT
120300                             PIC  9(02).
120400             07 :MTSE:-DH-REF-PLAN
120500                             PIC S9(05)      COMP-3.
120600             07 :MTSE:-DH-REF-QUAL-LEVEL
120700                             PIC  9(02).
120800             07 :MTSE:-DH-ORIG-GL-SOURCE
120900                             PIC  9(01).
121000                 88 :MTSE:-DH-OGL-LOCAL-INP
121100                                             VALUE  0.
121200                 88 :MTSE:-DH-OGL-POS-1-INPUT
121300                                             VALUE  1.
121400                 88 :MTSE:-DH-OGL-POS-2-INPUT
121500                                             VALUE  2.
121600                 88 :MTSE:-DH-OGL-POS-3-INPUT
121700                                             VALUE  3.
121800                 88 :MTSE:-DH-OGL-DATA-CAPT-INP
121900                                             VALUE  4.
122000                 88 :MTSE:-DH-OGL-USER-INP   VALUE  5.
122100                 88 :MTSE:-DH-OGL-FE-GENERATED
122200                                             VALUE  6.
122300                 88 :MTSE:-DH-OGL-WAREHOUSED
122400                                             VALUE  7.
122500                 88 :MTSE:-DH-OGL-GENERATED
122600                                             VALUE  8.
122700                 88 :MTSE:-DH-OGL-RESERVED   VALUE  9.
122800             07 :MTSE:-DH-GL-SOURCE
122900                             PIC  9(01).
123000                 88 :MTSE:-DH-GL-LOCAL-INP   VALUE  0.
123100                 88 :MTSE:-DH-GL-POS-1-INPUT
123200                                             VALUE  1.
123300                 88 :MTSE:-DH-GL-POS-2-INPUT
123400                                             VALUE  2.
123500                 88 :MTSE:-DH-GL-POS-3-INPUT
123600                                             VALUE  3.
123700                 88 :MTSE:-DH-GL-DATA-CAPT-INP
123800                                             VALUE  4.
123900                 88 :MTSE:-DH-GL-USER-INP    VALUE  5.
124000                 88 :MTSE:-DH-GL-FE-GENERATED
124100                                             VALUE  6.
124200                 88 :MTSE:-DH-GL-WAREHOUSED
124300                                             VALUE  7.
124400                 88 :MTSE:-DH-GL-GENERATED   VALUE  8.
124500                 88 :MTSE:-DH-GL-RESERVED    VALUE  9.
124600             07 :MTSE:-DH-TRANS-STATUS
124700                             PIC  X(01).
124800                 88 :MTSE:-DH-TRANS-ACTIVE   VALUE  'R' 'A' ' '.
124900                 88 :MTSE:-DH-TRANS-FORCE-ADJ
125000                                             VALUE  'A'.
125100                 88 :MTSE:-DH-TRANS-REACTIVATED
125200                                             VALUE  'R'.
125300                 88 :MTSE:-DH-TRANS-DELETED
125400                                             VALUE  'D'.
125500             07 :MTSE:-DH-QUAL-INDICATOR
125600                             PIC  X(01).
125700                 88 :MTSE:-DH-QI-NOT-APPLICABLE
125800                                             VALUE  '0'.
125900                 88 :MTSE:-DH-QI-INTRACHANGE-DIFF
126000                                             VALUE  '1'.
126100                 88 :MTSE:-DH-QI-INTRACHANGE-ONUS
126200                                             VALUE  '2'.
126300                 88 :MTSE:-DH-QI-DOMESTIC-NORMAL
126400                                             VALUE  '3'.
126500                 88 :MTSE:-DH-QI-DOMESTIC-ABOVE
126600                                             VALUE  '4'.
126700                 88 :MTSE:-DH-QI-DOMESTIC-BELOW
126800                                             VALUE  '5'.
126900                 88 :MTSE:-DH-QI-INT-NORMAL
127000                                             VALUE  '6'.
127100                 88 :MTSE:-DH-QI-INT-ABOVE
127200                                             VALUE  '7'.
127300                 88 :MTSE:-DH-QI-INT-BELOW
127400                                             VALUE  '8'.
127500                 88 :MTSE:-DH-QI-QUALIFIED   VALUE  '3' '6'.
127600                 88 :MTSE:-DH-QI-NON-QUAL-ABOVE
127700                                             VALUE  '4' '7'.
127800                 88 :MTSE:-DH-QI-NON-QUAL-BELOW
127900                                             VALUE  '5' '8'.
128000                 88 :MTSE:-DH-QI-INTRACHANGE
128100                                             VALUE  '1' '2'.
128200                 88 :MTSE:-DH-QI-INTERCHANGE
128300                                             VALUE  '3' THRU '8'.
128400                 88 :MTSE:-DH-QI-DOMESTIC    VALUE  '3' '4' '5'.
128500                 88 :MTSE:-DH-QI-INTERNATIONAL
128600                                             VALUE  '6' '7' '8'.
128700             07 :MTSE:-DH-DATA-ENTRY-MODE
128800                             PIC  X(01).
128900                 88 :MTSE:-DH-DEM-IS-NOT-APPLICABLE
129000                                             VALUE  '0'.
129100                 88 :MTSE:-DH-DEM-IS-KEYED   VALUE  '1'.
129200                 88 :MTSE:-DH-DEM-IS-SWIPED
129300                                             VALUE  '2'.
129400             07 :MTSE:-DH-REJECT-REENTRY-FLAG
129500                             PIC  X(01).
129600                 88 :MTSE:-DH-RR-POST-MERCH
129700                                             VALUE  'Y'.
129800                 88 :MTSE:-DH-RR-NOT-POST-MERCH
129900                                             VALUE  'N'.
130000             07 :MTSE:-DH-AR-CURR-INP-SOURCE
130100                             PIC  X(01).
130200                 88 :MTSE:-DH-CIS-1ST-TIME   VALUE  '0' ' '.
130300                 88 :MTSE:-DH-CIS-SUBSEQUENT
130400                                             VALUE  '1'.
130500                 88 :MTSE:-DH-CIS-XFER-HISTORY
130600                                             VALUE  '9'.
130700             07 :MTSE:-DH-AR-MT-TYPE
130800                             PIC  X(01).
130900                 88 :MTSE:-DH-AR-MT-MEMO     VALUE  'M' ' '.
131000                 88 :MTSE:-DH-AR-MT-CREDIT
131100                                             VALUE  'C'.
131200                 88 :MTSE:-DH-AR-MT-DEBIT
131300                                             VALUE  'D'.
131400                 88 :MTSE:-DH-AR-MT-NOT-FROM-CMS
131500                                             VALUE  'N'.
131600             07  :MTSE:-DH-STORE-DUP-IND                          RG800902
131700                             PIC  X(01).
131800                 88  :MTSE:-DH-STORE-DUP-INIT                     RG800902
131900                                             VALUE LOW-VALUES.    RG800902
132200             07  :MTSE:-DH-MERCH-DUP-IND                          RG800902
132300                             PIC  X(01).
132400                 88  :MTSE:-DH-MERCH-DUP-INIT                     RG800902
132500                                             VALUE LOW-VALUES.    RG800902
132700             07 :MTSE:-DH-ORIG-OPERATOR
132800                             PIC  X(03).
132900             07 :MTSE:-DH-LAST-OPERATOR
133000                             PIC  X(03).
133100             07 :MTSE:-DH-GOVERNING-STATE
133200                             PIC  X(03).
133300             07 :MTSE:-DH-LOGO
133400                             PIC  9(03).
133500             07 :MTSE:-DH-SKU-NBR
133600                             PIC  9(09).
133700             07 :MTSE:-DH-DEPT-CODE
133800                             PIC  X(04).
133900             07 :MTSE:-DH-DESC
134000                             PIC  X(40).
134100             07 :MTSE:-DH-RPT-DESC
134200                             PIC  X(15).
134210             07  :MTSE:-DH-CARD-PROD-TYPE                         RG800902
134212                             PIC  X(03).                          RG800902
134216             07  :MTSE:-DH-CATEGORY-CODE                          RG800902
134218                             PIC  X(04).                          RG800902
134220                 88  :MTSE:-DH-NO-CATEGORY-CODE                   RG800902
134222                                             VALUE ZERO SPACES.   RG800902
134224*                                                                 RG800902
134300             07 FILLER       PIC  X(01).
134400             07 :MTSE:-DH-USER-FILLER
134500                             PIC  X(15).
134600             07 :MTSE:-DH-POST-FLAG
134700                             PIC  9(02).
134800                 88 :MTSE:-DH-PF-POSTED-TRANSACTION
134900                                             VALUE  ZERO.
135000                 88 :MTSE:-DH-PF-NO-STORE    VALUE  50.
135100                 88 :MTSE:-DH-PF-NO-TC-TRANSLATION
135200                                             VALUE  51.
135300                 88 :MTSE:-DH-PF-INVALID-TC-OR-LM
135400                                             VALUE  52.
135500                 88 :MTSE:-DH-PF-NON-POST-ITEM
135600                                             VALUE  53.
135700                 88 :MTSE:-DH-PF-PROC-REPEAT-REJ
135800                                             VALUE  54.
135900                 88 :MTSE:-DH-PF-PROC-POSTED-REJ
136000                                             VALUE  55.
136100                 88 :MTSE:-DH-PF-STOR0-NON-SETL
136200                                             VALUE  56.
136300                 88 :MTSE:-DH-PF-MERCHANT-BLOCKED
136400                                             VALUE  57.
136500                 88 :MTSE:-DH-PF-QUALIFIED-NON-POST
136600                                             VALUE  50 THRU 57.
136700                 88 :MTSE:-DH-PF-NON-MERCH-ITEM
136800                                             VALUE  50 THRU 52.
136900                 88 :MTSE:-DH-PF-WAREHOUSED
137000                                             VALUE  90.
137100             07 :MTSE:-DH-VAR-DATA-IND
137200                             PIC  9(01).
137300                 88 :MTSE:-DH-VDI-NOT-PRESENT
137400                                             VALUE  0.
137500                 88 :MTSE:-DH-VDI-DEPOSIT-DATA
137600                                             VALUE  1.
137700                 88 :MTSE:-DH-VDI-FEE-DATA
137800                                             VALUE  2.
137900             07 :MTSE:-DH-VARIABLE-DATA
138000                             PIC  X(125).
138100*
138200             07 :MTSE:-DH-VD-DEPOSIT-DATA
138300                               REDEFINES  MTSE-DH-VARIABLE-DATA.
138400                 09 :MTSE:-DH-INDIV-DISC-FLAG
138500                             PIC  X(01).
138600                 09 :MTSE:-DH-INDIV-DISC-AMT
138700                             PIC  X(21).
138800                 09 :MTSE:-DH-INDIV-DISC-IND
138900                             PIC  X(01).
139000                     88 :MTSE:-DH-IDI-IS-RATE
139100                                             VALUE  'R'.
139200                     88 :MTSE:-DH-IDI-IS-PER-ITEM
139300                                             VALUE  'P'.
139400                 09 :MTSE:-DH-INDIV-DISC-RATE
139500                             PIC  X(10).
139600                 09 :MTSE:-DH-INDIV-DISC-ADJ-RT
139700                             PIC  X(10).
139800                 09 :MTSE:-DH-INDIV-PART-FLAG
139900                             PIC  X(01).
140000                     88 :MTSE:-DH-INDIV-PART-DR
140100                                             VALUE  'D'.
140200                     88 :MTSE:-DH-INDIV-PART-CR
140300                                             VALUE  'C'.
140400                 09 :MTSE:-DH-INDIV-PART-AMT
140500                             PIC  X(21).
140600                 09 :MTSE:-DH-INDIV-PART-IND
140700                             PIC  X(01).
140800                     88 :MTSE:-DH-IPI-IS-RATE
140900                                             VALUE  'R'.
141000                     88 :MTSE:-DH-IPI-IS-PER-ITEM
141100                                             VALUE  'P'.
141200                 09 :MTSE:-DH-INDIV-PART-RATE
141300                             PIC  X(10).
141400                 09 :MTSE:-DH-INDIV-PART-ADJ-RT
141500                             PIC  X(10).
141600                 09 :MTSE:-DH-AR-KEY.
141700                     11 :MTSE:-DH-AR-ORG
141800                             PIC  9(03).
141900                     11 :MTSE:-DH-AR-ACCT
142000                             PIC  X(19).
142100*              FORMAT: XXX-XXXXX-XXXXX-XXXXX-X
142200                 09 :MTSE:-DH-AR-TRANS-CODE
142300                             PIC S9(03)      COMP-3.
142400                 09 :MTSE:-DH-AR-LOGIC-MODULE
142500                             PIC  9(02).
142600                 09 :MTSE:-DH-AR-POST-FLAG
142700                             PIC  9(02).
142800                 09 :MTSE:-DH-AR-AUTH-CODE
142900                             PIC  X(06).
143000                 09 FILLER   PIC  X(05).
143100*
143200             07 :MTSE:-DH-VD-FEE-DATA
143300                    REDEFINES  :MTSE:-DH-VARIABLE-DATA.
143400                 09 :MTSE:-DH-FEE-FACTOR-NBR
143500                             PIC S9(09)      COMP-3.
143600                 09 :MTSE:-DH-FEE-FACTOR-AMT
143700                             PIC  X(21).
143800                 09 :MTSE:-DH-FEE-INC-PER-ITEM
143900                             PIC S9(09)      COMP-3.
144000                 09 :MTSE:-DH-FEE-INC-RATE
144100                             PIC  X(10).
144200                 09 :MTSE:-DH-FEE-EXP-PER-ITEM
144300                             PIC S9(09)      COMP-3.
144400                 09 :MTSE:-DH-FEE-EXP-RATE
144500                             PIC  X(10).
144600                 09 :MTSE:-DH-FEE-EXP-AMOUNT
144700                             PIC  X(21).
144800                 09 FILLER   PIC  X(48).
144900             07 :MTSE:-DH-PROD-DESC
145000                             PIC  X(16).
145100             07 :MTSE:-DH-REF-PROD-DESC
145200                             PIC  X(16).
145300             07  FILLER      PIC  X(13).
145400         05  FILLER          PIC  X(264).                         RG800902
145500*
145600* - HISTORY DATA AREA (480)
145700*
145800*      MMSH RECORD AREA
145900*
146000     03  :MTSE:-HISTORY-DATA-X
146100                             REDEFINES  :MTSE:-DATA-AREA.
146200         05  :MTSE:-HISTORY-DATA.
146300             07 :MTSE:-H-ORG PIC  9(03).
146400             07 :MTSE:-H-MERCHANT
146500                             PIC  9(09).
146600             07 :MTSE:-H-SEQ-NBR
146700                             PIC S9(08)      BINARY.
146800             07 :MTSE:-H-STORE
146900                             PIC S9(09)      COMP-3.
147000             07 :MTSE:-H-PRODUCT
147100                             PIC  9(02).
147200                 88 :MTSE:-H-NON-PRODUCT     VALUE  ZERO.
147300                 88 :MTSE:-H-PROD-IS-VISA    VALUE  01.
147400                 88 :MTSE:-H-PROD-IS-MC      VALUE  02.
147500                 88 :MTSE:-H-PROD-IS-PL      VALUE  03 THRU 99.
147600             07 :MTSE:-H-PLAN PIC 9(05).
147700             07 :MTSE:-H-LOGIC-MODULE
147800                             PIC  9(03).
147900             07 :MTSE:-H-QUAL-LEVEL
148000                             PIC  9(02).
148100             07 :MTSE:-H-TRANS-CODE
148200                             PIC S9(03)      COMP-3.
148300             07 :MTSE:-H-TRANS-FLAG
148400                             PIC  X(01).
148500                 88 :MTSE:-H-TF-MEMO         VALUE  'M' SPACE.
148600                 88 :MTSE:-H-TF-CREDIT       VALUE  'C'.
148700                 88 :MTSE:-H-TF-DEBIT        VALUE  'D'.
148800                 88 :MTSE:-H-TF-NOT-YET-ASSIGNED
148900                                             VALUE  SPACE.
149000             07 :MTSE:-H-NBR-ITMS
149100                             PIC S9(08)      BINARY.
149200             07 :MTSE:-H-AMT PIC  X(21).
149300             07 :MTSE:-H-POST-DATE
149400                             PIC  X(08).
149500*          FORMAT: YYYYMMDD
149600             07 :MTSE:-H-ENTRY-DATE
149700                             PIC  X(08).
149800*          FORMAT: YYYYMMDD
149900             07 :MTSE:-H-STMT-FLAG
150000                             PIC  X(01).
150100                 88 :MTSE:-H-STMTED          VALUE  'Y'.
150200                 88 :MTSE:-H-NOT-STMTED      VALUE  'N'.
150300             07 :MTSE:-H-SETT-FLAG
150400                             PIC  X(01).
150500                 88 :MTSE:-H-SETTLED         VALUE  'S' 'B' 'W'
150600                                                    '1' '2'
150700                                                    '3' '4'.
150800                 88 :MTSE:-H-NOT-SETTLED     VALUE  'N'.
150900                 88 :MTSE:-H-SETTLED-ACH-MAN
151000                                             VALUE  'S'.
151100                 88 :MTSE:-H-SETTLED-BILLED  VALUE  'B'.
151200                 88 :MTSE:-H-SETTLED-WINDOW  VALUE  'W'.
151300                 88 :MTSE:-H-SETTLED-RESV-1  VALUE  '1'.
151400                 88 :MTSE:-H-SETTLED-RESV-2  VALUE  '2'.
151500                 88 :MTSE:-H-SETTLED-RESV-3  VALUE  '3'.
151600                 88 :MTSE:-H-SETTLED-RESV-4  VALUE  '4'.
151700             07 :MTSE:-H-SETT-ACCT
151800                             PIC  9(01).
151900                 88 :MTSE:-H-SA-NOT-APPLC    VALUE  ZERO.
152000                 88 :MTSE:-H-SETT-ACCT-1     VALUE  1.
152100                 88 :MTSE:-H-SETT-ACCT-2     VALUE  2.
152200                 88 :MTSE:-H-SETT-ACCT-3     VALUE  3.
152300                 88 :MTSE:-H-SETT-ACCT-4     VALUE  4.
152400                 88 :MTSE:-H-SA-WINDOW       VALUE  5.
152500             07 :MTSE:-H-SETT-DATE
152600                             PIC  X(08).
152700*          FORMAT: YYYYMMDD
152800             07 :MTSE:-H-BATCH-DATE
152900                             PIC  X(08).
153000*              FORMAT: YYYYMMDD
153100             07 :MTSE:-H-BATCH-SOURCE
153200                             PIC S9(05)      COMP-3.
153300             07 :MTSE:-H-BATCH-NBR
153400                             PIC S9(05)      COMP-3.
153500             07 :MTSE:-H-BATCH-SEQ
153600                             PIC S9(08)      BINARY.
153700             07 :MTSE:-H-REF-BATCH-DATE
153800                             PIC  X(08).
153900*              FORMAT: YYYYMMDD
154000             07 :MTSE:-H-REF-BATCH-SOURCE
154100                             PIC S9(05)      COMP-3.
154200             07 :MTSE:-H-REF-BATCH-NBR
154300                             PIC S9(05)      COMP-3.
154400             07 :MTSE:-H-REF-BATCH-SEQ
154500                             PIC S9(08)      BINARY.
154600             07 :MTSE:-H-REF-NBR
154700                             PIC  X(23).
154800             07 :MTSE:-H-REF-AMT-1
154900                             PIC  X(21).
155000             07 :MTSE:-H-REF-AMT-2
155100                             PIC  X(21).
155200             07 :MTSE:-H-REF-NBR-ITMS
155300                             PIC S9(08)      BINARY.
155400             07 :MTSE:-H-REF-PRODUCT
155500                             PIC  9(02).
155600             07 :MTSE:-H-REF-PLAN
155700                             PIC S9(05)      COMP-3.
155800             07 :MTSE:-H-REF-QUAL-LEVEL
155900                             PIC  9(02).
156000             07 :MTSE:-H-ORIG-GL-SOURCE
156100                             PIC  9(01).
156200                 88 :MTSE:-H-OGL-LOCAL-INP   VALUE  ZERO.
156300                 88 :MTSE:-H-OGL-POS-1-INP   VALUE  1.
156400                 88 :MTSE:-H-OGL-POS-2-INP   VALUE  2.
156500                 88 :MTSE:-H-OGL-POS-3-INP   VALUE  3.
156600                 88 :MTSE:-H-OGL-DATA-CAPT-INP
156700                                             VALUE 4.
156800                 88 :MTSE:-H-OGL-USER-INP    VALUE  5.
156900                 88 :MTSE:-H-OGL-FE-GENERTD  VALUE  6.
157000                 88 :MTSE:-H-OGL-WAREHOUSED  VALUE  7.
157100                 88 :MTSE:-H-OGL-GENERTD     VALUE  8.
157200                 88 :MTSE:-H-OGL-RESERVED    VALUE  9.
157300             07 :MTSE:-H-GL-SOURCE
157400                             PIC  9(01).
157500                 88 :MTSE:-H-GL-LOCAL-INP    VALUE  ZERO.
157600                 88 :MTSE:-H-GL-POS-1-INP    VALUE  1.
157700                 88 :MTSE:-H-GL-POS-2-INP    VALUE  2.
157800                 88 :MTSE:-H-GL-POS-3-INP    VALUE  3.
157900                 88 :MTSE:-H-GL-DATA-CAPT-INP
158000                                             VALUE 4.
158100                 88 :MTSE:-H-GL-USER-INP     VALUE  5.
158200                 88 :MTSE:-H-GL-FE-GENERTD   VALUE  6.
158300                 88 :MTSE:-H-GL-WAREHOUSED   VALUE  7.
158400                 88 :MTSE:-H-GL-GENERTD      VALUE  8.
158500                 88 :MTSE:-H-GL-RESERVED     VALUE  9.
158600             07 :MTSE:-H-TRANS-STATUS
158700                             PIC  X(01).
158800                 88 :MTSE:-H-TRANS-ACTIVE    VALUE  'R' 'A' ' '.
158900                 88 :MTSE:-H-TRANS-FORCE-ADJ
159000                                             VALUE  'A'.
159100                 88 :MTSE:-H-TRANS-REACTIVATED
159200                                             VALUE  'R'.
159300                 88 :MTSE:-H-TRANS-DELETED   VALUE  'D'.
159400             07 :MTSE:-H-QUAL-INDICATOR
159500                             PIC  X(01).
159600                 88 :MTSE:-H-QI-NOT-APPLC    VALUE  ZERO.
159700                 88 :MTSE:-H-QI-INTRA-DIFF   VALUE  '1'.
159800                 88 :MTSE:-H-QI-INTRA-ONUS   VALUE  '2'.
159900                 88 :MTSE:-H-QI-DOM-NORMAL   VALUE  '3'.
160000                 88 :MTSE:-H-QI-DOM-ABOVE    VALUE  '4'.
160100                 88 :MTSE:-H-QI-DOM-BELOW    VALUE  '5'.
160200                 88 :MTSE:-H-QI-INTNAT-NORMAL
160300                                             VALUE '6'.
160400                 88 :MTSE:-H-QI-INTNAT-ABOVE
160500                                             VALUE  '7'.
160600                 88 :MTSE:-H-QI-INTNAT-BELOW
160700                                             VALUE  '8'.
160800                 88 :MTSE:-H-QI-QUAL         VALUE  '3' '6'.
160900                 88 :MTSE:-H-QI-NON-QUAL-ABOVE
161000                                             VALUE  '4' '7'.
161100                 88 :MTSE:-H-QI-NON-QUAL-BELOW
161200                                             VALUE  '5' '8'.
161300                 88 :MTSE:-H-QI-INTRA        VALUE  '1' '2'.
161400                 88 :MTSE:-H-QI-INTERCHANGE  VALUE  '3' THRU '8'.
161500                 88 :MTSE:-H-QI-DOM          VALUE  '3' '4' '5'.
161600                 88 :MTSE:-H-QI-INTNAT       VALUE  '6' '7' '8'.
161700             07 :MTSE:-H-DATA-ENTRY-MODE
161800                             PIC  X(01).
161900                 88 :MTSE:-H-DEM-IS-NOT-APPLC
162000                                             VALUE  ZERO.
162100                 88 :MTSE:-H-DEM-IS-KEYED    VALUE  '1'.
162200                 88 :MTSE:-H-DEM-IS-SWIPED   VALUE  '2'.
162300             07 :MTSE:-H-REJECT-REENTRY-FLAG
162400                             PIC  X(01).
162500                 88 :MTSE:-H-RR-POSTED-TO-MERCH
162600                                             VALUE  'Y'.
162700                 88 :MTSE:-H-RR-NOT-POSTED-TO-MERCH
162800                                             VALUE  'N'.
162900             07 :MTSE:-H-AR-CURR-INP-SOURCE
163000                             PIC  X(01).
163100                 88 :MTSE:-H-CIS-1ST-TIME    VALUE  '0' SPACE.
163200                 88 :MTSE:-H-CIS-SUBSEQUENT  VALUE  '1'.
163300                 88 :MTSE:-H-CIS-XFER-HISTORY
163400                                             VALUE  '9'.
163500             07 :MTSE:-H-AR-MT-TYPE
163600                             PIC  X(01).
163700                 88 :MTSE:-H-AR-MT-MEMO      VALUE  'M' SPACE.
163800                 88 :MTSE:-H-AR-MT-CREDIT    VALUE  'C'.
163900                 88 :MTSE:-H-AR-MT-DEBIT     VALUE  'D'.
164000                 88 :MTSE:-H-AR-MT-NOT-FROM-CMS
164100                                             VALUE  'N'.
164200             07  :MTSE:-H-STORE-DUP-IND                           RG800902
164300                             PIC  X(01).
164400                 88  :MTSE:-H-STORE-DUP-INIT                      RG800902
164500                                             VALUE LOW-VALUES.    RG800902
164700             07  :MTSE:-H-MERCH-DUP-IND                           RG800902
164800                             PIC  X(01).
164900                 88  :MTSE:-H-MERCH-DUP-INIT                      RG800902
165000                                             VALUE LOW-VALUES.    RG800902
165100             07 :MTSE:-H-ORIG-OPERATOR
165200                             PIC  X(03).
165300             07 :MTSE:-H-LAST-OPERATOR
165400                             PIC  X(03).
165500             07 :MTSE:-H-GOVERNING-STATE
165600                             PIC  X(03).
165700             07 :MTSE:-H-LOGO
165800                             PIC  9(03).
165900             07 :MTSE:-H-SKU-NBR
166000                             PIC  9(09).
166100             07 :MTSE:-H-DEPT-CODE
166200                             PIC  X(04).
166300             07 :MTSE:-H-DESC
166400                             PIC  X(40).
166500             07 :MTSE:-H-RPT-DESC
166600                             PIC X(15).
166610             07  :MTSE:-H-CARD-PROD-TYPE                          RG800902
166612                             PIC  X(03).                          RG800902
166616             07  :MTSE:-H-CATEGORY-CODE                           RG800902
166618                             PIC  X(04).                          RG800902
166620                 88  :MTSE:-H-NO-CATEGORY-CODE                    RG800902
166622                                             VALUE ZERO SPACES.   RG800902
166624*                                                                 RG800902
166700             07 :MTSE:-H-USER-FILLER
166800                             PIC  X(15).
166900             07 :MTSE:-H-POST-FLAG
167000                             PIC  9(02).
167100                 88 :MTSE:-H-PF-POSTED-TRANS
167200                                             VALUE  ZERO.
167300                 88 :MTSE:-H-PF-NO-STORE
167400                                             VALUE  50.
167500                 88 :MTSE:-H-PF-NO-TC-TRNSLATN
167600                                             VALUE  51.
167700                 88 :MTSE:-H-PF-INVALID-TC-OR-LM
167800                                             VALUE  52.
167900                 88 :MTSE:-H-PF-NON-POST-MERCH-ITM
168000                                             VALUE  53.
168100                 88 :MTSE:-H-PF-PROC-REPEAT-REJ
168200                                             VALUE  54.
168300                 88 :MTSE:-H-PF-PROC-POSTED-REJ
168400                                             VALUE  55.
168500                 88 :MTSE:-H-PF-STORE-NON-SETLMT
168600                                             VALUE  56.
168700                 88 :MTSE:-H-PF-MERCHANT-BLOCKED
168800                                             VALUE  57.
168900                 88 :MTSE:-H-PF-QUAL-NON-POST
169000                                             VALUE  58.
169100                 88 :MTSE:-H-PF-NON-MERCH-ITM
169200                                             VALUE  50 THRU 52.
169300                 88 :MTSE:-H-PF-WAREHOUSED
169400                                             VALUE  90.
169500             07 :MTSE:-H-VAR-DATA-IND
169600                             PIC  9(01).
169700                 88 :MTSE:-H-VDI-NOT-PRESENT
169800                                             VALUE  ZERO.
169900                 88 :MTSE:-H-VDI-DEP-DATA    VALUE  1.
170000                 88 :MTSE:-H-VDI-FEE-DATA    VALUE  2.
170100                 88 :MTSE:-H-VDI-HDR-DATA    VALUE  3.
170200             07 :MTSE:-H-VARIABLE-DATA.
170300                 09 :MTSE:-H-AR-KEY.
170400                     11 :MTSE:-H-AR-ORG
170500                             PIC  9(03).
170600                     11 :MTSE:-H-AR-ACCT
170700                             PIC  X(19).
170800                     11 :MTSE:-H-AR-TRANS-CODE
170900                             PIC S9(03)      COMP-3.
171000                     11 :MTSE:-H-AR-LOGIC-MODULE
171100                             PIC  9(02).
171200                     11 :MTSE:-H-AR-POST-FLAG
171300                             PIC  9(02).
171400                 09 FILLER   PIC  X(112).
171500*
171600             07 :MTSE:-H-VD-DEP-DATA
171700                   REDEFINES  :MTSE:-H-VARIABLE-DATA.
171800                 09 :MTSE:-H-DD-ORG-ACCT-TC
171900                             PIC  X(28).
172000                 09 :MTSE:-H-INDV-DISC-FLAG
172100                             PIC  X(01).
172200                     88 :MTSE:-H-INDV-DISC   VALUE  'D'.
172300                     88 :MTSE:-H-INDV-REFUND VALUE  'C'.
172400                 09 :MTSE:-H-INDV-DISC-AMT
172500                             PIC  X(21).
172600                 09 :MTSE:-H-INDV-DISC-IND
172700                             PIC  X(01).
172800                     88 :MTSE:-H-IDI-IS-RT   VALUE  'R'.
172900                     88 :MTSE:-H-IDI-IS-PER-ITM
173000                                             VALUE  'P'.
173100                 09 :MTSE:-H-INDV-DISC-RT
173200                             PIC  X(10).
173300                 09 :MTSE:-H-INDV-DISC-ADJ-RT
173400                             PIC  X(10).
173500                 09 :MTSE:-H-INDV-PART-FLAG
173600                             PIC  X(01).
173700                     88 :MTSE:-H-INDV-PART-DR VALUE 'D'.
173800                     88 :MTSE:-H-INDV-PART-CR VALUE 'C'.
173900                 09 :MTSE:-H-INDV-PART-AMT
174000                             PIC  X(21).
174100                 09 :MTSE:-H-INDV-PART-IND
174200                             PIC  X(01).
174300                     88 :MTSE:-H-IPI-IS-RT   VALUE  'R'.
174400                     88 :MTSE:-H-IPI-IS-PER-ITM
174500                                             VALUE  'P'.
174600                 09 :MTSE:-H-INDV-PART-RT
174700                             PIC  X(10).
174800                 09 :MTSE:-H-INDV-PART-ADJ-RT
174900                             PIC  X(10).
175000                 09 :MTSE:-H-AR-AUTH-CODE
175100                             PIC  X(06).
175200                 09 FILLER   PIC  X(20).
175300*
175400             07 :MTSE:-H-VD-FEE-DATA
175500                 REDEFINES  :MTSE:-H-VARIABLE-DATA.
175600                 09 :MTSE:-H-FA-ORG-ACCT-TC
175700                             PIC  X(28).
175800                 09 :MTSE:-H-FEE-FACTOR-NBR
175900                             PIC S9(09)      COMP-3.
176000                 09 :MTSE:-H-FEE-FACTOR-AMT
176100                             PIC  X(21).
176200                 09 :MTSE:-H-FEE-INC-PER-ITM
176300                             PIC S9(09)      COMP-3.
176400                 09 :MTSE:-H-FEE-INC-RT
176500                             PIC  X(10).
176600                 09 :MTSE:-H-FEE-EXP-PER-ITM
176700                             PIC S9(09)      COMP-3.
176800                 09 :MTSE:-H-FEE-EXP-RT
176900                             PIC  X(10).
177000                 09 :MTSE:-H-FEE-EXP-AMT
177100                             PIC  X(21).
177200                 09 FILLER   PIC  X(35).
177300*
177400             07 :MTSE:-H-VD-HDR-DATA
177500                 REDEFINES  :MTSE:-H-VARIABLE-DATA.
177600                 09 :MTSE:-H-SALES-NBR
177700                             PIC S9(09)      COMP-3.
177800                 09 :MTSE:-H-SALES-AMT
177900                             PIC  X(21).
178000                 09 :MTSE:-H-SALES-REV-NBR
178100                             PIC S9(09)      COMP-3.
178200                 09 :MTSE:-H-SALES-REV-AMT
178300                             PIC  X(21).
178400                 09 :MTSE:-H-RETURNS-NBR
178500                             PIC S9(09)      COMP-3.
178600                 09 :MTSE:-H-RETURNS-AMT
178700                             PIC  X(21).
178800                 09 :MTSE:-H-RETURNS-REV-NBR
178900                             PIC S9(09)      COMP-3.
179000                 09 :MTSE:-H-RETURNS-REV-AMT
179100                             PIC  X(21).
179200                 09 :MTSE:-H-MEMO-NBR
179300                             PIC S9(09)      COMP-3.
179400                 09 :MTSE:-H-MEMO-AMT
179500                             PIC  X(21).
179600                 09 FILLER   PIC  X(10).
179700*
179800             07  :MTSE:-H-PROD-DESC
179900                             PIC  X(16).
180000             07  :MTSE:-H-REF-PROD-DESC
180100                             PIC  X(16).
180200         05  FILLER          PIC  X(263).                         RG800902
180300*
180400*       ***************************************************
180500*       *              END OF COPYBOOK MTSERL             *
180600*       ***************************************************
