000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTSTRL -------MONETARY TRANSACTION RECORD-------  350 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  MTST-RECORD.
000900     03  MTST-KEY.
001000         05  MTST-ALIGN-KEY.
001100             07  MTST-ORG-STORE.
001200                 88  MTST-HEADER             VALUE ZERO.
001300                 88  MTST-TRAILER            VALUE '999999999999'.
001400                 09  MTST-ORG-X.
001500                     11  MTST-ORG
001600                             PIC  9(03).
001700                 09  MTST-STORE-X.
001800                     11  MTST-STORE
001900                             PIC  9(09).
002000*
002100         05  MTST-SEQ-NBR    PIC S9(08)      BINARY.
002200*
002300     03  MTST-MERCHANT-AREA.
002400         05  MTST-MERCHANT   PIC S9(09)      COMP-3.
002500*
002600     03  MTST-POST-KEY.
002700         05  MTST-PRODUCT-X.
002800             07  MTST-PRODUCT
002900                             PIC  9(02).
003000                 88  MTST-NON-PRODUCT        VALUE ZERO.
003100                 88  MTST-PROD-IS-VISA       VALUE 01.
003200                 88  MTST-PROD-IS-MC         VALUE 02.
003300                 88  MTST-PROD-IS-PL         VALUE 03 THRU 99.
003400*
003500         05  MTST-PLAN-X.
003600             07  MTST-PLAN
003700                             PIC  9(05).
003800*
003900         05  MTST-LOGIC-MODULE
004000                             PIC  9(03).
004100*
004200         05  MTST-QUAL-LEVEL-X.
004300             07  MTST-QUAL-LEVEL
004400                             PIC  9(02).
004500*
004600     03  MTST-DATA.
004700         05  MTST-TRANS-CODE
004800                             PIC S9(03)      COMP-3.
004900*
005000         05  MTST-TRANS-FLAG
005100                             PIC  X(01).
005200             88  MTST-TF-MEMO                VALUE 'M' SPACE.
005300             88  MTST-TF-CREDIT              VALUE 'C'.
005400             88  MTST-TF-DEBIT               VALUE 'D'.
005500             88  MTST-TF-NOT-YET-ASSIGNED    VALUE SPACE.
005600*
005700         05  MTST-NBR-ITEMS
005800                             PIC S9(08)      BINARY.
005900*
006000         05  MTST-AMOUNT     PIC S9(17)      COMP-3.
006100*
006200         05  MTST-POST-DATE
006300                             PIC S9(07)      COMP-3.
006400*
006500         05  MTST-ENTRY-DATE
006600                             PIC S9(07)      COMP-3.
006700*
006800         05  MTST-STMT-FLAG
006900                             PIC  X(01).
007000             88  MTST-STATEMENTED            VALUE 'Y'.
007100             88  MTST-NOT-STATEMENTED        VALUE 'N'.
007200*
007300         05  MTST-SETT-FLAG
007400                             PIC  X(01).
007500             88  MTST-SETTLED                VALUE 'S' 'B' 'W'
007600                                                   '1' '2'
007700                                                   '3' '4'.
007800             88  MTST-NOT-SETTLED            VALUE 'N'.
007900             88  MTST-SETTLED-ACH-MAN        VALUE 'S'.
008000             88  MTST-SETTLED-BILLED         VALUE 'B'.
008100             88  MTST-SETTLED-WINDOW         VALUE 'W'.
008200             88  MTST-SETTLED-RESV-1         VALUE '1'.
008300             88  MTST-SETTLED-RESV-2         VALUE '2'.
008400             88  MTST-SETTLED-RESV-3         VALUE '3'.
008500             88  MTST-SETTLED-RESV-4         VALUE '4'.
008600*
008700         05  MTST-SETT-ACCT
008800                             PIC  9(01).
008900             88  MTST-SA-NOT-APPLICABLE      VALUE ZERO.
009000             88  MTST-SETT-ACCT-1            VALUE 1.
009100             88  MTST-SETT-ACCT-2            VALUE 2.
009200             88  MTST-SETT-ACCT-3            VALUE 3.
009300             88  MTST-SETT-ACCT-4            VALUE 4.
009400             88  MTST-SA-WINDOW              VALUE 5.
009500*
009600         05  MTST-SETT-DATE
009700                             PIC S9(07)      COMP-3.
009800*
009900         05  MTST-BATCH.
010000             07  MTST-BATCH-SORT.
010100                 09  MTST-BATCH-DATE
010200                             PIC S9(07)      COMP-3.
010300                 09  MTST-BATCH-SOURCE
010400                             PIC S9(05)      COMP-3.
010500                 09  MTST-BATCH-NBR
010600                             PIC S9(05)      COMP-3.
010700             07  MTST-BATCH-SEQ
010800                             PIC S9(08)      BINARY.
010900*
011000         05  MTST-REF-BATCH.
011100             07  MTST-REF-BATCH-SORT.
011200                 09  MTST-REF-BATCH-DATE
011300                             PIC S9(07)      COMP-3.
011400                 09  MTST-REF-BATCH-SOURCE
011500                             PIC S9(05)      COMP-3.
011600                 09  MTST-REF-BATCH-NBR
011700                             PIC S9(05)      COMP-3.
011800             07  MTST-REF-BATCH-SEQ
011900                             PIC S9(08)      BINARY.
012000*
012100         05  MTST-REF-DATA.
012200             07  MTST-REF-NBR
012300                             PIC  X(23).
012400             07  MTST-REF-AMOUNT-1
012500                             PIC S9(17)      COMP-3.
012600             07  MTST-REF-AMOUNT-2
012700                             PIC S9(17)      COMP-3.
012800             07  MTST-REF-NBR-ITEMS
012900                             PIC S9(08)      BINARY.
013000             07  MTST-REF-PRODUCT-X.
013100                 09  MTST-REF-PRODUCT
013200                             PIC  9(02).
013300             07  MTST-REF-PLAN-X.
013400                 09  MTST-REF-PLAN
013500                             PIC S9(05)      COMP-3.
013600             07  MTST-REF-QUAL-LEVEL-X.
013700                 09  MTST-REF-QUAL-LEVEL
013800                             PIC  9(02).
013900*
014000         05  MTST-ORIG-GL-SOURCE
014100                             PIC  9(01).
014200             88  MTST-OGL-LOCAL-INP          VALUE ZERO.
014300             88  MTST-OGL-POS-1-INPUT        VALUE 1.
014400             88  MTST-OGL-POS-2-INPUT        VALUE 2.
014500             88  MTST-OGL-POS-3-INPUT        VALUE 3.
014600             88  MTST-OGL-DATA-CAPTURE-INPUT
014700                                             VALUE 4.
014800             88  MTST-OGL-USER-INP           VALUE 5.
014900             88  MTST-OGL-FE-GENERATED       VALUE 6.
015000             88  MTST-OGL-WAREHOUSED         VALUE 7.
015100             88  MTST-OGL-GENERATED          VALUE 8.
015200             88  MTST-OGL-RESERVED           VALUE 9.
015300*
015400         05  MTST-GL-SOURCE
015500                             PIC  9(01).
015600             88  MTST-GL-LOCAL-INP           VALUE ZERO.
015700             88  MTST-GL-POS-1-INPUT         VALUE 1.
015800             88  MTST-GL-POS-2-INPUT         VALUE 2.
015900             88  MTST-GL-POS-3-INPUT         VALUE 3.
016000             88  MTST-GL-DATA-CAPTURE-INPUT
016100                                             VALUE 4.
016200             88  MTST-GL-USER-INP            VALUE 5.
016300             88  MTST-GL-FE-GENERATED        VALUE 6.
016400             88  MTST-GL-WAREHOUSED          VALUE 7.
016500             88  MTST-GL-GENERATED           VALUE 8.
016600             88  MTST-GL-RESERVED            VALUE 9.
016700*
016800         05  MTST-TRANS-STATUS
016900                             PIC  X(01).
017000             88  MTST-TRANS-ACTIVE           VALUE 'R' 'A' SPACE.
017100             88  MTST-TRANS-FORCE-ADJ        VALUE 'A'.
017200             88  MTST-TRANS-REACTIVATED      VALUE 'R'.
017300             88  MTST-TRANS-DELETED          VALUE 'D'.
017400*
017500         05  MTST-QUAL-INDICATOR
017600                             PIC  X(01).
017700             88  MTST-QI-NOT-APPLICABLE      VALUE ZERO.
017800             88  MTST-QI-INTRACHANGE-DIFF    VALUE '1'.
017900             88  MTST-QI-INTRACHANGE-ONUS    VALUE '2'.
018000             88  MTST-QI-DOMESTIC-NORMAL     VALUE '3'.
018100             88  MTST-QI-DOMESTIC-ABOVE      VALUE '4'.
018200             88  MTST-QI-DOMESTIC-BELOW      VALUE '5'.
018300             88  MTST-QI-INTERNATIONAL-NORMAL
018400                                             VALUE '6'.
018500             88  MTST-QI-INTERNATIONAL-ABOVE
018600                                             VALUE '7'.
018700             88  MTST-QI-INTERNATIONAL-BELOW
018800                                             VALUE '8'.
018900             88  MTST-QI-REGIONAL-NORMAL     VALUE '9'.
019000             88  MTST-QI-REGIONAL-ABOVE      VALUE 'A'.
019100             88  MTST-QI-REGIONAL-BELOW      VALUE 'B'.
019200             88  MTST-QI-QUALIFIED           VALUE '3' '6' '9'.
019300             88  MTST-QI-NON-QUAL-ABOVE      VALUE '4' '7' 'A'.
019400             88  MTST-QI-NON-QUAL-BELOW      VALUE '5' '8' 'B'.
019500             88  MTST-QI-INTRACHANGE         VALUE '1' '2'.
019600             88  MTST-QI-INTERCHANGE         VALUE '3' THRU '9'
019700                                                   'A' 'B'.
019800             88  MTST-QI-DOMESTIC            VALUE '3' '4' '5'.
019900             88  MTST-QI-INTERNATIONAL       VALUE '6' '7' '8'.
020000             88  MTST-QI-REGIONAL            VALUE '9' 'A' 'B'.
020100*
020200         05  MTST-DATA-ENTRY-MODE
020300                             PIC  X(01).
020400             88  MTST-DEM-IS-NOT-APPLICABLE
020500                                             VALUE ZERO.
020600             88  MTST-DEM-IS-KEYED           VALUE '1'.
020700             88  MTST-DEM-IS-SWIPED          VALUE '2'.
020800*
020900         05  MTST-REJECT-REENTRY-FLAG
021000                             PIC  X(01).
021100             88  MTST-RR-POSTED-TO-MERCH     VALUE 'Y'.
021200             88  MTST-RR-NOT-POSTED-TO-MERCH
021300                                             VALUE 'N'.
021400*
021500         05  MTST-AR-CURR-INPUT-SOURCE
021600                             PIC  X(01).
021700             88  MTST-CIS-1ST-TIME           VALUE '0' SPACE.
021800             88  MTST-CIS-SUBSEQUENT         VALUE '1'.
021900             88  MTST-CIS-XFER-HISTORY       VALUE '9'.
022000*
022100         05  MTST-AR-MT-TYPE
022200                             PIC  X(01).
022300             88  MTST-AR-MT-MEMO             VALUE 'M' SPACE.
022400             88  MTST-AR-MT-CREDIT           VALUE 'C'.
022500             88  MTST-AR-MT-DEBIT            VALUE 'D'.
022600             88  MTST-AR-MT-NOT-FROM-CMS     VALUE 'N'.
022700*
022800         05  MTST-STORE-DUP-IND                                   RG800902
022900                             PIC  X(01).
023000             88  MTST-STORE-DUP-INIT         VALUE LOW-VALUES.    RG800902
023200*
023300         05  MTST-MERCH-DUP-IND                                   RG800902
023400                             PIC  X(01).
023500             88  MTST-MERCH-DUP-INIT         VALUE LOW-VALUES.    RG800902
023700*
023800         05  MTST-ORIG-OPERATOR
023900                             PIC  X(03).
024000*
024100         05  MTST-LAST-OPERATOR
024200                             PIC  X(03).
024300*
024400         05  MTST-GOVERNING-STATE
024500                             PIC  X(03).
024600*
024700         05  MTST-LOGO-X.
024800             07  MTST-LOGO
024900                             PIC  9(03).
025000*
025100         05  MTST-SKU-NBR-X.
025200             07  MTST-SKU-NBR
025300                             PIC  9(09).
025400*
025500         05  MTST-DEPT-CODE
025600                             PIC  X(04).
025700*
025800         05  MTST-DESC       PIC  X(40).
025900*
026000         05  MTST-RPT-DESC   PIC  X(15).
026002         05  MTST-CARD-PROD-TYPE                                  EH800900
026004                             PIC  X(03).                          EH800900
026010         05  MTST-CATEGORY-CODE                                   RG800902
026012                             PIC  X(04).                          RG800902
026014             88  MTST-NO-CATEGORY-CODE       VALUE ZERO SPACES.   RG800902
026016*                                                                 RG800902
026100*
026200     03  MTST-FILLER         PIC  X(14).                          RG800902
026300*
026400     03  MTST-USER-FILLER    PIC  X(15).
026500*
026600     03  MTST-POST-FLAG      PIC  9(02).
026700         88  MTST-PF-POSTED-TRANSACTION      VALUE ZERO.
026800         88  MTST-PF-NO-STORE                VALUE 50.
026900         88  MTST-PF-NO-TC-TRANSLATION       VALUE 51.
027000         88  MTST-PF-INVALID-TC-OR-LM        VALUE 52.
027100         88  MTST-PF-NON-POST-MERCH-ITEM     VALUE 53.
027200         88  MTST-PF-PROCESSED-REPEAT-REJ    VALUE 54.
027300         88  MTST-PF-PROCESSED-POSTED-REJ    VALUE 55.
027400         88  MTST-PF-STORE-NON-SETTLEMENT    VALUE 56.
027500         88  MTST-PF-MERCHANT-BLOCKED        VALUE 57.
027600         88  MTST-PF-NO-POSTING-TO-STORE     VALUE 58.
027700         88  MTST-PF-NO-STORE-FOUND          VALUE 59.
027800         88  MTST-PF-QUALIFIED-NON-POST      VALUE 50 THRU 59.
027900         88  MTST-PF-NON-MERCH-ITEM          VALUE 50 THRU 52.
028000         88  MTST-PF-WAREHOUSED              VALUE 90.
028100*
028200     03  MTST-VAR-DATA-IND   PIC  9(01).
028300         88  MTST-VDI-NOT-PRESENT            VALUE ZERO.
028400         88  MTST-VDI-DEPOSIT-DATA           VALUE 1.
028500         88  MTST-VDI-FEE-DATA               VALUE 2.
028600         88  MTST-VDI-HEADER-DATA            VALUE 3.
028700*
028800     03  MTST-VARIABLE-DATA.
028900*
029000* N O T E --- AR ORG, ACCT AND TC ARE ONLY VALID ON VARIABLE DATA
029100*             AREAS 1 AND 2.
029200*
029300         05  MTST-VD-AR-ORG-ACCT-TC.
029400             07  MTST-AR-KEY.
029500                 09  MTST-AR-ORG-X.
029600                     11  MTST-AR-ORG
029700                             PIC  9(03).
029800                 09  MTST-AR-ACCT
029900                             PIC  X(19).
030000             07  MTST-AR-TRANS-CODE
030100                             PIC S9(03)      COMP-3.
030200             07  MTST-AR-LOGIC-MODULE
030300                             PIC  9(02).
030400             07  MTST-AR-POST-FLAG
030500                             PIC  9(02).
030600*
030700         05  FILLER          PIC  X(49).
030800*
030900     03  MTST-VD-DEPOSIT-DATA
031000                             REDEFINES MTST-VARIABLE-DATA.
031100         05  MTST-VD-DD-AR-ORG-ACCT-TC
031200                             PIC  X(28).
031300         05  MTST-INDIV-DISC-FLAG
031400                             PIC  X(01).
031500             88  MTST-INDIV-DISCOUNT         VALUE 'D'.
031600             88  MTST-INDIV-REFUND           VALUE 'C'.
031700*
031800         05  MTST-INDIV-DISC-AMT
031900                             PIC S9(17)      COMP-3.
032000*
032100         05  MTST-INDIV-DISC-IND
032200                             PIC  X(01).
032300             88  MTST-IDI-IS-RATE            VALUE 'R'.
032400             88  MTST-IDI-IS-PER-ITEM        VALUE 'P'.
032500*
032600         05  MTST-INDIV-DISC-RATE
032700                             PIC S9(09)      COMP-3.
032800         05  MTST-INDIV-DISC-PER-ITEM
032900                             REDEFINES MTST-INDIV-DISC-RATE
033000                             PIC S9(09)      COMP-3.
033100*
033200         05  MTST-INDIV-DISC-ADJ-RATE
033300                             PIC S9(09)      COMP-3.
033400         05  MTST-INDIV-DISC-ADJ-PER-ITEM
033500                             REDEFINES MTST-INDIV-DISC-ADJ-RATE
033600                             PIC S9(09)      COMP-3.
033700*
033800         05  MTST-INDIV-PART-FLAG
033900                             PIC  X(01).
034000             88  MTST-INDIV-PART-DR          VALUE 'D'.
034100             88  MTST-INDIV-PART-CR          VALUE 'C'.
034200*
034300         05  MTST-INDIV-PART-AMT
034400                             PIC S9(17)      COMP-3.
034500*
034600         05  MTST-INDIV-PART-IND
034700                             PIC  X(01).
034800             88  MTST-IPI-IS-RATE            VALUE 'R'.
034900             88  MTST-IPI-IS-PER-ITEM        VALUE 'P'.
035000*
035100         05  MTST-INDIV-PART-RATE
035200                             PIC S9(09)      COMP-3.
035300         05  MTST-INDIV-PART-PER-ITEM
035400                             REDEFINES MTST-INDIV-PART-RATE
035500                             PIC S9(09)      COMP-3.
035600*
035700         05  MTST-INDIV-PART-ADJ-RATE
035800                             PIC S9(09)      COMP-3.
035900         05  MTST-INDIV-PART-ADJ-PER-ITEM
036000                             REDEFINES MTST-INDIV-PART-ADJ-RATE
036100                             PIC S9(09)      COMP-3.
036200*
036300         05  MTST-AR-AUTH-CODE
036400                             PIC  X(06).
036500         05  FILLER          PIC  X(01).
036600*
036700     03  MTST-VD-FEE-DATA    REDEFINES MTST-VARIABLE-DATA.
036800         05  MTST-VD-FEE-AREA.
036900             07  MTST-VD-FA-AR-ORG-ACCT-TC
037000                             PIC  X(28).
037100             07  MTST-FEE-FACTOR-NBR
037200                             PIC S9(09)      COMP-3.
037300             07  MTST-FEE-FACTOR-AMT
037400                             PIC S9(17)      COMP-3.
037500             07  MTST-FEE-INC-PER-ITEM
037600                             PIC S9(09)      COMP-3.
037700             07  MTST-FEE-INC-RATE
037800                             PIC S9(07)      COMP-3.
037900             07  MTST-FEE-EXP-PER-ITEM
038000                             PIC S9(09)      COMP-3.
038100             07  MTST-FEE-EXP-RATE
038200                             PIC S9(07)      COMP-3.
038300             07  MTST-FEE-EXP-AMOUNT
038400                             PIC S9(17)      COMP-3.
038500             07  FILLER      PIC  X(08).
038600*
038700     03  MTST-VD-HEADER-DATA
038800                             REDEFINES MTST-VARIABLE-DATA.
038900         05  MTST-VD-HEADER-TOTALS.
039000             07  MTST-SALES-NBR
039100                             PIC S9(09)      COMP-3.
039200             07  MTST-SALES-AMT
039300                             PIC S9(17)      COMP-3.
039400             07  MTST-SALES-REV-NBR
039500                             PIC S9(09)      COMP-3.
039600             07  MTST-SALES-REV-AMT
039700                             PIC S9(17)      COMP-3.
039800             07  MTST-RETURNS-NBR
039900                             PIC S9(09)      COMP-3.
040000             07  MTST-RETURNS-AMT
040100                             PIC S9(17)      COMP-3.
040200             07  MTST-RETURNS-REV-NBR
040300                             PIC S9(09)      COMP-3.
040400             07  MTST-RETURNS-REV-AMT
040500                             PIC S9(17)      COMP-3.
040600             07  MTST-MEMO-NBR
040700                             PIC S9(09)      COMP-3.
040800             07  MTST-MEMO-AMT
040900                             PIC S9(17)      COMP-3.
041000         05  FILLER          PIC  X(07).
041100*
041200*       ***************************************************
041300*       *              END OF COPYBOOK MTSTRL             *
041400*       ***************************************************
