//TSUUUCCP JOB (PAYSYS),'CCP MODULES',CLASS=Z,MSGCLASS=P,
//         MSGLEVEL=(1,1),REGION=4M,NOTIFY=&SYSUID
//JESDATA  OUTPUT DEFAULT=YES,JESDS=ALL,GROUPID=JESDATA
//COMPILE  OUTPUT GROUPID=COMPILE
//COMPTRN  OUTPUT GROUPID=COMPTRN
//*------------------------------------------ PAYSYS INTERNATIONAL ----
//*                                                          IM85ZJCL -
//*  CCPCL - TRANSLATES, COMPILES AND LINKS COMMAND LEVEL COBOL PGMS. -
//*          STEP1 - DFHECP1$ - TRANSLATES                            -
//*          STEP2 - IKFCBL00 OR IGYCRCTL - COMPILES COBOL SOURCE     -
//*          STEP3 - IEWL     - LINKS                                 -
//*          STEP4 - IEFBR14  - CONDITIONAL DELETE                    -
//*--------------------------------------------------------------------
//IMPCCPCL PROC  APPB='Y.MBS.P000806.PA',   APPL BASE LIBRARY
//         APPL='Y.MBS.P000806.PA',         APPL TARGET LIBRARY
//         APP1='Y.MBS.P000806.PA',         APPL 1 VER/REL NBR
//         APP3='Y.CMS.P000806.PA',         APPL 3 VER/REL NBR
//         APP4='X.SSC.P000805.PA',         APPL 4 VER/REL NBR
//         APP0='X.SSC.P000805.PA',         SSC  VER/REL NBR
//         CICSLOAD='SYS2.CICS410.SDFHLOAD',  CICS LOADLIB
//         CICSCOB='SYS2.CICS410.SDFHCOB',    CICS COBOL LIBRARY
//         CICSSRC='SYS2.CICS410.SDFHMAC',    CICS SOURCE LIBRARY
//         COBLIB='SYS1.COB39022.SIGYCOMP', COBOL COMPILER LIBR
//         CLINKLIB='SYS1.SCEELKED',        COBOL LINK LIBRARY
//         SRC='S,X,MAP,OFF',               SOURCE/FULL SOURCE LISTING
//*        SRC='NOS,NOX,NOMAP',             SOURCE/NO SOURCE LISTING
//         LINK2=IEWL                   SINGLE LINK (IEWL)
//STEP1    EXEC PGM=DFHECP1$,
//         PARM='COBOL3,APOST,DEBUG,NOOPT,NOSEQ,SP'
//STEPLIB  DD   DSN=&CICSLOAD,DISP=SHR
//SYSIN    DD   DSN=&APPB..BSELIB(&PRGM),DISP=SHR
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPTRN
//*SYSPRINT DD   DUMMY    ***** USED THIS TO REDUCE PRINT *****
//SYSPUNCH DD   DSN=&SYSCIN,
//         DCB=BLKSIZE=3120,
//         DISP=(,PASS),
//         SPACE=(CYL,(2,2),RLSE),
//         UNIT=VIO
//STEP2    EXEC PGM=IGYCRCTL,COND=(8,LT,STEP1),
//        PARM=(NOADV,C,FSRT,APOST,RENT,
//        &SRC,'OPT(FULL)',
//        'TRUNC(BIN)','LANG(UE)',AWO)
//STEPLIB  DD   DSN=SYS1.COB39022.SIGYCOMP,DISP=SHR
//STEPLIB  DD   DSN=&COBLIB,DISP=SHR
//SYSIN    DD   DSN=&SYSCIN,DISP=(OLD,DELETE,DELETE)
//SYSLIB   DD   DSN=&APP1..CPYLIB,DISP=SHR
//         DD   DSN=&APP3..CPYLIB,DISP=SHR
//         DD   DSN=&APP4..CPYLIB,DISP=SHR
//         DD   DSN=&APP0..CPYLIB,DISP=SHR
//         DD   DSN=&CICSCOB,DISP=SHR
//         DD   DSN=&CICSSRC,DISP=SHR
//SYSLIN   DD   DSN=&&LOADSET,
//         DCB=(BLKSIZE=3120,LRECL=80,RECFM=FB),
//         DISP=(,PASS),
//         SPACE=(CYL,(2,2),RLSE),
//         UNIT=VIO
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSPUNCH DD   DUMMY,DCB=BLKSIZE=80
//SYSUT1   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT2   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT3   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT4   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT5   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT6   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT7   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//STEP3    EXEC PGM=&LINK2,COND=(8,LT,STEP2),
//         PARM='RENT,LIST,XREF,MAP'
//SYSLIB   DD   DSN=&APP1..LOADLIBC,DISP=SHR
//         DD   DSN=&APP3..LOADLIBC,DISP=SHR
//         DD   DSN=&APP4..LOADLIBC,DISP=SHR
//         DD   DSN=&APP0..LOADLIBC,DISP=SHR
//         DD   DSN=&CICSLOAD,DISP=SHR
//         DD   DSN=&CLINKLIB,DISP=SHR
//SYSLIN   DD   DSN=&CICSCOB.(DFHEILIC),DISP=SHR
//         DD   DSN=&&LOADSET,DISP=(OLD,DELETE,DELETE)
//SYSLMOD  DD   DSN=&APPL..LOADLIBC(&PRGM),DISP=SHR
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSUT1   DD   SPACE=(CYL,(1,1),RLSE),UNIT=VIO
//*
//STEP4    EXEC PGM=IEFBR14,COND=((8,GE,STEP2),(8,GE,STEP3))
//DELLOAD  DD   DSN=&&LOADSET,DISP=(OLD,DELETE,DELETE)
//IMPCCPCL PEND
//MBOCM00  EXEC IMPCCPCL,PRGM=MBOCM00
//MBOCM01  EXEC IMPCCPCL,PRGM=MBOCM01
//MBOCS00  EXEC IMPCCPCL,PRGM=MBOCS00
//MBOCS01  EXEC IMPCCPCL,PRGM=MBOCS01
//MBODA00  EXEC IMPCCPCL,PRGM=MBODA00
//MBODA01  EXEC IMPCCPCL,PRGM=MBODA01
//MBODC00  EXEC IMPCCPCL,PRGM=MBODC00
//MBODC01  EXEC IMPCCPCL,PRGM=MBODC01
//MBODD01  EXEC IMPCCPCL,PRGM=MBODD01
//MBODE00  EXEC IMPCCPCL,PRGM=MBODE00
//MBODE01  EXEC IMPCCPCL,PRGM=MBODE01
//MBODF00  EXEC IMPCCPCL,PRGM=MBODF00
//MBODF01  EXEC IMPCCPCL,PRGM=MBODF01
//MBODG00  EXEC IMPCCPCL,PRGM=MBODG00
//MBODG01  EXEC IMPCCPCL,PRGM=MBODG01
//MBODI00  EXEC IMPCCPCL,PRGM=MBODI00
//MBODI01  EXEC IMPCCPCL,PRGM=MBODI01
//MBODM00  EXEC IMPCCPCL,PRGM=MBODM00
//MBODM01  EXEC IMPCCPCL,PRGM=MBODM01
//MBODO01  EXEC IMPCCPCL,PRGM=MBODO01
//MBODQ00  EXEC IMPCCPCL,PRGM=MBODQ00
//MBODQ01  EXEC IMPCCPCL,PRGM=MBODQ01
//MBODR00  EXEC IMPCCPCL,PRGM=MBODR00
//MBODR01  EXEC IMPCCPCL,PRGM=MBODR01
//MBODS00  EXEC IMPCCPCL,PRGM=MBODS00
//MBODS01  EXEC IMPCCPCL,PRGM=MBODS01
//MBODU00  EXEC IMPCCPCL,PRGM=MBODU00
//MBODU01  EXEC IMPCCPCL,PRGM=MBODU01
//MBODV00  EXEC IMPCCPCL,PRGM=MBODV00
//MBODV01  EXEC IMPCCPCL,PRGM=MBODV01
//MBODX00  EXEC IMPCCPCL,PRGM=MBODX00
//MBODX01  EXEC IMPCCPCL,PRGM=MBODX01
//MBOIB00  EXEC IMPCCPCL,PRGM=MBOIB00
//MBOIB01  EXEC IMPCCPCL,PRGM=MBOIB01
//MBOIB02  EXEC IMPCCPCL,PRGM=MBOIB02
//MBOIB03  EXEC IMPCCPCL,PRGM=MBOIB03
//MBOIB04  EXEC IMPCCPCL,PRGM=MBOIB04
//MBOIB05  EXEC IMPCCPCL,PRGM=MBOIB05
//MBOIC00  EXEC IMPCCPCL,PRGM=MBOIC00
//MBOIC01  EXEC IMPCCPCL,PRGM=MBOIC01
//MBOIC02  EXEC IMPCCPCL,PRGM=MBOIC02
//MBOIC03  EXEC IMPCCPCL,PRGM=MBOIC03
//MBOIC04  EXEC IMPCCPCL,PRGM=MBOIC04
//MBOIC05  EXEC IMPCCPCL,PRGM=MBOIC05
//MBOIC08  EXEC IMPCCPCL,PRGM=MBOIC08
//MBOIC09  EXEC IMPCCPCL,PRGM=MBOIC09
//MBOIM00  EXEC IMPCCPCL,PRGM=MBOIM00
//MBOIM01  EXEC IMPCCPCL,PRGM=MBOIM01
//MBOIM02  EXEC IMPCCPCL,PRGM=MBOIM02
//MBOIM03  EXEC IMPCCPCL,PRGM=MBOIM03
//MBOIM04  EXEC IMPCCPCL,PRGM=MBOIM04
//MBOIM05  EXEC IMPCCPCL,PRGM=MBOIM05
//MBOIM06  EXEC IMPCCPCL,PRGM=MBOIM06
//MBOIM09  EXEC IMPCCPCL,PRGM=MBOIM09
//MBOIM10  EXEC IMPCCPCL,PRGM=MBOIM10
//MBOIOAO  EXEC IMPCCPCL,PRGM=MBOIOAO
//MBOIS00  EXEC IMPCCPCL,PRGM=MBOIS00
//MBOIS01  EXEC IMPCCPCL,PRGM=MBOIS01
//MBOIS02  EXEC IMPCCPCL,PRGM=MBOIS02
//MBOIS03  EXEC IMPCCPCL,PRGM=MBOIS03
//MBOIS04  EXEC IMPCCPCL,PRGM=MBOIS04
//MBOIS05  EXEC IMPCCPCL,PRGM=MBOIS05
//MBOIS06  EXEC IMPCCPCL,PRGM=MBOIS06
//MBOIS07  EXEC IMPCCPCL,PRGM=MBOIS07
//MBOIS08  EXEC IMPCCPCL,PRGM=MBOIS08
//MBOIS09  EXEC IMPCCPCL,PRGM=MBOIS09
//MBOIS10  EXEC IMPCCPCL,PRGM=MBOIS10
//MBOIS11  EXEC IMPCCPCL,PRGM=MBOIS11
//MBOIT00  EXEC IMPCCPCL,PRGM=MBOIT00
//MBOIT01  EXEC IMPCCPCL,PRGM=MBOIT01
//MBOL1AO  EXEC IMPCCPCL,PRGM=MBOL1AO
//MBOMA00  EXEC IMPCCPCL,PRGM=MBOMA00
//MBOMA01  EXEC IMPCCPCL,PRGM=MBOMA01
//MBOMA02  EXEC IMPCCPCL,PRGM=MBOMA02
//MBOMA03  EXEC IMPCCPCL,PRGM=MBOMA03
//MBOMB00  EXEC IMPCCPCL,PRGM=MBOMB00
//MBOMB01  EXEC IMPCCPCL,PRGM=MBOMB01
//MBOMB02  EXEC IMPCCPCL,PRGM=MBOMB02
//MBOMC00  EXEC IMPCCPCL,PRGM=MBOMC00
//MBOMC01  EXEC IMPCCPCL,PRGM=MBOMC01
//MBOMC02  EXEC IMPCCPCL,PRGM=MBOMC02
//MBOME00  EXEC IMPCCPCL,PRGM=MBOME00
//MBOME01  EXEC IMPCCPCL,PRGM=MBOME01
//MBOME02  EXEC IMPCCPCL,PRGM=MBOME02
//MBOME03  EXEC IMPCCPCL,PRGM=MBOME03
//MBOME04  EXEC IMPCCPCL,PRGM=MBOME04
//MBOME06  EXEC IMPCCPCL,PRGM=MBOME06
//MBOMF00  EXEC IMPCCPCL,PRGM=MBOMF00
//MBOMF01  EXEC IMPCCPCL,PRGM=MBOMF01
//MBOMF02  EXEC IMPCCPCL,PRGM=MBOMF02
//MBOMG00  EXEC IMPCCPCL,PRGM=MBOMG00
//MBOMG01  EXEC IMPCCPCL,PRGM=MBOMG01
//MBOMI00  EXEC IMPCCPCL,PRGM=MBOMI00
//MBOMI01  EXEC IMPCCPCL,PRGM=MBOMI01
//MBOMI02  EXEC IMPCCPCL,PRGM=MBOMI02
//MBOMI03  EXEC IMPCCPCL,PRGM=MBOMI03
//MBOMI04  EXEC IMPCCPCL,PRGM=MBOMI04
//MBOMI06  EXEC IMPCCPCL,PRGM=MBOMI06
//MBOML00  EXEC IMPCCPCL,PRGM=MBOML00
//MBOML01  EXEC IMPCCPCL,PRGM=MBOML01
//MBOMM00  EXEC IMPCCPCL,PRGM=MBOMM00
//MBOMM01  EXEC IMPCCPCL,PRGM=MBOMM01
//MBOMM02  EXEC IMPCCPCL,PRGM=MBOMM02
//MBOMM03  EXEC IMPCCPCL,PRGM=MBOMM03
//MBOMM04  EXEC IMPCCPCL,PRGM=MBOMM04
//MBOMM05  EXEC IMPCCPCL,PRGM=MBOMM05
//MBOMM07  EXEC IMPCCPCL,PRGM=MBOMM07
//MBOMM08  EXEC IMPCCPCL,PRGM=MBOMM08
//MBOMM09  EXEC IMPCCPCL,PRGM=MBOMM09
//MBOMM10  EXEC IMPCCPCL,PRGM=MBOMM10
//MBOMM11  EXEC IMPCCPCL,PRGM=MBOMM11
//MBOMM12  EXEC IMPCCPCL,PRGM=MBOMM12
//MBOMM13  EXEC IMPCCPCL,PRGM=MBOMM13
//MBOMM14  EXEC IMPCCPCL,PRGM=MBOMM14
//MBOMM15  EXEC IMPCCPCL,PRGM=MBOMM15
//MBOMM16  EXEC IMPCCPCL,PRGM=MBOMM16
//MBOMO00  EXEC IMPCCPCL,PRGM=MBOMO00
//MBOMO01  EXEC IMPCCPCL,PRGM=MBOMO01
//MBOMO02  EXEC IMPCCPCL,PRGM=MBOMO02
//MBOMO03  EXEC IMPCCPCL,PRGM=MBOMO03
//MBOMO04  EXEC IMPCCPCL,PRGM=MBOMO04
//MBOMO05  EXEC IMPCCPCL,PRGM=MBOMO05
//MBOMO06  EXEC IMPCCPCL,PRGM=MBOMO06
//MBOMO08  EXEC IMPCCPCL,PRGM=MBOMO08
//MBOMO09  EXEC IMPCCPCL,PRGM=MBOMO09
//MBOMO10  EXEC IMPCCPCL,PRGM=MBOMO10
//MBOMO11  EXEC IMPCCPCL,PRGM=MBOMO11
//MBOMO12  EXEC IMPCCPCL,PRGM=MBOMO12
//MBOMO13  EXEC IMPCCPCL,PRGM=MBOMO13
//MBOMO14  EXEC IMPCCPCL,PRGM=MBOMO14
//MBOMO22  EXEC IMPCCPCL,PRGM=MBOMO22
//MBOMO30  EXEC IMPCCPCL,PRGM=MBOMO30
//MBOMO32  EXEC IMPCCPCL,PRGM=MBOMO32
//MBOMP01  EXEC IMPCCPCL,PRGM=MBOMP01
//MBOMQ00  EXEC IMPCCPCL,PRGM=MBOMQ00
//MBOMQ01  EXEC IMPCCPCL,PRGM=MBOMQ01
//MBOMQ02  EXEC IMPCCPCL,PRGM=MBOMQ02
//MBOMQ03  EXEC IMPCCPCL,PRGM=MBOMQ03
//MBOMQ04  EXEC IMPCCPCL,PRGM=MBOMQ04
//MBOMR00  EXEC IMPCCPCL,PRGM=MBOMR00
//MBOMR01  EXEC IMPCCPCL,PRGM=MBOMR01
//MBOMR02  EXEC IMPCCPCL,PRGM=MBOMR02
//MBOMR03  EXEC IMPCCPCL,PRGM=MBOMR03
//MBOMR05  EXEC IMPCCPCL,PRGM=MBOMR05
//MBOMR07  EXEC IMPCCPCL,PRGM=MBOMR07
//MBOMR09  EXEC IMPCCPCL,PRGM=MBOMR09
//MBOMR11  EXEC IMPCCPCL,PRGM=MBOMR11
//MBOMR13  EXEC IMPCCPCL,PRGM=MBOMR13
//MBOMS00  EXEC IMPCCPCL,PRGM=MBOMS00
//MBOMS01  EXEC IMPCCPCL,PRGM=MBOMS01
//MBOMS02  EXEC IMPCCPCL,PRGM=MBOMS02
//MBOMS03  EXEC IMPCCPCL,PRGM=MBOMS03
//MBOMS04  EXEC IMPCCPCL,PRGM=MBOMS04
//MBOMS05  EXEC IMPCCPCL,PRGM=MBOMS05
//MBOMS06  EXEC IMPCCPCL,PRGM=MBOMS06
//MBOMS07  EXEC IMPCCPCL,PRGM=MBOMS07
//MBOMS08  EXEC IMPCCPCL,PRGM=MBOMS08
//MBOMS09  EXEC IMPCCPCL,PRGM=MBOMS09
//MBOMS10  EXEC IMPCCPCL,PRGM=MBOMS10
//MBOMT00  EXEC IMPCCPCL,PRGM=MBOMT00
//MBOMT01  EXEC IMPCCPCL,PRGM=MBOMT01
//MBOMU00  EXEC IMPCCPCL,PRGM=MBOMU00
//MBOMU01  EXEC IMPCCPCL,PRGM=MBOMU01
//MBOMU02  EXEC IMPCCPCL,PRGM=MBOMU02
//MBOMV00  EXEC IMPCCPCL,PRGM=MBOMV00
//MBOMV01  EXEC IMPCCPCL,PRGM=MBOMV01
//MBOMV02  EXEC IMPCCPCL,PRGM=MBOMV02
//MBOMV03  EXEC IMPCCPCL,PRGM=MBOMV03
//MBOMX00  EXEC IMPCCPCL,PRGM=MBOMX00
//MBOMX01  EXEC IMPCCPCL,PRGM=MBOMX01
//MBOMX02  EXEC IMPCCPCL,PRGM=MBOMX02
//MBOMX03  EXEC IMPCCPCL,PRGM=MBOMX03
//MBOMY01  EXEC IMPCCPCL,PRGM=MBOMY01
//MBOMY02  EXEC IMPCCPCL,PRGM=MBOMY02
//MBOMY03  EXEC IMPCCPCL,PRGM=MBOMY03
//MBONL00  EXEC IMPCCPCL,PRGM=MBONL00
//MBONL01  EXEC IMPCCPCL,PRGM=MBONL01
//MBONU01  EXEC IMPCCPCL,PRGM=MBONU01
//MBOOPEN  EXEC IMPCCPCL,PRGM=MBOOPEN
//MBOPL00  EXEC IMPCCPCL,PRGM=MBOPL00
//MBOPL01  EXEC IMPCCPCL,PRGM=MBOPL01
//MBOPL02  EXEC IMPCCPCL,PRGM=MBOPL02
//MBORC00  EXEC IMPCCPCL,PRGM=MBORC00
//MBORC01  EXEC IMPCCPCL,PRGM=MBORC01
//MBORG00  EXEC IMPCCPCL,PRGM=MBORG00
//MBORG01  EXEC IMPCCPCL,PRGM=MBORG01
//MBORR01  EXEC IMPCCPCL,PRGM=MBORR01
//MBORS00  EXEC IMPCCPCL,PRGM=MBORS00
//MBORS01  EXEC IMPCCPCL,PRGM=MBORS01
//MBOSM00  EXEC IMPCCPCL,PRGM=MBOSM00
//MBOSM01  EXEC IMPCCPCL,PRGM=MBOSM01
//MBOSS00  EXEC IMPCCPCL,PRGM=MBOSS00
//MBOTM00  EXEC IMPCCPCL,PRGM=MBOTM00
//MBOTM01  EXEC IMPCCPCL,PRGM=MBOTM01
//MBOTM02  EXEC IMPCCPCL,PRGM=MBOTM02
//MBOTM03  EXEC IMPCCPCL,PRGM=MBOTM03
//MBOTV00  EXEC IMPCCPCL,PRGM=MBOTV00
//MBOT001  EXEC IMPCCPCL,PRGM=MBOT001
//MBOT002  EXEC IMPCCPCL,PRGM=MBOT002
//MBOT101  EXEC IMPCCPCL,PRGM=MBOT101
//MBOT102  EXEC IMPCCPCL,PRGM=MBOT102
//MBOT201  EXEC IMPCCPCL,PRGM=MBOT201
//MBOT202  EXEC IMPCCPCL,PRGM=MBOT202
//MBOT301  EXEC IMPCCPCL,PRGM=MBOT301
//MBOT302  EXEC IMPCCPCL,PRGM=MBOT302
//MBOT401  EXEC IMPCCPCL,PRGM=MBOT401
//MBOT402  EXEC IMPCCPCL,PRGM=MBOT402
//MBOT501  EXEC IMPCCPCL,PRGM=MBOT501
//MBOT502  EXEC IMPCCPCL,PRGM=MBOT502
//MBOT601  EXEC IMPCCPCL,PRGM=MBOT601
//MBOT602  EXEC IMPCCPCL,PRGM=MBOT602
//MBOT701  EXEC IMPCCPCL,PRGM=MBOT701
//MBOT702  EXEC IMPCCPCL,PRGM=MBOT702
//MBOT801  EXEC IMPCCPCL,PRGM=MBOT801
//MBOT802  EXEC IMPCCPCL,PRGM=MBOT802
//MBOT901  EXEC IMPCCPCL,PRGM=MBOT901
//MBOT902  EXEC IMPCCPCL,PRGM=MBOT902
//MBOUI00  EXEC IMPCCPCL,PRGM=MBOUI00
//MBOUI01  EXEC IMPCCPCL,PRGM=MBOUI01
//MBOVR00  EXEC IMPCCPCL,PRGM=MBOVR00
//MBOVR01  EXEC IMPCCPCL,PRGM=MBOVR01
//MBOXCTL  EXEC IMPCCPCL,PRGM=MBOXCTL
//MBO1M00  EXEC IMPCCPCL,PRGM=MBO1M00
//MBO1M01  EXEC IMPCCPCL,PRGM=MBO1M01
//MBO1S00  EXEC IMPCCPCL,PRGM=MBO1S00
//MBO1S01  EXEC IMPCCPCL,PRGM=MBO1S01
//MBO3M00  EXEC IMPCCPCL,PRGM=MBO3M00
//MBO3M01  EXEC IMPCCPCL,PRGM=MBO3M01
//MBO3S00  EXEC IMPCCPCL,PRGM=MBO3S00
//MBO3S01  EXEC IMPCCPCL,PRGM=MBO3S01
//MBO6M00  EXEC IMPCCPCL,PRGM=MBO6M00
//MBO6M01  EXEC IMPCCPCL,PRGM=MBO6M01
//MBO6S00  EXEC IMPCCPCL,PRGM=MBO6S00
//MBO6S01  EXEC IMPCCPCL,PRGM=MBO6S01
//MBO7M00  EXEC IMPCCPCL,PRGM=MBO7M00
//MBO7M01  EXEC IMPCCPCL,PRGM=MBO7M01
//MBO7S00  EXEC IMPCCPCL,PRGM=MBO7S00
//MBO7S01  EXEC IMPCCPCL,PRGM=MBO7S01
//MBO9B00  EXEC IMPCCPCL,PRGM=MBO9B00
//MBO9B01  EXEC IMPCCPCL,PRGM=MBO9B01
//MBO9C00  EXEC IMPCCPCL,PRGM=MBO9C00
//MBO9C01  EXEC IMPCCPCL,PRGM=MBO9C01
//MBO9E00  EXEC IMPCCPCL,PRGM=MBO9E00
//MBO9E01  EXEC IMPCCPCL,PRGM=MBO9E01
//MBO9F00  EXEC IMPCCPCL,PRGM=MBO9F00
//MBO9F01  EXEC IMPCCPCL,PRGM=MBO9F01
//MBO9G00  EXEC IMPCCPCL,PRGM=MBO9G00
//MBO9G01  EXEC IMPCCPCL,PRGM=MBO9G01
//MBO9I00  EXEC IMPCCPCL,PRGM=MBO9I00
//MBO9I01  EXEC IMPCCPCL,PRGM=MBO9I01
//MBO9M00  EXEC IMPCCPCL,PRGM=MBO9M00
//MBO9M01  EXEC IMPCCPCL,PRGM=MBO9M01
//MBO9R00  EXEC IMPCCPCL,PRGM=MBO9R00
//MBO9R01  EXEC IMPCCPCL,PRGM=MBO9R01
//MBO9S00  EXEC IMPCCPCL,PRGM=MBO9S00
//MBO9S01  EXEC IMPCCPCL,PRGM=MBO9S01
//MBO9U00  EXEC IMPCCPCL,PRGM=MBO9U00
//MBO9U01  EXEC IMPCCPCL,PRGM=MBO9U01
//MBO9V00  EXEC IMPCCPCL,PRGM=MBO9V00
//MBO9V01  EXEC IMPCCPCL,PRGM=MBO9V01
//*
//*
//*
