//TSUUUDMC JOB (PAYSYS),'DMC MODULES',CLASS=Z,MSGCLASS=P,
//         MSGLEVEL=(1,1),REGION=2M,NOTIFY=&SYSUID
//JESDATA  OUTPUT DEFAULT=YES,JESDS=ALL,GROUPID=JESDATA
//COMPILE  OUTPUT GROUPID=COMPILE
//*------------------------------------------ PAYSYS INTERNATIONAL ----
//*  DMCCL - COMPILES AND LINKS COBOL PROGRAMS.              IM85ZJCL -
//*          STEP1 - IKFCBL00 OR IGYCRCTL - COMPILES COBOL SOURCE     -
//*          STEP2 - IEWL     - LINKS TO LOADLIB (CICS)               -
//*          STEP3 - IEWL     - LINKS TO LOADLIB (BATCH)              -
//*          STEP4 - IEFBR14  - CONDITIONAL DELETE                    -
//*--------------------------------------------------------------------
//IMPDMCCL PROC  APPB='Y.MBS.P000806.PA',   APPL BASE LIBRARY
//         APPL='Y.MBS.P000806.PA',         APPL TARGET LIBRARY
//         APP1='Y.MBS.P000806.PA',         APPL 1 VER/REL NBR
//         APP3='Y.CMS.P000806.PA',         APPL 3 VER/REL NBR
//         APP4='X.SSC.P000805.PA',         APPL 4 VER/REL NBR
//         APP0='X.SSC.P000805.PA',         SSC  VER/REL NBR
//         COBLIB='SYS1.COB39022.SIGYCOMP', COBOL COMPILER LIBR
//         CLINKLIB='SYS1.SCEELKED',        COBOL LINK LIBRARY
//         SRC='X,MAP,OFF',                 SOURCE/FULL SOURCE LISTING
//*        SRC='NOS',                       SOURCE/NO SOURCE LISTING
//         LINK=IEFBR14,                    LINKAGE BYPASS (IEFBR14)
//         LINK2=IEWL                   SINGLE LINK    (IEWL)
//STEP1    EXEC PGM=IGYCRCTL,
//* TO RUN BELOW THE LINE USE THE FOLLOWING:
//*       PARM=(NOADV,C,FSRT,APOST,DYN,
//* TO RUN ABOVE THE LINE USE THE FOLLOWING:
//        PARM=(NOADV,C,FSRT,APOST,DYN,RENT,
//        &SRC,'OPT(FULL)',
//        'TRUNC(BIN)','LANG(UE)',AWO,LIB)
//STEPLIB  DD   DSN=&COBLIB,DISP=SHR
//SYSIN    DD   DSN=&APPB..BSELIB(&PRGM),DISP=SHR
//SYSLIB   DD   DSN=&APP1..CPYLIB,DISP=SHR
//         DD   DSN=&APP3..CPYLIB,DISP=SHR
//         DD   DSN=&APP4..CPYLIB,DISP=SHR
//         DD   DSN=&APP0..CPYLIB,DISP=SHR
//SYSLIN   DD   DSN=&&LOADSET,
//         DCB=(BLKSIZE=3120,LRECL=80,RECFM=FB),
//         DISP=(,PASS),
//         SPACE=(CYL,(2,2),RLSE),
//         UNIT=VIO
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSPUNCH DD   DUMMY,DCB=BLKSIZE=80
//SYSUT1   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT2   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT3   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT4   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT5   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT6   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT7   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//STEP2    EXEC PGM=&LINK,COND=(8,LT,STEP1),
//         PARM='LET,LIST,MAP,XREF'
//SYSLIB   DD   DSN=&APP1..LOADLIBC,DISP=SHR
//         DD   DSN=&APP3..LOADLIBC,DISP=SHR
//         DD   DSN=&APP4..LOADLIBC,DISP=SHR
//         DD   DSN=&APP0..LOADLIBC,DISP=SHR
//         DD   DSN=&CLINKLIB,DISP=SHR
//SYSLIN   DD   DSN=&&LOADSET,DISP=(OLD,PASS,DELETE)
//SYSLMOD  DD   DSN=&APPL..LOADLIBC(&PRGM),DISP=SHR
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSUT1   DD   SPACE=(CYL,(1,1),RLSE),UNIT=VIO
//STEP3    EXEC PGM=&LINK2,COND=(8,LT,STEP1),
//         PARM='LET,LIST,MAP,XREF'
//SYSLIB   DD   DSN=&APP1..LOADLIBB,DISP=SHR
//         DD   DSN=&APP3..LOADLIBB,DISP=SHR
//         DD   DSN=&APP4..LOADLIBB,DISP=SHR
//         DD   DSN=&APP0..LOADLIBB,DISP=SHR
//         DD   DSN=&CLINKLIB,DISP=SHR
//SYSLIN   DD   DSN=&&LOADSET,DISP=(OLD,DELETE,DELETE)
//SYSLMOD  DD   DSN=&APPL..LOADLIBB(&PRGM),DISP=SHR
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSUT1   DD   SPACE=(CYL,(1,1),RLSE),UNIT=VIO
//STEP4    EXEC PGM=IEFBR14,COND=((8,GE,STEP1),(8,GE,STEP3))
//DELLOAD  DD   DSN=&&LOADSET,DISP=(OLD,DELETE,DELETE)
//IMPDMCCL PEND
//MBD100BC EXEC IMPDMCCL,PRGM=MBD100BC
//MBD100CT EXEC IMPDMCCL,PRGM=MBD100CT
//MBD100EF EXEC IMPDMCCL,PRGM=MBD100EF
//MBD100EX EXEC IMPDMCCL,PRGM=MBD100EX
//MBD100FA EXEC IMPDMCCL,PRGM=MBD100FA
//MBD100FP EXEC IMPDMCCL,PRGM=MBD100FP
//MBD100FS EXEC IMPDMCCL,PRGM=MBD100FS
//MBD100GD EXEC IMPDMCCL,PRGM=MBD100GD
//MBD100IC EXEC IMPDMCCL,PRGM=MBD100IC
//MBD100IF EXEC IMPDMCCL,PRGM=MBD100IF
//MBD100MM EXEC IMPDMCCL,PRGM=MBD100MM
//MBD100MP EXEC IMPDMCCL,PRGM=MBD100MP
//MBD100OC EXEC IMPDMCCL,PRGM=MBD100OC
//MBD100PF EXEC IMPDMCCL,PRGM=MBD100PF
//MBD100RC EXEC IMPDMCCL,PRGM=MBD100RC
//MBD100RD EXEC IMPDMCCL,PRGM=MBD100RD
//MBD100RT EXEC IMPDMCCL,PRGM=MBD100RT
//MBD100SC EXEC IMPDMCCL,PRGM=MBD100SC
//MBD100SD EXEC IMPDMCCL,PRGM=MBD100SD
//MBD100SM EXEC IMPDMCCL,PRGM=MBD100SM
//MBD100SR EXEC IMPDMCCL,PRGM=MBD100SR
//MBD100SS EXEC IMPDMCCL,PRGM=MBD100SS
//MBD100TC EXEC IMPDMCCL,PRGM=MBD100TC
//MBD100TM EXEC IMPDMCCL,PRGM=MBD100TM
//MBD100XR EXEC IMPDMCCL,PRGM=MBD100XR
//MBD100XT EXEC IMPDMCCL,PRGM=MBD100XT
//MBD200AE EXEC IMPDMCCL,PRGM=MBD200AE
//MBD200BC EXEC IMPDMCCL,PRGM=MBD200BC
//MBD200DC EXEC IMPDMCCL,PRGM=MBD200DC
//MBD200PC EXEC IMPDMCCL,PRGM=MBD200PC
//MBD200PF EXEC IMPDMCCL,PRGM=MBD200PF
//MBD200RC EXEC IMPDMCCL,PRGM=MBD200RC
//MBD200UC EXEC IMPDMCCL,PRGM=MBD200UC
//MBD200UF EXEC IMPDMCCL,PRGM=MBD200UF
//MBD200VP EXEC IMPDMCCL,PRGM=MBD200VP
//MBD320BC EXEC IMPDMCCL,PRGM=MBD320BC
//MBD360Q1 EXEC IMPDMCCL,PRGM=MBD360Q1
//MBD360Q2 EXEC IMPDMCCL,PRGM=MBD360Q2
//MBD360Q3 EXEC IMPDMCCL,PRGM=MBD360Q3
//MBD360Q4 EXEC IMPDMCCL,PRGM=MBD360Q4
//MBD360Q5 EXEC IMPDMCCL,PRGM=MBD360Q5
//MBD360Q6 EXEC IMPDMCCL,PRGM=MBD360Q6
//MBD72001 EXEC IMPDMCCL,PRGM=MBD72001
//MBD72002 EXEC IMPDMCCL,PRGM=MBD72002
//MBD72003 EXEC IMPDMCCL,PRGM=MBD72003
//MBD72004 EXEC IMPDMCCL,PRGM=MBD72004
//MBD72005 EXEC IMPDMCCL,PRGM=MBD72005
//MBD72006 EXEC IMPDMCCL,PRGM=MBD72006
//MBD72007 EXEC IMPDMCCL,PRGM=MBD72007
//MBD72008 EXEC IMPDMCCL,PRGM=MBD72008
//MBD72009 EXEC IMPDMCCL,PRGM=MBD72009
//MBD72010 EXEC IMPDMCCL,PRGM=MBD72010
//MBD72011 EXEC IMPDMCCL,PRGM=MBD72011
//MBD72012 EXEC IMPDMCCL,PRGM=MBD72012
//MBD72013 EXEC IMPDMCCL,PRGM=MBD72013
//MBD72014 EXEC IMPDMCCL,PRGM=MBD72014
//MBD72015 EXEC IMPDMCCL,PRGM=MBD72015
//MBD72016 EXEC IMPDMCCL,PRGM=MBD72016
//MBD72017 EXEC IMPDMCCL,PRGM=MBD72017
//MBD72018 EXEC IMPDMCCL,PRGM=MBD72018
//MBD72019 EXEC IMPDMCCL,PRGM=MBD72019
//MBD72020 EXEC IMPDMCCL,PRGM=MBD72020
//MBD72021 EXEC IMPDMCCL,PRGM=MBD72021
//MBD72022 EXEC IMPDMCCL,PRGM=MBD72022
//MBD72023 EXEC IMPDMCCL,PRGM=MBD72023
//MBD72024 EXEC IMPDMCCL,PRGM=MBD72024
//MBD72025 EXEC IMPDMCCL,PRGM=MBD72025
//MBD72026 EXEC IMPDMCCL,PRGM=MBD72026
//MBD72027 EXEC IMPDMCCL,PRGM=MBD72027
//MBD72028 EXEC IMPDMCCL,PRGM=MBD72028
//MBD72029 EXEC IMPDMCCL,PRGM=MBD72029
//MBD72030 EXEC IMPDMCCL,PRGM=MBD72030
//MBD72031 EXEC IMPDMCCL,PRGM=MBD72031
//MBD72032 EXEC IMPDMCCL,PRGM=MBD72032
//MBD72033 EXEC IMPDMCCL,PRGM=MBD72033
//MBD72034 EXEC IMPDMCCL,PRGM=MBD72034
//MBD72035 EXEC IMPDMCCL,PRGM=MBD72035
//MBD72036 EXEC IMPDMCCL,PRGM=MBD72036
//MBD72037 EXEC IMPDMCCL,PRGM=MBD72037
//MBD72038 EXEC IMPDMCCL,PRGM=MBD72038
//MBD72039 EXEC IMPDMCCL,PRGM=MBD72039
//MBD72040 EXEC IMPDMCCL,PRGM=MBD72040
//MBD72041 EXEC IMPDMCCL,PRGM=MBD72041
//MBD72042 EXEC IMPDMCCL,PRGM=MBD72042
//MBD72043 EXEC IMPDMCCL,PRGM=MBD72043
//MBD72044 EXEC IMPDMCCL,PRGM=MBD72044
//MBD72045 EXEC IMPDMCCL,PRGM=MBD72045
//MBD72046 EXEC IMPDMCCL,PRGM=MBD72046
//MBD72047 EXEC IMPDMCCL,PRGM=MBD72047
//MBD72048 EXEC IMPDMCCL,PRGM=MBD72048
//MBD72049 EXEC IMPDMCCL,PRGM=MBD72049
//MBD72055 EXEC IMPDMCCL,PRGM=MBD72055
//MBD72056 EXEC IMPDMCCL,PRGM=MBD72056
//MBD72057 EXEC IMPDMCCL,PRGM=MBD72057
//MBD72058 EXEC IMPDMCCL,PRGM=MBD72058
//MBD72059 EXEC IMPDMCCL,PRGM=MBD72059
//MBD72085 EXEC IMPDMCCL,PRGM=MBD72085
//MBD72086 EXEC IMPDMCCL,PRGM=MBD72086
//MBD72087 EXEC IMPDMCCL,PRGM=MBD72087
//MBD72088 EXEC IMPDMCCL,PRGM=MBD72088
//MBD72089 EXEC IMPDMCCL,PRGM=MBD72089
//MBD72090 EXEC IMPDMCCL,PRGM=MBD72090
//MBD72091 EXEC IMPDMCCL,PRGM=MBD72091
//MBD72092 EXEC IMPDMCCL,PRGM=MBD72092
//MBD72093 EXEC IMPDMCCL,PRGM=MBD72093
//MBD73001 EXEC IMPDMCCL,PRGM=MBD73001
//MBD73002 EXEC IMPDMCCL,PRGM=MBD73002
//MBD73003 EXEC IMPDMCCL,PRGM=MBD73003
//MBD73004 EXEC IMPDMCCL,PRGM=MBD73004
//MBD73005 EXEC IMPDMCCL,PRGM=MBD73005
//MBD73006 EXEC IMPDMCCL,PRGM=MBD73006
//MBD73007 EXEC IMPDMCCL,PRGM=MBD73007
//MBD73008 EXEC IMPDMCCL,PRGM=MBD73008
//MBD73009 EXEC IMPDMCCL,PRGM=MBD73009
//MBD73010 EXEC IMPDMCCL,PRGM=MBD73010
//MBD73011 EXEC IMPDMCCL,PRGM=MBD73011
//MBD73012 EXEC IMPDMCCL,PRGM=MBD73012
//MBD73013 EXEC IMPDMCCL,PRGM=MBD73013
//MBD73014 EXEC IMPDMCCL,PRGM=MBD73014
//MBD73015 EXEC IMPDMCCL,PRGM=MBD73015
//MBD73016 EXEC IMPDMCCL,PRGM=MBD73016
//MBD73017 EXEC IMPDMCCL,PRGM=MBD73017
//MBD73018 EXEC IMPDMCCL,PRGM=MBD73018
//MBD73019 EXEC IMPDMCCL,PRGM=MBD73019
//MBD73020 EXEC IMPDMCCL,PRGM=MBD73020
//MBD73021 EXEC IMPDMCCL,PRGM=MBD73021
//MBD73022 EXEC IMPDMCCL,PRGM=MBD73022
//MBD73023 EXEC IMPDMCCL,PRGM=MBD73023
//MBD73024 EXEC IMPDMCCL,PRGM=MBD73024
//MBD740BC EXEC IMPDMCCL,PRGM=MBD740BC
//MBD74050 EXEC IMPDMCCL,PRGM=MBD74050
//MBD74051 EXEC IMPDMCCL,PRGM=MBD74051
//MBD74052 EXEC IMPDMCCL,PRGM=MBD74052
//MBD74053 EXEC IMPDMCCL,PRGM=MBD74053
//MBD74054 EXEC IMPDMCCL,PRGM=MBD74054
//MBFICHE  EXEC IMPDMCCL,PRGM=MBFICHE
//MBMFAB   EXEC IMPDMCCL,PRGM=MBMFAB
//MBPRINT  EXEC IMPDMCCL,PRGM=MBPRINT
//MBTFAB   EXEC IMPDMCCL,PRGM=MBTFAB
//MBU100E  EXEC IMPDMCCL,PRGM=MBU100E
//MBU100MM EXEC IMPDMCCL,PRGM=MBU100MM
//MBU100RC EXEC IMPDMCCL,PRGM=MBU100RC
//MBU100SM EXEC IMPDMCCL,PRGM=MBU100SM
//MBU100SR EXEC IMPDMCCL,PRGM=MBU100SR
//MBU6MM01 EXEC IMPDMCCL,PRGM=MBU6MM01
//MBU6MM02 EXEC IMPDMCCL,PRGM=MBU6MM02
//MBU6MM03 EXEC IMPDMCCL,PRGM=MBU6MM03
//MBU6MM04 EXEC IMPDMCCL,PRGM=MBU6MM04
//MBU6MM05 EXEC IMPDMCCL,PRGM=MBU6MM05
//MBU6MM06 EXEC IMPDMCCL,PRGM=MBU6MM06
//MBU6MM07 EXEC IMPDMCCL,PRGM=MBU6MM07
//MBU6MM08 EXEC IMPDMCCL,PRGM=MBU6MM08
//MBU6MM09 EXEC IMPDMCCL,PRGM=MBU6MM09
//MBU6MM10 EXEC IMPDMCCL,PRGM=MBU6MM10
//MBU6MM11 EXEC IMPDMCCL,PRGM=MBU6MM11
//MBU6MM12 EXEC IMPDMCCL,PRGM=MBU6MM12
//MBU6MM14 EXEC IMPDMCCL,PRGM=MBU6MM14
//MBU6MM15 EXEC IMPDMCCL,PRGM=MBU6MM15
//MBU6MM16 EXEC IMPDMCCL,PRGM=MBU6MM16
//MBU6MS01 EXEC IMPDMCCL,PRGM=MBU6MS01
//MBU6MS02 EXEC IMPDMCCL,PRGM=MBU6MS02
//MBU6MS03 EXEC IMPDMCCL,PRGM=MBU6MS03
//MBU6MS04 EXEC IMPDMCCL,PRGM=MBU6MS04
//MBU6MS05 EXEC IMPDMCCL,PRGM=MBU6MS05
//MBU6MS06 EXEC IMPDMCCL,PRGM=MBU6MS06
//MBU6MS07 EXEC IMPDMCCL,PRGM=MBU6MS07
//MBU6MS08 EXEC IMPDMCCL,PRGM=MBU6MS08
//MBU6MS09 EXEC IMPDMCCL,PRGM=MBU6MS09
//MBU6MS10 EXEC IMPDMCCL,PRGM=MBU6MS10
//MBU999CC EXEC IMPDMCCL,PRGM=MBU999CC
//MB1IAB   EXEC IMPDMCCL,PRGM=MB1IAB
//MB1OAB   EXEC IMPDMCCL,PRGM=MB1OAB
//MB2IAB   EXEC IMPDMCCL,PRGM=MB2IAB
//MB2OAB   EXEC IMPDMCCL,PRGM=MB2OAB
//MB3IAB   EXEC IMPDMCCL,PRGM=MB3IAB
//MB3OAB   EXEC IMPDMCCL,PRGM=MB3OAB
//MB4IAB   EXEC IMPDMCCL,PRGM=MB4IAB
//MB4OAB   EXEC IMPDMCCL,PRGM=MB4OAB
//MB5IAB   EXEC IMPDMCCL,PRGM=MB5IAB
//MB5OAB   EXEC IMPDMCCL,PRGM=MB5OAB
//MCFAAB   EXEC IMPDMCCL,PRGM=MCFAAB
//MCFPAB   EXEC IMPDMCCL,PRGM=MCFPAB
//MMAMAB   EXEC IMPDMCCL,PRGM=MMAMAB
//MMBCAB   EXEC IMPDMCCL,PRGM=MMBCAB
//MMBNAB   EXEC IMPDMCCL,PRGM=MMBNAB
//MMCGAB   EXEC IMPDMCCL,PRGM=MMCGAB
//MMCPAB   EXEC IMPDMCCL,PRGM=MMCPAB
//MMCSAB   EXEC IMPDMCCL,PRGM=MMCSAB
//MMCTAB   EXEC IMPDMCCL,PRGM=MMCTAB
//MMDHAB   EXEC IMPDMCCL,PRGM=MMDHAB
//MMDTAB   EXEC IMPDMCCL,PRGM=MMDTAB
//MMD3AB   EXEC IMPDMCCL,PRGM=MMD3AB
//MMD4AB   EXEC IMPDMCCL,PRGM=MMD4AB
//MMEFAB   EXEC IMPDMCCL,PRGM=MMEFAB
//MMEXAB   EXEC IMPDMCCL,PRGM=MMEXAB
//MMFAAB   EXEC IMPDMCCL,PRGM=MMFAAB
//MMFGAB   EXEC IMPDMCCL,PRGM=MMFGAB
//MMFPAB   EXEC IMPDMCCL,PRGM=MMFPAB
//MMFSAB   EXEC IMPDMCCL,PRGM=MMFSAB
//MMGDAB   EXEC IMPDMCCL,PRGM=MMGDAB
//MMICAB   EXEC IMPDMCCL,PRGM=MMICAB
//MMIFAB   EXEC IMPDMCCL,PRGM=MMIFAB
//MMLGAB   EXEC IMPDMCCL,PRGM=MMLGAB
//MML1AB   EXEC IMPDMCCL,PRGM=MML1AB
//MML2AB   EXEC IMPDMCCL,PRGM=MML2AB
//MMMMAB   EXEC IMPDMCCL,PRGM=MMMMAB
//MMMPAB   EXEC IMPDMCCL,PRGM=MMMPAB
//MMNLAB   EXEC IMPDMCCL,PRGM=MMNLAB
//MMOCAB   EXEC IMPDMCCL,PRGM=MMOCAB
//MMOEAB   EXEC IMPDMCCL,PRGM=MMOEAB
//MMOGAB   EXEC IMPDMCCL,PRGM=MMOGAB
//MMOIAB   EXEC IMPDMCCL,PRGM=MMOIAB
//MMOXAB   EXEC IMPDMCCL,PRGM=MMOXAB
//MMPAAB   EXEC IMPDMCCL,PRGM=MMPAAB
//MMPEAB   EXEC IMPDMCCL,PRGM=MMPEAB
//MMPFAB   EXEC IMPDMCCL,PRGM=MMPFAB
//MMPGAB   EXEC IMPDMCCL,PRGM=MMPGAB
//MMPSAB   EXEC IMPDMCCL,PRGM=MMPSAB
//MMPXAB   EXEC IMPDMCCL,PRGM=MMPXAB
//MMQ1AB   EXEC IMPDMCCL,PRGM=MMQ1AB
//MMQ2AB   EXEC IMPDMCCL,PRGM=MMQ2AB
//MMQ3AB   EXEC IMPDMCCL,PRGM=MMQ3AB
//MMQ4AB   EXEC IMPDMCCL,PRGM=MMQ4AB
//MMQ5AB   EXEC IMPDMCCL,PRGM=MMQ5AB
//MMQ6AB   EXEC IMPDMCCL,PRGM=MMQ6AB
//MMRCAB   EXEC IMPDMCCL,PRGM=MMRCAB
//MMRDAB   EXEC IMPDMCCL,PRGM=MMRDAB
//MMRGAB   EXEC IMPDMCCL,PRGM=MMRGAB
//MMRTAB   EXEC IMPDMCCL,PRGM=MMRTAB
//MMSCAB   EXEC IMPDMCCL,PRGM=MMSCAB
//MMSDAB   EXEC IMPDMCCL,PRGM=MMSDAB
//MMSHAB   EXEC IMPDMCCL,PRGM=MMSHAB
//MMSMAB   EXEC IMPDMCCL,PRGM=MMSMAB
//MMSRAB   EXEC IMPDMCCL,PRGM=MMSRAB
//MMSSAB   EXEC IMPDMCCL,PRGM=MMSSAB
//MMS1AB   EXEC IMPDMCCL,PRGM=MMS1AB
//MMS2AB   EXEC IMPDMCCL,PRGM=MMS2AB
//MMTCAB   EXEC IMPDMCCL,PRGM=MMTCAB
//MMTMAB   EXEC IMPDMCCL,PRGM=MMTMAB
//MMT1AB   EXEC IMPDMCCL,PRGM=MMT1AB
//MMUIAB   EXEC IMPDMCCL,PRGM=MMUIAB
//MMUOAB   EXEC IMPDMCCL,PRGM=MMUOAB
//MMWTAB   EXEC IMPDMCCL,PRGM=MMWTAB
//MMXRAB   EXEC IMPDMCCL,PRGM=MMXRAB
//MMXTAB   EXEC IMPDMCCL,PRGM=MMXTAB
//MTAMAB   EXEC IMPDMCCL,PRGM=MTAMAB
//MTARAB   EXEC IMPDMCCL,PRGM=MTARAB
//MTCCAB   EXEC IMPDMCCL,PRGM=MTCCAB
//MTCGAB   EXEC IMPDMCCL,PRGM=MTCGAB
//MTCHAB   EXEC IMPDMCCL,PRGM=MTCHAB
//MTCIAB   EXEC IMPDMCCL,PRGM=MTCIAB
//MTCJAB   EXEC IMPDMCCL,PRGM=MTCJAB
//MTCKAB   EXEC IMPDMCCL,PRGM=MTCKAB
//MTCPAB   EXEC IMPDMCCL,PRGM=MTCPAB
//MTCSAB   EXEC IMPDMCCL,PRGM=MTCSAB
//MTC1AB   EXEC IMPDMCCL,PRGM=MTC1AB
//MTC2AB   EXEC IMPDMCCL,PRGM=MTC2AB
//MTC3AB   EXEC IMPDMCCL,PRGM=MTC3AB
//MTC4AB   EXEC IMPDMCCL,PRGM=MTC4AB
//MTEDAB   EXEC IMPDMCCL,PRGM=MTEDAB
//MTETAB   EXEC IMPDMCCL,PRGM=MTETAB
//MTEXAB   EXEC IMPDMCCL,PRGM=MTEXAB
//MTFGAB   EXEC IMPDMCCL,PRGM=MTFGAB
//MTFIAB   EXEC IMPDMCCL,PRGM=MTFIAB
//MTFJAB   EXEC IMPDMCCL,PRGM=MTFJAB
//MTF1AB   EXEC IMPDMCCL,PRGM=MTF1AB
//MTF2AB   EXEC IMPDMCCL,PRGM=MTF2AB
//MTF3AB   EXEC IMPDMCCL,PRGM=MTF3AB
//MTF4AB   EXEC IMPDMCCL,PRGM=MTF4AB
//MTF5AB   EXEC IMPDMCCL,PRGM=MTF5AB
//MTF6AB   EXEC IMPDMCCL,PRGM=MTF6AB
//MTF7AB   EXEC IMPDMCCL,PRGM=MTF7AB
//MTF8AB   EXEC IMPDMCCL,PRGM=MTF8AB
//MTF9AB   EXEC IMPDMCCL,PRGM=MTF9AB
//MTGIAB   EXEC IMPDMCCL,PRGM=MTGIAB
//MTGLAB   EXEC IMPDMCCL,PRGM=MTGLAB
//MTGTAB   EXEC IMPDMCCL,PRGM=MTGTAB
//MTI1AB   EXEC IMPDMCCL,PRGM=MTI1AB
//MTI2AB   EXEC IMPDMCCL,PRGM=MTI2AB
//MTI3AB   EXEC IMPDMCCL,PRGM=MTI3AB
//MTLGAB   EXEC IMPDMCCL,PRGM=MTLGAB
//MTLIAB   EXEC IMPDMCCL,PRGM=MTLIAB
//MTL1AB   EXEC IMPDMCCL,PRGM=MTL1AB
//MTL2AB   EXEC IMPDMCCL,PRGM=MTL2AB
//MTMOAB   EXEC IMPDMCCL,PRGM=MTMOAB
//MTMSAB   EXEC IMPDMCCL,PRGM=MTMSAB
//MTM6AB   EXEC IMPDMCCL,PRGM=MTM6AB
//MTM9AB   EXEC IMPDMCCL,PRGM=MTM9AB
//MTOEAB   EXEC IMPDMCCL,PRGM=MTOEAB
//MTOGAB   EXEC IMPDMCCL,PRGM=MTOGAB
//MTOIAB   EXEC IMPDMCCL,PRGM=MTOIAB
//MTOXAB   EXEC IMPDMCCL,PRGM=MTOXAB
//MTPAAB   EXEC IMPDMCCL,PRGM=MTPAAB
//MTPEAB   EXEC IMPDMCCL,PRGM=MTPEAB
//MTPGAB   EXEC IMPDMCCL,PRGM=MTPGAB
//MTPSAB   EXEC IMPDMCCL,PRGM=MTPSAB
//MTPTAB   EXEC IMPDMCCL,PRGM=MTPTAB
//MTPXAB   EXEC IMPDMCCL,PRGM=MTPXAB
//MTP0AB   EXEC IMPDMCCL,PRGM=MTP0AB
//MTP1AB   EXEC IMPDMCCL,PRGM=MTP1AB
//MTP2AB   EXEC IMPDMCCL,PRGM=MTP2AB
//MTP3AB   EXEC IMPDMCCL,PRGM=MTP3AB
//MTP4AB   EXEC IMPDMCCL,PRGM=MTP4AB
//MTP5AB   EXEC IMPDMCCL,PRGM=MTP5AB
//MTP6AB   EXEC IMPDMCCL,PRGM=MTP6AB
//MTP7AB   EXEC IMPDMCCL,PRGM=MTP7AB
//MTP8AB   EXEC IMPDMCCL,PRGM=MTP8AB
//MTP9AB   EXEC IMPDMCCL,PRGM=MTP9AB
//MTQLAB   EXEC IMPDMCCL,PRGM=MTQLAB
//MTRDAB   EXEC IMPDMCCL,PRGM=MTRDAB
//MTRFAB   EXEC IMPDMCCL,PRGM=MTRFAB
//MTRGAB   EXEC IMPDMCCL,PRGM=MTRGAB
//MTR0AB   EXEC IMPDMCCL,PRGM=MTR0AB
//MTR1AB   EXEC IMPDMCCL,PRGM=MTR1AB
//MTR2AB   EXEC IMPDMCCL,PRGM=MTR2AB
//MTR3AB   EXEC IMPDMCCL,PRGM=MTR3AB
//MTR4AB   EXEC IMPDMCCL,PRGM=MTR4AB
//MTR5AB   EXEC IMPDMCCL,PRGM=MTR5AB
//MTR6AB   EXEC IMPDMCCL,PRGM=MTR6AB
//MTR7AB   EXEC IMPDMCCL,PRGM=MTR7AB
//MTR8AB   EXEC IMPDMCCL,PRGM=MTR8AB
//MTR9AB   EXEC IMPDMCCL,PRGM=MTR9AB
//MTSDAB   EXEC IMPDMCCL,PRGM=MTSDAB
//MTSEAB   EXEC IMPDMCCL,PRGM=MTSEAB
//MTSHAB   EXEC IMPDMCCL,PRGM=MTSHAB
//MTSIAB   EXEC IMPDMCCL,PRGM=MTSIAB
//MTSTAB   EXEC IMPDMCCL,PRGM=MTSTAB
//MTSUAB   EXEC IMPDMCCL,PRGM=MTSUAB
//MTS6AB   EXEC IMPDMCCL,PRGM=MTS6AB
//MTS9AB   EXEC IMPDMCCL,PRGM=MTS9AB
//MTTDAB   EXEC IMPDMCCL,PRGM=MTTDAB
//MTTIAB   EXEC IMPDMCCL,PRGM=MTTIAB
//MTTTAB   EXEC IMPDMCCL,PRGM=MTTTAB
//MTT1AB   EXEC IMPDMCCL,PRGM=MTT1AB
//MTUDAB   EXEC IMPDMCCL,PRGM=MTUDAB
//MTUIAB   EXEC IMPDMCCL,PRGM=MTUIAB
//MTUQAB   EXEC IMPDMCCL,PRGM=MTUQAB
//MTUTAB   EXEC IMPDMCCL,PRGM=MTUTAB
//MTU1AB   EXEC IMPDMCCL,PRGM=MTU1AB
//MTU2AB   EXEC IMPDMCCL,PRGM=MTU2AB
//MTU3AB   EXEC IMPDMCCL,PRGM=MTU3AB
//MTVIAB   EXEC IMPDMCCL,PRGM=MTVIAB
//MTVNAB   EXEC IMPDMCCL,PRGM=MTVNAB
//MTVOAB   EXEC IMPDMCCL,PRGM=MTVOAB
//MTWIAB   EXEC IMPDMCCL,PRGM=MTWIAB
//MWCPAB   EXEC IMPDMCCL,PRGM=MWCPAB
//MWD3AB   EXEC IMPDMCCL,PRGM=MWD3AB
//MWEQAB   EXEC IMPDMCCL,PRGM=MWEQAB
//MWOIAB   EXEC IMPDMCCL,PRGM=MWOIAB
//MWPAAB   EXEC IMPDMCCL,PRGM=MWPAAB
//*
//*
//*
