//MBXXX620 JOB (,MBS),'MBU620-TAXPAYER ID',
//         CLASS=B,
//         MSGCLASS=P,
//         MSGLEVEL=(1,1),
//         REGION=4M,
//*****    TYPRUN=SCAN,
//         NOTIFY=&SYSUID
//*
//JESDS    OUTPUT DEFAULT=YES,JESDS=ALL,GROUPID=JESDATA
//PRT1     OUTPUT GROUPID=DISPLAY,DEST=LOCAL,COPIES=1
//DUMP     OUTPUT GROUPID=DUMP
//*
//JOBLIB   DD  DSN=Y.MBS.P000804.PC.LOADLIBB,DISP=SHR
//         DD  DSN=Y.MBS.P000804.PA.LOADLIBB,DISP=SHR
//         DD  DSN=X.SSC.P000802.PC.LOADLIBB,DISP=SHR
//         DD  DSN=X.SSC.P000802.PA.LOADLIBB,DISP=SHR
//         DD  DSN=SYS1.V1R4M0.COB2LIB,DISP=SHR
//*
//MBU000   EXEC PGM=MBU000,COND=(0,NE)
//*******************************************************************
//* STEP 100 CONTROL CARD LOAD                             MBU000   *
//*******************************************************************
//SYSOUT   DD  SYSOUT=*
//SYSPRINT DD  SYSOUT=*
//SYSUDUMP DD  SYSOUT=*,OUTPUT=*.DUMP
//SYSDBOUT DD  SYSOUT=*,OUTPUT=*.DUMP
//MBPRT00  DD  SYSOUT=*,OUTPUT=*.PRT1
//MTCC     DD  DSN=Y.MBS.P000804.SJ.MTCC.F1.MBU620,
//             DISP=(NEW,PASS,DELETE),
//             UNIT=ANYDA,
//             SPACE=(TRK,(1,1),RLSE),
//             DCB=(RECFM=FB,LRECL=86,BLKSIZE=10750)
//*******************************************************************
//* 3 CONTROL CARDS DETERMINE IF THE TAXPAYER ID IS TO BE SIMULATED *
//* OR CORRECTED; SPECIFIES THE SEARCH VALUES THE TAXPAYER ID MUST  *
//* MEET AND SPECIFIES THE VALUES TO COMPRESS OUT OF THE TAXPAYER ID*
//*                                                                 *
//*                 POS VALUE MEANING                               *
//*                 --- ----- -------                               *
//* CONTROL CARD 1:  1   Y N  SIMULATE MODE                         *
//* (RUN MODE)       2   Y N  CORRECT MODE                          *
//*                                                                 *
//* CONTROL CARD 2:  1   Y N  ALL SAME REPEATING NUMERIC VALUE      *
//* (SEARCH VALUES)  2   Y N  ALL SPACES                            *
//*                  3   Y N  LESS THAN 9 CHARACTERS                *
//*                  4   Y N  LEADING SPACES                        *
//*                  5   Y N  EMBEDDED SPACES                       *
//*                  6   Y N  DASHES                                *
//*                  7   Y N  SLASHES (FORWARD OR BACKWARD)         *
//*                  8   Y N  SPECIAL CHARS (NON-ALPHA, NON-NUMERIC)*
//*                  9   Y N  ALPHA CHARACTERS (A-Z)                *
//*                                                                 *
//* CONTROL CARD 3:  1   Y N  LEADING SPACES                        *
//* (COMPRESS VALUES)2   Y N  EMBEDDED SPACES                       *
//*                  3   Y N  DASHES                                *
//*                  4   Y N  SLASHES (FORWARD OR BACKWARD)         *
//*                  5   Y N  SPECIAL CHARS (NON-ALPHA, NON-NUMERIC)*
//*                  6   Y N  ALPHA CHARACTERS (A-Z)                *
//*DEFAULT VALUES:                                                  *
//*++MBU620                                                         *
//*YN                                                               *
//*YYYYYNNYY                                                        *
//*YYYYYY                                                           *
//*******************************************************************
//*-+----1----+----2----+----3----+----4----+----5----+----6----+----7--
//SWCC     DD  *
++MBU620
YN
NNYNYYYNY
NYYYYY
/*
//*
//MBU620   EXEC PGM=MBU620,COND=(0,NE)
//*******************************************************************
//* STEP 620 MERCHANT TAXPAYER ID UTILITY PROGRAM          MBU620   *
//*******************************************************************
//SYSOUT   DD  SYSOUT=*
//SYSPRINT DD  SYSOUT=*
//SYSUDUMP DD  SYSOUT=*,OUTPUT=*.DUMP
//SYSDBOUT DD  SYSOUT=*,OUTPUT=*.DUMP
//MBPRT00  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT01  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT02  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT03  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT04  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT05  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT06  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT07  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT08  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT09  DD  SYSOUT=*,OUTPUT=*.PRT1
//MBPRT10  DD  SYSOUT=*,OUTPUT=*.PRT1
//MTF1     DD  DUMMY,DCB=(RECFM=FB,LRECL=133,BLKSIZE=133)
//MTF2     DD  DUMMY,DCB=(RECFM=FB,LRECL=133,BLKSIZE=133)
//MTF3     DD  DUMMY,DCB=(RECFM=FB,LRECL=133,BLKSIZE=133)
//MTF4     DD  DUMMY,DCB=(RECFM=FB,LRECL=133,BLKSIZE=133)
//MTF5     DD  DUMMY,DCB=(RECFM=FB,LRECL=133,BLKSIZE=133)
//MTF6     DD  DUMMY,DCB=(RECFM=FB,LRECL=133,BLKSIZE=133)
//MTF7     DD  DUMMY,DCB=(RECFM=FB,LRECL=133,BLKSIZE=133)
//MTF8     DD  DUMMY,DCB=(RECFM=FB,LRECL=133,BLKSIZE=133)
//MTF9     DD  DUMMY,DCB=(RECFM=FB,LRECL=133,BLKSIZE=133)
//MTCC     DD  DSN=Y.MBS.P000804.SJ.MTCC.F1.MBU620,
//             DISP=(OLD,DELETE,DELETE)
//MMSC     DD  DSN=Y.MBS.P000804.KE.MMSC.F1.MBXXX,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMMM     DD  DSN=Y.MBS.P000804.KE.MMMM.F1.MBXXX,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMMP     DD  DSN=Y.MBS.P000804.KE.MMMP.F1.MBXXX,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMSM     DD  DSN=Y.MBS.P000804.KE.MMSM.F1.MBXXX,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMXR     DD  DSN=Y.MBS.P000804.KE.MMXR.F1.MBXXX,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMOC     DD  DSN=Y.MBS.P000804.KE.MMOC.F1.MBXXX,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//*
