000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBC823.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBC823 - CONVERT MB3O FILE FROM 8.03 TO 8.04            *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700/
001800 DATA DIVISION.
001900 FILE SECTION.
002000 WORKING-STORAGE SECTION.
002100*
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*
002400 01  MBC270CC-PROGRAM-X.
002500     03  MBC270CC            PIC  X(08)      VALUE 'MBC270CC'.
002600     03  MB00WS-MC3IAB       PIC  X(08)      VALUE 'MB3IAB'.
002700*
002800 01  WS-C270CC-WORK-AREAS.
002900     03  WS-C270CC-ORG100-SW PIC  X(01)      VALUE 'N'.
003000/
003100     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB3I==.
003200/
003300     COPY MB00RB REPLACING ==:MB00:== BY ==MB3I==.
003400/
003500     COPY MMD3RL REPLACING ==:MMD3:== BY ==MB3I==.
003600/
003700*****************************************************************
003800*                                                               *
003900*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
004000*                                                               *
004100*  D325RL -------DEPOSIT DETAIL HISTORY RECORD-----  350 BYTES  *
004200*                                                               *
004300*****************************************************************
004400 01  D325-RECORD.
004500     03  D325-KEY.
004600         05  D325-ALIGN-KEY.
004700             07  D325-ORG-MERCHANT.
004800                 88  D325-HEADER             VALUE ZERO.
004900                 88  D325-TRAILER            VALUE '999999999999'.
005000                 09  D325-ORG-X.
005100                     11  D325-ORG
005200                             PIC  9(03).
005300                 09  D325-MERCHANT-X.
005400                     11  D325-MERCHANT
005500                             PIC  9(09).
005600*
005700             07  D325-STORE-AREA.
005800                 09  D325-STORE
005900                             PIC S9(09)      COMP-3.
006000*
006100             07  D325-BATCH.
006200                 09  D325-BATCH-SORT.
006300                     11  D325-BATCH-DATE
006400                             PIC S9(07)      COMP-3.
006500                     11  D325-BATCH-SOURCE
006600                             PIC S9(05)      COMP-3.
006700                     11  D325-BATCH-NBR
006800                             PIC S9(05)      COMP-3.
006900                 09  D325-BATCH-SEQ
007000                             PIC S9(08)      BINARY.
007100*
007200         05  D325-SEQ-NBR    PIC S9(08)      BINARY.
007300*
007400     03  D325-POST-KEY.
007500         05  D325-PRODUCT-X.
007600             07  D325-PRODUCT
007700                             PIC  9(02).
007800                 88  D325-NON-PRODUCT        VALUE ZERO.
007900                 88  D325-PROD-IS-VISA       VALUE 01.
008000                 88  D325-PROD-IS-MC         VALUE 02.
008100                 88  D325-PROD-IS-PL         VALUE 03 THRU 99.
008200*
008300         05  D325-PLAN-X.
008400             07  D325-PLAN
008500                             PIC  9(05).
008600*
008700         05  D325-LOGIC-MODULE
008800                             PIC  9(03).
008900*
009000         05  D325-QUAL-LEVEL-X.
009100             07  D325-QUAL-LEVEL
009200                             PIC  9(02).
009300*
009400     03  D325-DATA.
009500         05  D325-TRANS-CODE
009600                             PIC S9(03)      COMP-3.
009700*
009800         05  D325-TRANS-FLAG
009900                             PIC  X(01).
010000             88  D325-TF-MEMO                VALUE 'M' SPACE.
010100             88  D325-TF-CREDIT              VALUE 'C'.
010200             88  D325-TF-DEBIT               VALUE 'D'.
010300             88  D325-TF-NOT-YET-ASSIGNED    VALUE SPACE.
010400*
010500         05  D325-NBR-ITEMS
010600                             PIC S9(08)      BINARY.
010700*
010800         05  D325-AMOUNT     PIC S9(17)      COMP-3.
010900*
011000         05  D325-POST-DATE
011100                             PIC S9(07)      COMP-3.
011200*
011300         05  D325-ENTRY-DATE
011400                             PIC S9(07)      COMP-3.
011500*
011600         05  D325-STMT-FLAG
011700                             PIC  X(01).
011800             88  D325-STATEMENTED            VALUE 'Y'.
011900             88  D325-NOT-STATEMENTED        VALUE 'N'.
012000*
012100         05  D325-SETT-FLAG
012200                             PIC  X(01).
012300             88  D325-SETTLED                VALUE 'S' 'B' 'W'
012400                                                   '1' '2'
012500                                                   '3' '4'.
012600             88  D325-NOT-SETTLED            VALUE 'N'.
012700             88  D325-SETTLED-ACH-MAN        VALUE 'S'.
012800             88  D325-SETTLED-BILLED         VALUE 'B'.
012900             88  D325-SETTLED-WINDOW         VALUE 'W'.
013000             88  D325-SETTLED-RESV-1         VALUE '1'.
013100             88  D325-SETTLED-RESV-2         VALUE '2'.
013200             88  D325-SETTLED-RESV-3         VALUE '3'.
013300             88  D325-SETTLED-RESV-4         VALUE '4'.
013400*
013500         05  D325-SETT-ACCT
013600                             PIC  9(01).
013700             88  D325-SA-NOT-APPLICABLE      VALUE ZERO.
013800             88  D325-SETT-ACCT-1            VALUE 1.
013900             88  D325-SETT-ACCT-2            VALUE 2.
014000             88  D325-SETT-ACCT-3            VALUE 3.
014100             88  D325-SETT-ACCT-4            VALUE 4.
014200             88  D325-SA-WINDOW              VALUE 5.
014300*
014400         05  D325-SETT-DATE
014500                             PIC S9(07)      COMP-3.
014600*
014700         05  D325-REF-BATCH.
014800             07  D325-REF-BATCH-SORT.
014900                 09  D325-REF-BATCH-DATE
015000                             PIC S9(07)      COMP-3.
015100                 09  D325-REF-BATCH-SOURCE
015200                             PIC S9(05)      COMP-3.
015300                 09  D325-REF-BATCH-NBR
015400                             PIC S9(05)      COMP-3.
015500             07  D325-REF-BATCH-SEQ
015600                             PIC S9(08)      BINARY.
015700*
015800         05  D325-REF-DATA.
015900             07  D325-REF-NBR
016000                             PIC  X(23).
016100             07  D325-REF-AMOUNT-1
016200                             PIC S9(17)      COMP-3.
016300             07  D325-REF-AMOUNT-2
016400                             PIC S9(17)      COMP-3.
016500             07  D325-REF-NBR-ITEMS
016600                             PIC S9(08)      BINARY.
016700             07  D325-REF-PRODUCT-X.
016800                 09  D325-REF-PRODUCT
016900                             PIC  9(02).
017000             07  D325-REF-PLAN-X.
017100                 09  D325-REF-PLAN
017200                             PIC S9(05)      COMP-3.
017300             07  D325-REF-QUAL-LEVEL-X.
017400                 09  D325-REF-QUAL-LEVEL
017500                             PIC  9(02).
017600*
017700         05  D325-ORIG-GL-SOURCE
017800                             PIC  9(01).
017900             88  D325-OGL-LOCAL-INP          VALUE ZERO.
018000             88  D325-OGL-POS-1-INPUT        VALUE 1.
018100             88  D325-OGL-POS-2-INPUT        VALUE 2.
018200             88  D325-OGL-POS-3-INPUT        VALUE 3.
018300             88  D325-OGL-DATA-CAPTURE-INPUT
018400                                             VALUE 4.
018500             88  D325-OGL-USER-INP           VALUE 5.
018600             88  D325-OGL-FE-GENERATED       VALUE 6.
018700             88  D325-OGL-WAREHOUSED         VALUE 7.
018800             88  D325-OGL-GENERATED          VALUE 8.
018900             88  D325-OGL-RESERVED           VALUE 9.
019000*
019100         05  D325-GL-SOURCE
019200                             PIC  9(01).
019300             88  D325-GL-LOCAL-INP           VALUE ZERO.
019400             88  D325-GL-POS-1-INPUT         VALUE 1.
019500             88  D325-GL-POS-2-INPUT         VALUE 2.
019600             88  D325-GL-POS-3-INPUT         VALUE 3.
019700             88  D325-GL-DATA-CAPTURE-INPUT
019800                                             VALUE 4.
019900             88  D325-GL-USER-INP            VALUE 5.
020000             88  D325-GL-FE-GENERATED        VALUE 6.
020100             88  D325-GL-WAREHOUSED          VALUE 7.
020200             88  D325-GL-GENERATED           VALUE 8.
020300             88  D325-GL-RESERVED            VALUE 9.
020400*
020500         05  D325-TRANS-STATUS
020600                             PIC  X(01).
020700             88  D325-TRANS-ACTIVE           VALUE 'R' 'A' SPACE.
020800             88  D325-TRANS-FORCE-ADJ        VALUE 'A'.
020900             88  D325-TRANS-REACTIVATED      VALUE 'R'.
021000             88  D325-TRANS-DELETED          VALUE 'D'.
021100*
021200         05  D325-QUAL-INDICATOR
021300                             PIC  X(01).
021400             88  D325-QI-NOT-APPLICABLE      VALUE ZERO.
021500             88  D325-QI-INTRACHANGE-DIFF    VALUE '1'.
021600             88  D325-QI-INTRACHANGE-ONUS    VALUE '2'.
021700             88  D325-QI-DOMESTIC-NORMAL     VALUE '3'.
021800             88  D325-QI-DOMESTIC-ABOVE      VALUE '4'.
021900             88  D325-QI-DOMESTIC-BELOW      VALUE '5'.
022000             88  D325-QI-INTERNATIONAL-NORMAL
022100                                             VALUE '6'.
022200             88  D325-QI-INTERNATIONAL-ABOVE
022300                                             VALUE '7'.
022400             88  D325-QI-INTERNATIONAL-BELOW
022500                                             VALUE '8'.
022600             88  D325-QI-REGIONAL-NORMAL     VALUE '9'.
022700             88  D325-QI-REGIONAL-ABOVE      VALUE 'A'.
022800             88  D325-QI-REGIONAL-BELOW      VALUE 'B'.
022900             88  D325-QI-QUALIFIED           VALUE '3' '6' '9'.
023000             88  D325-QI-NON-QUAL-ABOVE      VALUE '4' '7' 'A'.
023100             88  D325-QI-NON-QUAL-BELOW      VALUE '5' '8' 'B'.
023200             88  D325-QI-INTRACHANGE         VALUE '1' '2'.
023300             88  D325-QI-INTERCHANGE         VALUE '3' THRU '9'
023400                                                   'A' 'B'.
023500             88  D325-QI-DOMESTIC            VALUE '3' '4' '5'.
023600             88  D325-QI-INTERNATIONAL       VALUE '6' '7' '8'.
023700             88  D325-QI-REGIONAL            VALUE '9' 'A' 'B'.
023800*
023900         05  D325-DATA-ENTRY-MODE
024000                             PIC  X(01).
024100             88  D325-DEM-IS-NOT-APPLICABLE
024200                                             VALUE ZERO.
024300             88  D325-DEM-IS-KEYED           VALUE '1'.
024400             88  D325-DEM-IS-SWIPED          VALUE '2'.
024500*
024600         05  D325-REJECT-REENTRY-FLAG
024700                             PIC  X(01).
024800             88  D325-RR-POSTED-TO-MERCH     VALUE 'Y'.
024900             88  D325-RR-NOT-POSTED-TO-MERCH
025000                                             VALUE 'N'.
025100*
025200         05  D325-AR-CURR-INPUT-SOURCE
025300                             PIC  X(01).
025400             88  D325-CIS-1ST-TIME           VALUE '0' SPACE.
025500             88  D325-CIS-SUBSEQUENT         VALUE '1'.
025600             88  D325-CIS-XFER-HISTORY       VALUE '9'.
025700*
025800         05  D325-AR-MT-TYPE
025900                             PIC  X(01).
026000             88  D325-AR-MT-MEMO             VALUE 'M' SPACE.
026100             88  D325-AR-MT-CREDIT           VALUE 'C'.
026200             88  D325-AR-MT-DEBIT            VALUE 'D'.
026300             88  D325-AR-MT-NOT-FROM-CMS     VALUE 'N'.
026400*
026500         05  D325-DUP-IN-BATCH-FLAG
026600                             PIC  X(01).
026700             88  D325-DUP-IN-BATCH           VALUE 'Y'.
026800             88  D325-NOT-DUP-IN-BATCH       VALUE 'N'.
026900*
027000         05  D325-DUP-BY-DAY-FLAG
027100                             PIC  X(01).
027200             88  D325-DUP-BY-DAY             VALUE 'Y'.
027300             88  D325-NOT-DUP-BY-DAY         VALUE 'N'.
027400*
027500         05  D325-ORIG-OPERATOR
027600                             PIC  X(03).
027700*
027800         05  D325-LAST-OPERATOR
027900                             PIC  X(03).
028000*
028100         05  D325-GOVERNING-STATE
028200                             PIC  X(03).
028300*
028400         05  D325-LOGO-X.
028500             07  D325-LOGO
028600                             PIC  9(03).
028700*
028800         05  D325-SKU-NBR-X.
028900             07  D325-SKU-NBR
029000                             PIC  9(09).
029100*
029200         05  D325-DEPT-CODE
029300                             PIC  X(04).
029400*
029500         05  D325-DESC       PIC  X(40).
029600*
029700         05  D325-RPT-DESC PIC    X(15).
029800         05  D325-CARD-PROD-TYPE                                  EH800900
029900                             PIC  X(03).                          EH800900
030000*
030100     03  D325-FILLER         PIC  X(18).                          EH800900
030200*
030300     03  D325-USER-FILLER    PIC  X(15).
030400*
030500     03  D325-POST-FLAG      PIC  9(02).
030600         88  D325-PF-POSTED-TRANSACTION      VALUE ZERO.
030700         88  D325-PF-NO-STORE                VALUE 50.
030800         88  D325-PF-NO-TC-TRANSLATION       VALUE 51.
030900         88  D325-PF-INVALID-TC-OR-LM        VALUE 52.
031000         88  D325-PF-NON-POST-MERCH-ITEM     VALUE 53.
031100         88  D325-PF-PROCESSED-REPEAT-REJ    VALUE 54.
031200         88  D325-PF-PROCESSED-POSTED-REJ    VALUE 55.
031300         88  D325-PF-STORE-NON-SETTLEMENT    VALUE 56.
031400         88  D325-PF-MERCHANT-BLOCKED        VALUE 57.
031500         88  D325-PF-NO-POSTING-TO-STORE     VALUE 58.
031600         88  D325-PF-NO-STORE-FOUND          VALUE 59.
031700         88  D325-PF-QUALIFIED-NON-POST      VALUE 50 THRU 59.
031800         88  D325-PF-NON-MERCH-ITEM          VALUE 50 THRU 52.
031900         88  D325-PF-WAREHOUSED              VALUE 90.
032000*
032100     03  D325-VAR-DATA-IND PIC    9(01).
032200         88  D325-VDI-NOT-PRESENT            VALUE ZERO.
032300         88  D325-VDI-DEPOSIT-DATA           VALUE 1.
032400         88  D325-VDI-FEE-DATA               VALUE 2.
032500         88  D325-VDI-HEADER-DATA            VALUE 3.
032600*
032700     03  D325-VARIABLE-DATA.
032800*
032900* N O T E --- AR ORG, ACCT AND TC ARE ONLY VALID ON VARIABLE DATA
033000*             AREAS 1 AND 2.
033100*
033200         05  D325-VD-AR-ORG-ACCT-TC.
033300             07  D325-AR-KEY.
033400                 09  D325-AR-ORG-X.
033500                     11  D325-AR-ORG
033600                             PIC  9(03).
033700                 09  D325-AR-ACCT
033800                             PIC  X(19).
033900             07  D325-AR-TRANS-CODE
034000                             PIC S9(03)      COMP-3.
034100             07  D325-AR-LOGIC-MODULE
034200                             PIC  9(02).
034300             07  D325-AR-POST-FLAG
034400                             PIC  9(02).
034500*
034600         05  FILLER          PIC  X(49).
034700*
034800     03  D325-VD-DEPOSIT-DATA
034900                             REDEFINES D325-VARIABLE-DATA.
035000         05  D325-VD-DD-AR-ORG-ACCT-TC
035100                             PIC  X(28).
035200         05  D325-INDIV-DISC-FLAG
035300                             PIC  X(01).
035400             88  D325-INDIV-DISCOUNT         VALUE 'D'.
035500             88  D325-INDIV-REFUND           VALUE 'C'.
035600*
035700         05  D325-INDIV-DISC-AMT
035800                             PIC S9(17)      COMP-3.
035900*
036000         05  D325-INDIV-DISC-IND
036100                             PIC  X(01).
036200             88  D325-IDI-IS-RATE            VALUE 'R'.
036300             88  D325-IDI-IS-PER-ITEM        VALUE 'P'.
036400*
036500         05  D325-INDIV-DISC-RATE
036600                             PIC S9(09)      COMP-3.
036700         05  D325-INDIV-DISC-PER-ITEM
036800                             REDEFINES D325-INDIV-DISC-RATE
036900                             PIC S9(09)      COMP-3.
037000*
037100         05  D325-INDIV-DISC-ADJ-RATE
037200                             PIC S9(09)      COMP-3.
037300         05  D325-INDIV-DISC-ADJ-PER-ITEM
037400                             REDEFINES D325-INDIV-DISC-ADJ-RATE
037500                             PIC S9(09)      COMP-3.
037600*
037700         05  D325-INDIV-PART-FLAG
037800                             PIC  X(01).
037900             88  D325-INDIV-PART-DR          VALUE 'D'.
038000             88  D325-INDIV-PART-CR          VALUE 'C'.
038100*
038200         05  D325-INDIV-PART-AMT
038300                             PIC S9(17)      COMP-3.
038400*
038500         05  D325-INDIV-PART-IND
038600                             PIC  X(01).
038700             88  D325-IPI-IS-RATE            VALUE 'R'.
038800             88  D325-IPI-IS-PER-ITEM        VALUE 'P'.
038900*
039000         05  D325-INDIV-PART-RATE
039100                             PIC S9(09)      COMP-3.
039200         05  D325-INDIV-PART-PER-ITEM
039300                             REDEFINES D325-INDIV-PART-RATE
039400                             PIC S9(09)      COMP-3.
039500*
039600         05  D325-INDIV-PART-ADJ-RATE
039700                             PIC S9(09)      COMP-3.
039800         05  D325-INDIV-PART-ADJ-PER-ITEM
039900                             REDEFINES D325-INDIV-PART-ADJ-RATE
040000                             PIC S9(09)      COMP-3.
040100*
040200         05  D325-AR-AUTH-CODE
040300                             PIC  X(06).
040400         05  FILLER          PIC  X(01).
040500*
040600     03  D325-VD-FEE-DATA    REDEFINES D325-VARIABLE-DATA.
040700         05  D325-VD-FEE-AREA.
040800             07  D325-VD-FA-AR-ORG-ACCT-TC
040900                             PIC  X(28).
041000             07  D325-FEE-FACTOR-NBR
041100                             PIC S9(09)      COMP-3.
041200             07  D325-FEE-FACTOR-AMT
041300                             PIC S9(17)      COMP-3.
041400             07  D325-FEE-INC-PER-ITEM
041500                             PIC S9(09)      COMP-3.
041600             07  D325-FEE-INC-RATE
041700                             PIC S9(07)      COMP-3.
041800             07  D325-FEE-EXP-PER-ITEM
041900                             PIC S9(09)      COMP-3.
042000             07  D325-FEE-EXP-RATE
042100                             PIC S9(07)      COMP-3.
042200             07  D325-FEE-EXP-AMOUNT
042300                             PIC S9(17)      COMP-3.
042400             07  FILLER      PIC  X(08).
042500*
042600     03  D325-VD-HEADER-DATA
042700                             REDEFINES D325-VARIABLE-DATA.
042800         05  D325-VD-HEADER-TOTALS.
042900             07  D325-SALES-NBR
043000                             PIC S9(09)      COMP-3.
043100             07  D325-SALES-AMT
043200                             PIC S9(17)      COMP-3.
043300             07  D325-SALES-REV-NBR
043400                             PIC S9(09)      COMP-3.
043500             07  D325-SALES-REV-AMT
043600                             PIC S9(17)      COMP-3.
043700             07  D325-RETURNS-NBR
043800                             PIC S9(09)      COMP-3.
043900             07  D325-RETURNS-AMT
044000                             PIC S9(17)      COMP-3.
044100             07  D325-RETURNS-REV-NBR
044200                             PIC S9(09)      COMP-3.
044300             07  D325-RETURNS-REV-AMT
044400                             PIC S9(17)      COMP-3.
044500             07  D325-MEMO-NBR
044600                             PIC S9(09)      COMP-3.
044700             07  D325-MEMO-AMT
044800                             PIC S9(17)      COMP-3.
044900         05  FILLER          PIC  X(07).
045000*
045100*       ***************************************************
045200*       *              END OF COPYBOOK D325RL             *
045300*       ***************************************************
045400/
045500     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB3O==.
045600/
045700     COPY MB00RB REPLACING ==:MB00:== BY ==MB3O==.
045800/
045900     COPY MMD3RL REPLACING ==:MMD3:== BY ==MB3O==.
046000/
046100     COPY MTPTIR REPLACING ==:MTPT:== BY ==MTPT==.
046200/
046300     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD3==.
046400/
046500     COPY MB00WS.
046600/
046700     COPY MB99WS.
046800/
046900     COPY SS00WS.
047000/
047100     COPY SS01WS.
047200/
047300     COPY SS02WS.
047400*
047500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
047600/
047700 PROCEDURE DIVISION.
047800 A000-MAIN-LINE-SECT SECTION.
047900 A010-ML-BEGIN.
048000*
048100     MOVE 'MBC823'               TO SS02WS-ABEND-PROG-ID.
048200*
048300***  CALL MBC270CC               USING WS-C270CC-WORK-AREAS.
048400*
048500     MOVE 'O13I'                 TO SS02WS-ABEND-LOCATION.
048600     SET MB3IRB-OPEN-INPUT       TO TRUE.
048700     PERFORM MB00PD-MB3I-ACCESS
048800        THRU MB00PD-MB3I-ACCESS-EXIT.
048900*
049000     MOVE 'O13O'                 TO SS02WS-ABEND-LOCATION.
049100     SET MB3ORB-OPEN-OUTPUT      TO TRUE.
049200     PERFORM MB00PD-MB3O-ACCESS
049300        THRU MB00PD-MB3O-ACCESS-EXIT.
049400*
049500     MOVE SPACES                 TO MB3OIO-RECORD.
049600     MOVE ZERO                   TO MB3OIO-ORG.
049700     MOVE ZERO                   TO MB3OIO-MERCHANT.
049800     MOVE ZERO                   TO MB3OIO-STORE.
049900     INITIALIZE MB3OIO-BATCH.
050000     MOVE ZERO                   TO MB3OIO-SEQ-NBR.
050100     MOVE ZERO                   TO MB3OIO-DATE-STAMP.
050200     MOVE ZERO                   TO MB3OIO-TIME-STAMP.
050300*
050400     MOVE 'W03O'                 TO SS02WS-ABEND-LOCATION.
050500     SET MB3ORB-WRITE            TO TRUE.
050600     PERFORM MB00PD-MB3O-ACCESS
050700        THRU MB00PD-MB3O-ACCESS-EXIT.
050800*
050900 A100-ML-READ-MB3I.
051000*
051100     MOVE 'R13I'                 TO SS02WS-ABEND-LOCATION.
051200     SET MB3IRB-READ-SEQ         TO TRUE.
051300     PERFORM MB00PD-MB3I-ACCESS
051400        THRU MB00PD-MB3I-ACCESS-EXIT.
051500*
051600     IF  MB3IIO-HEADER
051700         GO TO A100-ML-READ-MB3I.
051800*
051900     IF  MB3IIO-TRAILER
052000         GO TO A900-ML-CLOSE-FILES.
052100*
052200     MOVE MB3IIO-RECORD          TO D325-RECORD.
052300     PERFORM X700-CONVERT-MMD3
052400        THRU X709-CMMD3-EXIT.
052500     MOVE MMD3-RECORD            TO MB3O-RECORD.
052600*
052700     PERFORM B000-WRITE-MB3O
052800        THRU B099-WMB3O-EXIT.
052900*
053000     GO TO A100-ML-READ-MB3I.
053100*
053200*
053300*
053400 A900-ML-CLOSE-FILES.
053500*
053600     MOVE SPACES                 TO MB3OIO-RECORD.
053700     MOVE 999                    TO MB3OIO-ORG.
053800     MOVE 999999999              TO MB3OIO-MERCHANT.
053900     MOVE ZERO                   TO MB3OIO-STORE.
054000     INITIALIZE MB3OIO-BATCH.
054100     MOVE ZERO                   TO MB3OIO-SEQ-NBR.
054200     MOVE ZERO                   TO MB3OIO-DATE-STAMP.
054300     MOVE ZERO                   TO MB3OIO-TIME-STAMP.
054400*
054500     MOVE 'W93O'                 TO SS02WS-ABEND-LOCATION.
054600     SET MB3ORB-WRITE            TO TRUE.
054700     PERFORM MB00PD-MB3O-ACCESS
054800        THRU MB00PD-MB3O-ACCESS-EXIT.
054900*
055000*
055100*
055200     MOVE 'C13I'                 TO SS02WS-ABEND-LOCATION.
055300     SET MB3IRB-CLOSE            TO TRUE.
055400     PERFORM MB00PD-MB3I-ACCESS
055500        THRU MB00PD-MB3I-ACCESS-EXIT.
055600*
055700     MOVE 'C13O'                 TO SS02WS-ABEND-LOCATION.
055800     SET MB3ORB-CLOSE            TO TRUE.
055900     PERFORM MB00PD-MB3O-ACCESS
056000        THRU MB00PD-MB3O-ACCESS-EXIT.
056100*
056200     GO TO 9999-END-OF-PROGRAM.
056300*
056400 A099-ML-EXIT.
056500     EXIT.
056600/
056700 B000-WRITE-MB3O SECTION.
056800 B001-WMB3O-BEGIN.
056900*
057000     IF  WS-C270CC-ORG100-SW IS EQUAL TO 'Y'
057100         IF  MB3O-ORG-X IS EQUAL TO '100'
057200             GO TO B099-WMB3O-EXIT.
057300*
057400     MOVE MB3O-RECORD            TO MB3OIO-RECORD.
057500*
057600     MOVE 'W53O'                 TO SS02WS-ABEND-LOCATION.
057700     SET MB3ORB-WRITE            TO TRUE.
057800     PERFORM MB00PD-MB3O-ACCESS
057900        THRU MB00PD-MB3O-ACCESS-EXIT.
058000*
058100 B099-WMB3O-EXIT.
058200     EXIT.
058300/
058400 X700-CONVERT-MMD3 SECTION.
058500 X701-CMMD3-BEGIN.
058600*
058700     MOVE SPACES                 TO MMD3-RECORD.
058800     MOVE D325-RECORD (1:152)    TO MMD3-RECORD (1:152).
058900     SET  MMD3-STORE-DUP-INIT    TO TRUE.
059000     SET  MMD3-MERCH-DUP-INIT    TO TRUE.
059100     MOVE D325-RECORD (155:83)   TO MMD3-RECORD (155:83).
059200     MOVE ZEROS                  TO MMD3-CATEGORY-CODE.
059300     MOVE D325-RECORD (256:95)   TO MMD3-RECORD (256:95).
059400*
059500 X709-CMMD3-EXIT.
059600     EXIT.
059700/
059800 9000-PERFORMED-ROUTINES SECTION.
059900/
060000     COPY MB00PD REPLACING ==:MB00:== BY ==MB3I==.
060100/
060200     COPY MB00PD REPLACING ==:MB00:== BY ==MB3O==.
060300/
060400     COPY MB99PD.
060500/
060600     COPY SS02PD.
060700/
060800     COPY SS07PD.
060900/
061000     COPY SS08PD.
061100/
061200     COPY SS16PD.
061300/
061400     COPY SS26PD.
061500/
061600     COPY SS27PD.
061700*
061800 9995-END-SOURCE-STATEMENTS SECTION.
061900 9999-END-OF-PROGRAM.
062000     STOP RUN.
