000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD060.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700* MBD060 - MBS SYSTEM - DATE ROLL                               *
000800*                                                               *
000900*****************************************************************
001000*
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700 FILE-CONTROL.
001800 DATA DIVISION.
001900 FILE SECTION.
002000*
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*
002400     COPY MMAMRL REPLACING ==:MMAM:== BY ==MMAM==.
002500/
002600     COPY MMBCRL.
002700/
002800     COPY MMPARL REPLACING ==:MMPA:== BY ==MMCP==.
002900/
003000     COPY MMPARL REPLACING ==:MMPA:== BY ==MMCS==.
003100/
003200     COPY MMCTRL.
003300/
003400     COPY MMDTRL.
003500/
003600     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMEF==.
003700/
003800     COPY MMFARL REPLACING ==:MMFA:== BY ==MMFA==.
003900/
004000     COPY MMFPRL.
004100/
004200     COPY MMFSRL.
004300/
004400     COPY MMGDRL.
004500/
004600     COPY MMICRL.
004700/
004800     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMIF==.
004900/
005000     COPY MMMMRL.
005100/
005200     COPY MMMPRL.
005300/
005400     COPY MMOCRL.
005500/
005600     COPY MMPARL REPLACING ==:MMPA:== BY ==MMOE==.
005700/
005800     COPY MMPARL REPLACING ==:MMPA:== BY ==MMOI==.
005900/
006000     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
006100/
006200     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPE==.
006300/
006400     COPY MMPFRL.
006500/
006600     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPS==.
006700/
006800     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ1==.
006900/
006920     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ2==.                EH800900
006922/                                                                 EH800900
006930     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ3==.                EH800900
006932/                                                                 EH800900
006940     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ4==.                EH800900
006942/                                                                 EH800900
006950     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ5==.                EH800900
006952/                                                                 EH800900
006960     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ6==.                EH800900
006962/                                                                 EH800900
007000     COPY MMRCRL.
007100/
007200     COPY MMRDRL REPLACING ==:MMRD:== BY ==MMRD==.
007300/
007400     COPY MMRTRL.
007500/
007600     COPY MMSCRL.
007700/
007800     COPY MMSDRL REPLACING ==:MMSD:== BY ==MMSD==.
007900/
008000     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMSH==.
008100/
008200     COPY MMSMRL.
008300/
008400     COPY MMSRRL.
008500/
008600     COPY MMSSRL.
008700/
008800     COPY MMTCRL.
008900/
009000     COPY MMTMRL.
009100/
009200     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMWT==.
009300/
009400     COPY MMXRRL.
009500/
009600     COPY MMXTRL.
009700/
009800     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
009900/
010000******************************************************************
010100     COPY MMAMIO REPLACING ==:MMAM:== BY ==MMAM==.
010200/
010300     COPY MMBCIO.
010400/
010500     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMCP==.
010600/
010700     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMCS==.
010800/
010900     COPY MMCTIO.
011000/
011100     COPY MMDTIO.
011200/
011300     COPY MMIFIO REPLACING ==:MMIF:== BY ==MMEF==.
011400/
011500     COPY MMFAIO REPLACING ==:MMFA:== BY ==MMFA==.
011600/
011700     COPY MMFPIO.
011800/
011900     COPY MMFSIO.
012000/
012100     COPY MMGDIO.
012200/
012300     COPY MMICIO.
012400/
012500     COPY MMIFIO REPLACING ==:MMIF:== BY ==MMIF==.
012600/
012700     COPY MMMMIO.
012800/
012900     COPY MMMPIO.
013000/
013100     COPY MMOCIO.
013200/
013300     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOE==.
013400/
013500     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOI==.
013600/
013700     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPA==.
013800/
013900     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPE==.
014000/
014100     COPY MMPFIO.
014200/
014300     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPS==.
014400/
014500     COPY MMQ1IO.
014600/
014620     COPY MMQ2IO.                                                 EH800900
014622/                                                                 EH800900
014630     COPY MMQ3IO.                                                 EH800900
014632/                                                                 EH800900
014640     COPY MMQ4IO.                                                 EH800900
014642/                                                                 EH800900
014650     COPY MMQ5IO.                                                 EH800900
014652/                                                                 EH800900
014660     COPY MMQ6IO.                                                 EH800900
014662/                                                                 EH800900
014700     COPY MMRCIO.
014800/
014900     COPY MMRDIO REPLACING ==:MMRD:== BY ==MMRD==.
015000/
015100     COPY MMRTIO.
015200/
015300     COPY MMSCIO.
015400/
015500     COPY MMSDIO REPLACING ==:MMSD:== BY ==MMSD==.
015600/
015700     COPY MTPTIO REPLACING ==:MTPT:== BY ==MMSH==.
015800/
015900     COPY MMSMIO.
016000/
016100     COPY MMSRIO.
016200/
016300     COPY MMSSIO.
016400/
016500     COPY MMTCIO.
016600/
016700     COPY MMTMIO.
016800/
016900     COPY MTPTIO REPLACING ==:MTPT:== BY ==MMWT==.
017000/
017100     COPY MMXRIO.
017200/
017300     COPY MMXTIO.
017400/
017500     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
017600/
017700*****************************************************************
017800     COPY MB00RB REPLACING ==:MB00:== BY ==MMAM==.
017900/
018000     COPY MB00RB REPLACING ==:MB00:== BY ==MMBC==.
018100/
018200     COPY MB00RB REPLACING ==:MB00:== BY ==MMCP==.
018300/
018400     COPY MB00RB REPLACING ==:MB00:== BY ==MMCS==.
018500/
018600     COPY MB00RB REPLACING ==:MB00:== BY ==MMCT==.
018700/
018800     COPY MB00RB REPLACING ==:MB00:== BY ==MMDT==.
018900/
019000     COPY MB00RB REPLACING ==:MB00:== BY ==MMEF==.
019100/
019200     COPY MB00RB REPLACING ==:MB00:== BY ==MMFA==.
019300/
019400     COPY MB00RB REPLACING ==:MB00:== BY ==MMFP==.
019500/
019600     COPY MB00RB REPLACING ==:MB00:== BY ==MMFS==.
019700/
019800     COPY MB00RB REPLACING ==:MB00:== BY ==MMGD==.
019900/
020000     COPY MB00RB REPLACING ==:MB00:== BY ==MMIC==.
020100/
020200     COPY MB00RB REPLACING ==:MB00:== BY ==MMIF==.
020300/
020400     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
020500/
020600     COPY MB00RB REPLACING ==:MB00:== BY ==MMMP==.
020700/
020800     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
020900/
021000     COPY MB00RB REPLACING ==:MB00:== BY ==MMOE==.
021100/
021200     COPY MB00RB REPLACING ==:MB00:== BY ==MMOI==.
021300/
021400     COPY MB00RB REPLACING ==:MB00:== BY ==MMPA==.
021500/
021600     COPY MB00RB REPLACING ==:MB00:== BY ==MMPE==.
021700/
021800     COPY MB00RB REPLACING ==:MB00:== BY ==MMPF==.
021900/
022000     COPY MB00RB REPLACING ==:MB00:== BY ==MMPS==.
022100/
022200     COPY MB00RB REPLACING ==:MB00:== BY ==MMRC==.
022300/
022400     COPY MB00RB REPLACING ==:MB00:== BY ==MMRD==.
022500/
022600     COPY MB00RB REPLACING ==:MB00:== BY ==MMRT==.
022700/
022800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
022900     COPY MB00RB REPLACING ==:MB00:== BY ==MMSD==.
023000/
023100/
023200     COPY MB00RB REPLACING ==:MB00:== BY ==MMSH==.
023300/
023400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSM==.
023500/
023600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSR==.
023700/
023800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSS==.
023900/
024000     COPY MB00RB REPLACING ==:MB00:== BY ==MMTC==.
024100/
024200     COPY MB00RB REPLACING ==:MB00:== BY ==MMTM==.
024300/
024400     COPY MB00RB REPLACING ==:MB00:== BY ==MMWT==.
024500/
024600     COPY MB00RB REPLACING ==:MB00:== BY ==MMXR==.
024700/
024800     COPY MB00RB REPLACING ==:MB00:== BY ==MMXT==.
024900/
025000     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
025100/
025200     COPY MB00WS.
025300/
025400     COPY MB99WS.
025500/
025600     COPY SS00WS.
025700/
025800     COPY SS01WS.
025900/
026000     COPY SS02WS.
026100/
026200     COPY MB20WS.
026300*
026400 01  WS-D060-PRINT-LINE-1    REDEFINES MB20WS-PRINT-LINE.
026500     03  FILLER              PIC  X(02).
026600     03  WS-D060-PL1-ORG     PIC  9(03).
026700     03  FILLER              PIC  X(02).
026800     03  WS-D060-PL1-NAME    PIC  X(41).
026900     03  WS-D060-PL1-TDATE   PIC  X(11).
027000     03  WS-D060-PL1-TJUL    PIC  9999/999-.
027100     03  WS-D060-PL1-LDATE   PIC  X(11).
027200     03  WS-D060-PL1-NDATE   PIC  X(11).
027300     03  WS-D060-PL1-ATHRU   PIC  X(11).
027400     03  FILLER              PIC  X(01).
027500     03  WS-D060-PL1-EOM     PIC  X(03).
027600     03  FILLER              PIC  X(02).
027700     03  WS-D060-PL1-ACTION  PIC  X(12).
027800     03  WS-D060-PL1-WEEK    PIC  X(09).
027900     03  FILLER              PIC  X(04).
028000*
028100 01  WS-D060-PRINT-LINE-2    REDEFINES MB20WS-PRINT-LINE.
028200     03  WS-D060-PL2-DESC    PIC  X(34).
028300     03  WS-D060-PL2-AMT     PIC  ZZ9.
028400     03  FILLER              PIC  X(95).
028500*
028600*
028700*
028800 01  WS-D060-HEADING-1.
028900     03  FILLER              PIC  X(50)      VALUE
029000         '  ORG                                             '.
029100     03  FILLER              PIC  X(50)      VALUE
029200         'TODAYS    TODAYS     LAST       NEXT      ACCRUED '.
029300     03  FILLER              PIC  X(32)      VALUE
029400         '  EOM/ PROCESSING   WORK        '.
029500*
029600*
029700*
029800 01  WS-D060-HEADING-2.
029900     03  FILLER              PIC X(50)       VALUE
030000         '  NBR  *--------- ORGANIZATION  NAME ---------*   '.
030100     03  FILLER              PIC X(50)       VALUE
030200         ' DATE     JULIAN    PROCESS    PROCESS     THRU   '.
030300     03  FILLER              PIC X(32)       VALUE
030400         '  EOY    ACTION     WEEK        '.
030500/
030600*
030700*
030800 01  WS-WORK-AREAS.
030900     03  WS-D060-DATE-NEXT-PROC
031000                             PIC S9(07)      COMP-3 VALUE ZERO.
031100     03  WS-D060-MAX-PROC-DATE
031200                             PIC S9(07)      COMP-3 VALUE ZERO.
031300     03  WS-D060-MM          PIC  9(02)      VALUE ZERO.
031400     03  WS-D060-YYYY        PIC  9(04)      VALUE ZERO.
031500     03  WS-D060-NEXT-DATE-SW
031600                             PIC  X(01)      VALUE 'N'.
031700     03  WS-D060-TESTMODE-SW PIC  X(01)      VALUE 'N'.
031800     03  WS-D060-COUNTER-1   PIC  9(03)      VALUE ZERO.
031900     03  WS-D060-COUNTER-2   PIC  9(03)      VALUE ZERO.
032000     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBD060'.
032100*
032200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
032300/
032400 PROCEDURE DIVISION.
032500*
032600 0000-MAINLINE-LOGIC SECTION.
032700 0001-ML-BEGIN.
032800*
032900     MOVE 'MBD060'               TO SS02WS-ABEND-PROG-ID.
033000*
033100     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
033200     MOVE 'S060'                 TO MB20WS-SH-INTERNAL-RPT-ID.
033300     MOVE '           DATE ROLL          '
033400                                 TO MB20WS-SH-RPT-NAME.
033500     MOVE SPACES                 TO MB20WS-SH-LIT-1.
033600     MOVE SPACES                 TO MB20WS-SH-LIT-5.
033700     MOVE WS-D060-HEADING-1      TO MB20WS-SH-L5.
033800     MOVE WS-D060-HEADING-2      TO MB20WS-SH-L6.
033900*
034000     PERFORM A100-OPEN-FILES
034100        THRU A199-OF-EXIT.
034200*
034300     PERFORM B100-PROCESS-SYSTEM-REC
034400        THRU B199-PSR-EXIT.
034500*
034600     PERFORM C100-PROCESS-ORG-REC
034700        THRU C199-POR-EXIT
034800        UNTIL MMOCIO-TRAILER.
034900*
035000     IF  WS-D060-TESTMODE-SW IS EQUAL TO 'N'
035100         MOVE ZERO               TO MMOCIO-ORG
035200         MOVE 'S1OC'             TO SS02WS-ABEND-LOCATION
035300         SET MMOCRB-START-GTE    TO TRUE
035400         PERFORM MB00PD-MMOC-ACCESS
035500            THRU MB00PD-MMOC-ACCESS-EXIT
035600         PERFORM D100-UPDATE-FILE-DATES
035700            THRU D199-UFD-EXIT.
035800*
035900     PERFORM R100-PRINT-TOTALS
036000        THRU R199-PT-EXIT.
036100*
036200     PERFORM A200-CLOSE-FILES
036300        THRU A299-CF-EXIT.
036400*
036500     STOP RUN.
036600*
036700 A100-OPEN-FILES SECTION.
036800 A101-OF-BEGIN.
036900*
037000     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
037100*
037200     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
037300     SET MTCCRB-OPEN-INPUT       TO TRUE.
037400     PERFORM MB00PD-MTCC-ACCESS
037500        THRU MB00PD-MTCC-ACCESS-EXIT.
037600*
037700     PERFORM Y000-CHECK-TESTMODE
037800        THRU Y099-CT-EXIT.
037900*
038000     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
038100     SET MTCCRB-CLOSE            TO TRUE.
038200     PERFORM MB00PD-MTCC-ACCESS
038300        THRU MB00PD-MTCC-ACCESS-EXIT.
038400*
038500     IF  WS-D060-TESTMODE-SW IS EQUAL TO 'N'
038600         SET MMSCRB-OPEN-IO-DYN  TO TRUE
038700         SET MMOCRB-OPEN-IO-DYN  TO TRUE
038800     ELSE
038900         MOVE '   DATE ROLL ***TEST MODE***  '
039000                                 TO MB20WS-SH-RPT-NAME
039100         SET MMSCRB-OPEN-INPUT-DYN
039200                                 TO TRUE
039300         SET MMOCRB-OPEN-INPUT-DYN
039400                                 TO TRUE.
039500*
039600     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
039700     PERFORM MB00PD-MMSC-ACCESS
039800        THRU MB00PD-MMSC-ACCESS-EXIT.
039900*
040000     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
040100     PERFORM MB00PD-MMOC-ACCESS
040200        THRU MB00PD-MMOC-ACCESS-EXIT.
040300*
040400     MOVE 'O2CC'                 TO SS02WS-ABEND-LOCATION.
040500     SET MTCCRB-OPEN-INPUT       TO TRUE.
040600     PERFORM MB00PD-MTCC-ACCESS
040700        THRU MB00PD-MTCC-ACCESS-EXIT.
040800*
040900 A199-OF-EXIT.
041000     EXIT.
041100/
041200 A200-CLOSE-FILES SECTION.
041300 A201-CF-BEGIN.
041400*
041500     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
041600     SET MMSCRB-CLOSE            TO TRUE.
041700     PERFORM MB00PD-MMSC-ACCESS
041800        THRU MB00PD-MMSC-ACCESS-EXIT.
041900*
042000     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
042100     SET MMOCRB-CLOSE            TO TRUE.
042200     PERFORM MB00PD-MMOC-ACCESS
042300        THRU MB00PD-MMOC-ACCESS-EXIT.
042400*
042500     MOVE 'C2CC'                 TO SS02WS-ABEND-LOCATION.
042600     SET MTCCRB-CLOSE            TO TRUE.
042700     PERFORM MB00PD-MTCC-ACCESS
042800        THRU MB00PD-MTCC-ACCESS-EXIT.
042900*
043000     PERFORM MB20PD-CLOSE-PRINT-FILES
043100        THRU MB20PD-CPF-EXIT.
043200*
043300 A299-CF-EXIT.
043400     EXIT.
043500/
043600 B100-PROCESS-SYSTEM-REC SECTION.
043700 B101-PSR-BEGIN.
043800*
043900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
044000     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
044100     SET MMSCRB-READ-SEQ         TO TRUE.
044200     PERFORM MB00PD-MMSC-ACCESS
044300        THRU MB00PD-MMSC-ACCESS-EXIT.
044400*
044500     IF  MMSCIO-HEADER
044600         NEXT SENTENCE
044700     ELSE
044800         PERFORM MB99PD-MISSING-HEADER-ABEND
044900            THRU MB99PD-MHA-EXIT.
045000*
045100     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
045200     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
045300     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
045400     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
045500     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
045600     MOVE MMSC-DATE-NEXT-PROC    TO WS-D060-DATE-NEXT-PROC.
045700     MOVE MMSC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
045800     MOVE ZERO                   TO SS01WS-FREQ.
045900     MOVE 'M'                    TO SS01WS-PERIOD.
046000     MOVE 31                     TO SS01WS-DAY-OF-MON.
046100     PERFORM SS03PD-FUTURE-DATE
046200        THRU SS03PD-FD-EXIT.
046300*
046400     MOVE SS01WS-JULIAN          TO WS-D060-MAX-PROC-DATE.
046500*
046600     PERFORM Y100-PROCESS-CONTROL-CARD
046700        THRU Y199-PCC-EXIT.
046800*
046900     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
047000     MOVE MMSC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
047100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
047200        THRU SS26PD-NED-EXIT.
047300     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
047400*
047500     PERFORM U000-UPDATE-SYSTEM-RECORD
047600        THRU U099-USR-EXIT.
047700*
047800     MOVE MMSC-RECORD            TO MMSCIO-RECORD.
047900*
048000     IF  WS-D060-TESTMODE-SW IS EQUAL TO 'N'
048100         PERFORM B900-CHECK-ELAPSED-MONTHS
048200            THRU B999-CEM-EXIT
048300         MOVE 'U1SC'             TO SS02WS-ABEND-LOCATION
048400         SET MMSCRB-REWRITE      TO TRUE
048500         PERFORM MB00PD-MMSC-ACCESS
048600            THRU MB00PD-MMSC-ACCESS-EXIT.
048700*
048800     PERFORM R300-PRINT-REPORT
048900        THRU R399-PR-EXIT.
049000*
049100*
049200 B199-PSR-EXIT.
049300     EXIT.
049400/
049500 B900-CHECK-ELAPSED-MONTHS SECTION.
049600 B901-CEM-BEGIN.
049700*
049800     MOVE MMSC-DATE-LAST-PROC    TO SS01WS-DATE-1.
049900     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-DATE-2.
050000*
050100     PERFORM SS18PD-ELAPSED-MONTHS
050200        THRU SS18PD-EM-EXIT.
050300*
050400     IF  SS01WS-RESULT IS GREATER THAN 1
050500         MOVE 06006              TO SS02WS-ABEND-CODE
050600         MOVE 'INVALID ADVANCE - SYSTEM'
050700                                 TO SS02WS-ABENDMSG8
050800         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
050900*
051000 B999-CEM-EXIT.
051100     EXIT.
051200/
051300 C100-PROCESS-ORG-REC SECTION.
051400 C101-POR-BEGIN.
051500*
051600     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
051700     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
051800     SET MMOCRB-READ-SEQ         TO TRUE.
051900     PERFORM MB00PD-MMOC-ACCESS
052000        THRU MB00PD-MMOC-ACCESS-EXIT.
052100*
052200     IF  MMOCIO-HEADER
052300     OR  MMOCIO-TRAILER
052400         GO TO C199-POR-EXIT.
052500*
052600     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
052700*
052800     IF  MMOC-REC-ACTIVE
052900         NEXT SENTENCE
053000     ELSE
053100         GO TO C199-POR-EXIT.
053200*
053300     PERFORM
053400         VARYING X-MMOC-WW    FROM 1 BY 1
053500           UNTIL X-MMOC-WW    IS GREATER THAN 7
053600         SET X-MMSC-WW           TO X-MMOC-WW
053700         IF  MMSC-WW-DAY-NOT-PROCESSING    (X-MMSC-WW)
053800             MOVE MMSC-WORK-WEEK-R    (X-MMSC-WW)
053900                                 TO MMOC-WORK-WEEK-R
054000                                     (X-MMOC-WW)
054100         END-IF
054200     END-PERFORM.
054300*
054400     PERFORM U500-UPDATE-ORG-RECORD
054500        THRU U599-UOR-EXIT.
054600*
054700     MOVE MMOC-RECORD            TO MMOCIO-RECORD.
054800*
054900     IF  WS-D060-TESTMODE-SW IS EQUAL TO 'N'
055000         PERFORM C900-CHECK-ELAPSED-MONTHS
055100            THRU C999-CEM-EXIT
055200         MOVE 'U2OC'             TO SS02WS-ABEND-LOCATION
055300         SET MMOCRB-REWRITE      TO TRUE
055400         PERFORM MB00PD-MMOC-ACCESS
055500            THRU MB00PD-MMOC-ACCESS-EXIT.
055600*
055700     PERFORM R200-PRINT-REPORT
055800        THRU R299-PR-EXIT.
055900*
056000 C199-POR-EXIT.
056100     EXIT.
056200/
056300 C900-CHECK-ELAPSED-MONTHS SECTION.
056400 C901-CEM-BEGIN.
056500*
056600     MOVE MMOC-DATE-LAST-PROC    TO SS01WS-DATE-1.
056700     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-DATE-2.
056800*
056900     PERFORM SS18PD-ELAPSED-MONTHS
057000        THRU SS18PD-EM-EXIT.
057100*
057200     IF  SS01WS-RESULT IS GREATER THAN 1
057210     AND  MMOC-DATE-LAST-PROC IS GREATER THAN ZERO
057300         MOVE 06007              TO SS02WS-ABEND-CODE
057400         MOVE 'INVALID ADVANCE - ORG'
057500                                 TO SS02WS-ABENDMSG8
057600         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
057700*
057800 C999-CEM-EXIT.
057900     EXIT.
058000/
058100 D100-UPDATE-FILE-DATES SECTION.
058200 D101-UFD-BEGIN.
058300*
058400     MOVE 'O1AM'                 TO SS02WS-ABEND-LOCATION.
058500     SET MMAMRB-OPEN-IO          TO TRUE.
058600     PERFORM MB00PD-MMAM-ACCESS
058700        THRU MB00PD-MMAM-ACCESS-EXIT.
058800*
058900     MOVE 'MMAM'                 TO MB99WS-FILE-ID.
059000     MOVE 'R0AM'                 TO SS02WS-ABEND-LOCATION.
059100     SET MMAMRB-READ-SEQ         TO TRUE.
059200     PERFORM MB00PD-MMAM-ACCESS
059300        THRU MB00PD-MMAM-ACCESS-EXIT.
059400*
059500     IF  MMAMIO-HEADER
059600         NEXT SENTENCE
059700     ELSE
059800         PERFORM MB99PD-MISSING-HEADER-ABEND
059900            THRU MB99PD-MHA-EXIT.
060000*
060100     MOVE MMSC-TODAYS-JULIAN     TO MMAMIO-DATE-STAMP.
060200     MOVE MMSC-TIME-STAMP        TO MMAMIO-TIME-STAMP.
060300*
060400     MOVE 'U1AM'                 TO SS02WS-ABEND-LOCATION.
060500     SET MMAMRB-REWRITE          TO TRUE.
060600     PERFORM MB00PD-MMAM-ACCESS
060700        THRU MB00PD-MMAM-ACCESS-EXIT.
060800*
060900     MOVE 'C1AM'                 TO SS02WS-ABEND-LOCATION.
061000     SET MMAMRB-CLOSE            TO TRUE.
061100     PERFORM MB00PD-MMAM-ACCESS
061200        THRU MB00PD-MMAM-ACCESS-EXIT.
061300/
061400*
061500     MOVE 'O1BC'                 TO SS02WS-ABEND-LOCATION.
061600     SET MMBCRB-OPEN-IO          TO TRUE.
061700     PERFORM MB00PD-MMBC-ACCESS
061800        THRU MB00PD-MMBC-ACCESS-EXIT.
061900*
062000     MOVE 'MMBC'                 TO MB99WS-FILE-ID.
062100     MOVE 'R0BC'                 TO SS02WS-ABEND-LOCATION.
062200     SET MMBCRB-READ-SEQ         TO TRUE.
062300     PERFORM MB00PD-MMBC-ACCESS
062400        THRU MB00PD-MMBC-ACCESS-EXIT.
062500*
062600     IF  MMBCIO-HEADER
062700         NEXT SENTENCE
062800     ELSE
062900         PERFORM MB99PD-MISSING-HEADER-ABEND
063000            THRU MB99PD-MHA-EXIT.
063100*
063200     MOVE MMSC-TODAYS-JULIAN     TO MMBCIO-DATE-STAMP.
063300     MOVE MMSC-TIME-STAMP        TO MMBCIO-TIME-STAMP.
063400*
063500     MOVE 'U1BC'                 TO SS02WS-ABEND-LOCATION.
063600     SET MMBCRB-REWRITE          TO TRUE.
063700     PERFORM MB00PD-MMBC-ACCESS
063800        THRU MB00PD-MMBC-ACCESS-EXIT.
063900*
064000     MOVE 'C1BC'                 TO SS02WS-ABEND-LOCATION.
064100     SET MMBCRB-CLOSE            TO TRUE.
064200     PERFORM MB00PD-MMBC-ACCESS
064300        THRU MB00PD-MMBC-ACCESS-EXIT.
064400/
064500*
064600     MOVE 'O1CP'                 TO SS02WS-ABEND-LOCATION.
064700     SET MMCPRB-OPEN-IO          TO TRUE.
064800     PERFORM MB00PD-MMCP-ACCESS
064900        THRU MB00PD-MMCP-ACCESS-EXIT.
065000*
065100     MOVE 'MMCP'                 TO MB99WS-FILE-ID.
065200     MOVE 'R0CP'                 TO SS02WS-ABEND-LOCATION.
065300     SET MMCPRB-READ-SEQ         TO TRUE.
065400     PERFORM MB00PD-MMCP-ACCESS
065500        THRU MB00PD-MMCP-ACCESS-EXIT.
065600*
065700     IF  MMCPIO-HEADER
065800         NEXT SENTENCE
065900     ELSE
066000         PERFORM MB99PD-MISSING-HEADER-ABEND
066100            THRU MB99PD-MHA-EXIT.
066200*
066300     MOVE MMSC-TODAYS-JULIAN     TO MMCPIO-DATE-STAMP.
066400     MOVE MMSC-TIME-STAMP        TO MMCPIO-TIME-STAMP.
066500*
066600     MOVE 'U1CP'                 TO SS02WS-ABEND-LOCATION.
066700     SET MMCPRB-REWRITE          TO TRUE.
066800     PERFORM MB00PD-MMCP-ACCESS
066900        THRU MB00PD-MMCP-ACCESS-EXIT.
067000*
067100     MOVE 'C1CP'                 TO SS02WS-ABEND-LOCATION.
067200     SET MMCPRB-CLOSE            TO TRUE.
067300     PERFORM MB00PD-MMCP-ACCESS
067400        THRU MB00PD-MMCP-ACCESS-EXIT.
067500/
067600*
067700     MOVE 'O1CS'                 TO SS02WS-ABEND-LOCATION.
067800     SET MMCSRB-OPEN-IO          TO TRUE.
067900     PERFORM MB00PD-MMCS-ACCESS
068000        THRU MB00PD-MMCS-ACCESS-EXIT.
068100*
068200     MOVE 'MMCS'                 TO MB99WS-FILE-ID.
068300     MOVE 'R0CS'                 TO SS02WS-ABEND-LOCATION.
068400     SET MMCSRB-READ-SEQ         TO TRUE.
068500     PERFORM MB00PD-MMCS-ACCESS
068600        THRU MB00PD-MMCS-ACCESS-EXIT.
068700*
068800     IF  MMCSIO-HEADER
068900         NEXT SENTENCE
069000     ELSE
069100         PERFORM MB99PD-MISSING-HEADER-ABEND
069200            THRU MB99PD-MHA-EXIT.
069300*
069400     MOVE MMSC-TODAYS-JULIAN     TO MMCSIO-DATE-STAMP.
069500     MOVE MMSC-TIME-STAMP        TO MMCSIO-TIME-STAMP.
069600*
069700     MOVE 'U1CS'                 TO SS02WS-ABEND-LOCATION.
069800     SET MMCSRB-REWRITE          TO TRUE.
069900     PERFORM MB00PD-MMCS-ACCESS
070000        THRU MB00PD-MMCS-ACCESS-EXIT.
070100*
070200     MOVE 'C1CS'                 TO SS02WS-ABEND-LOCATION.
070300     SET MMCSRB-CLOSE            TO TRUE.
070400     PERFORM MB00PD-MMCS-ACCESS
070500        THRU MB00PD-MMCS-ACCESS-EXIT.
070600/
070700*
070800     MOVE 'O1CT'                 TO SS02WS-ABEND-LOCATION.
070900     SET MMCTRB-OPEN-IO          TO TRUE.
071000     PERFORM MB00PD-MMCT-ACCESS
071100        THRU MB00PD-MMCT-ACCESS-EXIT.
071200*
071300     MOVE 'MMCT'                 TO MB99WS-FILE-ID.
071400     MOVE 'R0CT'                 TO SS02WS-ABEND-LOCATION.
071500     SET MMCTRB-READ-SEQ         TO TRUE.
071600     PERFORM MB00PD-MMCT-ACCESS
071700        THRU MB00PD-MMCT-ACCESS-EXIT.
071800*
071900     IF  MMCTIO-HEADER
072000         NEXT SENTENCE
072100     ELSE
072200         PERFORM MB99PD-MISSING-HEADER-ABEND
072300            THRU MB99PD-MHA-EXIT.
072400*
072500     MOVE MMSC-TODAYS-JULIAN     TO MMCTIO-DATE-STAMP.
072600     MOVE MMSC-TIME-STAMP        TO MMCTIO-TIME-STAMP.
072700*
072800     MOVE 'U1CT'                 TO SS02WS-ABEND-LOCATION.
072900     SET MMCTRB-REWRITE          TO TRUE.
073000     PERFORM MB00PD-MMCT-ACCESS
073100        THRU MB00PD-MMCT-ACCESS-EXIT.
073200*
073300     MOVE 'C1CT'                 TO SS02WS-ABEND-LOCATION.
073400     SET MMCTRB-CLOSE            TO TRUE.
073500     PERFORM MB00PD-MMCT-ACCESS
073600        THRU MB00PD-MMCT-ACCESS-EXIT.
073700/
073800*
073900     MOVE 'O1DT'                 TO SS02WS-ABEND-LOCATION.
074000     SET MMDTRB-OPEN-IO          TO TRUE.
074100     PERFORM MB00PD-MMDT-ACCESS
074200        THRU MB00PD-MMDT-ACCESS-EXIT.
074300*
074400     MOVE 'MMDT'                 TO MB99WS-FILE-ID.
074500     MOVE 'R0DT'                 TO SS02WS-ABEND-LOCATION.
074600     SET MMDTRB-READ-SEQ         TO TRUE.
074700     PERFORM MB00PD-MMDT-ACCESS
074800        THRU MB00PD-MMDT-ACCESS-EXIT.
074900*
075000     IF  MMDTIO-HEADER
075100         NEXT SENTENCE
075200     ELSE
075300         PERFORM MB99PD-MISSING-HEADER-ABEND
075400            THRU MB99PD-MHA-EXIT.
075500*
075600     MOVE MMSC-TODAYS-JULIAN     TO MMDTIO-DATE-STAMP.
075700     MOVE MMSC-TIME-STAMP        TO MMDTIO-TIME-STAMP.
075800*
075900     MOVE 'U1DT'                 TO SS02WS-ABEND-LOCATION.
076000     SET MMDTRB-REWRITE          TO TRUE.
076100     PERFORM MB00PD-MMDT-ACCESS
076200        THRU MB00PD-MMDT-ACCESS-EXIT.
076300*
076400     MOVE 'C1DT'                 TO SS02WS-ABEND-LOCATION.
076500     SET MMDTRB-CLOSE            TO TRUE.
076600     PERFORM MB00PD-MMDT-ACCESS
076700        THRU MB00PD-MMDT-ACCESS-EXIT.
076800/
076900*
077000     MOVE 'O1EF'                 TO SS02WS-ABEND-LOCATION.
077100     SET MMEFRB-OPEN-IO          TO TRUE.
077200     PERFORM MB00PD-MMEF-ACCESS
077300        THRU MB00PD-MMEF-ACCESS-EXIT.
077400*
077500     MOVE 'MMEF'                 TO MB99WS-FILE-ID.
077600     MOVE 'R0EF'                 TO SS02WS-ABEND-LOCATION.
077700     SET MMEFRB-READ-SEQ         TO TRUE.
077800     PERFORM MB00PD-MMEF-ACCESS
077900        THRU MB00PD-MMEF-ACCESS-EXIT.
078000*
078100     IF  MMEFIO-HEADER
078200         NEXT SENTENCE
078300     ELSE
078400         PERFORM MB99PD-MISSING-HEADER-ABEND
078500            THRU MB99PD-MHA-EXIT.
078600*
078700     MOVE MMSC-TODAYS-JULIAN     TO MMEFIO-DATE-STAMP.
078800     MOVE MMSC-TIME-STAMP        TO MMEFIO-TIME-STAMP.
078900*
079000     MOVE 'U1EF'                 TO SS02WS-ABEND-LOCATION.
079100     SET MMEFRB-REWRITE          TO TRUE.
079200     PERFORM MB00PD-MMEF-ACCESS
079300        THRU MB00PD-MMEF-ACCESS-EXIT.
079400*
079500     MOVE 'C1EF'                 TO SS02WS-ABEND-LOCATION.
079600     SET MMEFRB-CLOSE            TO TRUE.
079700     PERFORM MB00PD-MMEF-ACCESS
079800        THRU MB00PD-MMEF-ACCESS-EXIT.
079900/
080000*
080100     MOVE 'O1FA'                 TO SS02WS-ABEND-LOCATION.
080200     SET MMFARB-OPEN-IO          TO TRUE.
080300     PERFORM MB00PD-MMFA-ACCESS
080400        THRU MB00PD-MMFA-ACCESS-EXIT.
080500*
080600     MOVE 'MMFA'                 TO MB99WS-FILE-ID.
080700     MOVE 'R0FA'                 TO SS02WS-ABEND-LOCATION.
080800     SET MMFARB-READ-SEQ         TO TRUE.
080900     PERFORM MB00PD-MMFA-ACCESS
081000        THRU MB00PD-MMFA-ACCESS-EXIT.
081100*
081200     IF  MMFAIO-HEADER
081300         NEXT SENTENCE
081400     ELSE
081500         PERFORM MB99PD-MISSING-HEADER-ABEND
081600            THRU MB99PD-MHA-EXIT.
081700*
081800     MOVE MMSC-TODAYS-JULIAN     TO MMFAIO-DATE-STAMP.
081900     MOVE MMSC-TIME-STAMP        TO MMFAIO-TIME-STAMP.
082000*
082100     MOVE 'U1FA'                 TO SS02WS-ABEND-LOCATION.
082200     SET MMFARB-REWRITE          TO TRUE.
082300     PERFORM MB00PD-MMFA-ACCESS
082400        THRU MB00PD-MMFA-ACCESS-EXIT.
082500*
082600     MOVE 'C1FA'                 TO SS02WS-ABEND-LOCATION.
082700     SET MMFARB-CLOSE            TO TRUE.
082800     PERFORM MB00PD-MMFA-ACCESS
082900        THRU MB00PD-MMFA-ACCESS-EXIT.
083000/
083100*
083200     MOVE 'O1FP'                 TO SS02WS-ABEND-LOCATION.
083300     SET MMFPRB-OPEN-IO          TO TRUE.
083400     PERFORM MB00PD-MMFP-ACCESS
083500        THRU MB00PD-MMFP-ACCESS-EXIT.
083600*
083700     MOVE 'MMFP'                 TO MB99WS-FILE-ID.
083800     MOVE 'R0FP'                 TO SS02WS-ABEND-LOCATION.
083900     SET MMFPRB-READ-SEQ         TO TRUE.
084000     PERFORM MB00PD-MMFP-ACCESS
084100        THRU MB00PD-MMFP-ACCESS-EXIT.
084200*
084300     IF  MMFPIO-HEADER
084400         NEXT SENTENCE
084500     ELSE
084600         PERFORM MB99PD-MISSING-HEADER-ABEND
084700            THRU MB99PD-MHA-EXIT.
084800*
084900     MOVE MMSC-TODAYS-JULIAN     TO MMFPIO-DATE-STAMP.
085000     MOVE MMSC-TIME-STAMP        TO MMFPIO-TIME-STAMP.
085100*
085200     MOVE 'U1FP'                 TO SS02WS-ABEND-LOCATION.
085300     SET MMFPRB-REWRITE          TO TRUE.
085400     PERFORM MB00PD-MMFP-ACCESS
085500        THRU MB00PD-MMFP-ACCESS-EXIT.
085600*
085700     MOVE 'C1FP'                 TO SS02WS-ABEND-LOCATION.
085800     SET MMFPRB-CLOSE            TO TRUE.
085900     PERFORM MB00PD-MMFP-ACCESS
086000        THRU MB00PD-MMFP-ACCESS-EXIT.
086100/
086200*
086300     MOVE 'O1FS'                 TO SS02WS-ABEND-LOCATION.
086400     SET MMFSRB-OPEN-IO          TO TRUE.
086500     PERFORM MB00PD-MMFS-ACCESS
086600        THRU MB00PD-MMFS-ACCESS-EXIT.
086700*
086800     MOVE 'MMFS'                 TO MB99WS-FILE-ID.
086900     MOVE 'R0FS'                 TO SS02WS-ABEND-LOCATION.
087000     SET MMFSRB-READ-SEQ         TO TRUE.
087100     PERFORM MB00PD-MMFS-ACCESS
087200        THRU MB00PD-MMFS-ACCESS-EXIT.
087300*
087400     IF  MMFSIO-HEADER
087500         NEXT SENTENCE
087600     ELSE
087700         PERFORM MB99PD-MISSING-HEADER-ABEND
087800            THRU MB99PD-MHA-EXIT.
087900*
088000     MOVE MMSC-TODAYS-JULIAN     TO MMFSIO-DATE-STAMP.
088100     MOVE MMSC-TIME-STAMP        TO MMFSIO-TIME-STAMP.
088200*
088300     MOVE 'U1FS'                 TO SS02WS-ABEND-LOCATION.
088400     SET MMFSRB-REWRITE          TO TRUE.
088500     PERFORM MB00PD-MMFS-ACCESS
088600        THRU MB00PD-MMFS-ACCESS-EXIT.
088700*
088800     MOVE 'C1FS'                 TO SS02WS-ABEND-LOCATION.
088900     SET MMFSRB-CLOSE            TO TRUE.
089000     PERFORM MB00PD-MMFS-ACCESS
089100        THRU MB00PD-MMFS-ACCESS-EXIT.
089200/
089300*
089400     MOVE 'O1GD'                 TO SS02WS-ABEND-LOCATION.
089500     SET MMGDRB-OPEN-IO          TO TRUE.
089600     PERFORM MB00PD-MMGD-ACCESS
089700        THRU MB00PD-MMGD-ACCESS-EXIT.
089800*
089900     MOVE 'MMGD'                 TO MB99WS-FILE-ID.
090000     MOVE 'R0GD'                 TO SS02WS-ABEND-LOCATION.
090100     SET MMGDRB-READ-SEQ         TO TRUE.
090200     PERFORM MB00PD-MMGD-ACCESS
090300        THRU MB00PD-MMGD-ACCESS-EXIT.
090400*
090500     IF  MMGDIO-HEADER
090600         NEXT SENTENCE
090700     ELSE
090800         PERFORM MB99PD-MISSING-HEADER-ABEND
090900            THRU MB99PD-MHA-EXIT.
091000*
091100     MOVE MMSC-TODAYS-JULIAN     TO MMGDIO-DATE-STAMP.
091200     MOVE MMSC-TIME-STAMP        TO MMGDIO-TIME-STAMP.
091300*
091400     MOVE 'U1GD'                 TO SS02WS-ABEND-LOCATION.
091500     SET MMGDRB-REWRITE          TO TRUE.
091600     PERFORM MB00PD-MMGD-ACCESS
091700        THRU MB00PD-MMGD-ACCESS-EXIT.
091800*
091900     MOVE 'C1GD'                 TO SS02WS-ABEND-LOCATION.
092000     SET MMGDRB-CLOSE            TO TRUE.
092100     PERFORM MB00PD-MMGD-ACCESS
092200        THRU MB00PD-MMGD-ACCESS-EXIT.
092300/
092400*
092500     MOVE 'O1IC'                 TO SS02WS-ABEND-LOCATION.
092600     SET MMICRB-OPEN-IO          TO TRUE.
092700     PERFORM MB00PD-MMIC-ACCESS
092800        THRU MB00PD-MMIC-ACCESS-EXIT.
092900*
093000     MOVE 'MMIC'                 TO MB99WS-FILE-ID.
093100     MOVE 'R0IC'                 TO SS02WS-ABEND-LOCATION.
093200     SET MMICRB-READ-SEQ         TO TRUE.
093300     PERFORM MB00PD-MMIC-ACCESS
093400        THRU MB00PD-MMIC-ACCESS-EXIT.
093500*
093600     IF  MMICIO-HEADER
093700         NEXT SENTENCE
093800     ELSE
093900         PERFORM MB99PD-MISSING-HEADER-ABEND
094000            THRU MB99PD-MHA-EXIT.
094100*
094200     MOVE MMSC-TODAYS-JULIAN     TO MMICIO-DATE-STAMP.
094300     MOVE MMSC-TIME-STAMP        TO MMICIO-TIME-STAMP.
094400*
094500     MOVE 'U1IC'                 TO SS02WS-ABEND-LOCATION.
094600     SET MMICRB-REWRITE          TO TRUE.
094700     PERFORM MB00PD-MMIC-ACCESS
094800        THRU MB00PD-MMIC-ACCESS-EXIT.
094900*
095000     MOVE 'C1IC'                 TO SS02WS-ABEND-LOCATION.
095100     SET MMICRB-CLOSE            TO TRUE.
095200     PERFORM MB00PD-MMIC-ACCESS
095300        THRU MB00PD-MMIC-ACCESS-EXIT.
095400/
095500*
095600     MOVE 'O1IF'                 TO SS02WS-ABEND-LOCATION.
095700     SET MMIFRB-OPEN-IO          TO TRUE.
095800     PERFORM MB00PD-MMIF-ACCESS
095900        THRU MB00PD-MMIF-ACCESS-EXIT.
096000*
096100     MOVE 'MMIF'                 TO MB99WS-FILE-ID.
096200     MOVE 'R0IF'                 TO SS02WS-ABEND-LOCATION.
096300     SET MMIFRB-READ-SEQ         TO TRUE.
096400     PERFORM MB00PD-MMIF-ACCESS
096500        THRU MB00PD-MMIF-ACCESS-EXIT.
096600*
096700     IF  MMIFIO-HEADER
096800         NEXT SENTENCE
096900     ELSE
097000         PERFORM MB99PD-MISSING-HEADER-ABEND
097100            THRU MB99PD-MHA-EXIT.
097200*
097300     MOVE MMSC-TODAYS-JULIAN     TO MMIFIO-DATE-STAMP.
097400     MOVE MMSC-TIME-STAMP        TO MMIFIO-TIME-STAMP.
097500*
097600     MOVE 'U1IF'                 TO SS02WS-ABEND-LOCATION.
097700     SET MMIFRB-REWRITE          TO TRUE.
097800     PERFORM MB00PD-MMIF-ACCESS
097900        THRU MB00PD-MMIF-ACCESS-EXIT.
098000*
098100     MOVE 'C1IF'                 TO SS02WS-ABEND-LOCATION.
098200     SET MMIFRB-CLOSE            TO TRUE.
098300     PERFORM MB00PD-MMIF-ACCESS
098400        THRU MB00PD-MMIF-ACCESS-EXIT.
098500/
098600*
098700     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
098800     SET MMMMRB-OPEN-IO          TO TRUE.
098900     PERFORM MB00PD-MMMM-ACCESS
099000        THRU MB00PD-MMMM-ACCESS-EXIT.
099100*
099200     MOVE 'MMMM'                 TO MB99WS-FILE-ID.
099300     MOVE 'R0MM'                 TO SS02WS-ABEND-LOCATION.
099400     SET MMMMRB-READ-SEQ         TO TRUE.
099500     PERFORM MB00PD-MMMM-ACCESS
099600        THRU MB00PD-MMMM-ACCESS-EXIT.
099700*
099800     IF  MMMMIO-HEADER
099900         NEXT SENTENCE
100000     ELSE
100100         PERFORM MB99PD-MISSING-HEADER-ABEND
100200            THRU MB99PD-MHA-EXIT.
100300*
100400     MOVE MMSC-TODAYS-JULIAN     TO MMMMIO-DATE-STAMP.
100500     MOVE MMSC-TIME-STAMP        TO MMMMIO-TIME-STAMP.
100600*
100700     MOVE 'U1MM'                 TO SS02WS-ABEND-LOCATION.
100800     SET MMMMRB-REWRITE          TO TRUE.
100900     PERFORM MB00PD-MMMM-ACCESS
101000        THRU MB00PD-MMMM-ACCESS-EXIT.
101100*
101200     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
101300     SET MMMMRB-CLOSE            TO TRUE.
101400     PERFORM MB00PD-MMMM-ACCESS
101500        THRU MB00PD-MMMM-ACCESS-EXIT.
101600/
101700*
101800     MOVE 'O1MP'                 TO SS02WS-ABEND-LOCATION.
101900     SET MMMPRB-OPEN-IO          TO TRUE.
102000     PERFORM MB00PD-MMMP-ACCESS
102100        THRU MB00PD-MMMP-ACCESS-EXIT.
102200*
102300     MOVE 'MMMP'                 TO MB99WS-FILE-ID.
102400     MOVE 'R0MP'                 TO SS02WS-ABEND-LOCATION.
102500     SET MMMPRB-READ-SEQ         TO TRUE.
102600     PERFORM MB00PD-MMMP-ACCESS
102700        THRU MB00PD-MMMP-ACCESS-EXIT.
102800*
102900     IF  MMMPIO-HEADER
103000         NEXT SENTENCE
103100     ELSE
103200         PERFORM MB99PD-MISSING-HEADER-ABEND
103300            THRU MB99PD-MHA-EXIT.
103400*
103500     MOVE MMSC-TODAYS-JULIAN     TO MMMPIO-DATE-STAMP.
103600     MOVE MMSC-TIME-STAMP        TO MMMPIO-TIME-STAMP.
103700*
103800     MOVE 'U1MP'                 TO SS02WS-ABEND-LOCATION.
103900     SET MMMPRB-REWRITE          TO TRUE.
104000     PERFORM MB00PD-MMMP-ACCESS
104100        THRU MB00PD-MMMP-ACCESS-EXIT.
104200*
104300     MOVE 'C1MP'                 TO SS02WS-ABEND-LOCATION.
104400     SET MMMPRB-CLOSE            TO TRUE.
104500     PERFORM MB00PD-MMMP-ACCESS
104600        THRU MB00PD-MMMP-ACCESS-EXIT.
104700/
104800*
104900     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
105000     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
105100     SET MMOCRB-READ-SEQ         TO TRUE.
105200     PERFORM MB00PD-MMOC-ACCESS
105300        THRU MB00PD-MMOC-ACCESS-EXIT.
105400*
105500     IF  MMOCIO-HEADER
105600         NEXT SENTENCE
105700     ELSE
105800         PERFORM MB99PD-MISSING-HEADER-ABEND
105900            THRU MB99PD-MHA-EXIT.
106000*
106100     MOVE MMSC-TODAYS-JULIAN     TO MMOCIO-DATE-STAMP.
106200     MOVE MMSC-TIME-STAMP        TO MMOCIO-TIME-STAMP.
106300*
106400     MOVE 'U1OC'                 TO SS02WS-ABEND-LOCATION.
106500     SET MMOCRB-REWRITE          TO TRUE.
106600     PERFORM MB00PD-MMOC-ACCESS
106700        THRU MB00PD-MMOC-ACCESS-EXIT.
106800*
106900/
107000*
107100     MOVE 'O1OE'                 TO SS02WS-ABEND-LOCATION.
107200     SET MMOERB-OPEN-IO          TO TRUE.
107300     PERFORM MB00PD-MMOE-ACCESS
107400        THRU MB00PD-MMOE-ACCESS-EXIT.
107500*
107600     MOVE 'MMOE'                 TO MB99WS-FILE-ID.
107700     MOVE 'R0OE'                 TO SS02WS-ABEND-LOCATION.
107800     SET MMOERB-READ-SEQ         TO TRUE.
107900     PERFORM MB00PD-MMOE-ACCESS
108000        THRU MB00PD-MMOE-ACCESS-EXIT.
108100*
108200     IF  MMOEIO-HEADER
108300         NEXT SENTENCE
108400     ELSE
108500         PERFORM MB99PD-MISSING-HEADER-ABEND
108600            THRU MB99PD-MHA-EXIT.
108700*
108800     MOVE MMSC-TODAYS-JULIAN     TO MMOEIO-DATE-STAMP.
108900     MOVE MMSC-TIME-STAMP        TO MMOEIO-TIME-STAMP.
109000*
109100     MOVE 'U1OE'                 TO SS02WS-ABEND-LOCATION.
109200     SET MMOERB-REWRITE          TO TRUE.
109300     PERFORM MB00PD-MMOE-ACCESS
109400        THRU MB00PD-MMOE-ACCESS-EXIT.
109500*
109600     MOVE 'C1OE'                 TO SS02WS-ABEND-LOCATION.
109700     SET MMOERB-CLOSE            TO TRUE.
109800     PERFORM MB00PD-MMOE-ACCESS
109900        THRU MB00PD-MMOE-ACCESS-EXIT.
110000/
110100*
110200     MOVE 'O1OI'                 TO SS02WS-ABEND-LOCATION.
110300     SET MMOIRB-OPEN-IO          TO TRUE.
110400     PERFORM MB00PD-MMOI-ACCESS
110500        THRU MB00PD-MMOI-ACCESS-EXIT.
110600*
110700     MOVE 'MMOI'                 TO MB99WS-FILE-ID.
110800     MOVE 'R0OI'                 TO SS02WS-ABEND-LOCATION.
110900     SET MMOIRB-READ-SEQ         TO TRUE.
111000     PERFORM MB00PD-MMOI-ACCESS
111100        THRU MB00PD-MMOI-ACCESS-EXIT.
111200*
111300     IF  MMOIIO-HEADER
111400         NEXT SENTENCE
111500     ELSE
111600         PERFORM MB99PD-MISSING-HEADER-ABEND
111700            THRU MB99PD-MHA-EXIT.
111800*
111900     MOVE MMSC-TODAYS-JULIAN     TO MMOIIO-DATE-STAMP.
112000     MOVE MMSC-TIME-STAMP        TO MMOIIO-TIME-STAMP.
112100*
112200     MOVE 'U1OI'                 TO SS02WS-ABEND-LOCATION.
112300     SET MMOIRB-REWRITE          TO TRUE.
112400     PERFORM MB00PD-MMOI-ACCESS
112500        THRU MB00PD-MMOI-ACCESS-EXIT.
112600*
112700     MOVE 'C1OI'                 TO SS02WS-ABEND-LOCATION.
112800     SET MMOIRB-CLOSE            TO TRUE.
112900     PERFORM MB00PD-MMOI-ACCESS
113000        THRU MB00PD-MMOI-ACCESS-EXIT.
113100/
113200*
113300     MOVE 'O1PA'                 TO SS02WS-ABEND-LOCATION.
113400     SET MMPARB-OPEN-IO          TO TRUE.
113500     PERFORM MB00PD-MMPA-ACCESS
113600        THRU MB00PD-MMPA-ACCESS-EXIT.
113700*
113800     MOVE 'MMPA'                 TO MB99WS-FILE-ID.
113900     MOVE 'R0PA'                 TO SS02WS-ABEND-LOCATION.
114000     SET MMPARB-READ-SEQ         TO TRUE.
114100     PERFORM MB00PD-MMPA-ACCESS
114200        THRU MB00PD-MMPA-ACCESS-EXIT.
114300*
114400     IF  MMPAIO-HEADER
114500         NEXT SENTENCE
114600     ELSE
114700         PERFORM MB99PD-MISSING-HEADER-ABEND
114800            THRU MB99PD-MHA-EXIT.
114900*
115000     MOVE MMSC-TODAYS-JULIAN     TO MMPAIO-DATE-STAMP.
115100     MOVE MMSC-TIME-STAMP        TO MMPAIO-TIME-STAMP.
115200*
115300     MOVE 'U1PA'                 TO SS02WS-ABEND-LOCATION.
115400     SET MMPARB-REWRITE          TO TRUE.
115500     PERFORM MB00PD-MMPA-ACCESS
115600        THRU MB00PD-MMPA-ACCESS-EXIT.
115700*
115800     MOVE 'C1PA'                 TO SS02WS-ABEND-LOCATION.
115900     SET MMPARB-CLOSE            TO TRUE.
116000     PERFORM MB00PD-MMPA-ACCESS
116100        THRU MB00PD-MMPA-ACCESS-EXIT.
116200/
116300*
116400     MOVE 'O1PE'                 TO SS02WS-ABEND-LOCATION.
116500     SET MMPERB-OPEN-IO          TO TRUE.
116600     PERFORM MB00PD-MMPE-ACCESS
116700        THRU MB00PD-MMPE-ACCESS-EXIT.
116800*
116900     MOVE 'MMPE'                 TO MB99WS-FILE-ID.
117000     MOVE 'R0PE'                 TO SS02WS-ABEND-LOCATION.
117100     SET MMPERB-READ-SEQ         TO TRUE.
117200     PERFORM MB00PD-MMPE-ACCESS
117300        THRU MB00PD-MMPE-ACCESS-EXIT.
117400*
117500     IF  MMPEIO-HEADER
117600         NEXT SENTENCE
117700     ELSE
117800         PERFORM MB99PD-MISSING-HEADER-ABEND
117900            THRU MB99PD-MHA-EXIT.
118000*
118100     MOVE MMSC-TODAYS-JULIAN     TO MMPEIO-DATE-STAMP.
118200     MOVE MMSC-TIME-STAMP        TO MMPEIO-TIME-STAMP.
118300*
118400     MOVE 'U1PE'                 TO SS02WS-ABEND-LOCATION.
118500     SET MMPERB-REWRITE          TO TRUE.
118600     PERFORM MB00PD-MMPE-ACCESS
118700        THRU MB00PD-MMPE-ACCESS-EXIT.
118800*
118900     MOVE 'C1PE'                 TO SS02WS-ABEND-LOCATION.
119000     SET MMPERB-CLOSE            TO TRUE.
119100     PERFORM MB00PD-MMPE-ACCESS
119200        THRU MB00PD-MMPE-ACCESS-EXIT.
119300/
119400*
119500     MOVE 'O1PF'                 TO SS02WS-ABEND-LOCATION.
119600     SET MMPFRB-OPEN-IO          TO TRUE.
119700     PERFORM MB00PD-MMPF-ACCESS
119800        THRU MB00PD-MMPF-ACCESS-EXIT.
119900*
120000     MOVE 'MMPF'                 TO MB99WS-FILE-ID.
120100     MOVE 'R0PF'                 TO SS02WS-ABEND-LOCATION.
120200     SET MMPFRB-READ-SEQ         TO TRUE.
120300     PERFORM MB00PD-MMPF-ACCESS
120400        THRU MB00PD-MMPF-ACCESS-EXIT.
120500*
120600     IF  MMPFIO-HEADER
120700         NEXT SENTENCE
120800     ELSE
120900         PERFORM MB99PD-MISSING-HEADER-ABEND
121000            THRU MB99PD-MHA-EXIT.
121100*
121200     MOVE MMSC-TODAYS-JULIAN     TO MMPFIO-DATE-STAMP.
121300     MOVE MMSC-TIME-STAMP        TO MMPFIO-TIME-STAMP.
121400*
121500     MOVE 'U1PF'                 TO SS02WS-ABEND-LOCATION.
121600     SET MMPFRB-REWRITE          TO TRUE.
121700     PERFORM MB00PD-MMPF-ACCESS
121800        THRU MB00PD-MMPF-ACCESS-EXIT.
121900*
122000     MOVE 'C1PF'                 TO SS02WS-ABEND-LOCATION.
122100     SET MMPFRB-CLOSE            TO TRUE.
122200     PERFORM MB00PD-MMPF-ACCESS
122300        THRU MB00PD-MMPF-ACCESS-EXIT.
122400/
122500*
122600     MOVE 'O1PS'                 TO SS02WS-ABEND-LOCATION.
122700     SET MMPSRB-OPEN-IO          TO TRUE.
122800     PERFORM MB00PD-MMPS-ACCESS
122900        THRU MB00PD-MMPS-ACCESS-EXIT.
123000*
123100     MOVE 'MMPS'                 TO MB99WS-FILE-ID.
123200     MOVE 'R0PS'                 TO SS02WS-ABEND-LOCATION.
123300     SET MMPSRB-READ-SEQ         TO TRUE.
123400     PERFORM MB00PD-MMPS-ACCESS
123500        THRU MB00PD-MMPS-ACCESS-EXIT.
123600*
123700     IF  MMPSIO-HEADER
123800         NEXT SENTENCE
123900     ELSE
124000         PERFORM MB99PD-MISSING-HEADER-ABEND
124100            THRU MB99PD-MHA-EXIT.
124200*
124300     MOVE MMSC-TODAYS-JULIAN     TO MMPSIO-DATE-STAMP.
124400     MOVE MMSC-TIME-STAMP        TO MMPSIO-TIME-STAMP.
124500*
124600     MOVE 'U1PS'                 TO SS02WS-ABEND-LOCATION.
124700     SET MMPSRB-REWRITE          TO TRUE.
124800     PERFORM MB00PD-MMPS-ACCESS
124900        THRU MB00PD-MMPS-ACCESS-EXIT.
125000*
125100     MOVE 'C1PS'                 TO SS02WS-ABEND-LOCATION.
125200     SET MMPSRB-CLOSE            TO TRUE.
125300     PERFORM MB00PD-MMPS-ACCESS
125400        THRU MB00PD-MMPS-ACCESS-EXIT.
125500/
125510*                                                                 EH800900
125512     PERFORM O100-CHECK-MMQ1                                      EH800900
125514        THRU O199-CMMQ1-EXIT.                                     EH800900
125516*                                                                 EH800900
125522     PERFORM O200-CHECK-MMQ2                                      EH800900
125524        THRU O299-CMMQ2-EXIT.                                     EH800900
125526*                                                                 EH800900
125532     PERFORM O300-CHECK-MMQ3                                      EH800900
125534        THRU O399-CMMQ3-EXIT.                                     EH800900
125536*                                                                 EH800900
125542     PERFORM O400-CHECK-MMQ4                                      EH800900
125544        THRU O499-CMMQ4-EXIT.                                     EH800900
125546*                                                                 EH800900
125552     PERFORM O500-CHECK-MMQ5                                      EH800900
125554        THRU O599-CMMQ5-EXIT.                                     EH800900
125556*                                                                 EH800900
125562     PERFORM O600-CHECK-MMQ6                                      EH800900
125564        THRU O699-CMMQ6-EXIT.                                     EH800900
125566/                                                                 EH800900
125600     IF  MMSC-EUROPAY-ON
125700         PERFORM O100-CHECK-MMQ1
125800            THRU O199-CMMQ1-EXIT.
125900/
126000*
126100     MOVE 'O1RC'                 TO SS02WS-ABEND-LOCATION.
126200     SET MMRCRB-OPEN-IO          TO TRUE.
126300     PERFORM MB00PD-MMRC-ACCESS
126400        THRU MB00PD-MMRC-ACCESS-EXIT.
126500*
126600     MOVE 'MMRC'                 TO MB99WS-FILE-ID.
126700     MOVE 'R0RC'                 TO SS02WS-ABEND-LOCATION.
126800     SET MMRCRB-READ-SEQ         TO TRUE.
126900     PERFORM MB00PD-MMRC-ACCESS
127000        THRU MB00PD-MMRC-ACCESS-EXIT.
127100*
127200     IF  MMRCIO-HEADER
127300         NEXT SENTENCE
127400     ELSE
127500         PERFORM MB99PD-MISSING-HEADER-ABEND
127600            THRU MB99PD-MHA-EXIT.
127700*
127800     MOVE MMSC-TODAYS-JULIAN     TO MMRCIO-DATE-STAMP.
127900     MOVE MMSC-TIME-STAMP        TO MMRCIO-TIME-STAMP.
128000*
128100     MOVE 'U1RC'                 TO SS02WS-ABEND-LOCATION.
128200     SET MMRCRB-REWRITE          TO TRUE.
128300     PERFORM MB00PD-MMRC-ACCESS
128400        THRU MB00PD-MMRC-ACCESS-EXIT.
128500*
128600     MOVE 'C1RC'                 TO SS02WS-ABEND-LOCATION.
128700     SET MMRCRB-CLOSE            TO TRUE.
128800     PERFORM MB00PD-MMRC-ACCESS
128900        THRU MB00PD-MMRC-ACCESS-EXIT.
129000/
129100*
129200     MOVE 'O1RD'                 TO SS02WS-ABEND-LOCATION.
129300     SET MMRDRB-OPEN-IO          TO TRUE.
129400     PERFORM MB00PD-MMRD-ACCESS
129500        THRU MB00PD-MMRD-ACCESS-EXIT.
129600*
129700     MOVE 'MMRD'                 TO MB99WS-FILE-ID.
129800     MOVE 'R0RD'                 TO SS02WS-ABEND-LOCATION.
129900     SET MMRDRB-READ-SEQ         TO TRUE.
130000     PERFORM MB00PD-MMRD-ACCESS
130100        THRU MB00PD-MMRD-ACCESS-EXIT.
130200*
130300     IF  MMRDIO-HEADER
130400         NEXT SENTENCE
130500     ELSE
130600         PERFORM MB99PD-MISSING-HEADER-ABEND
130700            THRU MB99PD-MHA-EXIT.
130800*
130900     MOVE MMSC-TODAYS-JULIAN     TO MMRDIO-DATE-STAMP.
131000     MOVE MMSC-TIME-STAMP        TO MMRDIO-TIME-STAMP.
131100*
131200     MOVE 'U1RD'                 TO SS02WS-ABEND-LOCATION.
131300     SET MMRDRB-REWRITE          TO TRUE.
131400     PERFORM MB00PD-MMRD-ACCESS
131500        THRU MB00PD-MMRD-ACCESS-EXIT.
131600*
131700     MOVE 'C1RD'                 TO SS02WS-ABEND-LOCATION.
131800     SET MMRDRB-CLOSE            TO TRUE.
131900     PERFORM MB00PD-MMRD-ACCESS
132000        THRU MB00PD-MMRD-ACCESS-EXIT.
132100/
132200*
132300     MOVE 'O1RT'                 TO SS02WS-ABEND-LOCATION.
132400     SET MMRTRB-OPEN-IO          TO TRUE.
132500     PERFORM MB00PD-MMRT-ACCESS
132600        THRU MB00PD-MMRT-ACCESS-EXIT.
132700*
132800     MOVE 'MMRT'                 TO MB99WS-FILE-ID.
132900     MOVE 'R0RT'                 TO SS02WS-ABEND-LOCATION.
133000     SET MMRTRB-READ-SEQ         TO TRUE.
133100     PERFORM MB00PD-MMRT-ACCESS
133200        THRU MB00PD-MMRT-ACCESS-EXIT.
133300*
133400     IF  MMRTIO-HEADER
133500         NEXT SENTENCE
133600     ELSE
133700         PERFORM MB99PD-MISSING-HEADER-ABEND
133800            THRU MB99PD-MHA-EXIT.
133900*
134000     MOVE MMSC-TODAYS-JULIAN     TO MMRTIO-DATE-STAMP.
134100     MOVE MMSC-TIME-STAMP        TO MMRTIO-TIME-STAMP.
134200*
134300     MOVE 'U1RT'                 TO SS02WS-ABEND-LOCATION.
134400     SET MMRTRB-REWRITE          TO TRUE.
134500     PERFORM MB00PD-MMRT-ACCESS
134600        THRU MB00PD-MMRT-ACCESS-EXIT.
134700*
134800     MOVE 'C1RT'                 TO SS02WS-ABEND-LOCATION.
134900     SET MMRTRB-CLOSE            TO TRUE.
135000     PERFORM MB00PD-MMRT-ACCESS
135100        THRU MB00PD-MMRT-ACCESS-EXIT.
135200/
135300*
135400     MOVE 'O1SD'                 TO SS02WS-ABEND-LOCATION.
135500     SET MMSDRB-OPEN-IO          TO TRUE.
135600     PERFORM MB00PD-MMSD-ACCESS
135700        THRU MB00PD-MMSD-ACCESS-EXIT.
135800*
135900     MOVE 'MMSD'                 TO MB99WS-FILE-ID.
136000     MOVE 'R0SD'                 TO SS02WS-ABEND-LOCATION.
136100     SET MMSDRB-READ-SEQ         TO TRUE.
136200     PERFORM MB00PD-MMSD-ACCESS
136300        THRU MB00PD-MMSD-ACCESS-EXIT.
136400*
136500     IF  MMSDIO-HEADER
136600         NEXT SENTENCE
136700     ELSE
136800         PERFORM MB99PD-MISSING-HEADER-ABEND
136900            THRU MB99PD-MHA-EXIT.
137000*
137100     MOVE MMSC-TODAYS-JULIAN     TO MMSDIO-DATE-STAMP.
137200     MOVE MMSC-TIME-STAMP        TO MMSDIO-TIME-STAMP.
137300*
137400     MOVE 'U1SD'                 TO SS02WS-ABEND-LOCATION.
137500     SET MMSDRB-REWRITE          TO TRUE.
137600     PERFORM MB00PD-MMSD-ACCESS
137700        THRU MB00PD-MMSD-ACCESS-EXIT.
137800*
137900     MOVE 'C1SD'                 TO SS02WS-ABEND-LOCATION.
138000     SET MMSDRB-CLOSE            TO TRUE.
138100     PERFORM MB00PD-MMSD-ACCESS
138200        THRU MB00PD-MMSD-ACCESS-EXIT.
138300/
138400*
138500     MOVE 'O1SH'                 TO SS02WS-ABEND-LOCATION.
138600     SET MMSHRB-OPEN-IO          TO TRUE.
138700     PERFORM MB00PD-MMSH-ACCESS
138800        THRU MB00PD-MMSH-ACCESS-EXIT.
138900*
139000     MOVE 'MMSH'                 TO MB99WS-FILE-ID.
139100     MOVE 'R0SH'                 TO SS02WS-ABEND-LOCATION.
139200     SET MMSHRB-READ-SEQ         TO TRUE.
139300     PERFORM MB00PD-MMSH-ACCESS
139400        THRU MB00PD-MMSH-ACCESS-EXIT.
139500*
139600     IF  MMSHIO-HEADER
139700         NEXT SENTENCE
139800     ELSE
139900         PERFORM MB99PD-MISSING-HEADER-ABEND
140000            THRU MB99PD-MHA-EXIT.
140100*
140200     MOVE MMSC-TODAYS-JULIAN     TO MMSHIO-DATE-STAMP.
140300     MOVE MMSC-TIME-STAMP        TO MMSHIO-TIME-STAMP.
140400*
140500     MOVE 'U1SH'                 TO SS02WS-ABEND-LOCATION.
140600     SET MMSHRB-REWRITE          TO TRUE.
140700     PERFORM MB00PD-MMSH-ACCESS
140800        THRU MB00PD-MMSH-ACCESS-EXIT.
140900*
141000     MOVE 'C1SH'                 TO SS02WS-ABEND-LOCATION.
141100     SET MMSHRB-CLOSE            TO TRUE.
141200     PERFORM MB00PD-MMSH-ACCESS
141300        THRU MB00PD-MMSH-ACCESS-EXIT.
141400/
141500*
141600     MOVE 'O1SM'                 TO SS02WS-ABEND-LOCATION.
141700     SET MMSMRB-OPEN-IO          TO TRUE.
141800     PERFORM MB00PD-MMSM-ACCESS
141900        THRU MB00PD-MMSM-ACCESS-EXIT.
142000*
142100     MOVE 'MMSM'                 TO MB99WS-FILE-ID.
142200     MOVE 'R0SM'                 TO SS02WS-ABEND-LOCATION.
142300     SET MMSMRB-READ-SEQ         TO TRUE.
142400     PERFORM MB00PD-MMSM-ACCESS
142500        THRU MB00PD-MMSM-ACCESS-EXIT.
142600*
142700     IF  MMSMIO-HEADER
142800         NEXT SENTENCE
142900     ELSE
143000         PERFORM MB99PD-MISSING-HEADER-ABEND
143100            THRU MB99PD-MHA-EXIT.
143200*
143300     MOVE MMSC-TODAYS-JULIAN     TO MMSMIO-DATE-STAMP.
143400     MOVE MMSC-TIME-STAMP        TO MMSMIO-TIME-STAMP.
143500*
143600     MOVE 'U1SM'                 TO SS02WS-ABEND-LOCATION.
143700     SET MMSMRB-REWRITE          TO TRUE.
143800     PERFORM MB00PD-MMSM-ACCESS
143900        THRU MB00PD-MMSM-ACCESS-EXIT.
144000*
144100     MOVE 'C1SM'                 TO SS02WS-ABEND-LOCATION.
144200     SET MMSMRB-CLOSE            TO TRUE.
144300     PERFORM MB00PD-MMSM-ACCESS
144400        THRU MB00PD-MMSM-ACCESS-EXIT.
144500/
144600*
144700     MOVE 'O1SR'                 TO SS02WS-ABEND-LOCATION.
144800     SET MMSRRB-OPEN-IO          TO TRUE.
144900     PERFORM MB00PD-MMSR-ACCESS
145000        THRU MB00PD-MMSR-ACCESS-EXIT.
145100*
145200     MOVE 'MMSR'                 TO MB99WS-FILE-ID.
145300     MOVE 'R0SR'                 TO SS02WS-ABEND-LOCATION.
145400     SET MMSRRB-READ-SEQ         TO TRUE.
145500     PERFORM MB00PD-MMSR-ACCESS
145600        THRU MB00PD-MMSR-ACCESS-EXIT.
145700*
145800     IF  MMSRIO-HEADER
145900         NEXT SENTENCE
146000     ELSE
146100         PERFORM MB99PD-MISSING-HEADER-ABEND
146200            THRU MB99PD-MHA-EXIT.
146300*
146400     MOVE MMSC-TODAYS-JULIAN     TO MMSRIO-DATE-STAMP.
146500     MOVE MMSC-TIME-STAMP        TO MMSRIO-TIME-STAMP.
146600*
146700     MOVE 'U1SR'                 TO SS02WS-ABEND-LOCATION.
146800     SET MMSRRB-REWRITE          TO TRUE.
146900     PERFORM MB00PD-MMSR-ACCESS
147000        THRU MB00PD-MMSR-ACCESS-EXIT.
147100*
147200     MOVE 'C1SR'                 TO SS02WS-ABEND-LOCATION.
147300     SET MMSRRB-CLOSE            TO TRUE.
147400     PERFORM MB00PD-MMSR-ACCESS
147500        THRU MB00PD-MMSR-ACCESS-EXIT.
147600/
147700*
147800     MOVE 'O1SS'                 TO SS02WS-ABEND-LOCATION.
147900     SET MMSSRB-OPEN-IO          TO TRUE.
148000     PERFORM MB00PD-MMSS-ACCESS
148100        THRU MB00PD-MMSS-ACCESS-EXIT.
148200*
148300     MOVE 'MMSS'                 TO MB99WS-FILE-ID.
148400     MOVE 'R0SS'                 TO SS02WS-ABEND-LOCATION.
148500     SET MMSSRB-READ-SEQ         TO TRUE.
148600     PERFORM MB00PD-MMSS-ACCESS
148700        THRU MB00PD-MMSS-ACCESS-EXIT.
148800*
148900     IF  MMSSIO-HEADER
149000         NEXT SENTENCE
149100     ELSE
149200         PERFORM MB99PD-MISSING-HEADER-ABEND
149300            THRU MB99PD-MHA-EXIT.
149400*
149500     MOVE MMSC-TODAYS-JULIAN     TO MMSSIO-DATE-STAMP.
149600     MOVE MMSC-TIME-STAMP        TO MMSSIO-TIME-STAMP.
149700*
149800     MOVE 'U1SS'                 TO SS02WS-ABEND-LOCATION.
149900     SET MMSSRB-REWRITE          TO TRUE.
150000     PERFORM MB00PD-MMSS-ACCESS
150100        THRU MB00PD-MMSS-ACCESS-EXIT.
150200*
150300     MOVE 'C1SS'                 TO SS02WS-ABEND-LOCATION.
150400     SET MMSSRB-CLOSE            TO TRUE.
150500     PERFORM MB00PD-MMSS-ACCESS
150600        THRU MB00PD-MMSS-ACCESS-EXIT.
150700/
150800*
150900     MOVE 'O1TC'                 TO SS02WS-ABEND-LOCATION.
151000     SET MMTCRB-OPEN-IO          TO TRUE.
151100     PERFORM MB00PD-MMTC-ACCESS
151200        THRU MB00PD-MMTC-ACCESS-EXIT.
151300*
151400     MOVE 'MMTC'                 TO MB99WS-FILE-ID.
151500     MOVE 'R0TC'                 TO SS02WS-ABEND-LOCATION.
151600     SET MMTCRB-READ-SEQ         TO TRUE.
151700     PERFORM MB00PD-MMTC-ACCESS
151800        THRU MB00PD-MMTC-ACCESS-EXIT.
151900*
152000     IF  MMTCIO-HEADER
152100         NEXT SENTENCE
152200     ELSE
152300         PERFORM MB99PD-MISSING-HEADER-ABEND
152400            THRU MB99PD-MHA-EXIT.
152500*
152600     MOVE MMSC-TODAYS-JULIAN     TO MMTCIO-DATE-STAMP.
152700     MOVE MMSC-TIME-STAMP        TO MMTCIO-TIME-STAMP.
152800*
152900     MOVE 'U1TC'                 TO SS02WS-ABEND-LOCATION.
153000     SET MMTCRB-REWRITE          TO TRUE.
153100     PERFORM MB00PD-MMTC-ACCESS
153200        THRU MB00PD-MMTC-ACCESS-EXIT.
153300*
153400     MOVE 'C1TC'                 TO SS02WS-ABEND-LOCATION.
153500     SET MMTCRB-CLOSE            TO TRUE.
153600     PERFORM MB00PD-MMTC-ACCESS
153700        THRU MB00PD-MMTC-ACCESS-EXIT.
153800/
153900*
154000     MOVE 'O1TM'                 TO SS02WS-ABEND-LOCATION.
154100     SET MMTMRB-OPEN-IO          TO TRUE.
154200     PERFORM MB00PD-MMTM-ACCESS
154300        THRU MB00PD-MMTM-ACCESS-EXIT.
154400*
154500     MOVE 'MMTM'                 TO MB99WS-FILE-ID.
154600     MOVE 'R0TM'                 TO SS02WS-ABEND-LOCATION.
154700     SET MMTMRB-READ-SEQ         TO TRUE.
154800     PERFORM MB00PD-MMTM-ACCESS
154900        THRU MB00PD-MMTM-ACCESS-EXIT.
155000*
155100     IF  MMTMIO-HEADER
155200         NEXT SENTENCE
155300     ELSE
155400         PERFORM MB99PD-MISSING-HEADER-ABEND
155500            THRU MB99PD-MHA-EXIT.
155600*
155700     MOVE MMSC-TODAYS-JULIAN     TO MMTMIO-DATE-STAMP.
155800     MOVE MMSC-TIME-STAMP        TO MMTMIO-TIME-STAMP.
155900*
156000     MOVE 'U1TM'                 TO SS02WS-ABEND-LOCATION.
156100     SET MMTMRB-REWRITE          TO TRUE.
156200     PERFORM MB00PD-MMTM-ACCESS
156300        THRU MB00PD-MMTM-ACCESS-EXIT.
156400*
156500     MOVE 'C1TM'                 TO SS02WS-ABEND-LOCATION.
156600     SET MMTMRB-CLOSE            TO TRUE.
156700     PERFORM MB00PD-MMTM-ACCESS
156800        THRU MB00PD-MMTM-ACCESS-EXIT.
156900/
157000*
157100     MOVE 'O1WT'                 TO SS02WS-ABEND-LOCATION.
157200     SET MMWTRB-OPEN-IO          TO TRUE.
157300     PERFORM MB00PD-MMWT-ACCESS
157400        THRU MB00PD-MMWT-ACCESS-EXIT.
157500*
157600     MOVE 'MMWT'                 TO MB99WS-FILE-ID.
157700     MOVE 'R0WT'                 TO SS02WS-ABEND-LOCATION.
157800     SET MMWTRB-READ-SEQ         TO TRUE.
157900     PERFORM MB00PD-MMWT-ACCESS
158000        THRU MB00PD-MMWT-ACCESS-EXIT.
158100*
158200     IF  MMWTIO-HEADER
158300         NEXT SENTENCE
158400     ELSE
158500         PERFORM MB99PD-MISSING-HEADER-ABEND
158600            THRU MB99PD-MHA-EXIT.
158700*
158800     MOVE MMSC-TODAYS-JULIAN     TO MMWTIO-DATE-STAMP.
158900     MOVE MMSC-TIME-STAMP        TO MMWTIO-TIME-STAMP.
159000*
159100     MOVE 'U1WT'                 TO SS02WS-ABEND-LOCATION.
159200     SET MMWTRB-REWRITE          TO TRUE.
159300     PERFORM MB00PD-MMWT-ACCESS
159400        THRU MB00PD-MMWT-ACCESS-EXIT.
159500*
159600     MOVE 'C1WT'                 TO SS02WS-ABEND-LOCATION.
159700     SET MMWTRB-CLOSE            TO TRUE.
159800     PERFORM MB00PD-MMWT-ACCESS
159900        THRU MB00PD-MMWT-ACCESS-EXIT.
160000/
160100*
160200     MOVE 'O1XR'                 TO SS02WS-ABEND-LOCATION.
160300     SET MMXRRB-OPEN-IO          TO TRUE.
160400     PERFORM MB00PD-MMXR-ACCESS
160500        THRU MB00PD-MMXR-ACCESS-EXIT.
160600*
160700     MOVE 'MMXR'                 TO MB99WS-FILE-ID.
160800     MOVE 'R0XR'                 TO SS02WS-ABEND-LOCATION.
160900     SET MMXRRB-READ-SEQ         TO TRUE.
161000     PERFORM MB00PD-MMXR-ACCESS
161100        THRU MB00PD-MMXR-ACCESS-EXIT.
161200*
161300     IF  MMXRIO-HEADER
161400         NEXT SENTENCE
161500     ELSE
161600         PERFORM MB99PD-MISSING-HEADER-ABEND
161700            THRU MB99PD-MHA-EXIT.
161800*
161900     MOVE MMSC-TODAYS-JULIAN     TO MMXRIO-DATE-STAMP.
162000     MOVE MMSC-TIME-STAMP        TO MMXRIO-TIME-STAMP.
162100*
162200     MOVE 'U1XR'                 TO SS02WS-ABEND-LOCATION.
162300     SET MMXRRB-REWRITE          TO TRUE.
162400     PERFORM MB00PD-MMXR-ACCESS
162500        THRU MB00PD-MMXR-ACCESS-EXIT.
162600*
162700     MOVE 'C1XR'                 TO SS02WS-ABEND-LOCATION.
162800     SET MMXRRB-CLOSE            TO TRUE.
162900     PERFORM MB00PD-MMXR-ACCESS
163000        THRU MB00PD-MMXR-ACCESS-EXIT.
163100/
163200*
163300     MOVE 'O1XT'                 TO SS02WS-ABEND-LOCATION.
163400     SET MMXTRB-OPEN-IO          TO TRUE.
163500     PERFORM MB00PD-MMXT-ACCESS
163600        THRU MB00PD-MMXT-ACCESS-EXIT.
163700*
163800     MOVE 'MMXT'                 TO MB99WS-FILE-ID.
163900     MOVE 'R0XT'                 TO SS02WS-ABEND-LOCATION.
164000     SET MMXTRB-READ-SEQ         TO TRUE.
164100     PERFORM MB00PD-MMXT-ACCESS
164200        THRU MB00PD-MMXT-ACCESS-EXIT.
164300*
164400     IF  MMXTIO-HEADER
164500         NEXT SENTENCE
164600     ELSE
164700         PERFORM MB99PD-MISSING-HEADER-ABEND
164800            THRU MB99PD-MHA-EXIT.
164900*
165000     MOVE MMSC-TODAYS-JULIAN     TO MMXTIO-DATE-STAMP.
165100     MOVE MMSC-TIME-STAMP        TO MMXTIO-TIME-STAMP.
165200*
165300     MOVE 'U1XT'                 TO SS02WS-ABEND-LOCATION.
165400     SET MMXTRB-REWRITE          TO TRUE.
165500     PERFORM MB00PD-MMXT-ACCESS
165600        THRU MB00PD-MMXT-ACCESS-EXIT.
165700*
165800     MOVE 'C1XT'                 TO SS02WS-ABEND-LOCATION.
165900     SET MMXTRB-CLOSE            TO TRUE.
166000     PERFORM MB00PD-MMXT-ACCESS
166100        THRU MB00PD-MMXT-ACCESS-EXIT.
166200/
166300 D199-UFD-EXIT.
166400     EXIT.
166500/
166600 R100-PRINT-TOTALS SECTION.
166700 R101-PT-BEGIN.
166800*
166900     MOVE '  ORGANIZATIONS PROCESSING TODAY  '
167000                                 TO WS-D060-PL2-DESC.
167100     MOVE WS-D060-COUNTER-1      TO WS-D060-PL2-AMT.
167200     PERFORM MB20PD-PRINT-2-LINES
167300                                 THRU MB20PD-P2L-EXIT.
167400     MOVE '  ORGANIZATIONS BYPASSED TODAY    '
167500                                 TO WS-D060-PL2-DESC.
167600     MOVE WS-D060-COUNTER-2      TO WS-D060-PL2-AMT.
167700     PERFORM MB20PD-PRINT-2-LINES
167800                                 THRU MB20PD-P2L-EXIT.
167900*
168000 R199-PT-EXIT.
168100     EXIT.
168200/
168300 R200-PRINT-REPORT SECTION.
168400 R201-PR-BEGIN.
168500*
168600     MOVE MMOC-ORG               TO WS-D060-PL1-ORG.
168700     MOVE MMOC-NA-LINE (1 1)     TO WS-D060-PL1-NAME.
168800*
168900     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
169000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
169100        THRU SS26PD-NED-EXIT.
169200     MOVE SS01WS-XX-XX-YYYY      TO WS-D060-PL1-TDATE.
169300*
169400     MOVE MMOC-TODAYS-JULIAN     TO WS-D060-PL1-TJUL.
169500*
169600     MOVE MMOC-DATE-LAST-PROC    TO SS01WS-JULIAN.
169700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
169800        THRU SS26PD-NED-EXIT.
169900     MOVE SS01WS-XX-XX-YYYY      TO WS-D060-PL1-LDATE.
170000*
170100     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
170200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
170300        THRU SS26PD-NED-EXIT.
170400     MOVE SS01WS-XX-XX-YYYY      TO WS-D060-PL1-NDATE.
170500*
170600     MOVE MMOC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
170700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
170800        THRU SS26PD-NED-EXIT.
170900     MOVE SS01WS-XX-XX-YYYY      TO WS-D060-PL1-ATHRU.
171000*
171100     MOVE MMOC-WORK-WEEK         TO WS-D060-PL1-WEEK.
171200     MOVE SPACES                 TO WS-D060-PL1-EOM.
171300     MOVE SPACES                 TO WS-D060-PL1-ACTION.
171400*
171500     IF  MMOC-END-OF-MONTH
171600         MOVE 'EOM'              TO WS-D060-PL1-EOM.
171700*
171800     IF  MMOC-END-OF-YEAR
171900         MOVE 'EOY'              TO WS-D060-PL1-EOM.
172000/
172100     IF  MMOC-NOT-PROCESSING
172200         MOVE 'BYPASSED'         TO WS-D060-PL1-ACTION
172300         ADD 1                   TO WS-D060-COUNTER-2
172400         IF  MMOC-ADD-PENDING
172500             MOVE 'INCOMPLETE'   TO WS-D060-PL1-ACTION.
172600*
172700     IF  MMOC-PROCESSING
172800         MOVE 'PROCESSING'       TO WS-D060-PL1-ACTION
172900         ADD 1                   TO WS-D060-COUNTER-1.
173000*
173100     PERFORM MB20PD-PRINT-2-LINES
173200                                 THRU MB20PD-P2L-EXIT.
173300*
173400 R299-PR-EXIT.
173500     EXIT.
173600/
173700 R300-PRINT-REPORT SECTION.
173800 R301-PR-BEGIN.
173900*
174000     MOVE MMSC-ORG               TO WS-D060-PL1-ORG.
174100     MOVE 'SYSTEM RECORD'        TO WS-D060-PL1-NAME.
174200*
174300     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
174400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
174500        THRU SS26PD-NED-EXIT.
174600     MOVE SS01WS-XX-XX-YYYY      TO WS-D060-PL1-TDATE.
174700*
174800     MOVE MMSC-TODAYS-JULIAN     TO WS-D060-PL1-TJUL.
174900*
175000     MOVE MMSC-DATE-LAST-PROC    TO SS01WS-JULIAN.
175100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
175200        THRU SS26PD-NED-EXIT.
175300     MOVE SS01WS-XX-XX-YYYY      TO WS-D060-PL1-LDATE.
175400*
175500     MOVE MMSC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
175600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
175700        THRU SS26PD-NED-EXIT.
175800     MOVE SS01WS-XX-XX-YYYY      TO WS-D060-PL1-NDATE.
175900*
176000     MOVE MMSC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
176100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
176200        THRU SS26PD-NED-EXIT.
176300     MOVE SS01WS-XX-XX-YYYY      TO WS-D060-PL1-ATHRU.
176400*
176500     MOVE MMSC-WORK-WEEK         TO WS-D060-PL1-WEEK.
176600     MOVE SPACES                 TO WS-D060-PL1-EOM.
176700     MOVE SPACES                 TO WS-D060-PL1-ACTION.
176800*
176900     IF  MMSC-END-OF-MONTH
177000         MOVE 'EOM'              TO WS-D060-PL1-EOM.
177100*
177200     IF  MMSC-END-OF-YEAR
177300         MOVE 'EOY'              TO WS-D060-PL1-EOM.
177400/
177500     IF  MMSC-NOT-PROCESSING
177600         MOVE 'BYPASSED'         TO WS-D060-PL1-ACTION
177700         ADD 1                   TO WS-D060-COUNTER-2
177800         IF  MMSC-ADD-PENDING
177900             MOVE 'INCOMPLETE'   TO WS-D060-PL1-ACTION.
178000*
178100     IF  MMSC-PROCESSING
178200         MOVE 'PROCESSING'       TO WS-D060-PL1-ACTION.
178300*
178400     PERFORM MB20PD-PRINT-2-LINES
178500                                 THRU MB20PD-P2L-EXIT.
178600*
178700 R399-PR-EXIT.
178800     EXIT.
178900/
179000 U000-UPDATE-SYSTEM-RECORD SECTION.
179100 U001-USR-BEGIN.
179200*
179300     MOVE WS-D060-DATE-NEXT-PROC TO SS01WS-JULIAN.
179400     PERFORM SS06PD-DAY-OF-WEEK  THRU SS06PD-DOW-EXIT.
179500     ADD  1                      TO SS01WS-DOW.
179600     SET X-MMSC-WW               TO SS01WS-DOW.
179700*
179800     IF  MMSC-WW-DAY-PROCESSING    (X-MMSC-WW)
179900         NEXT SENTENCE
180000     ELSE
180100         MOVE 06001              TO SS02WS-ABEND-CODE
180200         MOVE 'NEXT PROC ERROR - SYSTEM'
180300                                 TO SS02WS-ABENDMSG8
180400         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
180500*
180600     PERFORM SS16PD-OPERATING-SYSTEM-DATE
180700        THRU SS16PD-OSD-EXIT.
180800*
180900     MOVE MMSC-TODAYS-JULIAN     TO MMSC-DATE-LAST-PROC.
181000     MOVE WS-D060-DATE-NEXT-PROC TO MMSC-TODAYS-JULIAN.
181100     MOVE MMSC-TIME-STAMP        TO MMSC-LAST-TIME-STAMP.
181200     MOVE SS01WS-TIME-HHMMSS     TO MMSC-TIME-STAMP.
181300     MOVE MMSC-ACCR-THRU-DATE    TO MMSC-DATE-LAST-ACCR.
181400*
181500     PERFORM U100-CALC-NEXT-PROC-DATE
181600        THRU U199-CNPD-EXIT.
181700*
181800     MOVE MMSC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
181900     MOVE 1                      TO SS01WS-FREQ.
182000     MOVE 'D'                    TO SS01WS-PERIOD.
182100     PERFORM SS10PD-BACKUP-DATE
182200        THRU SS10PD-BD-EXIT.
182300*
182400     IF  SS01WS-JULIAN IS GREATER THAN WS-D060-MAX-PROC-DATE
182500         MOVE WS-D060-MAX-PROC-DATE
182600                                 TO SS01WS-JULIAN.
182700*
182800     MOVE SS01WS-JULIAN          TO MMSC-ACCR-THRU-DATE.
182900*
183000     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
183100     PERFORM SS06PD-DAY-OF-WEEK
183200        THRU SS06PD-DOW-EXIT.
183300     MOVE SS01WS-DOW             TO MMSC-DAY-OF-WEEK.
183400*
183500     MOVE 'Y'                    TO MMSC-PROCESSING-SW.
183600*
183700     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
183800     PERFORM SS08PD-JUL-TO-GREG
183900        THRU SS08PD-JTG-EXIT.
184000     MOVE SS01WS-DATE            TO MMSC-TODAYS-CALENDAR.
184100*
184200     MOVE SS01WS-MM              TO WS-D060-MM.
184300     MOVE SS01WS-YEAR            TO WS-D060-YYYY.
184400     MOVE MMSC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
184500     PERFORM SS08PD-JUL-TO-GREG
184600        THRU SS08PD-JTG-EXIT.
184700*
184800     MOVE SPACES                 TO MMSC-EOM-EOY-FLAG.
184900*
185000     IF  SS01WS-MM IS NOT EQUAL TO WS-D060-MM
185100         MOVE 'M'                TO MMSC-EOM-EOY-FLAG.
185200*
185300     IF  SS01WS-YEAR IS NOT EQUAL TO WS-D060-YYYY
185400         MOVE 'Y'                TO MMSC-EOM-EOY-FLAG.
185500*
185600 U099-USR-EXIT.
185700     EXIT.
185800/
185900 U100-CALC-NEXT-PROC-DATE SECTION.
186000 U101-CNPD-BEGIN.
186100*
186200     MOVE 'N'                    TO WS-D060-NEXT-DATE-SW.
186300     MOVE MMSC-TODAYS-JULIAN     TO MMSC-DATE-NEXT-PROC.
186400*
186500     PERFORM
186600        UNTIL WS-D060-NEXT-DATE-SW IS EQUAL TO 'Y'
186700        MOVE 1                   TO SS01WS-FREQ
186800        MOVE 'D'                 TO SS01WS-PERIOD
186900        MOVE MMSC-DATE-NEXT-PROC
187000                                 TO SS01WS-JULIAN
187100        PERFORM SS03PD-FUTURE-DATE
187200           THRU SS03PD-FD-EXIT
187300        MOVE SS01WS-JULIAN       TO MMSC-DATE-NEXT-PROC
187400        MOVE 'Y'                 TO WS-D060-NEXT-DATE-SW
187500        PERFORM U200-SEARCH-HOLIDAYS
187600           THRU U299-SH-EXIT
187700        PERFORM U300-SEARCH-WORK-WEEK
187800           THRU U399-SWW-EXIT
187900     END-PERFORM.
188000*
188100*
188200 U199-CNPD-EXIT.
188300     EXIT.
188400/
188500 U200-SEARCH-HOLIDAYS SECTION.
188600 U201-SH-BEGIN.
188700*
188800     SET X-MMSC-HOL              TO 1.
188900*
189000     SEARCH MMSC-HOLIDAYS-TABLE    VARYING X-MMSC-HOL
189100         AT END
189200             SET X-MMSC-HOL      TO 1
189300         WHEN MMSC-HOLIDAYS    (X-MMSC-HOL)    IS EQUAL TO
189400                                 MMSC-DATE-NEXT-PROC
189500              MOVE 'N'           TO WS-D060-NEXT-DATE-SW.
189600*
189700 U299-SH-EXIT.
189800     EXIT.
189900/
190000 U300-SEARCH-WORK-WEEK SECTION.
190100 U301-SWW-BEGIN.
190200*
190300     MOVE MMSC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
190400     PERFORM SS06PD-DAY-OF-WEEK  THRU SS06PD-DOW-EXIT.
190500     ADD  1                      TO SS01WS-DOW.
190600     SET X-MMSC-WW               TO SS01WS-DOW.
190700*
190800     IF  MMSC-WW-DAY-PROCESSING    (X-MMSC-WW)
190900         NEXT SENTENCE
191000     ELSE
191100         MOVE 'N'                TO WS-D060-NEXT-DATE-SW.
191200*
191300 U399-SWW-EXIT.
191400     EXIT.
191500/
191600 U500-UPDATE-ORG-RECORD SECTION.
191700 U501-UOR-BEGIN.
191800*
191900     MOVE MMSC-TODAYS-JULIAN     TO WS-D060-DATE-NEXT-PROC.
192000     MOVE 'Y'                    TO MMOC-PROCESSING-SW.
192100*
192200     IF  MMOC-DATE-NEXT-PROC    IS GREATER THAN
192300                                 MMSC-TODAYS-JULIAN
192400         MOVE 'N'                TO MMOC-PROCESSING-SW
192500         GO TO U599-UOR-EXIT.
192600*
192700     MOVE WS-D060-DATE-NEXT-PROC TO MMOC-DATE-NEXT-PROC.
192800     MOVE WS-D060-DATE-NEXT-PROC TO SS01WS-JULIAN.
192900     PERFORM SS06PD-DAY-OF-WEEK  THRU SS06PD-DOW-EXIT.
193000     ADD  1                      TO SS01WS-DOW.
193100     SET X-MMOC-WW               TO SS01WS-DOW.
193200*
193300     IF  MMOC-WW-DAY-PROCESSING    (X-MMOC-WW)
193400         NEXT SENTENCE
193500     ELSE
193600         MOVE 'N'                TO MMOC-PROCESSING-SW
193700         PERFORM U600-CALC-NEXT-PROC-DATE
193800            THRU U699-CNPD-EXIT
193900         GO TO U599-UOR-EXIT.
194000*
194100     MOVE 'Y'                    TO WS-D060-NEXT-DATE-SW.
194200     PERFORM U700-SEARCH-HOLIDAYS
194300        THRU U799-SH-EXIT.
194400*
194500     IF  WS-D060-NEXT-DATE-SW IS EQUAL TO 'N'
194600         MOVE 'N'                TO MMOC-PROCESSING-SW
194700         PERFORM U600-CALC-NEXT-PROC-DATE
194800            THRU U699-CNPD-EXIT
194900         GO TO U599-UOR-EXIT.
195000*
195100     PERFORM SS16PD-OPERATING-SYSTEM-DATE
195200        THRU SS16PD-OSD-EXIT.
195300*
195400     MOVE MMOC-TODAYS-JULIAN     TO MMOC-DATE-LAST-PROC.
195500     MOVE WS-D060-DATE-NEXT-PROC TO MMOC-TODAYS-JULIAN.
195600     MOVE MMOC-TIME-STAMP        TO MMOC-LAST-TIME-STAMP.
195700     MOVE SS01WS-TIME-HHMMSS     TO MMOC-TIME-STAMP.
195800     MOVE MMOC-ACCR-THRU-DATE    TO MMOC-DATE-LAST-ACCR.
195900*
196000     PERFORM U600-CALC-NEXT-PROC-DATE
196100        THRU U699-CNPD-EXIT.
196200*
196300     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
196400     MOVE 1                      TO SS01WS-FREQ.
196500     MOVE 'D'                    TO SS01WS-PERIOD.
196600     PERFORM SS10PD-BACKUP-DATE
196700        THRU SS10PD-BD-EXIT.
196800*
196900     IF  SS01WS-JULIAN IS GREATER THAN WS-D060-MAX-PROC-DATE
197000         MOVE WS-D060-MAX-PROC-DATE
197100                                 TO SS01WS-JULIAN.
197200*
197300     MOVE SS01WS-JULIAN          TO MMOC-ACCR-THRU-DATE.
197400*
197500     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
197600     PERFORM SS06PD-DAY-OF-WEEK
197700        THRU SS06PD-DOW-EXIT.
197800     MOVE SS01WS-DOW             TO MMOC-DAY-OF-WEEK.
197900*
198000     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
198100     PERFORM SS08PD-JUL-TO-GREG
198200        THRU SS08PD-JTG-EXIT.
198300     MOVE SS01WS-DATE            TO MMOC-TODAYS-CALENDAR.
198400*
198500     MOVE SS01WS-MM              TO WS-D060-MM.
198600     MOVE SS01WS-YEAR            TO WS-D060-YYYY.
198700     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
198800     PERFORM SS08PD-JUL-TO-GREG
198900        THRU SS08PD-JTG-EXIT.
199000*
199100     MOVE SPACES                 TO MMOC-EOM-EOY-FLAG.
199200*
199300     IF  SS01WS-MM IS NOT EQUAL TO WS-D060-MM
199400         MOVE 'M'                TO MMOC-EOM-EOY-FLAG.
199500*
199600     IF  SS01WS-YEAR IS NOT EQUAL TO WS-D060-YYYY
199700         MOVE 'Y'                TO MMOC-EOM-EOY-FLAG.
199800*
199900 U599-UOR-EXIT.
200000     EXIT.
200100/
200200 U600-CALC-NEXT-PROC-DATE SECTION.
200300 U601-CNPD-BEGIN.
200400*
200500     MOVE 'N'                    TO WS-D060-NEXT-DATE-SW.
200600*
200700     PERFORM
200800        UNTIL WS-D060-NEXT-DATE-SW IS EQUAL TO 'Y'
200900        MOVE 1                   TO SS01WS-FREQ
201000        MOVE 'D'                 TO SS01WS-PERIOD
201100        MOVE MMOC-DATE-NEXT-PROC
201200                                 TO SS01WS-JULIAN
201300        PERFORM SS03PD-FUTURE-DATE
201400           THRU SS03PD-FD-EXIT
201500        MOVE SS01WS-JULIAN       TO MMOC-DATE-NEXT-PROC
201600        MOVE 'Y'                 TO WS-D060-NEXT-DATE-SW
201700        PERFORM U700-SEARCH-HOLIDAYS
201800           THRU U799-SH-EXIT
201900        PERFORM U800-SEARCH-WORK-WEEK
202000           THRU U899-SWW-EXIT
202100     END-PERFORM.
202200*
202300*
202400 U699-CNPD-EXIT.
202500     EXIT.
202600/
202700 U700-SEARCH-HOLIDAYS SECTION.
202800 U701-SH-BEGIN.
202900*
203000     SET X-MMSC-HOL              TO 1.
203100*
203200     SEARCH MMSC-HOLIDAYS-TABLE    VARYING X-MMSC-HOL
203300         AT END
203400             SET X-MMSC-HOL      TO 1
203500         WHEN MMSC-HOLIDAYS    (X-MMSC-HOL)    IS EQUAL TO
203600                                 MMOC-DATE-NEXT-PROC
203700              MOVE 'N'           TO WS-D060-NEXT-DATE-SW.
203800*
203900     SET X-MMOC-HOL              TO 1.
204000*
204100     SEARCH MMOC-HOLIDAYS-TABLE    VARYING X-MMOC-HOL
204200         AT END
204300             SET X-MMOC-HOL      TO 1
204400         WHEN MMOC-HOLIDAYS    (X-MMOC-HOL)    IS EQUAL TO
204500                                 MMOC-DATE-NEXT-PROC
204600              MOVE 'N'           TO WS-D060-NEXT-DATE-SW.
204700*
204800 U799-SH-EXIT.
204900     EXIT.
205000/
205100 U800-SEARCH-WORK-WEEK SECTION.
205200 U801-SWW-BEGIN.
205300*
205400     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
205500     PERFORM SS06PD-DAY-OF-WEEK  THRU SS06PD-DOW-EXIT.
205600     ADD  1                      TO SS01WS-DOW.
205700     SET X-MMOC-WW               TO SS01WS-DOW.
205800*
205900     IF  MMOC-WW-DAY-PROCESSING    (X-MMOC-WW)
206000         NEXT SENTENCE
206100     ELSE
206200         MOVE 'N'                TO WS-D060-NEXT-DATE-SW.
206300*
206400 U899-SWW-EXIT.
206500     EXIT.
206600/
206700 Y000-CHECK-TESTMODE SECTION.
206800 Y001-CT-BEGIN.
206900*
207000     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
207100     SET MTCCRB-READ-SEQ         TO TRUE.
207200     PERFORM MB00PD-MTCC-ACCESS
207300        THRU MB00PD-MTCC-ACCESS-EXIT.
207400*
207500     IF  SS02WS-FS-END-OF-FILE
207600         GO TO Y099-CT-EXIT.
207700*
207800     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
207900*
208000     IF  MTCC-PROGRAM-ID IS EQUAL TO WS-PROG-ID
208100         NEXT SENTENCE
208200     ELSE
208300         GO TO Y000-CHECK-TESTMODE.
208400*
208500     IF  MTCC-MBD060-DATE-NEXT-PROC-X IS EQUAL TO 'TESTMODE'
208600         MOVE 'Y'                TO WS-D060-TESTMODE-SW
208700         GO TO Y000-CHECK-TESTMODE.
208800*
208900 Y099-CT-EXIT.
209000     EXIT.
209100/
209200 Y100-PROCESS-CONTROL-CARD SECTION.
209300 Y101-PCC-BEGIN.
209400*
209500     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
209600     SET MTCCRB-READ-SEQ         TO TRUE.
209700     PERFORM MB00PD-MTCC-ACCESS
209800        THRU MB00PD-MTCC-ACCESS-EXIT.
209900*
210000     IF  SS02WS-FS-END-OF-FILE
210100         GO TO Y199-PCC-EXIT.
210200*
210300     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
210400*
210500     IF  MTCC-PROGRAM-ID IS EQUAL TO WS-PROG-ID
210600         NEXT SENTENCE
210700     ELSE
210800         GO TO Y100-PROCESS-CONTROL-CARD.
210900*
211000     IF  MTCC-MBD060-DATE-NEXT-PROC-X IS EQUAL TO 'TESTMODE'
211100         GO TO Y100-PROCESS-CONTROL-CARD.
211200*
211300     MOVE MTCC-MBD060-DATE-NEXT-PROC-X
211400                                 TO SS01WS-DATEZ.
211500     PERFORM SS05PD-DATE-VALIDATION
211600        THRU SS05PD-DV-EXIT.
211700*
211800     PERFORM SS07PD-GREG-TO-JUL
211900        THRU SS07PD-GTJ-EXIT.
212000*
212100     IF  SS01WS-JULIAN IS LESS THAN WS-D060-DATE-NEXT-PROC
212200         MOVE 06002              TO SS02WS-ABEND-CODE
212300         MOVE 'INVALID CONTROL CARD DATE'
212400                                 TO SS02WS-ABENDMSG8
212500         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
212600*
212700     MOVE SS01WS-JULIAN          TO WS-D060-DATE-NEXT-PROC.
212800*
212900     IF  WS-D060-DATE-NEXT-PROC IS GREATER THAN
213000                                 WS-D060-MAX-PROC-DATE
213100         MOVE 06003              TO SS02WS-ABEND-CODE
213200         MOVE 'CANNOT ADVANCE BEYOND E-O-M'
213300                                 TO SS02WS-ABENDMSG8
213400         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
213500*
213600     SET X-MMSC-HOL              TO 1.
213700*
213800     SEARCH MMSC-HOLIDAYS-TABLE    VARYING X-MMSC-HOL
213900         AT END
214000             SET X-MMSC-HOL      TO 1
214100         WHEN MMSC-HOLIDAYS    (X-MMSC-HOL)    IS EQUAL TO
214200                                 WS-D060-DATE-NEXT-PROC
214300             MOVE 06004          TO SS02WS-ABEND-CODE
214400             MOVE 'CANNOT ADVANCE TO A HOLIDAY'
214500                                 TO SS02WS-ABENDMSG8
214600             PERFORM SS02PD-ABEND THRU SS02PD-ABEND-EXIT.
214700*
214800     MOVE WS-D060-DATE-NEXT-PROC TO SS01WS-JULIAN.
214900     PERFORM SS06PD-DAY-OF-WEEK  THRU SS06PD-DOW-EXIT.
215000     ADD  1                      TO SS01WS-DOW.
215100     SET X-MMSC-WW               TO SS01WS-DOW.
215200*
215300     IF  MMSC-WW-DAY-PROCESSING    (X-MMSC-WW)
215400         NEXT SENTENCE
215500     ELSE
215600         MOVE 06005              TO SS02WS-ABEND-CODE
215700         MOVE 'CANNOT ADVANCE TO NON-PROC'
215800                                 TO SS02WS-ABENDMSG8
215900         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
216000*
216100 Y199-PCC-EXIT.
216200     EXIT.
216300/
216400 O100-CHECK-MMQ1 SECTION.
216500 O101-CMMQ1-BEGIN.
216600*
216700     MOVE 'O1Q1'                 TO SS02WS-ABEND-LOCATION.
216800     SET MMQ1RB-OPEN-IO          TO TRUE.
216900     PERFORM MB00PD-MMQ1-ACCESS
217000        THRU MB00PD-MMQ1-ACCESS-EXIT.
217100*
217200     MOVE 'MMQ1'                 TO MB99WS-FILE-ID.
217300     MOVE 'R0Q1'                 TO SS02WS-ABEND-LOCATION.
217400     SET MMQ1RB-READ-SEQ         TO TRUE.
217500     PERFORM MB00PD-MMQ1-ACCESS
217600        THRU MB00PD-MMQ1-ACCESS-EXIT.
217700*
217800     IF  MMQ1IO-HEADER
217900         NEXT SENTENCE
218000     ELSE
218100         PERFORM MB99PD-MISSING-HEADER-ABEND
218200            THRU MB99PD-MHA-EXIT.
218300*
218400     MOVE MMSC-TODAYS-JULIAN     TO MMQ1IO-DATE-STAMP.
218500     MOVE MMSC-TIME-STAMP        TO MMQ1IO-TIME-STAMP.
218600*
218700     MOVE 'U1Q1'                 TO SS02WS-ABEND-LOCATION.
218800     SET MMQ1RB-REWRITE          TO TRUE.
218900     PERFORM MB00PD-MMQ1-ACCESS
219000        THRU MB00PD-MMQ1-ACCESS-EXIT.
219100*
219200     MOVE 'C1Q1'                 TO SS02WS-ABEND-LOCATION.
219300     SET MMQ1RB-CLOSE            TO TRUE.
219400     PERFORM MB00PD-MMQ1-ACCESS
219500        THRU MB00PD-MMQ1-ACCESS-EXIT.
219600*
219700 O199-CMMQ1-EXIT.
219800     EXIT.
219900/
220000 O200-CHECK-MMQ2 SECTION.                                         EH800900
220100 O201-CMMQ2-BEGIN.                                                EH800900
220200*                                                                 EH800900
220300     MOVE 'O1Q2'                 TO SS02WS-ABEND-LOCATION.        EH800900
220400     SET MMQ2RB-OPEN-IO          TO TRUE.                         EH800900
220500     PERFORM MB00PD-MMQ2-ACCESS                                   EH800900
220600        THRU MB00PD-MMQ2-ACCESS-EXIT.                             EH800900
220700*                                                                 EH800900
220800     MOVE 'MMQ2'                 TO MB99WS-FILE-ID.               EH800900
220900     MOVE 'R0Q2'                 TO SS02WS-ABEND-LOCATION.        EH800900
221000     SET MMQ2RB-READ-SEQ         TO TRUE.                         EH800900
221100     PERFORM MB00PD-MMQ2-ACCESS                                   EH800900
221200        THRU MB00PD-MMQ2-ACCESS-EXIT.                             EH800900
221300*                                                                 EH800900
221400     IF  MMQ2IO-HEADER                                            EH800900
221500         NEXT SENTENCE                                            EH800900
221600     ELSE                                                         EH800900
221700         PERFORM MB99PD-MISSING-HEADER-ABEND                      EH800900
221800            THRU MB99PD-MHA-EXIT.                                 EH800900
221900*                                                                 EH800900
222000     MOVE MMSC-TODAYS-JULIAN     TO MMQ2IO-DATE-STAMP.            EH800900
222100     MOVE MMSC-TIME-STAMP        TO MMQ2IO-TIME-STAMP.            EH800900
222200*                                                                 EH800900
222300     MOVE 'U1Q2'                 TO SS02WS-ABEND-LOCATION.        EH800900
222400     SET MMQ2RB-REWRITE          TO TRUE.                         EH800900
222500     PERFORM MB00PD-MMQ2-ACCESS                                   EH800900
222600        THRU MB00PD-MMQ2-ACCESS-EXIT.                             EH800900
222700*                                                                 EH800900
222800     MOVE 'C1Q2'                 TO SS02WS-ABEND-LOCATION.        EH800900
222900     SET MMQ2RB-CLOSE            TO TRUE.                         EH800900
223000     PERFORM MB00PD-MMQ2-ACCESS                                   EH800900
223100        THRU MB00PD-MMQ2-ACCESS-EXIT.                             EH800900
223200*                                                                 EH800900
223300 O299-CMMQ2-EXIT.                                                 EH800900
223400     EXIT.                                                        EH800900
223500/                                                                 EH800900
223600 O300-CHECK-MMQ3 SECTION.                                         EH800900
223700 O301-CMMQ3-BEGIN.                                                EH800900
223800*                                                                 EH800900
223900     MOVE 'O1Q3'                 TO SS02WS-ABEND-LOCATION.        EH800900
224000     SET MMQ3RB-OPEN-IO          TO TRUE.                         EH800900
224100     PERFORM MB00PD-MMQ3-ACCESS                                   EH800900
224200        THRU MB00PD-MMQ3-ACCESS-EXIT.                             EH800900
224300*                                                                 EH800900
224400     MOVE 'MMQ3'                 TO MB99WS-FILE-ID.               EH800900
224500     MOVE 'R0Q3'                 TO SS02WS-ABEND-LOCATION.        EH800900
224600     SET MMQ3RB-READ-SEQ         TO TRUE.                         EH800900
224700     PERFORM MB00PD-MMQ3-ACCESS                                   EH800900
224800        THRU MB00PD-MMQ3-ACCESS-EXIT.                             EH800900
224900*                                                                 EH800900
225000     IF  MMQ3IO-HEADER                                            EH800900
225100         NEXT SENTENCE                                            EH800900
225200     ELSE                                                         EH800900
225300         PERFORM MB99PD-MISSING-HEADER-ABEND                      EH800900
225400            THRU MB99PD-MHA-EXIT.                                 EH800900
225500*                                                                 EH800900
225600     MOVE MMSC-TODAYS-JULIAN     TO MMQ3IO-DATE-STAMP.            EH800900
225700     MOVE MMSC-TIME-STAMP        TO MMQ3IO-TIME-STAMP.            EH800900
225800*                                                                 EH800900
225900     MOVE 'U1Q3'                 TO SS02WS-ABEND-LOCATION.        EH800900
226000     SET MMQ3RB-REWRITE          TO TRUE.                         EH800900
226100     PERFORM MB00PD-MMQ3-ACCESS                                   EH800900
226200        THRU MB00PD-MMQ3-ACCESS-EXIT.                             EH800900
226300*                                                                 EH800900
226400     MOVE 'C1Q3'                 TO SS02WS-ABEND-LOCATION.        EH800900
226500     SET MMQ3RB-CLOSE            TO TRUE.                         EH800900
226600     PERFORM MB00PD-MMQ3-ACCESS                                   EH800900
226700        THRU MB00PD-MMQ3-ACCESS-EXIT.                             EH800900
226800*                                                                 EH800900
226900 O399-CMMQ3-EXIT.                                                 EH800900
227000     EXIT.                                                        EH800900
227100/                                                                 EH800900
227200 O400-CHECK-MMQ4 SECTION.                                         EH800900
227300 O401-CMMQ4-BEGIN.                                                EH800900
227400*                                                                 EH800900
227500     MOVE 'O1Q4'                 TO SS02WS-ABEND-LOCATION.        EH800900
227600     SET MMQ4RB-OPEN-IO          TO TRUE.                         EH800900
227700     PERFORM MB00PD-MMQ4-ACCESS                                   EH800900
227800        THRU MB00PD-MMQ4-ACCESS-EXIT.                             EH800900
227900*                                                                 EH800900
228000     MOVE 'MMQ4'                 TO MB99WS-FILE-ID.               EH800900
228100     MOVE 'R0Q4'                 TO SS02WS-ABEND-LOCATION.        EH800900
228200     SET MMQ4RB-READ-SEQ         TO TRUE.                         EH800900
228300     PERFORM MB00PD-MMQ4-ACCESS                                   EH800900
228400        THRU MB00PD-MMQ4-ACCESS-EXIT.                             EH800900
228500*                                                                 EH800900
228600     IF  MMQ4IO-HEADER                                            EH800900
228700         NEXT SENTENCE                                            EH800900
228800     ELSE                                                         EH800900
228900         PERFORM MB99PD-MISSING-HEADER-ABEND                      EH800900
229000            THRU MB99PD-MHA-EXIT.                                 EH800900
229100*                                                                 EH800900
229200     MOVE MMSC-TODAYS-JULIAN     TO MMQ4IO-DATE-STAMP.            EH800900
229300     MOVE MMSC-TIME-STAMP        TO MMQ4IO-TIME-STAMP.            EH800900
229400*                                                                 EH800900
229500     MOVE 'U1Q4'                 TO SS02WS-ABEND-LOCATION.        EH800900
229600     SET MMQ4RB-REWRITE          TO TRUE.                         EH800900
229700     PERFORM MB00PD-MMQ4-ACCESS                                   EH800900
229800        THRU MB00PD-MMQ4-ACCESS-EXIT.                             EH800900
229900*                                                                 EH800900
230000     MOVE 'C1Q4'                 TO SS02WS-ABEND-LOCATION.        EH800900
230100     SET MMQ4RB-CLOSE            TO TRUE.                         EH800900
230200     PERFORM MB00PD-MMQ4-ACCESS                                   EH800900
230300        THRU MB00PD-MMQ4-ACCESS-EXIT.                             EH800900
230400*                                                                 EH800900
230500 O499-CMMQ4-EXIT.                                                 EH800900
230600     EXIT.                                                        EH800900
230700/                                                                 EH800900
230800 O500-CHECK-MMQ5 SECTION.                                         EH800900
230900 O501-CMMQ5-BEGIN.                                                EH800900
231000*                                                                 EH800900
231100     MOVE 'O1Q5'                 TO SS02WS-ABEND-LOCATION.        EH800900
231200     SET MMQ5RB-OPEN-IO          TO TRUE.                         EH800900
231300     PERFORM MB00PD-MMQ5-ACCESS                                   EH800900
231400        THRU MB00PD-MMQ5-ACCESS-EXIT.                             EH800900
231500*                                                                 EH800900
231600     MOVE 'MMQ5'                 TO MB99WS-FILE-ID.               EH800900
231700     MOVE 'R0Q5'                 TO SS02WS-ABEND-LOCATION.        EH800900
231800     SET MMQ5RB-READ-SEQ         TO TRUE.                         EH800900
231900     PERFORM MB00PD-MMQ5-ACCESS                                   EH800900
232000        THRU MB00PD-MMQ5-ACCESS-EXIT.                             EH800900
232100*                                                                 EH800900
232200     IF  MMQ5IO-HEADER                                            EH800900
232300         NEXT SENTENCE                                            EH800900
232400     ELSE                                                         EH800900
232500         PERFORM MB99PD-MISSING-HEADER-ABEND                      EH800900
232600            THRU MB99PD-MHA-EXIT.                                 EH800900
232700*                                                                 EH800900
232800     MOVE MMSC-TODAYS-JULIAN     TO MMQ5IO-DATE-STAMP.            EH800900
232900     MOVE MMSC-TIME-STAMP        TO MMQ5IO-TIME-STAMP.            EH800900
233000*                                                                 EH800900
233100     MOVE 'U1Q5'                 TO SS02WS-ABEND-LOCATION.        EH800900
233200     SET MMQ5RB-REWRITE          TO TRUE.                         EH800900
233300     PERFORM MB00PD-MMQ5-ACCESS                                   EH800900
233400        THRU MB00PD-MMQ5-ACCESS-EXIT.                             EH800900
233500*                                                                 EH800900
233600     MOVE 'C1Q5'                 TO SS02WS-ABEND-LOCATION.        EH800900
233700     SET MMQ5RB-CLOSE            TO TRUE.                         EH800900
233800     PERFORM MB00PD-MMQ5-ACCESS                                   EH800900
233900        THRU MB00PD-MMQ5-ACCESS-EXIT.                             EH800900
234000*                                                                 EH800900
234100 O599-CMMQ5-EXIT.                                                 EH800900
234200     EXIT.                                                        EH800900
234300/                                                                 EH800900
234400 O600-CHECK-MMQ6 SECTION.                                         EH800900
234500 O601-CMMQ6-BEGIN.                                                EH800900
234600*                                                                 EH800900
234700     MOVE 'O1Q6'                 TO SS02WS-ABEND-LOCATION.        EH800900
234800     SET MMQ6RB-OPEN-IO          TO TRUE.                         EH800900
234900     PERFORM MB00PD-MMQ6-ACCESS                                   EH800900
235000        THRU MB00PD-MMQ6-ACCESS-EXIT.                             EH800900
235100*                                                                 EH800900
235200     MOVE 'MMQ6'                 TO MB99WS-FILE-ID.               EH800900
235300     MOVE 'R0Q6'                 TO SS02WS-ABEND-LOCATION.        EH800900
235400     SET MMQ6RB-READ-SEQ         TO TRUE.                         EH800900
235500     PERFORM MB00PD-MMQ6-ACCESS                                   EH800900
235600        THRU MB00PD-MMQ6-ACCESS-EXIT.                             EH800900
235700*                                                                 EH800900
235800     IF  MMQ6IO-HEADER                                            EH800900
235900         NEXT SENTENCE                                            EH800900
236000     ELSE                                                         EH800900
236100         PERFORM MB99PD-MISSING-HEADER-ABEND                      EH800900
236200            THRU MB99PD-MHA-EXIT.                                 EH800900
236300*                                                                 EH800900
236400     MOVE MMSC-TODAYS-JULIAN     TO MMQ6IO-DATE-STAMP.            EH800900
236500     MOVE MMSC-TIME-STAMP        TO MMQ6IO-TIME-STAMP.            EH800900
236600*                                                                 EH800900
236700     MOVE 'U1Q6'                 TO SS02WS-ABEND-LOCATION.        EH800900
236800     SET MMQ6RB-REWRITE          TO TRUE.                         EH800900
236900     PERFORM MB00PD-MMQ6-ACCESS                                   EH800900
237000        THRU MB00PD-MMQ6-ACCESS-EXIT.                             EH800900
237100*                                                                 EH800900
237200     MOVE 'C1Q6'                 TO SS02WS-ABEND-LOCATION.        EH800900
237300     SET MMQ6RB-CLOSE            TO TRUE.                         EH800900
237400     PERFORM MB00PD-MMQ6-ACCESS                                   EH800900
237500        THRU MB00PD-MMQ6-ACCESS-EXIT.                             EH800900
237600*                                                                 EH800900
237700 O699-CMMQ6-EXIT.                                                 EH800900
237800     EXIT.                                                        EH800900
237900/                                                                 EH800900
238000 9000-PERFORMED-ROUTINES SECTION.                                 EH800900
238100     COPY MB00PD REPLACING ==:MB00:== BY ==MMAM==.                EH800900
238200/                                                                 EH800900
238300     COPY MB00PD REPLACING ==:MB00:== BY ==MMBC==.                EH800900
238400/                                                                 EH800900
238500     COPY MB00PD REPLACING ==:MB00:== BY ==MMCP==.                EH800900
238600/                                                                 EH800900
238700     COPY MB00PD REPLACING ==:MB00:== BY ==MMCS==.                EH800900
238800/                                                                 EH800900
238900     COPY MB00PD REPLACING ==:MB00:== BY ==MMCT==.                EH800900
239000/                                                                 EH800900
239100     COPY MB00PD REPLACING ==:MB00:== BY ==MMDT==.                EH800900
239200/                                                                 EH800900
239300     COPY MB00PD REPLACING ==:MB00:== BY ==MMEF==.                EH800900
239400/                                                                 EH800900
239500     COPY MB00PD REPLACING ==:MB00:== BY ==MMFA==.                EH800900
239600/                                                                 EH800900
239700     COPY MB00PD REPLACING ==:MB00:== BY ==MMFP==.                EH800900
239800/                                                                 EH800900
239900     COPY MB00PD REPLACING ==:MB00:== BY ==MMFS==.                EH800900
240000/                                                                 EH800900
240100     COPY MB00PD REPLACING ==:MB00:== BY ==MMGD==.                EH800900
240200/                                                                 EH800900
240300     COPY MB00PD REPLACING ==:MB00:== BY ==MMIC==.                EH800900
240400/                                                                 EH800900
240500     COPY MB00PD REPLACING ==:MB00:== BY ==MMIF==.                EH800900
240600/                                                                 EH800900
240700     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.                EH800900
240800/                                                                 EH800900
240900     COPY MB00PD REPLACING ==:MB00:== BY ==MMMP==.                EH800900
241000/                                                                 EH800900
241100     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.                EH800900
241200/                                                                 EH800900
241300     COPY MB00PD REPLACING ==:MB00:== BY ==MMOE==.                EH800900
241400/                                                                 EH800900
241500     COPY MB00PD REPLACING ==:MB00:== BY ==MMOI==.                EH800900
241600/                                                                 EH800900
241700     COPY MB00PD REPLACING ==:MB00:== BY ==MMPA==.                EH800900
241800/                                                                 EH800900
241900     COPY MB00PD REPLACING ==:MB00:== BY ==MMPE==.                EH800900
242000/                                                                 EH800900
242100     COPY MB00PD REPLACING ==:MB00:== BY ==MMPF==.                EH800900
242200/                                                                 EH800900
242300     COPY MB00PD REPLACING ==:MB00:== BY ==MMPS==.                EH800900
242400/                                                                 EH800900
242500     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ1==.                EH800900
242600/                                                                 EH800900
242700     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ2==.                EH800900
242800/                                                                 EH800900
242900     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ3==.                EH800900
243000/                                                                 EH800900
243100     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ4==.                EH800900
243200/                                                                 EH800900
243300     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ5==.                EH800900
243400/                                                                 EH800900
243500     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ6==.                EH800900
243600/                                                                 EH800900
243700     COPY MB00PD REPLACING ==:MB00:== BY ==MMRC==.                EH800900
243800/                                                                 EH800900
243900     COPY MB00PD REPLACING ==:MB00:== BY ==MMRD==.                EH800900
244000/                                                                 EH800900
244100     COPY MB00PD REPLACING ==:MB00:== BY ==MMRT==.                EH800900
244200/                                                                 EH800900
244300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.                EH800900
244400/                                                                 EH800900
244500     COPY MB00PD REPLACING ==:MB00:== BY ==MMSD==.                EH800900
244600/                                                                 EH800900
244700     COPY MB00PD REPLACING ==:MB00:== BY ==MMSH==.                EH800900
244800/                                                                 EH800900
244900     COPY MB00PD REPLACING ==:MB00:== BY ==MMSM==.                EH800900
245000/                                                                 EH800900
245100     COPY MB00PD REPLACING ==:MB00:== BY ==MMSR==.                EH800900
245200/                                                                 EH800900
245300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSS==.                EH800900
245400/                                                                 EH800900
245500     COPY MB00PD REPLACING ==:MB00:== BY ==MMTC==.                EH800900
245600/                                                                 EH800900
245700     COPY MB00PD REPLACING ==:MB00:== BY ==MMTM==.                EH800900
245800/                                                                 EH800900
245900     COPY MB00PD REPLACING ==:MB00:== BY ==MMWT==.                EH800900
246000/                                                                 EH800900
246100     COPY MB00PD REPLACING ==:MB00:== BY ==MMXR==.                EH800900
246200/                                                                 EH800900
246300     COPY MB00PD REPLACING ==:MB00:== BY ==MMXT==.                EH800900
246400/                                                                 EH800900
246500     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.                EH800900
246600/                                                                 EH800900
246700     COPY MB99PD.                                                 EH800900
246800/                                                                 EH800900
246900     COPY MB20PD.                                                 EH800900
247000/                                                                 EH800900
247100     COPY SS02PD.                                                 EH800900
247200/                                                                 EH800900
247300     COPY SS03PD.                                                 EH800900
247400/                                                                 EH800900
247500     COPY SS05PD.                                                 EH800900
247600/                                                                 EH800900
247700     COPY SS06PD.                                                 EH800900
247800/                                                                 EH800900
247900     COPY SS07PD.                                                 EH800900
248000/                                                                 EH800900
248100     COPY SS08PD.                                                 EH800900
248200/                                                                 EH800900
248300     COPY SS10PD.                                                 EH800900
248400/                                                                 EH800900
248500     COPY SS16PD.                                                 EH800900
248600/                                                                 EH800900
248700     COPY SS18PD.                                                 EH800900
248800/                                                                 EH800900
248900     COPY SS26PD.                                                 EH800900
249000/                                                                 EH800900
249100     COPY SS27PD.                                                 EH800900
249200/                                                                 EH800900
249300 9995-END-SOURCE-STATEMENTS SECTION.                              EH800900
249400 9999-END-OF-PROGRAM.                                             EH800900
249500     EXIT.                                                        EH800900
