000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100IC.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100IC - INVENTORY CONTROL RECOVERY AND                 *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMICRL.
002800/
002900     COPY MMICIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMIC==.
003200/
003300     COPY MMICIR.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS95WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SS01WS.
004800/
004900     COPY SS02WS.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400     COPY MBD100WS.
005500/
005600     COPY MMSCRL.
005700/
005800     COPY MMOCRL.
005900/
006000     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006500/
006600 PROCEDURE DIVISION              USING MBD100WS-AREA
006700                                       MMSC-RECORD
006800                                       MMOC-RECORD
006900                                       MTL1-RECORD
007000                                       MTC1-RECORD
007100                                       MTC2-RECORD.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'MBD100IC'             TO SS02WS-ABEND-PROG-ID.
007700     MOVE 'MMIC'                 TO MB99WS-FILE-ID.
007800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
007900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008000*
008100     IF  MBD100WS-OPEN-FILE
008200         SET SS95WS-FUNCTION-INITIALIZE
008300                                 TO TRUE
008400         PERFORM SS95PD-NAP-ROUTINE
008500            THRU SS95PD-NAP-EXIT
008600         PERFORM O000-OPEN-FILE
008700            THRU O999-OF-EXIT.
008800*
008900     IF  MBD100WS-CLOSE-FILE
009000         PERFORM C000-CLOSE-FILE
009100            THRU C999-CF-EXIT.
009200*
009300     IF  MBD100WS-PROCESS-RECORD
009400         PERFORM P000-PROCESS-RECORD
009500            THRU P099-PR-EXIT.
009600*
009700     GOBACK.
009800*
009900 A999-ML-EXIT.
010000     EXIT.
010100/
010200 C000-CLOSE-FILE SECTION.
010300 C010-CF-BEGIN.
010400*
010500     MOVE 'C1IC'                 TO SS02WS-ABEND-LOCATION.
010600     SET MMICRB-CLOSE            TO TRUE.
010700     PERFORM MB00PD-MMIC-ACCESS
010800        THRU MB00PD-MMIC-ACCESS-EXIT.
010900*
011000 C999-CF-EXIT.
011100     EXIT.
011200/
011300 O000-OPEN-FILE SECTION.
011400 O010-OF-BEGIN.
011500*
011600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011700*
011800     MOVE 'O1IC'                 TO SS02WS-ABEND-LOCATION.
011900*
012000     IF  MBD100WS-UPDATE
012100         SET MMICRB-OPEN-IO-DYN  TO TRUE
012200     ELSE
012300         SET MMICRB-OPEN-INPUT-DYN
012400                                 TO TRUE.
012500*
012600     PERFORM MB00PD-MMIC-ACCESS
012700        THRU MB00PD-MMIC-ACCESS-EXIT.
012800*
012900     MOVE 'R0IC'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMICRB-READ-SEQ         TO TRUE.
013100     PERFORM MB00PD-MMIC-ACCESS
013200        THRU MB00PD-MMIC-ACCESS-EXIT.
013300     MOVE 'MMIC'                 TO MB99WS-FILE-ID.
013400*
013500     IF  MMICIO-HEADER
013600         NEXT SENTENCE
013700     ELSE
013800         PERFORM MB99PD-MISSING-HEADER-ABEND
013900            THRU MB99PD-MHA-EXIT.
014000*
014100     MOVE MMICIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014200     MOVE MMICIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014300     PERFORM MB99PD-CHECK-DATE-TIME
014400        THRU MB99PD-CDT-EXIT.
014500*
014600     PERFORM Z900-INIT-RECORD
014700        THRU Z999-IR-EXIT.
014800*
014900 O999-OF-EXIT.
015000     EXIT.
015100/
015200 P000-PROCESS-RECORD SECTION.
015300 P010-PR-BEGIN.
015400*
015500     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015600*
015700     IF  MTL1-MMIC-KEY IS NOT EQUAL TO MMIC-KEY
015800         PERFORM P500-FILE-UPDATE
015900            THRU P599-FU-EXIT.
016000*
016100     IF  MTL1-TOTALS-RECORD
016200         GO TO P099-PR-EXIT.
016300*
016400     IF  MTL1-MMIC-KEY IS NOT EQUAL TO MMIC-KEY
016500         PERFORM P700-GET-RECORD-TO-UPDATE
016600            THRU P799-GRTU-EXIT.
016700*
016800     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
016900*
017000     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017100     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017200         PERFORM U000-NEW-RECORD
017300            THRU U099-NR-EXIT
017400     ELSE
017500         PERFORM 0000-MAINT-RECORD
017600            THRU 5999-MR-EXIT.
017700*
017800 P099-PR-EXIT.
017900     EXIT.
018000/
018100 P500-FILE-UPDATE SECTION.
018200 P510-FU-BEGIN.
018300*
018400     IF  MBD100WS-JOURNAL
018500         GO TO P599-FU-EXIT.
018600*
018700     IF  MMIC-KEY IS EQUAL TO MMICIR-KEY
018800         GO TO P599-FU-EXIT.
018900*
019000     IF  MBD100WS-IO-REWRITE
019100         MOVE MMIC-RECORD        TO MMICIO-RECORD
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMICRB-TEMP-STATUS-1
019400         MOVE 'U1IC'             TO SS02WS-ABEND-LOCATION
019500         SET MMICRB-REWRITE      TO TRUE
019600         PERFORM MB00PD-MMIC-ACCESS
019700            THRU MB00PD-MMIC-ACCESS-EXIT
019800         IF  SS02WS-FS-NO-RECORD-FOUND
019900             MOVE 'W'            TO MBD100WS-IO-SW.
020000*
020100     IF  MBD100WS-IO-NO-REC-FOUND
020200     OR  MBD100WS-IO-WRITE
020300         MOVE MMIC-RECORD        TO MMICIO-RECORD
020400         MOVE SS02WS-DUPLICATE-RECORD
020500                                 TO MMICRB-TEMP-STATUS-1
020600         MOVE 'W2IC'             TO SS02WS-ABEND-LOCATION
020700         SET MMICRB-WRITE        TO TRUE
020800         PERFORM MB00PD-MMIC-ACCESS
020900            THRU MB00PD-MMIC-ACCESS-EXIT
021000         IF  SS02WS-FS-DUPLICATE-RECORD
021100             MOVE 'U'            TO MBD100WS-IO-SW
021200             MOVE MMIC-RECORD    TO MMICIO-RECORD
021300             MOVE 'U2IC'         TO SS02WS-ABEND-LOCATION
021400             SET MMICRB-REWRITE  TO TRUE
021500             PERFORM MB00PD-MMIC-ACCESS
021600                THRU MB00PD-MMIC-ACCESS-EXIT.
021700*
021800     PERFORM Z900-INIT-RECORD
021900        THRU Z999-IR-EXIT.
022000*
022100 P599-FU-EXIT.
022200     EXIT.
022300/
022400 P700-GET-RECORD-TO-UPDATE SECTION.
022500 P710-GRTU-BEGIN.
022600*
022700     IF  MBD100WS-JOURNAL
022800         PERFORM Z900-INIT-RECORD
022900            THRU Z999-IR-EXIT
023000         GO TO P799-GRTU-EXIT.
023100*
023200     MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MMICRB-TEMP-STATUS-1.
023400     MOVE MTL1-MMIC-KEY          TO MMICIO-KEY.
023500*
023600     MOVE 'R1IC'                 TO SS02WS-ABEND-LOCATION.
023700     SET MMICRB-READ-RANDOM      TO TRUE.
023800     PERFORM MB00PD-MMIC-ACCESS
023900        THRU MB00PD-MMIC-ACCESS-EXIT.
024000*
024100     IF  SS02WS-FS-NO-RECORD-FOUND
024200         PERFORM Z900-INIT-RECORD
024300            THRU Z999-IR-EXIT
024400         MOVE 'N'                TO MBD100WS-IO-SW
024500     ELSE
024600         MOVE MMICIO-RECORD      TO MMIC-RECORD
024700         MOVE 'U'                TO MBD100WS-IO-SW.
024800*
024900 P799-GRTU-EXIT.
025000     EXIT.
025100/
025200 U000-NEW-RECORD SECTION.
025300 U010-NR-BEGIN.
025400*
025500     PERFORM Z100-COMMON-FROM-DATA
025600        THRU Z199-CFD-EXIT.
025700*
025800     PERFORM Z200-COMMON-TO-DATA
025900        THRU Z299-CTD-EXIT.
026000*
026100     MOVE MTL1-ADD-AREA          TO MMIC-RECORD.
026200*
026300     IF  MBD100WS-IO-NO-REC-FOUND
026400         MOVE 'W'                TO MBD100WS-IO-SW.
026500*
026600     IF  MBD100WS-FC-1-2-ADD
026700         MOVE '*** NEW RECORD ADDED ***'
026800                                 TO MBD100WS-PL2-TO-VALUE
026900                                    MBD100WS-PL1-FROM-VALUE
027000     ELSE
027100         MOVE '*** REPLACEMENT RECORD ***'
027200                                 TO MBD100WS-PL2-TO-VALUE
027300                                    MBD100WS-PL1-FROM-VALUE.
027400*
027500     MOVE SPACES                 TO MTCC-RECORD.
027600     MOVE MMIC-ORG               TO MTCC-MBU911-BEG-ORG.
027700     MOVE MMIC-MERCHANT          TO MTCC-MBU911-BEG-MERCHANT.
027800     MOVE 'MBU911'               TO MTCC-PROGRAM-ID.
027900     MOVE MTCC-RECORD            TO MTC1-RECORD.
028000*
028100 U099-NR-EXIT.
028200     EXIT.
028300/
028400 Z100-COMMON-FROM-DATA SECTION.
028500 Z110-CFD-BEGIN.
028600*
028700     MOVE MTL1-MMIC-MERCHANT     TO MBD100WS-PL1-MERCHANT.
028800*
028900 Z199-CFD-EXIT.
029000     EXIT.
029100/
029200 Z200-COMMON-TO-DATA SECTION.
029300 Z210-CTD-BEGIN.
029400*
029500     MOVE 'TYPE='                TO MBD100WS-PL2-TYPE-LIT.
029600     MOVE MTL1-MMIC-TYPE         TO MBD100WS-PL2-TYPE.
029700*
029800 Z299-CTD-EXIT.
029900     EXIT.
030000/
030100 Z900-INIT-RECORD SECTION.
030200 Z910-IR-BEGIN.
030300*
030400     MOVE MMICIR-RECORD          TO MMIC-RECORD.
030500     MOVE SPACES                 TO MTC1-RECORD.
030600     MOVE SPACES                 TO MTC2-RECORD.
030700*
030800 Z999-IR-EXIT.
030900     EXIT.
031000/
031100 0000-MAINT-RECORD SECTION.
031200 0010-MR-BEGIN.
031300*
031400     PERFORM Z100-COMMON-FROM-DATA
031500        THRU Z199-CFD-EXIT.
031600*
031700     PERFORM Z200-COMMON-TO-DATA
031800        THRU Z299-CTD-EXIT.
031900*
032000     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
032100         GO TO 0101-MR-FIELD.
032200*
032300     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
032400         GO TO 0102-MR-FIELD.
032500*
032600     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
032700         GO TO 0103-MR-FIELD.
032800*
032900     IF  MTL1-FIELD-CODE IS EQUAL TO 0104
033000         GO TO 0104-MR-FIELD.
033100*
033200     IF  MTL1-FIELD-CODE IS EQUAL TO 0105
033300         GO TO 0105-MR-FIELD.
033400*
033500     IF  MTL1-FIELD-CODE IS EQUAL TO 0106
033600         GO TO 0106-MR-FIELD.
033700*
033800     IF  MTL1-FIELD-CODE IS EQUAL TO 0107
033900         GO TO 0107-MR-FIELD.
034000*
034100     IF  MTL1-FIELD-CODE IS EQUAL TO 0197
034200         GO TO 0197-MR-FIELD.
034300*
034400     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
034500         GO TO 0198-MR-FIELD.
034600*
034700     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
034800         GO TO 0199-MR-FIELD.
034900*
035000     IF  MTL1-FIELD-CODE IS EQUAL TO 0201
035100         GO TO 0201-MR-FIELD.
035200*
035300     IF  MTL1-FIELD-CODE IS EQUAL TO 0301
035400         GO TO 0301-MR-FIELD.
035500*
035600     IF  MTL1-FIELD-CODE IS EQUAL TO 0302
035700         GO TO 0302-MR-FIELD.
035800*
035900     IF  MTL1-FIELD-CODE IS EQUAL TO 0303
036000         GO TO 0303-MR-FIELD.
036100*
036200     IF  MTL1-FIELD-CODE IS EQUAL TO 0304
036300         GO TO 0304-MR-FIELD.
036400*
036500     IF  MTL1-FIELD-CODE IS EQUAL TO 0305
036600         GO TO 0305-MR-FIELD.
036700*
036800     IF  MTL1-FIELD-CODE IS EQUAL TO 0306
036900         GO TO 0306-MR-FIELD.
037000*
037100     IF  MTL1-FIELD-CODE IS EQUAL TO 0307
037200         GO TO 0307-MR-FIELD.
037300*
037400     IF  MTL1-FIELD-CODE IS EQUAL TO 0308
037500         GO TO 0308-MR-FIELD.
037600*
037700     IF  MTL1-FIELD-CODE IS EQUAL TO 0309
037800         GO TO 0309-MR-FIELD.
037900*
038000     IF  MTL1-FIELD-CODE IS EQUAL TO 0310
038100         GO TO 0310-MR-FIELD.
038200*
038300     IF  MTL1-FIELD-CODE IS EQUAL TO 0311
038400         GO TO 0311-MR-FIELD.
038500*
038600     IF  MTL1-FIELD-CODE IS EQUAL TO 0312
038700         GO TO 0312-MR-FIELD.
038800*
038900     IF  MTL1-FIELD-CODE IS EQUAL TO 0313
039000         GO TO 0313-MR-FIELD.
039100*
039200     MOVE '*** ERROR - INVALID FIELD CODE ***'
039300                                 TO MBD100WS-PL2-TO-VALUE.
039400     GO TO 5999-MR-EXIT.
039500*
039600 0101-MR-FIELD.
039700*
039800     IF  MBD100WS-JOURNAL
039900         MOVE MTL1-VL01-B-DATA-9 TO MMIC-REC-STATUS.
040000*
040100     MOVE 'RECORD STATUS         '
040200                                 TO MBD100WS-PL1-DESC.
040300     MOVE MMIC-REC-STATUS        TO MBD100WS-PL1-FV-9.
040400     MOVE MTL1-VL01-A-DATA-9     TO MMIC-REC-STATUS.
040500     MOVE MMIC-REC-STATUS        TO MBD100WS-PL2-TV-9.
040600     GO TO 5100-MR-NO-REC-CHECK.
040700*
040800*
040900*
041000 0102-MR-FIELD.
041100*
041200     IF  MBD100WS-JOURNAL
041300         MOVE MTL1-VL01-B-DATA-X TO MMIC-INVENTORY-USED-FLAG.
041400*
041500     MOVE 'USE INVENTORY         '
041600                                 TO MBD100WS-PL1-DESC.
041700     MOVE MMIC-INVENTORY-USED-FLAG
041800                                 TO MBD100WS-PL1-FROM-VALUE.
041900     MOVE MTL1-VL01-A-DATA-X     TO MMIC-INVENTORY-USED-FLAG.
042000     MOVE MMIC-INVENTORY-USED-FLAG
042100                                 TO MBD100WS-PL2-TO-VALUE.
042200     GO TO 5100-MR-NO-REC-CHECK.
042300*
042400*
042500*
042600 0103-MR-FIELD.
042700*
042800     SET X-MMIC-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
042900     SET X-MMIC-NA               TO MTL1-FIELD-OCCURRENCE-2.
043000*
043100     IF  MBD100WS-JOURNAL
043200         MOVE MTL1-VL40-B-DATA-X TO MMIC-NA-LINE
043300                                    (X-MMIC-DEMOGRAPHICS
043400                                     X-MMIC-NA).
043500*
043600     MOVE 'NAME/ADDRESS LINE     '
043700                                 TO MBD100WS-PL1-DESC.
043800     MOVE MMIC-NA-LINE
043900          (X-MMIC-DEMOGRAPHICS X-MMIC-NA)
044000                                 TO MBD100WS-PL1-FROM-VALUE.
044100     MOVE MTL1-VL40-A-DATA-X     TO MMIC-NA-LINE
044200                                    (X-MMIC-DEMOGRAPHICS
044300                                     X-MMIC-NA).
044400     MOVE MMIC-NA-LINE
044500          (X-MMIC-DEMOGRAPHICS X-MMIC-NA)
044600                                 TO MBD100WS-PL2-TO-VALUE.
044700     GO TO 5100-MR-NO-REC-CHECK.
044800*
044900*
045000*
045100 0104-MR-FIELD.
045200*
045300     SET X-MMIC-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
045400*
045500     IF  MBD100WS-JOURNAL
045600         MOVE MTL1-VL03-B-DATA-X TO MMIC-STATE-CODE
045700                                    (X-MMIC-DEMOGRAPHICS).
045800*
045900     MOVE 'STATE/PR/COUNTRY CODE '
046000                                 TO MBD100WS-PL1-DESC.
046100     MOVE MMIC-STATE-CODE
046200          (X-MMIC-DEMOGRAPHICS)  TO MBD100WS-PL1-FROM-VALUE.
046300     MOVE MTL1-VL03-A-DATA-X     TO MMIC-STATE-CODE
046400                                    (X-MMIC-DEMOGRAPHICS).
046500     MOVE MMIC-STATE-CODE
046600          (X-MMIC-DEMOGRAPHICS)  TO MBD100WS-PL2-TO-VALUE.
046700     GO TO 5100-MR-NO-REC-CHECK.
046800*
046900*
047000*
047100 0105-MR-FIELD.
047200*
047300     SET X-MMIC-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
047400*
047500     IF  MBD100WS-JOURNAL
047600         MOVE MTL1-VL20-B-DATA-X TO MMIC-PHONE
047700                                    (X-MMIC-DEMOGRAPHICS).
047800*
047900     MOVE 'PHONE NUMBER          '
048000                                 TO MBD100WS-PL1-DESC.
048100     MOVE MMIC-PHONE
048200          (X-MMIC-DEMOGRAPHICS)  TO MBD100WS-PL1-FROM-VALUE.
048300     MOVE MTL1-VL20-A-DATA-X     TO MMIC-PHONE
048400                                    (X-MMIC-DEMOGRAPHICS).
048500     MOVE MMIC-PHONE
048600          (X-MMIC-DEMOGRAPHICS)  TO MBD100WS-PL2-TO-VALUE.
048700     GO TO 5100-MR-NO-REC-CHECK.
048800*
048900*
049000*
049100 0106-MR-FIELD.
049200*
049300     SET X-MMIC-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
049400*
049500     IF  MBD100WS-JOURNAL
049600         MOVE MTL1-VL10-B-DATA-X TO MMIC-POSTAL-CODE
049700                                    (X-MMIC-DEMOGRAPHICS).
049800*
049900     MOVE 'POSTAL CODE       '
050000                                 TO MBD100WS-PL1-DESC.
050100     MOVE MMIC-POSTAL-CODE
050200          (X-MMIC-DEMOGRAPHICS)  TO MBD100WS-PL1-FROM-VALUE.
050300     MOVE MTL1-VL10-A-DATA-X     TO MMIC-POSTAL-CODE
050400                                    (X-MMIC-DEMOGRAPHICS).
050500     MOVE MMIC-POSTAL-CODE
050600          (X-MMIC-DEMOGRAPHICS)  TO MBD100WS-PL2-TO-VALUE.
050700     GO TO 5100-MR-NO-REC-CHECK.
050800*
050900*
051000*
051100 0107-MR-FIELD.
051200*
051300     SET X-MMIC-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
051400*
051500     IF  MBD100WS-JOURNAL
051600         MOVE MTL1-VL20-B-DATA-X TO MMIC-FAX
051700                                    (X-MMIC-DEMOGRAPHICS).
051800*
051900     MOVE 'FAX NUMBER            '
052000                                 TO MBD100WS-PL1-DESC.
052100     MOVE MMIC-FAX
052200          (X-MMIC-DEMOGRAPHICS)  TO MBD100WS-PL1-FROM-VALUE.
052300     MOVE MTL1-VL20-A-DATA-X     TO MMIC-FAX
052400                                    (X-MMIC-DEMOGRAPHICS).
052500     MOVE MMIC-FAX
052600          (X-MMIC-DEMOGRAPHICS)  TO MBD100WS-PL2-TO-VALUE.
052700     GO TO 5100-MR-NO-REC-CHECK.
052800*
052900*
053000*
053100 0197-MR-FIELD.
053200*
053300     IF  MBD100WS-JOURNAL
053400         MOVE MTL1-VL01-B-DATA-9 TO MMIC-REC-STATUS.
053500*
053600     MOVE 'RECORD STATUS         '
053700                                 TO MBD100WS-PL1-DESC.
053800     MOVE MMIC-REC-STATUS        TO MBD100WS-PL1-FV-9.
053900     MOVE MTL1-VL01-A-DATA-9     TO MMIC-REC-STATUS.
054000     MOVE MMIC-REC-STATUS        TO MBD100WS-PL2-TV-9.
054100     GO TO 5100-MR-NO-REC-CHECK.
054200*
054300*
054400*
054500 0198-MR-FIELD.
054600*
054700     IF  MBD100WS-JOURNAL
054800         MOVE MTL1-VL03-B-DATA-X TO MMIC-LAST-MAINT-OPER.
054900*
055000     MOVE 'LAST MAINT OPERATOR   '
055100                                 TO MBD100WS-PL1-DESC.
055200     MOVE MMIC-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
055300     MOVE MTL1-VL03-A-DATA-X     TO MMIC-LAST-MAINT-OPER.
055400     MOVE MMIC-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
055500     GO TO 5100-MR-NO-REC-CHECK.
055600*
055700*
055800*
055900 0199-MR-FIELD.
056000*
056100     IF  MBD100WS-JOURNAL
056200         MOVE MTL1-VL07-B-DATA-9 TO MMIC-LAST-MAINT-DATE.
056300*
056400     MOVE 'DATE LAST MAINTENANCE '
056500                                 TO MBD100WS-PL1-DESC.
056600     MOVE MMIC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
056700     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
056800     MOVE MTL1-VL07-A-DATA-9     TO MMIC-LAST-MAINT-DATE.
056900     MOVE MMIC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
057000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
057100     GO TO 5100-MR-NO-REC-CHECK.
057200*
057300*
057400*
057500 0201-MR-FIELD.
057600*
057700     SET X-MMIC-OTHER-ASSOC      TO MTL1-FIELD-OCCURRENCE.
057800*
057900     IF  MBD100WS-JOURNAL
058000         MOVE MTL1-VL10-B-DATA-9 TO MMIC-OTHER-ASSOC-ID
058100                                    (X-MMIC-OTHER-ASSOC).
058200*
058300     MOVE 'OTHER ASSOCIATION ID  '
058400                                 TO MBD100WS-PL1-DESC.
058500     MOVE MMIC-OTHER-ASSOC-ID
058600          (X-MMIC-OTHER-ASSOC)   TO MBD100WS-PL1-FV-999999999.
058700     MOVE MTL1-VL10-A-DATA-9     TO MMIC-OTHER-ASSOC-ID
058800                                    (X-MMIC-OTHER-ASSOC).
058900     MOVE MMIC-OTHER-ASSOC-ID
059000          (X-MMIC-OTHER-ASSOC)   TO MBD100WS-PL2-TV-999999999.
059100     GO TO 5100-MR-NO-REC-CHECK.
059200*
059300*
059400*
059500 0301-MR-FIELD.
059600*
059700     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
059800*
059900     IF  MBD100WS-JOURNAL
060000         MOVE MTL1-VL20-B-DATA-X TO MMIC-ITEM-CODE
060100                                    (X-MMIC-INVENTORY).
060200*
060300     MOVE 'ITEM CODE             '
060400                                 TO MBD100WS-PL1-DESC.
060500     MOVE MMIC-ITEM-CODE
060600          (X-MMIC-INVENTORY)     TO MBD100WS-PL1-FROM-VALUE.
060700     MOVE MTL1-VL20-A-DATA-X     TO MMIC-ITEM-CODE
060800                                    (X-MMIC-INVENTORY).
060900     MOVE MMIC-ITEM-CODE
061000          (X-MMIC-INVENTORY)     TO MBD100WS-PL2-TO-VALUE.
061100     GO TO 5100-MR-NO-REC-CHECK.
061200*
061300*
061400*
061500 0302-MR-FIELD.
061600*
061700     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
061800*
061900     IF  MBD100WS-JOURNAL
062000         MOVE MTL1-VL30-B-DATA-X TO MMIC-ITEM-DESC
062100                                    (X-MMIC-INVENTORY).
062200*
062300     MOVE 'ITEM DESCRIPTION      '
062400                                 TO MBD100WS-PL1-DESC.
062500     MOVE MMIC-ITEM-DESC
062600          (X-MMIC-INVENTORY)     TO MBD100WS-PL1-FROM-VALUE.
062700     MOVE MTL1-VL30-A-DATA-X     TO MMIC-ITEM-DESC
062800                                    (X-MMIC-INVENTORY).
062900     MOVE MMIC-ITEM-DESC
063000          (X-MMIC-INVENTORY)     TO MBD100WS-PL2-TO-VALUE.
063100     GO TO 5100-MR-NO-REC-CHECK.
063200*
063300*
063400*
063500 0303-MR-FIELD.
063600*
063700     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
063800*
063900     IF  MBD100WS-JOURNAL
064000         MOVE MTL1-VL07-B-DATA-9 TO MMIC-QTY-ON-HAND
064100                                    (X-MMIC-INVENTORY).
064200*
064300     MOVE 'QUANTITY ON HAND      '
064400                                 TO MBD100WS-PL1-DESC.
064500     MOVE MMIC-QTY-ON-HAND
064600          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
064700     PERFORM SS95PD-NAP-ROUTINE
064800                                 THRU SS95PD-NAP-EXIT.
064900     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL1-FROM-VALUE.
065000     MOVE MTL1-VL07-A-DATA-9     TO MMIC-QTY-ON-HAND
065100                                    (X-MMIC-INVENTORY).
065200     MOVE MMIC-QTY-ON-HAND
065300          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
065400     PERFORM SS95PD-NAP-ROUTINE
065500                                 THRU SS95PD-NAP-EXIT.
065600     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL2-TO-VALUE.
065700     GO TO 5100-MR-NO-REC-CHECK.
065800*
065900*
066000*
066100 0304-MR-FIELD.
066200*
066300     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
066400*
066500     IF  MBD100WS-JOURNAL
066600         MOVE MTL1-VL07-B-DATA-9 TO MMIC-BUNDLE-AMT
066700                                    (X-MMIC-INVENTORY).
066800*
066900     MOVE 'BUNDLE AMOUNT         '
067000                                 TO MBD100WS-PL1-DESC.
067100     MOVE MMIC-BUNDLE-AMT
067200          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
067300     PERFORM SS95PD-NAP-ROUTINE
067400                                 THRU SS95PD-NAP-EXIT.
067500     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL1-FROM-VALUE.
067600     MOVE MTL1-VL07-A-DATA-9     TO MMIC-BUNDLE-AMT
067700                                    (X-MMIC-INVENTORY).
067800     MOVE MMIC-BUNDLE-AMT
067900          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
068000     PERFORM SS95PD-NAP-ROUTINE
068100                                 THRU SS95PD-NAP-EXIT.
068200     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL2-TO-VALUE.
068300     GO TO 5100-MR-NO-REC-CHECK.
068400*
068500*
068600*
068700 0305-MR-FIELD.
068800*
068900     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
069000*
069100     IF  MBD100WS-JOURNAL
069200         MOVE MTL1-VL07-B-DATA-9 TO MMIC-BUNDLE-QTY
069300                                    (X-MMIC-INVENTORY).
069400*
069500     MOVE 'BUNDLE QUANTITY       '
069600                                 TO MBD100WS-PL1-DESC.
069700     MOVE MMIC-BUNDLE-QTY
069800          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
069900     PERFORM SS95PD-NAP-ROUTINE
070000                                 THRU SS95PD-NAP-EXIT.
070100     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL1-FROM-VALUE.
070200     MOVE MTL1-VL07-A-DATA-9     TO MMIC-BUNDLE-QTY
070300                                    (X-MMIC-INVENTORY).
070400     MOVE MMIC-BUNDLE-QTY
070500          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
070600     PERFORM SS95PD-NAP-ROUTINE
070700                                 THRU SS95PD-NAP-EXIT.
070800     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL2-TO-VALUE.
070900     GO TO 5100-MR-NO-REC-CHECK.
071000*
071100*
071200*
071300 0306-MR-FIELD.
071400*
071500     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
071600*
071700     IF  MBD100WS-JOURNAL
071800         MOVE MTL1-VL02-B-DATA-9 TO MMIC-NORM-SHIPMENT-FREQ
071900                                    (X-MMIC-INVENTORY).
072000*
072100     MOVE 'NORMAL SHIP FREQUENCY '
072200                                 TO MBD100WS-PL1-DESC.
072300     MOVE MMIC-NORM-SHIPMENT-FREQ
072400          (X-MMIC-INVENTORY)     TO MBD100WS-PL1-FV-99.
072500     MOVE MTL1-VL02-A-DATA-9     TO MMIC-NORM-SHIPMENT-FREQ
072600                                    (X-MMIC-INVENTORY).
072700     MOVE MMIC-NORM-SHIPMENT-FREQ
072800          (X-MMIC-INVENTORY)     TO MBD100WS-PL2-TV-99.
072900     GO TO 5100-MR-NO-REC-CHECK.
073000*
073100*
073200*
073300 0307-MR-FIELD.
073400*
073500     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
073600*
073700     IF  MBD100WS-JOURNAL
073800         MOVE MTL1-VL02-B-DATA-9 TO MMIC-NORM-SHIPMENT-QTY
073900                                    (X-MMIC-INVENTORY).
074000*
074100     MOVE 'NORMAL SHIP QUANTITY  '
074200                                 TO MBD100WS-PL1-DESC.
074300     MOVE MMIC-NORM-SHIPMENT-QTY
074400          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
074500     PERFORM SS95PD-NAP-ROUTINE
074600                                 THRU SS95PD-NAP-EXIT.
074700     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL1-FROM-VALUE.
074800     MOVE MTL1-VL02-A-DATA-9     TO MMIC-NORM-SHIPMENT-QTY
074900                                    (X-MMIC-INVENTORY).
075000     MOVE MMIC-NORM-SHIPMENT-QTY
075100          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
075200     PERFORM SS95PD-NAP-ROUTINE
075300                                 THRU SS95PD-NAP-EXIT.
075400     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL2-TO-VALUE.
075500     GO TO 5100-MR-NO-REC-CHECK.
075600*
075700*
075800*
075900 0308-MR-FIELD.
076000*
076100     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
076200*
076300     IF  MBD100WS-JOURNAL
076400         MOVE MTL1-VL07-B-DATA-9 TO MMIC-LAST-SHIPMENT-DATE
076500                                    (X-MMIC-INVENTORY).
076600*
076700     MOVE 'LAST SHIPMENT DATE    '
076800                                 TO MBD100WS-PL1-DESC.
076900     MOVE MMIC-LAST-SHIPMENT-DATE
077000          (X-MMIC-INVENTORY)     TO SS01WS-JULIAN.
077100     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
077200     MOVE MTL1-VL07-A-DATA-9     TO MMIC-LAST-SHIPMENT-DATE
077300                                    (X-MMIC-INVENTORY).
077400     MOVE MMIC-LAST-SHIPMENT-DATE
077500          (X-MMIC-INVENTORY)     TO SS01WS-JULIAN.
077600     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
077700     GO TO 5100-MR-NO-REC-CHECK.
077800*
077900*
078000*
078100 0309-MR-FIELD.
078200*
078300     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
078400*
078500     IF  MBD100WS-JOURNAL
078600         MOVE MTL1-VL07-B-DATA-9 TO MMIC-LAST-SHIPMENT-QTY
078700                                    (X-MMIC-INVENTORY).
078800*
078900     MOVE 'LAST SHIPMENT QUANTITY'
079000                                 TO MBD100WS-PL1-DESC.
079100     MOVE MMIC-LAST-SHIPMENT-QTY
079200          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
079300     PERFORM SS95PD-NAP-ROUTINE
079400                                 THRU SS95PD-NAP-EXIT.
079500     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL1-FROM-VALUE.
079600     MOVE MTL1-VL07-A-DATA-9     TO MMIC-LAST-SHIPMENT-QTY
079700                                    (X-MMIC-INVENTORY).
079800     MOVE MMIC-LAST-SHIPMENT-QTY
079900          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
080000     PERFORM SS95PD-NAP-ROUTINE
080100                                 THRU SS95PD-NAP-EXIT.
080200     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL2-TO-VALUE.
080300     GO TO 5100-MR-NO-REC-CHECK.
080400*
080500*
080600*
080700 0310-MR-FIELD.
080800*
080900     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
081000*
081100     IF  MBD100WS-JOURNAL
081200         MOVE MTL1-VL03-B-DATA-X TO MMIC-LAST-SHIPMENT-OPER
081300                                    (X-MMIC-INVENTORY).
081400*
081500     MOVE 'LAST SHIPMENT OPERATOR'
081600                                 TO MBD100WS-PL1-DESC.
081700     MOVE MMIC-LAST-SHIPMENT-OPER
081800          (X-MMIC-INVENTORY)     TO MBD100WS-PL1-FROM-VALUE.
081900     MOVE MTL1-VL03-A-DATA-X     TO MMIC-LAST-SHIPMENT-OPER
082000                                    (X-MMIC-INVENTORY).
082100     MOVE MMIC-LAST-SHIPMENT-OPER
082200          (X-MMIC-INVENTORY)     TO MBD100WS-PL2-TO-VALUE.
082300     GO TO 5100-MR-NO-REC-CHECK.
082400*
082500*
082600*
082700 0311-MR-FIELD.
082800*
082900     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
083000*
083100     IF  MBD100WS-JOURNAL
083200         MOVE MTL1-VL07-B-DATA-9 TO MMIC-NEXT-SHIPMENT-DATE
083300                                    (X-MMIC-INVENTORY).
083400*
083500     MOVE 'NEXT SHIPMENT DATE    '
083600                                 TO MBD100WS-PL1-DESC.
083700     MOVE MMIC-NEXT-SHIPMENT-DATE
083800          (X-MMIC-INVENTORY)     TO SS01WS-JULIAN.
083900     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
084000     MOVE MTL1-VL07-A-DATA-9     TO MMIC-NEXT-SHIPMENT-DATE
084100                                    (X-MMIC-INVENTORY).
084200     MOVE MMIC-NEXT-SHIPMENT-DATE
084300          (X-MMIC-INVENTORY)     TO SS01WS-JULIAN.
084400     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
084500     GO TO 5100-MR-NO-REC-CHECK.
084600*
084700*
084800*
084900 0312-MR-FIELD.
085000*
085100     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
085200*
085300     IF  MBD100WS-JOURNAL
085400         MOVE MTL1-VL07-B-DATA-9 TO MMIC-NEXT-SHIPMENT-QTY
085500                                    (X-MMIC-INVENTORY).
085600*
085700     MOVE 'NEXT SHIPMENT QUANTITY'
085800                                 TO MBD100WS-PL1-DESC.
085900     MOVE MMIC-NEXT-SHIPMENT-QTY
086000          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
086100     PERFORM SS95PD-NAP-ROUTINE
086200                                 THRU SS95PD-NAP-EXIT.
086300     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL1-FROM-VALUE.
086400     MOVE MTL1-VL07-A-DATA-9     TO MMIC-NEXT-SHIPMENT-QTY
086500                                    (X-MMIC-INVENTORY).
086600     MOVE MMIC-NEXT-SHIPMENT-QTY
086700          (X-MMIC-INVENTORY)     TO SS95WS-IN-NBR.
086800     PERFORM SS95PD-NAP-ROUTINE
086900                                 THRU SS95PD-NAP-EXIT.
087000     MOVE SS95WS-OUT-NBR-L12     TO MBD100WS-PL2-TO-VALUE.
087100     GO TO 5100-MR-NO-REC-CHECK.
087200*
087300*
087400*
087500 0313-MR-FIELD.
087600*
087700     SET X-MMIC-INVENTORY        TO MTL1-FIELD-OCCURRENCE.
087800*
087900     IF  MBD100WS-JOURNAL
088000         MOVE MTL1-VL03-B-DATA-X TO MMIC-NEXT-SHIPMENT-OPER
088100                                    (X-MMIC-INVENTORY).
088200*
088300     MOVE 'NEXT SHIPMENT OPERATOR'
088400                                 TO MBD100WS-PL1-DESC.
088500     MOVE MMIC-NEXT-SHIPMENT-OPER
088600          (X-MMIC-INVENTORY)     TO MBD100WS-PL1-FROM-VALUE.
088700     MOVE MTL1-VL03-A-DATA-X     TO MMIC-NEXT-SHIPMENT-OPER
088800                                    (X-MMIC-INVENTORY).
088900     MOVE MMIC-NEXT-SHIPMENT-OPER
089000          (X-MMIC-INVENTORY)     TO MBD100WS-PL2-TO-VALUE.
089100     GO TO 5100-MR-NO-REC-CHECK.
089200*
089300*
089400*
089500 5100-MR-NO-REC-CHECK.
089600*
089700     IF  MBD100WS-UPDATE
089800     AND MBD100WS-IO-NO-REC-FOUND
089900         MOVE '*** ERROR - NO RECORD FOUND ***'
090000                                 TO MBD100WS-PL2-TO-VALUE.
090100*
090200 5999-MR-EXIT.
090300     EXIT.
090400/
090500 8100-FROM-DATE SECTION.
090600 8110-FD-BEGIN.
090700*
090800     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
090900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
091000        THRU SS26PD-NED-EXIT.
091100     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
091200     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
091300*
091400 8199-FD-EXIT.
091500     EXIT.
091600*
091700*
091800*
091900 8200-TO-DATE SECTION.
092000 8210-TD-BEGIN.
092100*
092200     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
092300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
092400        THRU SS26PD-NED-EXIT.
092500     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
092600     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
092700*
092800 8299-TD-EXIT.
092900     EXIT.
093000/
093100 9000-PERFORMED-ROUTINES-SECT SECTION.
093200*
093300     COPY MB00PD REPLACING ==:MB00:== BY ==MMIC==.
093400/
093500     COPY SS95PD.
093600/
093700     COPY MB99PD.
093800/
093900     COPY SS02PD.
094000/
094100     COPY SS07PD.
094200/
094300     COPY SS08PD.
094400/
094500     COPY SS26PD.
094600/
094700     COPY SS27PD.
094800*
094900 9995-END-SOURCE-STATEMENTS SECTION.
095000 9999-END-OF-PROGRAM.
095100     EXIT.
