000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD200PF.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500* MBD200PF - PRODUCT USER FEES 1, 2 AND 3 SUBROUTINE            *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 DATA DIVISION.
001400 WORKING-STORAGE SECTION.
001500*
001600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001700*
001800     COPY MB00WS.
001900/
002000     COPY MMPARL REPLACING ==:MMPA:== BY ==MMCP==.
002100/
002200     COPY MMPARL REPLACING ==:MMPA:== BY ==MMOI==.
002300/
002400     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
002500/
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
002700/
002800 LINKAGE SECTION.
002900     COPY MBD200WS.
003000/
003100     COPY MMMMRL.
003200/
003300     COPY MMMPRL.
003400/
003500     COPY MMSCRL.
003600/
003700     COPY MMOCRL.
003800/
003900     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMIF==.
004000/
004100     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMEF==.
004200/
004300     COPY MMPATB REPLACING ==:MMPA:== BY ==MMPA==.
004400/
004500     COPY MMPATB REPLACING ==:MMPA:== BY ==MMCP==.
004600/
004700     COPY MMPATB REPLACING ==:MMPA:== BY ==MMOI==.
004800/
004900 PROCEDURE DIVISION              USING MBD200WS-AREA
005000                                       MMMM-RECORD
005100                                       MMMP-RECORD
005200                                       MMSC-RECORD
005300                                       MMOC-RECORD
005400                                       MMIF-RECORD
005500                                       MMEF-RECORD
005600                                       MMPATB-TABLE-PARMS
005700                                       MMPATB-TABLE-DATA
005800                                       MMCPTB-TABLE-PARMS
005900                                       MMCPTB-TABLE-DATA
006000                                       MMOITB-TABLE-PARMS
006100                                       MMOITB-TABLE-DATA.
006200*
006300 A000-MAIN-LINE SECTION.
006400 A010-ML-BEGIN.
006500*
006600     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-1-I.
006700     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-1-E.
006800     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-2-I.
006900     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-2-E.
007000     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-3-I.
007100     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-3-E.
007200*
007300     PERFORM 1000-PRODUCT-FEE-1
007400        THRU 1999-PF1-EXIT.
007500*
007600     PERFORM 2000-PRODUCT-FEE-2
007700        THRU 2999-PF2-EXIT.
007800*
007900     PERFORM 3000-PRODUCT-FEE-3
008000        THRU 3999-PF3-EXIT.
008100*
008200     GO TO 9999-END-OF-PROGRAM.
008300*
008400 A999-ML-EXIT.
008500     EXIT.
008600/
008700 1000-PRODUCT-FEE-1 SECTION.
008800 1001-PF1-BEGIN.
008900*
009000*
009100*
009200*
009300*
009400*
009500*
009600*
009700*
009800*
009900*
010000*
010100*
010200*
010300*
010400*
010500*
010600*
010700*
010800*
010900     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-1-I.
011000     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-1-E.
011100*
011200*
011300*
011400*
011500*
011600*
011700*
011800*
011900*
012000*
012100*
012200*
012300*
012400*
012500*
012600*
012700*
012800*
012900*
013000*
013100 1999-PF1-EXIT.
013200     EXIT.
013300/
013400 2000-PRODUCT-FEE-2 SECTION.
013500 2001-PF2-BEGIN.
013600*
013700*
013800*
013900*
014000*
014100*
014200*
014300*
014400*
014500*
014600*
014700*
014800*
014900*
015000*
015100*
015200*
015300*
015400*
015500*
015600     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-2-I.
015700     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-2-E.
015800*
015900*
016000*
016100*
016200*
016300*
016400*
016500*
016600*
016700*
016800*
016900*
017000*
017100*
017200*
017300*
017400*
017500*
017600*
017700*
017800 2999-PF2-EXIT.
017900     EXIT.
018000/
018100 3000-PRODUCT-FEE-3 SECTION.
018200 3001-PF3-BEGIN.
018300*
018400*
018500*
018600*
018700*
018800*
018900*
019000*
019100*
019200*
019300*
019400*
019500*
019600*
019700*
019800*
019900*
020000*
020100*
020200*
020300     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-3-I.
020400     MOVE ZERO                  TO MBD200WS-MBD200PF-PROD-FEE-3-E.
020500*
020600*
020700*
020800*
020900*
021000*
021100*
021200*
021300*
021400*
021500*
021600*
021700*
021800*
021900*
022000*
022100*
022200*
022300*
022400*
022500 3999-PF3-EXIT.
022600     EXIT.
022700/
022800 9995-END-SOURCE-STATEMENTS SECTION.
022900 9999-END-OF-PROGRAM.
023000     GOBACK.
