000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD220.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD220 - UPDATE DEPOSIT HISTORY                         *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800     COPY MS1SES.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200*
002300     COPY MS1SSD.
002400     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD3==.
002500/
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002900*
003000 01  WS-MBD220-WORK-AREAS.
003100     03  WS-D220-STMT-SW     PIC  X(01)      VALUE 'N'.
003200         88  WS-D220-NO-STMT-TODAY           VALUE 'N'.
003300         88  WS-D220-STMT-TODAY              VALUE 'Y'.
003400     03  WS-D220-SETT-SW     PIC  X(01)      VALUE 'N'.
003500         88  WS-D220-NO-SETT-TODAY           VALUE 'N'.
003600         88  WS-D220-SETT-TODAY              VALUE 'Y'.
003700     03  WS-D220-RPT-REC-TYPE
003800                             PIC  9(01)      VALUE ZERO.
003900     03  WS-D220-O53-ACTIVITY-SW
004000                             PIC  X(01)      VALUE 'N'.
004100         88  WS-D220-O53-NO-ACTIVITY         VALUE 'N'.
004200         88  WS-D220-O53-ACTIVITY            VALUE 'Y'.
004300     03  WS-D220-3O-SEQ      PIC S9(08)      BINARY  VALUE ZERO.
004400*
004500*
004600     03  WS-D220-WORK-DATE   PIC S9(07)      COMP-3 VALUE ZERO.
004700     03  WS-D220-WORK-JULIAN PIC  9(07)      VALUE ZERO.
004800     03  WS-D220-LAST-MM     PIC  9(02)      VALUE ZERO.
004900     03  WS-D220-LAST-DD     PIC  9(02)      VALUE ZERO.
005000     03  WS-D220-LAST-YY     PIC  9(04)      VALUE ZERO.
005100     03  WS-D220-LAST-DOW    PIC  9(01)      VALUE ZERO.
005200     03  WS-D220-CURR-MM     PIC  9(02)      VALUE ZERO.
005300     03  WS-D220-CURR-DD     PIC  9(02)      VALUE ZERO.
005400     03  WS-D220-CURR-YY     PIC  9(04)      VALUE ZERO.
005500     03  WS-D220-CURR-DOW    PIC  9(01)      VALUE ZERO.
005600     03  WS-D220-NEXT-MM     PIC  9(02)      VALUE ZERO.
005700     03  WS-D220-NEXT-DD     PIC  9(02)      VALUE ZERO.
005800     03  WS-D220-NEXT-YY     PIC  9(04)      VALUE ZERO.
005900     03  WS-D220-NEXT-DOW    PIC  9(01)      VALUE ZERO.
006000     03  WS-D220-ACCR-MM     PIC  9(02)      VALUE ZERO.
006100     03  WS-D220-ACCR-DD     PIC  9(02)      VALUE ZERO.
006200     03  WS-D220-ACCR-YY     PIC  9(04)      VALUE ZERO.
006300     03  WS-D220-ACCR-DOW    PIC  9(01)      VALUE ZERO.
006400     03  WS-D220-LACC-MM     PIC  9(02)      VALUE ZERO.
006500     03  WS-D220-LACC-DD     PIC  9(02)      VALUE ZERO.
006600     03  WS-D220-LACC-YY     PIC  9(04)      VALUE ZERO.
006700     03  WS-D220-LACC-DOW    PIC  9(01)      VALUE ZERO.
006800/
006900     COPY MMD3RL REPLACING ==:MMD3:== BY ==MB3I==.
007000/
007100     COPY MMD3RL REPLACING ==:MMD3:== BY ==MB3O==.
007200/
007300     COPY MMD3RL REPLACING ==:MMD3:== BY ==MB4O==.
007400/
007500     COPY MMMMRL.
007600/
007700     COPY MMMMIR.
007800/
007900     COPY MMOCRL.
008000/
008100     COPY MMSCRL.
008200/
008300     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
008400/
008500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTP4==.
008600/
008700     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
008800/
008900     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
009000/
009100     COPY MMD3RL REPLACING ==:MMD3:== BY ==MWD3==.
009200/
009300******************************************************************
009400     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB3I==.
009500/
009600     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB3O==.
009700/
009800     COPY MMD3IO REPLACING ==:MMD3:== BY ==MMD3==.
009900/
010000     COPY MMMMIO.
010100/
010200     COPY MMOCIO.
010300/
010400     COPY MMSCIO.
010500/
010600     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTPT==.
010700/
010800     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP4==.
010900/
011000     COPY MMD3IO REPLACING ==:MMD3:== BY ==MWD3==.
011100/
011200******************************************************************
011300     COPY MB00RB REPLACING ==:MB00:== BY ==MB3I==.
011400/
011500     COPY MB00RB REPLACING ==:MB00:== BY ==MB3O==.
011600/
011700     COPY MB00RB REPLACING ==:MB00:== BY ==MMD3==.
011800/
011900     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
012000/
012100     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
012200/
012300     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
012400/
012500     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
012600/
012700     COPY MB00RB REPLACING ==:MB00:== BY ==MTPT==.
012800/
012900     COPY MB00RB REPLACING ==:MB00:== BY ==MTP4==.
013000/
013100     COPY MB00RB REPLACING ==:MB00:== BY ==MWD3==.
013200/
013300******************************************************************
013400     COPY MMTCWS.
013500/
013600     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
013700/
013800     COPY MB00WS.
013900/
014000     COPY MB50WS.
014100/
014200     COPY MB99WS.
014300/
014400     COPY SS00WS.
014500/
014600     COPY SS01WS.
014700/
014800     COPY SS02WS.
014900*
015000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
015100/
015200 PROCEDURE DIVISION.
015300 A000-MAIN-LINE-SECT SECTION.
015400 A010-ML-BEGIN.
015500*
015600     MOVE 'MBD220'               TO SS02WS-ABEND-PROG-ID.
015700     INITIALIZE MB4O-KEY.
015800*
015900     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
016000     SET MMSCRB-OPEN-INPUT       TO TRUE.
016100     PERFORM MB00PD-MMSC-ACCESS
016200        THRU MB00PD-MMSC-ACCESS-EXIT.
016300*
016400     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
016500     SET MMSCRB-READ-SEQ         TO TRUE.
016600     PERFORM MB00PD-MMSC-ACCESS
016700        THRU MB00PD-MMSC-ACCESS-EXIT.
016800*
016900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
017000*
017100     IF  MMSCIO-HEADER
017200         NEXT SENTENCE
017300     ELSE
017400         PERFORM MB99PD-MISSING-HEADER-ABEND
017500            THRU MB99PD-MHA-EXIT.
017600*
017700     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
017800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
017900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
018000*
018100*
018200*
018300     PERFORM A100-OPEN-FILES
018400        THRU A199-OF-EXIT.
018500*
018600*
018700*
018800     SORT MS1S-SORT-FILE
018900         ON ASCENDING KEY MMD3-KEY
019000         INPUT  PROCEDURE IS 1000-CONVERT-MTPT-TO-MWD3
019100         OUTPUT PROCEDURE IS 5000-BUILD-MWD3.
019200*
019300     PERFORM SS98PD-VERIFY-SORT-RETURN
019400        THRU SS98PD-VSR-EXIT.
019500*
019600*
019700*
019800     PERFORM A200-POSTING-PROCESS
019900        THRU A299-PP-EXIT
020000        UNTIL MMOCIO-TRAILER.
020100*
020200     PERFORM A300-CLOSE-FILES
020300        THRU A399-CF-EXIT.
020400*
020500     STOP RUN.
020600*
020700 A099-ML-EXIT.
020800     EXIT.
020900/
021000 A100-OPEN-FILES SECTION.
021100 A101-OF-OPEN-FILES.
021200*
021300     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
021400     SET MMOCRB-OPEN-INPUT       TO TRUE.
021500     PERFORM MB00PD-MMOC-ACCESS
021600        THRU MB00PD-MMOC-ACCESS-EXIT.
021700*
021800     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
021900     SET MMMMRB-OPEN-INPUT       TO TRUE.
022000     PERFORM MB00PD-MMMM-ACCESS
022100        THRU MB00PD-MMMM-ACCESS-EXIT.
022200*
022300     MOVE 'O1D3'                 TO SS02WS-ABEND-LOCATION.
022400     SET MMD3RB-OPEN-OUTPUT      TO TRUE.
022500     PERFORM MB00PD-MMD3-ACCESS
022600        THRU MB00PD-MMD3-ACCESS-EXIT.
022700*
022800     MOVE 'O13I'                 TO SS02WS-ABEND-LOCATION.
022900     SET MB3IRB-OPEN-INPUT       TO TRUE.
023000     PERFORM MB00PD-MB3I-ACCESS
023100        THRU MB00PD-MB3I-ACCESS-EXIT.
023200*
023300     MOVE 'O13O'                 TO SS02WS-ABEND-LOCATION.
023400     SET MB3ORB-OPEN-OUTPUT      TO TRUE.
023500     PERFORM MB00PD-MB3O-ACCESS
023600        THRU MB00PD-MB3O-ACCESS-EXIT.
023700*
023800     MOVE 'O1PT'                 TO SS02WS-ABEND-LOCATION.
023900     SET MTPTRB-OPEN-INPUT       TO TRUE.
024000     PERFORM MB00PD-MTPT-ACCESS
024100        THRU MB00PD-MTPT-ACCESS-EXIT.
024200*
024300     MOVE 'O1P4'                 TO SS02WS-ABEND-LOCATION.
024400     SET MTP4RB-OPEN-OUTPUT      TO TRUE.
024500     PERFORM MB00PD-MTP4-ACCESS
024600        THRU MB00PD-MTP4-ACCESS-EXIT.
024700*
024800 A110-OF-CHECK-HEADERS.
024900*
025000     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
025100     SET MMOCRB-READ-SEQ         TO TRUE.
025200     PERFORM MB00PD-MMOC-ACCESS
025300        THRU MB00PD-MMOC-ACCESS-EXIT.
025400     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
025500*
025600     IF  MMOCIO-HEADER
025700         NEXT SENTENCE
025800     ELSE
025900         PERFORM MB99PD-MISSING-HEADER-ABEND
026000            THRU MB99PD-MHA-EXIT.
026100*
026200     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
026300     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
026400     PERFORM MB99PD-CHECK-DATE-TIME
026500        THRU MB99PD-CDT-EXIT.
026600*
026700     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
026800*
026900*
027000*
027100     MOVE 'R0MM'                 TO SS02WS-ABEND-LOCATION.
027200     SET MMMMRB-READ-SEQ         TO TRUE.
027300     PERFORM MB00PD-MMMM-ACCESS
027400        THRU MB00PD-MMMM-ACCESS-EXIT.
027500     MOVE 'MMMM'                 TO MB99WS-FILE-ID.
027600*
027700     IF  MMMMIO-HEADER
027800         NEXT SENTENCE
027900     ELSE
028000         PERFORM MB99PD-MISSING-HEADER-ABEND
028100            THRU MB99PD-MHA-EXIT.
028200*
028300     MOVE MMMMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
028400     MOVE MMMMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
028500     PERFORM MB99PD-CHECK-DATE-TIME
028600        THRU MB99PD-CDT-EXIT.
028700*
028800     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
028900     SET MMMMRB-READ-SEQ         TO TRUE.
029000     PERFORM MB00PD-MMMM-ACCESS
029100        THRU MB00PD-MMMM-ACCESS-EXIT.
029200*
029300     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
029400*
029500*
029600*
029700     MOVE 'R0PT'                 TO SS02WS-ABEND-LOCATION.
029800     SET MTPTRB-READ-SEQ         TO TRUE.
029900     PERFORM MB00PD-MTPT-ACCESS
030000        THRU MB00PD-MTPT-ACCESS-EXIT.
030100     MOVE 'MTPT'                 TO MB99WS-FILE-ID.
030200*
030300     IF  MTPTIO-HEADER
030400         NEXT SENTENCE
030500     ELSE
030600         PERFORM MB99PD-MISSING-HEADER-ABEND
030700            THRU MB99PD-MHA-EXIT.
030800*
030900     MOVE MTPTIO-DATE-STAMP      TO MB99WS-FILE-DATE.
031000     MOVE MTPTIO-TIME-STAMP      TO MB99WS-FILE-TIME.
031100     PERFORM MB99PD-CHECK-DATE-TIME
031200        THRU MB99PD-CDT-EXIT.
031300*
031400*
031500*
031600*
031700     MOVE SPACES                 TO MB3OIO-RECORD.
031800     SET MB3OIO-HEADER           TO TRUE.
031900     MOVE ZERO                   TO MB3OIO-STORE.
032000     MOVE ZERO                   TO MB3OIO-BATCH-DATE.
032100     MOVE ZERO                   TO MB3OIO-BATCH-SOURCE.
032200     MOVE ZERO                   TO MB3OIO-BATCH-NBR.
032300     MOVE ZERO                   TO MB3OIO-BATCH-SEQ.
032400     MOVE ZERO                   TO MB3OIO-SEQ-NBR.
032500     MOVE MMSC-TODAYS-JULIAN     TO MB3OIO-DATE-STAMP.
032600     MOVE MMSC-TIME-STAMP        TO MB3OIO-TIME-STAMP.
032700*
032800     MOVE 'W03O'                 TO SS02WS-ABEND-LOCATION.
032900     SET MB3ORB-WRITE            TO TRUE.
033000     PERFORM MB00PD-MB3O-ACCESS
033100        THRU MB00PD-MB3O-ACCESS-EXIT.
033200*
033300*
033400*
033500     MOVE SPACES                 TO MMD3IO-RECORD.
033600     SET MMD3IO-HEADER           TO TRUE.
033700     MOVE ZERO                   TO MMD3IO-STORE.
033800     MOVE ZERO                   TO MMD3IO-BATCH-DATE.
033900     MOVE ZERO                   TO MMD3IO-BATCH-SOURCE.
034000     MOVE ZERO                   TO MMD3IO-BATCH-NBR.
034100     MOVE ZERO                   TO MMD3IO-BATCH-SEQ.
034200     MOVE ZERO                   TO MMD3IO-SEQ-NBR.
034300     MOVE MMSC-TODAYS-JULIAN     TO MMD3IO-DATE-STAMP.
034400     MOVE MMSC-TIME-STAMP        TO MMD3IO-TIME-STAMP.
034500*
034600     MOVE 'W0D3'                 TO SS02WS-ABEND-LOCATION.
034700     SET MMD3RB-WRITE            TO TRUE.
034800     PERFORM MB00PD-MMD3-ACCESS
034900        THRU MB00PD-MMD3-ACCESS-EXIT.
035000*
035100*
035200*
035300     MOVE SPACES                 TO MTP4IO-RECORD.
035400     SET MTP4IO-HEADER           TO TRUE.
035500     MOVE MMSC-TODAYS-JULIAN     TO MTP4IO-DATE-STAMP.
035600     MOVE MMSC-TIME-STAMP        TO MTP4IO-TIME-STAMP.
035700*
035800     MOVE 'W0P4'                 TO SS02WS-ABEND-LOCATION.
035900     SET MTP4RB-WRITE            TO TRUE.
036000     PERFORM MB00PD-MTP4-ACCESS
036100        THRU MB00PD-MTP4-ACCESS-EXIT.
036200*
036300*
036400*
036500     MOVE 'OAD3'                 TO SS02WS-ABEND-LOCATION.
036600     SET MWD3RB-OPEN-OUTPUT      TO TRUE.
036700     PERFORM MB00PD-MWD3-ACCESS
036800        THRU MB00PD-MWD3-ACCESS-EXIT.
036900*
037000     MOVE SPACES                 TO MWD3IO-RECORD.
037100     SET MWD3IO-HEADER           TO TRUE.
037200     MOVE ZERO                   TO MWD3IO-STORE.
037300     MOVE ZERO                   TO MWD3IO-BATCH-DATE.
037400     MOVE ZERO                   TO MWD3IO-BATCH-SOURCE.
037500     MOVE ZERO                   TO MWD3IO-BATCH-NBR.
037600     MOVE ZERO                   TO MWD3IO-BATCH-SEQ.
037700     MOVE ZERO                   TO MWD3IO-SEQ-NBR.
037800     MOVE MMSC-TODAYS-JULIAN     TO MWD3IO-DATE-STAMP.
037900     MOVE MMSC-TIME-STAMP        TO MWD3IO-TIME-STAMP.
038000*
038100     MOVE 'WAD3'                 TO SS02WS-ABEND-LOCATION.
038200     SET MWD3RB-WRITE            TO TRUE.
038300     PERFORM MB00PD-MWD3-ACCESS
038400        THRU MB00PD-MWD3-ACCESS-EXIT.
038500*
038600*
038700*
038800     MOVE MMSC-DATE-LAST-PROC    TO MB99WS-PROC-DATE.
038900     MOVE MMSC-LAST-TIME-STAMP   TO MB99WS-PROC-TIME.
039000*
039100*
039200*
039300     MOVE 'R03I'                 TO SS02WS-ABEND-LOCATION.
039400     SET MB3IRB-READ-SEQ         TO TRUE.
039500     PERFORM MB00PD-MB3I-ACCESS
039600        THRU MB00PD-MB3I-ACCESS-EXIT.
039700     MOVE 'MB3I'                 TO MB99WS-FILE-ID.
039800*
039900     IF  MB3IIO-HEADER
040000         NEXT SENTENCE
040100     ELSE
040200         PERFORM MB99PD-MISSING-HEADER-ABEND
040300            THRU MB99PD-MHA-EXIT.
040400*
040500     MOVE MB3IIO-DATE-STAMP      TO MB99WS-FILE-DATE.
040600     MOVE MB3IIO-TIME-STAMP      TO MB99WS-FILE-TIME.
040700     PERFORM MB99PD-CHECK-DATE-TIME
040800        THRU MB99PD-CDT-EXIT.
040900*
041000     MOVE 'R13I'                 TO SS02WS-ABEND-LOCATION.
041100     SET MB3IRB-READ-SEQ         TO TRUE.
041200     PERFORM MB00PD-MB3I-ACCESS
041300        THRU MB00PD-MB3I-ACCESS-EXIT.
041400*
041500     MOVE MB3IIO-RECORD          TO MB3I-RECORD.
041600*
041700*
041800*
041900 A199-OF-EXIT.
042000     EXIT.
042100/
042200 A200-POSTING-PROCESS SECTION.
042300 A201-PP-BEGIN.
042400*
042500     PERFORM B000-PROCESS-ORG
042600        THRU B099-PO-EXIT.
042700*
042800     IF  MMOCIO-TRAILER
042900         GO TO A299-PP-EXIT.
043000*
043100 A299-PP-EXIT.
043200     EXIT.
043300/
043400 A300-CLOSE-FILES SECTION.
043500 A301-CF-BEGIN.
043600*
043700     MOVE SPACES                 TO MTP4IO-RECORD.
043800     SET MTP4IO-TRAILER          TO TRUE.
043900     MOVE MMSC-TODAYS-JULIAN     TO MTP4IO-DATE-STAMP.
044000     MOVE MMSC-TIME-STAMP        TO MTP4IO-TIME-STAMP.
044100*
044200     MOVE 'W9P4'                 TO SS02WS-ABEND-LOCATION.
044300     SET MTP4RB-WRITE            TO TRUE.
044400     PERFORM MB00PD-MTP4-ACCESS
044500        THRU MB00PD-MTP4-ACCESS-EXIT.
044600*
044700*
044800*
044900     MOVE SPACES                 TO MB3OIO-RECORD.
045000     SET MB3OIO-TRAILER          TO TRUE.
045100     MOVE ZERO                   TO MB3OIO-STORE.
045200     MOVE ZERO                   TO MB3OIO-BATCH-DATE.
045300     MOVE ZERO                   TO MB3OIO-BATCH-SOURCE.
045400     MOVE ZERO                   TO MB3OIO-BATCH-NBR.
045500     MOVE ZERO                   TO MB3OIO-BATCH-SEQ.
045600     MOVE ZERO                   TO MB3OIO-SEQ-NBR.
045700     MOVE MMSC-TODAYS-JULIAN     TO MB3OIO-DATE-STAMP.
045800     MOVE MMSC-TIME-STAMP        TO MB3OIO-TIME-STAMP.
045900*
046000     MOVE 'W93O'                 TO SS02WS-ABEND-LOCATION.
046100     SET MB3ORB-WRITE            TO TRUE.
046200     PERFORM MB00PD-MB3O-ACCESS
046300        THRU MB00PD-MB3O-ACCESS-EXIT.
046400*
046500*
046600*
046700     MOVE SPACES                 TO MMD3IO-RECORD.
046800     SET MMD3IO-TRAILER          TO TRUE.
046900     MOVE ZERO                   TO MMD3IO-STORE.
047000     MOVE ZERO                   TO MMD3IO-BATCH-DATE.
047100     MOVE ZERO                   TO MMD3IO-BATCH-SOURCE.
047200     MOVE ZERO                   TO MMD3IO-BATCH-NBR.
047300     MOVE ZERO                   TO MMD3IO-BATCH-SEQ.
047400     MOVE ZERO                   TO MMD3IO-SEQ-NBR.
047500     MOVE MMSC-TODAYS-JULIAN     TO MMD3IO-DATE-STAMP.
047600     MOVE MMSC-TIME-STAMP        TO MMD3IO-TIME-STAMP.
047700*
047800     MOVE 'W9D3'                 TO SS02WS-ABEND-LOCATION.
047900     SET MMD3RB-WRITE            TO TRUE.
048000     PERFORM MB00PD-MMD3-ACCESS
048100        THRU MB00PD-MMD3-ACCESS-EXIT.
048200*
048300*
048400*
048500     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
048600     SET MMSCRB-CLOSE            TO TRUE.
048700     PERFORM MB00PD-MMSC-ACCESS
048800        THRU MB00PD-MMSC-ACCESS-EXIT.
048900*
049000     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
049100     SET MMOCRB-CLOSE            TO TRUE.
049200     PERFORM MB00PD-MMOC-ACCESS
049300        THRU MB00PD-MMOC-ACCESS-EXIT.
049400*
049500     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
049600     SET MMMMRB-CLOSE            TO TRUE.
049700     PERFORM MB00PD-MMMM-ACCESS
049800        THRU MB00PD-MMMM-ACCESS-EXIT.
049900*
050000     MOVE 'C1D3'                 TO SS02WS-ABEND-LOCATION.
050100     SET MMD3RB-CLOSE            TO TRUE.
050200     PERFORM MB00PD-MMD3-ACCESS
050300        THRU MB00PD-MMD3-ACCESS-EXIT.
050400*
050500     MOVE 'C13I'                 TO SS02WS-ABEND-LOCATION.
050600     SET MB3IRB-CLOSE            TO TRUE.
050700     PERFORM MB00PD-MB3I-ACCESS
050800        THRU MB00PD-MB3I-ACCESS-EXIT.
050900*
051000     MOVE 'C13O'                 TO SS02WS-ABEND-LOCATION.
051100     SET MB3ORB-CLOSE            TO TRUE.
051200     PERFORM MB00PD-MB3O-ACCESS
051300        THRU MB00PD-MB3O-ACCESS-EXIT.
051400*
051500     MOVE 'C1PT'                 TO SS02WS-ABEND-LOCATION.
051600     SET MTPTRB-CLOSE            TO TRUE.
051700     PERFORM MB00PD-MTPT-ACCESS
051800        THRU MB00PD-MTPT-ACCESS-EXIT.
051900*
052000     MOVE 'C1P4'                 TO SS02WS-ABEND-LOCATION.
052100     SET MTP4RB-CLOSE            TO TRUE.
052200     PERFORM MB00PD-MTP4-ACCESS
052300        THRU MB00PD-MTP4-ACCESS-EXIT.
052400*
052500     MOVE 'CAD3'                 TO SS02WS-ABEND-LOCATION.
052600     SET MWD3RB-CLOSE            TO TRUE.
052700     PERFORM MB00PD-MWD3-ACCESS
052800        THRU MB00PD-MWD3-ACCESS-EXIT.
052900*
053000 A399-CF-EXIT.
053100     EXIT.
053200/
053300 B000-PROCESS-ORG SECTION.
053400 B010-PO-BEGIN.
053500*
053600     MOVE 'R2OC'                 TO SS02WS-ABEND-LOCATION.
053700     SET MMOCRB-READ-SEQ         TO TRUE.
053800     PERFORM MB00PD-MMOC-ACCESS
053900        THRU MB00PD-MMOC-ACCESS-EXIT.
054000*
054100     IF  MMOCIO-TRAILER
054200         GO TO B099-PO-EXIT.
054300*
054400     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
054500*
054600     IF  MMOC-REC-INCOMPLETE
054700     OR  MMOC-ADD-PENDING
054800         GO TO B010-PO-BEGIN.
054900*
055000*
055100     PERFORM MTRFPX-BUILD-REPORT-TABLE
055200        THRU MTRFPX-BRT-EXIT.
055300*
055400     MOVE MMOC-DATE-LAST-PROC    TO SS01WS-JULIAN.
055500     PERFORM SS08PD-JUL-TO-GREG
055600        THRU SS08PD-JTG-EXIT.
055700     MOVE SS01WS-MM              TO WS-D220-LAST-MM.
055800     MOVE SS01WS-DD              TO WS-D220-LAST-DD.
055900     MOVE SS01WS-YEAR            TO WS-D220-LAST-YY.
056000     MOVE MMOC-DATE-LAST-PROC    TO SS01WS-JULIAN.
056100     PERFORM SS06PD-DAY-OF-WEEK
056200        THRU SS06PD-DOW-EXIT.
056300     COMPUTE WS-D220-LAST-DOW    =  SS01WS-DOW + 1.
056400*
056500     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
056600     PERFORM SS08PD-JUL-TO-GREG
056700        THRU SS08PD-JTG-EXIT.
056800     MOVE SS01WS-MM              TO WS-D220-CURR-MM.
056900     MOVE SS01WS-DD              TO WS-D220-CURR-DD.
057000     MOVE SS01WS-YEAR            TO WS-D220-CURR-YY.
057100     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
057200     PERFORM SS06PD-DAY-OF-WEEK
057300        THRU SS06PD-DOW-EXIT.
057400     COMPUTE WS-D220-CURR-DOW    =  SS01WS-DOW + 1.
057500*
057600     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
057700     PERFORM SS08PD-JUL-TO-GREG
057800        THRU SS08PD-JTG-EXIT.
057900     MOVE SS01WS-MM              TO WS-D220-NEXT-MM.
058000     MOVE SS01WS-DD              TO WS-D220-NEXT-DD.
058100     MOVE SS01WS-YEAR            TO WS-D220-NEXT-YY.
058200     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
058300     PERFORM SS06PD-DAY-OF-WEEK
058400        THRU SS06PD-DOW-EXIT.
058500     COMPUTE WS-D220-NEXT-DOW    =  SS01WS-DOW + 1.
058600*
058700     MOVE MMOC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
058800     PERFORM SS08PD-JUL-TO-GREG
058900        THRU SS08PD-JTG-EXIT.
059000     MOVE SS01WS-MM              TO WS-D220-ACCR-MM.
059100     MOVE SS01WS-DD              TO WS-D220-ACCR-DD.
059200     MOVE SS01WS-YEAR            TO WS-D220-ACCR-YY.
059300     MOVE MMOC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
059400     PERFORM SS06PD-DAY-OF-WEEK
059500        THRU SS06PD-DOW-EXIT.
059600     COMPUTE WS-D220-ACCR-DOW    =  SS01WS-DOW + 1.
059700*
059800     MOVE MMOC-DATE-LAST-ACCR    TO SS01WS-JULIAN.
059900     PERFORM SS08PD-JUL-TO-GREG
060000        THRU SS08PD-JTG-EXIT.
060100     MOVE SS01WS-MM              TO WS-D220-LACC-MM.
060200     MOVE SS01WS-DD              TO WS-D220-LACC-DD.
060300     MOVE SS01WS-YEAR            TO WS-D220-LACC-YY.
060400     MOVE MMOC-DATE-LAST-ACCR    TO SS01WS-JULIAN.
060500     PERFORM SS06PD-DAY-OF-WEEK
060600        THRU SS06PD-DOW-EXIT.
060700     COMPUTE WS-D220-LACC-DOW    =  SS01WS-DOW + 1.
060800*
060900     PERFORM C000-PROCESS-MERCHANTS
061000        THRU C099-PM-EXIT
061100        UNTIL MMMMIO-ORG  IS GREATER THAN MMOC-ORG.
061200*
061300 B099-PO-EXIT.
061400     EXIT.
061500/
061600 C000-PROCESS-MERCHANTS SECTION.
061700 C010-PM-BEGIN.
061800*
061900     IF  MMMMIO-ORG  IS LESS THAN MMOC-ORG
062000         PERFORM C900-GET-NEXT-MERCHANT
062100            THRU C999-GNM-EXIT
062200         MOVE MMMMIR-RECORD      TO MMMM-RECORD
062300         MOVE MMOC-ORG           TO MMMM-ORG
062400         GO TO C099-PM-EXIT.
062500*
062600     IF  MMMMIO-ORG  IS NOT EQUAL TO MMOC-ORG
062700         GO TO C099-PM-EXIT.
062800*
062900     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
063000*
063100     IF  MMMM-REC-INCOMPLETE
063200     OR  MMMM-REC-PURGED
063300     OR  MMMM-REC-PURGING
063400     OR  MMMM-REC-MODEL
063500     OR  MMMM-ADD-PENDING
063600         PERFORM C900-GET-NEXT-MERCHANT
063700            THRU C999-GNM-EXIT
063800         GO TO C099-PM-EXIT.
063900*
064000     IF  MMOC-NOT-PROCESSING
064100         SET MMMM-NO-STMT-TODAY  TO TRUE
064200         SET MMMM-NO-SETT-TODAY  TO TRUE
064300     END-IF.
064400*
064500     PERFORM D000-MERCH-PRE-PROCESS
064600        THRU D099-MPP-EXIT.
064700*
064800     PERFORM M000-MERGE-DEPOSIT-HISTORY
064900        THRU M099-MDH-EXIT.
065000*
065100     PERFORM R530-REPORT-53-HEADER-TRAILER
065200        THRU R539-R53-HT-EXIT.
065300*
065400     PERFORM C900-GET-NEXT-MERCHANT
065500        THRU C999-GNM-EXIT.
065600*
065700 C099-PM-EXIT.
065800     EXIT.
065900/
066000 C900-GET-NEXT-MERCHANT SECTION.
066100 C910-GNM-BEGIN.
066200*
066300     MOVE 'R3MM'                 TO SS02WS-ABEND-LOCATION.
066400     SET MMMMRB-READ-SEQ         TO TRUE.
066500     PERFORM MB00PD-MMMM-ACCESS
066600        THRU MB00PD-MMMM-ACCESS-EXIT.
066700*
066800 C999-GNM-EXIT.
066900     EXIT.
067000/
067100 D000-MERCH-PRE-PROCESS SECTION.
067200 D010-MPP-BEGIN.
067300*
067400     PERFORM
067500         UNTIL MB3IIO-ORG-MERCHANT IS NOT LESS THAN
067600                                 MMMM-ORG-MERCHANT
067700         MOVE 'R23I'             TO SS02WS-ABEND-LOCATION
067800         SET MB3IRB-READ-SEQ     TO TRUE
067900         PERFORM MB00PD-MB3I-ACCESS
068000            THRU MB00PD-MB3I-ACCESS-EXIT
068100     END-PERFORM.
068200*
068300     MOVE MB3IIO-RECORD          TO MB3I-RECORD.
068400*
068500     PERFORM
068600         UNTIL MWD3IO-ORG-MERCHANT IS NOT LESS THAN
068700                                 MMMM-ORG-MERCHANT
068800         MOVE 'RBD3'             TO SS02WS-ABEND-LOCATION
068900         SET MWD3RB-READ-SEQ     TO TRUE
069000         PERFORM MB00PD-MWD3-ACCESS
069100            THRU MB00PD-MWD3-ACCESS-EXIT
069200     END-PERFORM.
069300*
069400     MOVE MWD3IO-RECORD          TO MWD3-RECORD.
069500*
069600     MOVE ZERO                   TO WS-D220-3O-SEQ.
069700     SET  WS-D220-O53-NO-ACTIVITY
069800                                 TO TRUE.
069900*
070000 D099-MPP-EXIT.
070100     EXIT.
070200/
070300 M000-MERGE-DEPOSIT-HISTORY SECTION.
070400 M001-MDH-BEGIN.
070500*
070600     PERFORM
070700         UNTIL MB3IIO-ORG-MERCHANT IS GREATER THAN
070800                                 MMMM-ORG-MERCHANT
070900           AND MWD3IO-ORG-MERCHANT IS GREATER THAN
071000                                 MMMM-ORG-MERCHANT
071100         EVALUATE TRUE
071200             WHEN MWD3IO-ORG-MERCHANT IS GREATER THAN
071300                                 MMMM-ORG-MERCHANT
071400                 PERFORM M100-PROCESS-MB3I
071500                    THRU M199-PMB3I-EXIT
071600             WHEN MB3IIO-ORG-MERCHANT IS GREATER THAN
071700                                 MMMM-ORG-MERCHANT
071800                 PERFORM M200-PROCESS-MWD3
071900                    THRU M299-PMWD3-EXIT
072000             WHEN MB3IIO-ALIGN-KEY IS LESS THAN MWD3IO-ALIGN-KEY
072100                 PERFORM M100-PROCESS-MB3I
072200                    THRU M199-PMB3I-EXIT
072300             WHEN MB3IIO-ALIGN-KEY IS EQUAL TO MWD3IO-ALIGN-KEY
072400                 PERFORM M100-PROCESS-MB3I
072500                    THRU M199-PMB3I-EXIT
072600             WHEN OTHER
072700                 PERFORM M200-PROCESS-MWD3
072800                    THRU M299-PMWD3-EXIT
072900         END-EVALUATE
073000     END-PERFORM.
073100*
073200 M099-MDH-EXIT.
073300     EXIT.
073400/
073500 M100-PROCESS-MB3I SECTION.
073600 M101-PMB3I-BEGIN.
073700*
073800     MOVE MB3IIO-RECORD          TO MB3O-RECORD.
073900     MOVE MB3O-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
074000*
074100     PERFORM M800-UPDATE-MB3O
074200        THRU M899-UMB3O-EXIT.
074300*
074400     MOVE 'R23I'                 TO SS02WS-ABEND-LOCATION.
074500     SET MB3IRB-READ-SEQ         TO TRUE.
074600     PERFORM MB00PD-MB3I-ACCESS
074700        THRU MB00PD-MB3I-ACCESS-EXIT.
074800*
074900 M199-PMB3I-EXIT.
075000     EXIT.
075100/
075200 M200-PROCESS-MWD3 SECTION.
075300 M201-PMWD3-BEGIN.
075400*
075500     MOVE MWD3IO-RECORD          TO MB3O-RECORD.
075600     MOVE MB3O-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
075700*
075800     PERFORM M800-UPDATE-MB3O
075900        THRU M899-UMB3O-EXIT.
076000*
076100     MOVE 'RCD3'                 TO SS02WS-ABEND-LOCATION.
076200     SET MWD3RB-READ-SEQ         TO TRUE.
076300     PERFORM MB00PD-MWD3-ACCESS
076400        THRU MB00PD-MWD3-ACCESS-EXIT.
076500*
076600 M299-PMWD3-EXIT.
076700     EXIT.
076800/
076900 M800-UPDATE-MB3O SECTION.
077000 M801-UMB3O-BEGIN.
077100*
077200     IF  MB3O-SETTLED-WINDOW
077300     AND MB3O-SETT-DATE IS EQUAL TO ZERO
077400         MOVE MMOC-TODAYS-JULIAN  TO MB3O-SETT-DATE.
077500*
077600     IF  MMMM-SETT-TODAY
077700     AND MB3O-NOT-SETTLED
077800         EVALUATE TRUE
077900             WHEN MMTCWS-LM-ADJ-CR
078000                 MOVE MMMM-TAT-SETT-BILL-INDEX (8)
078100                                  TO MB3O-SETT-ACCT
078200             WHEN MMTCWS-LM-ADJ-DR
078300                 MOVE MMMM-TAT-SETT-BILL-INDEX (7)
078400                                  TO MB3O-SETT-ACCT
078500             WHEN OTHER
078600                 MOVE MMMM-TAT-SETT-BILL-INDEX (16)
078700                                  TO MB3O-SETT-ACCT
078800         END-EVALUATE
078900         SET MB3O-SETTLED-ACH-MAN TO TRUE
079000         MOVE MMOC-TODAYS-JULIAN  TO MB3O-SETT-DATE
079100         EVALUATE TRUE
079200             WHEN MMTCWS-LM-ADJ-CR
079300                 IF  MMMM-TAT-BILL (8)
079400                     SET MB3O-SETTLED-BILLED
079500                                 TO TRUE
079600                 END-IF
079700             WHEN MMTCWS-LM-ADJ-DR
079800                 IF  MMMM-TAT-BILL (7)
079900                     SET MB3O-SETTLED-BILLED
080000                                 TO TRUE
080100                 END-IF
080200         END-EVALUATE.
080300*
080400     IF (MMMM-SETT-TODAY
080500     AND MB3O-SETTLED
080600     AND MB3O-SETT-DATE IS EQUAL TO MMOC-TODAYS-JULIAN)
080700     OR
080800        (MB3O-SETTLED-WINDOW
080900     AND MB3O-SETT-DATE IS EQUAL TO MMOC-TODAYS-JULIAN)
081000         IF  MMMM-SETT-NOTICE-DETAIL
081100             PERFORM R530-REPORT-53
081200                THRU R539-R53-EXIT.
081300*
081400     IF  MMMM-STMT-TODAY
081500     AND MB3O-NOT-STATEMENTED
081600         EVALUATE TRUE
081700             WHEN MB3O-NOT-SETTLED
081800                 CONTINUE
081900             WHEN MB3O-SETTLED
082000                 SET MB3O-STATEMENTED
082100                                 TO TRUE
082200         END-EVALUATE
082300         IF  MMMM-STATEMENT-DETAIL
082400             PERFORM R500-REPORT-50
082500                THRU R509-R50-EXIT.
082600*
082700     MOVE MB3O-POST-DATE         TO SS01WS-JULIAN.
082800     MOVE ZERO                   TO SS01WS-DAY-OF-MON.
082900     MOVE MMMM-RETAIN-DEPOSITS   TO SS01WS-FREQ.
083000     MOVE 'D'                    TO SS01WS-PERIOD.
083100     PERFORM SS03PD-FUTURE-DATE
083200        THRU SS03PD-FD-EXIT.
083300*
083400     EVALUATE TRUE
083500         WHEN MMMM-DDC-NO-DEPOSIT-HISTORY
083600             CONTINUE
083700         WHEN (MMMM-DDC-HEADERS-ADJ-ONLY
083800          AND  MMTCWS-LM-DEPOSIT-HIST-DETAIL)
083900             CONTINUE
084000         WHEN (SS01WS-JULIAN IS LESS THAN MMOC-TODAYS-JULIAN
084100          AND  MB3O-STATEMENTED
084200          AND  MB3O-SETTLED)
084300             CONTINUE
084400         WHEN OTHER
084500             PERFORM M900-CHECK-ADJUSTMENT
084600                THRU M999-CA-EXIT
084700             ADD  1              TO WS-D220-3O-SEQ
084800             MOVE WS-D220-3O-SEQ TO MB3O-SEQ-NBR
084900             MOVE MB3O-RECORD    TO MB3OIO-RECORD
085000             MOVE MB3O-RECORD    TO MMD3IO-RECORD
085100             MOVE 'W13O'         TO SS02WS-ABEND-LOCATION
085200             SET MB3ORB-WRITE    TO TRUE
085300             PERFORM MB00PD-MB3O-ACCESS
085400                THRU MB00PD-MB3O-ACCESS-EXIT
085500             SET MMD3RB-WRITE    TO TRUE
085600             PERFORM MB00PD-MMD3-ACCESS
085700                THRU MB00PD-MMD3-ACCESS-EXIT
085800             MOVE 'W1D3'         TO SS02WS-ABEND-LOCATION
085900             IF  MMTCWS-LM-BATCH-HDR
086000                 MOVE MB3O-RECORD
086100                                 TO MB4O-RECORD
086200             END-IF
086300     END-EVALUATE.
086400*
086500 M899-UMB3O-EXIT.
086600     EXIT.
086700/
086800 M900-CHECK-ADJUSTMENT SECTION.
086900 M901-CA-BEGIN.
087000*
087100     IF  MMTCWS-LM-ADJ-CR
087200     OR  MMTCWS-LM-ADJ-DR
087300         NEXT SENTENCE
087400     ELSE
087500         GO TO M999-CA-EXIT.
087600*
087700     IF  MB3O-KEY (1:27) IS EQUAL TO MB4O-KEY (1:27)
087800         GO TO M999-CA-EXIT.
087900*
088000     MOVE MB3O-RECORD            TO MB4O-RECORD.
088100     MOVE ZERO                   TO MB4O-BATCH-SEQ.
088200     INITIALIZE MB4O-POST-KEY.
088300     MOVE ZERO                   TO MB4O-TRANS-CODE.
088400     SET MB4O-TF-CREDIT          TO TRUE.
088500     MOVE 1                      TO MB4O-NBR-ITEMS.
088600     MOVE ZERO                   TO MB4O-AMOUNT.
088700     MOVE 'G'                    TO MB4O-REJECT-REENTRY-FLAG.
088800     MOVE 'NO MATCHING DEPOSIT FOR ADJUSTMENT'
088900                                 TO MB4O-DESC.
089000     MOVE 'NO MATCH DEP'         TO MB4O-RPT-DESC.
089100     SET MB4O-VDI-NOT-PRESENT    TO TRUE.
089200*
089300     ADD  1                      TO WS-D220-3O-SEQ.
089400     MOVE WS-D220-3O-SEQ         TO MB4O-SEQ-NBR.
089500     MOVE MB4O-RECORD            TO MB3OIO-RECORD.
089600     MOVE MB4O-RECORD            TO MMD3IO-RECORD.
089700*
089800     MOVE 'W23O'                 TO SS02WS-ABEND-LOCATION.
089900     SET MB3ORB-WRITE            TO TRUE.
090000     PERFORM MB00PD-MB3O-ACCESS
090100        THRU MB00PD-MB3O-ACCESS-EXIT.
090200*
090300     MOVE 'W2D3'                 TO SS02WS-ABEND-LOCATION.
090400     SET MMD3RB-WRITE            TO TRUE.
090500     PERFORM MB00PD-MMD3-ACCESS
090600       THRU MB00PD-MMD3-ACCESS-EXIT.
090700*
090800 M999-CA-EXIT.
090900     EXIT.
091000/
091100     COPY MBD22050.
091200/
091300     COPY MBD22053.
091400/
091500 R970-WRITE-USER-REPORT SECTION.
091600 R971-WUR-BEGIN.
091700*
091800     IF  MTRFWS-URT-F1-NOT-REQUESTED  (X-MTRFWS-URT)
091900         NEXT SENTENCE
092000     ELSE
092100         MOVE MTRFWS-URT-FREQ-1  (X-MTRFWS-URT)
092200                                 TO MTRF-KEY-1
092300         PERFORM R990-OBTAIN-STATIC-DATA
092400            THRU R999-OSD-EXIT
092500         MOVE MTRF-RECORD        TO MTP4IO-RECORD
092600         MOVE 'W3P4'             TO SS02WS-ABEND-LOCATION
092700         SET MTP4RB-WRITE        TO TRUE
092800         PERFORM MB00PD-MTP4-ACCESS
092900            THRU MB00PD-MTP4-ACCESS-EXIT.
093000*
093100     IF  MTRFWS-URT-F2-NOT-REQUESTED  (X-MTRFWS-URT)
093200         NEXT SENTENCE
093300     ELSE
093400         MOVE MTRFWS-URT-FREQ-2  (X-MTRFWS-URT)
093500                                 TO MTRF-KEY-1
093600         PERFORM R990-OBTAIN-STATIC-DATA
093700            THRU R999-OSD-EXIT
093800         MOVE MTRF-RECORD        TO MTP4IO-RECORD
093900         MOVE 'W4P4'             TO SS02WS-ABEND-LOCATION
094000         SET MTP4RB-WRITE        TO TRUE
094100         PERFORM MB00PD-MTP4-ACCESS
094200            THRU MB00PD-MTP4-ACCESS-EXIT.
094300*
094400     MOVE SPACES                 TO MTRF-RECORD.
094500*
094600 R979-WUR-EXIT.
094700     EXIT.
094800/
094900 R980-WRITE-REPORT-FILE SECTION.
095000 R981-WRF-BEGIN.
095100*
095200     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
095300         NEXT SENTENCE
095400     ELSE
095500         MOVE MTRFWS-ORT-FREQ-1  (X-MTRFWS-ORT)
095600                                 TO MTRF-KEY-1
095700         PERFORM R990-OBTAIN-STATIC-DATA
095800            THRU R999-OSD-EXIT
095900         MOVE MTRF-RECORD        TO MTP4IO-RECORD
096000         MOVE 'W1P4'             TO SS02WS-ABEND-LOCATION
096100         SET MTP4RB-WRITE        TO TRUE
096200         PERFORM MB00PD-MTP4-ACCESS
096300            THRU MB00PD-MTP4-ACCESS-EXIT.
096400*
096500     IF  MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
096600         NEXT SENTENCE
096700     ELSE
096800         MOVE MTRFWS-ORT-FREQ-2  (X-MTRFWS-ORT)
096900                                 TO MTRF-KEY-1
097000         PERFORM R990-OBTAIN-STATIC-DATA
097100            THRU R999-OSD-EXIT
097200         MOVE MTRF-RECORD        TO MTP4IO-RECORD
097300         MOVE 'W2P4'             TO SS02WS-ABEND-LOCATION
097400         SET MTP4RB-WRITE        TO TRUE
097500         PERFORM MB00PD-MTP4-ACCESS
097600            THRU MB00PD-MTP4-ACCESS-EXIT.
097700*
097800     MOVE SPACES                 TO MTRF-RECORD.
097900*
098000 R989-WRF-EXIT.
098100     EXIT.
098200/
098300 R990-OBTAIN-STATIC-DATA SECTION.
098400 R990-OSD-BEGIN.
098500*
098600     MOVE WS-D220-RPT-REC-TYPE   TO MTRF-K1-REC-TYPE.
098700*
098800     IF  MTRF-K1-RT-HEADER
098900     OR  MTRF-K1-RT-TRAILER
099000         GO TO R999-OSD-EXIT.
099100*
099200     MOVE MMMM-MERCHANT          TO MTRF-MERCHANT.
099300     MOVE ZERO                   TO MTRF-STORE.
099400     MOVE ZERO                   TO MTRF-CHAIN.
099500     MOVE MMMM-BLOCK-CODE        TO MTRF-BLOCK-CODE.
099600     MOVE MMMM-REC-STATUS        TO MTRF-REC-STATUS.
099700     MOVE MMMM-GNA-NBR (1)       TO MTRF-GNA-NBR.
099800     MOVE MMMM-NA-OVERFLOW-SW(1) TO MTRF-NA-OVERFLOW-SW.
099900     MOVE MMMM-NA-LINE (1 1)     TO MTRF-NAME.
100000     MOVE MMMM-STATE-CODE (1)    TO MTRF-STATE.
100100     MOVE MMMM-COUNTRY-CODE (1)  TO MTRF-COUNTRY.
100200     MOVE MMMM-STMT-FREQ-1       TO MTRF-STMT-FREQ-1.
100300     MOVE MMMM-STMT-FREQ-2       TO MTRF-STMT-FREQ-2.
100400     MOVE MMMM-DISC-FREQ-1       TO MTRF-DISC-FREQ-1.
100500     MOVE MMMM-DISC-FREQ-2       TO MTRF-DISC-FREQ-2.
100600     MOVE MMMM-PART-FREQ-1       TO MTRF-PART-FREQ-1.
100700     MOVE MMMM-PART-FREQ-2       TO MTRF-PART-FREQ-2.
100800     MOVE MMMM-SETT-FREQ-1       TO MTRF-SETT-FREQ-1.
100900     MOVE MMMM-SETT-FREQ-2       TO MTRF-SETT-FREQ-2.
101000     MOVE MMMM-CLOSE-REASON      TO MTRF-CLOSE-REASON.
101100*
101200 R999-OSD-EXIT.
101300     EXIT.
101400/
101500 1000-CONVERT-MTPT-TO-MWD3 SECTION.
101600 1001-CMTM-BEGIN.
101700*
101800     MOVE SS02WS-END-OF-FILE     TO MTPTRB-PERM-STATUS-1.
101900*
102000 1010-CMTM-READ-MTPT.
102100*
102200     MOVE 'R1PT'                 TO SS02WS-ABEND-LOCATION.
102300     SET MTPTRB-READ-SEQ         TO TRUE.
102400     PERFORM MB00PD-MTPT-ACCESS
102500        THRU MB00PD-MTPT-ACCESS-EXIT.
102600*
102700     IF  SS02WS-FS-END-OF-FILE
102800         GO TO 1900-CMTM-CLOSE-FILES.
102900*
103000     IF  MTPTIO-HEADER
103100     OR  MTPTIO-TRAILER
103200         GO TO 1010-CMTM-READ-MTPT.
103300*
103400     MOVE MTPTIO-RECORD          TO MTPT-RECORD.
103500     MOVE MTPT-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
103600*
103700     IF  MMTCWS-LM-VALID-DEPOSIT-HIST
103800         NEXT SENTENCE
103900     ELSE
104000         GO TO 1010-CMTM-READ-MTPT.
104100*
104200     IF  MTPT-PF-POSTED-TRANSACTION
104300         NEXT SENTENCE
104400     ELSE
104500         GO TO 1010-CMTM-READ-MTPT.
104600*
104700     MOVE MTPT-ORG               TO MMD3-ORG.
104800     MOVE MTPT-MERCHANT          TO MMD3-MERCHANT.
104900     MOVE MTPT-STORE             TO MMD3-STORE.
105000     MOVE MTPT-BATCH             TO MMD3-BATCH.
105100     MOVE ZERO                   TO MMD3-SEQ-NBR.
105200     MOVE MTPT-PRODUCT           TO MMD3-PRODUCT.
105300     MOVE MTPT-PLAN              TO MMD3-PLAN.
105400     MOVE MTPT-LOGIC-MODULE      TO MMD3-LOGIC-MODULE.
105500     MOVE MTPT-QUAL-LEVEL        TO MMD3-QUAL-LEVEL.
105600     MOVE MTPT-TRANS-CODE        TO MMD3-TRANS-CODE.
105700     MOVE MTPT-TRANS-FLAG        TO MMD3-TRANS-FLAG.
105800     MOVE MTPT-NBR-ITEMS         TO MMD3-NBR-ITEMS.
105900     MOVE MTPT-AMOUNT            TO MMD3-AMOUNT.
106000     MOVE MTPT-POST-DATE         TO MMD3-POST-DATE.
106100     MOVE MTPT-ENTRY-DATE        TO MMD3-ENTRY-DATE.
106200     MOVE MTPT-STMT-FLAG         TO MMD3-STMT-FLAG.
106300     MOVE MTPT-SETT-FLAG         TO MMD3-SETT-FLAG.
106400     MOVE MTPT-SETT-ACCT         TO MMD3-SETT-ACCT.
106500     MOVE MTPT-SETT-DATE         TO MMD3-SETT-DATE.
106600     MOVE MTPT-REF-BATCH         TO MMD3-REF-BATCH.
106700     MOVE MTPT-REF-DATA          TO MMD3-REF-DATA.
106800     MOVE MTPT-ORIG-GL-SOURCE    TO MMD3-ORIG-GL-SOURCE.
106900     MOVE MTPT-GL-SOURCE         TO MMD3-GL-SOURCE.
107000     MOVE MTPT-TRANS-STATUS      TO MMD3-TRANS-STATUS.
107100     MOVE MTPT-QUAL-INDICATOR    TO MMD3-QUAL-INDICATOR.
107200     MOVE MTPT-DATA-ENTRY-MODE   TO MMD3-DATA-ENTRY-MODE.
107300     MOVE MTPT-REJECT-REENTRY-FLAG
107400                                 TO MMD3-REJECT-REENTRY-FLAG.
107500     MOVE MTPT-AR-CURR-INPUT-SOURCE
107600                                 TO MMD3-AR-CURR-INPUT-SOURCE.
107700     MOVE MTPT-AR-MT-TYPE        TO MMD3-AR-MT-TYPE.
107800     MOVE MTPT-STORE-DUP-IND     TO MMD3-STORE-DUP-IND.           RG800902
107900     MOVE MTPT-MERCH-DUP-IND     TO MMD3-MERCH-DUP-IND.           RG800902
108000     MOVE MTPT-ORIG-OPERATOR     TO MMD3-ORIG-OPERATOR.
108100     MOVE MTPT-LAST-OPERATOR     TO MMD3-LAST-OPERATOR.
108200     MOVE MTPT-GOVERNING-STATE   TO MMD3-GOVERNING-STATE.
108300     MOVE MTPT-LOGO              TO MMD3-LOGO.
108400     MOVE MTPT-SKU-NBR           TO MMD3-SKU-NBR.
108500     MOVE MTPT-DEPT-CODE         TO MMD3-DEPT-CODE.
108600     MOVE MTPT-DESC              TO MMD3-DESC.
108700     MOVE MTPT-RPT-DESC          TO MMD3-RPT-DESC.
108800     MOVE MTPT-USER-FILLER       TO MMD3-USER-FILLER.
108900     MOVE MTPT-POST-FLAG         TO MMD3-POST-FLAG.
109000     MOVE MTPT-VAR-DATA-IND      TO MMD3-VAR-DATA-IND.
109100     MOVE MTPT-VARIABLE-DATA     TO MMD3-VARIABLE-DATA.
109200*
109300     SET MMD3-NOT-STATEMENTED    TO TRUE.
109400*
109500     IF  MMD3-SETTLED-WINDOW
109600         SET MMD3-SA-WINDOW      TO TRUE
109700         MOVE ZERO               TO MMD3-SETT-DATE
109800     ELSE
109900         SET MMD3-NOT-SETTLED    TO TRUE
110000         SET MMD3-SA-NOT-APPLICABLE
110100                                 TO TRUE
110200         MOVE ZERO               TO MMD3-SETT-DATE.
110300*
110400     IF  MMD3-REF-BATCH-DATE     IS EQUAL TO ZERO
110500     AND MMD3-REF-BATCH-SOURCE   IS EQUAL TO ZERO
110600     AND MMD3-REF-BATCH-NBR      IS EQUAL TO ZERO
110700         NEXT SENTENCE
110800     ELSE
110900         EVALUATE TRUE
111000             WHEN MMTCWS-LM-DEPOSIT-ITEMS
111100                 CONTINUE
111200             WHEN OTHER
111300                 MOVE MMD3-BATCH TO MWD3-BATCH
111400                 MOVE MMD3-REF-BATCH
111500                                 TO MMD3-BATCH
111600                 MOVE MWD3-BATCH TO MMD3-REF-BATCH
111700         END-EVALUATE.
111800*
111900     EVALUATE TRUE
112000         WHEN MMTCWS-LM-BATCH-HDR
112100             MOVE ZERO           TO MMD3-BATCH-SEQ
112200         WHEN MMD3-BATCH-SEQ IS EQUAL TO ZERO
112300             MOVE 1              TO MMD3-BATCH-SEQ
112400     END-EVALUATE.
112500*
112600     RELEASE MMD3-RECORD.
112700     GO TO 1010-CMTM-READ-MTPT.
112800*
112900*
113000*
113100 1900-CMTM-CLOSE-FILES.
113200*
113300*
113400*
113500 1999-CMTM-EXIT.
113600     EXIT.
113700/
113800 5000-BUILD-MWD3 SECTION.
113900 5010-BMWD3-RETURN-SORT.
114000*
114100     RETURN MS1S-SORT-FILE
114200         AT END
114300             GO TO 5900-BMWD3-CLOSE-FILES.
114400*
114500     MOVE MMD3-RECORD            TO MWD3IO-RECORD.
114600*
114700     MOVE 'WBD3'                 TO SS02WS-ABEND-LOCATION.
114800     SET MWD3RB-WRITE            TO TRUE.
114900     PERFORM MB00PD-MWD3-ACCESS
115000        THRU MB00PD-MWD3-ACCESS-EXIT.
115100*
115200     GO TO 5010-BMWD3-RETURN-SORT.
115300*
115400*
115500*
115600 5900-BMWD3-CLOSE-FILES.
115700*
115800     MOVE SPACES                 TO MWD3IO-RECORD.
115900     SET MWD3IO-TRAILER          TO TRUE.
116000     MOVE ZERO                   TO MWD3IO-STORE.
116100     MOVE ZERO                   TO MWD3IO-BATCH-DATE.
116200     MOVE ZERO                   TO MWD3IO-BATCH-SOURCE.
116300     MOVE ZERO                   TO MWD3IO-BATCH-NBR.
116400     MOVE ZERO                   TO MWD3IO-BATCH-SEQ.
116500     MOVE ZERO                   TO MWD3IO-SEQ-NBR.
116600     MOVE MMSC-TODAYS-JULIAN     TO MWD3IO-DATE-STAMP.
116700     MOVE MMSC-TIME-STAMP        TO MWD3IO-TIME-STAMP.
116800*
116900     MOVE 'WZD3'                 TO SS02WS-ABEND-LOCATION.
117000     SET MWD3RB-WRITE            TO TRUE.
117100     PERFORM MB00PD-MWD3-ACCESS
117200        THRU MB00PD-MWD3-ACCESS-EXIT.
117300*
117400*
117500*
117600     MOVE 'CBD3'                 TO SS02WS-ABEND-LOCATION.
117700     SET MWD3RB-CLOSE            TO TRUE.
117800     PERFORM MB00PD-MWD3-ACCESS
117900        THRU MB00PD-MWD3-ACCESS-EXIT.
118000*
118100     MOVE 'OBD3'                 TO SS02WS-ABEND-LOCATION.
118200     SET MWD3RB-OPEN-INPUT       TO TRUE.
118300     PERFORM MB00PD-MWD3-ACCESS
118400        THRU MB00PD-MWD3-ACCESS-EXIT.
118500*
118600     MOVE 'RAD3'                 TO SS02WS-ABEND-LOCATION.
118700     SET MWD3RB-READ-SEQ         TO TRUE.
118800     PERFORM MB00PD-MWD3-ACCESS
118900        THRU MB00PD-MWD3-ACCESS-EXIT.
119000*
119100 5999-BMWD3-EXIT.
119200     EXIT.
119300/
119400 9000-PERFORMED-ROUTINES SECTION.
119500     COPY MTRFPX.
119600/
119700     COPY MB00PD REPLACING ==:MB00:== BY ==MB3I==.
119800/
119900     COPY MB00PD REPLACING ==:MB00:== BY ==MB3O==.
120000/
120100     COPY MB00PD REPLACING ==:MB00:== BY ==MMD3==.
120200/
120300     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
120400/
120500     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
120600/
120700     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
120800/
120900     COPY MB00PD REPLACING ==:MB00:== BY ==MTPT==.
121000/
121100     COPY MB00PD REPLACING ==:MB00:== BY ==MTP4==.
121200/
121300     COPY MB00PD REPLACING ==:MB00:== BY ==MWD3==.
121400/
121500     COPY MB99PD.
121600/
121700     COPY SS02PD.
121800/
121900     COPY SS03PD.
122000/
122100     COPY SS06PD.
122200/
122300     COPY SS07PD.
122400/
122500     COPY SS08PD.
122600/
122700     COPY SS98PD.
122800*
122900 9995-END-SOURCE-STATEMENTS SECTION.
123000 9999-END-OF-PROGRAM.
123100     EXIT.
