000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD300.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD300 - MERCHANT GROUP STATS CREATE                    *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600*
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000*
002100     COPY MS2SES.
002200*
002300     COPY MS3SES.
002400*
002500     COPY MS4SES.
002600/
002700 DATA DIVISION.
002800 FILE SECTION.
002900     COPY MS1SSD.
003000     COPY MMPARL REPLACING ==:MMPA:== BY ==MMCP==.
003100/
003200     COPY MS2SSD.
003300     COPY MMFARL REPLACING ==:MMFA:== BY ==MMFA==.
003400/
003500     COPY MS3SSD.
003600     COPY MMPARL REPLACING ==:MMPA:== BY ==MMOI==.
003700/
003800     COPY MS4SSD.
003900     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
004000/
004100 WORKING-STORAGE SECTION.
004200*
004300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
004400/
004500 01  WS-MBD300-WORK-AREAS.
004600     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBD300'.
004700     03  WS-MMCG-SW          PIC  X(01)      VALUE 'Y'.
004800         88  WS-MMCG-PROCESS                 VALUE 'Y'.
004900         88  WS-MMCG-DONT-PROCESS            VALUE 'N'.
005000     03  WS-MMFG-SW          PIC  X(01)      VALUE 'Y'.
005100         88  WS-MMFG-PROCESS                 VALUE 'Y'.
005200         88  WS-MMFG-DONT-PROCESS            VALUE 'N'.
005300     03  WS-MMOG-SW          PIC  X(01)      VALUE 'Y'.
005400         88  WS-MMOG-PROCESS                 VALUE 'Y'.
005500         88  WS-MMOG-DONT-PROCESS            VALUE 'N'.
005600     03  WS-MMPG-SW          PIC  X(01)      VALUE 'Y'.
005700         88  WS-MMPG-PROCESS                 VALUE 'Y'.
005800         88  WS-MMPG-DONT-PROCESS            VALUE 'N'.
005900/
006000     COPY MMMMIO.
006100/
006200     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
006300/
006400     COPY MMMMRL.
006500/
006600     COPY MMSCIO.
006700/
006800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
006900/
007000     COPY MMSCRL.
007100/
007200     COPY MMOCIO.
007300/
007400     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
007500/
007600     COPY MMOCRL.
007700/
007800     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMCP==.
007900/
008000     COPY MMPAIR REPLACING ==:MMPA:== BY ==MMCP==.
008100/
008200     COPY MB00RB REPLACING ==:MB00:== BY ==MMCP==.
008300/
008400     COPY MMFAIO REPLACING ==:MMFA:== BY ==MMFA==.
008500/
008600     COPY MMFAIR REPLACING ==:MMFA:== BY ==MMFA==.
008700/
008800     COPY MB00RB REPLACING ==:MB00:== BY ==MMFA==.
008900/
009000     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOI==.
009100/
009200     COPY MMPAIR REPLACING ==:MMPA:== BY ==MMOI==.
009300/
009400     COPY MB00RB REPLACING ==:MB00:== BY ==MMOI==.
009500/
009600     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPA==.
009700/
009800     COPY MMPAIR REPLACING ==:MMPA:== BY ==MMPA==.
009900/
010000     COPY MB00RB REPLACING ==:MB00:== BY ==MMPA==.
010100/
010200     COPY MMPARL REPLACING ==:MMPA:== BY ==MMCG==.
010300/
010400     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMCG==.
010500/
010600     COPY MB00RB REPLACING ==:MB00:== BY ==MMCG==.
010700/
010800     COPY MMFARL REPLACING ==:MMFA:== BY ==MMFG==.
010900/
011000     COPY MMFAIO REPLACING ==:MMFA:== BY ==MMFG==.
011100/
011200     COPY MB00RB REPLACING ==:MB00:== BY ==MMFG==.
011300/
011400     COPY MMPARL REPLACING ==:MMPA:== BY ==MMOG==.
011500/
011600     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOG==.
011700/
011800     COPY MB00RB REPLACING ==:MB00:== BY ==MMOG==.
011900/
012000     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPG==.
012100/
012200     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPG==.
012300/
012400     COPY MB00RB REPLACING ==:MB00:== BY ==MMPG==.
012500/
012600     COPY MMPARL REPLACING ==:MMPA:== BY ==MTCG==.
012700/
012800     COPY MMPAIO REPLACING ==:MMPA:== BY ==MTCG==.
012900/
013000     COPY MB00RB REPLACING ==:MB00:== BY ==MTCG==.
013100/
013200     COPY MMFARL REPLACING ==:MMFA:== BY ==MTFG==.
013300/
013400     COPY MMFAIO REPLACING ==:MMFA:== BY ==MTFG==.
013500/
013600     COPY MB00RB REPLACING ==:MB00:== BY ==MTFG==.
013700/
013800     COPY MMPARL REPLACING ==:MMPA:== BY ==MTOG==.
013900/
014000     COPY MMPAIO REPLACING ==:MMPA:== BY ==MTOG==.
014100/
014200     COPY MB00RB REPLACING ==:MB00:== BY ==MTOG==.
014300/
014400     COPY MMPARL REPLACING ==:MMPA:== BY ==MTPG==.
014500/
014600     COPY MMPAIO REPLACING ==:MMPA:== BY ==MTPG==.
014700/
014800     COPY MB00RB REPLACING ==:MB00:== BY ==MTPG==.
014900/
015000     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
015100/
015200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
015300/
015400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
015500/
015600     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
015700/
015800     COPY MB00RB REPLACING ==:MB00:== BY ==MS2S==.
015900/
016000     COPY MB00RB REPLACING ==:MB00:== BY ==MS3S==.
016100/
016200     COPY MB00RB REPLACING ==:MB00:== BY ==MS4S==.
016300/
016400     COPY MB00WS.
016500/
016600     COPY MB99WS.
016700/
016800     COPY SS00WS.
016900/
017000     COPY SS01WS.
017100/
017200     COPY SS02WS.
017300*
017400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
017500/
017600 PROCEDURE DIVISION.
017700 A000-MAIN-LINE-SECT SECTION.
017800 A010-ML-BEGIN.
017900*
018000     MOVE 'MBD300'               TO SS02WS-ABEND-PROG-ID.
018100     MOVE 'CGFGOGPG'             TO MTCC-RECORD.
018200     MOVE WS-PROG-ID             TO MTCC-PROGRAM-ID.
018300*
018400     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
018500     SET MMSCRB-OPEN-INPUT       TO TRUE.
018600     PERFORM MB00PD-MMSC-ACCESS
018700        THRU MB00PD-MMSC-ACCESS-EXIT.
018800*
018900     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
019000     SET MMSCRB-READ-SEQ         TO TRUE.
019100     PERFORM MB00PD-MMSC-ACCESS
019200        THRU MB00PD-MMSC-ACCESS-EXIT.
019300*
019400     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
019500*
019600     IF  MMSCIO-HEADER
019700         NEXT SENTENCE
019800     ELSE
019900         PERFORM MB99PD-MISSING-HEADER-ABEND
020000            THRU MB99PD-MHA-EXIT.
020100*
020200     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
020300     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
020400     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
020500*
020600     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
020700     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
020800     PERFORM MB00PD-MMOC-ACCESS
020900        THRU MB00PD-MMOC-ACCESS-EXIT.
021000*
021100     MOVE ZERO                   TO MMOC-ORG.
021200     MOVE ZERO                   TO MMOCIO-ORG.
021300*
021400     IF  MMSC-MER-GROUP-STAT-NO
021500         SET WS-MMCG-DONT-PROCESS
021600                                 TO TRUE
021700         SET WS-MMFG-DONT-PROCESS
021800                                 TO TRUE
021900         SET WS-MMOG-DONT-PROCESS
022000                                 TO TRUE
022100         SET WS-MMPG-DONT-PROCESS
022200                                 TO TRUE.
022300*
022400     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
022500*
022600     SET MTCCRB-OPEN-INPUT       TO TRUE.
022700     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
022800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
022900*
023000     PERFORM A200-GET-CONTROL-CARD
023100        THRU A299-GCC-EXIT.
023200*
023300     IF  MTCC-MBD300-FILE-IS-MMCG (1)
023400     OR  MTCC-MBD300-FILE-IS-MMCG (2)
023500     OR  MTCC-MBD300-FILE-IS-MMCG (3)
023600     OR  MTCC-MBD300-FILE-IS-MMCG (4)
023700         NEXT SENTENCE
023800     ELSE
023900         SET WS-MMCG-DONT-PROCESS
024000                                 TO TRUE.
024100*
024200     IF  MTCC-MBD300-FILE-IS-MMFG (1)
024300     OR  MTCC-MBD300-FILE-IS-MMFG (2)
024400     OR  MTCC-MBD300-FILE-IS-MMFG (3)
024500     OR  MTCC-MBD300-FILE-IS-MMFG (4)
024600         NEXT SENTENCE
024700     ELSE
024800         SET WS-MMFG-DONT-PROCESS
024900                                 TO TRUE.
025000*
025100     IF  MTCC-MBD300-FILE-IS-MMOG (1)
025200     OR  MTCC-MBD300-FILE-IS-MMOG (2)
025300     OR  MTCC-MBD300-FILE-IS-MMOG (3)
025400     OR  MTCC-MBD300-FILE-IS-MMOG (4)
025500         NEXT SENTENCE
025600     ELSE
025700         SET WS-MMOG-DONT-PROCESS
025800                                 TO TRUE.
025900*
026000     IF  MTCC-MBD300-FILE-IS-MMPG (1)
026100     OR  MTCC-MBD300-FILE-IS-MMPG (2)
026200     OR  MTCC-MBD300-FILE-IS-MMPG (3)
026300     OR  MTCC-MBD300-FILE-IS-MMPG (4)
026400         NEXT SENTENCE
026500     ELSE
026600         SET WS-MMPG-DONT-PROCESS
026700                                 TO TRUE.
026800*
026900     SET MTCCRB-CLOSE            TO TRUE.
027000     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
027100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
027200*
027300     PERFORM A500-BUILD-TEMP-FILES
027400        THRU A599-BTF-EXIT.
027500*
027600     IF  WS-MMCG-PROCESS
027700         SORT MS1S-SORT-FILE ON ASCENDING KEY MMCP-KEY
027800              INPUT  PROCEDURE IS C100-READ-MTCG
027900              OUTPUT PROCEDURE IS C200-BUILD-MMCG
028000         PERFORM SS98PD-VERIFY-SORT-RETURN
028100            THRU SS98PD-VSR-EXIT
028200*
028300     END-IF.
028400*
028500     IF  WS-MMFG-PROCESS
028600         SORT MS2S-SORT-FILE ON ASCENDING KEY MMFA-KEY
028700              INPUT  PROCEDURE IS F100-READ-MTFG
028800              OUTPUT PROCEDURE IS F200-BUILD-MMFG
028900         PERFORM SS98PD-VERIFY-SORT-RETURN
029000            THRU SS98PD-VSR-EXIT
029100     END-IF.
029200*
029300     IF  WS-MMOG-PROCESS
029400         SORT MS3S-SORT-FILE ON ASCENDING KEY MMOI-KEY
029500              INPUT  PROCEDURE IS O100-READ-MTOG
029600              OUTPUT PROCEDURE IS O200-BUILD-MMOG
029700         PERFORM SS98PD-VERIFY-SORT-RETURN
029800            THRU SS98PD-VSR-EXIT
029900     END-IF.
030000*
030100     IF  WS-MMPG-PROCESS
030200         SORT MS4S-SORT-FILE ON ASCENDING KEY MMPA-KEY
030300              INPUT  PROCEDURE IS P100-READ-MTPG
030400              OUTPUT PROCEDURE IS P200-BUILD-MMPG
030500         PERFORM SS98PD-VERIFY-SORT-RETURN
030600            THRU SS98PD-VSR-EXIT
030700     END-IF.
030800*
030900     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
031000     SET MMOCRB-CLOSE            TO TRUE.
031100     PERFORM MB00PD-MMOC-ACCESS
031200        THRU MB00PD-MMOC-ACCESS-EXIT.
031300*
031400     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
031500     SET MMSCRB-CLOSE            TO TRUE.
031600     PERFORM MB00PD-MMSC-ACCESS
031700        THRU MB00PD-MMSC-ACCESS-EXIT.
031800*
031900     STOP RUN.
032000*
032100 A099-MLS-EXIT.
032200     EXIT.
032300*
032400/
032500 A200-GET-CONTROL-CARD SECTION.
032600 A201-GCC-BEGIN.
032700*
032800     SET MTCCRB-READ-SEQ         TO TRUE.
032900     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
033000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
033100*
033200     IF  SS02WS-FS-END-OF-FILE
033300         GO TO A299-GCC-EXIT.
033400*
033500     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
033600         GO TO A201-GCC-BEGIN.
033700*
033800     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
033900*
034000 A299-GCC-EXIT.
034100     EXIT.
034200/
034300 A500-BUILD-TEMP-FILES SECTION.
034400 A501-BTF-BEGIN.
034500*
034600     SET MMMMRB-OPEN-INPUT       TO TRUE.
034700     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
034800     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
034900*
035000     SET MMCPRB-OPEN-INPUT       TO TRUE.
035100     MOVE 'O1CP'                 TO SS02WS-ABEND-LOCATION.
035200     PERFORM MB00PD-MMCP-ACCESS  THRU MB00PD-MMCP-ACCESS-EXIT.
035300*
035400     SET MMFARB-OPEN-INPUT       TO TRUE.
035500     MOVE 'O1FA'                 TO SS02WS-ABEND-LOCATION.
035600     PERFORM MB00PD-MMFA-ACCESS  THRU MB00PD-MMFA-ACCESS-EXIT.
035700*
035800     SET MMOIRB-OPEN-INPUT       TO TRUE.
035900     MOVE 'O1OI'                 TO SS02WS-ABEND-LOCATION.
036000     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
036100*
036200     SET MMPARB-OPEN-INPUT       TO TRUE.
036300     MOVE 'O1PA'                 TO SS02WS-ABEND-LOCATION.
036400     PERFORM MB00PD-MMPA-ACCESS  THRU MB00PD-MMPA-ACCESS-EXIT.
036500*
036600*
036700*
036800     SET MTCGRB-OPEN-OUTPUT      TO TRUE.
036900     MOVE 'OACG'                 TO SS02WS-ABEND-LOCATION.
037000     PERFORM MB00PD-MTCG-ACCESS  THRU MB00PD-MTCG-ACCESS-EXIT.
037100*
037200     SET MTFGRB-OPEN-OUTPUT      TO TRUE.
037300     MOVE 'OAFG'                 TO SS02WS-ABEND-LOCATION.
037400     PERFORM MB00PD-MTFG-ACCESS  THRU MB00PD-MTFG-ACCESS-EXIT.
037500*
037600     SET MTOGRB-OPEN-OUTPUT      TO TRUE.
037700     MOVE 'OAOG'                 TO SS02WS-ABEND-LOCATION.
037800     PERFORM MB00PD-MTOG-ACCESS  THRU MB00PD-MTOG-ACCESS-EXIT.
037900*
038000     SET MTPGRB-OPEN-OUTPUT      TO TRUE.
038100     MOVE 'OAPG'                 TO SS02WS-ABEND-LOCATION.
038200     PERFORM MB00PD-MTPG-ACCESS  THRU MB00PD-MTPG-ACCESS-EXIT.
038300*
038400*
038500*
038600     SET MMMMRB-READ-SEQ         TO TRUE.
038700     MOVE 'R0MM'                 TO SS02WS-ABEND-LOCATION.
038800     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
038900*
039000     MOVE 'MMMM'                 TO MB99WS-FILE-ID.
039100*
039200     IF  MMMMIO-HEADER
039300         NEXT SENTENCE
039400     ELSE
039500         PERFORM MB99PD-MISSING-HEADER-ABEND
039600            THRU MB99PD-MHA-EXIT.
039700*
039800     MOVE MMMMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
039900     MOVE MMMMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
040000     PERFORM MB99PD-CHECK-DATE-TIME
040100        THRU MB99PD-CDT-EXIT.
040200*
040300     IF  MMSC-MER-GROUP-STAT-NO
040400         MOVE LOW-VALUES         TO MMMMIO-RECORD
040500         SET MMMMIO-TRAILER      TO TRUE
040600         MOVE 'S1MM'             TO SS02WS-ABEND-LOCATION
040700         SET MMMMRB-START-GTE    TO TRUE
040800     END-IF.
040900*
041000*
041100*
041200     MOVE 'R0CP'                 TO SS02WS-ABEND-LOCATION.
041300     SET MMCPRB-READ-SEQ         TO TRUE.
041400     PERFORM MB00PD-MMCP-ACCESS
041500        THRU MB00PD-MMCP-ACCESS-EXIT.
041600     MOVE 'MMCP'                 TO MB99WS-FILE-ID.
041700*
041800     IF  MMCPIO-HEADER
041900         NEXT SENTENCE
042000     ELSE
042100         PERFORM MB99PD-MISSING-HEADER-ABEND
042200            THRU MB99PD-MHA-EXIT.
042300*
042400     MOVE MMCPIO-DATE-STAMP      TO MB99WS-FILE-DATE.
042500     MOVE MMCPIO-TIME-STAMP      TO MB99WS-FILE-TIME.
042600     PERFORM MB99PD-CHECK-DATE-TIME
042700        THRU MB99PD-CDT-EXIT.
042800*
042900     MOVE MMCPIO-RECORD          TO MTCGIO-RECORD.
043000*
043100     MOVE 'WACG'                 TO SS02WS-ABEND-LOCATION.
043200     SET MTCGRB-WRITE            TO TRUE.
043300     PERFORM MB00PD-MTCG-ACCESS
043400        THRU MB00PD-MTCG-ACCESS-EXIT.
043500*
043600     MOVE 'R1CP'                 TO SS02WS-ABEND-LOCATION.
043700     SET MMCPRB-READ-SEQ         TO TRUE.
043800     PERFORM MB00PD-MMCP-ACCESS
043900        THRU MB00PD-MMCP-ACCESS-EXIT.
044000*
044100*
044200*
044300     MOVE 'R0FA'                 TO SS02WS-ABEND-LOCATION.
044400     SET MMFARB-READ-SEQ         TO TRUE.
044500     PERFORM MB00PD-MMFA-ACCESS
044600        THRU MB00PD-MMFA-ACCESS-EXIT.
044700     MOVE 'MMFA'                 TO MB99WS-FILE-ID.
044800*
044900     IF  MMFAIO-HEADER
045000         NEXT SENTENCE
045100     ELSE
045200         PERFORM MB99PD-MISSING-HEADER-ABEND
045300            THRU MB99PD-MHA-EXIT.
045400*
045500     MOVE MMFAIO-DATE-STAMP      TO MB99WS-FILE-DATE.
045600     MOVE MMFAIO-TIME-STAMP      TO MB99WS-FILE-TIME.
045700     PERFORM MB99PD-CHECK-DATE-TIME
045800        THRU MB99PD-CDT-EXIT.
045900*
046000     MOVE MMFAIO-RECORD          TO MTFGIO-RECORD.
046100*
046200     MOVE 'WAFG'                 TO SS02WS-ABEND-LOCATION.
046300     SET MTFGRB-WRITE            TO TRUE.
046400     PERFORM MB00PD-MTFG-ACCESS
046500        THRU MB00PD-MTFG-ACCESS-EXIT.
046600*
046700     MOVE 'R1FA'                 TO SS02WS-ABEND-LOCATION.
046800     SET MMFARB-READ-SEQ         TO TRUE.
046900     PERFORM MB00PD-MMFA-ACCESS
047000        THRU MB00PD-MMFA-ACCESS-EXIT.
047100*
047200*
047300*
047400     MOVE 'R0OI'                 TO SS02WS-ABEND-LOCATION.
047500     SET MMOIRB-READ-SEQ         TO TRUE.
047600     PERFORM MB00PD-MMOI-ACCESS
047700        THRU MB00PD-MMOI-ACCESS-EXIT.
047800     MOVE 'MMOI'                 TO MB99WS-FILE-ID.
047900*
048000     IF  MMOIIO-HEADER
048100         NEXT SENTENCE
048200     ELSE
048300         PERFORM MB99PD-MISSING-HEADER-ABEND
048400            THRU MB99PD-MHA-EXIT.
048500*
048600     MOVE MMOIIO-DATE-STAMP      TO MB99WS-FILE-DATE.
048700     MOVE MMOIIO-TIME-STAMP      TO MB99WS-FILE-TIME.
048800     PERFORM MB99PD-CHECK-DATE-TIME
048900        THRU MB99PD-CDT-EXIT.
049000*
049100     MOVE MMOIIO-RECORD          TO MTOGIO-RECORD.
049200*
049300     MOVE 'WAOG'                 TO SS02WS-ABEND-LOCATION.
049400     SET MTOGRB-WRITE            TO TRUE.
049500     PERFORM MB00PD-MTOG-ACCESS
049600        THRU MB00PD-MTOG-ACCESS-EXIT.
049700*
049800     MOVE 'R1OI'                 TO SS02WS-ABEND-LOCATION.
049900     SET MMOIRB-READ-SEQ         TO TRUE.
050000     PERFORM MB00PD-MMOI-ACCESS
050100        THRU MB00PD-MMOI-ACCESS-EXIT.
050200*
050300*
050400*
050500     MOVE 'R0PA'                 TO SS02WS-ABEND-LOCATION.
050600     SET MMPARB-READ-SEQ         TO TRUE.
050700     PERFORM MB00PD-MMPA-ACCESS
050800        THRU MB00PD-MMPA-ACCESS-EXIT.
050900     MOVE 'MMPA'                 TO MB99WS-FILE-ID.
051000*
051100     IF  MMPAIO-HEADER
051200         NEXT SENTENCE
051300     ELSE
051400         PERFORM MB99PD-MISSING-HEADER-ABEND
051500            THRU MB99PD-MHA-EXIT.
051600*
051700     MOVE MMPAIO-DATE-STAMP      TO MB99WS-FILE-DATE.
051800     MOVE MMPAIO-TIME-STAMP      TO MB99WS-FILE-TIME.
051900     PERFORM MB99PD-CHECK-DATE-TIME
052000        THRU MB99PD-CDT-EXIT.
052100*
052200     MOVE MMPAIO-RECORD          TO MTPGIO-RECORD.
052300*
052400     MOVE 'WAPG'                 TO SS02WS-ABEND-LOCATION.
052500     SET MTPGRB-WRITE            TO TRUE.
052600     PERFORM MB00PD-MTPG-ACCESS
052700        THRU MB00PD-MTPG-ACCESS-EXIT.
052800*
052900     MOVE 'R1PA'                 TO SS02WS-ABEND-LOCATION.
053000     SET MMPARB-READ-SEQ         TO TRUE.
053100     PERFORM MB00PD-MMPA-ACCESS
053200        THRU MB00PD-MMPA-ACCESS-EXIT.
053300*
053400*
053500*
053600     IF  WS-MMCG-DONT-PROCESS
053700         MOVE LOW-VALUES         TO MMCPIO-RECORD
053800         SET MMCPIO-TRAILER      TO TRUE
053900         MOVE 'S1CP'             TO SS02WS-ABEND-LOCATION
054000         SET MMCPRB-START-GTE    TO TRUE
054100         PERFORM MB00PD-MMCP-ACCESS
054200            THRU MB00PD-MMCP-ACCESS-EXIT.
054300*
054400     IF  WS-MMFG-DONT-PROCESS
054500         MOVE LOW-VALUES         TO MMFAIO-RECORD
054600         SET MMFAIO-TRAILER      TO TRUE
054700         MOVE 'S1FA'             TO SS02WS-ABEND-LOCATION
054800         SET MMFARB-START-GTE    TO TRUE
054900         PERFORM MB00PD-MMFA-ACCESS
055000            THRU MB00PD-MMFA-ACCESS-EXIT.
055100*
055200     IF  WS-MMOG-DONT-PROCESS
055300         MOVE LOW-VALUES         TO MMOIIO-RECORD
055400         SET MMOIIO-TRAILER      TO TRUE
055500         MOVE 'S1OI'             TO SS02WS-ABEND-LOCATION
055600         SET MMOIRB-START-GTE    TO TRUE
055700         PERFORM MB00PD-MMOI-ACCESS
055800            THRU MB00PD-MMOI-ACCESS-EXIT.
055900*
056000     IF  WS-MMPG-DONT-PROCESS
056100         MOVE LOW-VALUES         TO MMPAIO-RECORD
056200         SET MMPAIO-TRAILER      TO TRUE
056300         MOVE 'S1PA'             TO SS02WS-ABEND-LOCATION
056400         SET MMPARB-START-GTE    TO TRUE
056500         PERFORM MB00PD-MMPA-ACCESS
056600            THRU MB00PD-MMPA-ACCESS-EXIT.
056700*
056800*
056900*
057000     PERFORM A900-PROCESS-MMMM
057100        THRU A999-PMMMM-EXIT
057200        UNTIL MMMMIO-TRAILER.
057300*
057400*
057500*
057600     MOVE 'R8CP'                 TO SS02WS-ABEND-LOCATION.
057700     SET MMCPRB-READ-SEQ         TO TRUE.
057800     PERFORM UNTIL MMCPIO-TRAILER
057900         PERFORM MB00PD-MMCP-ACCESS
058000            THRU MB00PD-MMCP-ACCESS-EXIT
058100     END-PERFORM.
058200*
058300*
058400*
058500     MOVE 'R8FA'                 TO SS02WS-ABEND-LOCATION.
058600     SET MMFARB-READ-SEQ         TO TRUE.
058700     PERFORM UNTIL MMFAIO-TRAILER
058800         PERFORM MB00PD-MMFA-ACCESS
058900            THRU MB00PD-MMFA-ACCESS-EXIT
059000     END-PERFORM.
059100*
059200*
059300*
059400     MOVE 'R8OI'                 TO SS02WS-ABEND-LOCATION.
059500     SET MMOIRB-READ-SEQ         TO TRUE.
059600     PERFORM UNTIL MMOIIO-TRAILER
059700         PERFORM MB00PD-MMOI-ACCESS
059800            THRU MB00PD-MMOI-ACCESS-EXIT
059900     END-PERFORM.
060000*
060100*
060200*
060300     MOVE 'R8PA'                 TO SS02WS-ABEND-LOCATION.
060400     SET MMPARB-READ-SEQ         TO TRUE.
060500     PERFORM UNTIL MMPAIO-TRAILER
060600         PERFORM MB00PD-MMPA-ACCESS
060700            THRU MB00PD-MMPA-ACCESS-EXIT
060800     END-PERFORM.
060900*
061000*
061100*
061200     MOVE MMCPIO-RECORD          TO MTCGIO-RECORD.
061300*
061400     MOVE 'WZCG'                 TO SS02WS-ABEND-LOCATION.
061500     SET MTCGRB-WRITE            TO TRUE.
061600     PERFORM MB00PD-MTCG-ACCESS
061700        THRU MB00PD-MTCG-ACCESS-EXIT.
061800*
061900*
062000*
062100     MOVE MMFAIO-RECORD          TO MTFGIO-RECORD.
062200*
062300     MOVE 'WZFG'                 TO SS02WS-ABEND-LOCATION.
062400     SET MTFGRB-WRITE            TO TRUE.
062500     PERFORM MB00PD-MTFG-ACCESS
062600        THRU MB00PD-MTFG-ACCESS-EXIT.
062700*
062800*
062900*
063000     MOVE MMOIIO-RECORD          TO MTOGIO-RECORD.
063100*
063200     MOVE 'WZOG'                 TO SS02WS-ABEND-LOCATION.
063300     SET MTOGRB-WRITE            TO TRUE.
063400     PERFORM MB00PD-MTOG-ACCESS
063500        THRU MB00PD-MTOG-ACCESS-EXIT.
063600*
063700*
063800*
063900     MOVE MMPAIO-RECORD          TO MTPGIO-RECORD.
064000*
064100     MOVE 'WZPG'                 TO SS02WS-ABEND-LOCATION.
064200     SET MTPGRB-WRITE            TO TRUE.
064300     PERFORM MB00PD-MTPG-ACCESS
064400        THRU MB00PD-MTPG-ACCESS-EXIT.
064500*
064600*
064700*
064800     SET MMMMRB-CLOSE            TO TRUE.
064900     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
065000     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
065100*
065200     SET MMCPRB-CLOSE            TO TRUE.
065300     MOVE 'C1CP'                 TO SS02WS-ABEND-LOCATION.
065400     PERFORM MB00PD-MMCP-ACCESS  THRU MB00PD-MMCP-ACCESS-EXIT.
065500*
065600     SET MMFARB-CLOSE            TO TRUE.
065700     MOVE 'C1FA'                 TO SS02WS-ABEND-LOCATION.
065800     PERFORM MB00PD-MMFA-ACCESS  THRU MB00PD-MMFA-ACCESS-EXIT.
065900*
066000     SET MMOIRB-CLOSE            TO TRUE.
066100     MOVE 'C1OI'                 TO SS02WS-ABEND-LOCATION.
066200     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
066300*
066400     SET MMPARB-CLOSE            TO TRUE.
066500     MOVE 'C1PA'                 TO SS02WS-ABEND-LOCATION.
066600     PERFORM MB00PD-MMPA-ACCESS  THRU MB00PD-MMPA-ACCESS-EXIT.
066700*
066800*
066900*
067000     SET MTCGRB-CLOSE            TO TRUE.
067100     MOVE 'CACG'                 TO SS02WS-ABEND-LOCATION.
067200     PERFORM MB00PD-MTCG-ACCESS  THRU MB00PD-MTCG-ACCESS-EXIT.
067300*
067400     SET MTFGRB-CLOSE            TO TRUE.
067500     MOVE 'CAFG'                 TO SS02WS-ABEND-LOCATION.
067600     PERFORM MB00PD-MTFG-ACCESS  THRU MB00PD-MTFG-ACCESS-EXIT.
067700*
067800     SET MTOGRB-CLOSE            TO TRUE.
067900     MOVE 'CAOG'                 TO SS02WS-ABEND-LOCATION.
068000     PERFORM MB00PD-MTOG-ACCESS  THRU MB00PD-MTOG-ACCESS-EXIT.
068100*
068200     SET MTPGRB-CLOSE            TO TRUE.
068300     MOVE 'CAPG'                 TO SS02WS-ABEND-LOCATION.
068400     PERFORM MB00PD-MTPG-ACCESS  THRU MB00PD-MTPG-ACCESS-EXIT.
068500*
068600 A599-BTF-EXIT.
068700     EXIT.
068800/
068900 A900-PROCESS-MMMM SECTION.
069000 A901-PMMMM-BEGIN.
069100*
069200     SET MMMMRB-READ-SEQ         TO TRUE.
069300     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
069400     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
069500*
069600     IF  MMMMIO-HEADER
069700     OR  MMMMIO-TRAILER
069800         GO TO A999-PMMMM-EXIT.
069900*
070000     IF  MMMMIO-ORG IS NOT EQUAL TO MMOC-ORG
070100         MOVE MMMMIO-ORG         TO MMOCIO-ORG
070200         MOVE 'R1OC'             TO SS02WS-ABEND-LOCATION
070300         SET MMOCRB-READ-RANDOM  TO TRUE
070400         PERFORM MB00PD-MMOC-ACCESS THRU MB00PD-MMOC-ACCESS-EXIT
070500         MOVE MMOCIO-RECORD      TO MMOC-RECORD
070600         EVALUATE TRUE
070700             WHEN MMOC-CP-CHAIN-YES
070800                 CONTINUE
070900             WHEN OTHER
071000                 MOVE HIGH-VALUES
071100                                 TO MMCPIO-RECORD
071200                 MOVE MMMMIO-ORG TO MMCPIO-ORG
071300                 MOVE 'S1CP'     TO SS02WS-ABEND-LOCATION
071400                 SET MMCPRB-START-GTE
071500                                 TO TRUE
071600                 PERFORM MB00PD-MMCP-ACCESS
071700                               THRU MB00PD-MMCP-ACCESS-EXIT
071800                 MOVE MMMMIO-ORG TO MMCPIO-ORG
071900                 MOVE 'R5CP'     TO SS02WS-ABEND-LOCATION
072000                 SET MMCPRB-READ-SEQ
072100                                 TO TRUE
072200                 PERFORM MB00PD-MMCP-ACCESS
072300                               THRU MB00PD-MMCP-ACCESS-EXIT
072400         END-EVALUATE.
072500*
072600     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
072700*
072800     IF  MMMM-REC-ACTIVE
072900     OR  MMMM-REC-CLOSED
073000     OR  MMMM-REC-PURGING
073100     OR  MMMM-REC-PENDING-PURGE
073200         NEXT SENTENCE
073300     ELSE
073400         GO TO A999-PMMMM-EXIT.
073500*
073600     PERFORM B100-PROCESS-MMCP
073700        THRU B199-PMMCP-EXIT
073800        UNTIL MMCPIO-ORG-ACCT
073900                       IS GREATER THAN MMMM-ORG-MERCHANT.
074000*
074100     PERFORM B200-PROCESS-MMFA
074200        THRU B299-PMMFA-EXIT
074300        UNTIL MMFAIO-ORG-MERCHANT
074400                       IS GREATER THAN MMMM-ORG-MERCHANT.
074500*
074600     PERFORM B300-PROCESS-MMOI
074700        THRU B399-PMMOI-EXIT
074800        UNTIL MMOIIO-ORG-ACCT
074900                       IS GREATER THAN MMMM-ORG-MERCHANT.
075000*
075100     PERFORM B400-PROCESS-MMPA
075200        THRU B499-PMMPA-EXIT
075300        UNTIL MMPAIO-ORG-ACCT
075400                       IS GREATER THAN MMMM-ORG-MERCHANT.
075500*
075600*
075700*
075800 A999-PMMMM-EXIT.
075900     EXIT.
076000/
076100 B100-PROCESS-MMCP SECTION.
076200 B101-PMMCP-BEGIN.
076300*
076400     IF  MMCPIO-ORG-ACCT     IS LESS THAN MMMM-ORG-MERCHANT
076500         MOVE 'R2CP'             TO SS02WS-ABEND-LOCATION
076600         SET MMCPRB-READ-SEQ     TO TRUE
076700         PERFORM MB00PD-MMCP-ACCESS
076800            THRU MB00PD-MMCP-ACCESS-EXIT
076900         GO TO B199-PMMCP-EXIT.
077000*
077100     PERFORM
077200         VARYING X-MMMM-MERCH-CHAIN FROM 1 BY 1
077300         UNTIL   X-MMMM-MERCH-CHAIN IS GREATER THAN 10
077400         IF  MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
077500                                 IS GREATER THAN ZERO
077600             MOVE MMCPIO-RECORD  TO MTCGIO-RECORD
077700             MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
077800                                 TO MTCGIO-ACCT
077900             MOVE 'WBCG'         TO SS02WS-ABEND-LOCATION
078000             SET MTCGRB-WRITE    TO TRUE
078100             PERFORM MB00PD-MTCG-ACCESS
078200                THRU MB00PD-MTCG-ACCESS-EXIT
078300         END-IF
078400     END-PERFORM.
078500*
078600     MOVE 'R3CP'                 TO SS02WS-ABEND-LOCATION.
078700     SET MMCPRB-READ-SEQ         TO TRUE.
078800     PERFORM MB00PD-MMCP-ACCESS
078900        THRU MB00PD-MMCP-ACCESS-EXIT.
079000*
079100 B199-PMMCP-EXIT.
079200     EXIT.
079300/
079400 B200-PROCESS-MMFA SECTION.
079500 B201-PMMFA-BEGIN.
079600*
079700     IF  MMFAIO-ORG-MERCHANT IS LESS THAN MMMM-ORG-MERCHANT
079800         MOVE 'R2FA'             TO SS02WS-ABEND-LOCATION
079900         SET MMFARB-READ-SEQ     TO TRUE
080000         PERFORM MB00PD-MMFA-ACCESS
080100            THRU MB00PD-MMFA-ACCESS-EXIT
080200         GO TO B299-PMMFA-EXIT.
080300*
080400     PERFORM
080500         VARYING X-MMMM-MERCH-CHAIN FROM 1 BY 1
080600         UNTIL   X-MMMM-MERCH-CHAIN IS GREATER THAN 10
080700         IF  MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
080800                                 IS GREATER THAN ZERO
080900             MOVE MMFAIO-RECORD  TO MTFGIO-RECORD
081000             MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
081100                                 TO MTFGIO-MERCHANT
081200             MOVE 'WBFG'         TO SS02WS-ABEND-LOCATION
081300             SET MTFGRB-WRITE    TO TRUE
081400             PERFORM MB00PD-MTFG-ACCESS
081500                THRU MB00PD-MTFG-ACCESS-EXIT
081600         END-IF
081700     END-PERFORM.
081800*
081900     MOVE 'R3FA'                 TO SS02WS-ABEND-LOCATION.
082000     SET MMFARB-READ-SEQ         TO TRUE.
082100     PERFORM MB00PD-MMFA-ACCESS
082200        THRU MB00PD-MMFA-ACCESS-EXIT.
082300*
082400 B299-PMMFA-EXIT.
082500     EXIT.
082600/
082700 B300-PROCESS-MMOI SECTION.
082800 B301-PMMOI-BEGIN.
082900*
083000     IF  MMOIIO-ORG-ACCT     IS LESS THAN MMMM-ORG-MERCHANT
083100         MOVE 'R2OI'             TO SS02WS-ABEND-LOCATION
083200         SET MMOIRB-READ-SEQ     TO TRUE
083300         PERFORM MB00PD-MMOI-ACCESS
083400            THRU MB00PD-MMOI-ACCESS-EXIT
083500         GO TO B399-PMMOI-EXIT.
083600*
083700     PERFORM
083800         VARYING X-MMMM-MERCH-CHAIN FROM 1 BY 1
083900         UNTIL   X-MMMM-MERCH-CHAIN IS GREATER THAN 10
084000         IF  MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
084100                                 IS GREATER THAN ZERO
084200             MOVE MMOIIO-RECORD  TO MTOGIO-RECORD
084300             MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
084400                                 TO MTOGIO-ACCT
084500             MOVE 'WBOG'         TO SS02WS-ABEND-LOCATION
084600             SET MTOGRB-WRITE    TO TRUE
084700             PERFORM MB00PD-MTOG-ACCESS
084800                THRU MB00PD-MTOG-ACCESS-EXIT
084900         END-IF
085000     END-PERFORM.
085100*
085200     MOVE 'R3OI'                 TO SS02WS-ABEND-LOCATION.
085300     SET MMOIRB-READ-SEQ         TO TRUE.
085400     PERFORM MB00PD-MMOI-ACCESS
085500        THRU MB00PD-MMOI-ACCESS-EXIT.
085600*
085700 B399-PMMOI-EXIT.
085800     EXIT.
085900/
086000 B400-PROCESS-MMPA SECTION.
086100 B401-PMMPA-BEGIN.
086200*
086300     IF  MMPAIO-ORG-ACCT     IS LESS THAN MMMM-ORG-MERCHANT
086400         MOVE 'R2PA'             TO SS02WS-ABEND-LOCATION
086500         SET MMPARB-READ-SEQ     TO TRUE
086600         PERFORM MB00PD-MMPA-ACCESS
086700            THRU MB00PD-MMPA-ACCESS-EXIT
086800         GO TO B499-PMMPA-EXIT.
086900*
087000     PERFORM
087100         VARYING X-MMMM-MERCH-CHAIN FROM 1 BY 1
087200         UNTIL   X-MMMM-MERCH-CHAIN IS GREATER THAN 10
087300         IF  MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
087400                                 IS GREATER THAN ZERO
087500             MOVE MMPAIO-RECORD  TO MTPGIO-RECORD
087600             MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
087700                                 TO MTPGIO-ACCT
087800             MOVE 'WBPG'         TO SS02WS-ABEND-LOCATION
087900             SET MTPGRB-WRITE    TO TRUE
088000             PERFORM MB00PD-MTPG-ACCESS
088100                THRU MB00PD-MTPG-ACCESS-EXIT
088200         END-IF
088300     END-PERFORM.
088400*
088500     MOVE 'R3PA'                 TO SS02WS-ABEND-LOCATION.
088600     SET MMPARB-READ-SEQ         TO TRUE.
088700     PERFORM MB00PD-MMPA-ACCESS
088800        THRU MB00PD-MMPA-ACCESS-EXIT.
088900*
089000 B499-PMMPA-EXIT.
089100     EXIT.
089200/
089300 C100-READ-MTCG SECTION.
089400 C101-RMTCG-BEGIN.
089500*
089600     MOVE SS02WS-END-OF-FILE     TO MTCGRB-PERM-STATUS-1.
089700*
089800     SET MTCGRB-OPEN-INPUT       TO TRUE.
089900     MOVE 'OBCG'                 TO SS02WS-ABEND-LOCATION.
090000     PERFORM MB00PD-MTCG-ACCESS  THRU MB00PD-MTCG-ACCESS-EXIT.
090100*
090200 C110-RMTCG-PROCESS.
090300*
090400     SET MTCGRB-READ-SEQ         TO TRUE.
090500     MOVE 'RBCG'                 TO SS02WS-ABEND-LOCATION.
090600     PERFORM MB00PD-MTCG-ACCESS  THRU MB00PD-MTCG-ACCESS-EXIT.
090700*
090800     IF  SS02WS-FS-END-OF-FILE
090900         GO TO C190-RMTCG-CLOSE-FILE.
091000*
091100     MOVE MTCGIO-RECORD          TO MMCP-RECORD.
091200     RELEASE MMCP-RECORD.
091300     GO TO C110-RMTCG-PROCESS.
091400*
091500 C190-RMTCG-CLOSE-FILE.
091600*
091700     SET MTCGRB-CLOSE            TO TRUE.
091800     MOVE 'CBCG'                 TO SS02WS-ABEND-LOCATION.
091900     PERFORM MB00PD-MTCG-ACCESS  THRU MB00PD-MTCG-ACCESS-EXIT.
092000*
092100 C199-RMTCG-EXIT.
092200     EXIT.
092300/
092400 C200-BUILD-MMCG SECTION.
092500 C201-BMMCG-BEGIN.
092600*
092700     SET MMCGRB-OPEN-OUTPUT      TO TRUE.
092800     MOVE 'O1CG'                 TO SS02WS-ABEND-LOCATION.
092900     PERFORM MB00PD-MMCG-ACCESS  THRU MB00PD-MMCG-ACCESS-EXIT.
093000*
093100 C210-BMMCG-PROCESS.
093200*
093300     RETURN MS1S-SORT-FILE
093400         AT END
093500             GO TO C290-BMMCG-CLOSE-FILE.
093600*
093700     IF  MMCP-HEADER
093800         MOVE MMCP-RECORD        TO MMCG-RECORD
093900         GO TO C210-BMMCG-PROCESS.
094000*
094100     IF  MMCP-KEY IS EQUAL TO MMCG-KEY
094200         PERFORM
094300             VARYING X-MMCP FROM 1 BY 1
094400             UNTIL   X-MMCP IS GREATER THAN 18
094500             SET X-MMCG          TO X-MMCP
094600             ADD MMCP-NBR (X-MMCP)
094700                                 TO MMCG-NBR (X-MMCG)
094800             ADD MMCP-AMT (X-MMCP)
094900                                 TO MMCG-AMT (X-MMCG)
095000         END-PERFORM
095100         GO TO C210-BMMCG-PROCESS.
095200*
095300     MOVE MMCG-RECORD            TO MMCGIO-RECORD.
095400*
095500     SET MMCGRB-WRITE            TO TRUE.
095600     MOVE 'W1CG'                 TO SS02WS-ABEND-LOCATION.
095700     PERFORM MB00PD-MMCG-ACCESS  THRU MB00PD-MMCG-ACCESS-EXIT.
095800*
095900     MOVE MMCP-RECORD            TO MMCG-RECORD.
096000     GO TO C210-BMMCG-PROCESS.
096100*
096200 C290-BMMCG-CLOSE-FILE.
096300*
096400     MOVE MMCG-RECORD            TO MMCGIO-RECORD.
096500*
096600     SET MMCGRB-WRITE            TO TRUE.
096700     MOVE 'W9CG'                 TO SS02WS-ABEND-LOCATION.
096800     PERFORM MB00PD-MMCG-ACCESS  THRU MB00PD-MMCG-ACCESS-EXIT.
096900*
097000     SET MMCGRB-CLOSE            TO TRUE.
097100     MOVE 'C1CG'                 TO SS02WS-ABEND-LOCATION.
097200     PERFORM MB00PD-MMCG-ACCESS  THRU MB00PD-MMCG-ACCESS-EXIT.
097300*
097400 C299-BMMCG-EXIT.
097500     EXIT.
097600/
097700 F100-READ-MTFG SECTION.
097800 F101-RMTFG-BEGIN.
097900*
098000     MOVE SS02WS-END-OF-FILE     TO MTFGRB-PERM-STATUS-1.
098100*
098200     SET MTFGRB-OPEN-INPUT       TO TRUE.
098300     MOVE 'OBFG'                 TO SS02WS-ABEND-LOCATION.
098400     PERFORM MB00PD-MTFG-ACCESS  THRU MB00PD-MTFG-ACCESS-EXIT.
098500*
098600 F110-RMTFG-PROCESS.
098700*
098800     SET MTFGRB-READ-SEQ         TO TRUE.
098900     MOVE 'RBFG'                 TO SS02WS-ABEND-LOCATION.
099000     PERFORM MB00PD-MTFG-ACCESS  THRU MB00PD-MTFG-ACCESS-EXIT.
099100*
099200     IF  SS02WS-FS-END-OF-FILE
099300         GO TO F190-RMTFG-CLOSE-FILE.
099400*
099500     MOVE MTFGIO-RECORD          TO MMFA-RECORD.
099600     RELEASE MMFA-RECORD.
099700     GO TO F110-RMTFG-PROCESS.
099800*
099900 F190-RMTFG-CLOSE-FILE.
100000*
100100     SET MTFGRB-CLOSE            TO TRUE.
100200     MOVE 'CBFG'                 TO SS02WS-ABEND-LOCATION.
100300     PERFORM MB00PD-MTFG-ACCESS  THRU MB00PD-MTFG-ACCESS-EXIT.
100400*
100500 F199-RMTFG-EXIT.
100600     EXIT.
100700/
100800 F200-BUILD-MMFG SECTION.
100900 F201-BMMFG-BEGIN.
101000*
101100     SET MMFGRB-OPEN-OUTPUT      TO TRUE.
101200     MOVE 'O1FG'                 TO SS02WS-ABEND-LOCATION.
101300     PERFORM MB00PD-MMFG-ACCESS  THRU MB00PD-MMFG-ACCESS-EXIT.
101400*
101500 F210-BMMFG-PROCESS.
101600*
101700     RETURN MS2S-SORT-FILE
101800         AT END
101900             GO TO F290-BMMFG-CLOSE-FILE.
102000*
102100     IF  MMFA-HEADER
102200         MOVE MMFA-RECORD        TO MMFG-RECORD
102300         GO TO F210-BMMFG-PROCESS.
102400*
102500     IF  MMFA-KEY IS EQUAL TO MMFG-KEY
102600         PERFORM
102700             VARYING X-MMFA-WTD-ACT FROM 1 BY 1
102800             UNTIL   X-MMFA-WTD-ACT IS GREATER THAN 7
102900             SET X-MMFG-WTD-ACT  TO X-MMFA-WTD-ACT
103000             EVALUATE TRUE
103100                 WHEN MMFA-WTD-AF-PROCESSING (X-MMFA-WTD-ACT)
103200                     SET MMFG-WTD-AF-PROCESSING (X-MMFG-WTD-ACT)
103300                                 TO TRUE
103400                 WHEN OTHER
103500                     CONTINUE
103600             END-EVALUATE
103700             ADD MMFA-WTD-DEPOSITS-NBR (X-MMFA-WTD-ACT)
103800                                 TO MMFG-WTD-DEPOSITS-NBR
103900                                    (X-MMFG-WTD-ACT)
104000             ADD MMFA-WTD-DEPOSITS-AMT (X-MMFA-WTD-ACT)
104100                                 TO MMFG-WTD-DEPOSITS-AMT
104200                                    (X-MMFG-WTD-ACT)
104300             ADD MMFA-WTD-SALES-NBR (X-MMFA-WTD-ACT)
104400                                 TO MMFG-WTD-SALES-NBR
104500                                    (X-MMFG-WTD-ACT)
104600             ADD MMFA-WTD-SALES-AMT (X-MMFA-WTD-ACT)
104700                                 TO MMFG-WTD-SALES-AMT
104800                                    (X-MMFG-WTD-ACT)
104810             ADD MMFA-WTD-SALES-REV-NBR (X-MMFA-WTD-ACT)          RG800902
104812                                 TO MMFG-WTD-SALES-REV-NBR        RG800902
104814                                    (X-MMFG-WTD-ACT)              RG800902
104816             ADD MMFA-WTD-SALES-REV-AMT (X-MMFA-WTD-ACT)          RG800902
104818                                 TO MMFG-WTD-SALES-REV-AMT        RG800902
104820                                    (X-MMFG-WTD-ACT)              RG800902
104900             ADD MMFA-WTD-RETURNS-NBR (X-MMFA-WTD-ACT)
105000                                 TO MMFG-WTD-RETURNS-NBR
105100                                    (X-MMFG-WTD-ACT)
105200             ADD MMFA-WTD-RETURNS-AMT (X-MMFA-WTD-ACT)
105300                                 TO MMFG-WTD-RETURNS-AMT
105400                                    (X-MMFG-WTD-ACT)
105410             ADD MMFA-WTD-RETURNS-REV-NBR (X-MMFA-WTD-ACT)        RG800902
105412                                 TO MMFG-WTD-RETURNS-REV-NBR      RG800902
105414                                    (X-MMFG-WTD-ACT)              RG800902
105416             ADD MMFA-WTD-RETURNS-REV-AMT (X-MMFA-WTD-ACT)        RG800902
105418                                 TO MMFG-WTD-RETURNS-REV-AMT      RG800902
105420                                    (X-MMFG-WTD-ACT)              RG800902
105430             ADD MMFA-WTD-CHGBACK-NBR (X-MMFA-WTD-ACT)            RG800902
105432                                 TO MMFG-WTD-CHGBACK-NBR          RG800902
105434                                    (X-MMFG-WTD-ACT)              RG800902
105436             ADD MMFA-WTD-CHGBACK-AMT (X-MMFA-WTD-ACT)            RG800902
105438                                 TO MMFG-WTD-CHGBACK-AMT          RG800902
105440                                    (X-MMFG-WTD-ACT)              RG800902
105500         END-PERFORM
105600         ADD MMFA-PREV-ACH-NBR   TO MMFG-PREV-ACH-NBR
105700         ADD MMFA-CURR-ACH-NBR   TO MMFG-CURR-ACH-NBR
105800         PERFORM
105900             VARYING X-MMFA FROM 1 BY 1
106000             UNTIL   X-MMFA IS GREATER THAN 18
106100             SET X-MMFG          TO X-MMFA
106200             ADD MMFA-KEYED-AUTHS-NBR (X-MMFA)                    RG800902
106210                                 TO MMFG-KEYED-AUTHS-NBR (X-MMFG) RG800902
106212             ADD MMFA-KEYED-AUTHS-AMT (X-MMFA)                    RG800902
106214                                 TO MMFG-KEYED-AUTHS-AMT (X-MMFG) RG800902
106216             ADD MMFA-SWIPED-AUTHS-NBR (X-MMFA)                   RG800902
106218                                 TO MMFG-SWIPED-AUTHS-NBR (X-MMFG)RG800902
106220             ADD MMFA-SWIPED-AUTHS-AMT (X-MMFA)                   RG800902
106222                                 TO MMFG-SWIPED-AUTHS-AMT (X-MMFG)RG800902
106300             ADD MMFA-KEYED-SALES-NBR (X-MMFA)                    RG800902
106302                                 TO MMFG-KEYED-SALES-NBR (X-MMFG) RG800902
106310             ADD MMFA-KEYED-SALES-AMT (X-MMFA)                    RG800902
106312                                 TO MMFG-KEYED-SALES-AMT (X-MMFG) RG800902
106314             ADD MMFA-SWIPED-SALES-NBR (X-MMFA)                   RG800902
106316                                 TO MMFG-SWIPED-SALES-NBR (X-MMFG)RG800902
106318             ADD MMFA-SWIPED-SALES-AMT (X-MMFA)                   RG800902
106320                                 TO MMFG-SWIPED-SALES-AMT (X-MMFG)RG800902
106322             ADD MMFA-KEYED-SALES-REV-NBR (X-MMFA)                RG800902
106324                                 TO MMFG-KEYED-SALES-REV-NBR      RG800902
106326                                    (X-MMFG)                      RG800902
106328             ADD MMFA-KEYED-SALES-REV-AMT (X-MMFA)                RG800902
106330                                 TO MMFG-KEYED-SALES-REV-AMT      RG800902
106332                                    (X-MMFG)                      RG800902
106334             ADD MMFA-SWIPED-SALES-REV-NBR (X-MMFA)               RG800902
106336                                 TO MMFG-SWIPED-SALES-REV-NBR     RG800902
106338                                    (X-MMFG)                      RG800902
106340             ADD MMFA-SWIPED-SALES-REV-AMT (X-MMFA)               RG800902
106342                                 TO MMFG-SWIPED-SALES-REV-AMT     RG800902
106344                                    (X-MMFG)                      RG800902
106346             ADD MMFA-KEYED-RETURNS-NBR (X-MMFA)                  RG800902
106348                                 TO MMFG-KEYED-RETURNS-NBR        RG800902
106350                                    (X-MMFG)                      RG800902
106352             ADD MMFA-KEYED-RETURNS-AMT (X-MMFA)                  RG800902
106354                                 TO MMFG-KEYED-RETURNS-AMT        RG800902
106356                                    (X-MMFG)                      RG800902
106358             ADD MMFA-SWIPED-RETURNS-NBR (X-MMFA)                 RG800902
106360                                 TO MMFG-SWIPED-RETURNS-NBR       RG800902
106362                                    (X-MMFG)                      RG800902
106400             ADD MMFA-SWIPED-RETURNS-AMT (X-MMFA)                 RG800902
106410                                 TO MMFG-SWIPED-RETURNS-AMT       RG800902
106412                                    (X-MMFG)                      RG800902
106414             ADD MMFA-KEYED-RETURNS-REV-NBR (X-MMFA)              RG800902
106416                                 TO MMFG-KEYED-RETURNS-REV-NBR    RG800902
106418                                    (X-MMFG)                      RG800902
106420             ADD MMFA-KEYED-RETURNS-REV-AMT (X-MMFA)              RG800902
106422                                 TO MMFG-KEYED-RETURNS-REV-AMT    RG800902
106424                                    (X-MMFG)                      RG800902
106500             ADD MMFA-SWIPED-RETURNS-REV-NBR (X-MMFA)             RG800902
106510                                 TO MMFG-SWIPED-RETURNS-REV-NBR   RG800902
106512                                    (X-MMFG)                      RG800902
106514             ADD MMFA-SWIPED-RETURNS-REV-AMT (X-MMFA)             RG800902
106516                                 TO MMFG-SWIPED-RETURNS-REV-AMT   RG800902
106518                                    (X-MMFG)                      RG800902
106600             ADD MMFA-USER-INP-NBR (X-MMFA)
106700                                 TO MMFG-USER-INP-NBR (X-MMFG)
106800             ADD MMFA-LOCAL-INP-NBR (X-MMFA)
106900                                 TO MMFG-LOCAL-INP-NBR (X-MMFG)
107000             ADD MMFA-ACH-NBR (X-MMFA)
107100                                 TO MMFG-ACH-NBR (X-MMFG)
107200             ADD MMFA-POS-1-CAP-NBR (X-MMFA)
107300                                 TO MMFG-POS-1-CAP-NBR (X-MMFG)
107400             ADD MMFA-POS-2-CAP-NBR (X-MMFA)
107500                                 TO MMFG-POS-2-CAP-NBR (X-MMFG)
107600             ADD MMFA-POS-3-CAP-NBR (X-MMFA)
107700                                 TO MMFG-POS-3-CAP-NBR (X-MMFG)
107800         END-PERFORM
107900         GO TO F210-BMMFG-PROCESS.
108000*
108100     MOVE MMFG-RECORD            TO MMFGIO-RECORD.
108200*
108300     SET MMFGRB-WRITE            TO TRUE.
108400     MOVE 'W1FG'                 TO SS02WS-ABEND-LOCATION.
108500     PERFORM MB00PD-MMFG-ACCESS  THRU MB00PD-MMFG-ACCESS-EXIT.
108600*
108700     MOVE MMFA-RECORD            TO MMFG-RECORD.
108800     GO TO F210-BMMFG-PROCESS.
108900*
109000 F290-BMMFG-CLOSE-FILE.
109100*
109200     MOVE MMFG-RECORD            TO MMFGIO-RECORD.
109300*
109400     SET MMFGRB-WRITE            TO TRUE.
109500     MOVE 'W9FG'                 TO SS02WS-ABEND-LOCATION.
109600     PERFORM MB00PD-MMFG-ACCESS  THRU MB00PD-MMFG-ACCESS-EXIT.
109700*
109800     SET MMFGRB-CLOSE            TO TRUE.
109900     MOVE 'C1FG'                 TO SS02WS-ABEND-LOCATION.
110000     PERFORM MB00PD-MMFG-ACCESS  THRU MB00PD-MMFG-ACCESS-EXIT.
110100*
110200 F299-BMMFG-EXIT.
110300     EXIT.
110400/
110500 O100-READ-MTOG SECTION.
110600 O101-RMTOG-BEGIN.
110700*
110800     MOVE SS02WS-END-OF-FILE     TO MTOGRB-PERM-STATUS-1.
110900*
111000     SET MTOGRB-OPEN-INPUT       TO TRUE.
111100     MOVE 'OBOG'                 TO SS02WS-ABEND-LOCATION.
111200     PERFORM MB00PD-MTOG-ACCESS  THRU MB00PD-MTOG-ACCESS-EXIT.
111300*
111400 O110-RMTOG-PROCESS.
111500*
111600     SET MTOGRB-READ-SEQ         TO TRUE.
111700     MOVE 'RBOG'                 TO SS02WS-ABEND-LOCATION.
111800     PERFORM MB00PD-MTOG-ACCESS  THRU MB00PD-MTOG-ACCESS-EXIT.
111900*
112000     IF  SS02WS-FS-END-OF-FILE
112100         GO TO O190-RMTOG-CLOSE-FILE.
112200*
112300     MOVE MTOGIO-RECORD          TO MMOI-RECORD.
112400     RELEASE MMOI-RECORD.
112500     GO TO O110-RMTOG-PROCESS.
112600*
112700 O190-RMTOG-CLOSE-FILE.
112800*
112900     SET MTOGRB-CLOSE            TO TRUE.
113000     MOVE 'CBOG'                 TO SS02WS-ABEND-LOCATION.
113100     PERFORM MB00PD-MTOG-ACCESS  THRU MB00PD-MTOG-ACCESS-EXIT.
113200*
113300 O199-RMTOG-EXIT.
113400     EXIT.
113500/
113600 O200-BUILD-MMOG SECTION.
113700 O201-BMMOG-BEGIN.
113800*
113900     SET MMOGRB-OPEN-OUTPUT      TO TRUE.
114000     MOVE 'O1OG'                 TO SS02WS-ABEND-LOCATION.
114100     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
114200*
114300 O210-BMMOG-PROCESS.
114400*
114500     RETURN MS3S-SORT-FILE
114600         AT END
114700             GO TO O290-BMMOG-CLOSE-FILE.
114800*
114900     IF  MMOI-HEADER
115000         MOVE MMOI-RECORD        TO MMOG-RECORD
115100         GO TO O210-BMMOG-PROCESS.
115200*
115300     IF  MMOI-KEY IS EQUAL TO MMOG-KEY
115400         PERFORM
115500             VARYING X-MMOI FROM 1 BY 1
115600             UNTIL   X-MMOI IS GREATER THAN 18
115700             SET X-MMOG          TO X-MMOI
115800             ADD MMOI-NBR (X-MMOI)
115900                                 TO MMOG-NBR (X-MMOG)
116000             ADD MMOI-AMT (X-MMOI)
116100                                 TO MMOG-AMT (X-MMOG)
116200         END-PERFORM
116300         GO TO O210-BMMOG-PROCESS.
116400*
116500     MOVE MMOG-RECORD            TO MMOGIO-RECORD.
116600*
116700     SET MMOGRB-WRITE            TO TRUE.
116800     MOVE 'W1OG'                 TO SS02WS-ABEND-LOCATION.
116900     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
117000*
117100     MOVE MMOI-RECORD            TO MMOG-RECORD.
117200     GO TO O210-BMMOG-PROCESS.
117300*
117400 O290-BMMOG-CLOSE-FILE.
117500*
117600     MOVE MMOG-RECORD            TO MMOGIO-RECORD.
117700*
117800     SET MMOGRB-WRITE            TO TRUE.
117900     MOVE 'W9OG'                 TO SS02WS-ABEND-LOCATION.
118000     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
118100*
118200     SET MMOGRB-CLOSE            TO TRUE.
118300     MOVE 'C1OG'                 TO SS02WS-ABEND-LOCATION.
118400     PERFORM MB00PD-MMOG-ACCESS  THRU MB00PD-MMOG-ACCESS-EXIT.
118500*
118600 O299-BMMOG-EXIT.
118700     EXIT.
118800/
118900 P100-READ-MTPG SECTION.
119000 P101-RMTPG-BEGIN.
119100*
119200     MOVE SS02WS-END-OF-FILE     TO MTPGRB-PERM-STATUS-1.
119300*
119400     SET MTPGRB-OPEN-INPUT       TO TRUE.
119500     MOVE 'OBPG'                 TO SS02WS-ABEND-LOCATION.
119600     PERFORM MB00PD-MTPG-ACCESS  THRU MB00PD-MTPG-ACCESS-EXIT.
119700*
119800 P110-RMTPG-PROCESS.
119900*
120000     SET MTPGRB-READ-SEQ         TO TRUE.
120100     MOVE 'RBPG'                 TO SS02WS-ABEND-LOCATION.
120200     PERFORM MB00PD-MTPG-ACCESS  THRU MB00PD-MTPG-ACCESS-EXIT.
120300*
120400     IF  SS02WS-FS-END-OF-FILE
120500         GO TO P190-RMTPG-CLOSE-FILE.
120600*
120700     MOVE MTPGIO-RECORD          TO MMPA-RECORD.
120800     RELEASE MMPA-RECORD.
120900     GO TO P110-RMTPG-PROCESS.
121000*
121100 P190-RMTPG-CLOSE-FILE.
121200*
121300     SET MTPGRB-CLOSE            TO TRUE.
121400     MOVE 'CBPG'                 TO SS02WS-ABEND-LOCATION.
121500     PERFORM MB00PD-MTPG-ACCESS  THRU MB00PD-MTPG-ACCESS-EXIT.
121600*
121700 P199-RMTPG-EXIT.
121800     EXIT.
121900/
122000 P200-BUILD-MMPG SECTION.
122100 P201-BMMPG-BEGIN.
122200*
122300     SET MMPGRB-OPEN-OUTPUT      TO TRUE.
122400     MOVE 'O1PG'                 TO SS02WS-ABEND-LOCATION.
122500     PERFORM MB00PD-MMPG-ACCESS  THRU MB00PD-MMPG-ACCESS-EXIT.
122600*
122700 P210-BMMPG-PROCESS.
122800*
122900     RETURN MS4S-SORT-FILE
123000         AT END
123100             GO TO P290-BMMPG-CLOSE-FILE.
123200*
123300     IF  MMPA-HEADER
123400         MOVE MMPA-RECORD        TO MMPG-RECORD
123500         GO TO P210-BMMPG-PROCESS.
123600*
123700     IF  MMPA-KEY IS EQUAL TO MMPG-KEY
123800         PERFORM
123900             VARYING X-MMPA FROM 1 BY 1
124000             UNTIL   X-MMPA IS GREATER THAN 18
124100             SET X-MMPG          TO X-MMPA
124200             ADD MMPA-NBR (X-MMPA)
124300                                 TO MMPG-NBR (X-MMPG)
124400             ADD MMPA-AMT (X-MMPA)
124500                                 TO MMPG-AMT (X-MMPG)
124600         END-PERFORM
124700         GO TO P210-BMMPG-PROCESS.
124800*
124900     MOVE MMPG-RECORD            TO MMPGIO-RECORD.
125000*
125100     SET MMPGRB-WRITE            TO TRUE.
125200     MOVE 'W1PG'                 TO SS02WS-ABEND-LOCATION.
125300     PERFORM MB00PD-MMPG-ACCESS  THRU MB00PD-MMPG-ACCESS-EXIT.
125400*
125500     MOVE MMPA-RECORD            TO MMPG-RECORD.
125600     GO TO P210-BMMPG-PROCESS.
125700*
125800 P290-BMMPG-CLOSE-FILE.
125900*
126000     MOVE MMPG-RECORD            TO MMPGIO-RECORD.
126100*
126200     SET MMPGRB-WRITE            TO TRUE.
126300     MOVE 'W9PG'                 TO SS02WS-ABEND-LOCATION.
126400     PERFORM MB00PD-MMPG-ACCESS  THRU MB00PD-MMPG-ACCESS-EXIT.
126500*
126600     SET MMPGRB-CLOSE            TO TRUE.
126700     MOVE 'C1PG'                 TO SS02WS-ABEND-LOCATION.
126800     PERFORM MB00PD-MMPG-ACCESS  THRU MB00PD-MMPG-ACCESS-EXIT.
126900*
127000 P299-BMMPG-EXIT.
127100     EXIT.
127200/
127300 9000-PERFORMED-ROUTINES-SECT SECTION.
127400*
127500     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
127600/
127700     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
127800/
127900     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
128000/
128100     COPY MB00PD REPLACING ==:MB00:== BY ==MMCP==.
128200/
128300     COPY MB00PD REPLACING ==:MB00:== BY ==MMFA==.
128400/
128500     COPY MB00PD REPLACING ==:MB00:== BY ==MMOI==.
128600/
128700     COPY MB00PD REPLACING ==:MB00:== BY ==MMPA==.
128800/
128900     COPY MB00PD REPLACING ==:MB00:== BY ==MMCG==.
129000/
129100     COPY MB00PD REPLACING ==:MB00:== BY ==MMFG==.
129200/
129300     COPY MB00PD REPLACING ==:MB00:== BY ==MMOG==.
129400/
129500     COPY MB00PD REPLACING ==:MB00:== BY ==MMPG==.
129600/
129700     COPY MB00PD REPLACING ==:MB00:== BY ==MTCG==.
129800/
129900     COPY MB00PD REPLACING ==:MB00:== BY ==MTFG==.
130000/
130100     COPY MB00PD REPLACING ==:MB00:== BY ==MTOG==.
130200/
130300     COPY MB00PD REPLACING ==:MB00:== BY ==MTPG==.
130400/
130500     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
130600/
130700     COPY MB99PD.
130800/
130900     COPY SS02PD.
131000/
131100     COPY SS98PD.
131200*
131300 9995-END-SOURCE-STATEMENTS SECTION.
131400 9999-END-OF-PROGRAM.
131500     EXIT.
