000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD360Q3.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBD360Q3 - RESERVED QUARTERLY REPORT TOTALS - TRANS + VOLUME*
000800*                                                               *
000900*****************************************************************
001000*                                                               *
001100*   N O T E --- THIS PROGRAM IS AN ATTACHMENT TO THE STORE      *
001200*               POSTING PROGRAM AND PROVIDES FOR THE            *
001300*               ACCUMULATION OF RESERVED TRANSACTIONS AND VOLUME*
001400*               TOTALS FOR THE RESERVED QUARTERLY REPORTS.      *
001500*               ACCEPTANCE INFORMATION IS ACCUMULATED BY PROGRAM*
001600*               MBD373.                                         *
001700*                                                               *
001800*****************************************************************
001900 ENVIRONMENT DIVISION.
002000 CONFIGURATION SECTION.
002100 SOURCE-COMPUTER.            IBM-4341.
002200 OBJECT-COMPUTER.            IBM-4341.
002300/
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*
002900 01  WS-D360-WORK-AREAS.
003000     03  WS-D360-CAT-INDEX   PIC  9(02)      VALUE ZERO.
003100/
003200     COPY MMQ3IO.
003300/
003400     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ3==.
003500/
003600     COPY MMQ3IR.
003700/
003800     COPY MMQ3RL.
003900/
004000     COPY MB00WS.
004100/
004200     COPY MMTCWS.
004300/
004400     COPY MB99WS.
004500/
004600     COPY SS00WS.
004700/
004800     COPY SS01WS.
004900/
005000     COPY SS02WS.
005100*
005200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005300/
005400 LINKAGE SECTION.
005500     COPY MBD360WS.
005600/
005700     COPY MMSCRL.
005800/
005900     COPY MMOCRL.
006000/
006100     COPY MMSMRL.
006200/
006300     COPY MTSTRL.
006400/
006500 PROCEDURE DIVISION              USING MBD360WS-AREA
006600                                       MMSC-RECORD
006700                                       MMOC-RECORD
006800                                       MMSM-RECORD
006900                                       MTST-RECORD.
007000*
007100 A000-MAIN-LINE SECTION.
007200 A010-ML-BEGIN.
007300*
007400     MOVE 'D360Q3'               TO SS02WS-ABEND-PROG-ID.
007500*
007600     GO TO 9999-END-OF-PROGRAM.
007700*
007800 A099-ML-EXIT.
007900     EXIT.
008000/
008100 9000-PERFORMED-ROUTINES-SECT SECTION.
008200     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ3==.
008300/
008400     COPY MB99PD.
008500/
008600     COPY SS02PD.
008700*
008800 9995-END-SOURCE-STATEMENTS SECTION.
008900 9999-END-OF-PROGRAM.
009000     GOBACK.
