000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD420.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD420 - STORE CHAIN POSTING AND REPORTS                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500 01  WS-MBD420-WORK-AREAS.
002600     03  WS-D420-O56-MESSAGE-ID
002700                             PIC  9(04)      VALUE ZERO.
002800     03  WS-D420-O56-TEXT    PIC  X(50)      VALUE SPACES.
002900     03  WS-D420-O56-OPERATOR
003000                             PIC  X(03)      VALUE SPACES.
003100     03  WS-D420-O56-NBR     PIC S9(09)      COMP-3 VALUE ZERO.
003200     03  WS-D420-O56-AMT     PIC S9(17)      COMP-3 VALUE ZERO.
003300     03  WS-D420-O56-PCT     PIC S9(06)V9(5) COMP-3 VALUE ZERO.
003400     03  WS-D420-O56-PROD    PIC  9(02)      COMP-3 VALUE ZERO.
003500     03  WS-D420-RPT-REC-TYPE
003600                             PIC  9(01)      VALUE ZERO.
003700*
003800     03  WS-D420-WORK-AMT    PIC S9(17)      COMP-3 VALUE ZERO.
003900     03  WS-D420-WORK-AMT-0  PIC S9(17)      COMP-3 VALUE ZERO.
004000     03  WS-D420-WORK-AMT-1  PIC S9(17)      COMP-3 VALUE ZERO.
004100     03  WS-D420-WORK-AMT-2  PIC S9(17)      COMP-3 VALUE ZERO.
004200     03  WS-D420-WORK-AMT-3  PIC S9(17)      COMP-3 VALUE ZERO.
004300     03  WS-D420-WORK-AMT-4  PIC S9(17)      COMP-3 VALUE ZERO.
004400     03  WS-D420-WORK-AMT-5  PIC S9(17)      COMP-3 VALUE ZERO.
004500     03  WS-D420-WORK-AMT-6  PIC S9(17)      COMP-3 VALUE ZERO.
004600     03  WS-D420-WORK-NBR    PIC S9(09)      COMP-3 VALUE ZERO.   FX800038
004700     03  WS-D420-WORK-NBR-0  PIC S9(09)      COMP-3 VALUE ZERO.   FX800038
004800     03  WS-D420-WORK-NBR-1  PIC S9(09)      COMP-3 VALUE ZERO.   FX800038
004900     03  WS-D420-WORK-NBR-2  PIC S9(09)      COMP-3 VALUE ZERO.   FX800038
005000     03  WS-D420-WORK-NBR-3  PIC S9(09)      COMP-3 VALUE ZERO.   FX800038
005100     03  WS-D420-WORK-NBR-4  PIC S9(09)      COMP-3 VALUE ZERO.   FX800038
005200     03  WS-D420-WORK-NBR-5  PIC S9(09)      COMP-3 VALUE ZERO.   FX800038
005300     03  WS-D420-WORK-NBR-6  PIC S9(09)      COMP-3 VALUE ZERO.   FX800038
005400     03  WS-D420-AMT         PIC S9(17)      COMP-3 VALUE ZERO.
005500     03  WS-D420-AMT-NO-SIGN PIC  9(17)      VALUE ZERO.
005600     03  WS-D420-NBR         PIC S9(09)      COMP-3 VALUE ZERO.
005700     03  WS-D420-NBR-MONTHS  PIC S9(07)      COMP-3 VALUE ZERO.
005800     03  WS-D420-NBR-YEARS   PIC S9(07)      COMP-3 VALUE ZERO.
005900     03  WS-D420-NBR-DAYS    PIC S9(07)      COMP-3 VALUE ZERO.
006000     03  WS-D420-WORK-DATE   PIC S9(07)      COMP-3 VALUE ZERO.
006100     03  WS-D420-INDEX       PIC S9(04)      BINARY  VALUE ZERO.
006200     03  WS-D420-WORK-JULIAN PIC  9(07)      VALUE ZERO.
006300     03  WS-D420-LAST-MM     PIC  9(02)      VALUE ZERO.
006400     03  WS-D420-LAST-DD     PIC  9(02)      VALUE ZERO.
006500     03  WS-D420-LAST-YY     PIC  9(04)      VALUE ZERO.
006600     03  WS-D420-LAST-DOW    PIC  9(01)      VALUE ZERO.
006700     03  WS-D420-CURR-MM     PIC  9(02)      VALUE ZERO.
006800     03  WS-D420-CURR-DD     PIC  9(02)      VALUE ZERO.
006900     03  WS-D420-CURR-YY     PIC  9(04)      VALUE ZERO.
007000     03  WS-D420-CURR-DOW    PIC  9(01)      VALUE ZERO.
007100     03  WS-D420-NEXT-MM     PIC  9(02)      VALUE ZERO.
007200     03  WS-D420-NEXT-DD     PIC  9(02)      VALUE ZERO.
007300     03  WS-D420-NEXT-YY     PIC  9(04)      VALUE ZERO.
007400     03  WS-D420-NEXT-DOW    PIC  9(01)      VALUE ZERO.
007500     03  WS-D420-ACCR-MM     PIC  9(02)      VALUE ZERO.
007600     03  WS-D420-ACCR-DD     PIC  9(02)      VALUE ZERO.
007700     03  WS-D420-ACCR-YY     PIC  9(04)      VALUE ZERO.
007800     03  WS-D420-ACCR-DOW    PIC  9(01)      VALUE ZERO.
007900     03  WS-D420-LACC-MM     PIC  9(02)      VALUE ZERO.
008000     03  WS-D420-LACC-DD     PIC  9(02)      VALUE ZERO.
008100     03  WS-D420-LACC-YY     PIC  9(04)      VALUE ZERO.
008200     03  WS-D420-LACC-DOW    PIC  9(01)      VALUE ZERO.
008300     03  WS-D420-WTD-DAYS-COUNT
008400                             PIC  9(05)      VALUE ZERO.
008500     03  WS-D420-WTD-PROC-DAYS
008600                             PIC  9(05)      VALUE ZERO.
008700     03  WS-D420-NBR-PROC-DAYS
008800                             PIC  9(05)      VALUE ZERO.
008900     03  WS-D420-PROC-DAYS-AREA              VALUE ZERO.
009000         05  WS-D420-PROC-DAYS-TABLE         OCCURS 31 TIMES
009100                                             INDEXED BY
009200                                             X-WS-D420-PDT.
009300             07  WS-D420-PDT-DOM
009400                             PIC  9(01).
009500                 88  WS-D420-PDT-NOT-PROC    VALUE ZERO.
009600                 88  WS-D420-PDT-PROCESSING  VALUE 1 THRU 7.
009700                 88  WS-D420-PDT-SUN         VALUE 1.
009800                 88  WS-D420-PDT-MON         VALUE 2.
009900                 88  WS-D420-PDT-TUE         VALUE 3.
010000                 88  WS-D420-PDT-WED         VALUE 4.
010100                 88  WS-D420-PDT-THU         VALUE 5.
010200                 88  WS-D420-PDT-FRI         VALUE 6.
010300                 88  WS-D420-PDT-SAT         VALUE 7.
010400*
010500/
010600     COPY MMSCIO.
010700/
010800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
010900/
011000     COPY MMSCRL.
011100/
011200     COPY MMOCIO.
011300/
011400     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
011500/
011600     COPY MMOCRL.
011700/
011800     COPY MMSDIO REPLACING ==:MMSD:== BY ==MMSD==.
011900/
012000     COPY MB00RB REPLACING ==:MB00:== BY ==MMSD==.
012100/
012200     COPY MMSDRL REPLACING ==:MMSD:== BY ==MMSD==.
012300/
012400     COPY MMSRIO.
012500/
012600     COPY MMSRIR.
012700/
012800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSR==.
012900/
013000     COPY MMSRRL.
013100/
013200     COPY MMSRWS.
013300/
013400     COPY MTP0IO REPLACING ==:MTP0:== BY ==MTP5==.
013500/
013600     COPY MB00RB REPLACING ==:MB00:== BY ==MTP5==.
013700/
013800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTP5==.
013900/
014000     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
014100/
014200     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
014300/
014400     COPY MTS9IO.
014500/
014600     COPY MB00RB REPLACING ==:MB00:== BY ==MTS9==.
014700/
014800     COPY MTS9RL.
014900/
015000     COPY MTS9TB.
015100/
015200     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
015300/
015400     COPY MMTCWS.
015500/
015600     COPY MB00WS.
015700/
015800     COPY MB99WS.
015900/
016000     COPY SS00WS.
016100/
016200     COPY SS01WS.
016300/
016400     COPY SS02WS.
016500/
016600     COPY SS05WS.
016700/
016800     COPY SS12WS.
016900*
017000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
017100/
017200 PROCEDURE DIVISION.
017300 A000-MAIN-LINE-SECT SECTION.
017400 A010-ML-BEGIN.
017500*
017600     MOVE 'MBD420'               TO SS02WS-ABEND-PROG-ID.
017700*
017800     PERFORM A100-OPEN-FILES
017900        THRU A199-OF-EXIT.
018000*
018100     PERFORM A200-POSTING-PROCESS
018200        THRU A299-PP-EXIT
018300        UNTIL MMOCIO-TRAILER.
018400*
018500     PERFORM A300-CLOSE-FILES
018600        THRU A399-CF-EXIT.
018700*
018800     STOP RUN.
018900*
019000 A099-ML-EXIT.
019100     EXIT.
019200/
019300 A100-OPEN-FILES SECTION.
019400 A101-OF-OPEN-FILES.
019500*
019600     MOVE 'O1SD'                 TO SS02WS-ABEND-LOCATION.
019700     SET MMSDRB-OPEN-IO          TO TRUE.
019800     PERFORM MB00PD-MMSD-ACCESS
019900        THRU MB00PD-MMSD-ACCESS-EXIT.
020000*
020100     MOVE 'O1SR'                 TO SS02WS-ABEND-LOCATION.
020200     SET MMSRRB-OPEN-IO          TO TRUE.
020300     PERFORM MB00PD-MMSR-ACCESS
020400        THRU MB00PD-MMSR-ACCESS-EXIT.
020500*
020600     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
020700     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
020800     PERFORM MB00PD-MMOC-ACCESS
020900        THRU MB00PD-MMOC-ACCESS-EXIT.
021000*
021100     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
021200     SET MMSCRB-OPEN-INPUT-DYN   TO TRUE.
021300     PERFORM MB00PD-MMSC-ACCESS
021400        THRU MB00PD-MMSC-ACCESS-EXIT.
021500*
021600     MOVE 'O1P5'                 TO SS02WS-ABEND-LOCATION.
021700     SET MTP5RB-OPEN-OUTPUT      TO TRUE.
021800     PERFORM MB00PD-MTP5-ACCESS
021900        THRU MB00PD-MTP5-ACCESS-EXIT.
022000*
022100     MOVE 'O1S9'                 TO SS02WS-ABEND-LOCATION.
022200     SET MTS9RB-OPEN-INPUT       TO TRUE.
022300     PERFORM MB00PD-MTS9-ACCESS
022400        THRU MB00PD-MTS9-ACCESS-EXIT.
022500*
022600 A110-OF-CHECK-HEADERS.
022700*
022800     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
022900     SET MMSCRB-READ-SEQ         TO TRUE.
023000     PERFORM MB00PD-MMSC-ACCESS
023100        THRU MB00PD-MMSC-ACCESS-EXIT.
023200*
023300     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
023400*
023500     IF  MMSCIO-HEADER
023600         NEXT SENTENCE
023700     ELSE
023800         PERFORM MB99PD-MISSING-HEADER-ABEND
023900            THRU MB99PD-MHA-EXIT.
024000*
024100     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
024200     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
024300     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
024400*
024500*
024600*
024700     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
024800     SET MMOCRB-READ-SEQ         TO TRUE.
024900     PERFORM MB00PD-MMOC-ACCESS
025000        THRU MB00PD-MMOC-ACCESS-EXIT.
025100*
025200     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
025300*
025400     IF  MMOCIO-HEADER
025500         NEXT SENTENCE
025600     ELSE
025700         PERFORM MB99PD-MISSING-HEADER-ABEND
025800            THRU MB99PD-MHA-EXIT.
025900*
026000     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
026100*
026200     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
026300     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
026400     PERFORM MB99PD-CHECK-DATE-TIME
026500        THRU MB99PD-CDT-EXIT.
026600*
026700*
026800*
026900     MOVE 'R0SR'                 TO SS02WS-ABEND-LOCATION.
027000     SET MMSRRB-READ-SEQ         TO TRUE.
027100     PERFORM MB00PD-MMSR-ACCESS
027200        THRU MB00PD-MMSR-ACCESS-EXIT.
027300     MOVE 'MMSR'                 TO MB99WS-FILE-ID.
027400*
027500     IF  MMSRIO-HEADER
027600         NEXT SENTENCE
027700     ELSE
027800         PERFORM MB99PD-MISSING-HEADER-ABEND
027900            THRU MB99PD-MHA-EXIT.
028000*
028100     MOVE MMSRIO-DATE-STAMP      TO MB99WS-FILE-DATE.
028200     MOVE MMSRIO-TIME-STAMP      TO MB99WS-FILE-TIME.
028300     PERFORM MB99PD-CHECK-DATE-TIME
028400        THRU MB99PD-CDT-EXIT.
028500*
028600     MOVE 'R1SR'                 TO SS02WS-ABEND-LOCATION.
028700     SET MMSRRB-READ-SEQ         TO TRUE.
028800     PERFORM MB00PD-MMSR-ACCESS
028900        THRU MB00PD-MMSR-ACCESS-EXIT.
029000*
029100*
029200*
029300     MOVE 'R0SD'                 TO SS02WS-ABEND-LOCATION.
029400     SET MMSDRB-READ-SEQ         TO TRUE.
029500     PERFORM MB00PD-MMSD-ACCESS
029600        THRU MB00PD-MMSD-ACCESS-EXIT.
029700     MOVE 'MMSD'                 TO MB99WS-FILE-ID.
029800*
029900     IF  MMSDIO-HEADER
030000         NEXT SENTENCE
030100     ELSE
030200         PERFORM MB99PD-MISSING-HEADER-ABEND
030300            THRU MB99PD-MHA-EXIT.
030400*
030500     MOVE MMSDIO-DATE-STAMP      TO MB99WS-FILE-DATE.
030600     MOVE MMSDIO-TIME-STAMP      TO MB99WS-FILE-TIME.
030700     PERFORM MB99PD-CHECK-DATE-TIME
030800        THRU MB99PD-CDT-EXIT.
030900*
031000     MOVE 'R1SD'                 TO SS02WS-ABEND-LOCATION.
031100     SET MMSDRB-READ-SEQ         TO TRUE.
031200     PERFORM MB00PD-MMSD-ACCESS
031300        THRU MB00PD-MMSD-ACCESS-EXIT.
031400*
031500*
031600*
031700     MOVE SPACES                 TO MTP5IO-RECORD.
031800     SET MTP5IO-HEADER           TO TRUE.
031900     MOVE MMSC-TODAYS-JULIAN     TO MTP5IO-DATE-STAMP.
032000     MOVE MMSC-TIME-STAMP        TO MTP5IO-TIME-STAMP.
032100*
032200     MOVE 'W0P5'                 TO SS02WS-ABEND-LOCATION.
032300     SET MTP5RB-WRITE            TO TRUE.
032400     PERFORM MB00PD-MTP5-ACCESS
032500        THRU MB00PD-MTP5-ACCESS-EXIT.
032600*
032700*
032800*
032900     MOVE 'R0S9'                 TO SS02WS-ABEND-LOCATION.
033000     SET MTS9RB-READ-SEQ         TO TRUE.
033100     PERFORM MB00PD-MTS9-ACCESS
033200        THRU MB00PD-MTS9-ACCESS-EXIT.
033300     MOVE 'MTS9'                 TO MB99WS-FILE-ID.
033400*
033500     IF  MTS9IO-HEADER
033600         NEXT SENTENCE
033700     ELSE
033800         PERFORM MB99PD-MISSING-HEADER-ABEND
033900            THRU MB99PD-MHA-EXIT.
034000*
034100     MOVE MTS9IO-DATE-STAMP      TO MB99WS-FILE-DATE.
034200     MOVE MTS9IO-TIME-STAMP      TO MB99WS-FILE-TIME.
034300     PERFORM MB99PD-CHECK-DATE-TIME
034400        THRU MB99PD-CDT-EXIT.
034500*
034600     MOVE 'R1S9'                 TO SS02WS-ABEND-LOCATION.
034700     SET MTS9RB-READ-SEQ         TO TRUE.
034800     PERFORM MB00PD-MTS9-ACCESS
034900        THRU MB00PD-MTS9-ACCESS-EXIT.
035000*
035100*
035200*
035300     IF  MMSC-STORE-GROUP-STAT-NO
035400
035500         MOVE LOW-VALUES         TO MMOCIO-RECORD
035600         SET MMOCIO-TRAILER      TO TRUE
035700         MOVE 'S1OC'             TO SS02WS-ABEND-LOCATION
035800         SET MMOCRB-START-GTE    TO TRUE
035900         PERFORM MB00PD-MMOC-ACCESS
036000            THRU MB00PD-MMOC-ACCESS-EXIT.
036100*
036200 A199-OF-EXIT.
036300     EXIT.
036400/
036500 A200-POSTING-PROCESS SECTION.
036600 A201-PP-BEGIN.
036700*
036800     PERFORM B000-PROCESS-ORG
036900        THRU B099-PO-EXIT.
037000*
037100     IF  MMOCIO-TRAILER
037200         GO TO A299-PP-EXIT.
037300*
037400     PERFORM C000-PROCESS-CHAINS
037500        THRU C099-PC-EXIT
037600        UNTIL MMSRIO-ORG  IS GREATER THAN MMOC-ORG.
037700*
037800 A299-PP-EXIT.
037900     EXIT.
038000/
038100 A300-CLOSE-FILES SECTION.
038200 A301-CF-BEGIN.
038300*
038400     MOVE SPACES                 TO MTP5IO-RECORD.
038500     SET MTP5IO-TRAILER          TO TRUE.
038600     MOVE MMSC-TODAYS-JULIAN     TO MTP5IO-DATE-STAMP.
038700     MOVE MMSC-TIME-STAMP        TO MTP5IO-TIME-STAMP.
038800*
038900     MOVE 'W9P5'                 TO SS02WS-ABEND-LOCATION.
039000     SET MTP5RB-WRITE            TO TRUE.
039100     PERFORM MB00PD-MTP5-ACCESS
039200        THRU MB00PD-MTP5-ACCESS-EXIT.
039300*
039400*
039500*
039600     MOVE 'C1SD'                 TO SS02WS-ABEND-LOCATION.
039700     SET MMSDRB-CLOSE            TO TRUE.
039800     PERFORM MB00PD-MMSD-ACCESS
039900        THRU MB00PD-MMSD-ACCESS-EXIT.
040000*
040100     MOVE 'C1SR'                 TO SS02WS-ABEND-LOCATION.
040200     SET MMSRRB-CLOSE            TO TRUE.
040300     PERFORM MB00PD-MMSR-ACCESS
040400        THRU MB00PD-MMSR-ACCESS-EXIT.
040500*
040600     MOVE 'C1P5'                 TO SS02WS-ABEND-LOCATION.
040700     SET MTP5RB-CLOSE            TO TRUE.
040800     PERFORM MB00PD-MTP5-ACCESS
040900        THRU MB00PD-MTP5-ACCESS-EXIT.
041000*
041100     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
041200     SET MMOCRB-CLOSE            TO TRUE.
041300     PERFORM MB00PD-MMOC-ACCESS
041400        THRU MB00PD-MMOC-ACCESS-EXIT.
041500*
041600     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
041700     SET MMSCRB-CLOSE            TO TRUE.
041800     PERFORM MB00PD-MMSC-ACCESS
041900        THRU MB00PD-MMSC-ACCESS-EXIT.
042000*
042100     MOVE 'C1S9'                 TO SS02WS-ABEND-LOCATION.
042200     SET MTS9RB-CLOSE            TO TRUE.
042300     PERFORM MB00PD-MTS9-ACCESS
042400        THRU MB00PD-MTS9-ACCESS-EXIT.
042500*
042600 A399-CF-EXIT.
042700     EXIT.
042800/
042900 B000-PROCESS-ORG SECTION.
043000 B010-PO-BEGIN.
043100*
043200     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
043300     SET MMOCRB-READ-SEQ         TO TRUE.
043400     PERFORM MB00PD-MMOC-ACCESS
043500        THRU MB00PD-MMOC-ACCESS-EXIT.
043600*
043700     IF  MMOCIO-TRAILER
043800         GO TO B099-PO-EXIT.
043900*
044000     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
044100*
044200     IF  MMOC-REC-INCOMPLETE
044300         GO TO B010-PO-BEGIN.
044400*
044500     IF  MMOC-REC-PURGED
044600         GO TO B010-PO-BEGIN.
044700*
044800     IF  MMOC-ADD-PENDING
044900         GO TO B010-PO-BEGIN.
045000*
045100     IF  MMOC-NOT-PROCESSING
045200         GO TO B010-PO-BEGIN.
045300*
045400*
045500*
045600     MOVE MMOC-DATE-LAST-PROC    TO SS01WS-JULIAN.
045700     PERFORM SS08PD-JUL-TO-GREG
045800        THRU SS08PD-JTG-EXIT.
045900     MOVE SS01WS-MM              TO WS-D420-LAST-MM.
046000     MOVE SS01WS-DD              TO WS-D420-LAST-DD.
046100     MOVE SS01WS-YEAR            TO WS-D420-LAST-YY.
046200     MOVE MMOC-DATE-LAST-PROC    TO SS01WS-JULIAN.
046300     PERFORM SS06PD-DAY-OF-WEEK
046400        THRU SS06PD-DOW-EXIT.
046500     COMPUTE WS-D420-LAST-DOW    =  SS01WS-DOW + 1.
046600*
046700     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
046800     PERFORM SS08PD-JUL-TO-GREG
046900        THRU SS08PD-JTG-EXIT.
047000     MOVE SS01WS-MM              TO WS-D420-CURR-MM.
047100     MOVE SS01WS-DD              TO WS-D420-CURR-DD.
047200     MOVE SS01WS-YEAR            TO WS-D420-CURR-YY.
047300     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
047400     PERFORM SS06PD-DAY-OF-WEEK
047500        THRU SS06PD-DOW-EXIT.
047600     COMPUTE WS-D420-CURR-DOW    =  SS01WS-DOW + 1.
047700*
047800     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
047900     PERFORM SS08PD-JUL-TO-GREG
048000        THRU SS08PD-JTG-EXIT.
048100     MOVE SS01WS-MM              TO WS-D420-NEXT-MM.
048200     MOVE SS01WS-DD              TO WS-D420-NEXT-DD.
048300     MOVE SS01WS-YEAR            TO WS-D420-NEXT-YY.
048400     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
048500     PERFORM SS06PD-DAY-OF-WEEK
048600        THRU SS06PD-DOW-EXIT.
048700     COMPUTE WS-D420-NEXT-DOW    =  SS01WS-DOW + 1.
048800*
048900     MOVE MMOC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
049000     PERFORM SS08PD-JUL-TO-GREG
049100        THRU SS08PD-JTG-EXIT.
049200     MOVE SS01WS-MM              TO WS-D420-ACCR-MM.
049300     MOVE SS01WS-DD              TO WS-D420-ACCR-DD.
049400     MOVE SS01WS-YEAR            TO WS-D420-ACCR-YY.
049500     MOVE MMOC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
049600     PERFORM SS06PD-DAY-OF-WEEK
049700        THRU SS06PD-DOW-EXIT.
049800     COMPUTE WS-D420-ACCR-DOW    =  SS01WS-DOW + 1.
049900*
050000     MOVE MMOC-DATE-LAST-ACCR    TO SS01WS-JULIAN.
050100     PERFORM SS08PD-JUL-TO-GREG
050200        THRU SS08PD-JTG-EXIT.
050300     MOVE SS01WS-MM              TO WS-D420-LACC-MM.
050400     MOVE SS01WS-DD              TO WS-D420-LACC-DD.
050500     MOVE SS01WS-YEAR            TO WS-D420-LACC-YY.
050600     MOVE MMOC-DATE-LAST-ACCR    TO SS01WS-JULIAN.
050700     PERFORM SS06PD-DAY-OF-WEEK
050800        THRU SS06PD-DOW-EXIT.
050900     COMPUTE WS-D420-LACC-DOW    =  SS01WS-DOW + 1.
051000*
051100     MOVE ZERO                   TO WS-D420-PROC-DAYS-AREA.
051200     MOVE MMOC-DATE-LAST-ACCR    TO WS-D420-WORK-JULIAN.
051300     PERFORM B100-PO-SET-PROC-DAYS
051400        THRU B109-PO-SPD-EXIT
051500        UNTIL WS-D420-WORK-JULIAN
051600              IS NOT LESS THAN MMOC-ACCR-THRU-DATE.
051700*
051800     IF  WS-D420-ACCR-MM IS LESS THAN WS-D420-NEXT-MM
051900         SET X-WS-D420-PDT       TO WS-D420-ACCR-DD
052000         MOVE WS-D420-PDT-DOM (X-WS-D420-PDT)
052100                                 TO SS01WS-DOW
052200         PERFORM B110-PO-SET-EOM-DAYS
052300            THRU B119-PO-SED-EXIT
052400            UNTIL X-WS-D420-PDT IS GREATER THAN 31.
052500*
052600     MOVE 1                      TO SS01WS-DOW.
052700     MOVE MMOC-ACCR-THRU-DATE    TO SS01WS-DATE-1.
052800     MOVE MMOC-DATE-LAST-ACCR    TO SS01WS-DATE-2.
052900     PERFORM SS04PD-ELAPSED-DAYS
053000        THRU SS04PD-ED-EXIT.
053100     MOVE SS01WS-RESULT          TO WS-D420-NBR-PROC-DAYS.
053200*
053300     MOVE 1                      TO SS01WS-DOW.
053400     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-DATE-1.
053500     MOVE MMOC-DATE-LAST-ACCR    TO SS01WS-DATE-2.
053600     PERFORM SS04PD-ELAPSED-DAYS
053700        THRU SS04PD-ED-EXIT.
053800     MOVE SS01WS-RESULT          TO WS-D420-WTD-PROC-DAYS.
053900*
054000     PERFORM MTRFPX-BUILD-REPORT-TABLE
054100        THRU MTRFPX-BRT-EXIT.
054200*
054300 B099-PO-EXIT.
054400     EXIT.
054500/
054600 B100-PO-SET-PROC-DAYS SECTION.
054700 B101-PO-SPD-BEGIN.
054800*
054900     MOVE WS-D420-WORK-JULIAN    TO SS01WS-JULIAN.
055000     MOVE ZERO                   TO SS01WS-DAY-OF-MON.
055100     MOVE 1                      TO SS01WS-FREQ.
055200     MOVE 'D'                    TO SS01WS-PERIOD.
055300     PERFORM SS03PD-FUTURE-DATE
055400        THRU SS03PD-FD-EXIT.
055500*
055600     MOVE SS01WS-JULIAN          TO WS-D420-WORK-JULIAN.
055700     SET X-WS-D420-PDT           TO SS01WS-DD.
055800*
055900     PERFORM SS06PD-DAY-OF-WEEK
056000        THRU SS06PD-DOW-EXIT.
056100*
056200     COMPUTE WS-D420-PDT-DOM (X-WS-D420-PDT)
056300                                 =  SS01WS-DOW + 1.
056400*
056500 B109-PO-SPD-EXIT.
056600     EXIT.
056700*
056800*
056900*
057000 B110-PO-SET-EOM-DAYS SECTION.
057100 B111-PO-SED-BEGIN.
057200*
057300     MOVE SS01WS-DOW             TO WS-D420-PDT-DOM
057400                                    (X-WS-D420-PDT).
057500     SET X-WS-D420-PDT           UP BY 1.
057600*
057700 B119-PO-SED-EXIT.
057800     EXIT.
057900/
058000 C000-PROCESS-CHAINS SECTION.
058100 C010-PC-BEGIN.
058200*
058300     IF  MMSRIO-ORG  IS LESS THAN MMOC-ORG
058400         PERFORM C900-GET-NEXT-CHAIN
058500            THRU C999-GNC-EXIT
058600         GO TO C099-PC-EXIT.
058700*
058800     IF  MMSRIO-ORG  IS NOT EQUAL TO MMOC-ORG
058900         GO TO C099-PC-EXIT.
059000*
059100     MOVE MMSRIO-RECORD          TO MMSR-RECORD.
059200*
059300     IF  MMSR-REC-INCOMPLETE
059400         MOVE 9051               TO WS-D420-O56-MESSAGE-ID
059500         MOVE 'INCOMPLETE STORE CHAIN - BYPASSED'
059600                                 TO WS-D420-O56-TEXT
059700         PERFORM R560-REPORT-56
059800            THRU R569-R56-EXIT.
059900*
060000     IF  MMSR-REC-PURGED
060100         MOVE 9053               TO WS-D420-O56-MESSAGE-ID
060200         MOVE 'PURGED STORE CHAIN - BYPASSED'
060300                                 TO WS-D420-O56-TEXT
060400         PERFORM R560-REPORT-56
060500            THRU R569-R56-EXIT.
060600*
060700     IF  MMSR-REC-INCOMPLETE
060800     OR  MMSR-REC-PURGED
060900         PERFORM C900-GET-NEXT-CHAIN
061000            THRU C999-GNC-EXIT
061100         GO TO C099-PC-EXIT.
061200*
061300     PERFORM D000-CHAIN-PRE-PROCESS
061400        THRU D099-CPP-EXIT.
061500*
061600     PERFORM
061700         UNTIL MTS9IO-ORG-CHAIN IS GREATER THAN MMSR-ORG-CHAIN
061800         INITIALIZE MTS9TB-TABLE-DATA
061900         SET X-MTS9TB            TO 1
062000         PERFORM
062100             UNTIL X-MTS9TB IS GREATER THAN MTS9TB-MAX-ENTRIES
062200                OR MTS9IO-ORG-CHAIN IS GREATER THAN MMSR-ORG-CHAIN
062300             IF  MTS9IO-ORG-CHAIN IS EQUAL TO MMSR-ORG-CHAIN
062400                 MOVE MTS9IO-RECORD
062500                                 TO MTS9-RECORD
062600                 MOVE MTS9-MEMBER
062700                                 TO MTS9TB-MEMBER (X-MTS9TB)
062800                 SET X-MTS9TB    UP BY 1
062900             END-IF
063000             MOVE 'R2S9'         TO SS02WS-ABEND-LOCATION
063100             SET MTS9RB-READ-SEQ TO TRUE
063200             PERFORM MB00PD-MTS9-ACCESS
063300                THRU MB00PD-MTS9-ACCESS-EXIT
063400         END-PERFORM
063500         PERFORM D200-PURGE-CHAIN-MEMBERS
063600            THRU D299-PCM-EXIT
063700     END-PERFORM.
063800*
063900     IF  MMSR-REC-INACTIVE
064000         NEXT SENTENCE
064100     ELSE
064200         PERFORM D100-POST-STATS
064300            THRU D199-PS-EXIT
064400         PERFORM D900-CHAIN-POST-PROCESS
064500            THRU D999-CPP-EXIT.
064600*
064700     MOVE MMSR-RECORD            TO MMSRIO-RECORD.
064800*
064900     MOVE 'U1SR'                 TO SS02WS-ABEND-LOCATION.
065000     SET MMSRRB-REWRITE          TO TRUE.
065100     PERFORM MB00PD-MMSR-ACCESS
065200        THRU MB00PD-MMSR-ACCESS-EXIT.
065300*
065400     PERFORM C900-GET-NEXT-CHAIN
065500        THRU C999-GNC-EXIT.
065600*
065700 C099-PC-EXIT.
065800     EXIT.
065900/
066000 C900-GET-NEXT-CHAIN SECTION.
066100 C910-GNC-BEGIN.
066200*
066300     MOVE 'R3SR'                 TO SS02WS-ABEND-LOCATION.
066400     SET MMSRRB-READ-SEQ         TO TRUE.
066500     PERFORM MB00PD-MMSR-ACCESS
066600        THRU MB00PD-MMSR-ACCESS-EXIT.
066700*
066800 C999-GNC-EXIT.
066900     EXIT.
067000/
067100 D000-CHAIN-PRE-PROCESS SECTION.
067200 D010-CPP-BEGIN.
067300*
067400     IF  MMSR-OCCURRENCE-YEAR    (15) IS EQUAL TO ZERO
067500         MOVE MMOC-DATE-LAST-PROC
067600                                 TO MMSRIR-DATE
067700         PERFORM MMSRPX-INIT-RECORD
067800            THRU MMSRPX-IR-EXIT
067900         MOVE MMSRIR-STATS-CONTROL-AREA
068000                                 TO MMSR-STATS-CONTROL-AREA.
068100*
068200*
068300*
068400     IF  WS-D420-CURR-MM IS NOT EQUAL TO WS-D420-LAST-MM
068500         MOVE MMSR-OCCURRENCE-DESC    (11)
068600                                 TO MMSR-OCCURRENCE-DESC    (12)
068700         MOVE MMSR-OCCURRENCE-DESC    (10)
068800                                 TO MMSR-OCCURRENCE-DESC    (11)
068900         MOVE MMSR-OCCURRENCE-DESC    (9)
069000                                 TO MMSR-OCCURRENCE-DESC    (10)
069100         MOVE MMSR-OCCURRENCE-DESC    (8)
069200                                 TO MMSR-OCCURRENCE-DESC    (9)
069300         MOVE MMSR-OCCURRENCE-DESC    (7)
069400                                 TO MMSR-OCCURRENCE-DESC    (8)
069500         MOVE MMSR-OCCURRENCE-DESC    (6)
069600                                 TO MMSR-OCCURRENCE-DESC    (7)
069700         MOVE MMSR-OCCURRENCE-DESC    (5)
069800                                 TO MMSR-OCCURRENCE-DESC    (6)
069900         MOVE MMSR-OCCURRENCE-DESC    (4)
070000                                 TO MMSR-OCCURRENCE-DESC    (5)
070100         MOVE MMSR-OCCURRENCE-DESC    (3)
070200                                 TO MMSR-OCCURRENCE-DESC    (4)
070300         MOVE MMSR-OCCURRENCE-DESC    (2)
070400                                 TO MMSR-OCCURRENCE-DESC    (3)
070500         MOVE MMSR-OCCURRENCE-DESC    (1)
070600                                 TO MMSR-OCCURRENCE-DESC    (2)
070700         SET X-MMSRIR-OIT        TO WS-D420-LAST-MM
070800         MOVE MMSRIR-OIT (X-MMSRIR-OIT)
070900                                 TO MMSR-OCCURRENCE-ID    (1)
071000         MOVE WS-D420-LAST-YY    TO MMSR-OCCURRENCE-YEAR    (1).
071100*
071200     IF  WS-D420-CURR-YY IS NOT EQUAL TO WS-D420-LAST-YY
071300         MOVE WS-D420-CURR-YY    TO MMSR-OCCURRENCE-YEAR    (15).
071400*
071500     MOVE MMSRIR-OIT (13)        TO MMSR-OCCURRENCE-ID    (13).
071600     MOVE MMSRIR-OIT (14)        TO MMSR-OCCURRENCE-ID    (14).
071700     MOVE MMSRIR-OIT (15)        TO MMSR-OCCURRENCE-ID    (15).
071800     MOVE MMSRIR-OIT (16)        TO MMSR-OCCURRENCE-ID    (16).
071900     MOVE MMSRIR-OIT (17)        TO MMSR-OCCURRENCE-ID    (17).
072000     MOVE MMSRIR-OIT (18)        TO MMSR-OCCURRENCE-ID    (18).
072100     MOVE ZERO                   TO MMSR-OCCURRENCE-YEAR  (13).
072200     MOVE ZERO                   TO MMSR-OCCURRENCE-YEAR  (14).
072300     MOVE ZERO                   TO MMSR-OCCURRENCE-YEAR  (16).
072400     MOVE ZERO                   TO MMSR-OCCURRENCE-YEAR  (17).
072500     MOVE ZERO                   TO MMSR-OCCURRENCE-YEAR  (18).
072600*
072700*
072800*
072900 D099-CPP-EXIT.
073000     EXIT.
073100/
073200 D100-POST-STATS SECTION.
073300 D101-PS-BEGIN.
073400*
073500*    CURRENTLY, THERE IS NO POST STATS LOGIC FOR THIS PROGRAM
073600*
073700*
073800*
073900*
074000*
074100*
074200*
074300*
074400*
074500*
074600*
074700*
074800*
074900*
075000*
075100*
075200*
075300*
075400*
075500*
075600*
075700*
075800*
075900*
076000*
076100*
076200*
076300*
076400*
076500*
076600*
076700*
076800*
076900*
077000*
077100*
077200*
077300*
077400*
077500*
077600*
077700*
077800*
077900*
078000*
078100*
078200*
078300*
078400 D199-PS-EXIT.
078500     EXIT.
078600/
078700 D200-PURGE-CHAIN-MEMBERS SECTION.
078800 D201-PCM-BEGIN.
078900*
079000     IF  MTS9TB-END-OF-TABLE (1)
079100         GO TO D299-PCM-EXIT.
079200*
079300     MOVE LOW-VALUES             TO MMSDIO-KEY
079400     MOVE MMSR-ORG-CHAIN         TO MMSDIO-ORG-CHAIN.
079500*
079600     MOVE 'S1SD'                 TO SS02WS-ABEND-LOCATION.
079700     SET MMSDRB-START-GTE        TO TRUE.
079800     PERFORM MB00PD-MMSD-ACCESS
079900        THRU MB00PD-MMSD-ACCESS-EXIT.
080000*
080100     MOVE 'R1SD'                 TO SS02WS-ABEND-LOCATION.
080200     SET MMSDRB-READ-SEQ         TO TRUE.
080300     PERFORM MB00PD-MMSD-ACCESS
080400        THRU MB00PD-MMSD-ACCESS-EXIT.
080500*
080600     PERFORM
080700         UNTIL MMSDIO-ORG-CHAIN IS GREATER THAN MMSR-ORG-CHAIN
080800         MOVE MMSDIO-RECORD      TO MMSD-RECORD
080900         PERFORM
081000             VARYING X-MTS9TB FROM 1 BY 1
081100             UNTIL   X-MTS9TB IS GREATER THAN MTS9TB-MAX-ENTRIES
081200                OR   MTS9TB-END-OF-TABLE (X-MTS9TB)
081300             IF  MMSD-REC-ACTIVE
081400                 SET X-MMSD-MEMBER
081500                                 TO 1
081600                 SEARCH MMSD-MEMBER-TABLE VARYING X-MMSD-MEMBER
081700                     AT END
081800                         SET X-MMSD-MEMBER
081900                                 TO 1
082000                     WHEN MMSD-MEMBER (X-MMSD-MEMBER) IS EQUAL TO
082100                                 MTS9TB-MEMBER (X-MTS9TB)
082200                      AND MMSD-MEMBER (X-MMSD-MEMBER)
082300                                 IS NOT EQUAL TO ZERO
082400                         MOVE ZERO
082500                                 TO MMSD-MEMBER (X-MMSD-MEMBER)
082600                         IF  MMSD-NBR-OF-MEMBERS
082700                                 IS GREATER THAN ZERO
082800                             SUBTRACT 1
082900                               FROM MMSD-NBR-OF-MEMBERS
083000                         END-IF
083100                 END-SEARCH
083200             END-IF
083300         END-PERFORM
083400         MOVE MMSD-RECORD        TO MMSDIO-RECORD
083500         MOVE 'U2SD'             TO SS02WS-ABEND-LOCATION
083600         SET MMSDRB-REWRITE      TO TRUE
083700         PERFORM MB00PD-MMSD-ACCESS
083800            THRU MB00PD-MMSD-ACCESS-EXIT
083900         MOVE 'W2SD'             TO SS02WS-ABEND-LOCATION
084000         SET MMSDRB-READ-SEQ     TO TRUE
084100         PERFORM MB00PD-MMSD-ACCESS
084200            THRU MB00PD-MMSD-ACCESS-EXIT
084300     END-PERFORM.
084400*
084500 D299-PCM-EXIT.
084600     EXIT.
084700/
084800 D900-CHAIN-POST-PROCESS SECTION.
084900 D910-CPP-BEGIN.
085000*
085100*    CURRENTLY, THERE IS NO POST PROCESS LOGIC FOR THIS PROGRAM
085200*
085300*
085400*
085500*
085600*
085700*
085800*
085900*
086000*
086100*
086200*
086300*
086400*
086500*
086600*
086700*
086800*
086900*
087000*
087100*
087200*
087300*
087400*
087500*
087600*
087700*
087800*
087900*
088000*
088100*
088200*
088300*
088400*
088500*
088600*
088700*
088800*
088900*
089000*
089100*
089200*
089300*
089400*
089500*
089600*
089700*
089800*
089900*
090000 D999-CPP-EXIT.
090100     EXIT.
090200/
090300     COPY MBD42056.
090400/
090500 R980-WRITE-REPORT-FILE SECTION.
090600 R981-WRF-BEGIN.
090700*
090800     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
090900         NEXT SENTENCE
091000     ELSE
091100         MOVE MTRFWS-ORT-FREQ-1  (X-MTRFWS-ORT)
091200                                 TO MTRF-KEY-1
091300         PERFORM R990-OBTAIN-STATIC-DATA
091400            THRU R999-OSD-EXIT
091500         MOVE MTRF-RECORD        TO MTP5IO-RECORD
091600         MOVE 'W1P5'             TO SS02WS-ABEND-LOCATION
091700         SET MTP5RB-WRITE        TO TRUE
091800         PERFORM MB00PD-MTP5-ACCESS
091900            THRU MB00PD-MTP5-ACCESS-EXIT.
092000*
092100     IF  MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
092200         NEXT SENTENCE
092300     ELSE
092400         MOVE MTRFWS-ORT-FREQ-2  (X-MTRFWS-ORT)
092500                                 TO MTRF-KEY-1
092600         PERFORM R990-OBTAIN-STATIC-DATA
092700            THRU R999-OSD-EXIT
092800         MOVE MTRF-RECORD        TO MTP5IO-RECORD
092900         MOVE 'W2P5'             TO SS02WS-ABEND-LOCATION
093000         SET MTP5RB-WRITE        TO TRUE
093100         PERFORM MB00PD-MTP5-ACCESS
093200            THRU MB00PD-MTP5-ACCESS-EXIT.
093300*
093400     MOVE SPACES                 TO MTRF-RECORD.
093500*
093600 R989-WRF-EXIT.
093700     EXIT.
093800/
093900 R990-OBTAIN-STATIC-DATA SECTION.
094000 R990-OSD-BEGIN.
094100*
094200     MOVE WS-D420-RPT-REC-TYPE   TO MTRF-K1-REC-TYPE.
094300*
094400     IF  MTRF-K1-RT-HEADER
094500     OR  MTRF-K1-RT-TRAILER
094600         GO TO R999-OSD-EXIT.
094700*
094800     IF  MTRF-K1-RPT-OPTIONAL
094900     AND MTRF-K1-RPT-NBR IS EQUAL TO 56
095000         IF  WS-D420-O56-MESSAGE-ID IS LESS THAN 1000
095100             MOVE ZERO           TO MTRF-MERCHANT
095200             MOVE ZERO           TO MTRF-STORE
095300             MOVE ZERO           TO MTRF-CHAIN
095400             MOVE SPACES         TO MTRF-BLOCK-CODE
095500             MOVE MMOC-REC-STATUS
095600                                 TO MTRF-REC-STATUS
095700             MOVE MMOC-GNA-NBR (1)
095800                                 TO MTRF-GNA-NBR
095900             MOVE MMOC-NA-OVERFLOW-SW (1)
096000                                 TO MTRF-NA-OVERFLOW-SW
096100             MOVE MMOC-NA-LINE (1 1)
096200                                 TO MTRF-NAME
096300             MOVE MMOC-STATE-CODE (1)
096400                                 TO MTRF-STATE
096500             MOVE MMOC-COUNTRY-CODE (1)
096600                                 TO MTRF-COUNTRY
096700             MOVE ZERO           TO MTRF-STMT-FREQ-1
096800             MOVE ZERO           TO MTRF-STMT-FREQ-2
096900             MOVE ZERO           TO MTRF-DISC-FREQ-1
097000             MOVE ZERO           TO MTRF-DISC-FREQ-2
097100             MOVE ZERO           TO MTRF-PART-FREQ-1
097200             MOVE ZERO           TO MTRF-PART-FREQ-2
097300             MOVE ZERO           TO MTRF-SETT-FREQ-1
097400             MOVE ZERO           TO MTRF-SETT-FREQ-2
097500         MOVE SPACES             TO MTRF-CLOSE-REASON
097600             GO TO R999-OSD-EXIT.
097700*
097800     MOVE ZERO                   TO MTRF-MERCHANT.
097900     MOVE ZERO                   TO MTRF-STORE.
098000     MOVE MMSR-CHAIN             TO MTRF-CHAIN.
098100     MOVE SPACES                 TO MTRF-BLOCK-CODE.
098200     MOVE MMSR-REC-STATUS        TO MTRF-REC-STATUS.
098300     MOVE MMSR-GNA-NBR           TO MTRF-GNA-NBR.
098400     MOVE MMSR-NA-OVERFLOW-SW    TO MTRF-NA-OVERFLOW-SW.
098500     MOVE MMSR-NA-LINE (1)       TO MTRF-NAME.
098600     MOVE MMSR-STATE-CODE        TO MTRF-STATE.
098700     MOVE MMSR-COUNTRY-CODE      TO MTRF-COUNTRY.
098800     MOVE ZERO                   TO MTRF-STMT-FREQ-1.
098900     MOVE ZERO                   TO MTRF-STMT-FREQ-2.
099000     MOVE ZERO                   TO MTRF-DISC-FREQ-1.
099100     MOVE ZERO                   TO MTRF-DISC-FREQ-2.
099200     MOVE ZERO                   TO MTRF-PART-FREQ-1.
099300     MOVE ZERO                   TO MTRF-PART-FREQ-2.
099400     MOVE ZERO                   TO MTRF-SETT-FREQ-1.
099500     MOVE ZERO                   TO MTRF-SETT-FREQ-2.
099600     MOVE SPACES                 TO MTRF-CLOSE-REASON.
099700*
099800 R999-OSD-EXIT.
099900     EXIT.
100000/
100100 9000-PERFORMED-ROUTINES-SECT SECTION.
100200     COPY MB00PD REPLACING ==:MB00:== BY ==MMSR==.
100300/
100400     COPY MMSRPX.
100500/
100600     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
100700/
100800     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
100900/
101000     COPY MB00PD REPLACING ==:MB00:== BY ==MMSD==.
101100/
101200     COPY MB00PD REPLACING ==:MB00:== BY ==MTP5==.
101300/
101400     COPY MTRFPX.
101500/
101600     COPY MB00PD REPLACING ==:MB00:== BY ==MTS9==.
101700/
101800     COPY MB99PD.
101900/
102000     COPY SS02PD.
102100/
102200     COPY SS03PD.
102300/
102400     COPY SS04PD.
102500/
102600     COPY SS06PD.
102700/
102800     COPY SS07PD.
102900/
103000     COPY SS08PD.
103100/
103200     COPY SS09PD.
103300/
103400     COPY SS12PD.
103500/
103600     COPY SS18PD.
103700*
103800 9995-END-SOURCE-STATEMENTS SECTION.
103900 9999-END-OF-PROGRAM.
104000     EXIT.
