000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD520.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700* MBD520 - CREATE/MERGE/BACKUP/RELOAD/RESET ON-LINE STATEMENTS  *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800/
001900 DATA DIVISION.
002000 FILE SECTION.
002100/
002200 WORKING-STORAGE SECTION.
002300*
002400 01  FILLER                  PIC X(12)       VALUE '** WS-BEG **'.
002500*
002600 01  WS-MBD520-WORK-AREAS.
002700     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBD520'.
002800     03  WS-NBR-RECS         PIC S9(11)      COMP-3 VALUE ZERO.
002900     03  WS-NBR-SORT-RECS    PIC S9(11)      COMP-3 VALUE ZERO.
003000     03  WS-GT-OLO-STMT-NBR  PIC S9(11)      COMP-3 VALUE ZERO.
003100     03  WS-GT-PRT-STMT-NBR  PIC S9(11)      COMP-3 VALUE ZERO.
003200     03  WS-OT-OLO-STMT-NBR  PIC S9(11)      COMP-3 VALUE ZERO.
003300     03  WS-OT-PRT-STMT-NBR  PIC S9(11)      COMP-3 VALUE ZERO.
003400     03  WS-STMT-TOT-ORG     PIC  9(03)      VALUE ZERO.
003500     03  WS-MMDT-SW          PIC  X(01)      VALUE 'N'.
003600         88  WS-MMDT-SW-ON                   VALUE 'Y'.
003700         88  WS-MMDT-SW-OFF                  VALUE 'N'.
003800/
003900     COPY MMSCRL.
004000/
004100     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS1==.
004200/
004300     COPY MMDTRL.
004400/
004500     COPY MMS1RL REPLACING ==:MMS1:== BY ==MTSU==.
004600/
004700     COPY MMS1RL REPLACING ==:MMS1:== BY ==MB1I==.
004800/
004900     COPY MMS1RL REPLACING ==:MMS1:== BY ==MB1O==.
005000/
005100     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
005200******************************************************************
005300     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
005400/
005500     COPY MB00RB REPLACING ==:MB00:== BY ==MMS1==.
005600/
005700     COPY MB00RB REPLACING ==:MB00:== BY ==MMDT==.
005800/
005900     COPY MB00RB REPLACING ==:MB00:== BY ==MTSU==.
006000/
006100     COPY MB00RB REPLACING ==:MB00:== BY ==MB1I==.
006200/
006300     COPY MB00RB REPLACING ==:MB00:== BY ==MB1O==.
006400/
006500     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
006600/
006700******************************************************************
006800     COPY MMSCIO.
006900/
007000     COPY MMS1IO REPLACING ==:MMS1:== BY ==MMS1==.
007100/
007200     COPY MMDTIO.
007300/
007400     COPY MMS1IO REPLACING ==:MMS1:== BY ==MTSU==.
007500/
007600     COPY MMS1IO REPLACING ==:MMS1:== BY ==MB1I==.
007700/
007800     COPY MMS1IO REPLACING ==:MMS1:== BY ==MB1O==.
007900/
008000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
008100/
008200     COPY SS00WS.
008300/
008400     COPY SS01WS.
008500/
008600     COPY SS02WS.
008700/
008800     COPY MB00WS.
008900/
009000     COPY MB99WS.
009100/
009200     COPY MB20WS.
009300 01  WS-PRINT-LINE-00        REDEFINES MB20WS-PRINT-LINE.
009400     03  WS-PL00-LIT         PIC  X(40).
009500     03  WS-PL00-DATE        PIC  X(10).
009600     03  FILLER              PIC  X(03).
009700     03  WS-PL00-TIME        PIC  X(08).
009800     03  FILLER              PIC  X(69).
009900 01  WS-PRINT-LINE-02        REDEFINES MB20WS-PRINT-LINE.
010000     03  WS-PL02-LIT         PIC  X(26).
010100     03  FILLER              PIC  X(16).
010200     03  WS-PL02-RECS        PIC  ZZZZZZZZZZ9.
010300     03  FILLER              PIC  X(79).
010400*
010500 01  FILLER                  PIC X(12)       VALUE '** WS-END **'.
010600/
010700 PROCEDURE DIVISION.
010800 A000-PROGRAM-CONTROL-SECT SECTION.
010900 A010-PC-BEGIN.
011000*
011100     MOVE WS-PROG-ID             TO SS02WS-ABEND-PROG-ID.
011200*
011300     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
011400     SET MTCCRB-OPEN-INPUT       TO TRUE.
011500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
011600*
011700     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
011800*
011900 A010-PC-BEGIN-READ-CONTROL.
012000*
012100     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
012200     SET MTCCRB-READ-SEQ         TO TRUE.
012300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
012400*
012500     IF  SS02WS-FS-END-OF-FILE
012600         MOVE 52001              TO SS02WS-ABEND-CODE
012700         MOVE '- MTCC-CONTROL CARD MISSING'
012800                                 TO SS02WS-ABENDMSG8
012900         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
013000*
013100     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
013200*
013300     IF  MTCC-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
013400         GO TO A010-PC-BEGIN-READ-CONTROL.
013500*
013600     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
013700     SET MTCCRB-CLOSE            TO TRUE.
013800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
013900*
014000*
014100     MOVE 'O1CR'                 TO SS02WS-ABEND-LOCATION.
014200     SET MMSCRB-OPEN-INPUT       TO TRUE.
014300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
014400*
014500     MOVE 'R1CR'                 TO SS02WS-ABEND-LOCATION.
014600     SET MMSCRB-READ-SEQ         TO TRUE.
014700     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
014800*
014900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
015000*
015100     IF  MMSCIO-HEADER
015200         NEXT SENTENCE
015300     ELSE
015400         PERFORM MB99PD-MISSING-HEADER-ABEND
015500            THRU MB99PD-MHA-EXIT.
015600*
015700     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
015800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
015900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
016000     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
016100     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
016200     MOVE 'S520'                 TO MB20WS-SH-INTERNAL-RPT-ID.
016300     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
016400     MOVE ZERO                   TO MB20WS-SH-ORG.
016500     MOVE MMSC-PROC-CENTER-ID    TO MB20WS-SH-ORG-NAME.
016600     MOVE ' ON-LINE STATEMENT PROCESSING '
016700                                 TO MB20WS-SH-RPT-NAME.
016800     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
016900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
017000        THRU SS26PD-NED-EXIT.
017100     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
017200     MOVE SPACES                 TO MB20WS-SH-LIT-5.
017300     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINE-LIMIT.
017400     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
017500     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
017600     MOVE 'FILE=MMSC DATE/TIME STAMP'
017700                                 TO WS-PL00-LIT.
017800     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
017900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
018000        THRU SS26PD-NED-EXIT.
018100     MOVE SS01WS-XX-XX-YYYY      TO WS-PL00-DATE.
018200     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
018300     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
018400        THRU SS27PD-NET-EXIT.
018500     MOVE SS01WS-HH-MM-SS        TO WS-PL00-TIME.
018600     PERFORM MB20PD-PRINT-3-LINES THRU MB20PD-P3L-EXIT.
018700*
018800*
018900 A100-PROCESS-CONTROL-CARD.
019000*
019100     IF  MTCC-MBD520-CREATE
019200         PERFORM B000-CREATE-SECT
019300         GO TO A900-PC-CLOSE-FILES.
019400*
019500     IF  MTCC-MBD520-BACKUP
019600         PERFORM C000-BACKUP-DISK-TO-TAPE-SECT
019700         GO TO A900-PC-CLOSE-FILES.
019800*
019900     IF  MTCC-MBD520-RELOAD
020000         PERFORM D000-RELOAD-TAPE-TO-DISK-SECT
020100         GO TO A900-PC-CLOSE-FILES.
020200*
020300     IF  MTCC-MBD520-MERGE
020400         PERFORM G000-MERGE-STMT-ACTIVITY-SECT
020500         GO TO A900-PC-CLOSE-FILES.
020600*
020700     IF  MTCC-MBD520-RESET
020800         PERFORM H000-RESET-FILES-SECT
020900         GO TO A900-PC-CLOSE-FILES.
021000*
021100     MOVE MTCC-RECORD            TO WS-PRINT-LINE-00.
021200     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
021300     MOVE 50002                  TO SS02WS-ABEND-CODE.
021400     MOVE '- MTCC- INVALID CONTROL CARD'
021500                                 TO SS02WS-ABENDMSG8.
021600     PERFORM SS02PD-ABEND        THRU SS02PD-ABEND-EXIT.
021700*
021800 A900-PC-CLOSE-FILES.
021900*
022000     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
022100     SET MMSCRB-CLOSE            TO TRUE.
022200     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
022300*
022400     PERFORM MB20PD-CLOSE-PRINT-FILES
022500        THRU MB20PD-CPF-EXIT.
022600*
022700     GO TO 9999-END-OF-PROGRAM.
022800*
022900 A999-PC-EXIT.
023000     EXIT.
023100/
023200 B000-CREATE-SECT SECTION.
023300 B010-CS-OPEN-FILES.
023400*
023500     MOVE 'O11O'                 TO SS02WS-ABEND-LOCATION.
023600     SET MB1ORB-OPEN-OUTPUT      TO TRUE.
023700     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
023800*
023900     MOVE 'O1DT'                 TO SS02WS-ABEND-LOCATION.
024000     SET MMDTRB-OPEN-IO          TO TRUE.
024100     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
024200*
024300     MOVE 'O1S1'                 TO SS02WS-ABEND-LOCATION.
024400     SET MMS1RB-OPEN-OUTPUT      TO TRUE.
024500     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
024600*
024700     MOVE 'R1DT'                 TO SS02WS-ABEND-LOCATION.
024800     SET MMDTRB-READ-SEQ         TO TRUE.
024900     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
025000*
025100     MOVE 'MMDT'                 TO MB99WS-FILE-ID.
025200*
025300     IF  MMDTIO-HEADER
025400         NEXT SENTENCE
025500     ELSE
025600         PERFORM MB99PD-MISSING-HEADER-ABEND
025700            THRU MB99PD-MHA-EXIT.
025800*
025900     PERFORM
026000         UNTIL WS-MMDT-SW-ON
026100         MOVE 'R2DT'             TO SS02WS-ABEND-LOCATION
026200         SET MMDTRB-READ-SEQ     TO TRUE
026300         PERFORM MB00PD-MMDT-ACCESS THRU MB00PD-MMDT-ACCESS-EXIT
026400         MOVE MMDTIO-RECORD      TO MMDT-RECORD
026500         IF  MMDTIO-TRAILER
026600             MOVE 52003          TO SS02WS-ABEND-CODE
026700             MOVE '- MMDT- MBD520 REC NOT FOUND'
026800                                 TO SS02WS-ABENDMSG
026900             PERFORM SS02PD-ABEND THRU SS02PD-ABEND-EXIT
027000         END-IF
027100         IF  MMDTIO-MBD520
027200             MOVE ZEROS          TO MMDT-MB1O-DATE-STAMP
027300                                    MMDT-MB1O-TIME-STAMP
027400                                    MMDT-MB1O-LAST-DATE-STAMP
027500                                    MMDT-MB1O-LAST-TIME-STAMP
027600             MOVE 'U1DT'         TO SS02WS-ABEND-LOCATION
027700             SET MMDTRB-REWRITE  TO TRUE
027800             PERFORM MB00PD-MMDT-ACCESS
027900                THRU MB00PD-MMDT-ACCESS-EXIT
028000             SET WS-MMDT-SW-ON   TO TRUE
028100         END-IF
028200     END-PERFORM.
028300*
028400     MOVE ZERO                   TO MB1OIO-ORG.
028500     MOVE ZERO                   TO MB1OIO-MERCHANT.
028600     MOVE ZERO                   TO MB1OIO-KEY-TYPE.
028700     MOVE ZERO                   TO MB1OIO-STMT-ID-CODE.
028800     MOVE ZERO                   TO MB1OIO-REC-ID.
028900     MOVE ZERO                   TO MB1OIO-REC-ID-SEQ.
029000     MOVE ZERO                   TO MB1OIO-DATE-STAMP.
029100     MOVE ZERO                   TO MB1OIO-TIME-STAMP.
029200     MOVE LENGTH OF MB1OIO-DATA  TO MB1OIO-REC-LENGTH.
029300*
029400     MOVE ZERO                   TO MMS1IO-ORG.
029500     MOVE ZERO                   TO MMS1IO-MERCHANT.
029600     MOVE ZERO                   TO MMS1IO-KEY-TYPE.
029700     MOVE ZERO                   TO MMS1IO-STMT-ID-CODE.
029800     MOVE ZERO                   TO MMS1IO-REC-ID.
029900     MOVE ZERO                   TO MMS1IO-REC-ID-SEQ.
030000     MOVE ZERO                   TO MMS1IO-DATE-STAMP.
030100     MOVE ZERO                   TO MMS1IO-TIME-STAMP.
030200     MOVE LENGTH OF MMS1IO-DATA  TO MMS1IO-REC-LENGTH.
030300*
030400     MOVE 'W11O'                 TO SS02WS-ABEND-LOCATION.
030500     SET MB1ORB-WRITE            TO TRUE.
030600     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
030700*
030800     MOVE 'W1S1'                 TO SS02WS-ABEND-LOCATION.
030900     SET MMS1RB-WRITE            TO TRUE.
031000     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
031100*
031200     MOVE 999                    TO MB1OIO-ORG.
031300     MOVE 999999999              TO MB1OIO-MERCHANT.
031400     MOVE '9'                    TO MB1OIO-KEY-TYPE.
031500     MOVE -1                     TO MB1OIO-STMT-ID-CODE.
031600     MOVE '9999'                 TO MB1OIO-REC-ID.
031700     MOVE 999999999              TO MB1OIO-REC-ID-SEQ.
031800     MOVE ZERO                   TO MB1OIO-DATE-STAMP.
031900     MOVE ZERO                   TO MB1OIO-TIME-STAMP.
032000     MOVE LENGTH OF MB1OIO-DATA  TO MB1OIO-REC-LENGTH.
032100*
032200     MOVE 999                    TO MMS1IO-ORG.
032300     MOVE 999999999              TO MMS1IO-MERCHANT.
032400     MOVE '9'                    TO MMS1IO-KEY-TYPE.
032500     MOVE -1                     TO MMS1IO-STMT-ID-CODE.
032600     MOVE '9999'                 TO MMS1IO-REC-ID.
032700     MOVE 999999999              TO MMS1IO-REC-ID-SEQ.
032800     MOVE ZERO                   TO MMS1IO-DATE-STAMP.
032900     MOVE ZERO                   TO MMS1IO-TIME-STAMP.
033000     MOVE LENGTH OF MMS1IO-DATA  TO MMS1IO-REC-LENGTH.
033100*
033200     MOVE 'W11O'                 TO SS02WS-ABEND-LOCATION.
033300     SET MB1ORB-WRITE            TO TRUE.
033400     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
033500     MOVE 'MB1O'                 TO MB99WS-FILE-ID.
033600*
033700     MOVE 'W2S1'                 TO SS02WS-ABEND-LOCATION.
033800     SET MMS1RB-WRITE            TO TRUE.
033900     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
034000*
034100     MOVE 'C11O'                 TO SS02WS-ABEND-LOCATION.
034200     SET MB1ORB-CLOSE            TO TRUE.
034300     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
034400*
034500     MOVE 'C1DT'                 TO SS02WS-ABEND-LOCATION.
034600     SET MMDTRB-CLOSE            TO TRUE.
034700     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
034800*
034900     MOVE 'C1S1'                 TO SS02WS-ABEND-LOCATION.
035000     SET MMS1RB-CLOSE            TO TRUE.
035100     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
035200*
035300     MOVE '*** FILES ARE INITIALIZED ***'
035400                                 TO WS-PL00-LIT.
035500     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
035600*
035700 B999-CT-EXIT.
035800     EXIT.
035900/
036000 C000-BACKUP-DISK-TO-TAPE-SECT SECTION.
036100 C010-BDTT-OPEN-FILES.
036200*
036300     MOVE '*** BACKUP IN PROGRESS ***'
036400                                 TO WS-PL00-LIT.
036500     PERFORM MB20PD-PRINT-2-LINES
036600                                 THRU MB20PD-P2L-EXIT.
036700*
036800     MOVE 'O21O'                 TO SS02WS-ABEND-LOCATION.
036900     SET MB1ORB-OPEN-OUTPUT      TO TRUE.
037000     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
037100*
037200     MOVE 'O2DT'                 TO SS02WS-ABEND-LOCATION.
037300     SET MMDTRB-OPEN-IO          TO TRUE.
037400     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
037500*
037600     MOVE 'O2S1'                 TO SS02WS-ABEND-LOCATION.
037700     SET MMS1RB-OPEN-INPUT       TO TRUE.
037800     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
037900*
038000     MOVE 'R3DT'                 TO SS02WS-ABEND-LOCATION.
038100     SET MMDTRB-READ-SEQ         TO TRUE.
038200     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
038300*
038400     MOVE 'MMDT'                 TO MB99WS-FILE-ID.
038500*
038600     IF  MMDTIO-HEADER
038700         NEXT SENTENCE
038800     ELSE
038900         PERFORM MB99PD-MISSING-HEADER-ABEND
039000            THRU MB99PD-MHA-EXIT.
039100*
039200     PERFORM
039300         UNTIL WS-MMDT-SW-ON
039400         MOVE 'R4DT'             TO SS02WS-ABEND-LOCATION
039500         SET MMDTRB-READ-SEQ     TO TRUE
039600         PERFORM MB00PD-MMDT-ACCESS THRU MB00PD-MMDT-ACCESS-EXIT
039700         MOVE MMDTIO-RECORD      TO MMDT-RECORD
039800         IF  MMDTIO-TRAILER
039900             MOVE 52004          TO SS02WS-ABEND-CODE
040000             MOVE '- MMDT- MBD520 REC NOT FOUND'
040100                                 TO SS02WS-ABENDMSG
040200             PERFORM SS02PD-ABEND THRU SS02PD-ABEND-EXIT
040300         END-IF
040400         IF  MMDTIO-MBD520
040500             SET WS-MMDT-SW-ON   TO TRUE
040600         END-IF
040700     END-PERFORM.
040800*
040900     MOVE 'R1S1'                 TO SS02WS-ABEND-LOCATION.
041000     SET MMS1RB-READ-SEQ         TO TRUE.
041100     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
041200     MOVE 'MMS1'                 TO MB99WS-FILE-ID.
041300*
041400     IF  MMS1IO-HEADER
041500         NEXT SENTENCE
041600     ELSE
041700         PERFORM MB99PD-MISSING-HEADER-ABEND
041800            THRU MB99PD-MHA-EXIT.
041900*
042000     MOVE MMS1IO-DATE-STAMP      TO MB99WS-PROC-DATE.
042100     MOVE MMS1IO-TIME-STAMP      TO MB99WS-PROC-TIME.
042200     MOVE MMDT-MB1O-DATE-STAMP   TO MB99WS-FILE-DATE.
042300     MOVE MMDT-MB1O-TIME-STAMP   TO MB99WS-FILE-TIME.
042400     PERFORM MB99PD-CHECK-DATE-TIME
042500        THRU MB99PD-CDT-EXIT.
042600*
042700     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
042800     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
042900*
043000     MOVE 'MMS1'                 TO MB99WS-FILE-ID.
043100*
043200     MOVE 'FILE=MMS1 DATE/TIME STAMP'
043300                                 TO WS-PL00-LIT.
043400     MOVE MMS1IO-DATE-STAMP      TO WS-PL00-DATE.
043500     MOVE MMS1IO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
043600     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
043700        THRU SS27PD-NET-EXIT.
043800     MOVE SS01WS-HH-MM-SS        TO WS-PL00-TIME.
043900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
044000*
044100     MOVE MMS1IO-DATE-STAMP      TO MB99WS-FILE-DATE.
044200     MOVE MMS1IO-TIME-STAMP      TO MB99WS-FILE-TIME.
044300     PERFORM MB99PD-CHECK-DATE-TIME
044400        THRU MB99PD-CDT-EXIT.
044500*
044600     MOVE SS02WS-END-OF-FILE     TO MMS1RB-PERM-STATUS-1.
044700*
044800     GO TO C200-BDTT-FIRST-TIME-BYPASS.
044900*
045000 C100-BDTT-COPY-THE-FILE.
045100*
045200     MOVE 'R2S1'                 TO SS02WS-ABEND-LOCATION.
045300     SET MMS1RB-READ-SEQ         TO TRUE.
045400     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
045500*
045600     IF  SS02WS-FS-END-OF-FILE
045700         GO TO C900-BDTT-CLOSE-FILES.
045800*
045900 C200-BDTT-FIRST-TIME-BYPASS.
046000*
046100     MOVE MMS1IO-RECORD          TO MB1OIO-RECORD.
046200*
046300     MOVE 'W31O'                 TO SS02WS-ABEND-LOCATION.
046400     SET MB1ORB-WRITE            TO TRUE.
046500     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
046600*
046700     ADD 1                       TO WS-NBR-RECS.
046800*
046900     GO TO C100-BDTT-COPY-THE-FILE.
047000*
047100 C900-BDTT-CLOSE-FILES.
047200*
047300     MOVE 'C2S1'                 TO SS02WS-ABEND-LOCATION.
047400     SET MMS1RB-CLOSE            TO TRUE.
047500     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
047600*
047700     MOVE 'C21O'                 TO SS02WS-ABEND-LOCATION.
047800     SET MB1ORB-CLOSE            TO TRUE.
047900     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
048000*
048100     MOVE 'C2DT'                 TO SS02WS-ABEND-LOCATION.
048200     SET MMDTRB-CLOSE            TO TRUE.
048300     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
048400*
048500     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
048600     MOVE '*** NUMBER OF RECORDS ***'
048700                                 TO WS-PL02-LIT.
048800     MOVE WS-NBR-RECS            TO WS-PL02-RECS.
048900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
049000*
049100 C999-BDTT-EXIT.
049200     EXIT.
049300/
049400 D000-RELOAD-TAPE-TO-DISK-SECT SECTION.
049500 D010-RTTD-OPEN-FILES.
049600*
049700     MOVE '*** RELOAD IN PROGRESS ***'
049800                                 TO WS-PL00-LIT.
049900     PERFORM MB20PD-PRINT-2-LINES
050000                                 THRU MB20PD-P2L-EXIT.
050100*
050200     MOVE 'O3S1'                 TO SS02WS-ABEND-LOCATION.
050300     SET MMS1RB-OPEN-OUTPUT      TO TRUE.
050400     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
050500*
050600     MOVE 'O1SI'                 TO SS02WS-ABEND-LOCATION.
050700     SET MB1IRB-OPEN-INPUT       TO TRUE.
050800     PERFORM MB00PD-MB1I-ACCESS  THRU MB00PD-MB1I-ACCESS-EXIT.
050900*
051000     MOVE 'O3DT'                 TO SS02WS-ABEND-LOCATION.
051100     SET MMDTRB-OPEN-IO          TO TRUE.
051200     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
051300*
051400     MOVE 'R5DT'                 TO SS02WS-ABEND-LOCATION.
051500     SET MMDTRB-READ-SEQ         TO TRUE.
051600     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
051700*
051800     MOVE 'MMDT'                 TO MB99WS-FILE-ID.
051900*
052000     IF  MMDTIO-HEADER
052100         NEXT SENTENCE
052200     ELSE
052300         PERFORM MB99PD-MISSING-HEADER-ABEND
052400            THRU MB99PD-MHA-EXIT.
052500*
052600     PERFORM
052700         UNTIL WS-MMDT-SW-ON
052800         MOVE 'R6DT'             TO SS02WS-ABEND-LOCATION
052900         SET MMDTRB-READ-SEQ     TO TRUE
053000         PERFORM MB00PD-MMDT-ACCESS THRU MB00PD-MMDT-ACCESS-EXIT
053100         MOVE MMDTIO-RECORD      TO MMDT-RECORD
053200         IF  MMDTIO-TRAILER
053300             MOVE 52005          TO SS02WS-ABEND-CODE
053400             MOVE '- MMDT- MBD520 REC NOT FOUND'
053500                                 TO SS02WS-ABENDMSG
053600             PERFORM SS02PD-ABEND THRU SS02PD-ABEND-EXIT
053700         END-IF
053800         IF  MMDTIO-MBD520
053900             SET WS-MMDT-SW-ON   TO TRUE
054000         END-IF
054100     END-PERFORM.
054200*
054300     MOVE 'R1SI'                 TO SS02WS-ABEND-LOCATION.
054400     SET MB1IRB-READ-SEQ         TO TRUE.
054500     PERFORM MB00PD-MB1I-ACCESS  THRU MB00PD-MB1I-ACCESS-EXIT.
054600     MOVE 'MB1I'                 TO MB99WS-FILE-ID.
054700*
054800     IF  MB1IIO-HEADER
054900         NEXT SENTENCE
055000     ELSE
055100         PERFORM MB99PD-MISSING-HEADER-ABEND
055200            THRU MB99PD-MHA-EXIT.
055300*
055400     MOVE 'FILE=MB1I DATE/TIME STAMP'
055500                                 TO WS-PL00-LIT.
055600     MOVE MB1IIO-DATE-STAMP      TO SS01WS-JULIAN.
055700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
055800        THRU SS26PD-NED-EXIT.
055900     MOVE SS01WS-XX-XX-YYYY      TO WS-PL00-DATE.
056000     MOVE MB1IIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
056100     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
056200        THRU SS27PD-NET-EXIT.
056300     MOVE SS01WS-HH-MM-SS        TO WS-PL00-TIME.
056400     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
056500*
056600     MOVE MMDT-MB1O-DATE-STAMP   TO MB99WS-PROC-DATE.
056700     MOVE MMDT-MB1O-TIME-STAMP   TO MB99WS-PROC-TIME.
056800     MOVE MB1IIO-DATE-STAMP      TO MB99WS-FILE-DATE.
056900     MOVE MB1IIO-TIME-STAMP      TO MB99WS-FILE-TIME.
057000     PERFORM MB99PD-CHECK-DATE-TIME
057100        THRU MB99PD-CDT-EXIT.
057200*
057300     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
057400     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
057500*
057600     MOVE SS02WS-END-OF-FILE     TO MB1IRB-PERM-STATUS-1.
057700*
057800     GO TO D200-RTTD-FIRST-TIME-BYPASS.
057900*
058000 D100-RTTD-COPY-THE-FILE.
058100*
058200     MOVE 'R2SI'                 TO SS02WS-ABEND-LOCATION.
058300     SET MB1IRB-READ-SEQ         TO TRUE.
058400     PERFORM MB00PD-MB1I-ACCESS  THRU MB00PD-MB1I-ACCESS-EXIT.
058500*
058600     IF  SS02WS-FS-END-OF-FILE
058700         GO TO D900-RTTD-CLOSE-FILES.
058800*
058900 D200-RTTD-FIRST-TIME-BYPASS.
059000*
059100     MOVE MB1IIO-RECORD          TO MMS1IO-RECORD.
059200*
059300     ADD 1                       TO WS-NBR-RECS.
059400*
059500     MOVE 'W1S1'                 TO SS02WS-ABEND-LOCATION.
059600     SET MMS1RB-WRITE            TO TRUE.
059700     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
059800*
059900     GO TO D100-RTTD-COPY-THE-FILE.
060000*
060100 D900-RTTD-CLOSE-FILES.
060200*
060300     MOVE 'C3DT'                 TO SS02WS-ABEND-LOCATION.
060400     SET MMDTRB-CLOSE            TO TRUE.
060500     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
060600*
060700     SET MB1IRB-CLOSE            TO TRUE.
060800     PERFORM MB00PD-MB1I-ACCESS  THRU MB00PD-MB1I-ACCESS-EXIT.
060900*
061000     MOVE 'C3S1'                 TO SS02WS-ABEND-LOCATION.
061100     SET MMS1RB-CLOSE            TO TRUE.
061200     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
061300*
061400     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
061500     MOVE '*** NUMBER OF RECORDS ***'
061600                                 TO WS-PL02-LIT.
061700     MOVE WS-NBR-RECS            TO WS-PL02-RECS.
061800     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
061900*
062000 D999-RTTD-EXIT.
062100     EXIT.
062200/
062300 G000-MERGE-STMT-ACTIVITY-SECT SECTION.
062400 G010-MSA-OPEN-FILES.
062500*
062600     MOVE 'O1SU'                 TO SS02WS-ABEND-LOCATION.
062700     SET MTSURB-OPEN-INPUT       TO TRUE.
062800     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT.
062900*
063000     MOVE 'O21I'                 TO SS02WS-ABEND-LOCATION.
063100     SET MB1IRB-OPEN-INPUT       TO TRUE.
063200     PERFORM MB00PD-MB1I-ACCESS  THRU MB00PD-MB1I-ACCESS-EXIT.
063300*
063400     MOVE 'O4DT'                 TO SS02WS-ABEND-LOCATION.
063500     SET MMDTRB-OPEN-IO          TO TRUE.
063600     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
063700*
063800     MOVE 'R7DT'                 TO SS02WS-ABEND-LOCATION.
063900     SET MMDTRB-READ-SEQ         TO TRUE.
064000     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
064100*
064200     MOVE 'MMDT'                 TO MB99WS-FILE-ID.
064300*
064400     IF  MMDTIO-HEADER
064500         NEXT SENTENCE
064600     ELSE
064700         PERFORM MB99PD-MISSING-HEADER-ABEND
064800            THRU MB99PD-MHA-EXIT.
064900*
065000     PERFORM
065100         UNTIL WS-MMDT-SW-ON
065200         MOVE 'R8DT'             TO SS02WS-ABEND-LOCATION
065300         SET MMDTRB-READ-SEQ     TO TRUE
065400         PERFORM MB00PD-MMDT-ACCESS THRU MB00PD-MMDT-ACCESS-EXIT
065500         MOVE MMDTIO-RECORD      TO MMDT-RECORD
065600         IF  MMDTIO-TRAILER
065700             MOVE 52006          TO SS02WS-ABEND-CODE
065800             MOVE '- MMDT- MBD520 REC NOT FOUND'
065900                                 TO SS02WS-ABENDMSG
066000             PERFORM SS02PD-ABEND THRU SS02PD-ABEND-EXIT
066100         END-IF
066200         IF  MMDTIO-MBD520
066300             MOVE MMDT-MB1O-DATE-STAMP
066400                                 TO MMDT-MB1O-LAST-DATE-STAMP
066500             MOVE MMDT-MB1O-TIME-STAMP
066600                                 TO MMDT-MB1O-LAST-TIME-STAMP
066700             MOVE MMSC-TODAYS-JULIAN
066800                                 TO MMDT-MB1O-DATE-STAMP
066900             MOVE MMSC-TIME-STAMP
067000                                 TO MMDT-MB1O-TIME-STAMP
067100             SET WS-MMDT-SW-ON   TO TRUE
067200         END-IF
067300     END-PERFORM.
067400*
067500     MOVE 'R1SU'                 TO SS02WS-ABEND-LOCATION.
067600     SET MTSURB-READ-SEQ         TO TRUE.
067700     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT.
067800     MOVE 'MTSU'                 TO MB99WS-FILE-ID.
067900*
068000     IF  MTSUIO-HEADER
068100         NEXT SENTENCE
068200     ELSE
068300         PERFORM MB99PD-MISSING-HEADER-ABEND
068400            THRU MB99PD-MHA-EXIT.
068500*
068600     MOVE 'FILE=MTSU DATE/TIME STAMP'
068700                                 TO WS-PL00-LIT.
068800     MOVE MTSUIO-DATE-STAMP      TO SS01WS-JULIAN.
068900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
069000        THRU SS26PD-NED-EXIT.
069100     MOVE SS01WS-XX-XX-YYYY      TO WS-PL00-DATE.
069200     MOVE MTSUIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
069300     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
069400        THRU SS27PD-NET-EXIT.
069500     MOVE SS01WS-HH-MM-SS        TO WS-PL00-TIME.
069600     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
069700*
069800     MOVE MTSUIO-DATE-STAMP      TO MB99WS-FILE-DATE.
069900     MOVE MTSUIO-TIME-STAMP      TO MB99WS-FILE-TIME.
070000     PERFORM MB99PD-CHECK-DATE-TIME
070100        THRU MB99PD-CDT-EXIT.
070200*
070300     MOVE 'R21I'                 TO SS02WS-ABEND-LOCATION.
070400     SET MB1IRB-READ-SEQ         TO TRUE.
070500     PERFORM MB00PD-MB1I-ACCESS  THRU MB00PD-MB1I-ACCESS-EXIT.
070600     MOVE 'MB1I'                 TO MB99WS-FILE-ID.
070700*
070800     IF  MB1IIO-HEADER
070900         NEXT SENTENCE
071000     ELSE
071100         PERFORM MB99PD-MISSING-HEADER-ABEND
071200            THRU MB99PD-MHA-EXIT.
071300*
071400     MOVE 'FILE=MB1I DATE/TIME STAMP'
071500                                 TO WS-PL00-LIT.
071600     MOVE MB1IIO-DATE-STAMP      TO SS01WS-JULIAN.
071700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
071800        THRU SS26PD-NED-EXIT.
071900     MOVE SS01WS-XX-XX-YYYY      TO WS-PL00-DATE.
072000     MOVE MB1IIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
072100     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
072200        THRU SS27PD-NET-EXIT.
072300     MOVE SS01WS-HH-MM-SS        TO WS-PL00-TIME.
072400     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
072500*
072600*
072700     MOVE MMDT-MB1O-LAST-DATE-STAMP
072800                                 TO MB99WS-PROC-DATE.
072900     MOVE MMDT-MB1O-LAST-TIME-STAMP
073000                                 TO MB99WS-PROC-TIME.
073100     MOVE MB1IIO-DATE-STAMP      TO MB99WS-FILE-DATE.
073200     MOVE MB1IIO-TIME-STAMP      TO MB99WS-FILE-TIME.
073300     PERFORM MB99PD-CHECK-DATE-TIME
073400        THRU MB99PD-CDT-EXIT.
073500     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
073600     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
073700*
073800*
073900     MOVE 'O31O'                 TO SS02WS-ABEND-LOCATION.
074000     SET MB1ORB-OPEN-OUTPUT      TO TRUE.
074100     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
074200     MOVE MB1IIO-RECORD          TO MB1OIO-RECORD.
074300     MOVE MMDT-MB1O-DATE-STAMP   TO MB1OIO-DATE-STAMP.
074400     MOVE MMDT-MB1O-TIME-STAMP   TO MB1OIO-TIME-STAMP.
074500*
074600     MOVE 'W41O'                 TO SS02WS-ABEND-LOCATION.
074700     SET MB1ORB-WRITE            TO TRUE.
074800     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
074900*
075000*
075100*
075200     MOVE 'O4S1'                 TO SS02WS-ABEND-LOCATION.
075300     SET MMS1RB-OPEN-OUTPUT      TO TRUE.
075400     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
075500*
075600     MOVE MB1IIO-RECORD          TO MMS1IO-RECORD.
075700     MOVE MMDT-MB1O-DATE-STAMP   TO MMS1IO-DATE-STAMP.
075800     MOVE MMDT-MB1O-TIME-STAMP   TO MMS1IO-TIME-STAMP.
075900*
076000     MOVE 'W4S1'                 TO SS02WS-ABEND-LOCATION.
076100     SET MMS1RB-WRITE            TO TRUE.
076200     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
076300*
076400     MOVE 'R2SU'                 TO SS02WS-ABEND-LOCATION.
076500     SET MTSURB-READ-SEQ         TO TRUE.
076600     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT
076700         UNTIL MTSUIO-ORG IS GREATER THAN ZERO.
076800*
076900     MOVE MTSUIO-RECORD          TO MTSU-RECORD.
077000*
077100     MOVE 'R21I'                 TO SS02WS-ABEND-LOCATION.
077200     SET MB1IRB-READ-SEQ         TO TRUE.
077300     PERFORM MB00PD-MB1I-ACCESS  THRU MB00PD-MB1I-ACCESS-EXIT.
077400*
077500     MOVE MB1IIO-RECORD          TO MB1I-RECORD.
077600     ADD 1                       TO WS-NBR-RECS.
077700*
077800 G100-MSA-ALIGN-FILES.
077900*
078000     IF  MTSU-TRAILER
078100     AND MB1IIO-TRAILER
078200         GO TO G900-MSA-CLOSE-FILES.
078300*
078400     IF  MTSU-KEY IS LESS THAN MB1IIO-KEY
078500         PERFORM G500-MSA-PROCESS-MTSU
078600                                 THRU G599-MSA-PAA-EXIT
078700         GO TO G100-MSA-ALIGN-FILES.
078800*
078900     IF  MTSU-KEY IS GREATER THAN MB1IIO-KEY
079000         PERFORM G600-MSA-PROCESS-MB1I
079100                                 THRU G699-MSA-PA-EXIT
079200         GO TO G100-MSA-ALIGN-FILES.
079300*
079400     MOVE 50007                  TO SS02WS-ABEND-CODE.
079500     MOVE 'DUPLICATE STMT RECORDS'
079600                                 TO SS02WS-ABENDMSG8.
079700     PERFORM SS02PD-ABEND        THRU SS02PD-ABEND-EXIT.
079800*
079900*
080000*
080100 G500-MSA-PROCESS-MTSU.
080200*
080300     MOVE MTSU-RECORD            TO MB1OIO-RECORD.
080400
080500     MOVE 'W51O'                 TO SS02WS-ABEND-LOCATION.
080600     SET MB1ORB-WRITE            TO TRUE.
080700     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
080800*
080900     ADD 1                       TO WS-NBR-SORT-RECS.
081000*
081100     MOVE MTSU-RECORD            TO MMS1IO-RECORD.
081200*
081300     MOVE 'W5S1'                 TO SS02WS-ABEND-LOCATION.
081400     SET MMS1RB-WRITE            TO TRUE.
081500     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
081600*
081700     MOVE 'R3SU'                 TO SS02WS-ABEND-LOCATION.
081800     SET MTSURB-READ-SEQ         TO TRUE.
081900     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT.
082000*
082100     MOVE MTSUIO-RECORD          TO MTSU-RECORD.
082200*
082300 G599-MSA-PAA-EXIT.
082400     EXIT.
082500*
082600*
082700*
082800 G600-MSA-PROCESS-MB1I.
082900*
083000     MOVE MB1I-RECORD            TO MB1OIO-RECORD.
083100
083200     MOVE 'W61O'                 TO SS02WS-ABEND-LOCATION.
083300     SET MB1ORB-WRITE            TO TRUE.
083400     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
083500*
083600     MOVE MB1I-RECORD            TO MMS1IO-RECORD.
083700*
083800     MOVE 'W6S1'                 TO SS02WS-ABEND-LOCATION.
083900     SET MMS1RB-WRITE            TO TRUE.
084000     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
084100*
084200     MOVE 'R41I'                 TO SS02WS-ABEND-LOCATION.
084300     SET MB1IRB-READ-SEQ         TO TRUE.
084400     PERFORM MB00PD-MB1I-ACCESS  THRU MB00PD-MB1I-ACCESS-EXIT.
084500*
084600     MOVE MB1IIO-RECORD          TO MB1I-RECORD.
084700     ADD 1                       TO WS-NBR-RECS.
084800*
084900 G699-MSA-PA-EXIT.
085000     EXIT.
085100*
085200 G900-MSA-CLOSE-FILES.
085300*
085400     MOVE 'C1SM'                 TO SS02WS-ABEND-LOCATION.
085500     SET MTSURB-CLOSE            TO TRUE.
085600     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT.
085700*
085800     MOVE 'C2SI'                 TO SS02WS-ABEND-LOCATION.
085900     SET MB1IRB-CLOSE            TO TRUE.
086000     PERFORM MB00PD-MB1I-ACCESS  THRU MB00PD-MB1I-ACCESS-EXIT.
086100*
086200     MOVE 999                    TO MB1OIO-ORG.
086300     MOVE 999999999              TO MB1OIO-MERCHANT.
086400     MOVE '9'                    TO MB1OIO-KEY-TYPE.
086500     MOVE -1                     TO MB1OIO-STMT-ID-CODE.
086600     MOVE '9999'                 TO MB1OIO-REC-ID.
086700     MOVE 999999999              TO MB1OIO-REC-ID-SEQ.
086800     MOVE ZERO                   TO MB1OIO-DATE-STAMP.
086900     MOVE ZERO                   TO MB1OIO-TIME-STAMP.
087000     MOVE LENGTH OF MB1OIO-DATA  TO MB1OIO-REC-LENGTH.
087100*
087200     MOVE 'W71O'                 TO SS02WS-ABEND-LOCATION.
087300     SET MB1ORB-WRITE            TO TRUE.
087400     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
087500*
087600     MOVE 'C31O'                 TO SS02WS-ABEND-LOCATION.
087700     SET MB1ORB-CLOSE            TO TRUE.
087800     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
087900*
088000     MOVE 999                    TO MMS1IO-ORG.
088100     MOVE 999999999              TO MMS1IO-MERCHANT.
088200     MOVE '9'                    TO MMS1IO-KEY-TYPE.
088300     MOVE -1                     TO MMS1IO-STMT-ID-CODE.
088400     MOVE '9999'                 TO MMS1IO-REC-ID.
088500     MOVE 999999999              TO MMS1IO-REC-ID-SEQ.
088600     MOVE ZERO                   TO MMS1IO-DATE-STAMP.
088700     MOVE ZERO                   TO MMS1IO-TIME-STAMP.
088800     MOVE LENGTH OF MMS1IO-DATA  TO MMS1IO-REC-LENGTH.
088900*
089000     MOVE 'W7S1'                 TO SS02WS-ABEND-LOCATION.
089100     SET MMS1RB-WRITE            TO TRUE.
089200     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
089300*
089400     MOVE 'C4S1'                 TO SS02WS-ABEND-LOCATION.
089500     SET MMS1RB-CLOSE            TO TRUE.
089600     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
089700*
089800     MOVE MMDT-RECORD            TO MMDTIO-RECORD.
089900     MOVE 'W3DT'                 TO SS02WS-ABEND-LOCATION.
090000     SET MMDTRB-REWRITE          TO TRUE.
090100     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
090200*
090300     MOVE 'C4DT'                 TO SS02WS-ABEND-LOCATION.
090400     SET MMDTRB-CLOSE            TO TRUE.
090500     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
090600*
090700     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
090800     MOVE '  PREVIOUS RECORDS ON FILE'
090900                                 TO WS-PL02-LIT.
091000     MOVE WS-NBR-RECS            TO WS-PL02-RECS.
091100     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
091200*
091300     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
091400     MOVE '+ RECORDS INSERTED TODAY  '
091500                                 TO WS-PL02-LIT.
091600     MOVE WS-NBR-SORT-RECS       TO WS-PL02-RECS.
091700     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
091800*
091900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
092000     MOVE '= TOTAL RECORDS ON FILE   '
092100                                 TO WS-PL02-LIT.
092200*
092300     COMPUTE WS-PL02-RECS        =  WS-NBR-RECS
092400                                 +  WS-NBR-SORT-RECS.
092500*
092600     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
092700*
092800 G999-MSA-EXIT.
092900     EXIT.
093000/
093100 H000-RESET-FILES-SECT SECTION.
093200 H010-RF-BEGIN.
093300*
093400     MOVE 'O41O'                 TO SS02WS-ABEND-LOCATION.
093500     SET MB1ORB-OPEN-OUTPUT      TO TRUE.
093600     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
093700*
093800     MOVE 'O5S1'                 TO SS02WS-ABEND-LOCATION.
093900     SET MMS1RB-OPEN-OUTPUT      TO TRUE.
094000     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
094100*
094200     MOVE 'O5DT'                 TO SS02WS-ABEND-LOCATION.
094300     SET MMDTRB-OPEN-IO          TO TRUE.
094400     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
094500*
094600     MOVE 'R8DT'                 TO SS02WS-ABEND-LOCATION.
094700     SET MMDTRB-READ-SEQ         TO TRUE.
094800     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
094900*
095000     MOVE 'MMDT'                 TO MB99WS-FILE-ID.
095100*
095200     IF  MMDTIO-HEADER
095300         NEXT SENTENCE
095400     ELSE
095500         PERFORM MB99PD-MISSING-HEADER-ABEND
095600            THRU MB99PD-MHA-EXIT.
095700*
095800     PERFORM
095900         UNTIL WS-MMDT-SW-ON
096000         MOVE 'R9DT'             TO SS02WS-ABEND-LOCATION
096100         SET MMDTRB-READ-SEQ     TO TRUE
096200         PERFORM MB00PD-MMDT-ACCESS THRU MB00PD-MMDT-ACCESS-EXIT
096300         MOVE MMDTIO-RECORD      TO MMDT-RECORD
096400         IF  MMDTIO-TRAILER
096500             MOVE 52008          TO SS02WS-ABEND-CODE
096600             MOVE '- MMDT- MBD520 REC NOT FOUND'
096700                                 TO SS02WS-ABENDMSG
096800             PERFORM SS02PD-ABEND THRU SS02PD-ABEND-EXIT
096900         END-IF
097000         IF  MMDTIO-MBD520
097100             MOVE MMDT-MB1O-DATE-STAMP
097200                                 TO MMDT-MB1O-LAST-DATE-STAMP
097300             MOVE MMDT-MB1O-TIME-STAMP
097400                                 TO MMDT-MB1O-LAST-TIME-STAMP
097500             MOVE MMSC-TODAYS-JULIAN
097600                                 TO MMDT-MB1O-DATE-STAMP
097700             MOVE MMSC-TIME-STAMP
097800                                 TO MMDT-MB1O-TIME-STAMP
097900             SET WS-MMDT-SW-ON   TO TRUE
098000         END-IF
098100     END-PERFORM.
098200*
098300     MOVE ZERO                   TO MB1OIO-ORG.
098400     MOVE ZERO                   TO MB1OIO-MERCHANT.
098500     MOVE ZERO                   TO MB1OIO-KEY-TYPE.
098600     MOVE ZERO                   TO MB1OIO-STMT-ID-CODE.
098700     MOVE ZERO                   TO MB1OIO-REC-ID.
098800     MOVE ZERO                   TO MB1OIO-REC-ID-SEQ.
098900     MOVE ZERO                   TO MB1OIO-DATE-STAMP.
099000     MOVE ZERO                   TO MB1OIO-TIME-STAMP.
099100     MOVE LENGTH OF MB1OIO-DATA  TO MB1OIO-REC-LENGTH.
099200*
099300     MOVE ZERO                   TO MMS1IO-ORG.
099400     MOVE ZERO                   TO MMS1IO-MERCHANT.
099500     MOVE ZERO                   TO MMS1IO-KEY-TYPE.
099600     MOVE ZERO                   TO MMS1IO-STMT-ID-CODE.
099700     MOVE ZERO                   TO MMS1IO-REC-ID.
099800     MOVE ZERO                   TO MMS1IO-REC-ID-SEQ.
099900     MOVE ZERO                   TO MMS1IO-DATE-STAMP.
100000     MOVE ZERO                   TO MMS1IO-TIME-STAMP.
100100     MOVE LENGTH OF MMS1IO-DATA  TO MMS1IO-REC-LENGTH.
100200*
100300     MOVE 'W81O'                 TO SS02WS-ABEND-LOCATION.
100400     SET MB1ORB-WRITE            TO TRUE.
100500     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
100600*
100700     MOVE 'W8S1'                 TO SS02WS-ABEND-LOCATION.
100800     SET MMS1RB-WRITE            TO TRUE.
100900     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
101000*
101100     MOVE 999                    TO MB1OIO-ORG.
101200     MOVE 999999999              TO MB1OIO-MERCHANT.
101300     MOVE '9'                    TO MB1OIO-KEY-TYPE.
101400     MOVE -1                     TO MB1OIO-STMT-ID-CODE.
101500     MOVE '9999'                 TO MB1OIO-REC-ID.
101600     MOVE 999999999              TO MB1OIO-REC-ID-SEQ.
101700     MOVE ZERO                   TO MB1OIO-DATE-STAMP.
101800     MOVE ZERO                   TO MB1OIO-TIME-STAMP.
101900     MOVE LENGTH OF MB1OIO-DATA  TO MB1OIO-REC-LENGTH.
102000*
102100     MOVE 999                    TO MMS1IO-ORG.
102200     MOVE 999999999              TO MMS1IO-MERCHANT.
102300     MOVE '9'                    TO MMS1IO-KEY-TYPE.
102400     MOVE -1                     TO MMS1IO-STMT-ID-CODE.
102500     MOVE '9999'                 TO MMS1IO-REC-ID.
102600     MOVE 999999999              TO MMS1IO-REC-ID-SEQ.
102700     MOVE ZERO                   TO MMS1IO-DATE-STAMP.
102800     MOVE ZERO                   TO MMS1IO-TIME-STAMP.
102900     MOVE LENGTH OF MMS1IO-DATA  TO MMS1IO-REC-LENGTH.
103000*
103100     MOVE 'W91O'                 TO SS02WS-ABEND-LOCATION.
103200     SET MB1ORB-WRITE            TO TRUE.
103300     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
103400*
103500     MOVE 'W9S1'                 TO SS02WS-ABEND-LOCATION.
103600     SET MMS1RB-WRITE            TO TRUE.
103700     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
103800*
103900     MOVE MMDT-RECORD            TO MMDTIO-RECORD.
104000     MOVE 'W3DT'                 TO SS02WS-ABEND-LOCATION.
104100     SET MMDTRB-REWRITE          TO TRUE.
104200     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
104300*
104400     MOVE 'C41O'                 TO SS02WS-ABEND-LOCATION.
104500     SET MB1ORB-CLOSE            TO TRUE.
104600     PERFORM MB00PD-MB1O-ACCESS  THRU MB00PD-MB1O-ACCESS-EXIT.
104700*
104800     MOVE 'C5S1'                 TO SS02WS-ABEND-LOCATION.
104900     SET MMS1RB-CLOSE            TO TRUE.
105000     PERFORM MB00PD-MMS1-ACCESS  THRU MB00PD-MMS1-ACCESS-EXIT.
105100*
105200     MOVE 'C5DT'                 TO SS02WS-ABEND-LOCATION.
105300     SET MMDTRB-CLOSE            TO TRUE.
105400     PERFORM MB00PD-MMDT-ACCESS  THRU MB00PD-MMDT-ACCESS-EXIT.
105500*
105600     MOVE '*** FILES ARE RESET ***'
105700                                 TO WS-PL00-LIT.
105800     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
105900*
106000 H999-RF-EXIT.
106100     EXIT.
106200*
106300 I999-AAA-EXIT.
106400     EXIT.
106500/
106600 9900-PERFORMED-ROUTINES-SECT SECTION.
106700*
106800     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
106900/
107000     COPY MB00PD REPLACING ==:MB00:== BY ==MMS1==.
107100/
107200     COPY MB00PD REPLACING ==:MB00:== BY ==MMDT==.
107300/
107400     COPY MB00PD REPLACING ==:MB00:== BY ==MTSU==.
107500/
107600     COPY MB00PD REPLACING ==:MB00:== BY ==MB1I==.
107700/
107800     COPY MB00PD REPLACING ==:MB00:== BY ==MB1O==.
107900/
108000     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
108100/
108200     COPY MB99PD.
108300/
108400     COPY MB20PD.
108500/
108600     COPY SS02PD.
108700/
108800     COPY SS08PD.
108900/
109000     COPY SS16PD.
109100/
109200     COPY SS26PD.
109300/
109400     COPY SS27PD.
109500*
109600 9995-END-SOURCE-STATEMENTS SECTION.
109700 9999-END-OF-PROGRAM.
109800     STOP RUN.
