000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD600.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBD600 - ACTIVITY RECAP UPDATE AND GL INTERFACE         *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400*
001500 FILE-CONTROL.
001600*
001700     COPY MS1SES.
001800/
001900 DATA DIVISION.
002000 FILE SECTION.
002100*
002200     COPY MS1SSD.
002300     COPY MTGLRL REPLACING ==:MTGL:== BY ==MTGI==.
002400/
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*
002900 01  WS-MBD600-WORK-AREAS.
003000     03  WS-D600-RUN-BAL-CUR PIC S9(17)      COMP-3 VALUE ZERO.
003100     03  WS-D600-LAST-MM     PIC  9(02)      VALUE ZERO.
003200     03  WS-D600-LAST-DD     PIC  9(02)      VALUE ZERO.
003300     03  WS-D600-LAST-YY     PIC  9(04)      VALUE ZERO.
003400     03  WS-D600-CURR-MM     PIC  9(02)      VALUE ZERO.
003500     03  WS-D600-CURR-DD     PIC  9(02)      VALUE ZERO.
003600     03  WS-D600-CURR-YY     PIC  9(04)      VALUE ZERO.
003700     03  WS-D600-NEXT-MM     PIC  9(02)      VALUE ZERO.
003800     03  WS-D600-NEXT-DD     PIC  9(02)      VALUE ZERO.
003900     03  WS-D600-NEXT-YY     PIC  9(04)      VALUE ZERO.
004000     03  WS-D600-ACCR-MM     PIC  9(02)      VALUE ZERO.
004100     03  WS-D600-ACCR-DD     PIC  9(02)      VALUE ZERO.
004200     03  WS-D600-ACCR-YY     PIC  9(04)      VALUE ZERO.
004300     03  WS-D600-LACC-MM     PIC  9(02)      VALUE ZERO.
004400     03  WS-D600-LACC-DD     PIC  9(02)      VALUE ZERO.
004500     03  WS-D600-LACC-YY     PIC  9(04)      VALUE ZERO.
004600     03  WS-D600-EOM-SW-1    PIC  X(01)      VALUE 'N'.
004700         88  WS-D600-END-OF-MONTH            VALUE 'E'.
004800     03  WS-D600-EOM-SW-2    PIC  X(01)      VALUE 'N'.
004900         88  WS-D600-BEG-OF-MONTH            VALUE 'B'.
005000     03  WS-D600-EOQ-SW      PIC  X(01)      VALUE 'N'.
005100         88  WS-D600-BEG-OF-QUARTER          VALUE 'B'.
005200         88  WS-D600-END-OF-QUARTER          VALUE 'E'.
005300     03  WS-D600-EOY-SW      PIC  X(01)      VALUE 'N'.
005400         88  WS-D600-BEG-OF-YEAR             VALUE 'B'.
005500         88  WS-D600-END-OF-YEAR             VALUE 'E'.
005600/
005700     COPY MMSCRL.
005800/
005900     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
006000/
006100     COPY MMSCIO.
006200/
006300     COPY MMOCRL.
006400/
006500     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
006600/
006700     COPY MMOCIO.
006800/
006900     COPY MMAMRL REPLACING ==:MMAM:== BY ==MMAM==.
007000/
007100     COPY MB00RB REPLACING ==:MB00:== BY ==MMAM==.
007200/
007300     COPY MMAMIO REPLACING ==:MMAM:== BY ==MMAM==.
007400/
007500     COPY MMAMWS.
007600/
007700     COPY MMAMIR REPLACING ==:MMAM:== BY ==MMAM==.
007800/
007900     COPY MMAMRL REPLACING ==:MMAM:== BY ==MTAM==.
008000/
008100     COPY MB00RB REPLACING ==:MB00:== BY ==MTAM==.
008200/
008300     COPY MMAMIO REPLACING ==:MMAM:== BY ==MTAM==.
008400/
008500     COPY MTGLRL REPLACING ==:MTGL:== BY ==MTGL==.
008600/
008700     COPY MB00RB REPLACING ==:MB00:== BY ==MTGL==.
008800/
008900     COPY MTGLIO REPLACING ==:MTGL:== BY ==MTGL==.
009000/
009100     COPY MTGLIR REPLACING ==:MTGL:== BY ==MTGL==.
009200/
009300     COPY MB00RB REPLACING ==:MB00:== BY ==MTGI==.
009400/
009500     COPY MTGLIO REPLACING ==:MTGL:== BY ==MTGI==.
009600/
009700     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
009800/
009900     COPY MB00WS.
010000/
010100     COPY MB99WS.
010200/
010300     COPY MMAMRL REPLACING ==:MMAM:== BY ==MWAM==.
010400/
010500     COPY SS00WS.
010600/
010700     COPY SS01WS.
010800/
010900     COPY SS02WS.
011000*
011100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011200/
011300 PROCEDURE DIVISION.
011400 A000-MAIN-LINE-SECT SECTION.
011500 A010-ML-BEGIN.
011600*
011700     MOVE 'MBD600'               TO SS02WS-ABEND-PROG-ID.
011800*
011900     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
012000     SET MMSCRB-OPEN-INPUT       TO TRUE.
012100     PERFORM MB00PD-MMSC-ACCESS
012200        THRU MB00PD-MMSC-ACCESS-EXIT.
012300*
012400     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
012500     SET MMSCRB-READ-SEQ         TO TRUE.
012600     PERFORM MB00PD-MMSC-ACCESS
012700        THRU MB00PD-MMSC-ACCESS-EXIT.
012800     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
012900*
013000     IF  MMSCIO-HEADER
013100         NEXT SENTENCE
013200     ELSE
013300         PERFORM MB99PD-MISSING-HEADER-ABEND
013400            THRU MB99PD-MHA-EXIT.
013500*
013600     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013700     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
013800     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
013900*
014000     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
014100     SET MMOCRB-OPEN-INPUT       TO TRUE.
014200     PERFORM MB00PD-MMOC-ACCESS
014300        THRU MB00PD-MMOC-ACCESS-EXIT.
014400*
014500     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
014600     SET MMOCRB-READ-SEQ         TO TRUE.
014700     PERFORM MB00PD-MMOC-ACCESS
014800        THRU MB00PD-MMOC-ACCESS-EXIT.
014900     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
015000*
015100     IF  MMOCIO-HEADER
015200         NEXT SENTENCE
015300     ELSE
015400         PERFORM MB99PD-MISSING-HEADER-ABEND
015500            THRU MB99PD-MHA-EXIT.
015600*
015700     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
015800     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
015900     PERFORM MB99PD-CHECK-DATE-TIME
016000        THRU MB99PD-CDT-EXIT.
016100*
016200*
016300*
016400     SORT MS1S-SORT-FILE
016500         ON ASCENDING KEY MTGI-KEY
016600         INPUT  PROCEDURE IS B000-SORT-RECAP-INPUT-SECT
016700         OUTPUT PROCEDURE IS C000-UPDATE-RECAP-FILE-SECT.
016800*
016900     PERFORM SS98PD-VERIFY-SORT-RETURN
017000        THRU SS98PD-VSR-EXIT.
017100*
017200*
017300*
017400     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
017500     SET MMOCRB-CLOSE            TO TRUE.
017600     PERFORM MB00PD-MMOC-ACCESS
017700        THRU MB00PD-MMOC-ACCESS-EXIT.
017800*
017900     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
018000     SET MMSCRB-CLOSE            TO TRUE.
018100     PERFORM MB00PD-MMSC-ACCESS
018200        THRU MB00PD-MMSC-ACCESS-EXIT.
018300*
018400     STOP RUN.
018500*
018600 A999-ML-EXIT.
018700     EXIT.
018800/
018900 B000-SORT-RECAP-INPUT-SECT SECTION.
019000 B010-SRI-BEGIN.
019100*
019200     MOVE 'O1GI'                 TO SS02WS-ABEND-LOCATION.
019300     SET MTGIRB-OPEN-INPUT       TO TRUE.
019400     PERFORM MB00PD-MTGI-ACCESS
019500        THRU MB00PD-MTGI-ACCESS-EXIT.
019600*
019700*
019800*
019900     MOVE 'R0GI'                 TO SS02WS-ABEND-LOCATION.
020000     SET MTGIRB-READ-SEQ         TO TRUE.
020100     PERFORM MB00PD-MTGI-ACCESS
020200        THRU MB00PD-MTGI-ACCESS-EXIT.
020300     MOVE 'MTGI'                 TO MB99WS-FILE-ID.
020400*
020500     IF  MTGIIO-HEADER
020600         NEXT SENTENCE
020700     ELSE
020800         PERFORM MB99PD-MISSING-HEADER-ABEND
020900            THRU MB99PD-MHA-EXIT.
021000*
021100     MOVE MTGIIO-DATE-STAMP      TO MB99WS-FILE-DATE.
021200     MOVE MTGIIO-TIME-STAMP      TO MB99WS-FILE-TIME.
021300     PERFORM MB99PD-CHECK-DATE-TIME
021400        THRU MB99PD-CDT-EXIT.
021500*
021600*
021700*
021800     PERFORM B100-LOAD-GI-TO-SORT
021900        THRU B199-LGITS-EXIT
022000        UNTIL MTGIIO-TRAILER.
022100*
022200     MOVE 'C1GI'                 TO SS02WS-ABEND-LOCATION.
022300     SET MTGIRB-CLOSE            TO TRUE.
022400     PERFORM MB00PD-MTGI-ACCESS
022500        THRU MB00PD-MTGI-ACCESS-EXIT.
022600*
022700     GO TO B999-SRI-EXIT.
022800*
022900*
023000*
023100 B100-LOAD-GI-TO-SORT.
023200*
023300     MOVE 'R1GI'                 TO SS02WS-ABEND-LOCATION.
023400     SET MTGIRB-READ-SEQ         TO TRUE.
023500     PERFORM MB00PD-MTGI-ACCESS
023600        THRU MB00PD-MTGI-ACCESS-EXIT.
023700     MOVE MTGIIO-RECORD          TO MTGL-RECORD.
023800*
023900     PERFORM B800-RELEASE-SORT
024000        THRU B899-RS-EXIT.
024100*
024200 B199-LGITS-EXIT.
024300     EXIT.
024400*
024500*
024600*
024700 B800-RELEASE-SORT.
024800*
024900     IF  MTGL-HEADER
025000     OR  MTGL-TRAILER
025100         GO TO B899-RS-EXIT.
025200*
025300     MOVE MTGL-RECORD            TO MTGI-RECORD.
025400*
025500     RELEASE MTGI-RECORD.
025600*
025700 B899-RS-EXIT.
025800     EXIT.
025900*
026000*
026100*
026200 B999-SRI-EXIT.
026300     EXIT.
026400/
026500 C000-UPDATE-RECAP-FILE-SECT SECTION.
026600 C010-URF-BEGIN.
026700*
026800     MOVE 'O1AM'                 TO SS02WS-ABEND-LOCATION.
026900     SET MMAMRB-OPEN-INPUT       TO TRUE.
027000     PERFORM MB00PD-MMAM-ACCESS
027100        THRU MB00PD-MMAM-ACCESS-EXIT.
027200*
027300     MOVE 'OAAM'                 TO SS02WS-ABEND-LOCATION.
027400     SET MTAMRB-OPEN-OUTPUT      TO TRUE.
027500     PERFORM MB00PD-MTAM-ACCESS
027600        THRU MB00PD-MTAM-ACCESS-EXIT.
027700*
027800     MOVE 'O1GL'                 TO SS02WS-ABEND-LOCATION.
027900     SET MTGLRB-OPEN-OUTPUT      TO TRUE.
028000     PERFORM MB00PD-MTGL-ACCESS
028100        THRU MB00PD-MTGL-ACCESS-EXIT.
028200*
028300*
028400*
028500     MOVE 'R0AM'                 TO SS02WS-ABEND-LOCATION.
028600     SET MMAMRB-READ-SEQ         TO TRUE.
028700     PERFORM MB00PD-MMAM-ACCESS
028800        THRU MB00PD-MMAM-ACCESS-EXIT.
028900     MOVE 'MMAM'                 TO MB99WS-FILE-ID.
029000*
029100     IF  MMAMIO-HEADER
029200         NEXT SENTENCE
029300     ELSE
029400         PERFORM MB99PD-MISSING-HEADER-ABEND
029500            THRU MB99PD-MHA-EXIT.
029600*
029700     MOVE MMAMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
029800     MOVE MMAMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
029900     PERFORM MB99PD-CHECK-DATE-TIME
030000        THRU MB99PD-CDT-EXIT.
030100*
030200*
030300*
030400     MOVE SPACES                 TO MTAMIO-RECORD.
030500     MOVE ZERO                   TO MTAMIO-KEY.
030600     MOVE MMSC-TODAYS-JULIAN     TO MTAMIO-DATE-STAMP.
030700     MOVE MMSC-TIME-STAMP        TO MTAMIO-TIME-STAMP.
030800*
030900     MOVE 'WAAM'                 TO SS02WS-ABEND-LOCATION.
031000     SET MTAMRB-WRITE            TO TRUE.
031100     PERFORM MB00PD-MTAM-ACCESS
031200        THRU MB00PD-MTAM-ACCESS-EXIT.
031300*
031400*
031500*
031600     MOVE SPACES                 TO MTGLIO-RECORD.
031700     MOVE ZERO                   TO MTGLIO-KEY.
031800     MOVE MMSC-TODAYS-JULIAN     TO MTGLIO-DATE-STAMP.
031900     MOVE MMSC-TIME-STAMP        TO MTGLIO-TIME-STAMP.
032000*
032100     MOVE 'W0GL'                 TO SS02WS-ABEND-LOCATION.
032200     SET MTGLRB-WRITE            TO TRUE.
032300     PERFORM MB00PD-MTGL-ACCESS
032400        THRU MB00PD-MTGL-ACCESS-EXIT.
032500*
032600*
032700*
032800     PERFORM C800-RETURN-SORT-RECORD
032900        THRU C899-RSR-EXIT.
033000*
033100*
033200*
033300     PERFORM C100-PROCESS-ORG
033400        THRU C199-PO-EXIT
033500        UNTIL MMOCIO-TRAILER.
033600*
033700*
033800*
033900     MOVE SPACES                 TO MTAMIO-RECORD.
034000     MOVE ALL '9'                TO MTAMIO-KEY.
034100     MOVE MMSC-TODAYS-JULIAN     TO MTAMIO-DATE-STAMP.
034200     MOVE MMSC-TIME-STAMP        TO MTAMIO-TIME-STAMP.
034300*
034400     MOVE 'WZAM'                 TO SS02WS-ABEND-LOCATION.
034500     SET MTAMRB-WRITE            TO TRUE.
034600     PERFORM MB00PD-MTAM-ACCESS
034700        THRU MB00PD-MTAM-ACCESS-EXIT.
034800*
034900*
035000*
035100     MOVE SPACES                 TO MTGLIO-RECORD.
035200     MOVE ALL '9'                TO MTGLIO-KEY.
035300     MOVE MMSC-TODAYS-JULIAN     TO MTGLIO-DATE-STAMP.
035400     MOVE MMSC-TIME-STAMP        TO MTGLIO-TIME-STAMP.
035500*
035600     MOVE 'W9GL'                 TO SS02WS-ABEND-LOCATION.
035700     SET MTGLRB-WRITE            TO TRUE.
035800     PERFORM MB00PD-MTGL-ACCESS
035900        THRU MB00PD-MTGL-ACCESS-EXIT.
036000*
036100*
036200*
036300     MOVE 'C1AM'                 TO SS02WS-ABEND-LOCATION.
036400     SET MMAMRB-CLOSE            TO TRUE.
036500     PERFORM MB00PD-MMAM-ACCESS
036600        THRU MB00PD-MMAM-ACCESS-EXIT.
036700*
036800     MOVE 'CAAM'                 TO SS02WS-ABEND-LOCATION.
036900     SET MTAMRB-CLOSE            TO TRUE.
037000     PERFORM MB00PD-MTAM-ACCESS
037100        THRU MB00PD-MTAM-ACCESS-EXIT.
037200*
037300     MOVE 'C1GL'                 TO SS02WS-ABEND-LOCATION.
037400     SET MTGLRB-CLOSE            TO TRUE.
037500     PERFORM MB00PD-MTGL-ACCESS
037600        THRU MB00PD-MTGL-ACCESS-EXIT.
037700*
037800     GO TO C999-URF-EXIT.
037900*
038000*
038100*
038200 C100-PROCESS-ORG.
038300*
038400     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
038500     SET MMOCRB-READ-SEQ         TO TRUE.
038600     PERFORM MB00PD-MMOC-ACCESS
038700        THRU MB00PD-MMOC-ACCESS-EXIT.
038800*
038900     IF  MMOCIO-TRAILER
039000         GO TO C199-PO-EXIT.
039100*
039200     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
039300*
039400     IF  MMOC-REC-INCOMPLETE
039500     OR  MMOC-REC-PURGED
039600     OR  MMOC-ADD-PENDING
039700         GO TO C199-PO-EXIT.
039800*
039900     MOVE MMOC-DATE-LAST-PROC TO SS01WS-JULIAN.
040000     PERFORM SS08PD-JUL-TO-GREG
040100        THRU SS08PD-JTG-EXIT.
040200     MOVE SS01WS-MM              TO WS-D600-LAST-MM.
040300     MOVE SS01WS-DD              TO WS-D600-LAST-DD.
040400     MOVE SS01WS-YEAR            TO WS-D600-LAST-YY.
040500*
040600     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
040700     PERFORM SS08PD-JUL-TO-GREG
040800        THRU SS08PD-JTG-EXIT.
040900     MOVE SS01WS-MM              TO WS-D600-CURR-MM.
041000     MOVE SS01WS-DD              TO WS-D600-CURR-DD.
041100     MOVE SS01WS-YEAR            TO WS-D600-CURR-YY.
041200*
041300     MOVE MMOC-DATE-NEXT-PROC TO SS01WS-JULIAN.
041400     PERFORM SS08PD-JUL-TO-GREG
041500        THRU SS08PD-JTG-EXIT.
041600     MOVE SS01WS-MM              TO WS-D600-NEXT-MM.
041700     MOVE SS01WS-DD              TO WS-D600-NEXT-DD.
041800     MOVE SS01WS-YEAR            TO WS-D600-NEXT-YY.
041900*
042000     MOVE 'N'                    TO WS-D600-EOM-SW-1.
042100     MOVE 'N'                    TO WS-D600-EOM-SW-2.
042200     MOVE 'N'                    TO WS-D600-EOQ-SW.
042300     MOVE 'N'                    TO WS-D600-EOY-SW.
042400*
042500     IF  WS-D600-CURR-MM IS NOT EQUAL TO WS-D600-NEXT-MM
042600         MOVE 'E'                TO WS-D600-EOM-SW-1.
042700*
042800     IF  WS-D600-CURR-MM IS NOT EQUAL TO WS-D600-LAST-MM
042900         MOVE 'B'                TO WS-D600-EOM-SW-2.
043000*
043100     IF   WS-D600-CURR-MM IS NOT EQUAL TO WS-D600-NEXT-MM
043200     AND (WS-D600-CURR-MM IS EQUAL TO 03
043300     OR   WS-D600-CURR-MM IS EQUAL TO 06
043400     OR   WS-D600-CURR-MM IS EQUAL TO 09
043500     OR   WS-D600-CURR-MM IS EQUAL TO 12)
043600         MOVE 'E'                TO WS-D600-EOQ-SW
043700     ELSE
043800         IF   WS-D600-CURR-MM IS NOT EQUAL TO WS-D600-LAST-MM
043900         AND (WS-D600-CURR-MM IS EQUAL TO 01
044000         OR   WS-D600-CURR-MM IS EQUAL TO 04
044100         OR   WS-D600-CURR-MM IS EQUAL TO 07
044200         OR   WS-D600-CURR-MM IS EQUAL TO 10)
044300             MOVE 'B'            TO WS-D600-EOQ-SW.
044400*
044500     IF  WS-D600-CURR-YY IS NOT EQUAL TO WS-D600-NEXT-YY
044600         MOVE 'E'                TO WS-D600-EOY-SW
044700     ELSE
044800         IF  WS-D600-CURR-YY IS NOT EQUAL TO WS-D600-LAST-YY
044900             MOVE 'B'            TO WS-D600-EOY-SW.
045000*
045100*
045200*
045300     PERFORM C300-INITIALIZE-RECORD
045400        THRU C399-IR-EXIT.
045500*
045600     MOVE ZERO                   TO MMAMIO-KEY.
045700     MOVE MMOC-ORG               TO MMAMIO-ORG.
045800*
045900     MOVE 'S1AM'                 TO SS02WS-ABEND-LOCATION.
046000     SET MMAMRB-START-GTE        TO TRUE.
046100     PERFORM MB00PD-MMAM-ACCESS
046200        THRU MB00PD-MMAM-ACCESS-EXIT.
046300*
046400     MOVE 'R1AM'                 TO SS02WS-ABEND-LOCATION.
046500     SET MMAMRB-READ-SEQ         TO TRUE.
046600     PERFORM MB00PD-MMAM-ACCESS
046700        THRU MB00PD-MMAM-ACCESS-EXIT.
046800*
046900     MOVE MMAMIO-RECORD          TO MMAM-RECORD.
047000     MOVE LOW-VALUES             TO MWAM-RECORD.
047100*
047200     PERFORM C200-PROCESS-RECAP-MASTER
047300        THRU C299-PRM-EXIT
047400        UNTIL MMAM-ORG IS GREATER THAN MMOC-ORG
047500          AND MTGL-ORG IS GREATER THAN MMOC-ORG.
047600*
047700 C199-PO-EXIT.
047800     EXIT.
047900/
048000 C200-PROCESS-RECAP-MASTER.
048100*
048200     IF  MMAM-ORG IS LESS THAN MMOC-ORG
048300         MOVE 'R2AM'             TO SS02WS-ABEND-LOCATION
048400         SET MMAMRB-READ-SEQ     TO TRUE
048500         PERFORM MB00PD-MMAM-ACCESS
048600            THRU MB00PD-MMAM-ACCESS-EXIT
048700         MOVE MMAMIO-RECORD      TO MMAM-RECORD
048800         GO TO C299-PRM-EXIT.
048900*
049000     IF  MMAM-KEY IS EQUAL TO MWAM-KEY
049100         NEXT SENTENCE
049200     ELSE
049300         PERFORM C500-PRE-PROCESS-RECAP
049400            THRU C599-PPR-EXIT.
049500*
049600     MOVE LOW-VALUES             TO MWAM-RECORD.
049700*
049800     PERFORM C400-PROCESS-TODAYS-ACTIVITY
049900        THRU C499-PTA-EXIT
050000        UNTIL MTGL-KEY IS GREATER THAN MMAM-KEY.
050100*
050200     PERFORM C700-CHECK-RECAP-MASTER-PURGE
050300        THRU C799-CRMP-EXIT.
050400*
050500     IF  MMAM-REC-PURGED
050600         NEXT SENTENCE
050700     ELSE
050800         PERFORM C600-RUNNING-BALANCE
050900            THRU C699-RB-EXIT
051000         MOVE WS-D600-CURR-YY    TO MMAM-OCCURRENCE-YEAR (16)
051100         MOVE MMAM-RECORD        TO MTAMIO-RECORD
051200         MOVE 'WBAM'             TO SS02WS-ABEND-LOCATION
051300         SET MTAMRB-WRITE        TO TRUE
051400         PERFORM MB00PD-MTAM-ACCESS
051500            THRU MB00PD-MTAM-ACCESS-EXIT.
051600*
051700     IF  MWAM-KEY IS NOT EQUAL TO LOW-VALUES
051800         MOVE MWAM-RECORD        TO MMAM-RECORD
051900     ELSE
052000         MOVE 'R3AM'             TO SS02WS-ABEND-LOCATION
052100         SET MMAMRB-READ-SEQ     TO TRUE
052200         PERFORM MB00PD-MMAM-ACCESS
052300            THRU MB00PD-MMAM-ACCESS-EXIT
052400         MOVE MMAMIO-RECORD      TO MMAM-RECORD.
052500*
052600 C299-PRM-EXIT.
052700     EXIT.
052800/
052900 C300-INITIALIZE-RECORD.
053000*
053100     MOVE MMOC-DATE-LAST-PROC TO MMAMIR-DATE.
053200*
053300     IF  WS-D600-CURR-MM IS EQUAL TO WS-D600-LAST-MM
053400         MOVE MMOC-TODAYS-JULIAN TO SS01WS-JULIAN
053500         MOVE 31                 TO SS01WS-DAY-OF-MON
053600         MOVE 1                  TO SS01WS-FREQ
053700         MOVE 'M'                TO SS01WS-PERIOD
053800         PERFORM SS10PD-BACKUP-DATE
053900            THRU SS10PD-BD-EXIT
054000         MOVE SS01WS-JULIAN      TO MMAMIR-DATE.
054100*
054200     PERFORM MMAMPX-INIT-RECORD
054300        THRU MMAMPX-IR-EXIT.
054400*
054500 C399-IR-EXIT.
054600     EXIT.
054700/
054800 C400-PROCESS-TODAYS-ACTIVITY.
054900*
055000     IF  MTGL-KEY IS LESS THAN MMAM-KEY
055100         MOVE MMAM-RECORD        TO MWAM-RECORD
055200         PERFORM C300-INITIALIZE-RECORD
055300            THRU C399-IR-EXIT
055400         MOVE MMAMIR-RECORD      TO MMAM-RECORD
055500         MOVE MTGL-KEY           TO MMAM-KEY
055600         PERFORM C500-PRE-PROCESS-RECAP
055700            THRU C599-PPR-EXIT.
055800*
055900*
056000     IF  MTGL-TC-BEG-BALANCE
056100     OR  MTGL-TC-END-BALANCE
056200         MOVE 1                  TO MMAM-NUMBER (13)
056300         MOVE MTGL-AMOUNT        TO MMAM-AMOUNT (13)
056400     ELSE
056500         ADD  MTGL-NBR-ITEMS     TO MMAM-NUMBER (13)
056600         ADD  MTGL-NBR-ITEMS     TO MMAM-NUMBER (14)
056700         ADD  MTGL-NBR-ITEMS     TO MMAM-NUMBER (15)
056800         ADD  MTGL-NBR-ITEMS     TO MMAM-NUMBER (16)
056900         ADD  MTGL-AMOUNT        TO MMAM-AMOUNT (13)
057000         ADD  MTGL-AMOUNT        TO MMAM-AMOUNT (14)
057100         ADD  MTGL-AMOUNT        TO MMAM-AMOUNT (15)
057200         ADD  MTGL-AMOUNT        TO MMAM-AMOUNT (16).
057300*
057400     IF  WS-D600-BEG-OF-QUARTER
057500     AND MTGL-TC-BEG-BALANCE
057600         MOVE 1                  TO MMAM-NUMBER (14)
057700         MOVE MTGL-AMOUNT        TO MMAM-AMOUNT (14).
057800*
057900     IF  WS-D600-BEG-OF-MONTH
058000     AND MTGL-TC-BEG-BALANCE
058100         MOVE 1                  TO MMAM-NUMBER (15)
058200         MOVE MTGL-AMOUNT        TO MMAM-AMOUNT (15).
058300*
058400     IF  WS-D600-BEG-OF-YEAR
058500     AND MTGL-TC-BEG-BALANCE
058600         MOVE 1                  TO MMAM-NUMBER (16)
058700         MOVE MTGL-AMOUNT        TO MMAM-AMOUNT (16).
058800*
058900     IF  MTGL-TC-END-BALANCE
059000         MOVE 1                  TO MMAM-NUMBER (14)
059100         MOVE 1                  TO MMAM-NUMBER (15)
059200         MOVE 1                  TO MMAM-NUMBER (16)
059300         MOVE MTGL-AMOUNT        TO MMAM-AMOUNT (14)
059400         MOVE MTGL-AMOUNT        TO MMAM-AMOUNT (15)
059500         MOVE MTGL-AMOUNT        TO MMAM-AMOUNT (16).
059600*
059700     MOVE MTGL-TYPE              TO MMAM-TYPE.
059800     MOVE MTGL-RPT-DESC          TO MMAM-RPT-DESC.
059900*
060000     PERFORM C800-RETURN-SORT-RECORD
060100        THRU C899-RSR-EXIT.
060200*
060300 C499-PTA-EXIT.
060400     EXIT.
060500/
060600 C500-PRE-PROCESS-RECAP.
060700*
060800     IF  WS-D600-BEG-OF-MONTH
060900         MOVE MMAM-TABLE (11)    TO MMAM-TABLE (12)
061000         MOVE MMAM-TABLE (10)    TO MMAM-TABLE (11)
061100         MOVE MMAM-TABLE (9)     TO MMAM-TABLE (10)
061200         MOVE MMAM-TABLE (8)     TO MMAM-TABLE (9)
061300         MOVE MMAM-TABLE (7)     TO MMAM-TABLE (8)
061400         MOVE MMAM-TABLE (6)     TO MMAM-TABLE (7)
061500         MOVE MMAM-TABLE (5)     TO MMAM-TABLE (6)
061600         MOVE MMAM-TABLE (4)     TO MMAM-TABLE (5)
061700         MOVE MMAM-TABLE (3)     TO MMAM-TABLE (4)
061800         MOVE MMAM-TABLE (2)     TO MMAM-TABLE (3)
061900         MOVE MMAM-TABLE (1)     TO MMAM-TABLE (2)
062000         MOVE MMAM-TABLE (15)    TO MMAM-TABLE (1)
062100         SET X-MMAMIR-OIT        TO WS-D600-LAST-MM
062200         MOVE MMAMIR-OIT  (X-MMAMIR-OIT)
062300                                 TO MMAM-OCCURRENCE-ID (1)
062400         MOVE WS-D600-LAST-YY    TO MMAM-OCCURRENCE-YEAR (1)
062500         MOVE ZERO               TO MMAM-NUMBER (15)
062600         MOVE ZERO               TO MMAM-AMOUNT (15).
062700*
062800     IF  MMOC-NOT-PROCESSING
062900     AND (MTGL-TC-BEG-BALANCE
063000     OR   MTGL-TC-END-BALANCE)
063100         NEXT SENTENCE
063200     ELSE
063300         MOVE ZERO               TO MMAM-NUMBER (13)
063400         MOVE ZERO               TO MMAM-AMOUNT (13).
063500*
063600     IF  MMOC-NOT-PROCESSING
063700     AND MMAM-TC-WHSE
063800         MOVE ZERO               TO MMAM-NUMBER (13)
063900         MOVE ZERO               TO MMAM-AMOUNT (13).
064000*
064100     IF  WS-D600-BEG-OF-QUARTER
064200         MOVE MMAM-TABLE (22)    TO MMAM-TABLE (23)
064300         MOVE MMAM-TABLE (21)    TO MMAM-TABLE (22)
064400         MOVE MMAM-TABLE (20)    TO MMAM-TABLE (21)
064500         MOVE MMAM-TABLE (19)    TO MMAM-TABLE (20)
064600         MOVE MMAM-TABLE (18)    TO MMAM-TABLE (19)
064700         MOVE MMAM-TABLE (17)    TO MMAM-TABLE (18)
064800         MOVE MMAM-TABLE (14)    TO MMAM-TABLE (17)
064900         MOVE WS-D600-LAST-YY    TO MMAM-OCCURRENCE-YEAR (17)
065000         MOVE WS-D600-CURR-YY    TO MMAM-OCCURRENCE-YEAR (14)
065100         MOVE ZERO               TO MMAM-NUMBER (14)
065200         MOVE ZERO               TO MMAM-AMOUNT (14)
065300         MOVE MMAMIR-PQ1         TO MMAM-OCCURRENCE-ID (17)
065400         MOVE MMAMIR-PQ2         TO MMAM-OCCURRENCE-ID (18)
065500         MOVE MMAMIR-PQ3         TO MMAM-OCCURRENCE-ID (19)
065600         MOVE MMAMIR-PQ4         TO MMAM-OCCURRENCE-ID (20)
065700         MOVE MMAMIR-PQ5         TO MMAM-OCCURRENCE-ID (21)
065800         MOVE MMAMIR-PQ6         TO MMAM-OCCURRENCE-ID (22)
065900         MOVE MMAMIR-PQ7         TO MMAM-OCCURRENCE-ID (23).
066000*
066100     IF  WS-D600-BEG-OF-YEAR
066200         MOVE MMAM-TABLE (16)    TO MMAM-TABLE (24)
066300         MOVE WS-D600-LAST-YY    TO MMAM-OCCURRENCE-YEAR (24)
066400         MOVE MMAMIR-PYR         TO MMAM-OCCURRENCE-ID (24)
066500         MOVE WS-D600-CURR-YY    TO MMAM-OCCURRENCE-YEAR (16)
066600         MOVE MMAMIR-YTD         TO MMAM-OCCURRENCE-ID (16)
066700         MOVE ZERO               TO MMAM-NUMBER (16)
066800         MOVE ZERO               TO MMAM-AMOUNT (16).
066900*
067000 C599-PPR-EXIT.
067100     EXIT.
067200/
067300 C600-RUNNING-BALANCE.
067400*
067500     IF  MMAM-TC-BEG-BALANCE
067600         MOVE MMAM-AMOUNT (13)   TO WS-D600-RUN-BAL-CUR
067700         MOVE ZERO               TO MMAM-BAL-DIFF
067800         GO TO C699-RB-EXIT.
067900*
068000     IF  MMAM-TC-END-BALANCE
068100         COMPUTE MMAM-BAL-DIFF   =  WS-D600-RUN-BAL-CUR
068200                                 -  MMAM-AMOUNT (13)
068300         GO TO C699-RB-EXIT.
068400*
068500     IF  MMAM-DEBIT
068600         COMPUTE WS-D600-RUN-BAL-CUR
068700                                 =  WS-D600-RUN-BAL-CUR
068800                                 -  MMAM-AMOUNT (13).
068900*
069000     IF  MMAM-CREDIT
069100         COMPUTE WS-D600-RUN-BAL-CUR
069200                                 =  WS-D600-RUN-BAL-CUR
069300                                 +  MMAM-AMOUNT (13).
069400*
069500 C699-RB-EXIT.
069600     EXIT.
069700/
069800 C700-CHECK-RECAP-MASTER-PURGE.
069900*
070000     IF  MMAM-NUMBER (1)  IS EQUAL TO ZERO
070100     AND MMAM-NUMBER (2)  IS EQUAL TO ZERO
070200     AND MMAM-NUMBER (3)  IS EQUAL TO ZERO
070300     AND MMAM-NUMBER (4)  IS EQUAL TO ZERO
070400     AND MMAM-NUMBER (5)  IS EQUAL TO ZERO
070500     AND MMAM-NUMBER (6)  IS EQUAL TO ZERO
070600     AND MMAM-NUMBER (7)  IS EQUAL TO ZERO
070700     AND MMAM-NUMBER (8)  IS EQUAL TO ZERO
070800     AND MMAM-NUMBER (9)  IS EQUAL TO ZERO
070900     AND MMAM-NUMBER (10) IS EQUAL TO ZERO
071000     AND MMAM-NUMBER (11) IS EQUAL TO ZERO
071100     AND MMAM-NUMBER (12) IS EQUAL TO ZERO
071200     AND MMAM-NUMBER (13) IS EQUAL TO ZERO
071300     AND MMAM-NUMBER (14) IS EQUAL TO ZERO
071400     AND MMAM-NUMBER (15) IS EQUAL TO ZERO
071500     AND MMAM-NUMBER (16) IS EQUAL TO ZERO
071600     AND MMAM-NUMBER (17) IS EQUAL TO ZERO
071700     AND MMAM-NUMBER (18) IS EQUAL TO ZERO
071800     AND MMAM-NUMBER (19) IS EQUAL TO ZERO
071900     AND MMAM-NUMBER (20) IS EQUAL TO ZERO
072000     AND MMAM-NUMBER (21) IS EQUAL TO ZERO
072100     AND MMAM-NUMBER (22) IS EQUAL TO ZERO
072200     AND MMAM-NUMBER (23) IS EQUAL TO ZERO
072300     AND MMAM-NUMBER (24) IS EQUAL TO ZERO
072400     AND MMAM-NUMBER (25) IS EQUAL TO ZERO
072500     AND MMAM-AMOUNT (1)  IS EQUAL TO ZERO
072600     AND MMAM-AMOUNT (2)  IS EQUAL TO ZERO
072700     AND MMAM-AMOUNT (3)  IS EQUAL TO ZERO
072800     AND MMAM-AMOUNT (4)  IS EQUAL TO ZERO
072900     AND MMAM-AMOUNT (5)  IS EQUAL TO ZERO
073000     AND MMAM-AMOUNT (6)  IS EQUAL TO ZERO
073100     AND MMAM-AMOUNT (7)  IS EQUAL TO ZERO
073200     AND MMAM-AMOUNT (8)  IS EQUAL TO ZERO
073300     AND MMAM-AMOUNT (9)  IS EQUAL TO ZERO
073400     AND MMAM-AMOUNT (10) IS EQUAL TO ZERO
073500     AND MMAM-AMOUNT (11) IS EQUAL TO ZERO
073600     AND MMAM-AMOUNT (12) IS EQUAL TO ZERO
073700     AND MMAM-AMOUNT (13) IS EQUAL TO ZERO
073800     AND MMAM-AMOUNT (14) IS EQUAL TO ZERO
073900     AND MMAM-AMOUNT (15) IS EQUAL TO ZERO
074000     AND MMAM-AMOUNT (16) IS EQUAL TO ZERO
074100     AND MMAM-AMOUNT (17) IS EQUAL TO ZERO
074200     AND MMAM-AMOUNT (18) IS EQUAL TO ZERO
074300     AND MMAM-AMOUNT (19) IS EQUAL TO ZERO
074400     AND MMAM-AMOUNT (20) IS EQUAL TO ZERO
074500     AND MMAM-AMOUNT (21) IS EQUAL TO ZERO
074600     AND MMAM-AMOUNT (22) IS EQUAL TO ZERO
074700     AND MMAM-AMOUNT (23) IS EQUAL TO ZERO
074800     AND MMAM-AMOUNT (24) IS EQUAL TO ZERO
074900     AND MMAM-AMOUNT (25) IS EQUAL TO ZERO
075000         MOVE 9                  TO MMAM-STATUS.
075100*
075200 C799-CRMP-EXIT.
075300     EXIT.
075400/
075500 C800-RETURN-SORT-RECORD.
075600*
075700     RETURN MS1S-SORT-FILE
075800        AT END
075900            MOVE MTGLIR-RECORD   TO MTGL-RECORD
076000            MOVE ALL '9'         TO MTGL-KEY
076100            GO TO C899-RSR-EXIT.
076200*
076300     MOVE MTGI-RECORD            TO MTGL-RECORD.
076400*
076500     IF  MTGL-TC-BEG-BALANCE
076600     OR  MTGL-TC-END-BALANCE
076700         NEXT SENTENCE
076800     ELSE
076900         MOVE MTGL-RECORD        TO MTGLIO-RECORD
077000         MOVE 'W1GL'             TO SS02WS-ABEND-LOCATION
077100         SET MTGLRB-WRITE        TO TRUE
077200         PERFORM MB00PD-MTGL-ACCESS
077300            THRU MB00PD-MTGL-ACCESS-EXIT.
077400*
077500 C899-RSR-EXIT.
077600     EXIT.
077700*
077800*
077900*
078000 C999-URF-EXIT.
078100     EXIT.
078200/
078300 9000-PERFORMED-ROUTINES-SECT SECTION.
078400*
078500     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
078600/
078700     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
078800/
078900     COPY MB00PD REPLACING ==:MB00:== BY ==MMAM==.
079000/
079100     COPY MMAMPX.
079200/
079300     COPY MB00PD REPLACING ==:MB00:== BY ==MTAM==.
079400/
079500     COPY MB00PD REPLACING ==:MB00:== BY ==MTGL==.
079600/
079700     COPY MB00PD REPLACING ==:MB00:== BY ==MTGI==.
079800/
079900     COPY MB99PD.
080000/
080100     COPY SS02PD.
080200/
080300     COPY SS07PD.
080400/
080500     COPY SS08PD.
080600/
080700     COPY SS10PD.
080800/
080900     COPY SS98PD.
081000*
081100 9995-END-SOURCE-STATEMENTS SECTION.
081200 9999-END-OF-PROGRAM.
081300     EXIT.
