000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD661.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBD661 - ACTIVITY RECAP PRINT - EURO EQUIVALENT         *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400*
001500 FILE-CONTROL.
001600*
001700     COPY MS1SES.
001800/
001900 DATA DIVISION.
002000 FILE SECTION.
002100*
002200     COPY MS1SSD.
002300     COPY MMAMRL REPLACING ==:MMAM:== BY ==MWAM==.
002400/
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*
002900 01  WS-MBD661-WORK-AREAS.
003000     03  WS-D661-INDEX-SW    PIC  X(01)      VALUE 'N'.
003100     03  WS-D661-OOB-SW      PIC  X(01)      VALUE 'N'.
003200     03  WS-D661-SAVE-CURRENCY-RATE
003300                             PIC  X(15)      VALUE
003400                                  'NO RATE ON FILE'.
003500     03  WS-D661-COL-HEADING-QTR.
003600         05  FILLER          PIC  X(11)      VALUE
003700            ' *-------- '.
003800         05  WS-D661-CH-OID-QTR
003900                             PIC  X(09)      VALUE SPACES.
004000         05  WS-D661-CH-YEAR-QTR
004100                             PIC  X(04)      VALUE SPACES.
004200         05  FILLER          PIC  X(11)      VALUE
004300            ' --------* '.
004400*
004500     03  WS-D661-COL-HEADING-MON.
004600         05  FILLER          PIC  X(13)      VALUE
004700            ' *---------- '.
004800         05  WS-D661-CH-OID-MON
004900                             PIC  X(05)      VALUE SPACES.
005000         05  WS-D661-CH-YEAR-MON
005100                             PIC  X(04)      VALUE SPACES.
005200         05  FILLER          PIC  X(13)      VALUE
005300            ' ----------* '.
005400*
005500     03  WS-D661-COL-HEADING.
005600         05  FILLER          PIC  X(35)      VALUE SPACES.
005700*
005800     03  WS-D661-QTD-TABLE-I.
005900         05  FILLER          PIC  X(11)      VALUE '1012OCT-DEC'.
006000         05  FILLER          PIC  X(11)      VALUE '0709JUL-SEP'.
006100         05  FILLER          PIC  X(11)      VALUE '0406APR-JUN'.
006200         05  FILLER          PIC  X(11)      VALUE '0103JAN-MAR'.
006300         05  FILLER          PIC  X(11)      VALUE '1012OCT-DEC'.
006400         05  FILLER          PIC  X(11)      VALUE '0709JUL-SEP'.
006500         05  FILLER          PIC  X(11)      VALUE '0406APR-JUN'.
006600         05  FILLER          PIC  X(11)      VALUE '0103JAN-MAR'.
006700         05  FILLER          PIC  X(11)      VALUE '1012OCT-DEC'.
006800         05  FILLER          PIC  X(11)      VALUE '0709JUL-SEP'.
006900         05  FILLER          PIC  X(11)      VALUE '0406APR-JUN'.
007000     03  WS-D661-QTD-TABLE-R REDEFINES WS-D661-QTD-TABLE-I.
007100         05  WS-D661-QTD-TABLE               OCCURS 11 TIMES
007200                                             INDEXED BY
007300                                             X-WS-D661-QTD.
007400             07  WS-D661-QTD-MON-1
007500                             PIC  9(02).
007600             07  WS-D661-QTD-MON-2
007700                             PIC  9(02).
007800             07  WS-D661-QTD-LIT
007900                             PIC  X(07).
008000 01  WS-D661-HEADING-1.
008100     03  WS-D661-H1-001-044  PIC  X(44)      VALUE
008200        '*-------------------------------------------'.
008300     03  WS-D661-H1-045-088  PIC  X(44)      VALUE
008400        '                                            '.
008500     03  WS-D661-H1-089-132  PIC  X(44)      VALUE
008600        '-------------------------------------------*'.
008700*
008800 01  WS-D661-HEADING-2.
008900     03  WS-D661-H2-MERCHANT-LIT
009000                             PIC  X(10)      VALUE SPACES.
009100     03  WS-D661-H2-LIT-1    PIC  X(17)      VALUE
009200        '  *-TRANSACTION-*'.
009300     03  WS-D661-H2-COL-1    PIC  X(35)      VALUE SPACES.
009400     03  WS-D661-H2-COL-2    PIC  X(35)      VALUE SPACES.
009500     03  WS-D661-H2-COL-3    PIC  X(35)      VALUE SPACES.
009600*
009700 01  WS-D661-HEADING-3.
009800     03  WS-D661-H3-MERCHANT PIC  9(09)-.
009900     03  WS-D661-H3-LIT-1    PIC  X(17)      VALUE
010000        'A *-DESCRIPTION-*'.
010100     03  WS-D661-H3-COL-1    PIC  X(35)      VALUE
010200        '               AMOUNT      NUMBER  '.
010300     03  WS-D661-H3-COL-2    PIC  X(35)      VALUE
010400        '               AMOUNT      NUMBER  '.
010500     03  WS-D661-H3-COL-3    PIC  X(35)      VALUE
010600        '               AMOUNT      NUMBER  '.
010700/
010800 01  WS-D661-HEADING-1-0.
010900     03  WS-D661-H10-001-044 PIC  X(44)      VALUE
011000        '*-------------------------------------------'.
011100     03  WS-D661-H10-045-088 PIC  X(44)      VALUE
011200        '---  S E T T L E M E N T   B A L A N C E  --'.
011300     03  WS-D661-H10-089-132 PIC  X(44)      VALUE
011400        '-------------------------------------------*'.
011500*
011600 01  WS-D661-HEADING-1-1.
011700     03  WS-D661-H11-001-044 PIC  X(44)      VALUE
011800        '*-------------------------------------------'.
011900     03  WS-D661-H11-045-088 PIC  X(44)      VALUE
012000        '----  R E S E R V E  -1-  B A L A N C E  ---'.
012100     03  WS-D661-H11-089-132 PIC  X(44)      VALUE
012200        '-------------------------------------------*'.
012300*
012400 01  WS-D661-HEADING-1-2.
012500     03  WS-D661-H12-001-044 PIC  X(44)      VALUE
012600        '*-------------------------------------------'.
012700     03  WS-D661-H12-045-088 PIC  X(44)      VALUE
012800        '----  R E S E R V E  -2-  B A L A N C E  ---'.
012900     03  WS-D661-H12-089-132 PIC  X(44)      VALUE
013000        '-------------------------------------------*'.
013100*
013200 01  WS-D661-HEADING-1-3.
013300     03  WS-D661-H13-001-044 PIC  X(44)      VALUE
013400        '*-------------------------------------------'.
013500     03  WS-D661-H13-045-088 PIC  X(44)      VALUE
013600        '----  R E S E R V E  -3-  B A L A N C E  ---'.
013700     03  WS-D661-H13-089-132 PIC  X(44)      VALUE
013800        '-------------------------------------------*'.
013900*
014000 01  WS-D661-HEADING-1-4.
014100     03  WS-D661-H14-001-044 PIC  X(44)      VALUE
014200        '*-------------------------------------------'.
014300     03  WS-D661-H14-045-088 PIC  X(44)      VALUE
014400        '----  R E S E R V E  -4-  B A L A N C E  ---'.
014500     03  WS-D661-H14-089-132 PIC  X(44)      VALUE
014600        '-------------------------------------------*'.
014700*
014800 01  WS-D661-HEADING-1-5.
014900     03  WS-D661-H15-001-044 PIC  X(44)      VALUE
015000        '*-------------------------------------------'.
015100     03  WS-D661-H15-045-088 PIC  X(44)      VALUE
015200        '------  F U T U R E    B A L A N C E  ------'.
015300     03  WS-D661-H15-089-132 PIC  X(44)      VALUE
015400        '-------------------------------------------*'.
015500*
015600 01  WS-D661-HEADING-1-6.
015700     03  WS-D661-H16-001-044 PIC  X(44)      VALUE
015800        '*-------------------------------------------'.
015900     03  WS-D661-H16-045-088 PIC  X(44)      VALUE
016000        '----  W A R E H O U S E   T O T A L S  -----'.
016100     03  WS-D661-H16-089-132 PIC  X(44)      VALUE
016200        '-------------------------------------------*'.
016300*
016400 01  WS-D661-HEADING-1-7.
016500     03  WS-D661-H17-001-044 PIC  X(44)      VALUE
016600        '*-------------------------------------------'.
016700     03  WS-D661-H17-045-088 PIC  X(44)      VALUE
016800        '  M I S C E L L A N E O U S    T O T A L S  '.
016900     03  WS-D661-H17-089-132 PIC  X(44)      VALUE
017000        '-------------------------------------------*'.
017100/
017200     COPY MMSCRL.
017300/
017400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
017500/
017600     COPY MMSCIO.
017700/
017800     COPY MMOCRL.
017900/
018000     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
018100/
018200     COPY MMOCIO.
018300/
018400     COPY MMAMRL REPLACING ==:MMAM:== BY ==MMAM==.
018500/
018600     COPY MMAMIR REPLACING ==:MMAM:== BY ==MMAM==.
018700/
018800     COPY MB00RB REPLACING ==:MB00:== BY ==MMAM==.
018900/
019000     COPY MMAMIO REPLACING ==:MMAM:== BY ==MMAM==.
019100/
019200     COPY MMAMWS.
019300/
019400     COPY MMAMRL REPLACING ==:MMAM:== BY ==MTAM==.
019500/
019600     COPY MB00RB REPLACING ==:MB00:== BY ==MTAM==.
019700/
019800     COPY MMAMIO REPLACING ==:MMAM:== BY ==MTAM==.
019900/
020000     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
020100/
020200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
020300/
020400     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
020500/
020600     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
020700/
020800     COPY MB20WS.
020900 01  WS-D661-PRINT-LINE-1    REDEFINES MB20WS-PRINT-LINE.
021000     03  WS-D661-PL1-MERCHANT-X.
021100         05  WS-D661-PL1-MERCHANT
021200                             PIC  9(09)-.
021300     03  WS-D661-PL1-TC-X    REDEFINES WS-D661-PL1-MERCHANT-X.
021400         05  FILLER          PIC  X(03).
021500         05  WS-D661-PL1-TC-LIT
021600                             PIC  X(03).
021700         05  WS-D661-PL1-TC  PIC  9(03)-.
021800     03  WS-D661-PL1-SIGN    PIC  X(02).
021900     03  WS-D661-PL1-DESC    PIC  X(15).
022000     03  WS-D661-PL1-COLUMNS                 OCCURS 3 TIMES
022100                                             INDEXED BY
022200                                             X-WS-D661-PL1.
022300         05  FILLER          PIC  X(01).
022400         05  WS-D661-PL1-AMOUNT
022500                             PIC  X(21).
022600         05  WS-D661-PL1-NUMBER
022700                             PIC  X(12).
022800         05  FILLER          PIC  X(01).
022900/
023000     COPY MB00WS.
023100/
023200     COPY MB00KY.
023300/
023400     COPY SS95WS.
023500/
023600     COPY SS96WS.
023700/
023800     COPY SMRTWS.
023900/
024000     COPY SMCUWS.
024100/
024200     COPY SMRTRL.
024300/
024400     COPY MB99WS.
024500/
024600     COPY SS00WS.
024700/
024800     COPY SS01WS.
024900/
025000     COPY SS02WS.
025100*
025200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
025300/
025400 PROCEDURE DIVISION.
025500*
025600 A000-MAIN-LINE-SECT SECTION.
025700 A010-ML-BEGIN.
025800*
025900     MOVE 'MBD661'               TO SS02WS-ABEND-PROG-ID.
026000     MOVE WS-D661-HEADING-1-0    TO WS-D661-HEADING-1.
026100     MOVE ZERO                   TO MB00KY-MMAM-ORG.
026200*
026300     SET SS95WS-FUNCTION-INITIALIZE
026400                                 TO TRUE.
026500     PERFORM SS95PD-NAP-ROUTINE
026600        THRU SS95PD-NAP-EXIT.
026700*
026800     PERFORM Z000-GET-CONTROL-OPTION
026900        THRU Z099-GCO-EXIT.
027000*
027100     MOVE 'O1AM'                 TO SS02WS-ABEND-LOCATION.
027200     SET MMAMRB-OPEN-INPUT       TO TRUE.
027300     PERFORM MB00PD-MMAM-ACCESS
027400        THRU MB00PD-MMAM-ACCESS-EXIT.
027500*
027600     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
027700     SET MMSCRB-OPEN-INPUT       TO TRUE.
027800     PERFORM MB00PD-MMSC-ACCESS
027900        THRU MB00PD-MMSC-ACCESS-EXIT.
028000*
028100     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
028200     SET MMSCRB-READ-SEQ         TO TRUE.
028300     PERFORM MB00PD-MMSC-ACCESS
028400        THRU MB00PD-MMSC-ACCESS-EXIT.
028500     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
028600*
028700     IF  MMSCIO-HEADER
028800         NEXT SENTENCE
028900     ELSE
029000         PERFORM MB99PD-MISSING-HEADER-ABEND
029100            THRU MB99PD-MHA-EXIT.
029200*
029300     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
029400     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
029500     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
029600*
029700     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
029800     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
029900     MOVE SS02WS-ABEND-PROG-ID   TO MB20WS-SH-RPT-ID.
030000     MOVE 'S661'                 TO MB20WS-SH-INTERNAL-RPT-ID.
030100     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
030200     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
030300     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
030400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
030500        THRU SS26PD-NED-EXIT.
030600     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
030700     MOVE '*-------ACTIVITY RECAP-------*'
030800                                 TO MB20WS-SH-RPT-NAME.
030900     MOVE SPACES                 TO MB20WS-SH-LIT-5.
031000*
031100     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
031200     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
031300     PERFORM MB00PD-MMOC-ACCESS
031400        THRU MB00PD-MMOC-ACCESS-EXIT.
031500*
031600*
031700*
031800     MOVE 'R0AM'                 TO SS02WS-ABEND-LOCATION.
031900     SET MMAMRB-READ-SEQ         TO TRUE.
032000     PERFORM MB00PD-MMAM-ACCESS
032100        THRU MB00PD-MMAM-ACCESS-EXIT.
032200     MOVE 'MMAM'                 TO MB99WS-FILE-ID.
032300*
032400     IF  MMAMIO-HEADER
032500         NEXT SENTENCE
032600     ELSE
032700         PERFORM MB99PD-MISSING-HEADER-ABEND
032800            THRU MB99PD-MHA-EXIT.
032900*
033000     MOVE MMAMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
033100     MOVE MMAMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
033200     PERFORM MB99PD-CHECK-DATE-TIME
033300        THRU MB99PD-CDT-EXIT.
033400*
033500*
033600*
033700     MOVE ZERO                   TO MMOC-ORG.
033800     MOVE ZERO                   TO MMAM-ORG-MERCHANT.
033900*
034000*
034100*
034200     IF  MTCC-MBD660-MERCHANT
034300         MOVE '*** MERCHANT LEVEL ***'
034400                                 TO MB20WS-SH-DEST-DESC
034500         PERFORM D000-PRINT-MERCHANT-REPORT
034600            THRU D999-PMR-EXIT
034700            UNTIL MMAMIO-TRAILER
034800     ELSE
034900         MOVE '*** ORGANIZATION LEVEL ***'
035000                                 TO MB20WS-SH-DEST-DESC
035100         SORT MS1S-SORT-FILE ON ASCENDING KEY MWAM-KEY
035200              INPUT  PROCEDURE IS B000-LOAD-ACTIVITY-RECAP-SECT
035300              OUTPUT PROCEDURE IS C000-PRINT-ORG-REPORT-SECT
035400         PERFORM SS98PD-VERIFY-SORT-RETURN
035500            THRU SS98PD-VSR-EXIT
035600     END-IF.
035700*
035800*
035900*
036000     MOVE 'C1AM'                 TO SS02WS-ABEND-LOCATION.
036100     SET MMAMRB-CLOSE            TO TRUE.
036200     PERFORM MB00PD-MMAM-ACCESS
036300        THRU MB00PD-MMAM-ACCESS-EXIT.
036400*
036500     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
036600     SET MMOCRB-CLOSE            TO TRUE.
036700     PERFORM MB00PD-MMOC-ACCESS
036800        THRU MB00PD-MMOC-ACCESS-EXIT.
036900*
037000     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
037100     SET MMSCRB-CLOSE            TO TRUE.
037200     PERFORM MB00PD-MMSC-ACCESS
037300        THRU MB00PD-MMSC-ACCESS-EXIT.
037400*
037500     PERFORM MB20PD-CLOSE-PRINT-FILES
037600        THRU MB20PD-CPF-EXIT.
037700*
037800     IF  WS-D661-OOB-SW IS EQUAL TO 'Y'
037900         PERFORM MB90PD-SET-RETURN-CODE-4
038000            THRU MB90PD-SRC4-EXIT
038100     ELSE
038200         PERFORM MB90PD-SET-RETURN-CODE-0
038300            THRU MB90PD-SRC0-EXIT.
038400*
038500     STOP RUN.
038600*
038700 A099-ML-EXIT.
038800     EXIT.
038900/
039000 B000-LOAD-ACTIVITY-RECAP-SECT SECTION.
039100 B010-LAR-BEGIN.
039200*
039300     MOVE 'R1AM'                 TO SS02WS-ABEND-LOCATION.
039400     SET MMAMRB-READ-SEQ         TO TRUE.
039500     PERFORM MB00PD-MMAM-ACCESS
039600        THRU MB00PD-MMAM-ACCESS-EXIT.
039700*
039800     IF  MMAMIO-HEADER
039900         GO TO B010-LAR-BEGIN.
040000*
040100     MOVE MMAMIO-RECORD          TO MWAM-RECORD.
040200*
040300     IF  MWAM-ORG IS NOT EQUAL TO MMOC-ORG
040400     AND MWAM-ORG IS NOT EQUAL TO 999
040500         MOVE MWAM-ORG           TO MMOCIO-ORG
040600         MOVE 'R9OC'             TO SS02WS-ABEND-LOCATION
040700         SET MMOCRB-READ-RANDOM  TO TRUE
040800         PERFORM MB00PD-MMOC-ACCESS
040900            THRU MB00PD-MMOC-ACCESS-EXIT
041000         MOVE MMOCIO-RECORD      TO MMOC-RECORD
041100         PERFORM 9700-RATE-HEADING
041200            THRU 9799-RH-EXIT
041300     END-IF.
041400*
041500     MOVE ZERO                   TO MWAM-MERCHANT.
041600*
041700     IF  MB00KY-MMAM-ORG IS EQUAL TO ZERO
041800         MOVE MWAM-ORG           TO MB00KY-MMAM-ORG.
041900*
042000     IF  MTCC-MBD660-SYSTEM
042100     AND MWAM-ORG IS NOT EQUAL TO 999
042200         MOVE MB00KY-MMAM-ORG    TO MWAM-ORG.
042300*
042400     RELEASE MWAM-RECORD.
042500*
042600     IF  MMAMIO-TRAILER
042700         MOVE ZERO               TO MMOC-ORG
042800         GO TO B999-LAR-EXIT.
042900*
043000     GO TO B010-LAR-BEGIN.
043100*
043200 B999-LAR-EXIT.
043300     EXIT.
043400/
043500 C000-PRINT-ORG-REPORT-SECT SECTION.
043600 C005-POR-INIT.
043700*
043800     MOVE ZERO                   TO MMAM-ORG.
043900*
044000     IF  MTCC-MBD660-SYSTEM
044100         MOVE '*** SYSTEM LEVEL ***'
044200                                 TO MB20WS-SH-DEST-DESC.
044300*
044400 C010-POR-BEGIN.
044500*
044600     RETURN MS1S-SORT-FILE
044700         AT END
044800             GO TO C999-POR-EXIT.
044900*
045000     MOVE MWAM-RECORD            TO MTAM-RECORD.
045100*
045200     IF  MTAM-KEY IS NOT EQUAL TO MMAM-KEY
045300         IF  MMAM-ORG IS GREATER THAN ZERO
045400             PERFORM 1000-PRINT-ACTIVITY-REPORT
045500                THRU 1999-PAR-EXIT
045600             MOVE MTAM-RECORD    TO MMAM-RECORD
045700             GO TO C010-POR-BEGIN
045800         ELSE
045900             MOVE MTAM-RECORD    TO MMAM-RECORD
046000             GO TO C010-POR-BEGIN.
046100*
046200     ADD  MTAM-BAL-DIFF          TO MMAM-BAL-DIFF.
046300     ADD  MTAM-NUMBER (01)       TO MMAM-NUMBER (01).
046400     ADD  MTAM-NUMBER (02)       TO MMAM-NUMBER (02).
046500     ADD  MTAM-NUMBER (03)       TO MMAM-NUMBER (03).
046600     ADD  MTAM-NUMBER (04)       TO MMAM-NUMBER (04).
046700     ADD  MTAM-NUMBER (05)       TO MMAM-NUMBER (05).
046800     ADD  MTAM-NUMBER (06)       TO MMAM-NUMBER (06).
046900     ADD  MTAM-NUMBER (07)       TO MMAM-NUMBER (07).
047000     ADD  MTAM-NUMBER (08)       TO MMAM-NUMBER (08).
047100     ADD  MTAM-NUMBER (09)       TO MMAM-NUMBER (09).
047200     ADD  MTAM-NUMBER (10)       TO MMAM-NUMBER (10).
047300     ADD  MTAM-NUMBER (11)       TO MMAM-NUMBER (11).
047400     ADD  MTAM-NUMBER (12)       TO MMAM-NUMBER (12).
047500     ADD  MTAM-NUMBER (13)       TO MMAM-NUMBER (13).
047600     ADD  MTAM-NUMBER (14)       TO MMAM-NUMBER (14).
047700     ADD  MTAM-NUMBER (15)       TO MMAM-NUMBER (15).
047800     ADD  MTAM-NUMBER (16)       TO MMAM-NUMBER (16).
047900     ADD  MTAM-NUMBER (17)       TO MMAM-NUMBER (17).
048000     ADD  MTAM-NUMBER (18)       TO MMAM-NUMBER (18).
048100     ADD  MTAM-NUMBER (19)       TO MMAM-NUMBER (19).
048200     ADD  MTAM-NUMBER (20)       TO MMAM-NUMBER (20).
048300     ADD  MTAM-NUMBER (21)       TO MMAM-NUMBER (21).
048400     ADD  MTAM-NUMBER (22)       TO MMAM-NUMBER (22).
048500     ADD  MTAM-NUMBER (23)       TO MMAM-NUMBER (23).
048600     ADD  MTAM-NUMBER (24)       TO MMAM-NUMBER (24).
048700     ADD  MTAM-NUMBER (25)       TO MMAM-NUMBER (25).
048800     ADD  MTAM-AMOUNT (01)       TO MMAM-AMOUNT (01).
048900     ADD  MTAM-AMOUNT (02)       TO MMAM-AMOUNT (02).
049000     ADD  MTAM-AMOUNT (03)       TO MMAM-AMOUNT (03).
049100     ADD  MTAM-AMOUNT (04)       TO MMAM-AMOUNT (04).
049200     ADD  MTAM-AMOUNT (05)       TO MMAM-AMOUNT (05).
049300     ADD  MTAM-AMOUNT (06)       TO MMAM-AMOUNT (06).
049400     ADD  MTAM-AMOUNT (07)       TO MMAM-AMOUNT (07).
049500     ADD  MTAM-AMOUNT (08)       TO MMAM-AMOUNT (08).
049600     ADD  MTAM-AMOUNT (09)       TO MMAM-AMOUNT (09).
049700     ADD  MTAM-AMOUNT (10)       TO MMAM-AMOUNT (10).
049800     ADD  MTAM-AMOUNT (11)       TO MMAM-AMOUNT (11).
049900     ADD  MTAM-AMOUNT (12)       TO MMAM-AMOUNT (12).
050000     ADD  MTAM-AMOUNT (13)       TO MMAM-AMOUNT (13).
050100     ADD  MTAM-AMOUNT (14)       TO MMAM-AMOUNT (14).
050200     ADD  MTAM-AMOUNT (15)       TO MMAM-AMOUNT (15).
050300     ADD  MTAM-AMOUNT (16)       TO MMAM-AMOUNT (16).
050400     ADD  MTAM-AMOUNT (17)       TO MMAM-AMOUNT (17).
050500     ADD  MTAM-AMOUNT (18)       TO MMAM-AMOUNT (18).
050600     ADD  MTAM-AMOUNT (19)       TO MMAM-AMOUNT (19).
050700     ADD  MTAM-AMOUNT (20)       TO MMAM-AMOUNT (20).
050800     ADD  MTAM-AMOUNT (21)       TO MMAM-AMOUNT (21).
050900     ADD  MTAM-AMOUNT (22)       TO MMAM-AMOUNT (22).
051000     ADD  MTAM-AMOUNT (23)       TO MMAM-AMOUNT (23).
051100     ADD  MTAM-AMOUNT (24)       TO MMAM-AMOUNT (24).
051200     ADD  MTAM-AMOUNT (25)       TO MMAM-AMOUNT (25).
051300*
051400     GO TO C010-POR-BEGIN.
051500*
051600 C999-POR-EXIT.
051700     EXIT.
051800/
051900 D000-PRINT-MERCHANT-REPORT SECTION.
052000 D010-PMR-BEGIN.
052100*
052200     MOVE 'R2AM'                 TO SS02WS-ABEND-LOCATION.
052300     SET MMAMRB-READ-SEQ         TO TRUE.
052400     PERFORM MB00PD-MMAM-ACCESS
052500        THRU MB00PD-MMAM-ACCESS-EXIT.
052600*
052700     IF  MMAMIO-HEADER
052800     OR  MMAMIO-TRAILER
052900         GO TO D999-PMR-EXIT.
053000*
053100     MOVE MMAMIO-RECORD          TO MMAM-RECORD.
053200*
053300     PERFORM 1000-PRINT-ACTIVITY-REPORT
053400        THRU 1999-PAR-EXIT.
053500*
053600 D999-PMR-EXIT.
053700     EXIT.
053800/
053900 Z000-GET-CONTROL-OPTION SECTION.
054000 Z010-GCO-BEGIN.
054100*
054200     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
054300     SET MTCCRB-OPEN-INPUT       TO TRUE.
054400     PERFORM MB00PD-MTCC-ACCESS
054500        THRU MB00PD-MTCC-ACCESS-EXIT.
054600*
054700     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
054800*
054900     PERFORM Z100-READ-CONTROL-CARD
055000        THRU Z199-RCC-EXIT
055100        UNTIL MTCC-MBD660-SYSTEM
055200           OR MTCC-MBD660-ORG
055300           OR MTCC-MBD660-MERCHANT.
055400*
055500     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
055600     SET MTCCRB-CLOSE            TO TRUE.
055700     PERFORM MB00PD-MTCC-ACCESS
055800        THRU MB00PD-MTCC-ACCESS-EXIT.
055900*
056000 Z099-GCO-EXIT.
056100     EXIT.
056200/
056300 Z100-READ-CONTROL-CARD SECTION.
056400 Z100-RCC-BEGIN.
056500*
056600     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
056700     SET MTCCRB-READ-SEQ         TO TRUE.
056800     PERFORM MB00PD-MTCC-ACCESS
056900        THRU MB00PD-MTCC-ACCESS-EXIT.
057000*
057100     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
057200*
057300     IF  SS02WS-FS-END-OF-FILE
057400         MOVE 'OCURMTDYTD'       TO MTCC-RECORD
057500         MOVE 'MBD661'           TO MTCC-PROGRAM-ID
057600         GO TO Z199-RCC-EXIT.
057700*
057800     IF   MTCC-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID
057900     AND (MTCC-MBD660-SYSTEM
058000     OR   MTCC-MBD660-ORG
058100     OR   MTCC-MBD660-MERCHANT)
058200         MOVE MTCC-MBD660-OID-1  TO MMAMWS-OID-SEARCH
058300         IF  MMAMWS-OID-IS-VALID
058400             MOVE MTCC-MBD660-OID-2
058500                                 TO MMAMWS-OID-SEARCH
058600             IF  MMAMWS-OID-IS-VALID
058700                 MOVE MTCC-MBD660-OID-3
058800                                 TO MMAMWS-OID-SEARCH
058900                 IF  MMAMWS-OID-IS-VALID
059000                     GO TO Z199-RCC-EXIT.
059100*
059200     MOVE SPACES                 TO MTCC-RECORD.
059300*
059400 Z199-RCC-EXIT.
059500     EXIT.
059600/
059700 1000-PRINT-ACTIVITY-REPORT SECTION.
059800 1010-PAR-BEGIN.
059900*
060000     IF  MMAM-ORG IS NOT EQUAL TO MMOC-ORG
060100         PERFORM 2000-ORG-CHANGE
060200            THRU 2999-OC-EXIT.
060300*
060400     IF   MMAM-TC-BEG-BALANCE
060500     AND (MMAM-TC-SETT
060600     OR   MMAM-TC-WHSE)
060700         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
060800*
060900     IF   MTCC-MBD660-MERCHANT
061000     AND  MMAM-TC-BEG-BALANCE
061100     AND (MMAM-TC-SETT
061200     OR   MMAM-TC-WHSE)
061300         PERFORM 3000-MERCHANT-CHANGE
061400            THRU 3999-MC-EXIT.
061500*
061600     IF  WS-D661-INDEX-SW IS EQUAL TO 'N'
061700         PERFORM 4000-SET-INDEXES
061800            THRU 4999-SI-EXIT.
061900*
062000     IF  MMAM-TC-BEG-BALANCE
062100     AND MMAM-TC-SETT
062200         MOVE WS-D661-HEADING-1-0
062300                                 TO WS-D661-HEADING-1
062400         PERFORM 6000-PRINT-HEADINGS
062500            THRU 6999-PH-EXIT.
062600*
062700     IF  MMAM-TC-BEG-BALANCE
062800     AND MMAM-TC-RESV-1
062900         MOVE WS-D661-HEADING-1-1
063000                                 TO WS-D661-HEADING-1
063100         PERFORM 6000-PRINT-HEADINGS
063200            THRU 6999-PH-EXIT.
063300*
063400     IF  MMAM-TC-BEG-BALANCE
063500     AND MMAM-TC-RESV-2
063600         MOVE WS-D661-HEADING-1-2
063700                                 TO WS-D661-HEADING-1
063800         PERFORM 6000-PRINT-HEADINGS
063900            THRU 6999-PH-EXIT.
064000*
064100     IF  MMAM-TC-BEG-BALANCE
064200     AND MMAM-TC-RESV-3
064300         MOVE WS-D661-HEADING-1-3
064400                                 TO WS-D661-HEADING-1
064500         PERFORM 6000-PRINT-HEADINGS
064600            THRU 6999-PH-EXIT.
064700*
064800     IF  MMAM-TC-BEG-BALANCE
064900     AND MMAM-TC-RESV-4
065000         MOVE WS-D661-HEADING-1-4
065100                                 TO WS-D661-HEADING-1
065200         PERFORM 6000-PRINT-HEADINGS
065300            THRU 6999-PH-EXIT.
065400*
065500*****IF  MMAM-TC-BEG-BALANCE
065600*****AND MMAM-TC-FUTURE-USE
065700*****    MOVE WS-D661-HEADING-1-5
065800*****                            TO WS-D661-HEADING-1
065900*****    PERFORM 6000-PRINT-HEADINGS
066000*****       THRU 6999-PH-EXIT.
066100*
066200     IF  MMAM-TC-BEG-BALANCE
066300     AND MMAM-TC-WHSE
066400         MOVE WS-D661-HEADING-1-6
066500                                 TO WS-D661-HEADING-1
066600         PERFORM 6000-PRINT-HEADINGS
066700            THRU 6999-PH-EXIT.
066800*
066900     IF  MMAM-TC-BEG-BALANCE
067000     AND MMAM-TC-MISC
067100         MOVE WS-D661-HEADING-1-7
067200                                 TO WS-D661-HEADING-1
067300         PERFORM 6000-PRINT-HEADINGS
067400            THRU 6999-PH-EXIT.
067500*
067600     MOVE '+'                    TO WS-D661-PL1-SIGN.
067700*
067800     IF  MMAM-INFORMATIONAL
067900         MOVE 'I'                TO WS-D661-PL1-SIGN.
068000*
068100     IF  MMAM-DEBIT
068200         MOVE '-'                TO WS-D661-PL1-SIGN.
068300*
068400     IF  MMAM-TC-BEG-BALANCE
068500         MOVE 'TC='              TO WS-D661-PL1-TC-LIT
068600         MOVE SPACES             TO WS-D661-PL1-SIGN.
068700*
068800     IF  MMAM-TC-END-BALANCE
068900         MOVE '='                TO WS-D661-PL1-SIGN.
069000*
069100     MOVE MMAM-TC-NBR            TO WS-D661-PL1-TC.
069200     MOVE MMAM-RPT-DESC          TO WS-D661-PL1-DESC.
069300*
069400     MOVE MMAM-AMOUNT (X-MMAM-1) TO SS95WS-IN-AMT.
069500     MOVE MMAM-NUMBER (X-MMAM-1) TO SS95WS-IN-NBR.
069600     PERFORM 9800-AMT-CONV-ON-THE-FLY
069700        THRU 9899-ACOTF-EXIT.
069800     MOVE SS95WS-OUT-AMT-L21     TO WS-D661-PL1-AMOUNT (1).
069900     MOVE SS95WS-OUT-NBR-L12     TO WS-D661-PL1-NUMBER (1).
070000*
070100     MOVE MMAM-AMOUNT (X-MMAM-2) TO SS95WS-IN-AMT.
070200     MOVE MMAM-NUMBER (X-MMAM-2) TO SS95WS-IN-NBR.
070300     PERFORM 9800-AMT-CONV-ON-THE-FLY
070400        THRU 9899-ACOTF-EXIT.
070500     MOVE SS95WS-OUT-AMT-L21     TO WS-D661-PL1-AMOUNT (2).
070600     MOVE SS95WS-OUT-NBR-L12     TO WS-D661-PL1-NUMBER (2).
070700*
070800     MOVE MMAM-AMOUNT (X-MMAM-3) TO SS95WS-IN-AMT.
070900     MOVE MMAM-NUMBER (X-MMAM-3) TO SS95WS-IN-NBR.
071000     PERFORM 9800-AMT-CONV-ON-THE-FLY
071100        THRU 9899-ACOTF-EXIT.
071200     MOVE SS95WS-OUT-AMT-L21     TO WS-D661-PL1-AMOUNT (3).
071300     MOVE SS95WS-OUT-NBR-L12     TO WS-D661-PL1-NUMBER (3).
071400*
071500     PERFORM MB20PD-PRINT-1-LINE
071600        THRU MB20PD-P1L-EXIT.
071700*
071800     IF  MMAM-TC-END-BALANCE
071900         IF  MMAM-BAL-DIFF IS NOT EQUAL TO ZERO
072000             MOVE 'Y'            TO WS-D661-OOB-SW
072100             PERFORM MB20PD-PRINT-1-LINE
072200                THRU MB20PD-P1L-EXIT
072300             MOVE '*** OUT-OF-BALANCE *** --->'
072400                                 TO MB20WS-PRINT-LINE
072500             MOVE MMAM-BAL-DIFF  TO SS95WS-IN-AMT
072600             PERFORM 9800-AMT-CONV-ON-THE-FLY
072700                THRU 9899-ACOTF-EXIT
072800             MOVE SS95WS-OUT-AMT-L21
072900                                 TO WS-D661-PL1-AMOUNT (1)
073000             PERFORM MB20PD-PRINT-1-LINE
073100                THRU MB20PD-P1L-EXIT.
073200*
073300 1999-PAR-EXIT.
073400     EXIT.
073500/
073600 2000-ORG-CHANGE SECTION.
073700 2010-OC-BEGIN.
073800*
073900     MOVE MMAM-ORG               TO MMOCIO-ORG.
074000*
074100     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
074200     SET MMOCRB-READ-RANDOM      TO TRUE.
074300     PERFORM MB00PD-MMOC-ACCESS
074400        THRU MB00PD-MMOC-ACCESS-EXIT.
074500*
074600     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
074700*
074800     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
074900     MOVE MMOC-ORG               TO MB20WS-SH-ORG.
075000     MOVE MMOC-NA-LINE (1 1)     TO MB20WS-SH-ORG-NAME.
075100*
075200     IF  MTCC-MBD660-SYSTEM
075300         MOVE ZERO               TO MB20WS-SH-ORG
075400         MOVE MMSC-PROC-CENTER-ID
075500                                 TO MB20WS-SH-ORG-NAME.
075600*
075700     MOVE MMOC-OR-RPT-TITLE (96)
075800                                 TO MB20WS-SH-RPT-NAME.
075900     MOVE MMOC-OR-REPORT-DEST-ID (96)
076000                                 TO MB20WS-SH-RPT-ID.
076100     MOVE MMOC-OR-REPORT-ID (96)
076200                                 TO MB20WS-SH-RPT-ID.
076300     MOVE 'O96'                  TO MB20WS-SH-INTERNAL-RPT-ID.
076400     MOVE MMOC-LINES-PER-PAGE TO MB20WS-LINE-LIMIT.
076500     MOVE MMOC-OR-FORM-1 (96) TO MB20WS-FORM-CODE.
076600     MOVE MMOC-OR-FICHE-FLAG (96)
076700                                 TO MB20WS-FICHE-CODE.
076800     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
076900     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
077000     MOVE 'N'                    TO WS-D661-INDEX-SW.
077100*
077200     PERFORM 9700-RATE-HEADING
077300        THRU 9799-RH-EXIT.
077400*
077500 2999-OC-EXIT.
077600     EXIT.
077700/
077800 3000-MERCHANT-CHANGE SECTION.
077900 3010-MC-BEGIN.
078000*
078100     MOVE ' MERCHANT'            TO WS-D661-H2-MERCHANT-LIT.
078200     MOVE MMAM-MERCHANT          TO WS-D661-H3-MERCHANT.
078300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
078400     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
078500*
078600 3999-MC-EXIT.
078700     EXIT.
078800/
078900 4000-SET-INDEXES SECTION.
079000 4010-SI-BEGIN.
079100*
079200     MOVE 'Y'                    TO WS-D661-INDEX-SW.
079300*
079400     MOVE MTCC-MBD660-OID-1      TO MMAMWS-OID-SEARCH.
079500     SET X-MMAM-1                TO 13.
079600     PERFORM MMAMPX-FIND-OCCURRENCE
079700        THRU MMAMPX-FO-EXIT.
079800*
079900     IF  MMAMWS-OID-INDEX  IS NOT EQUAL TO ZERO
080000         SET X-MMAM-1            TO MMAMWS-OID-INDEX.
080100*
080200     SET MMAMWS-OID-INDEX        TO X-MMAM-1.
080300     PERFORM 5000-GET-COLUMN-HEADING
080400        THRU 5999-GCH-EXIT.
080500     MOVE WS-D661-COL-HEADING    TO WS-D661-H2-COL-1.
080600*
080700*
080800*
080900     MOVE MTCC-MBD660-OID-2      TO MMAMWS-OID-SEARCH.
081000     SET X-MMAM-2                TO 15.
081100     PERFORM MMAMPX-FIND-OCCURRENCE
081200        THRU MMAMPX-FO-EXIT.
081300*
081400     IF  MMAMWS-OID-INDEX  IS NOT EQUAL TO ZERO
081500         SET X-MMAM-2            TO MMAMWS-OID-INDEX.
081600*
081700     SET MMAMWS-OID-INDEX        TO X-MMAM-2.
081800     PERFORM 5000-GET-COLUMN-HEADING
081900        THRU 5999-GCH-EXIT.
082000     MOVE WS-D661-COL-HEADING    TO WS-D661-H2-COL-2.
082100*
082200*
082300*
082400     MOVE MTCC-MBD660-OID-3      TO MMAMWS-OID-SEARCH.
082500     SET X-MMAM-3                TO 16.
082600     PERFORM MMAMPX-FIND-OCCURRENCE
082700        THRU MMAMPX-FO-EXIT.
082800*
082900     IF  MMAMWS-OID-INDEX  IS NOT EQUAL TO ZERO
083000         SET X-MMAM-3            TO MMAMWS-OID-INDEX.
083100*
083200     SET MMAMWS-OID-INDEX        TO X-MMAM-3.
083300     PERFORM 5000-GET-COLUMN-HEADING
083400        THRU 5999-GCH-EXIT.
083500     MOVE WS-D661-COL-HEADING    TO WS-D661-H2-COL-3.
083600*
083700 4999-SI-EXIT.
083800     EXIT.
083900/
084000 5000-GET-COLUMN-HEADING SECTION.
084100 5010-GCH-BEGIN.
084200*
084300     SET X-MMAM                  TO MMAMWS-OID-INDEX.
084400*
084500     IF  X-MMAM IS LESS THAN 13
084600     OR  X-MMAM IS EQUAL TO  16
084700     OR  X-MMAM IS EQUAL TO  24
084800     OR  X-MMAM IS EQUAL TO  25
084900         MOVE MMAM-OCCURRENCE-ID (X-MMAM)
085000                                 TO WS-D661-CH-OID-MON
085100         MOVE MMAM-OCCURRENCE-YEAR (X-MMAM)
085200                                 TO WS-D661-CH-YEAR-MON
085300         MOVE WS-D661-COL-HEADING-MON
085400                                 TO WS-D661-COL-HEADING
085500         GO TO 5999-GCH-EXIT.
085600*
085700     IF  X-MMAM IS EQUAL TO  13
085800         MOVE 'LAST'             TO WS-D661-CH-OID-MON
085900         MOVE 'PROC'             TO WS-D661-CH-YEAR-MON
086000         MOVE WS-D661-COL-HEADING-MON
086100                                 TO WS-D661-COL-HEADING
086200         GO TO 5999-GCH-EXIT.
086300*
086400     IF  X-MMAM IS EQUAL TO  15
086500         MOVE 'MONTH-TO-'        TO WS-D661-CH-OID-QTR
086600         MOVE 'DATE'             TO WS-D661-CH-YEAR-QTR
086700         MOVE WS-D661-COL-HEADING-QTR
086800                                 TO WS-D661-COL-HEADING
086900         GO TO 5999-GCH-EXIT.
087000*
087100     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
087200     PERFORM SS08PD-JUL-TO-GREG
087300        THRU SS08PD-JTG-EXIT.
087400     SET X-WS-D661-QTD           TO 1.
087500*
087600     SEARCH WS-D661-QTD-TABLE VARYING X-WS-D661-QTD
087700         AT END
087800             SET X-WS-D661-QTD   TO 1
087900         WHEN SS01WS-MM IS NOT LESS THAN
088000                             WS-D661-QTD-MON-1 (X-WS-D661-QTD)
088100          AND SS01WS-MM IS NOT GREATER THAN
088200                             WS-D661-QTD-MON-2 (X-WS-D661-QTD)
088300              NEXT SENTENCE.
088400*
088500     IF  X-MMAM IS EQUAL TO  17
088600         SET X-WS-D661-QTD       UP BY 1.
088700*
088800     IF  X-MMAM IS EQUAL TO  18
088900         SET X-WS-D661-QTD       UP BY 2.
089000*
089100     IF  X-MMAM IS EQUAL TO  19
089200         SET X-WS-D661-QTD       UP BY 3.
089300*
089400     IF  X-MMAM IS EQUAL TO  20
089500         SET X-WS-D661-QTD       UP BY 4.
089600*
089700     IF  X-MMAM IS EQUAL TO  21
089800         SET X-WS-D661-QTD       UP BY 5.
089900*
090000     IF  X-MMAM IS EQUAL TO  22
090100         SET X-WS-D661-QTD       UP BY 6.
090200*
090300     IF  X-MMAM IS EQUAL TO  23
090400         SET X-WS-D661-QTD       UP BY 7.
090500*
090600     MOVE WS-D661-QTD-LIT (X-WS-D661-QTD)
090700                                 TO WS-D661-CH-OID-QTR.
090800     MOVE MMAM-OCCURRENCE-YEAR (X-MMAM)
090900                                 TO WS-D661-CH-YEAR-QTR.
091000     MOVE WS-D661-COL-HEADING-QTR
091100                                 TO WS-D661-COL-HEADING.
091200*
091300 5999-GCH-EXIT.
091400     EXIT.
091500/
091600 6000-PRINT-HEADINGS SECTION.
091700 6010-PH-BEGIN.
091800*
091900     MOVE WS-D661-HEADING-1      TO MB20WS-SH-L5.
092000     MOVE WS-D661-HEADING-2      TO MB20WS-SH-L7.
092100     MOVE WS-D661-HEADING-3      TO MB20WS-SH-L8.
092200*
092300     IF  MMAM-TC-SETT
092400     OR  MMAM-TC-WHSE
092500         GO TO 6999-PH-EXIT.
092600*
092700     COMPUTE MB20WS-LINES-REMAINING
092800                                 =  MB20WS-LINE-LIMIT
092900                                 -  MB20WS-LINE-COUNT.
093000*
093100     IF  MB20WS-LINES-REMAINING IS LESS THAN 9
093200         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT
093300         GO TO 6999-PH-EXIT.
093400*
093500     PERFORM MB20PD-PRINT-2-LINES
093600        THRU MB20PD-P2L-EXIT.
093700*
093800     MOVE WS-D661-HEADING-1      TO MB20WS-PRINT-LINE.
093900     PERFORM MB20PD-PRINT-2-LINES
094000        THRU MB20PD-P2L-EXIT.
094100*
094200     MOVE WS-D661-HEADING-2      TO MB20WS-PRINT-LINE.
094300     PERFORM MB20PD-PRINT-1-LINE
094400        THRU MB20PD-P1L-EXIT.
094500*
094600     MOVE WS-D661-HEADING-3      TO MB20WS-PRINT-LINE.
094700     PERFORM MB20PD-PRINT-1-LINE
094800        THRU MB20PD-P1L-EXIT.
094900*
095000 6999-PH-EXIT.
095100     EXIT.
095200/
095300 9000-PERFORMED-ROUTINES-SECT SECTION.
095400 9700-RATE-HEADING.
095500*
095600     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
095700     MOVE 'NO RATE ON FILE'      TO WS-D661-SAVE-CURRENCY-RATE.
095800     MOVE '     ORIGINAL CURRENCY=XXX, EURO RATE=XXXXXXXXXXXXX'
095900                                 TO MB20WS-SH-L1-FILLER-2.
096000     MOVE MMOC-CURRENCY-CODE     TO MB20WS-SH-L1-FILLER-2(24:3).
096100     MOVE 1                      TO SS95WS-IN-PCT.
096200     PERFORM 9800-AMT-CONV-ON-THE-FLY
096300        THRU 9899-ACOTF-EXIT.
096400     MOVE WS-D661-SAVE-CURRENCY-RATE
096500                                 TO MB20WS-SH-L1-FILLER-2(39:13).
096600*
096700 9799-RH-EXIT.
096800     EXIT.
096900/
097000 9800-AMT-CONV-ON-THE-FLY.
097100*
097200     MOVE 15                     TO SMRTWS-TABLE-NBR.
097300     MOVE SS95WS-CURRENCY-CODE   TO SMRTWS-CURRENCY-CODE.
097400     MOVE '978'                  TO SMRTWS-CURRENCY-CODE-DEST.
097500     MOVE MMOC-ACCR-THRU-DATE    TO SMRTWS-TABLE-SEQ.
097600     MOVE SS95WS-IN-AMT          TO SS96WS-AMT.
097700     SET  SS96WS-CCO1-CLOSEST-EFF-DATE
097800                                 TO TRUE.
097900     SET  SS96WS-CCO2-USE-INVERSION
098000                                 TO TRUE.
098100     SET  SS96WS-USE-RATE        TO TRUE.
098200     SET  SS96WS-ROUND           TO TRUE.
098300     SET  SS96WS-XP-NORMAL       TO TRUE.
098400     PERFORM SS96PD-CURRENCY-CONVERSION
098500        THRU SS96PD-CC-EXIT.
098600*
098700     IF  SS96WS-RC-NO-CURR-CONVERTED
098800         MOVE MMOC-CURRENCY-CODE TO SS95WS-CURRENCY-CODE
098900     ELSE
099000         MOVE SS96WS-DEST-AMT    TO SS95WS-IN-AMT
099100         MOVE SMRTWS-CURRENCY-CODE-DEST
099200                                 TO SS95WS-CURRENCY-CODE
099300         MOVE SMRTWS-RECORD      TO SMRT-RECORD
099400         MOVE SMRT-RATE          TO SS95WS-IN-PCT
099500         MOVE SMRT-RATE-NOD      TO SS95WS-IN-PCT-NOD
099600     END-IF.
099700*
099800     PERFORM SS95PD-NAP-ROUTINE
099900        THRU SS95PD-NAP-EXIT.
100000*
100100     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
100200*
100300     IF  SS95WS-IN-PCT > ZERO
100400         MOVE SS95WS-OUT-PCT-L17(3:15)
100500                                 TO WS-D661-SAVE-CURRENCY-RATE
100600     END-IF.
100700*
100800 9899-ACOTF-EXIT.
100900     EXIT.
101000/
101100     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
101200/
101300     COPY MB00PD REPLACING ==:MB00:== BY ==MMAM==.
101400/
101500     COPY MMAMPX.
101600/
101700     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
101800/
101900     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
102000/
102100     COPY MB20PD.
102200/
102300     COPY MB90PD.
102400/
102500     COPY MB99PD.
102600/
102700     COPY SS02PD.
102800/
102900     COPY SS07PD.
103000/
103100     COPY SS08PD.
103200/
103300     COPY SS16PD.
103400/
103500     COPY SS26PD.
103600/
103700     COPY SS27PD.
103800/
103900     COPY SS95PD.
104000/
104100     COPY SS96PD.
104200/
104300     COPY SS98PD.
104400*
104500 9995-END-SOURCE-STATEMENTS SECTION.
104600 9999-END-OF-PROGRAM.
104700     EXIT.
