000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72024.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72024 - OPTIONAL REPORT 24 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72001-WORK-AREAS.
002100     03  WS-MERCH-BREAK-SW   PIC X(01)       VALUE 'N'.
002200         88  WS-MERCH-BREAK-YES              VALUE 'Y'.
002300         88  WS-MERCH-BREAK-NO               VALUE 'N'.
002400     03  WS-D72001-ACTIVITY-SW
002500                             PIC  X(01)      VALUE 'N'.
002600     03  WS-D720-RT-NBR.
002700         05  WS-D720-RT-1-4  PIC  9(04).
002800         05  WS-D720-RT-5-8  PIC  9(04).
002900         05  WS-D720-RT-9    PIC  9(01).
003000     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
003100*
003200     03  WS-D720-ACH-TOT-NBR
003300                             PIC S9(09)      COMP-3 VALUE ZEROS.
003400     03  WS-D720-ACH-TOT-AMT
003500                             PIC S9(17)      COMP-3 VALUE ZEROS.
003600*
003700     03  WS-D720-CHECK-TOT-NBR
003800                             PIC S9(09)      COMP-3 VALUE ZEROS.
003900     03  WS-D720-CHECK-TOT-AMT
004000                             PIC S9(17)      COMP-3 VALUE ZEROS.
004100*
004200     03  WS-D720-WIRE-TOT-NBR
004300                             PIC S9(09)      COMP-3 VALUE ZEROS.
004400     03  WS-D720-WIRE-TOT-AMT
004500                             PIC S9(17)      COMP-3 VALUE ZEROS.
004600*
004700     03  WS-D720-MAN-TOT-NBR
004800                             PIC S9(09)      COMP-3 VALUE ZEROS.
004900     03  WS-D720-MAN-TOT-AMT
005000                             PIC S9(17)      COMP-3 VALUE ZEROS.
005100*
005200     03  WS-D720-INV-TOT-NBR
005300                             PIC S9(09)      COMP-3 VALUE ZEROS.
005400     03  WS-D720-INV-TOT-AMT
005500                             PIC S9(17)      COMP-3 VALUE ZEROS.
005600*
005700     03  WS-D720-WINDOW-TOT-NBR
005800                             PIC S9(09)      COMP-3 VALUE ZEROS.
005900     03  WS-D720-WINDOW-TOT-AMT
006000                             PIC S9(17)      COMP-3 VALUE ZEROS.
006100*
006200     03  WS-D720-ORG-TOT-NBR
006300                             PIC S9(09)      COMP-3 VALUE ZEROS.
006400     03  WS-D720-ORG-TOT-AMT
006500                             PIC S9(17)      COMP-3 VALUE ZEROS.
006600*
006700     03  WS-D720-MERCH-TOTAL
006800                             PIC S9(17)      COMP-3 VALUE ZEROS.
006900*
007000     03  WS-D720-ACCT-TOTAL  PIC S9(17)      COMP-3 VALUE ZEROS.
007100*
007200     COPY MB20WS.
007300*
007400 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
007500     03  FILLER              PIC  X(01).
007600     03  WS-DL1-MER-NBR      PIC  9(09).
007700     03  FILLER              PIC  X(03).
007800     03  WS-DL1-DEST-METH    PIC  X(07).
007900     03  WS-DL1-RT-NBR.
008000         05  WS-DL1-RT-1-4   PIC  9(04).
008100         05  WS-DL1-DASH-1   PIC  X(01).
008200         05  WS-DL1-RT-5-8   PIC  9(04).
008300         05  WS-DL1-DASH-2   PIC  X(01).
008400         05  WS-DL1-RT-9     PIC  9(01).
008500     03  WS-DL1-ORG-X REDEFINES WS-DL1-RT-NBR.
008600         05  FILLER          PIC  X(03).
008700         05  WS-DL1-ORG      PIC  9(03).
008800         05  FILLER          PIC  X(05).
008900     03  FILLER              PIC  X(04).
009000     03  WS-DL1-ACCT-NBR     PIC  X(19).
009100     03  FILLER              PIC  X(02).
009200     03  WS-DL1-TRANS-AMT    PIC  X(23).
009300     03  FILLER              PIC  X(05).
009400     03  WS-DL1-MAN-METHOD   PIC  X(01).
009500     03  FILLER              PIC  X(05).
009600     03  WS-DL1-DESC         PIC  X(15).
009700*
009800 01  WS-TOTAL-LINE-1         REDEFINES MB20WS-PRINT-LINE.
009900     03  WS-TL1-LIT-1        PIC  X(25).
010000     03  FILLER              PIC  X(10).
010100     03  WS-TL1-LIT-2        PIC  X(20).
010200     03  FILLER              PIC  X(01).
010300     03  WS-TL1-TRAN-AMT     PIC  X(23).
010400*
010500 01  WS-TOTAL-LINE-2         REDEFINES MB20WS-PRINT-LINE.
010600     03  FILLER              PIC  X(16).
010700     03  WS-TL2-DESC         PIC  X(20).
010800     03  FILLER              PIC  X(06).
010900     03  WS-TL2-NBR          PIC  X(12).
011000     03  FILLER              PIC  X(04).
011100     03  WS-TL2-AMT          PIC  X(23).
011200*
011300 01  WS-TOTAL-LINE-3         REDEFINES MB20WS-PRINT-LINE.
011400     03  WS-TL3-LIT-1        PIC  X(47).
011500     03  FILLER              PIC  X(03).
011600     03  WS-TL3-FOR-ORG      PIC  9(03).
011700     03  FILLER              PIC  X(04).
011800     03  WS-TL3-FOR-DESC     PIC  X(40).
011900     03  FILLER              PIC  X(35).
012000*
012100/
012200     COPY SS95WS.
012300/
012400     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
012500/
012600     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
012700/
012800     COPY MTSIRL.
012900/
013000     COPY MMTCWS.
013100/
013200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
013300/
013400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
013500/
013600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
013700/
013800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
013900/
014000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
014100/
014200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
014300/
014400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
014500/
014600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
014700/
014800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
014900/
015000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
015100/
015200     COPY MB00WS.
015300/
015400     COPY SS00WS.
015500/
015600     COPY SS01WS.
015700/
015800     COPY SS02WS.
015900*
016000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
016100/
016200 LINKAGE SECTION.
016300     COPY MB22WS.
016400/
016500     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
016600/
016700 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
016800                                       MTRF-RECORD.
016900*
017000 A000-MAIN-LINE-SECT SECTION.
017100 A010-ML-BEGIN.
017200*
017300     IF  MTRF-K1-RT-DETAIL
017400         PERFORM D000-DETAIL-RECORD
017500            THRU D099-DR-EXIT.
017600*
017700     IF  MTRF-K1-RT-HEADER
017800         PERFORM H000-HEADER-RECORD
017900            THRU H099-HR-EXIT.
018000*
018100     IF  MTRF-K1-RT-TRAILER
018200         PERFORM T000-TRAILER-RECORD
018300            THRU T099-TR-EXIT.
018400*
018500     GOBACK.
018600*
018700 A099-ML-EXIT.
018800     EXIT.
018900/
019000 D000-DETAIL-RECORD SECTION.
019100 D010-DR-BEGIN.
019200*
019300     MOVE 'Y'                    TO WS-D72001-ACTIVITY-SW.
019400*
019500     MOVE MTRF-SI-RECORD         TO MTSI-RECORD.
019600*
019700     IF  MWRF-K2-O24-SETT-METHOD IS EQUAL TO SPACES
019800         SET WS-MERCH-BREAK-YES  TO TRUE
019900         PERFORM E100-MOVE-FIELDS
020000                                 THRU E199-MF-EXIT
020100         GO TO D099-DR-EXIT.
020200*
020300     IF  MTRF-K2-O24-SETT-METHOD IS NOT EQUAL TO
020400                                 MWRF-K2-O24-SETT-METHOD
020500         SET WS-MERCH-BREAK-YES  TO TRUE
020600         MOVE +3                 TO WS-D720-LINE-CHECK
020700         PERFORM 9100-CHECK-NBR-LINES
020800            THRU 9100-CNL-EXIT
020900         PERFORM E400-PRINT-MERCH-TOTALS
021000                                 THRU E499-PMT-EXIT
021100         PERFORM E500-PRINT-ACCT-TOTALS
021200                                 THRU E599-PAT-EXIT
021300         PERFORM E600-PRINT-METH-TOTALS
021400                                 THRU E699-PMT-EXIT
021500         PERFORM E100-MOVE-FIELDS
021600                                 THRU E199-MF-EXIT
021700         GO TO D099-DR-EXIT.
021800*
021900     IF  MTRF-K2-O24-ACCT-BREAK IS NOT EQUAL TO
022000                                 MWRF-K2-O24-ACCT-BREAK
022100         SET WS-MERCH-BREAK-YES  TO TRUE
022200         MOVE +3                 TO WS-D720-LINE-CHECK
022300         PERFORM 9100-CHECK-NBR-LINES
022400            THRU 9100-CNL-EXIT
022500         PERFORM E400-PRINT-MERCH-TOTALS
022600                                 THRU E499-PMT-EXIT
022700         PERFORM E500-PRINT-ACCT-TOTALS
022800                                 THRU E599-PAT-EXIT
022900         PERFORM E100-MOVE-FIELDS
023000                                 THRU E199-MF-EXIT
023100         GO TO D099-DR-EXIT.
023200*
023300     IF  MTRF-K2-O24-MERCHANT IS NOT EQUAL TO
023400                                 MWRF-K2-O24-MERCHANT
023500         MOVE +3                 TO WS-D720-LINE-CHECK
023600         PERFORM 9100-CHECK-NBR-LINES
023700            THRU 9100-CNL-EXIT
023800         PERFORM E400-PRINT-MERCH-TOTALS
023900                                 THRU E499-PMT-EXIT
024000         PERFORM E100-MOVE-FIELDS
024100                                 THRU E199-MF-EXIT
024200         GO TO D099-DR-EXIT.
024300*
024400     PERFORM E100-MOVE-FIELDS    THRU E199-MF-EXIT.
024500*
024600 D099-DR-EXIT.
024700     EXIT.
024800/
024900 E100-MOVE-FIELDS SECTION.
025000 E110-MFS-BEGIN.
025100*
025200     MOVE MTSI-MERCHANT          TO WS-DL1-MER-NBR.
025300*
025400     IF  WS-MERCH-BREAK-YES
025500         EVALUATE TRUE
025600           WHEN (MTSI-TC-ACH-DDA-CR
025700             OR  MTSI-TC-ACH-DDA-DR
025800             OR  MTSI-TC-MANUAL-DDA-CR
025900             OR  MTSI-TC-MANUAL-DDA-DR)
026000             MOVE 'DDA'          TO WS-DL1-DEST-METH
026100             MOVE MTSI-ACH-ACCT  TO WS-DL1-ACCT-NBR
026200             MOVE MTSI-RT-NBR    TO WS-D720-RT-NBR
026300             MOVE WS-D720-RT-1-4 TO WS-DL1-RT-1-4
026400             MOVE WS-D720-RT-5-8 TO WS-DL1-RT-5-8
026500             MOVE WS-D720-RT-9   TO WS-DL1-RT-9
026600             MOVE '-'            TO WS-DL1-DASH-1
026700                                    WS-DL1-DASH-2
026800           WHEN (MTSI-TC-ACH-SAV-CR
026900             OR  MTSI-TC-ACH-SAV-DR
027000             OR  MTSI-TC-MANUAL-SAV-CR
027100             OR  MTSI-TC-MANUAL-SAV-DR)
027200             MOVE 'SAV'          TO WS-DL1-DEST-METH
027300             MOVE MTSI-ACH-ACCT  TO WS-DL1-ACCT-NBR
027400             MOVE MTSI-RT-NBR    TO WS-D720-RT-NBR
027500             MOVE WS-D720-RT-1-4 TO WS-DL1-RT-1-4
027600             MOVE WS-D720-RT-5-8 TO WS-DL1-RT-5-8
027700             MOVE WS-D720-RT-9   TO WS-DL1-RT-9
027800             MOVE '-'            TO WS-DL1-DASH-1
027900                                    WS-DL1-DASH-2
028000           WHEN MTSI-TC-CHECK
028100             MOVE 'CHECK'        TO WS-DL1-DEST-METH
028200           WHEN MTSI-TC-WIRE
028300             MOVE 'WIRE '        TO WS-DL1-DEST-METH
028400             MOVE MTSI-ACH-ACCT  TO WS-DL1-ACCT-NBR
028500             MOVE MTSI-RT-NBR    TO WS-D720-RT-NBR
028600             MOVE WS-D720-RT-1-4 TO WS-DL1-RT-1-4
028700             MOVE WS-D720-RT-5-8 TO WS-DL1-RT-5-8
028800             MOVE WS-D720-RT-9   TO WS-DL1-RT-9
028900             MOVE '-'            TO WS-DL1-DASH-1
029000                                    WS-DL1-DASH-2
029100           WHEN MTSI-TC-BILL-ITEM
029200             MOVE 'INVOICE'      TO WS-DL1-DEST-METH
029300             MOVE MTSI-CMS-ORG   TO WS-DL1-ORG
029400             MOVE MTSI-CMS-ACCT  TO WS-DL1-ACCT-NBR
029500           WHEN OTHER
029600             MOVE 'WINDOW'       TO WS-DL1-DEST-METH
029700         END-EVALUATE
029800         SET WS-MERCH-BREAK-NO   TO TRUE.
029900*
030000     MOVE MTSI-AMOUNT            TO SS95WS-IN-AMT.
030100     PERFORM SS95PD-NAP-ROUTINE
030200        THRU SS95PD-NAP-EXIT.
030300     MOVE SS95WS-OUT-AMT-L23     TO WS-DL1-TRANS-AMT.
030400*
030500     MOVE MTSI-TAT-USER-CODE     TO WS-DL1-MAN-METHOD.
030600*
030700     MOVE MTSI-ACH-DESC          TO WS-DL1-DESC.
030800*
030900     IF  MTSI-TC-BILL-DR
031000     OR  MTSI-TC-MANUAL-DR
031100     OR  MTSI-TC-ACH-DR
031200     OR  MTSI-TC-WINDOW-DR
031300         COMPUTE WS-D720-MERCH-TOTAL = WS-D720-MERCH-TOTAL
031400                                   - MTSI-AMOUNT
031500     ELSE
031600         COMPUTE WS-D720-MERCH-TOTAL = WS-D720-MERCH-TOTAL
031700                                   + MTSI-AMOUNT.
031800*
031900     EVALUATE TRUE
032000       WHEN MTRF-K2-O24-SM-BILLED
032100         COMPUTE WS-D720-INV-TOT-NBR = WS-D720-INV-TOT-NBR
032200                                     + 1
032300       WHEN MTRF-K2-O24-SM-WINDOW
032400         COMPUTE WS-D720-WINDOW-TOT-NBR = WS-D720-WINDOW-TOT-NBR
032500                                     + 1
032600       WHEN MTRF-K2-O24-SM-CHECK
032700         COMPUTE WS-D720-CHECK-TOT-NBR = WS-D720-CHECK-TOT-NBR
032800                                     + 1
032900       WHEN MTRF-K2-O24-SM-WIRE
033000         COMPUTE WS-D720-WIRE-TOT-NBR = WS-D720-WIRE-TOT-NBR
033100                                     + 1
033200       WHEN MTRF-K2-O24-SM-ACH
033300         COMPUTE WS-D720-ACH-TOT-NBR = WS-D720-ACH-TOT-NBR
033400                                     + 1
033500       WHEN OTHER
033600         COMPUTE WS-D720-MAN-TOT-NBR = WS-D720-MAN-TOT-NBR
033700                                     + 1
033800     END-EVALUATE.
033900*
034000     EVALUATE TRUE
034100         WHEN MTRF-K1-DETAIL
034200             PERFORM MB22PD-PRINT-1-LINE
034300                THRU MB22PD-P1L-EXIT
034400         WHEN OTHER
034500             MOVE SPACES         TO MB20WS-PRINT-LINE
034600     END-EVALUATE.
034700*
034800     MOVE MTRF-RECORD            TO MWRF-RECORD.
034900*
035000 E199-MF-EXIT.
035100     EXIT.
035200/
035300 E400-PRINT-MERCH-TOTALS SECTION.
035400 E410-PMT-BEGIN.
035500*
035600     MOVE 'MERCHANT TOTAL'       TO WS-TL1-LIT-2.
035700*
035800     MOVE WS-D720-MERCH-TOTAL    TO SS95WS-IN-AMT.
035900     PERFORM SS95PD-NAP-ROUTINE
036000        THRU SS95PD-NAP-EXIT.
036100     MOVE SS95WS-OUT-AMT-L23     TO WS-TL1-TRAN-AMT.
036200*
036300     COMPUTE WS-D720-ACCT-TOTAL = WS-D720-ACCT-TOTAL
036400                                 + WS-D720-MERCH-TOTAL.
036500*
036600     MOVE ZEROS                  TO WS-D720-MERCH-TOTAL.
036700*
036800     PERFORM MB22PD-PRINT-2-LINES
036900                                 THRU MB22PD-P2L-EXIT.
037000*
037100 E499-PMT-EXIT.
037200     EXIT.
037300/
037400 E500-PRINT-ACCT-TOTALS SECTION.
037500 E510-PTT-BEGIN.
037600*
037700     MOVE 'ACCOUNT TOTAL'        TO WS-TL1-LIT-2.
037800*
037900     MOVE WS-D720-ACCT-TOTAL     TO SS95WS-IN-AMT.
038000     PERFORM SS95PD-NAP-ROUTINE
038100        THRU SS95PD-NAP-EXIT.
038200     MOVE SS95WS-OUT-AMT-L23     TO WS-TL1-TRAN-AMT.
038300*
038400     EVALUATE TRUE
038500       WHEN MWRF-K2-O24-SM-BILLED
038600         COMPUTE WS-D720-INV-TOT-AMT = WS-D720-INV-TOT-AMT
038700                                     + WS-D720-ACCT-TOTAL
038800       WHEN MWRF-K2-O24-SM-WINDOW
038900         COMPUTE WS-D720-WINDOW-TOT-AMT = WS-D720-WINDOW-TOT-AMT
039000                                     + WS-D720-ACCT-TOTAL
039100       WHEN MWRF-K2-O24-SM-ACH
039200         COMPUTE WS-D720-ACH-TOT-AMT = WS-D720-ACH-TOT-AMT
039300                                     + WS-D720-ACCT-TOTAL
039400       WHEN MWRF-K2-O24-SM-CHECK
039500         COMPUTE WS-D720-CHECK-TOT-AMT = WS-D720-CHECK-TOT-AMT
039600                                     + WS-D720-ACCT-TOTAL
039700       WHEN MWRF-K2-O24-SM-WIRE
039800         COMPUTE WS-D720-WIRE-TOT-AMT = WS-D720-WIRE-TOT-AMT
039900                                     + WS-D720-ACCT-TOTAL
040000       WHEN OTHER
040100         COMPUTE WS-D720-MAN-TOT-AMT = WS-D720-MAN-TOT-AMT
040200                                     + WS-D720-ACCT-TOTAL
040300     END-EVALUATE.
040400*
040500     MOVE ZEROS                  TO WS-D720-ACCT-TOTAL.
040600*
040700     PERFORM MB22PD-PRINT-2-LINES
040800                                 THRU MB22PD-P2L-EXIT.
040900*
041000 E599-PAT-EXIT.
041100     EXIT.
041200/
041300 E600-PRINT-METH-TOTALS SECTION.
041400 E610-PMT-BEGIN.
041500*
041600     MOVE '***** METHOD TOTALS *****'
041700                                 TO WS-TL1-LIT-1.
041800*
041900     EVALUATE TRUE
042000       WHEN MWRF-K2-O24-SM-BILLED
042100         MOVE 'INVOICE SETTLEMENT'
042200                                 TO WS-TL1-LIT-2
042300         MOVE WS-D720-INV-TOT-AMT
042400                                 TO SS95WS-IN-AMT
042500       WHEN MWRF-K2-O24-SM-WINDOW
042600         MOVE 'WINDOW SETTLEMENT'
042700                                 TO WS-TL1-LIT-2
042800         MOVE WS-D720-WINDOW-TOT-AMT
042900                                 TO SS95WS-IN-AMT
043000       WHEN MWRF-K2-O24-SM-ACH
043100         MOVE 'ACH SETTLEMENT'   TO WS-TL1-LIT-2
043200         MOVE WS-D720-ACH-TOT-AMT
043300                                 TO SS95WS-IN-AMT
043400       WHEN MWRF-K2-O24-SM-CHECK
043500         MOVE 'CHECK SETTLEMENT' TO WS-TL1-LIT-2
043600         MOVE WS-D720-CHECK-TOT-AMT
043700                                 TO SS95WS-IN-AMT
043800       WHEN MWRF-K2-O24-SM-WIRE
043900         MOVE 'WIRE SETTLEMENT'  TO WS-TL1-LIT-2
044000         MOVE WS-D720-WIRE-TOT-AMT
044100                                 TO SS95WS-IN-AMT
044200       WHEN OTHER
044300         MOVE 'MANUAL SETTLEMENT'
044400                                 TO WS-TL1-LIT-2
044500         MOVE WS-D720-MAN-TOT-AMT
044600                                 TO SS95WS-IN-AMT
044700     END-EVALUATE.
044800*
044900     PERFORM SS95PD-NAP-ROUTINE
045000        THRU SS95PD-NAP-EXIT.
045100     MOVE SS95WS-OUT-AMT-L23     TO WS-TL1-TRAN-AMT.
045200*
045300     PERFORM MB22PD-PRINT-2-LINES
045400                                 THRU MB22PD-P2L-EXIT.
045500*
045600 E699-PMT-EXIT.
045700     EXIT.
045800/
045900 H000-HEADER-RECORD SECTION.
046000 H010-HR-BEGIN.
046100*
046200     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
046300     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
046400     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
046500     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
046600     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
046700     MOVE 'O24'                  TO MB20WS-SH-INTERNAL-RPT-ID.
046800     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
046900     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
047000     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
047100     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
047200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
047300        THRU SS26PD-NED-EXIT.
047400     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
047500     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
047600     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
047700*
047800     MOVE ' MERCHANT   ACCT    *-------- DESTINATION --'
047900                                 TO MB20WS-SH-L5R-1.
048000     MOVE '-------*         TRANSACTION         USER   '
048100                                 TO MB20WS-SH-L5R-2.
048200     MOVE '  TRANSACTION                               '
048300                                 TO MB20WS-SH-L5R-3.
048400*
048500     MOVE '  NUMBER    TYPE     R/T NUMBER    ACCOUNT N'
048600                                 TO MB20WS-SH-L6R-1.
048700     MOVE 'UMBER               AMOUNT           CODE   '
048800                                 TO MB20WS-SH-L6R-2.
048900     MOVE '  DESCRIPTION                               '
049000                                 TO MB20WS-SH-L6R-3.
049100*
049200     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
049300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
049400     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
049500     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
049600     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
049700     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
049800     SET SS95WS-FUNCTION-INITIALIZE
049900                                 TO TRUE.
050000     PERFORM SS95PD-NAP-ROUTINE
050100        THRU SS95PD-NAP-EXIT.
050200*
050300     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
050400     SET SS95WS-NAP-IND-IS-ALL   TO TRUE.
050500     MOVE 'N'                    TO WS-D72001-ACTIVITY-SW.
050600     MOVE MTRF-RECORD            TO MTR9-RECORD.
050700     MOVE SPACES                 TO MWRF-RECORD.
050800*
050900 H099-HR-EXIT.
051000     EXIT.
051100/
051200 T000-TRAILER-RECORD SECTION.
051300 T010-TR-BEGIN.
051400*
051500     MOVE MTR9-RECORD            TO MTRF-RECORD.
051600*
051700     IF  WS-D72001-ACTIVITY-SW IS EQUAL TO 'N'
051800         IF  MTRF-HD-AF-PRODUCE
051900             PERFORM MB22PD-PRINT-NO-ACTIVITY
052000                THRU MB22PD-PNA-EXIT
052100             GO TO T099-TR-EXIT
052200         ELSE
052300             GO TO T099-TR-EXIT.
052400*
052500     MOVE +3                     TO WS-D720-LINE-CHECK.
052600*
052700     PERFORM 9100-CHECK-NBR-LINES
052800        THRU 9100-CNL-EXIT.
052900*
053000     PERFORM E400-PRINT-MERCH-TOTALS
053100                                 THRU E499-PMT-EXIT.
053200*
053300     PERFORM E500-PRINT-ACCT-TOTALS
053400                                 THRU E599-PAT-EXIT.
053500*
053600     PERFORM E600-PRINT-METH-TOTALS
053700                                 THRU E699-PMT-EXIT.
053800*
053900     MOVE +9                     TO WS-D720-LINE-CHECK.
054000*
054100     PERFORM 9100-CHECK-NBR-LINES
054200        THRU 9100-CNL-EXIT.
054300*
054400     PERFORM 9060-PRINT-ORG-TOTALS
054500                                 THRU 9060-POT-EXIT.
054600     MOVE SPACES                 TO MWRF-RECORD.
054700*
054800 T099-TR-EXIT.
054900     EXIT.
055000/
055100 9000-PERFORMED-ROUTINES-SECT SECTION.
055200/
055300 9060-PRINT-ORG-TOTALS.
055400*
055500     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
055600*
055700     MOVE SPACES                 TO MB20WS-SH-LINE-5
055800                                    MB20WS-SH-LINE-6
055900                                    MB20WS-SH-LINE-7
056000                                    MB20WS-SH-LINE-8.
056100*
056200     MOVE '**** ORGANIZATION TOTALS **** FOR ORGANIZATION '
056300                                 TO WS-TL3-LIT-1.
056400     MOVE MTRF-K1-ORG            TO WS-TL3-FOR-ORG.
056500     MOVE MTRF-HD-ORG-NAME       TO WS-TL3-FOR-DESC.
056600     PERFORM MB22PD-PRINT-2-LINES
056700                                 THRU MB22PD-P2L-EXIT.
056800*
056900     MOVE 'ACH SETTLEMENT'       TO WS-TL2-DESC.
057000     MOVE WS-D720-ACH-TOT-NBR    TO SS95WS-IN-NBR.
057100     MOVE WS-D720-ACH-TOT-AMT    TO SS95WS-IN-AMT.
057200     PERFORM SS95PD-NAP-ROUTINE
057300                                 THRU SS95PD-NAP-EXIT.
057400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
057500     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
057600*
057700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
057800*
057900     MOVE 'CHECK SETTLEMENT'     TO WS-TL2-DESC.
058000     MOVE WS-D720-CHECK-TOT-NBR  TO SS95WS-IN-NBR.
058100     MOVE WS-D720-CHECK-TOT-AMT  TO SS95WS-IN-AMT.
058200     PERFORM SS95PD-NAP-ROUTINE
058300                                 THRU SS95PD-NAP-EXIT.
058400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
058500     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
058600*
058700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
058800*
058900     MOVE 'WIRE SETTLEMENT'      TO WS-TL2-DESC.
059000     MOVE WS-D720-WIRE-TOT-NBR   TO SS95WS-IN-NBR.
059100     MOVE WS-D720-WIRE-TOT-AMT   TO SS95WS-IN-AMT.
059200     PERFORM SS95PD-NAP-ROUTINE
059300                                 THRU SS95PD-NAP-EXIT.
059400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
059500     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
059600*
059700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
059800*
059900     MOVE 'MANUAL SETTLEMENT'    TO WS-TL2-DESC.
060000     MOVE WS-D720-MAN-TOT-NBR    TO SS95WS-IN-NBR.
060100     MOVE WS-D720-MAN-TOT-AMT    TO SS95WS-IN-AMT.
060200     PERFORM SS95PD-NAP-ROUTINE
060300                                 THRU SS95PD-NAP-EXIT.
060400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
060500     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
060600*
060700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
060800*
060900     MOVE 'INVOICE SETTLEMENT'   TO WS-TL2-DESC.
061000     MOVE WS-D720-INV-TOT-NBR    TO SS95WS-IN-NBR.
061100     MOVE WS-D720-INV-TOT-AMT    TO SS95WS-IN-AMT.
061200     PERFORM SS95PD-NAP-ROUTINE
061300                                 THRU SS95PD-NAP-EXIT.
061400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
061500     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
061600*
061700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
061800*
061900     MOVE 'WINDOW SETTLEMENT'    TO WS-TL2-DESC.
062000     MOVE WS-D720-WINDOW-TOT-NBR TO SS95WS-IN-NBR.
062100     MOVE WS-D720-WINDOW-TOT-AMT TO SS95WS-IN-AMT.
062200     PERFORM SS95PD-NAP-ROUTINE
062300                                 THRU SS95PD-NAP-EXIT.
062400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
062500     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
062600*
062700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
062800*
062900     COMPUTE WS-D720-ORG-TOT-NBR = WS-D720-ORG-TOT-NBR
063000                                 + WS-D720-ACH-TOT-NBR
063100                                 + WS-D720-CHECK-TOT-NBR
063200                                 + WS-D720-WIRE-TOT-NBR
063300                                 + WS-D720-MAN-TOT-NBR
063400                                 + WS-D720-INV-TOT-NBR
063500                                 + WS-D720-WINDOW-TOT-NBR.
063600     COMPUTE WS-D720-ORG-TOT-AMT = WS-D720-ORG-TOT-AMT
063700                                 + WS-D720-ACH-TOT-AMT
063800                                 + WS-D720-CHECK-TOT-AMT
063900                                 + WS-D720-WIRE-TOT-AMT
064000                                 + WS-D720-MAN-TOT-AMT
064100                                 + WS-D720-INV-TOT-AMT
064200                                 + WS-D720-WINDOW-TOT-AMT.
064300*
064400     MOVE 'TOTAL SETTLEMENT'     TO WS-TL2-DESC.
064500     MOVE WS-D720-ORG-TOT-NBR    TO SS95WS-IN-NBR.
064600     MOVE WS-D720-ORG-TOT-AMT    TO SS95WS-IN-AMT.
064700     PERFORM SS95PD-NAP-ROUTINE
064800                                 THRU SS95PD-NAP-EXIT.
064900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL2-NBR.
065000     MOVE SS95WS-OUT-AMT-L23     TO WS-TL2-AMT.
065100*
065200     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
065300*
065400     MOVE ZEROS                  TO WS-D720-ACH-TOT-NBR
065500                                    WS-D720-ACH-TOT-AMT
065600                                    WS-D720-CHECK-TOT-NBR
065700                                    WS-D720-CHECK-TOT-AMT
065800                                    WS-D720-WIRE-TOT-NBR
065900                                    WS-D720-WIRE-TOT-AMT
066000                                    WS-D720-MAN-TOT-NBR
066100                                    WS-D720-MAN-TOT-AMT
066200                                    WS-D720-INV-TOT-NBR
066300                                    WS-D720-INV-TOT-AMT
066400                                    WS-D720-WINDOW-TOT-NBR
066500                                    WS-D720-WINDOW-TOT-AMT
066600                                    WS-D720-ORG-TOT-NBR
066700                                    WS-D720-ORG-TOT-AMT.
066800*
066900 9060-POT-EXIT.
067000     EXIT.
067100*
067200 9100-CHECK-NBR-LINES.
067300*
067400     COMPUTE MB20WS-LINES-REMAINING
067500                                 = MB20WS-LINE-LIMIT
067600                                 - MB20WS-LINE-COUNT.
067700*
067800     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
067900         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
068000*
068100 9100-CNL-EXIT.
068200     EXIT.
068300/
068400     COPY MB22PD.
068500/
068600     COPY SS95PD.
068700/
068800     COPY SS02PD.
068900/
069000     COPY SS07PD.
069100/
069200     COPY SS08PD.
069300/
069400     COPY SS16PD.
069500/
069600     COPY SS26PD.
069700/
069800     COPY SS27PD.
069900*
070000 9995-END-SOURCE-STATEMENTS SECTION.
070100 9999-END-OF-PROGRAM.
070200     EXIT.
