000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72035.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72035 - OPTIONAL REPORT 35 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72035-WORK-AREAS.
002100     03  WS-D72035-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400     03  WS-DO35-TOT-PURGING-MERCH
002500                             PIC  9(09)      VALUE ZERO.
002600     03  WS-DO35-TOT-PURGING-STORE
002700                             PIC  9(09)      VALUE ZERO.
002800     03  WS-DO35-MERCH-PURGING-TODAY
002900                             PIC  9(09)      VALUE ZERO.
003000     03  WS-DO35-STORE-PURGING-TODAY
003100                             PIC  9(09)      VALUE ZERO.
003200*
003300/
003400     COPY MB20WS.
003500*
003600 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
003700     03  WS-DL1-MERCH-STORE  PIC  9(09).
003800     03  FILLER              PIC  X(02).
003900     03  WS-DL1-FILE-TYPE    PIC  X(01).
004000     03  FILLER              PIC  X(02).
004100     03  WS-DL1-DBA-NAME     PIC  X(25).
004200     03  FILLER              PIC  X(02).
004300     03  WS-DL1-DATE-OPENED  PIC  X(10).
004400     03  FILLER              PIC  X(02).
004500     03  WS-DL1-DATE-LAST-STMT
004600                             PIC  X(10).
004700     03  FILLER              PIC  X(02).
004800     03  WS-DL1-NBR-STORES   PIC  X(10).
004900     03  FILLER              PIC  X(01).
005000     03  WS-DL1-AGENT        PIC  9(05).
005100     03  FILLER              PIC  X(07).
005200     03  WS-DL1-REASON       PIC  X(02).
005300     03  FILLER              PIC  X(03).
005400     03  WS-DL1-DATE-CLOSED  PIC  X(10).
005500     03  FILLER              PIC  X(03).
005600     03  WS-DL1-MESSAGE      PIC  X(25).
005700*
005800 01  WS-DETAIL-LINE-2        REDEFINES MB20WS-PRINT-LINE.
005900     03  FILLER              PIC  X(14).
006000     03  WS-DL2-DBA-CITY     PIC  X(13).
006100     03  FILLER              PIC  X(03).
006200     03  WS-DL2-DBA-STATE    PIC  X(03).
006300     03  FILLER              PIC  X(08).
006400     03  WS-DL2-DATE-LAST-ACTIVE
006500                             PIC  X(10).
006600     03  FILLER              PIC  X(02).
006700     03  WS-DL2-DATE-LAST-SETT
006800                             PIC  X(10).
006900     03  FILLER              PIC  X(02).
007000     03  WS-DL2-NBR-CHAINS   PIC  X(10).
007100     03  FILLER              PIC  X(01).
007200     03  WS-DL2-BRANCH       PIC  9(09).
007300     03  FILLER              PIC  X(03).
007400     03  WS-DL2-OPER         PIC  X(03).
007500     03  FILLER              PIC  X(02).
007600     03  WS-DL2-DATE-PURGING PIC  X(10).
007700     03  FILLER              PIC  X(03).
007800     03  WS-DL2-DAYS         PIC  X(03).
007900*
008000 01  WS-TOTAL-LINE           REDEFINES MB20WS-PRINT-LINE.
008100     03  FILLER              PIC  X(04).
008200     03  WS-TL1-NAME1        PIC  X(22).
008300     03  FILLER              PIC  X(02).
008400     03  WS-TL1-NBR1         PIC  X(11).
008500     03  FILLER              PIC  X(16).
008600     03  WS-TL1-NAME2        PIC  X(27).
008700     03  FILLER              PIC  X(02).
008800     03  WS-TL1-NBR2         PIC  X(11).
008900/
009000     COPY SS95WS.
009100/
009200     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
009300/
009400     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
009500/
009600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
009700/
009800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
009900/
010000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
010100/
010200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
010300/
010400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
010500/
010600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
010700/
010800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
010900/
011000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
011100/
011200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
011300/
011400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
011500/
011600     COPY MB00WS.
011700/
011800     COPY SS00WS.
011900/
012000     COPY SS01WS.
012100/
012200     COPY SS02WS.
012300*
012400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012500/
012600 LINKAGE SECTION.
012700     COPY MB22WS.
012800/
012900     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
013000/
013100 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
013200                                       MTRF-RECORD.
013300*
013400 A000-MAIN-LINE-SECT SECTION.
013500 A010-ML-BEGIN.
013600*
013700     IF  MTRF-K1-RT-DETAIL
013800         PERFORM D000-DETAIL-RECORD
013900            THRU D099-DR-EXIT.
014000*
014100     IF  MTRF-K1-RT-HEADER
014200         PERFORM H000-HEADER-RECORD
014300            THRU H099-HR-EXIT.
014400*
014500     IF  MTRF-K1-RT-TRAILER
014600         PERFORM T000-TRAILER-RECORD
014700            THRU T099-TR-EXIT.
014800*
014900     GOBACK.
015000*
015100 A099-ML-EXIT.
015200     EXIT.
015300/
015400 D000-DETAIL-RECORD SECTION.
015500 D010-DR-BEGIN.
015600*
015700     MOVE 'Y'                    TO WS-D72035-ACTIVITY-SW.
015800*
015900     EVALUATE TRUE
016000         WHEN MTRF-K2-O35-FT-MERCHANT
016100             MOVE MTRF-K2-O35-MERCHANT
016200                                 TO WS-DL1-MERCH-STORE
016300             ADD 1               TO WS-DO35-TOT-PURGING-MERCH
016400             IF  MTRF-O35-PURGING-ACTION IS GREATER THAN ZERO
016500                 ADD 1           TO WS-DO35-MERCH-PURGING-TODAY
016600             END-IF
016700         WHEN MTRF-K2-O35-FT-STORE
016800             MOVE MTRF-K2-O35-STORE
016900                                 TO WS-DL1-MERCH-STORE
017000             ADD 1               TO WS-DO35-TOT-PURGING-STORE
017100             IF  MTRF-O35-PURGING-ACTION IS GREATER THAN ZERO
017200                 ADD 1           TO WS-DO35-STORE-PURGING-TODAY
017300             END-IF
017400     END-EVALUATE.
017500*
017600     MOVE MTRF-K2-O35-FILE-TYPE  TO WS-DL1-FILE-TYPE.
017700     MOVE MTRF-O35-DBA-NAME      TO WS-DL1-DBA-NAME.
017800     MOVE MTRF-O35-DATE-OPENED   TO SS01WS-JULIAN.
017900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
018000     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE-OPENED.
018100*
018200     MOVE MTRF-O35-DATE-LAST-STMT
018300                                 TO SS01WS-JULIAN.
018400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
018500     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE-LAST-STMT.
018600*
018700     IF  MTRF-K2-O35-FT-MERCHANT
018800         MOVE MTRF-O35-NBR-STORES
018900                                 TO SS95WS-IN-NBR
019000         PERFORM SS95PD-NAP-ROUTINE
019100                                 THRU SS95PD-NAP-EXIT
019200         MOVE SS95WS-OUT-NBR-L10 TO WS-DL1-NBR-STORES.
019300*
019400     MOVE MTRF-O35-AGENT-BANK    TO WS-DL1-AGENT.
019500     MOVE MTRF-O35-CLOSE-REASON  TO WS-DL1-REASON.
019600*
019700     MOVE MTRF-O35-DATE-CLOSED   TO SS01WS-JULIAN.
019800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
019900     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE-CLOSED.
020000*
020100     EVALUATE TRUE
020200         WHEN MTRF-O35-PA-AUTO
020300             MOVE 'STATUS CHANGE - AUTO'
020400                                 TO WS-DL1-MESSAGE
020500         WHEN MTRF-O35-PA-MANUAL
020600             MOVE 'STATUS CHANGE - MANUAL'
020700                                 TO WS-DL1-MESSAGE
020800         WHEN MTRF-O35-PA-PEND-TO-PURGING
020900             MOVE 'STATUS CHANGE - MANUAL'
021000                                 TO WS-DL1-MESSAGE
021100         WHEN MTRF-O35-PA-FINAL-NEXT-DAY
021200             MOVE 'TO-BE-PURGED NEXT RUN'
021300                                 TO WS-DL1-MESSAGE
021400     END-EVALUATE.
021500*
021600     PERFORM MB22PD-PRINT-1-LINE
021700        THRU MB22PD-P1L-EXIT.
021800*
021900     IF  MTRF-K2-O35-FT-STORE
022000         MOVE MTRF-O35-NBR-STORES
022100                                 TO WS-DL1-MERCH-STORE.
022200*
022300     MOVE MTRF-O35-DBA-CITY      TO WS-DL2-DBA-CITY.
022400     MOVE MTRF-O35-DBA-COUNTRY-CODE
022500                                 TO WS-DL2-DBA-STATE.
022600     MOVE MTRF-O35-DATE-LAST-ACTIVE
022700                                 TO SS01WS-JULIAN.
022800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
022900     MOVE SS01WS-XX-XX-YYYY      TO WS-DL2-DATE-LAST-ACTIVE.
023000*
023100     MOVE MTRF-O35-DATE-LAST-SETT
023200                                 TO SS01WS-JULIAN.
023300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
023400     MOVE SS01WS-XX-XX-YYYY      TO WS-DL2-DATE-LAST-SETT.
023500*
023600     MOVE MTRF-O35-NBR-CHAINS    TO SS95WS-IN-NBR.
023700     PERFORM SS95PD-NAP-ROUTINE
023800                                 THRU SS95PD-NAP-EXIT.
023900     MOVE SS95WS-OUT-NBR-L10     TO WS-DL2-NBR-CHAINS.
024000*
024100     MOVE MTRF-O35-BRANCH        TO WS-DL2-BRANCH.
024200     MOVE MTRF-O35-STATUS-CHANGE-OPER
024300                                 TO WS-DL2-OPER.
024400     MOVE MTRF-O35-PURGING-DATE  TO SS01WS-JULIAN.
024500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
024600     MOVE SS01WS-XX-XX-YYYY      TO WS-DL2-DATE-PURGING.
024700*
024800     MOVE MTRF-O35-NBR-DAYS      TO WS-DL2-DAYS.
024900*
025000     PERFORM MB22PD-PRINT-2-LINES
025100        THRU MB22PD-P2L-EXIT.
025200*
025300 D099-DR-EXIT.
025400     EXIT.
025500/
025600 H000-HEADER-RECORD SECTION.
025700 H010-HR-BEGIN.
025800*
025900     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
026000     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
026100     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
026200     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
026300     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
026400     MOVE 'O35'                  TO MB20WS-SH-INTERNAL-RPT-ID.
026500     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
026600     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
026700     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
026800     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
026900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
027000        THRU SS26PD-NED-EXIT.
027100     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
027200     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
027300     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
027400*
027500     MOVE 'M/S       M/S DBA NAME                   DAT'
027600                                 TO MB20WS-SH-L5R-1.
027700     MOVE 'E OPEN   LAST STMT   # STORES   AGENT       '
027800                                 TO MB20WS-SH-L5R-2.
027900     MOVE 'RSN  CLOSE DATE   MESSAGE                   '
028000                                 TO MB20WS-SH-L5R-3.
028100*
028200     MOVE 'NUMBER    IND DBA CITY       ST/PR       LAS'
028300                                 TO MB20WS-SH-L6R-1.
028400     MOVE 'T ACTIVE LAST SETT   # CHAINS   BRANCH      '
028500                                 TO MB20WS-SH-L6R-2.
028600     MOVE 'OPR  PURGING DT   DAYS                      '
028700                                 TO MB20WS-SH-L6R-3.
028800*
028900     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
029000     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
029100     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
029200     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
029300     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
029400     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
029500     SET SS95WS-FUNCTION-INITIALIZE
029600                                 TO TRUE.
029700     PERFORM SS95PD-NAP-ROUTINE
029800        THRU SS95PD-NAP-EXIT.
029900*
030000     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
030100     MOVE 'N'                    TO WS-D72035-ACTIVITY-SW.
030200     MOVE MTRF-RECORD            TO MTR9-RECORD.
030300*
030400     MOVE ZEROS                  TO WS-DO35-TOT-PURGING-MERCH
030500                                    WS-DO35-TOT-PURGING-STORE
030600                                    WS-DO35-STORE-PURGING-TODAY
030700                                    WS-DO35-MERCH-PURGING-TODAY.
030800*
030900 H099-HR-EXIT.
031000     EXIT.
031100/
031200 T000-TRAILER-RECORD SECTION.
031300 T010-TR-BEGIN.
031400     MOVE MTR9-RECORD            TO MTRF-RECORD.
031500*
031600     IF  WS-D72035-ACTIVITY-SW IS EQUAL TO 'N'
031700         IF  MTRF-HD-AF-PRODUCE
031800             PERFORM MB22PD-PRINT-NO-ACTIVITY
031900                                 THRU MB22PD-PNA-EXIT
032000             GO TO T099-TR-EXIT
032100         ELSE
032200             GO TO T099-TR-EXIT.
032300*
032400     PERFORM 9100-CHECK-NBR-LINES
032500        THRU 9100-CNL-EXIT.
032600     PERFORM 9010-PRINT-ORG-TOTALS
032700        THRU 9010-POT-EXIT.
032800*
032900 T099-TR-EXIT.
033000     EXIT.
033100/
033200 9000-PERFORMED-ROUTINES-SECT SECTION.
033300 9010-PRINT-ORG-TOTALS.
033400*
033500     MOVE 2                      TO WS-D720-LINE-CHECK.
033600     PERFORM 9100-CHECK-NBR-LINES
033700                                 THRU 9100-CNL-EXIT.
033800     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
033900*
034000     MOVE ' **** ORGANIZATION TOTALS **** FOR ORGANIZATION   '
034100                                 TO MB20WS-PRINT-LINE (1:50).
034200     MOVE MTRF-K1-ORG            TO MB20WS-PRINT-LINE (52:3).
034300     MOVE MTRF-HD-ORG-NAME       TO MB20WS-PRINT-LINE (64:40).
034400*
034500     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
034600*
034700     MOVE 'TOTAL PURGING MERCHANT'
034800                                 TO WS-TL1-NAME1.
034900*
035000     MOVE WS-DO35-TOT-PURGING-MERCH
035100                                 TO SS95WS-IN-NBR.
035200     PERFORM SS95PD-NAP-ROUTINE
035300                                 THRU SS95PD-NAP-EXIT.
035400     MOVE SS95WS-OUT-NBR-L10     TO WS-TL1-NBR1.
035500*
035600     MOVE 'NBR MERCHANTS PURGING TODAY'
035700                                 TO WS-TL1-NAME2.
035800*
035900     MOVE WS-DO35-MERCH-PURGING-TODAY
036000                                 TO SS95WS-IN-NBR.
036100     PERFORM SS95PD-NAP-ROUTINE
036200                                 THRU SS95PD-NAP-EXIT.
036300     MOVE SS95WS-OUT-NBR-L10     TO WS-TL1-NBR2.
036400*
036500     PERFORM MB22PD-PRINT-1-LINE
036600                                 THRU MB22PD-P1L-EXIT.
036700*
036800     MOVE 'TOTAL PURGING STORES '
036900                                 TO WS-TL1-NAME1.
037000*
037100     MOVE WS-DO35-TOT-PURGING-STORE
037200                                 TO SS95WS-IN-NBR.
037300     PERFORM SS95PD-NAP-ROUTINE
037400                                 THRU SS95PD-NAP-EXIT.
037500     MOVE SS95WS-OUT-NBR-L10     TO WS-TL1-NBR1.
037600*
037700     MOVE 'NBR STORES PURGING TODAY  '
037800                                 TO WS-TL1-NAME2.
037900*
038000     MOVE WS-DO35-STORE-PURGING-TODAY
038100                                 TO SS95WS-IN-NBR.
038200     PERFORM SS95PD-NAP-ROUTINE
038300                                 THRU SS95PD-NAP-EXIT.
038400     MOVE SS95WS-OUT-NBR-L10     TO WS-TL1-NBR2.
038500*
038600     PERFORM MB22PD-PRINT-1-LINE
038700                                 THRU MB22PD-P1L-EXIT.
038800 9010-POT-EXIT.
038900     EXIT.
039000/
039100*
039200 9100-CHECK-NBR-LINES.
039300*
039400     COMPUTE MB20WS-LINES-REMAINING
039500                                 = MB20WS-LINE-LIMIT
039600                                 - MB20WS-LINE-COUNT.
039700*
039800     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
039900         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
040000*
040100 9100-CNL-EXIT.
040200     EXIT.
040300/
040400     COPY MB22PD.
040500/
040600     COPY SS95PD.
040700/
040800     COPY SS02PD.
040900/
041000     COPY SS07PD.
041100/
041200     COPY SS08PD.
041300/
041400     COPY SS16PD.
041500/
041600     COPY SS26PD.
041700/
041800     COPY SS27PD.
041900*
042000 9995-END-SOURCE-STATEMENTS SECTION.
042100 9999-END-OF-PROGRAM.
042200     EXIT.
