000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72043.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72043 - OPTIONAL REPORT 43 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72043-WORK-AREAS.
002100     03  WS-D72043-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400     03  WS-D720-OT-NBR-MERCHANTS
002500                             PIC  9(09)      VALUE ZEROS.
002600     03  WS-D720-OT-NBR-STORES
002700                             PIC  9(09)      VALUE ZEROS.
002800     03  WS-D720-MT-NBR-STORES
002900                             PIC  9(09)      VALUE ZEROS.
003000*
003100/
003200     COPY MB20WS.
003300*
003400 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
003500     03  WS-DL1-STORE        PIC  9(09)-.
003600     03  FILLER              PIC  X(02).
003700     03  WS-DL1-NAME         PIC  X(41).
003800     03  FILLER              PIC  X(01).
003900     03  WS-DL1-MERCHANT     PIC  9(09)BBB.
004000     03  WS-DL1-AUTH-CODE    PIC  X(01).
004100     03  FILLER              PIC  X(03).
004200     03  WS-DL1-NEXT-VISIT   PIC  X(11).
004300     03  WS-DL1-NEXT-REVIEW  PIC  X(11).
004400     03  WS-DL1-SETT-DATE    PIC  X(11).
004500     03  FILLER              PIC  X(02).
004600     03  WS-DL1-SETT-FLAG    PIC  X(01).
004700     03  FILLER              PIC  X(03).
004800     03  WS-DL1-AMT          PIC  X(23).
004900*
005000 01  WS-TOTAL-LINE-1         REDEFINES MB20WS-PRINT-LINE.
005100     03  FILLER              PIC  X(10).
005200     03  WS-TL1-LIT-1        PIC  X(19).
005300     03  FILLER              PIC  X(08).
005400     03  WS-TL1-ORG-TOTALS   PIC  X(12).
005500/
005600     COPY SS95WS.
005700/
005800     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
005900/
006000     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
006100/
006200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
006300/
006400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
006500/
006600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
006700/
006800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
006900/
007000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
007100/
007200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
007300/
007400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
007500/
007600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
007700/
007800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
007900/
008000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
008100/
008200     COPY MB00WS.
008300/
008400     COPY SS00WS.
008500/
008600     COPY SS01WS.
008700/
008800     COPY SS02WS.
008900*
009000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009100/
009200 LINKAGE SECTION.
009300     COPY MB22WS.
009400/
009500     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
009600/
009700 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
009800                                       MTRF-RECORD.
009900*
010000 A000-MAIN-LINE-SECT SECTION.
010100 A010-ML-BEGIN.
010200*
010300     IF  MTRF-K1-RT-DETAIL
010400         PERFORM D000-DETAIL-RECORD
010500            THRU D099-DR-EXIT.
010600*
010700     IF  MTRF-K1-RT-HEADER
010800         PERFORM H000-HEADER-RECORD
010900            THRU H099-HR-EXIT.
011000*
011100     IF  MTRF-K1-RT-TRAILER
011200         PERFORM T000-TRAILER-RECORD
011300            THRU T099-TR-EXIT.
011400*
011500     GOBACK.
011600*
011700 A099-ML-EXIT.
011800     EXIT.
011900/
012000 D000-DETAIL-RECORD SECTION.
012100 D010-DR-BEGIN.
012200*
012300     MOVE 'Y'                    TO WS-D72043-ACTIVITY-SW.
012400*
012500     IF  MTRF-K2-O43-MERCHANT IS NOT EQUAL
012600                                 TO MWRF-K2-O43-MERCHANT
012700         AND MWRF-K2-O43-MERCHANT IS GREATER THAN ZEROS
012800         COMPUTE WS-D720-OT-NBR-MERCHANTS =
012900                 WS-D720-OT-NBR-MERCHANTS + 1
013000         PERFORM 9020-PRINT-MERCHANT-TOTALS
013100                                 THRU 9020-PMT-EXIT.
013200*
013300     MOVE MTRF-K2-O43-STORE      TO WS-DL1-STORE.
013400     MOVE MTRF-NAME              TO WS-DL1-NAME (1:33).
013500     MOVE MTRF-REC-STATUS        TO WS-DL1-NAME (35:1).
013600     MOVE MTRF-CLOSE-REASON      TO WS-DL1-NAME (39:2).
013700     MOVE MTRF-K2-O43-MERCHANT   TO WS-DL1-MERCHANT.
013800     MOVE MTRF-O43-AUTH-CODE     TO WS-DL1-AUTH-CODE.
013900     MOVE MTRF-O43-DATE-NEXT-VISIT
014000                                 TO SS01WS-JULIAN.
014100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
014200     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-NEXT-VISIT.
014300     MOVE MTRF-O43-DATE-NEXT-REVIEW
014400                                 TO SS01WS-JULIAN.
014500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
014600     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-NEXT-REVIEW.
014700*
014800     MOVE MTRF-O43-STORE-SETT-DATE
014900                                 TO SS01WS-JULIAN.
015000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
015100     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-SETT-DATE.
015200*
015300     MOVE MTRF-O43-STORE-SETT-FLAG
015400                                 TO WS-DL1-SETT-FLAG.
015500     MOVE MTRF-O43-YTD-NET-SALES TO SS95WS-IN-AMT.
015600     PERFORM SS95PD-NAP-ROUTINE
015700                                 THRU SS95PD-NAP-EXIT.
015800     MOVE SS95WS-OUT-AMT-L23     TO WS-DL1-AMT.
015900*
016000     COMPUTE WS-D720-OT-NBR-STORES = WS-D720-OT-NBR-STORES
016100                                      + 1.
016200*
016300     COMPUTE WS-D720-MT-NBR-STORES = WS-D720-MT-NBR-STORES
016400                                      + 1.
016500*
016600     EVALUATE TRUE
016700         WHEN MTRF-K1-DETAIL
016800             PERFORM MB22PD-PRINT-1-LINE
016900                THRU MB22PD-P1L-EXIT
017000         WHEN OTHER
017100             MOVE SPACES         TO MB20WS-PRINT-LINE
017200     END-EVALUATE.
017300*
017400     MOVE MTRF-RECORD            TO MWRF-RECORD.
017500*
017600 D099-DR-EXIT.
017700     EXIT.
017800/
017900 H000-HEADER-RECORD SECTION.
018000 H010-HR-BEGIN.
018100*
018200     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
018300     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
018400     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
018500     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
018600     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
018700     MOVE 'O43'                  TO MB20WS-SH-INTERNAL-RPT-ID.
018800     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
018900     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
019000     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
019100     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
019200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
019300        THRU SS26PD-NED-EXIT.
019400     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
019500     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
019600     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
019700*
019800     MOVE '                                            '
019900                                 TO MB20WS-SH-L5R-1.
020000     MOVE ' REC CL   MERCHANT   AUTH  DATE NEXT  DATE N'
020100                                 TO MB20WS-SH-L5R-2.
020200     MOVE 'EXT   SETTLE   SETT                         '
020300                                 TO MB20WS-SH-L5R-3.
020400*
020500     MOVE 'STORE NBR   *--------- STORE NAME ---------*'
020600                                 TO MB20WS-SH-L6R-1.
020700     MOVE ' STA RSN   NUMBER    CODE    VISIT     REVIE'
020800                                 TO MB20WS-SH-L6R-2.
020900     MOVE 'W      DATE    FLAG           YTD NET SALES '
021000                                 TO MB20WS-SH-L6R-3.
021100*
021200     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
021300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
021400     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
021500     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
021600     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
021700     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
021800     SET SS95WS-FUNCTION-INITIALIZE
021900                                 TO TRUE.
022000     PERFORM SS95PD-NAP-ROUTINE
022100        THRU SS95PD-NAP-EXIT.
022200*
022300     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
022400     MOVE 'N'                    TO WS-D72043-ACTIVITY-SW.
022500     MOVE MTRF-RECORD            TO MTR9-RECORD.
022600     INITIALIZE                     MWRF-RECORD.
022700     MOVE ZEROS                  TO MWRF-K2-O43-MERCHANT.
022800*
022900 H099-HR-EXIT.
023000     EXIT.
023100/
023200 T000-TRAILER-RECORD SECTION.
023300 T010-TR-BEGIN.
023400     MOVE MTR9-RECORD            TO MTRF-RECORD.
023500*
023600     IF  WS-D72043-ACTIVITY-SW IS EQUAL TO 'N'
023700         IF  MTRF-HD-AF-PRODUCE
023800             PERFORM MB22PD-PRINT-NO-ACTIVITY
023900                                 THRU MB22PD-PNA-EXIT
024000             GO TO T099-TR-EXIT
024100         ELSE
024200             GO TO T099-TR-EXIT.
024300*
024400     PERFORM 9100-CHECK-NBR-LINES
024500        THRU 9100-CNL-EXIT.
024600     COMPUTE WS-D720-OT-NBR-MERCHANTS =
024700             WS-D720-OT-NBR-MERCHANTS + 1.
024800     PERFORM 9020-PRINT-MERCHANT-TOTALS
024900        THRU 9020-PMT-EXIT.
025000     PERFORM 9010-PRINT-ORG-TOTALS
025100        THRU 9010-POT-EXIT.
025200*
025300 T099-TR-EXIT.
025400     EXIT.
025500/
025600 9000-PERFORMED-ROUTINES-SECT SECTION.
025700 9010-PRINT-ORG-TOTALS.
025800*
025900     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
026000*
026100     MOVE ' **** ORGANIZATION TOTALS **** FOR ORGANIZATION   '
026200                                 TO MB20WS-PRINT-LINE (1:50).
026300     MOVE MTRF-K1-ORG            TO MB20WS-PRINT-LINE (52:3).
026400     MOVE MTRF-HD-ORG-NAME       TO MB20WS-PRINT-LINE (64:40).
026500*
026600     PERFORM MB22PD-PRINT-2-LINES
026700                                 THRU MB22PD-P2L-EXIT.
026800*
026900     MOVE 'NUMBER OF MERCHANTS'  TO WS-TL1-LIT-1.
027000*
027100     MOVE WS-D720-OT-NBR-MERCHANTS
027200                                 TO SS95WS-IN-NBR.
027300     PERFORM SS95PD-NAP-ROUTINE
027400                                 THRU SS95PD-NAP-EXIT.
027500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-ORG-TOTALS.
027600*
027700     PERFORM MB22PD-PRINT-1-LINE
027800                                 THRU MB22PD-P1L-EXIT.
027900*
028000     MOVE 'NUMBER OF STORES   '  TO WS-TL1-LIT-1.
028100*
028200     MOVE WS-D720-OT-NBR-STORES  TO SS95WS-IN-NBR.
028300     PERFORM SS95PD-NAP-ROUTINE
028400                                 THRU SS95PD-NAP-EXIT.
028500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-ORG-TOTALS.
028600*
028700     PERFORM MB22PD-PRINT-1-LINE
028800                                 THRU MB22PD-P1L-EXIT.
028900*
029000     MOVE ZEROS                  TO WS-D720-OT-NBR-MERCHANTS
029100                                    WS-D720-OT-NBR-STORES.
029200 9010-POT-EXIT.
029300     EXIT.
029400*
029500 9020-PRINT-MERCHANT-TOTALS.
029600*
029700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
029800*
029900     MOVE ' **** MERCHANT TOTALS ****   FOR MERCHANT   '
030000                                 TO MB20WS-PRINT-LINE (1:44).
030100     MOVE MWRF-MERCHANT          TO MB20WS-PRINT-LINE (45:9).
030200     MOVE MWRF-NAME              TO MB20WS-PRINT-LINE (56:40).
030300*
030400     PERFORM MB22PD-PRINT-2-LINES
030500                                 THRU MB22PD-P2L-EXIT.
030600*
030700     MOVE 'NUMBER OF STORES   '  TO WS-TL1-LIT-1.
030800*
030900     MOVE WS-D720-MT-NBR-STORES  TO SS95WS-IN-NBR.
031000     PERFORM SS95PD-NAP-ROUTINE
031100                                 THRU SS95PD-NAP-EXIT.
031200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-ORG-TOTALS.
031300*
031400     PERFORM MB22PD-PRINT-2-LINES
031500                                 THRU MB22PD-P2L-EXIT.
031600*
031700     MOVE ZEROS                  TO WS-D720-MT-NBR-STORES.
031800*
031900 9020-PMT-EXIT.
032000     EXIT.
032100/
032200*
032300 9100-CHECK-NBR-LINES.
032400*
032500     COMPUTE MB20WS-LINES-REMAINING
032600                                 = MB20WS-LINE-LIMIT
032700                                 - MB20WS-LINE-COUNT.
032800*
032900     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
033000         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
033100*
033200 9100-CNL-EXIT.
033300     EXIT.
033400/
033500     COPY MB22PD.
033600/
033700     COPY SS95PD.
033800/
033900     COPY SS02PD.
034000/
034100     COPY SS07PD.
034200/
034300     COPY SS08PD.
034400/
034500     COPY SS16PD.
034600/
034700     COPY SS26PD.
034800/
034900     COPY SS27PD.
035000*
035100 9995-END-SOURCE-STATEMENTS SECTION.
035200 9999-END-OF-PROGRAM.
035300     EXIT.
