000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72045.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72045 - OPTIONAL REPORT 45 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72045-WORK-AREAS.
002100     03  WS-D72045-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400     03  WS-D720-OT-NBR-MERCHANTS
002500                             PIC  9(09)      VALUE ZEROS.
002600     03  WS-D720-OT-YTD-SALES-NBR
002700                             PIC  9(09)      VALUE ZEROS.
002800     03  WS-D720-OT-YTD-SALES-AMT
002900                             PIC S9(17)      COMP-3 VALUE ZERO.
003000*
003100/
003200     COPY MB20WS.
003300*
003400 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
003500     03  WS-DL1-MERCHANT     PIC  9(09).
003600     03  FILLER              PIC  X(01).
003700     03  WS-DL1-DBA-NAME.
003800         05  WS-DL1-DBA-PHONE.
003900             07  WS-DL1-DBA-CITY
004000                             PIC  X(13).
004100             07  FILLER      PIC  X(01).
004200             07  WS-DL1-DBA-STATE
004300                             PIC  X(03).
004400             07  FILLER      PIC  X(03).
004500         05  FILLER          PIC  X(05).
004600     03  FILLER              PIC  X(01).
004700     03  WS-DL1-FREQ-1       PIC  9(02).
004800     03  FILLER              PIC  X(02).
004900     03  WS-DL1-FREQ-2       PIC  9(02).
005000     03  FILLER              PIC  X(01).
005100     03  WS-DL1-NBR-STORES.
005200         05  FILLER          PIC  X(06).
005300         05  WS-DL1-ABTB     PIC  X(03).
005400         05  WS-DL1-ABTB-R   REDEFINES WS-DL1-ABTB.
005500             07  WS-DL1-ABTB-N
005600                             PIC  9(03).
005700         05  FILLER          PIC  X(01).
005800     03  WS-DL1-AGENT-X      REDEFINES WS-DL1-NBR-STORES.
005900         05  FILLER          PIC  X(02).
006000         05  WS-DL1-AGENT    PIC  99999-.
006100         05  FILLER          PIC  X(02).
006200     03  WS-DL1-BRANCH-X     REDEFINES WS-DL1-NBR-STORES.
006300         05  WS-DL1-BRANCH   PIC  9(09).
006400         05  FILLER          PIC  X(01).
006500     03  WS-DL1-DATE         PIC  X(10).
006600     03  FILLER              PIC  X(04).
006700     03  WS-DL1-YTD-SALES-NBR
006800                             PIC  X(11).
006900     03  FILLER              PIC  X(01).
007000     03  WS-DL1-YTD-SALES-AMT
007100                             PIC  X(22).
007200     03  FILLER              PIC  X(02).
007300     03  WS-DL1-YTD-AVG-TKT-AMT
007400                             PIC  X(22).
007500     03  FILLER              PIC  X(01).
007600     03  WS-DL1-REC-STATUS   PIC  X(01).
007700     03  FILLER              PIC  X(03).
007800     03  WS-DL1-CLOSE-REASON PIC  X(02).
007900*
008000 01  WS-TOTAL-LINE-1         REDEFINES MB20WS-PRINT-LINE.
008100     03  FILLER              PIC  X(05).
008200     03  WS-TL1-LIT-1        PIC  X(22).
008300     03  FILLER              PIC  X(15).
008400     03  WS-TL1-ORG-TOTALS   PIC  X(11).
008500*
008600 01  WS-TOTAL-LINE-2         REDEFINES MB20WS-PRINT-LINE.
008700     03  FILLER              PIC  X(05).
008800     03  WS-TL2-LIT-1        PIC  X(22).
008900     03  FILLER              PIC  X(05).
009000     03  WS-TL2-ORG-TOTALS   PIC  X(22).
009100/
009200     COPY SS95WS.
009300/
009400     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
009500/
009600     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
009700/
009800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
009900/
010000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
010100/
010200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
010300/
010400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
010500/
010600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
010700/
010800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
010900/
011000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
011100/
011200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
011300/
011400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
011500/
011600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
011700/
011800     COPY MB00WS.
011900/
012000     COPY SS00WS.
012100/
012200     COPY SS01WS.
012300/
012400     COPY SS02WS.
012500*
012600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012700/
012800 LINKAGE SECTION.
012900     COPY MB22WS.
013000/
013100     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
013200/
013300 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
013400                                       MTRF-RECORD.
013500*
013600 A000-MAIN-LINE-SECT SECTION.
013700 A010-ML-BEGIN.
013800*
013900     IF  MTRF-K1-RT-DETAIL
014000         PERFORM D000-DETAIL-RECORD
014100                                 THRU D099-DR-EXIT.
014200*
014300     IF  MTRF-K1-RT-HEADER
014400         PERFORM H000-HEADER-RECORD
014500                                 THRU H099-HR-EXIT.
014600*
014700     IF  MTRF-K1-RT-TRAILER
014800         PERFORM T000-TRAILER-RECORD
014900                                 THRU T099-TR-EXIT.
015000*
015100     GOBACK.
015200*
015300 A099-ML-EXIT.
015400     EXIT.
015500/
015600 D000-DETAIL-RECORD SECTION.
015700 D010-DR-BEGIN.
015800*
015900     MOVE 'Y'                    TO WS-D72045-ACTIVITY-SW.
016000*
016100     MOVE MTRF-K2-O45-MERCHANT   TO WS-DL1-MERCHANT.
016200     MOVE MTRF-O45-DBA-NAME      TO WS-DL1-DBA-NAME.
016300     MOVE MTRF-DISC-FREQ-1       TO WS-DL1-FREQ-1.
016400     MOVE MTRF-DISC-FREQ-2       TO WS-DL1-FREQ-2.
016500     MOVE MTRF-O45-AGENT-BANK    TO WS-DL1-AGENT.
016600     MOVE MTRF-O45-DATE-LAST-VISIT
016700                                 TO SS01WS-JULIAN.
016800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
016900     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
017000*
017100     MOVE MTRF-O45-YTD-SALES-NBR
017200                                TO SS95WS-IN-NBR.
017300     MOVE MTRF-O45-YTD-SALES-AMT
017400                                TO SS95WS-IN-AMT.
017500     PERFORM SS95PD-NAP-ROUTINE
017600                                 THRU SS95PD-NAP-EXIT.
017700     MOVE SS95WS-OUT-NBR-L12     TO WS-DL1-YTD-SALES-NBR.
017800     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-YTD-SALES-AMT.
017900*
018000     MOVE MTRF-O45-YTD-AVG-TKT   TO SS95WS-IN-AMT.
018100     PERFORM SS95PD-NAP-ROUTINE
018200                                 THRU SS95PD-NAP-EXIT.
018300     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-YTD-AVG-TKT-AMT.
018400     MOVE MTRF-REC-STATUS        TO WS-DL1-REC-STATUS.
018500     MOVE MTRF-CLOSE-REASON      TO WS-DL1-CLOSE-REASON.
018600*
018700     EVALUATE TRUE
018800         WHEN MTRF-K1-DETAIL
018900             PERFORM MB22PD-PRINT-1-LINE
019000                                 THRU MB22PD-P1L-EXIT
019100         WHEN OTHER
019200             MOVE SPACES         TO MB20WS-PRINT-LINE
019300     END-EVALUATE.
019400*
019500     MOVE MTRF-O45-DBA-CITY      TO WS-DL1-DBA-CITY.
019600     MOVE MTRF-O45-DBA-COUNTRY-CODE
019700                                 TO WS-DL1-DBA-STATE.
019800     MOVE MTRF-PART-FREQ-1       TO WS-DL1-FREQ-1.
019900     MOVE MTRF-PART-FREQ-2       TO WS-DL1-FREQ-2.
020000     MOVE MTRF-O45-BRANCH        TO WS-DL1-BRANCH.
020100     MOVE MTRF-O45-DATE-LAST-REVIEW
020200                                 TO SS01WS-JULIAN.
020300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
020400     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
020500*
020600     EVALUATE TRUE
020700         WHEN MTRF-K1-DETAIL
020800             PERFORM MB22PD-PRINT-1-LINE
020900                                 THRU MB22PD-P1L-EXIT
021000         WHEN OTHER
021100             MOVE SPACES         TO MB20WS-PRINT-LINE
021200     END-EVALUATE.
021300*
021400*
021500     MOVE MTRF-O45-PHONE         TO WS-DL1-DBA-PHONE.
021600     MOVE MTRF-SETT-FREQ-1       TO WS-DL1-FREQ-1.
021700     MOVE MTRF-SETT-FREQ-2       TO WS-DL1-FREQ-2.
021800*
021900     MOVE MTRF-O45-NBR-STORES   TO SS95WS-IN-NBR.
022000     PERFORM SS95PD-NAP-ROUTINE
022100                                 THRU SS95PD-NAP-EXIT.
022200     MOVE SS95WS-OUT-NBR-L10     TO WS-DL1-NBR-STORES.
022300*
022400     MOVE MTRF-O45-DATE-OPENED   TO SS01WS-JULIAN.
022500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
022600     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
022700*
022800     EVALUATE TRUE
022900         WHEN MTRF-K1-DETAIL
023000             PERFORM MB22PD-PRINT-1-LINE
023100                                 THRU MB22PD-P1L-EXIT
023200         WHEN OTHER
023300             MOVE SPACES         TO MB20WS-PRINT-LINE
023400     END-EVALUATE.
023500*
023600     MOVE MTRF-STMT-FREQ-1       TO WS-DL1-FREQ-1.
023700     MOVE MTRF-STMT-FREQ-2       TO WS-DL1-FREQ-2.
023800     MOVE MTRF-BLOCK-CODE        TO WS-DL1-ABTB.
023900     MOVE MTRF-O45-DATE-LAST-ACTIVE
024000                                 TO SS01WS-JULIAN.
024100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
024200     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
024300*
024400     EVALUATE TRUE
024500         WHEN MTRF-K1-DETAIL
024600             PERFORM MB22PD-PRINT-1-LINE
024700                                 THRU MB22PD-P1L-EXIT
024800         WHEN OTHER
024900             MOVE SPACES         TO MB20WS-PRINT-LINE
025000     END-EVALUATE.
025100*
025200     COMPUTE WS-D720-OT-NBR-MERCHANTS = WS-D720-OT-NBR-MERCHANTS
025300                                      + 1.
025400*
025500     COMPUTE WS-D720-OT-YTD-SALES-NBR = WS-D720-OT-YTD-SALES-NBR
025600                                      + MTRF-O45-YTD-SALES-NBR.
025700*
025800     COMPUTE WS-D720-OT-YTD-SALES-AMT = WS-D720-OT-YTD-SALES-AMT
025900                                      + MTRF-O45-YTD-SALES-AMT.
026000*
026100 D099-DR-EXIT.
026200     EXIT.
026300/
026400 H000-HEADER-RECORD SECTION.
026500 H010-HR-BEGIN.
026600*
026700     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
026800     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
026900     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
027000     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
027100     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
027200     MOVE 'O45'                  TO MB20WS-SH-INTERNAL-RPT-ID.
027300     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
027400     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
027500     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
027600     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
027700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
027800     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
027900     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
028000     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
028100*
028200     MOVE 'MERCHANT  DBA NAME                  DI FREQ '
028300                                 TO MB20WS-SH-L5R-1.
028400     MOVE '  AGENT  LAST VISIT    YTD SALES #      YTD '
028500                                 TO MB20WS-SH-L5R-2.
028600     MOVE 'SALES AMT        YTD AVERAGE TICKET         '
028700                                 TO MB20WS-SH-L5R-3.
028800*
028900     MOVE '          DBA CITY     ST/PR        PT FREQ '
029000                                 TO MB20WS-SH-L6R-1.
029100     MOVE ' BRANCH  LAST REVIEW                        '
029200                                 TO MB20WS-SH-L6R-2.
029300     MOVE '                 YTD AVERAGE TICKET         '
029400                                 TO MB20WS-SH-L6R-3.
029500*
029600     MOVE '          CONTACT NAME              SE FREQ '
029700                                 TO MB20WS-SH-L7R-1.
029800     MOVE ' STORES  DATE OPENED                        '
029900                                 TO MB20WS-SH-L7R-2.
030000     MOVE '                                     REC  CL'
030100                                 TO MB20WS-SH-L7R-3.
030200*
030300     MOVE '                                    ST FREQ '
030400                                 TO MB20WS-SH-L8R-1.
030500     MOVE '  BLOCK  DATE LST ACT                       '
030600                                 TO MB20WS-SH-L8R-2.
030700     MOVE '                                     STA RSN'
030800                                 TO MB20WS-SH-L8R-3.
030900*
031000     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
031100     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
031200     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
031300     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
031400     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
031500     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
031600     SET SS95WS-FUNCTION-INITIALIZE
031700                                 TO TRUE.
031800     PERFORM SS95PD-NAP-ROUTINE
031900        THRU SS95PD-NAP-EXIT.
032000*
032100     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
032200     MOVE 'N'                    TO WS-D72045-ACTIVITY-SW.
032300     MOVE MTRF-RECORD            TO MTR9-RECORD.
032400*
032500 H099-HR-EXIT.
032600     EXIT.
032700/
032800 T000-TRAILER-RECORD SECTION.
032900 T010-TR-BEGIN.
033000     MOVE MTR9-RECORD            TO MTRF-RECORD.
033100*
033200     IF  WS-D72045-ACTIVITY-SW IS EQUAL TO 'N'
033300         IF  MTRF-HD-AF-PRODUCE
033400             PERFORM MB22PD-PRINT-NO-ACTIVITY
033500                                 THRU MB22PD-PNA-EXIT
033600             GO TO T099-TR-EXIT
033700         ELSE
033800             GO TO T099-TR-EXIT.
033900*
034000     PERFORM 9100-CHECK-NBR-LINES
034100                                 THRU 9100-CNL-EXIT.
034200     PERFORM 9010-PRINT-ORG-TOTALS
034300                                 THRU 9010-POT-EXIT.
034400*
034500 T099-TR-EXIT.
034600     EXIT.
034700/
034800 9000-PERFORMED-ROUTINES-SECT SECTION.
034900 9010-PRINT-ORG-TOTALS.
035000*
035100     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
035200*
035300     MOVE ' **** ORGANIZATION TOTALS **** FOR ORGANIZATION   '
035400                                 TO MB20WS-PRINT-LINE (1:50).
035500     MOVE MTRF-K1-ORG            TO MB20WS-PRINT-LINE (52:3).
035600     MOVE MTRF-HD-ORG-NAME       TO MB20WS-PRINT-LINE (64:40).
035700*
035800     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
035900*
036000     MOVE 'NUMBER OF MERCHANTS   '
036100                                 TO WS-TL1-LIT-1.
036200*
036300     MOVE WS-D720-OT-NBR-MERCHANTS
036400                                 TO SS95WS-IN-NBR.
036500     PERFORM SS95PD-NAP-ROUTINE
036600                                 THRU SS95PD-NAP-EXIT.
036700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-ORG-TOTALS.
036800*
036900     PERFORM MB22PD-PRINT-1-LINE
037000                                 THRU MB22PD-P1L-EXIT.
037100*
037200     MOVE 'TOTAL YTD SALES NUMBER'
037300                                 TO WS-TL1-LIT-1.
037400*
037500     MOVE WS-D720-OT-YTD-SALES-NBR
037600                                 TO SS95WS-IN-NBR.
037700     PERFORM SS95PD-NAP-ROUTINE
037800                                 THRU SS95PD-NAP-EXIT.
037900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-ORG-TOTALS.
038000*
038100     PERFORM MB22PD-PRINT-1-LINE
038200                                 THRU MB22PD-P1L-EXIT.
038300*
038400     MOVE 'TOTAL YTD SALES AMOUNT'
038500                                 TO WS-TL2-LIT-1.
038600*
038700     MOVE WS-D720-OT-YTD-SALES-AMT
038800                                 TO SS95WS-IN-AMT.
038900     PERFORM SS95PD-NAP-ROUTINE
039000                                 THRU SS95PD-NAP-EXIT.
039100     MOVE SS95WS-OUT-AMT-L22     TO WS-TL2-ORG-TOTALS.
039200*
039300     PERFORM MB22PD-PRINT-1-LINE
039400                                 THRU MB22PD-P1L-EXIT.
039500*
039600     MOVE ZEROS                  TO WS-D720-OT-NBR-MERCHANTS
039700                                    WS-D720-OT-YTD-SALES-NBR
039800                                    WS-D720-OT-YTD-SALES-AMT.
039900*
040000 9010-POT-EXIT.
040100     EXIT.
040200/
040300*
040400 9100-CHECK-NBR-LINES.
040500*
040600     COMPUTE MB20WS-LINES-REMAINING
040700                                 = MB20WS-LINE-LIMIT
040800                                 - MB20WS-LINE-COUNT.
040900*
041000     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
041100         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
041200*
041300 9100-CNL-EXIT.
041400     EXIT.
041500/
041600     COPY MB22PD.
041700/
041800     COPY SS95PD.
041900/
042000     COPY SS02PD.
042100/
042200     COPY SS07PD.
042300/
042400     COPY SS08PD.
042500/
042600     COPY SS16PD.
042700/
042800     COPY SS26PD.
042900/
043000     COPY SS27PD.
043100*
043200 9995-END-SOURCE-STATEMENTS SECTION.
043300 9999-END-OF-PROGRAM.
043400     EXIT.
