000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72056.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72056 - OPTIONAL REPORT 56 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72056-WORK-AREAS.
002100     03  WS-D72056-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +4.
002400*
002500*
002600     03  WS-ORG-ACCUMS.
002700         05  WS-TOT-AUDIT-EX PIC S9(07)      COMP-3 VALUE ZERO.
002800/
002900     COPY MB20WS.
003000 01  WS-PRINT-LINE-1         REDEFINES MB20WS-PRINT-LINE.
003100     03  WS-PL1-MERCHANT     PIC  9(09)-.
003200     03  FILLER              PIC  X(02).
003300     03  WS-PL1-TYPE         PIC  X(01).
003400     03  FILLER              PIC  X(02).
003500     03  WS-PL1-CODE         PIC  9(04).
003600     03  FILLER              PIC  X(01).
003700     03  WS-PL1-TEXT         PIC  X(51).
003800     03  WS-PL1-AMT          PIC  X(18).
003900     03  WS-PL1-OPERATOR     PIC  X(04).
004000     03  WS-PL1-PROD         PIC  ZZZ99-.
004100     03  WS-PL1-NBR          PIC  X(12).
004200     03  WS-PL1-PCT          PIC  ZZZ,ZZZ.99999-.
004300     03  FILLER              PIC  X(07).
004400*
004500 01  WS-PRINT-LINE-2         REDEFINES MB20WS-PRINT-LINE.
004600     03  FILLER              PIC  X(05).
004700     03  WS-PL2-LIT-1        PIC  X(16).
004800     03  FILLER              PIC  X(01).
004900     03  WS-PL2-FIELD-1      PIC  X(12).
005000     03  FILLER              PIC  X(98).
005100/
005200     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
005300/
005400     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
005500/
005600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
005700/
005800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
005900/
006000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
006100/
006200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
006300/
006400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
006500/
006600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
006700/
006800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
006900/
007000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
007100/
007200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
007300/
007400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
007500/
007600     COPY MB00WS.
007700/
007800     COPY SS95WS.
007900/
008000     COPY SS00WS.
008100/
008200     COPY SS01WS.
008300/
008400     COPY SS02WS.
008500*
008600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008700/
008800 LINKAGE SECTION.
008900     COPY MB22WS.
009000/
009100     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
009200/
009300 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
009400                                       MTRF-RECORD.
009500*
009600 A000-MAIN-LINE-SECT SECTION.
009700 A010-ML-BEGIN.
009800*
009900     IF  MTRF-K1-RT-DETAIL
010000         PERFORM D000-DETAIL-RECORD
010100            THRU D099-DR-EXIT.
010200*
010300     IF  MTRF-K1-RT-HEADER
010400         PERFORM H000-HEADER-RECORD
010500            THRU H099-HR-EXIT.
010600*
010700     IF  MTRF-K1-RT-TRAILER
010800         PERFORM T000-TRAILER-RECORD
010900            THRU T099-TR-EXIT.
011000*
011100     GOBACK.
011200*
011300 A099-ML-EXIT.
011400     EXIT.
011500/
011600 D000-DETAIL-RECORD SECTION.
011700 D010-DR-BEGIN.
011800*
011900     MOVE 'Y'                    TO WS-D72056-ACTIVITY-SW.
012000     MOVE MTRF-K2-O56-MERCHANT   TO WS-PL1-MERCHANT.
012100     MOVE MTRF-K2-O56-TYPE-KEY   TO WS-PL1-TYPE.
012200*
012300     IF  MTRF-K2-O56-TK-IS-ORG
012400         MOVE 'O'                TO WS-PL1-TYPE.
012500*
012600     IF  MTRF-K2-O56-TK-IS-MERCHANT
012700         MOVE 'M'                TO WS-PL1-TYPE.
012800*
012900     IF  MTRF-K2-O56-TK-IS-STORE
013000         MOVE 'S'                TO WS-PL1-TYPE.
013100*
013200     IF  MTRF-K2-O56-TK-IS-CHAIN
013300         MOVE 'C'                TO WS-PL1-TYPE.
013400*
013500     MOVE MTRF-K2-O56-MESSAGE-ID TO WS-PL1-CODE.
013600     MOVE MTRF-O56-TEXT          TO WS-PL1-TEXT.
013700*
013800     IF  MTRF-O56-PROD IS NOT EQUAL TO ZERO
013900         MOVE MTRF-O56-PROD      TO WS-PL1-PROD.
014000*
014100     IF  MTRF-O56-PCT IS NOT EQUAL TO ZERO
014200         MOVE MTRF-O56-PCT       TO WS-PL1-PCT.
014300*
014400     IF  MTRF-O56-NBR IS NOT EQUAL TO ZERO
014500         MOVE MTRF-O56-NBR       TO SS95WS-IN-NBR
014600         PERFORM SS95PD-NAP-ROUTINE
014700            THRU SS95PD-NAP-EXIT
014800         MOVE SS95WS-OUT-NBR-L12 TO WS-PL1-NBR.
014900*
015000     IF  MTRF-O56-AMT IS NOT EQUAL TO ZERO
015100         MOVE MTRF-O56-AMT       TO SS95WS-IN-AMT
015200         PERFORM SS95PD-NAP-ROUTINE
015300            THRU SS95PD-NAP-EXIT
015400         MOVE SS95WS-OUT-AMT-L17 TO WS-PL1-AMT.
015500*
015600     MOVE MTRF-O56-OPERATOR      TO WS-PL1-OPERATOR.
015700*
015800     COMPUTE WS-TOT-AUDIT-EX     =  WS-TOT-AUDIT-EX + 1.
015900*
016000     PERFORM MB22PD-PRINT-2-LINES
016100        THRU MB22PD-P2L-EXIT.
016200*
016300 D099-DR-EXIT.
016400     EXIT.
016500/
016600 H000-HEADER-RECORD SECTION.
016700 H010-HR-BEGIN.
016800*
016900     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
017000     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
017100     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
017200     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
017300     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
017400     MOVE 'O56'                  TO MB20WS-SH-INTERNAL-RPT-ID.
017500     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
017600     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
017700     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
017800     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
017900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
018000        THRU SS26PD-NED-EXIT.
018100     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
018200     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
018300     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
018400*
018500     MOVE '*-LEVEL-*                                   '
018600                                 TO MB20WS-SH-L6R-1.
018700     MOVE '                                            '
018800                                 TO MB20WS-SH-L6R-2.
018900     MOVE '                                            '
019000                                 TO MB20WS-SH-L6R-3.
019100*
019200     MOVE '*--I D--*  LVL CODE *------------ AUDIT EXCE'
019300                                 TO MB20WS-SH-L7R-1.
019400     MOVE 'PTION MESSAGE -----------*            AMOUNT'
019500                                 TO MB20WS-SH-L7R-2.
019600     MOVE '     PROD      NUMBER        PERCENT        '
019700                                 TO MB20WS-SH-L7R-3.
019800*
019900     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
020000     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
020100     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
020200     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
020300     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
020400     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
020500     SET SS95WS-FUNCTION-INITIALIZE
020600                                 TO TRUE.
020700     PERFORM SS95PD-NAP-ROUTINE
020800        THRU SS95PD-NAP-EXIT.
020900*
021000     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
021100     MOVE 'N'                    TO WS-D72056-ACTIVITY-SW.
021200     MOVE MTRF-RECORD            TO MTR9-RECORD.
021300     MOVE ZEROS                  TO WS-TOT-AUDIT-EX.
021400*
021500 H099-HR-EXIT.
021600     EXIT.
021700/
021800 T000-TRAILER-RECORD SECTION.
021900 T010-TR-BEGIN.
022000     MOVE MTR9-RECORD            TO MTRF-RECORD.
022100*
022200     IF  WS-D72056-ACTIVITY-SW IS EQUAL TO 'N'
022300         IF  MTRF-HD-AF-PRODUCE
022400             PERFORM MB22PD-PRINT-NO-ACTIVITY
022500                                 THRU MB22PD-PNA-EXIT
022600             GO TO T099-TR-EXIT
022700         ELSE
022800             GO TO T099-TR-EXIT.
022900*
023000     PERFORM 9100-CHECK-NBR-LINES
023100        THRU 9100-CNL-EXIT.
023200     PERFORM 9010-PRINT-ORG-TOTALS
023300        THRU 9010-POT-EXIT.
023400*
023500 T099-TR-EXIT.
023600     EXIT.
023700/
023800 9000-PERFORMED-ROUTINES-SECT SECTION.
023900 9010-PRINT-ORG-TOTALS.
024000*
024100     PERFORM MB22PD-PRINT-1-LINE
024200        THRU MB22PD-P1L-EXIT.
024300*
024400     MOVE '*** ORGANIZATION TOTALS ***'
024500                                 TO MB20WS-PRINT-LINE.
024600     PERFORM MB22PD-PRINT-2-LINES
024700        THRU MB22PD-P2L-EXIT.
024800*
024900     MOVE 'AUDIT EXCEPTIONS'     TO WS-PL2-LIT-1.
025000     MOVE WS-TOT-AUDIT-EX        TO SS95WS-IN-NBR.
025100     PERFORM SS95PD-NAP-ROUTINE
025200        THRU SS95PD-NAP-EXIT.
025300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL2-FIELD-1.
025400     PERFORM MB22PD-PRINT-1-LINE
025500        THRU MB22PD-P1L-EXIT.
025600*
025700 9010-POT-EXIT.
025800     EXIT.
025900/
026000*
026100 9100-CHECK-NBR-LINES.
026200*
026300     COMPUTE MB20WS-LINES-REMAINING
026400                                 = MB20WS-LINE-LIMIT
026500                                 - MB20WS-LINE-COUNT.
026600*
026700     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
026800         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
026900*
027000 9100-CNL-EXIT.
027100     EXIT.
027200/
027300     COPY MB22PD.
027400/
027500     COPY SS95PD.
027600/
027700     COPY SS02PD.
027800/
027900     COPY SS07PD.
028000/
028100     COPY SS08PD.
028200/
028300     COPY SS16PD.
028400/
028500     COPY SS26PD.
028600/
028700     COPY SS27PD.
028800*
028900 9995-END-SOURCE-STATEMENTS SECTION.
029000 9999-END-OF-PROGRAM.
029100     EXIT.
