000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72085.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72085 - OPTIONAL REPORT 85 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72085-WORK-AREAS.
002100     03  WS-D72085-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400*
002500     03  WS-BRANCH-BREAK     PIC  9(05)      VALUE ZEROS.
002600*
002700     03  WS-ORG-BRANCH-BREAK PIC  9(05)      VALUE ZEROS.
002800*
002900     03  WS-AGENT-BREAK      PIC  9(05)      VALUE ZEROS.
003000*
003100     03  WS-ORG-AGENT-BREAK  PIC  9(05)      VALUE ZEROS.
003200*
003300     03  WS-CHAIN-BREAK      PIC  9(05)      VALUE ZEROS.
003400*
003500     03  WS-AGENT-SW         PIC  X(01)      VALUE SPACES.
003600         88  WS-AGENT-YES                    VALUE 'Y'.
003700         88  WS-AGENT-NO                     VALUE 'N'.
003800*
003900     03  WS-BRANCH-SW        PIC  X(01)      VALUE SPACES.
004000         88  WS-BRANCH-YES                   VALUE 'Y'.
004100         88  WS-BRANCH-NO                    VALUE 'N'.
004200*
004300     03  WS-1ST-TIME-SW      PIC  X(01)      VALUE SPACES.
004400         88  WS-1ST-TIME-SW-YES              VALUE 'Y'.
004500         88  WS-1ST-TIME-SW-NO               VALUE 'N'.
004600*
004700     03  WS-SUB-TOTALS.
004800         05  WS-SUB-NBR PIC S9(09).
004900         05  WS-SUB-MTD-SALES-NBR
005000                        PIC S9(09).
005100         05  WS-SUB-MTD-SALES-AMT
005200                        PIC S9(17).
005300         05  WS-SUB-MTD-INCOME
005400                        PIC S9(17).
005500         05  WS-SUB-YTD-SALES-NBR
005600                        PIC S9(09).
005700         05  WS-SUB-YTD-SALES-AMT
005800                        PIC S9(17).
005900         05  WS-SUB-YTD-INCOME
006000                        PIC S9(17).
006100*
006200     03  WS-SUB-TOTALS1.
006300         05  WS-SUB-NBR1
006400                        PIC S9(09).
006500         05  WS-SUB-MTD-SALES-NBR1
006600                        PIC S9(09).
006700         05  WS-SUB-MTD-SALES-AMT1
006800                        PIC S9(17).
006900         05  WS-SUB-MTD-INCOME1
007000                        PIC S9(17).
007100         05  WS-SUB-YTD-SALES-NBR1
007200                        PIC S9(09).
007300         05  WS-SUB-YTD-SALES-AMT1
007400                        PIC S9(17).
007500         05  WS-SUB-YTD-INCOME1
007600                        PIC S9(17).
007700*
007800     03  WS-ORG-TOTALS.
007900         05  WS-ORG-NBR PIC S9(09).
008000         05  WS-ORG-MTD-SALES-NBR
008100                        PIC S9(09).
008200         05  WS-ORG-MTD-SALES-AMT
008300                        PIC S9(17).
008400         05  WS-ORG-MTD-INCOME
008500                        PIC S9(17).
008600         05  WS-ORG-YTD-SALES-NBR
008700                        PIC S9(09).
008800         05  WS-ORG-YTD-SALES-AMT
008900                        PIC S9(17).
009000         05  WS-ORG-YTD-INCOME
009100                        PIC S9(17).
009200*
009300     03  WS-GRAND-TOTALS.
009400         05  WS-GRAND-NBR
009500                        PIC S9(09).
009600         05  WS-GRAND-MTD-SALES-NBR
009700                        PIC S9(09).
009800         05  WS-GRAND-MTD-SALES-AMT
009900                        PIC S9(17).
010000         05  WS-GRAND-MTD-INCOME
010100                        PIC S9(17).
010200         05  WS-GRAND-YTD-SALES-NBR
010300                        PIC S9(09).
010400         05  WS-GRAND-YTD-SALES-AMT
010500                        PIC S9(17).
010600         05  WS-GRAND-YTD-INCOME
010700                        PIC S9(17).
010800*
010900/
011000     COPY MB20WS.
011100*
011200 01  WS-PRINT-LINE-1         REDEFINES MB20WS-PRINT-LINE.
011300     03  WS-PL1-LIT          PIC  X(48).
011400     03  WS-PL1-NBR-X.
011500         05  WS-PL1-NBR      PIC  9(09).
011600     03  WS-PL1-NBR-R        REDEFINES WS-PL1-NBR-X.
011700         05  WS-PL1-NBR-L5   PIC  9(05).
011800         05  FILLER          PIC  X(04).
011900     03  FILLER              PIC  X(10).
012000     03  WS-PL1-NAME         PIC  X(40).
012100*
012200 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
012300     03  FILLER              PIC  X(01).
012400     03  WS-DL1-MERCHANT     PIC  9(09).
012500     03  FILLER              PIC  X(01).
012600     03  WS-DL1-DBA-NAME.
012700         05  WS-DL1-DBA-PHONE.
012800             07  WS-DL1-DBA-CITY
012900                             PIC  X(13).
013000             07  FILLER      PIC  X(01).
013100             07  WS-DL1-DBA-STATE
013200                             PIC  X(06).
013300         05  FILLER          PIC  X(05).
013400     03  FILLER              PIC  X(03).
013500     03  WS-DL1-FREQ-1       PIC  9(02).
013600     03  FILLER              PIC  X(01).
013700     03  WS-DL1-FREQ-2       PIC  9(02).
013800     03  FILLER              PIC  X(01).
013900     03  WS-DL1-NBR-STORES.
014000         05  FILLER          PIC  X(06).
014100         05  WS-DL1-ABTB     PIC  X(03).
014200         05  WS-DL1-ABTB-R   REDEFINES WS-DL1-ABTB.
014300             07  WS-DL1-ABTB-N
014400                             PIC  9(03).
014500         05  WS-DL1-TYPE-X   REDEFINES WS-DL1-ABTB.
014600             07  WS-DL1-TYPE PIC  ZZ9.
014700         05  FILLER          PIC  X(01).
014800     03  WS-DL1-AGENT-X      REDEFINES WS-DL1-NBR-STORES.
014900         05  FILLER          PIC  X(02).
015000         05  WS-DL1-AGENT    PIC  99999-.
015100         05  FILLER          PIC  X(02).
015200     03  WS-DL1-BRANCH-X     REDEFINES WS-DL1-NBR-STORES.
015300         05  WS-DL1-BRANCH   PIC  9(09).
015400         05  FILLER          PIC  X(01).
015500     03  WS-DL1-DATE         PIC  X(10).
015600     03  FILLER              PIC  X(04).
015700     03  WS-DL1-SALES-NBR    PIC  X(12).
015800     03  WS-DL1-SALES-AMT    PIC  X(23).
015900     03  FILLER              PIC  X(02).
016000     03  WS-DL1-INCOME       PIC  X(23).
016100*
016200*
016300 01  WS-TOTAL-LINE-1         REDEFINES MB20WS-PRINT-LINE.
016400     03  FILLER              PIC  X(05).
016500     03  WS-TL1-LIT          PIC  X(20).
016600     03  FILLER              PIC  X(06).
016700     03  WS-TL1-NBR          PIC  X(11).
016800     03  FILLER              PIC  X(27).
016900     03  WS-TL1-SALES-NBR    PIC  X(12).
017000     03  WS-TL1-SALES-AMT    PIC  X(23).
017100     03  FILLER              PIC  X(02).
017200     03  WS-TL1-INCOME       PIC  X(23).
017300/
017400     COPY SS95WS.
017500/
017600     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
017700/
017800     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
017900/
018000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
018100/
018200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
018300/
018400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
018500/
018600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
018700/
018800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
018900/
019000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
019100/
019200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
019300/
019400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
019500/
019600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
019700/
019800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
019900/
020000     COPY MB00WS.
020100/
020200     COPY SS00WS.
020300/
020400     COPY SS01WS.
020500/
020600     COPY SS02WS.
020700*
020800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
020900/
021000 LINKAGE SECTION.
021100     COPY MB22WS.
021200/
021300     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
021400/
021500 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
021600                                       MTRF-RECORD.
021700*
021800 A000-MAIN-LINE-SECT SECTION.
021900 A010-ML-BEGIN.
022000*
022100     IF  MTRF-K1-RT-DETAIL
022200         PERFORM D000-DETAIL-RECORD
022300            THRU D099-DR-EXIT.
022400*
022500     IF  MTRF-K1-RT-HEADER
022600         PERFORM H000-HEADER-RECORD
022700            THRU H099-HR-EXIT.
022800*
022900     IF  MTRF-K1-RT-TRAILER
023000         PERFORM T000-TRAILER-RECORD
023100            THRU T099-TR-EXIT.
023200*
023300     GOBACK.
023400*
023500 A099-ML-EXIT.
023600     EXIT.
023700/
023800 D000-DETAIL-RECORD SECTION.
023900 D010-DR-BEGIN.
024000*
024100     MOVE 'Y'                    TO WS-D72085-ACTIVITY-SW.
024200*
024300     MOVE 5                      TO WS-D720-LINE-CHECK.
024400     PERFORM 9100-CHECK-NBR-LINES
024500        THRU 9100-CNL-EXIT.
024600*
024700     IF  MTRF-K2-O85-TT-AGENT
024800         IF  WS-1ST-TIME-SW-NO
024900         AND MTRF-O85-AGENT-BANK IS NOT EQUAL TO
025000                                    MWRF-O85-AGENT-BANK
025100             COMPUTE WS-AGENT-BREAK = WS-AGENT-BREAK
025200                                    + 1
025300             PERFORM D100-PRINT-SUB-TOTALS
025400                                 THRU D199-PST-EXIT.
025500*
025600     IF  MTRF-K2-O85-TT-BRANCH
025700         IF  WS-1ST-TIME-SW-NO
025800         AND MTRF-O85-BRANCH IS NOT EQUAL TO
025900                                    MWRF-O85-BRANCH
026000             COMPUTE WS-BRANCH-BREAK = WS-BRANCH-BREAK
026100                                     + 1
026200             PERFORM D100-PRINT-SUB-TOTALS
026300                                 THRU D199-PST-EXIT.
026400*
026500     IF  MTRF-K2-O85-TT-AGENT-BRANCH
026600         IF  WS-1ST-TIME-SW-NO
026700         AND (MTRF-O85-BRANCH     IS NOT EQUAL TO
026800                                    MWRF-O85-BRANCH
026900          OR  MTRF-O85-AGENT-BANK IS NOT EQUAL TO
027000                                    MWRF-O85-AGENT-BANK)
027100             COMPUTE WS-BRANCH-BREAK = WS-BRANCH-BREAK
027200                                     + 1
027300             SET WS-BRANCH-YES   TO TRUE
027400             PERFORM D100-PRINT-SUB-TOTALS
027500                                 THRU D199-PST-EXIT
027600         END-IF
027700         IF  WS-1ST-TIME-SW-NO
027800         AND MTRF-O85-AGENT-BANK IS NOT EQUAL TO
027900                                    MWRF-O85-AGENT-BANK
028000             COMPUTE WS-AGENT-BREAK = WS-AGENT-BREAK
028100                                     + 1
028200             SET WS-AGENT-YES    TO TRUE
028300             PERFORM D100-PRINT-SUB-TOTALS
028400                                 THRU D199-PST-EXIT
028500         END-IF.
028600*
028700     IF  MTRF-K2-O85-TT-CHAIN
028800         IF  WS-1ST-TIME-SW-NO
028900         AND MTRF-K2-O85-CHAIN IS NOT EQUAL TO
029000                                    MWRF-K2-O85-CHAIN
029100             COMPUTE WS-CHAIN-BREAK = WS-CHAIN-BREAK
029200                                     + 1
029300             PERFORM D100-PRINT-SUB-TOTALS
029400                                 THRU D199-PST-EXIT.
029500*
029600     MOVE MTRF-MERCHANT          TO WS-DL1-MERCHANT.
029700     MOVE MTRF-O85-DBA-NAME      TO WS-DL1-DBA-NAME.
029800     MOVE MTRF-DISC-FREQ-1       TO WS-DL1-FREQ-1.
029900     MOVE MTRF-DISC-FREQ-2       TO WS-DL1-FREQ-2.
030000     MOVE MTRF-O85-AGENT-BANK    TO WS-DL1-AGENT.
030100     MOVE MTRF-O85-DATE-LAST-VISIT
030200                                 TO SS01WS-JULIAN.
030300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
030400        THRU SS26PD-NED-EXIT.
030500     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
030600     MOVE MTRF-O85-MTD-SALES-NBR TO SS95WS-IN-NBR.
030700     MOVE MTRF-O85-MTD-NET-SALES TO SS95WS-IN-AMT.
030800     PERFORM SS95PD-NAP-ROUTINE
030900        THRU SS95PD-NAP-EXIT.
031000     MOVE SS95WS-OUT-NBR-L12     TO WS-DL1-SALES-NBR.
031100     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-SALES-AMT.
031200*
031300     MOVE MTRF-O85-MTD-INCOME
031400                                 TO SS95WS-IN-AMT.
031500     PERFORM SS95PD-NAP-ROUTINE
031600        THRU SS95PD-NAP-EXIT.
031700     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-INCOME.
031800*
031900     EVALUATE TRUE
032000         WHEN MTRF-K1-DETAIL
032100             PERFORM MB22PD-PRINT-1-LINE
032200                                 THRU MB22PD-P1L-EXIT
032300         WHEN OTHER
032400             MOVE SPACES         TO MB20WS-PRINT-LINE
032500     END-EVALUATE.
032600*
032700     MOVE MTRF-O85-DBA-CITY      TO WS-DL1-DBA-CITY.
032800     MOVE MTRF-O85-DBA-COUNTRY-CODE
032900                                 TO WS-DL1-DBA-STATE.
033000     MOVE MTRF-PART-FREQ-1       TO WS-DL1-FREQ-1.
033100     MOVE MTRF-PART-FREQ-2       TO WS-DL1-FREQ-2.
033200     MOVE MTRF-O85-BRANCH        TO WS-DL1-BRANCH.
033300     MOVE MTRF-O85-DATE-LAST-REVIEW
033400                                 TO SS01WS-JULIAN.
033500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
033600        THRU SS26PD-NED-EXIT.
033700     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
033800*
033900     MOVE MTRF-O85-YTD-SALES-NBR TO SS95WS-IN-NBR.
034000     MOVE MTRF-O85-YTD-NET-SALES TO SS95WS-IN-AMT.
034100     PERFORM SS95PD-NAP-ROUTINE
034200        THRU SS95PD-NAP-EXIT.
034300     MOVE SS95WS-OUT-NBR-L12     TO WS-DL1-SALES-NBR.
034400     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-SALES-AMT.
034500*
034600     MOVE MTRF-O85-YTD-INCOME    TO SS95WS-IN-AMT.
034700     PERFORM SS95PD-NAP-ROUTINE
034800        THRU SS95PD-NAP-EXIT.
034900     MOVE SS95WS-OUT-AMT-L22     TO WS-DL1-INCOME.
035000*
035100     EVALUATE TRUE
035200         WHEN MTRF-K1-DETAIL
035300             PERFORM MB22PD-PRINT-1-LINE
035400                                 THRU MB22PD-P1L-EXIT
035500         WHEN OTHER
035600             MOVE SPACES         TO MB20WS-PRINT-LINE
035700     END-EVALUATE.
035800*
035900     MOVE MTRF-O85-DBA-PHONE-NBR TO WS-DL1-DBA-PHONE.
036000     MOVE MTRF-SETT-FREQ-1       TO WS-DL1-FREQ-1.
036100     MOVE MTRF-SETT-FREQ-2       TO WS-DL1-FREQ-2.
036200*
036300     MOVE MTRF-O85-NBR-STORES   TO SS95WS-IN-NBR.
036400     PERFORM SS95PD-NAP-ROUTINE
036500                                 THRU SS95PD-NAP-EXIT.
036600     MOVE SS95WS-OUT-NBR-L10     TO WS-DL1-NBR-STORES.
036700*
036800     MOVE MTRF-O85-DATE-OPENED   TO SS01WS-JULIAN.
036900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
037000        THRU SS26PD-NED-EXIT.
037100     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
037200*
037300     EVALUATE TRUE
037400         WHEN MTRF-K1-DETAIL
037500             PERFORM MB22PD-PRINT-1-LINE
037600                                 THRU MB22PD-P1L-EXIT
037700         WHEN OTHER
037800             MOVE SPACES         TO MB20WS-PRINT-LINE
037900     END-EVALUATE.
038000*
038100     MOVE MTRF-STMT-FREQ-1       TO WS-DL1-FREQ-1.
038200     MOVE MTRF-STMT-FREQ-2       TO WS-DL1-FREQ-2.
038300     MOVE MTRF-BLOCK-CODE        TO WS-DL1-TYPE-X.
038400     MOVE MTRF-O85-DATE-LAST-ACTIVE
038500                                 TO SS01WS-JULIAN.
038600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
038700        THRU SS26PD-NED-EXIT.
038800     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
038900*
039000     EVALUATE TRUE
039100         WHEN MTRF-K1-DETAIL
039200             PERFORM MB22PD-PRINT-2-LINES
039300                                 THRU MB22PD-P2L-EXIT
039400         WHEN OTHER
039500             MOVE SPACES         TO MB20WS-PRINT-LINE
039600     END-EVALUATE.
039700*
039800     COMPUTE WS-ORG-NBR = WS-ORG-NBR + 1.
039900     COMPUTE WS-ORG-MTD-SALES-NBR = WS-ORG-MTD-SALES-NBR
040000                                  + MTRF-O85-MTD-SALES-NBR.
040100     COMPUTE WS-ORG-MTD-SALES-AMT = WS-ORG-MTD-SALES-AMT
040200                                  + MTRF-O85-MTD-NET-SALES.
040300     COMPUTE WS-ORG-YTD-SALES-NBR = WS-ORG-YTD-SALES-NBR
040400                                  + MTRF-O85-YTD-SALES-NBR.
040500     COMPUTE WS-ORG-YTD-SALES-AMT = WS-ORG-YTD-SALES-AMT
040600                                  + MTRF-O85-YTD-NET-SALES.
040700     COMPUTE WS-ORG-MTD-INCOME = WS-ORG-MTD-INCOME
040800                                  + MTRF-O85-MTD-INCOME.
040900     COMPUTE WS-ORG-YTD-INCOME = WS-ORG-YTD-INCOME
041000                                  + MTRF-O85-YTD-INCOME.
041100*
041200     IF  MTRF-K2-O85-TT-AGENT
041300     OR  MTRF-K2-O85-TT-BRANCH
041400     OR  MTRF-K2-O85-TT-AGENT-BRANCH
041500     OR  MTRF-K2-O85-TT-CHAIN
041600         COMPUTE WS-SUB-NBR = WS-SUB-NBR + 1
041700         COMPUTE WS-SUB-MTD-SALES-NBR = WS-SUB-MTD-SALES-NBR
041800                                  + MTRF-O85-MTD-SALES-NBR
041900         COMPUTE WS-SUB-MTD-SALES-AMT = WS-SUB-MTD-SALES-AMT
042000                                  + MTRF-O85-MTD-NET-SALES
042100         COMPUTE WS-SUB-YTD-SALES-NBR = WS-SUB-YTD-SALES-NBR
042200                                  + MTRF-O85-YTD-SALES-NBR
042300         COMPUTE WS-SUB-YTD-SALES-AMT = WS-SUB-YTD-SALES-AMT
042400                                  + MTRF-O85-YTD-NET-SALES
042500         COMPUTE WS-SUB-MTD-INCOME = WS-SUB-MTD-INCOME
042600                                  + MTRF-O85-MTD-INCOME
042700         COMPUTE WS-SUB-YTD-INCOME = WS-SUB-YTD-INCOME
042800                                  + MTRF-O85-YTD-INCOME.
042900*
043000     IF  MTRF-K2-O85-TT-AGENT-BRANCH
043100         COMPUTE WS-SUB-NBR1 = WS-SUB-NBR1 + 1
043200         COMPUTE WS-SUB-MTD-SALES-NBR1 = WS-SUB-MTD-SALES-NBR1
043300                                  + MTRF-O85-MTD-SALES-NBR
043400         COMPUTE WS-SUB-MTD-SALES-AMT1 = WS-SUB-MTD-SALES-AMT1
043500                                  + MTRF-O85-MTD-NET-SALES
043600         COMPUTE WS-SUB-YTD-SALES-NBR1 = WS-SUB-YTD-SALES-NBR1
043700                                  + MTRF-O85-YTD-SALES-NBR
043800         COMPUTE WS-SUB-YTD-SALES-AMT1 = WS-SUB-YTD-SALES-AMT1
043900                                  + MTRF-O85-YTD-NET-SALES
044000         COMPUTE WS-SUB-MTD-INCOME1 = WS-SUB-MTD-INCOME1
044100                                  + MTRF-O85-MTD-INCOME
044200         COMPUTE WS-SUB-YTD-INCOME1 = WS-SUB-YTD-INCOME1
044300                                  + MTRF-O85-YTD-INCOME.
044400*
044500     SET WS-1ST-TIME-SW-NO       TO TRUE.
044600     MOVE MTRF-RECORD            TO MWRF-RECORD.
044700*
044800 D099-DR-EXIT.
044900     EXIT.
045000/
045100 D100-PRINT-SUB-TOTALS SECTION.
045200 D110-PST-BEG.
045300*
045400     PERFORM MB22PD-PRINT-1-LINE
045500        THRU MB22PD-P1L-EXIT.
045600*
045700     IF  MWRF-K2-O85-TT-AGENT
045800         MOVE '******** AGENT TOTALS ******* FOR AGENT NUMBER'
045900                                 TO WS-PL1-LIT
046000         MOVE MWRF-O85-AGENT-BANK
046100                                 TO WS-PL1-NBR-L5
046200         PERFORM MB22PD-PRINT-2-LINES
046300                                 THRU MB22PD-P2L-EXIT
046400         MOVE 'NUMBER OF MERCHANTS'
046500                                 TO WS-TL1-LIT.
046600*
046700     IF  MWRF-K2-O85-TT-BRANCH
046800         MOVE '******** BRANCH TOTALS ******* FOR BRANCH NBR'
046900                                 TO WS-PL1-LIT
047000         MOVE MWRF-O85-BRANCH    TO WS-PL1-NBR
047100         PERFORM MB22PD-PRINT-2-LINES
047200                                 THRU MB22PD-P2L-EXIT
047300         MOVE 'NUMBER OF MERCHANTS'
047400                                 TO WS-TL1-LIT.
047500*
047600     IF  MWRF-K2-O85-TT-CHAIN
047700         MOVE '******** CHAIN TOTALS ******* FOR CHAIN NUMBER'
047800                                 TO WS-PL1-LIT
047900         MOVE MWRF-K2-O85-CHAIN  TO WS-PL1-NBR
048000         PERFORM MB22PD-PRINT-2-LINES
048100                                 THRU MB22PD-P2L-EXIT
048200         MOVE 'NUMBER OF MERCHANTS'
048300                                 TO WS-TL1-LIT.
048400*
048500     IF  MWRF-K2-O85-TT-AGENT-BRANCH
048600         IF  WS-BRANCH-YES
048700             MOVE '******** BRANCH TOTALS *******  FOR BRANCH NBR'
048800                                 TO WS-PL1-LIT
048900             MOVE MWRF-O85-BRANCH
049000                                 TO WS-PL1-NBR
049100             PERFORM MB22PD-PRINT-2-LINES
049200                                 THRU MB22PD-P2L-EXIT
049300             MOVE 'NUMBER OF MERCHANTS'
049400                                 TO WS-TL1-LIT
049500         ELSE
049600             IF  WS-AGENT-YES
049700             MOVE '******** AGENT TOTALS *******  FOR AGENT NBR'
049800                                 TO WS-PL1-LIT
049900             MOVE MWRF-O85-AGENT-BANK
050000                                 TO WS-PL1-NBR-L5
050100             PERFORM MB22PD-PRINT-2-LINES
050200                                 THRU MB22PD-P2L-EXIT
050300             MOVE 'NUMBER OF BRANCHES'
050400                                 TO WS-TL1-LIT.
050500*
050600     IF  MWRF-K2-O85-TT-AGENT-BRANCH
050700         IF  WS-BRANCH-YES
050800             MOVE WS-SUB-NBR1    TO SS95WS-IN-NBR
050900             PERFORM SS95PD-NAP-ROUTINE
051000                                 THRU SS95PD-NAP-EXIT
051100             MOVE SS95WS-OUT-NBR-L12
051200                                 TO WS-TL1-NBR
051300             MOVE WS-SUB-MTD-SALES-NBR1
051400                                 TO SS95WS-IN-NBR
051500             MOVE WS-SUB-MTD-SALES-AMT1
051600                                 TO SS95WS-IN-AMT
051700             PERFORM SS95PD-NAP-ROUTINE
051800                                 THRU SS95PD-NAP-EXIT
051900             MOVE SS95WS-OUT-NBR-L12
052000                                 TO WS-TL1-SALES-NBR
052100             MOVE SS95WS-OUT-AMT-L22
052200                                 TO WS-TL1-SALES-AMT
052300             MOVE WS-SUB-MTD-INCOME1
052400                                 TO SS95WS-IN-AMT
052500             PERFORM SS95PD-NAP-ROUTINE
052600                                 THRU SS95PD-NAP-EXIT
052700             MOVE SS95WS-OUT-AMT-L22
052800                                 TO WS-TL1-INCOME
052900*
053000             PERFORM MB22PD-PRINT-1-LINE
053100                                 THRU MB22PD-P1L-EXIT
053200
053300             MOVE WS-SUB-YTD-SALES-NBR1
053400                                 TO SS95WS-IN-NBR
053500             MOVE WS-SUB-YTD-SALES-AMT1
053600                                 TO SS95WS-IN-AMT
053700             PERFORM SS95PD-NAP-ROUTINE
053800                                 THRU SS95PD-NAP-EXIT
053900             MOVE SS95WS-OUT-NBR-L12
054000                                 TO WS-TL1-SALES-NBR
054100             MOVE SS95WS-OUT-AMT-L22
054200                                 TO WS-TL1-SALES-AMT
054300
054400             MOVE WS-SUB-YTD-INCOME1
054500                                 TO SS95WS-IN-AMT
054600             PERFORM SS95PD-NAP-ROUTINE
054700                                 THRU SS95PD-NAP-EXIT
054800             MOVE SS95WS-OUT-AMT-L22
054900                                 TO WS-TL1-INCOME
055000             MOVE 5              TO WS-D720-LINE-CHECK
055100             PERFORM 9100-CHECK-NBR-LINES
055200                                 THRU 9100-CNL-EXIT
055300             PERFORM MB22PD-PRINT-2-LINES
055400                                 THRU MB22PD-P2L-EXIT
055500             INITIALIZE          WS-SUB-TOTALS1
055600             SET WS-BRANCH-NO    TO TRUE
055700             GO TO D199-PST-EXIT.
055800*
055900     IF  MWRF-K2-O85-TT-AGENT-BRANCH
056000         MOVE WS-BRANCH-BREAK    TO SS95WS-IN-NBR
056100         COMPUTE WS-ORG-AGENT-BREAK  = WS-ORG-AGENT-BREAK
056200                                     + WS-AGENT-BREAK
056300         MOVE ZEROS              TO WS-BRANCH-BREAK
056400         MOVE ZEROS              TO WS-AGENT-BREAK
056500     ELSE
056600         MOVE WS-SUB-NBR         TO SS95WS-IN-NBR.
056700*
056800     PERFORM SS95PD-NAP-ROUTINE
056900                                 THRU SS95PD-NAP-EXIT.
057000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-NBR.
057100
057200     MOVE WS-SUB-MTD-SALES-NBR   TO SS95WS-IN-NBR.
057300     MOVE WS-SUB-MTD-SALES-AMT   TO SS95WS-IN-AMT.
057400     PERFORM SS95PD-NAP-ROUTINE
057500                                 THRU SS95PD-NAP-EXIT.
057600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-SALES-NBR.
057700     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-SALES-AMT.
057800
057900     MOVE WS-SUB-MTD-INCOME      TO SS95WS-IN-AMT.
058000     PERFORM SS95PD-NAP-ROUTINE
058100                                 THRU SS95PD-NAP-EXIT.
058200     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-INCOME.
058300*
058400     PERFORM MB22PD-PRINT-1-LINE
058500                                 THRU MB22PD-P1L-EXIT.
058600
058700     MOVE WS-SUB-YTD-SALES-NBR   TO SS95WS-IN-NBR.
058800     MOVE WS-SUB-YTD-SALES-AMT   TO SS95WS-IN-AMT.
058900     PERFORM SS95PD-NAP-ROUTINE
059000                                 THRU SS95PD-NAP-EXIT.
059100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-SALES-NBR.
059200     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-SALES-AMT.
059300
059400     MOVE WS-SUB-YTD-INCOME      TO SS95WS-IN-AMT.
059500     PERFORM SS95PD-NAP-ROUTINE
059600                                 THRU SS95PD-NAP-EXIT.
059700     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-INCOME.
059800*
059900     PERFORM MB22PD-PRINT-2-LINES
060000                                 THRU MB22PD-P2L-EXIT.
060100*
060200     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
060300*
060400     SET WS-AGENT-NO             TO TRUE.
060500     INITIALIZE WS-SUB-TOTALS.
060600*
060700 D199-PST-EXIT.
060800     EXIT.
060900/
061000 H000-HEADER-RECORD SECTION.
061100 H010-HR-BEGIN.
061200*
061300     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
061400     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
061500     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
061600     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
061700     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
061800     MOVE 'O85'                  TO MB20WS-SH-INTERNAL-RPT-ID.
061900     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
062000     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
062100     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
062200     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
062300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
062400        THRU SS26PD-NED-EXIT.
062500     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
062600     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
062700     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
062800*
062900     MOVE ' MERCHANT  DBA NAME                   DI FRE'
063000                                 TO MB20WS-SH-L5R-1.
063100     MOVE 'Q   AGENT  LAST VISIT     MTD SALES #       '
063200                                 TO MB20WS-SH-L5R-2.
063300     MOVE ' MTD NET SALES          MTD DISC INCOME     '
063400                                 TO MB20WS-SH-L5R-3.
063500*
063600     MOVE '           DBA CITY     ST/PR         PT FRE'
063700                                 TO MB20WS-SH-L6R-1.
063800     MOVE 'Q  BRANCH  LAST REVIEW    YTD SALES #       '
063900                                 TO MB20WS-SH-L6R-2.
064000     MOVE ' YTD NET SALES          YTD DISC INCOME     '
064100                                 TO MB20WS-SH-L6R-3.
064200*
064300     MOVE '           PHONE NUMBER               SE FRE'
064400                                 TO MB20WS-SH-L7R-1.
064500     MOVE 'Q  STORES  DATE OPENED                      '
064600                                 TO MB20WS-SH-L7R-2.
064700     MOVE '                                            '
064800                                 TO MB20WS-SH-L7R-3.
064900*
065000     MOVE '                                      ST FRE'
065100                                 TO MB20WS-SH-L8R-1.
065200     MOVE 'Q   BLOCK  DATE LST ACT                     '
065300                                 TO MB20WS-SH-L8R-2.
065400     MOVE '                                            '
065500                                 TO MB20WS-SH-L8R-3.
065600*
065700     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
065800     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
065900     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
066000     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
066100     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
066200     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
066300     SET SS95WS-FUNCTION-INITIALIZE
066400                                 TO TRUE.
066500     PERFORM SS95PD-NAP-ROUTINE
066600        THRU SS95PD-NAP-EXIT.
066700*
066800     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
066900     MOVE 'N'                    TO WS-D72085-ACTIVITY-SW.
067000     MOVE MTRF-RECORD            TO MTR9-RECORD.
067100     MOVE SPACES                 TO MWRF-RECORD.
067200     SET WS-1ST-TIME-SW-YES      TO TRUE.
067300     INITIALIZE                  WS-GRAND-TOTALS.
067400     INITIALIZE                  WS-ORG-TOTALS.
067500     INITIALIZE                  WS-SUB-TOTALS.
067600     INITIALIZE                  WS-SUB-TOTALS1.
067700*
067800 H099-HR-EXIT.
067900     EXIT.
068000/
068100 T000-TRAILER-RECORD SECTION.
068200 T010-TR-BEGIN.
068300     MOVE MTR9-RECORD            TO MTRF-RECORD.
068400*
068500     IF  WS-D72085-ACTIVITY-SW IS EQUAL TO 'N'
068600         IF  MTRF-HD-AF-PRODUCE
068700             PERFORM MB22PD-PRINT-NO-ACTIVITY
068800                                 THRU MB22PD-PNA-EXIT
068900             GO TO T099-TR-EXIT
069000         ELSE
069100             GO TO T099-TR-EXIT.
069200*
069300     MOVE 5                      TO WS-D720-LINE-CHECK.
069400     PERFORM 9100-CHECK-NBR-LINES
069500                                 THRU 9100-CNL-EXIT.
069600*
069700     SET WS-AGENT-YES            TO TRUE.
069800     SET WS-BRANCH-YES           TO TRUE.
069900*
070000*
070100     IF  MWRF-K2-O85-TT-AGENT
070200     OR  MWRF-K2-O85-TT-BRANCH
070300     OR  MWRF-K2-O85-TT-AGENT-BRANCH
070400     OR  MWRF-K2-O85-TT-CHAIN
070500         ADD 1                   TO WS-BRANCH-BREAK
070600         ADD 1                   TO WS-AGENT-BREAK
070700         ADD 1                   TO WS-CHAIN-BREAK
070800         PERFORM D100-PRINT-SUB-TOTALS
070900                                 THRU D199-PST-EXIT.
071000*
071100     IF  MWRF-K2-O85-TT-AGENT-BRANCH
071200         PERFORM D100-PRINT-SUB-TOTALS
071300                                 THRU D199-PST-EXIT.
071400*
071500     MOVE 5                      TO WS-D720-LINE-CHECK.
071600     PERFORM 9100-CHECK-NBR-LINES
071700        THRU 9100-CNL-EXIT.
071800*
071900     PERFORM 9010-PRINT-ORG-TOTALS
072000        THRU 9010-POT-EXIT.
072100*
072200     MOVE 5                      TO WS-D720-LINE-CHECK.
072300     PERFORM 9100-CHECK-NBR-LINES
072400        THRU 9100-CNL-EXIT.
072500*
072600     PERFORM 9020-PRINT-SYS-TOTALS
072700        THRU 9020-PST-EXIT.
072800*
072900     INITIALIZE                  WS-ORG-TOTALS.
073000     INITIALIZE                  WS-SUB-TOTALS.
073100     INITIALIZE                  WS-SUB-TOTALS1.
073200     MOVE ZEROS                  TO WS-BRANCH-BREAK
073300                                    WS-AGENT-BREAK
073400                                    WS-CHAIN-BREAK
073500                                    WS-ORG-AGENT-BREAK
073600                                    WS-ORG-BRANCH-BREAK.
073700*
073800 T099-TR-EXIT.
073900     EXIT.
074000/
074100 9000-PERFORMED-ROUTINES-SECT SECTION.
074200 9010-PRINT-ORG-TOTALS.
074300*
074400     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
074500*
074600     MOVE '**** ORGANIZATION TOTALS ****  FOR ORGANIZATION'
074700                                 TO WS-PL1-LIT.
074800     MOVE MTRF-K1-ORG            TO WS-PL1-NBR.
074900     MOVE MTRF-HD-ORG-NAME       TO WS-PL1-NAME
075000     PERFORM MB22PD-PRINT-2-LINES
075100                                 THRU MB22PD-P2L-EXIT.
075200*
075300     MOVE 'NUMBER OF MERCHANTS'  TO WS-TL1-LIT.
075400*
075500     IF  MWRF-K2-O85-TT-AGENT-BRANCH
075600     OR  MWRF-K2-O85-TT-AGENT
075700         MOVE 'NUMBER OF AGENTS' TO WS-TL1-LIT.
075800*
075900     IF  MWRF-K2-O85-TT-BRANCH
076000         MOVE 'NUMBER OF BRANCHES'
076100                                 TO WS-TL1-LIT.
076200*
076300     IF  MWRF-K2-O85-TT-CHAIN
076400         MOVE 'NUMBER OF CHAINS' TO WS-TL1-LIT.
076500*
076600     EVALUATE TRUE
076700         WHEN  MWRF-K2-O85-TT-AGENT-BRANCH
076800             MOVE WS-ORG-AGENT-BREAK TO SS95WS-IN-NBR
076900             COMPUTE WS-GRAND-NBR = WS-GRAND-NBR
077000                                  + WS-ORG-AGENT-BREAK
077100         WHEN  MWRF-K2-O85-TT-AGENT
077200             MOVE WS-AGENT-BREAK TO SS95WS-IN-NBR
077300             COMPUTE WS-GRAND-NBR = WS-GRAND-NBR
077400                                  + WS-AGENT-BREAK
077500         WHEN  MWRF-K2-O85-TT-BRANCH
077600             MOVE WS-BRANCH-BREAK
077700                                 TO SS95WS-IN-NBR
077800             COMPUTE WS-GRAND-NBR = WS-GRAND-NBR
077900                                  + WS-BRANCH-BREAK
078000         WHEN  MWRF-K2-O85-TT-CHAIN
078100             MOVE WS-CHAIN-BREAK
078200                                 TO SS95WS-IN-NBR
078300             COMPUTE WS-GRAND-NBR = WS-GRAND-NBR
078400                                  + WS-CHAIN-BREAK
078500         WHEN  OTHER
078600             MOVE WS-ORG-NBR TO SS95WS-IN-NBR
078700             COMPUTE WS-GRAND-NBR = WS-GRAND-NBR + WS-ORG-NBR
078800     END-EVALUATE.
078900*
079000     PERFORM SS95PD-NAP-ROUTINE
079100                                 THRU SS95PD-NAP-EXIT.
079200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-NBR.
079300*
079400     COMPUTE WS-GRAND-MTD-SALES-NBR =
079500             WS-GRAND-MTD-SALES-NBR + WS-ORG-MTD-SALES-NBR.
079600     COMPUTE WS-GRAND-MTD-SALES-AMT =
079700             WS-GRAND-MTD-SALES-AMT + WS-ORG-MTD-SALES-AMT.
079800     MOVE WS-ORG-MTD-SALES-NBR   TO SS95WS-IN-NBR.
079900     MOVE WS-ORG-MTD-SALES-AMT   TO SS95WS-IN-AMT.
080000     PERFORM SS95PD-NAP-ROUTINE
080100                                 THRU SS95PD-NAP-EXIT.
080200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-SALES-NBR.
080300     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-SALES-AMT.
080400*
080500     COMPUTE WS-GRAND-MTD-INCOME =
080600             WS-GRAND-MTD-INCOME + WS-ORG-MTD-INCOME.
080700     MOVE WS-ORG-MTD-INCOME      TO SS95WS-IN-AMT.
080800     PERFORM SS95PD-NAP-ROUTINE
080900                                 THRU SS95PD-NAP-EXIT.
081000     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-INCOME.
081100     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
081200*
081300     COMPUTE WS-GRAND-YTD-SALES-NBR =
081400             WS-GRAND-YTD-SALES-NBR + WS-ORG-YTD-SALES-NBR.
081500     COMPUTE WS-GRAND-YTD-SALES-AMT =
081600             WS-GRAND-YTD-SALES-AMT + WS-ORG-YTD-SALES-AMT.
081700     MOVE WS-ORG-YTD-SALES-NBR   TO SS95WS-IN-NBR.
081800     MOVE WS-ORG-YTD-SALES-AMT   TO SS95WS-IN-AMT.
081900     PERFORM SS95PD-NAP-ROUTINE
082000                                 THRU SS95PD-NAP-EXIT.
082100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-SALES-NBR.
082200     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-SALES-AMT.
082300*
082400     COMPUTE WS-GRAND-YTD-INCOME =
082500             WS-GRAND-YTD-INCOME + WS-ORG-YTD-INCOME.
082600     MOVE WS-ORG-YTD-INCOME      TO SS95WS-IN-AMT.
082700     PERFORM SS95PD-NAP-ROUTINE
082800                                 THRU SS95PD-NAP-EXIT.
082900     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-INCOME.
083000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
083100*
083200 9010-POT-EXIT.
083300     EXIT.
083400*
083500 9020-PRINT-SYS-TOTALS.
083600*
083700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
083800*
083900     MOVE '**** RUNNING SYSTEM  TOTALS ****  '
084000                                 TO WS-PL1-LIT.
084100     PERFORM MB22PD-PRINT-2-LINES
084200                                 THRU MB22PD-P2L-EXIT.
084300*
084400     MOVE 'NUMBER OF MERCHANTS'  TO WS-TL1-LIT.
084500*
084600     IF  MWRF-K2-O85-TT-AGENT-BRANCH
084700     OR  MWRF-K2-O85-TT-AGENT
084800         MOVE 'NUMBER OF AGENTS' TO WS-TL1-LIT.
084900*
085000     IF  MWRF-K2-O85-TT-BRANCH
085100         MOVE 'NUMBER OF BRANCHES'
085200                                 TO WS-TL1-LIT.
085300*
085400     IF  MWRF-K2-O85-TT-CHAIN
085500         MOVE 'NUMBER OF CHAINS' TO WS-TL1-LIT.
085600*
085700     MOVE WS-GRAND-NBR           TO SS95WS-IN-NBR.
085800     PERFORM SS95PD-NAP-ROUTINE
085900                                 THRU SS95PD-NAP-EXIT.
086000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-NBR.
086100*
086200     MOVE WS-GRAND-MTD-SALES-NBR TO SS95WS-IN-NBR.
086300     MOVE WS-GRAND-MTD-SALES-AMT TO SS95WS-IN-AMT.
086400     PERFORM SS95PD-NAP-ROUTINE
086500                                 THRU SS95PD-NAP-EXIT.
086600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-SALES-NBR.
086700     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-SALES-AMT.
086800*
086900     MOVE WS-GRAND-MTD-INCOME    TO SS95WS-IN-AMT.
087000     PERFORM SS95PD-NAP-ROUTINE
087100                                 THRU SS95PD-NAP-EXIT.
087200     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-INCOME.
087300     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
087400*
087500     MOVE WS-GRAND-YTD-SALES-NBR TO SS95WS-IN-NBR.
087600     MOVE WS-GRAND-YTD-SALES-AMT TO SS95WS-IN-AMT.
087700     PERFORM SS95PD-NAP-ROUTINE
087800                                 THRU SS95PD-NAP-EXIT.
087900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-SALES-NBR.
088000     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-SALES-AMT.
088100*
088200     MOVE WS-GRAND-YTD-INCOME    TO SS95WS-IN-AMT.
088300     PERFORM SS95PD-NAP-ROUTINE
088400                                 THRU SS95PD-NAP-EXIT.
088500     MOVE SS95WS-OUT-AMT-L22     TO WS-TL1-INCOME.
088600     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
088700*
088800 9020-PST-EXIT.
088900     EXIT.
089000/
089100*
089200 9100-CHECK-NBR-LINES.
089300*
089400     COMPUTE MB20WS-LINES-REMAINING
089500                                 = MB20WS-LINE-LIMIT
089600                                 - MB20WS-LINE-COUNT.
089700*
089800     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
089900         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
090000*
090100 9100-CNL-EXIT.
090200     EXIT.
090300/
090400     COPY MB22PD.
090500/
090600     COPY SS95PD.
090700/
090800     COPY SS02PD.
090900/
091000     COPY SS07PD.
091100/
091200     COPY SS08PD.
091300/
091400     COPY SS16PD.
091500/
091600     COPY SS26PD.
091700/
091800     COPY SS27PD.
091900*
092000 9995-END-SOURCE-STATEMENTS SECTION.
092100 9999-END-OF-PROGRAM.
092200     EXIT.
