000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72086.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72086 - OPTIONAL REPORT 86 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72086-WORK-AREAS.
002100     03  WS-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-LINE-CHECK       PIC S9(05)      COMP-3 VALUE +8.
002400     03  WS-HOLD-SUMM-DET    PIC  X(01)      VALUE 'D'.
002500     03  WS-NBR-MERCH-CNT    PIC S9(03)      COMP-3 VALUE ZERO.
002600     03  WS-NBR-MERCH-RPT    PIC S9(03)      COMP-3 VALUE ZERO.
002700*
002800     03  WS-ORG-TOTALS.
002900         05  WS-ORG-NBR-MERCH
003000                             PIC S9(09)      COMP-3 VALUE ZERO.
003100         05  WS-ORG-NET-SALES-NBR
003200                             PIC S9(09)      COMP-3 VALUE ZERO.
003300         05  WS-ORG-NET-SALES-AMT
003400                             PIC S9(17)      COMP-3 VALUE ZERO.   FX800038
003500         05  WS-ORG-TOT-INCOME
003600                             PIC S9(17)      COMP-3 VALUE ZERO.   FX800038
003700*
003800     03  WS-GRD-TOTALS.
003900         05  WS-GRD-NBR-MERCH
004000                             PIC S9(09)      COMP-3 VALUE ZERO.
004100         05  WS-GRD-NET-SALES-NBR
004200                             PIC S9(09)      COMP-3 VALUE ZERO.
004300         05  WS-GRD-NET-SALES-AMT
004400                             PIC S9(17)      COMP-3 VALUE ZERO.   FX800038
004500         05  WS-GRD-TOT-INCOME
004600                             PIC S9(17)      COMP-3 VALUE ZERO.   FX800038
004700*
004800 01  WS-PRINT-PROD-LINE-1.
004900     05  WS-PPL-MERCHANT-X.
005000         07  WS-PPL-MERCHANT PIC  9(09).
005100     05  WS-PPL-PROD-TOT.
005200         07  FILLER          PIC  X(02).
005300         07  WS-PPL-PRODUCT  PIC  9(02).
005400     05  WS-PPL-TOT-PROD     REDEFINES WS-PPL-PROD-TOT.
005500         07  FILLER          PIC  X(01).
005600         07  WS-PPL-LITERAL  PIC  X(03).
005700     05  FILLER              PIC  X(02).
005800     05  WS-PPL-NBR-SALES    PIC  X(12).
005900     05  WS-PPL-AMT-SALES    PIC  X(21).
006000     05  FILLER              PIC  X(09).
006100     05  WS-PPL-NET-SALES-NBR
006200                             PIC  X(12).
006300     05  WS-PPL-SYSTEM-FEES  PIC  X(21).
006400     05  WS-PPL-DISC-AMT     PIC  X(21).
006500     05  WS-PPL-AVG-TICKET   PIC  X(21).
006600*
006700 01  WS-PRINT-PROD-LINE-2.
006800     05  FILLER              PIC  X(15).
006900     05  WS-PPL-NBR-RETURN   PIC  X(12).
007000     05  WS-PPL-AMT-RETURN   PIC  X(21).
007100     05  WS-PPL-NET-SALES-AMT
007200                             PIC  X(21).
007300     05  WS-PPL-USER-FEES    PIC  X(21).
007400     05  WS-PPL-REFUND-AMT   PIC  X(21).
007500     05  WS-PPL-TOTAL-INCOME PIC  X(21).
007600*
007700 01  WS-PRINT-MERCH-LINE.
007800     05  FILLER              PIC  X(11).
007900     05  WS-PML-MERCH-NAME   PIC  X(25).
008000     05  FILLER              PIC  X(01).
008100     05  WS-PML-LIT-1        PIC  X(05)      VALUE SPACES.
008200     05  WS-PML-MERCH-TYPE   PIC  X(03).
008300     05  WS-PML-LIT-2        PIC  X(06)      VALUE 'AGENT '.
008400     05  WS-PML-AGENT        PIC  99999.
008500     05  WS-PML-LIT-3        PIC  X(08)      VALUE ' BRANCH '.
008600     05  WS-PML-BRANCH       PIC  999999999.
008700     05  WS-PML-LIT-4        PIC  X(11)      VALUE ' OPEN DATE '.
008800     05  WS-PML-OPEN-DATE    PIC  X(10).
008900     05  WS-PML-LIT-5        PIC  X(17)      VALUE
009000                                             ' DISCOUNT LEVEL  '.
009100     05  WS-PML-DISC-LEVEL   PIC  X(01).
009200     05  WS-PML-LIT-6        PIC  X(14)      VALUE
009300                                             '    DISC FREQ'.
009400     05  WS-PML-DISC-FREQ.
009500         07  WS-PML-DISC-FREQ-1
009600                             PIC  99.
009700         07  WS-PML-LIT-7    PIC  X(01)      VALUE '-'.
009800         07  WS-PML-DISC-FREQ-2
009900                             PIC  99.
010000 01  WS-PRINT-CHAIN-LINE.
010100     05  FILLER              PIC  X(11).
010200     05  WS-PML-CHAIN-NAME   PIC  X(25).
010300/
010400     COPY MB20WS.
010500 01  WS-PRINT-LINE-1         REDEFINES MB20WS-PRINT-LINE.
010600     03  WS-PL1-LIT-1        PIC  X(48).
010700     03  WS-PL1-AMT-1-X.
010800         05  WS-PL1-ORG      PIC  9(03).
010900     03  FILLER              PIC  X(10).
011000     03  WS-PL1-ORG-NAME     PIC  X(40).
011100 01  WS-PRINT-LINE-2         REDEFINES MB20WS-PRINT-LINE.
011200     03  FILLER              PIC  X(05).
011300     03  WS-PL2-LIT-1        PIC  X(30).
011400     03  WS-PL2-NBR-1-X.
011500         05  WS-PL2-NBR-1    PIC  X(12).
011600 01  WS-PRINT-LINE-3         REDEFINES MB20WS-PRINT-LINE.
011700     03  FILLER              PIC  X(05).
011800     03  WS-PL3-LIT-1        PIC  X(22).
011900     03  WS-PL3-AMT-1-X.
012000         05  WS-PL3-AMT-1    PIC  X(21).
012100/
012200     COPY SS95WS.
012300/
012400     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
012500/
012600     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
012700/
012800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
012900/
013000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
013100/
013200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
013300/
013400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
013500/
013600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
013700/
013800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
013900/
014000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
014100/
014200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
014300/
014400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
014500/
014600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
014700/
014800     COPY MB00WS.
014900/
015000     COPY SS00WS.
015100/
015200     COPY SS01WS.
015300/
015400     COPY SS02WS.
015500*
015600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
015700/
015800 LINKAGE SECTION.
015900     COPY MB22WS.
016000/
016100     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
016200/
016300 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
016400                                       MTRF-RECORD.
016500*
016600 A000-MAIN-LINE-SECT SECTION.
016700 A010-ML-BEGIN.
016800*
016900     IF  MTRF-K1-RT-DETAIL
017000         PERFORM D000-DETAIL-RECORD
017100                                 THRU D099-DR-EXIT.
017200*
017300     IF  MTRF-K1-RT-HEADER
017400         PERFORM H000-HEADER-RECORD
017500                                 THRU H099-HR-EXIT.
017600*
017700     IF  MTRF-K1-RT-TRAILER
017800         PERFORM T000-TRAILER-RECORD
017900                                 THRU T099-TR-EXIT.
018000*
018100     GOBACK.
018200*
018300 A099-ML-EXIT.
018400     EXIT.
018500/
018600 D000-DETAIL-RECORD SECTION.
018700 D010-DR-BEGIN.
018800*
018900     MOVE 'Y'                    TO WS-ACTIVITY-SW.
019000*
019100     IF  WS-NBR-MERCH-RPT IS GREATER THAN ZERO
019200     AND WS-NBR-MERCH-CNT IS GREATER THAN WS-NBR-MERCH-RPT
019300         GO TO D099-DR-EXIT.
019400*
019500     IF  MTRF-K2-O86-RT-HEADER
019600         PERFORM D100-MERCHANT-HEADER
019700                                 THRU D199-MH-EXIT.
019800*
019900     IF  MTRF-K2-O86-RT-PROD-DETAIL
020000     OR  MTRF-K2-O86-RT-PROD-TOTALS
020100         PERFORM D300-PROD-RECORD
020200                                 THRU D399-PR-EXIT.
020300*
020400     IF  MTRF-K2-O86-RT-TRAILER
020500         PERFORM D600-MERCH-TRAILER
020600                                 THRU D699-MT-EXIT.
020700*
020800 D099-DR-EXIT.
020900     EXIT.
021000/
021100 D100-MERCHANT-HEADER SECTION.
021200 D110-MH-BEGIN.
021300*
021400     MOVE MTRF-O86-TOP-NBR       TO WS-NBR-MERCH-RPT.
021500     MOVE MTRF-NAME              TO WS-PML-MERCH-NAME.
021600     MOVE MTRF-DISC-FREQ-1       TO WS-PML-DISC-FREQ-1.
021700     MOVE MTRF-DISC-FREQ-2       TO WS-PML-DISC-FREQ-2.
021800     MOVE MTRF-K2-O86-RPT-MERCH  TO WS-PPL-MERCHANT.
021900     ADD +1                      TO WS-NBR-MERCH-CNT.
022000*
022100     IF  WS-NBR-MERCH-RPT IS EQUAL TO ZERO
022200     OR  WS-NBR-MERCH-CNT IS NOT GREATER THAN WS-NBR-MERCH-RPT
022300         ADD +1                  TO WS-ORG-NBR-MERCH
022400     END-IF.
022500*
022600 D199-MH-EXIT.
022700     EXIT.
022800/
022900 D300-PROD-RECORD SECTION.
023000 D310-PR-BEGIN.
023100*
023200     IF  MTRF-K2-O86-RT-PROD-DETAIL
023300         MOVE SPACES             TO WS-PPL-LITERAL
023400         MOVE MTRF-K2-O86-PRODUCT
023500                                 TO WS-PPL-PRODUCT
023600     ELSE
023700         MOVE 'TOT'              TO WS-PPL-LITERAL
023800     END-IF.
023900*
024000     COMPUTE SS95WS-IN-NBR       = (MTRF-O86-SALES-NBR
024100                                   - MTRF-O86-SALES-REV-NBR).
024200     COMPUTE SS95WS-IN-AMT       = (MTRF-O86-SALES-AMT
024300                                   - MTRF-O86-SALES-REV-AMT).
024400     PERFORM SS95PD-NAP-ROUTINE
024500                                 THRU SS95PD-NAP-EXIT.
024600     MOVE SS95WS-OUT-NBR-L12     TO WS-PPL-NBR-SALES.
024700     MOVE SS95WS-OUT-AMT-L21     TO WS-PPL-AMT-SALES.
024800*
024900     COMPUTE SS95WS-IN-NBR       = (MTRF-O86-SALES-NBR
025000                                   - MTRF-O86-SALES-REV-NBR
025100                                   + MTRF-O86-RETURNS-NBR
025200                                   - MTRF-O86-RETURNS-REV-NBR).
025300*
025400     PERFORM SS95PD-NAP-ROUTINE
025500                                 THRU SS95PD-NAP-EXIT.
025600     MOVE SS95WS-OUT-NBR-L12     TO WS-PPL-NET-SALES-NBR.
025700*
025800     IF  MTRF-K2-O86-RT-PROD-TOTALS
025900         ADD SS95WS-IN-NBR       TO WS-ORG-NET-SALES-NBR.
026000*
026100     MOVE MTRF-O86-SYSTEM-FEES-AMT
026200                                 TO SS95WS-IN-AMT.
026300     PERFORM SS95PD-NAP-ROUTINE
026400                                 THRU SS95PD-NAP-EXIT.
026500     MOVE SS95WS-OUT-AMT-L21     TO WS-PPL-SYSTEM-FEES.
026600*
026700     MOVE MTRF-O86-DISCOUNT-AMT  TO SS95WS-IN-AMT.
026800     PERFORM SS95PD-NAP-ROUTINE
026900                                 THRU SS95PD-NAP-EXIT.
027000     MOVE SS95WS-OUT-AMT-L21     TO WS-PPL-DISC-AMT.
027100*
027200     COMPUTE SS95WS-IN-NBR       =  (MTRF-O86-SALES-NBR
027300                                   - MTRF-O86-SALES-REV-NBR).
027400*
027500     IF  SS95WS-IN-NBR           IS EQUAL TO ZERO
027600         MOVE ZERO               TO SS95WS-IN-AMT
027700     ELSE
027800         COMPUTE SS95WS-IN-AMT ROUNDED
027900                                 =  (MTRF-O86-SALES-AMT
028000                                   - MTRF-O86-SALES-REV-AMT)
028100                                   /
028200                                     SS95WS-IN-NBR
028300     END-IF.
028400*
028500     IF  SS95WS-IN-AMT           IS LESS THAN ZERO
028600         MOVE ZERO               TO SS95WS-IN-AMT.
028700*
028800     PERFORM SS95PD-NAP-ROUTINE
028900                                 THRU SS95PD-NAP-EXIT.
029000     MOVE SS95WS-OUT-AMT-L21     TO WS-PPL-AVG-TICKET.
029100*
029200     COMPUTE SS95WS-IN-NBR       = (MTRF-O86-RETURNS-NBR
029300                                  - MTRF-O86-RETURNS-REV-NBR).
029400     COMPUTE SS95WS-IN-AMT       = (MTRF-O86-RETURNS-AMT
029500                                  - MTRF-O86-RETURNS-REV-AMT).
029600     PERFORM SS95PD-NAP-ROUTINE
029700                                 THRU SS95PD-NAP-EXIT.
029800     MOVE SS95WS-OUT-NBR-L12     TO WS-PPL-NBR-RETURN.
029900     MOVE SS95WS-OUT-AMT-L21     TO WS-PPL-AMT-RETURN.
030000*
030100     COMPUTE SS95WS-IN-AMT       = (MTRF-O86-SALES-AMT
030200                                  - MTRF-O86-SALES-REV-AMT
030300                                  - MTRF-O86-RETURNS-AMT
030400                                  + MTRF-O86-RETURNS-REV-AMT).
030500*
030600     PERFORM SS95PD-NAP-ROUTINE
030700                                 THRU SS95PD-NAP-EXIT.
030800     MOVE SS95WS-OUT-AMT-L21     TO WS-PPL-NET-SALES-AMT.
030900*
031000     IF  MTRF-K2-O86-RT-PROD-TOTALS
031100         ADD SS95WS-IN-AMT       TO WS-ORG-NET-SALES-AMT.
031200*
031300     MOVE MTRF-O86-USER-FEES-AMT TO SS95WS-IN-AMT.
031400     PERFORM SS95PD-NAP-ROUTINE
031500                                 THRU SS95PD-NAP-EXIT.
031600     MOVE SS95WS-OUT-AMT-L21     TO WS-PPL-USER-FEES.
031700     MOVE MTRF-O86-REFUND-AMT    TO SS95WS-IN-AMT.
031800     PERFORM SS95PD-NAP-ROUTINE
031900                                 THRU SS95PD-NAP-EXIT.
032000     MOVE SS95WS-OUT-AMT-L21     TO WS-PPL-REFUND-AMT.
032100*
032200     COMPUTE SS95WS-IN-AMT       =   MTRF-O86-SYSTEM-FEES-AMT
032300                                   + MTRF-O86-USER-FEES-AMT
032400                                   + MTRF-O86-DISCOUNT-AMT.
032500*
032600     PERFORM SS95PD-NAP-ROUTINE
032700                                 THRU SS95PD-NAP-EXIT.
032800     MOVE SS95WS-OUT-AMT-L21     TO WS-PPL-TOTAL-INCOME.
032900*
033000     IF  MTRF-K2-O86-RT-PROD-TOTALS
033100         ADD SS95WS-IN-AMT       TO WS-ORG-TOT-INCOME.
033200*
033300     MOVE 2                      TO WS-LINE-CHECK.
033400     PERFORM 9100-CHECK-NBR-LINES
033500                                 THRU 9100-CNL-EXIT.
033600*
033700     IF  WS-HOLD-SUMM-DET IS EQUAL TO 'S'
033800     AND MTRF-K2-O86-RT-PROD-DETAIL
033900         GO TO D399-PR-EXIT.
034000*
034100     MOVE WS-PRINT-PROD-LINE-1   TO MB20WS-PRINT-LINE.
034200     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
034300*
034400     MOVE SPACES                 TO WS-PPL-MERCHANT-X.
034500     MOVE WS-PRINT-PROD-LINE-2   TO MB20WS-PRINT-LINE.
034600     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
034700*
034800 D399-PR-EXIT.
034900     EXIT.
035000/
035100 D600-MERCH-TRAILER SECTION.
035200 D610-MT-BEGIN.
035300*
035400     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
035500*
035600     IF  MTRF-O86-AGENT-BANK     IS EQUAL TO ZERO
035700     AND MTRF-O86-BRANCH         IS EQUAL TO ZERO
035800     AND MTRF-O86-DATE-OPENED    IS EQUAL TO ZERO
035900     AND MTRF-O86-DISC-LEVEL     IS EQUAL TO ZERO
036000         MOVE WS-PML-MERCH-NAME  TO WS-PML-CHAIN-NAME
036100         MOVE WS-PRINT-CHAIN-LINE
036200                                 TO MB20WS-PRINT-LINE
036300     ELSE
036400         MOVE MTRF-O86-AGENT-BANK
036500                                 TO WS-PML-AGENT
036600         MOVE MTRF-O86-BRANCH    TO WS-PML-BRANCH
036700         MOVE MTRF-O86-DATE-OPENED
036800                                 TO SS01WS-JULIAN
036900         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
037000                                 THRU SS26PD-NED-EXIT
037100         MOVE SS01WS-XX-XX-YYYY  TO WS-PML-OPEN-DATE
037200         MOVE MTRF-O86-DISC-LEVEL
037300                                 TO WS-PML-DISC-LEVEL
037400         MOVE WS-PRINT-MERCH-LINE
037500                                 TO MB20WS-PRINT-LINE.
037600*
037700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
037800     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
037900*
038000 D699-MT-EXIT.
038100     EXIT.
038200/
038300 H000-HEADER-RECORD SECTION.
038400 H010-HR-BEGIN.
038500*
038600     MOVE MTRF-K1-SUMMARY-DETAIL TO WS-HOLD-SUMM-DET.
038700     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
038800     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
038900     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
039000     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
039100     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
039200     MOVE 'O86'                  TO MB20WS-SH-INTERNAL-RPT-ID.
039300     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
039400     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
039500     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
039600     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
039700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
039800     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
039900     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
040000     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
040100*
040200     MOVE 'MERCHANT   P     NBR SALES         AMOUNT SA'
040300                                 TO MB20WS-SH-L5R-1.
040400     MOVE 'LES     NET SALES NUMBER          SYSTEM FEE'
040500                                 TO MB20WS-SH-L5R-2.
040600     MOVE 'S      DISCOUNT AMOUNT       AVERAGE TICKET '
040700                                 TO MB20WS-SH-L5R-3.
040800*
040900     MOVE ' NUMBER    R   NBR RETURNS       AMOUNT RETU'
041000                                 TO MB20WS-SH-L6R-1.
041100     MOVE 'RNS     NET SALES AMOUNT            USER FEE'
041200                                 TO MB20WS-SH-L6R-2.
041300     MOVE 'S        REFUND AMOUNT         TOTAL INCOME '
041400                                 TO MB20WS-SH-L6R-3.
041500*
041600     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
041700     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
041800     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
041900     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
042000     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
042100     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
042200     SET SS95WS-FUNCTION-INITIALIZE
042300                                 TO TRUE.
042400     PERFORM SS95PD-NAP-ROUTINE
042500        THRU SS95PD-NAP-EXIT.
042600*
042700     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
042800*
042900     MOVE 'N'                    TO WS-ACTIVITY-SW.
043000     MOVE MTRF-RECORD            TO MTR9-RECORD.
043100*
043200     INITIALIZE WS-ORG-TOTALS.
043300*
043400 H099-HR-EXIT.
043500     EXIT.
043600/
043700 T000-TRAILER-RECORD SECTION.
043800 T010-TR-BEGIN.
043900     MOVE MTR9-RECORD            TO MTRF-RECORD.
044000*
044100     IF  WS-ACTIVITY-SW IS EQUAL TO 'N'
044200         IF  MTRF-HD-AF-PRODUCE
044300             PERFORM MB22PD-PRINT-NO-ACTIVITY
044400                                 THRU MB22PD-PNA-EXIT
044500             GO TO T099-TR-EXIT
044600         ELSE
044700             GO TO T099-TR-EXIT
044800     END-IF.
044900*
045000     MOVE 12                     TO WS-LINE-CHECK.
045100     PERFORM 9100-CHECK-NBR-LINES
045200                                 THRU 9100-CNL-EXIT.
045300     PERFORM 9010-PRINT-ORG-TOTALS
045400                                 THRU 9010-POT-EXIT.
045500*
045600 T099-TR-EXIT.
045700     EXIT.
045800/
045900 9000-PERFORMED-ROUTINES-SECT SECTION.
046000 9010-PRINT-ORG-TOTALS.
046100*
046200     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
046300*
046400     MOVE '**** ORGANIZATION TOTALS ****  FOR ORGANIZATION'
046500                                 TO WS-PL1-LIT-1.
046600     MOVE MTRF-K1-ORG            TO WS-PL1-ORG.
046700     MOVE MTRF-HD-ORG-NAME       TO WS-PL1-ORG-NAME
046800     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
046900*
047000     MOVE 'TOTAL MERCHANTS REPORTED'
047100                                 TO WS-PL2-LIT-1.
047200     MOVE WS-ORG-NBR-MERCH       TO SS95WS-IN-NBR.
047300     PERFORM SS95PD-NAP-ROUTINE
047400                                 THRU SS95PD-NAP-EXIT.
047500     MOVE SS95WS-OUT-NBR-L12     TO WS-PL2-NBR-1.
047600     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
047700*
047800     MOVE 'TOTAL NBR NET SALES'  TO WS-PL2-LIT-1.
047900     MOVE WS-ORG-NET-SALES-NBR   TO SS95WS-IN-NBR.
048000     PERFORM SS95PD-NAP-ROUTINE
048100                                 THRU SS95PD-NAP-EXIT.
048200     MOVE SS95WS-OUT-NBR-L12     TO WS-PL2-NBR-1.
048300     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
048400*
048500     MOVE 'TOTAL AMT NET SALES'  TO WS-PL3-LIT-1.
048600     MOVE WS-ORG-NET-SALES-AMT   TO SS95WS-IN-AMT.
048700     PERFORM SS95PD-NAP-ROUTINE
048800                                 THRU SS95PD-NAP-EXIT.
048900     MOVE SS95WS-OUT-AMT-L21     TO WS-PL3-AMT-1.
049000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
049100*
049200     MOVE 'TOTAL INCOME'         TO WS-PL3-LIT-1.
049300     MOVE WS-ORG-TOT-INCOME      TO SS95WS-IN-AMT.
049400     PERFORM SS95PD-NAP-ROUTINE
049500                                 THRU SS95PD-NAP-EXIT.
049600     MOVE SS95WS-OUT-AMT-L21     TO WS-PL3-AMT-1.
049700     PERFORM MB22PD-PRINT-2-LINES
049800                                 THRU MB22PD-P2L-EXIT.
049900*
050000     ADD WS-ORG-NBR-MERCH        TO WS-GRD-NBR-MERCH.
050100     ADD WS-ORG-NET-SALES-NBR    TO WS-GRD-NET-SALES-NBR.
050200     ADD WS-ORG-NET-SALES-AMT    TO WS-GRD-NET-SALES-AMT.
050300     ADD WS-ORG-TOT-INCOME       TO WS-GRD-TOT-INCOME.
050400*
050500     INITIALIZE WS-ORG-TOTALS.
050600     MOVE ZERO                   TO WS-NBR-MERCH-CNT.
050700     PERFORM MB22PD-PRINT-2-LINES
050800                                 THRU MB22PD-P2L-EXIT.
050900*
051000     MOVE '**** RUNNING SYSTEM TOTALS ****'
051100                                 TO WS-PL1-LIT-1.
051200     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
051300*
051400     MOVE 'TOTAL MERCHANTS REPORTED'
051500                                 TO WS-PL2-LIT-1.
051600     MOVE WS-GRD-NBR-MERCH       TO SS95WS-IN-NBR.
051700     PERFORM SS95PD-NAP-ROUTINE
051800                                 THRU SS95PD-NAP-EXIT.
051900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL2-NBR-1.
052000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
052100*
052200     MOVE 'TOTAL NBR NET SALES'  TO WS-PL2-LIT-1.
052300     MOVE WS-GRD-NET-SALES-NBR   TO SS95WS-IN-NBR.
052400     PERFORM SS95PD-NAP-ROUTINE
052500                                 THRU SS95PD-NAP-EXIT.
052600     MOVE SS95WS-OUT-NBR-L12     TO WS-PL2-NBR-1.
052700     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
052800*
052900     MOVE 'TOTAL AMT NET SALES'  TO WS-PL3-LIT-1.
053000     MOVE WS-GRD-NET-SALES-AMT   TO SS95WS-IN-AMT.
053100     PERFORM SS95PD-NAP-ROUTINE
053200                                 THRU SS95PD-NAP-EXIT.
053300     MOVE SS95WS-OUT-AMT-L21     TO WS-PL3-AMT-1.
053400     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
053500*
053600     MOVE 'TOTAL INCOME'         TO WS-PL3-LIT-1.
053700     MOVE WS-GRD-TOT-INCOME      TO SS95WS-IN-AMT.
053800     PERFORM SS95PD-NAP-ROUTINE
053900                                 THRU SS95PD-NAP-EXIT.
054000     MOVE SS95WS-OUT-AMT-L21     TO WS-PL3-AMT-1.
054100     PERFORM MB22PD-PRINT-2-LINES
054200                                THRU MB22PD-P2L-EXIT.
054300*
054400 9010-POT-EXIT.
054500     EXIT.
054600/
054700*
054800 9100-CHECK-NBR-LINES.
054900*
055000     COMPUTE MB20WS-LINES-REMAINING
055100                                 = MB20WS-LINE-LIMIT
055200                                 - MB20WS-LINE-COUNT.
055300*
055400     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-LINE-CHECK
055500         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
055600*
055700 9100-CNL-EXIT.
055800     EXIT.
055900/
056000     COPY MB22PD.
056100/
056200     COPY SS95PD.
056300/
056400     COPY SS02PD.
056500/
056600     COPY SS07PD.
056700/
056800     COPY SS08PD.
056900/
057000     COPY SS16PD.
057100/
057200     COPY SS26PD.
057300/
057400     COPY SS27PD.
057500*
057600 9995-END-SOURCE-STATEMENTS SECTION.
057700 9999-END-OF-PROGRAM.
057800     EXIT.
