000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72087.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72087 - OPTIONAL REPORT 87 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72087-WORK-AREAS.
002100     03  WS-D72087-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400     03  WS-D720-SAVE-HEADING
002500                             PIC  X(132)     VALUE SPACES.
002600     03  WS-D720-ORG-TOTALS-AREA.
002700         05  WS-D720-ORG-TOTALS.
002800             07  WS-D720-SECTION-NBRS-AMTS.
002900*                OCCURENCE 1=INTERCHANGE, 2=INTRACHANGE, 3=ON-US
003000                 09  WS-D720-NA-NBR-AMT-TABLE
003100                                             OCCURS 3 TIMES
003200                                             INDEXED BY
003300                                             X-WS-D720-NAT.
003400                     11  WS-D720-NA-NBR-NET
003500                             PIC S9(09)      COMP-3.
003600                     11  WS-D720-NA-AMT-NET
003700                             PIC S9(17)      COMP-3.
003800                     11  WS-D720-NA-PCT-NBR-NET
003900                             PIC S9V9(06)    COMP-3.
004000                     11  WS-D720-NA-PCT-AMT-NET
004100                             PIC S9V9(06)    COMP-3.
004200                     11  WS-D720-NA-NBR-GROSS
004300                             PIC S9(09)      COMP-3.
004400                     11  WS-D720-NA-AMT-GROSS
004500                             PIC S9(17)      COMP-3.
004600                     11  WS-D720-NA-PCT-NBR-GROSS
004700                             PIC S9V9(06)    COMP-3.
004800                     11  WS-D720-NA-PCT-AMT-GROSS
004900                             PIC S9V9(06)    COMP-3.
005000                     11  WS-D720-NA-NBR-VOL
005100                             PIC S9(09)      COMP-3.
005200                     11  WS-D720-NA-AMT-VOL
005300                             PIC S9(17)      COMP-3.
005400                     11  WS-D720-NA-PCT-NBR-VOL
005500                             PIC S9V9(06)    COMP-3.
005600                     11  WS-D720-NA-PCT-AMT-VOL
005700                             PIC S9V9(06)    COMP-3.
005800                 09  WS-D720-NA-NBR-TOT-NET
005900                             PIC S9(09)      COMP-3.
006000                 09  WS-D720-NA-AMT-TOT-NET
006100                             PIC S9(17)      COMP-3.
006200                 09  WS-D720-NA-NBR-TOT-GROSS
006300                             PIC S9(09)      COMP-3.
006400                 09  WS-D720-NA-AMT-TOT-GROSS
006500                             PIC S9(17)      COMP-3.
006600                 09  WS-D720-NA-NBR-TOT-VOL
006700                             PIC S9(09)      COMP-3.
006800                 09  WS-D720-NA-AMT-TOT-VOL
006900                             PIC S9(17)      COMP-3.
007000                 09  WS-D720-NA-AVG-TKT-NET
007100                             PIC S9(17)      COMP-3.
007200                 09  WS-D720-NA-AVG-TKT-GROSS
007300                             PIC S9(17)      COMP-3.
007400                 09  WS-D720-NA-AVG-TKT-VOL
007500                             PIC S9(17)      COMP-3.
007600*
007700             07  WS-D720-SECTION-DISC-PART.
007800*                OCCURENCE 1=DISCOUNT 2=PARTICIPATION, 3=FEES
007900                 09  WS-D720-DP-NBR-AMT-TABLE
008000                                             OCCURS 3 TIMES
008100                                             INDEXED BY
008200                                             X-WS-D720-DPT.
008300                     11  WS-D720-DP-AMT
008400                             PIC S9(17)      COMP-3.
008500                     11  WS-D720-DP-ADJ-AMT
008600                             PIC S9(17)      COMP-3.
008700                     11  WS-D720-DP-NET-AMT
008800                             PIC S9(17)      COMP-3.
008900                     11  WS-D720-DP-AVG-RATE-NET
009000                             PIC S9(02)V9(7) COMP-3.
009100                     11  WS-D720-DP-AVG-RATE-GROSS
009200                             PIC S9(02)V9(7) COMP-3.
009300                     11  WS-D720-DP-AVG-RATE-VOL
009400                             PIC S9(02)V9(7) COMP-3.
009500
009600             07  WS-D720-SECTION-SUMM-TOTALS.
009700                 09  WS-D720-ST-GROSS-REVENUE
009800                             PIC S9(17)      COMP-3.
009900                 09  WS-D720-ST-TOTAL-EXPENSE
010000                             PIC S9(17)      COMP-3.
010100                 09  WS-D720-ST-NET-PROFITABILITY
010200                             PIC S9(17)      COMP-3.
010300*                OCCURENCE 1=NET, 2=GROSS, 3=VOLUME
010400                 09  WS-D720-ST-PROF-RETURN OCCURS 3 TIMES
010500                                             INDEXED BY
010600                                             X-WS-D720-ST-PR.
010700                     11  WS-D720-ST-PR-ON-SALES
010800                             PIC S9(11)V9(6) COMP-3.
010900                     11  WS-D720-ST-PR-PER-TKT
011000                             PIC S9(11)V9(6) COMP-3.
011100                 09  WS-D720-ST-RETURN-ON-EXP
011200                             PIC S9(11)V9(6) COMP-3.
011300/
011400     COPY MB20WS.
011500 01  WS-PRINT-LINE-01        REDEFINES MB20WS-PRINT-LINE.
011600     03  WS-PL01-LIT-1       PIC  X(18).
011700     03  WS-PL01-MERCH       PIC  9(09).
011800     03  FILLER              PIC  X(06).
011900     03  WS-PL01-NAME        PIC  X(41).
012000     03  FILLER              PIC  X(28).
012100     03  WS-PL01-RPT-FOR     PIC  X(09).
012200     03  WS-PL01-BEG-RANGE   PIC  X(09).
012300     03  WS-PL01-RPT-TO      PIC  X(03).
012400     03  WS-PL01-END-RANGE   PIC  X(09).
012500 01  WS-PRINT-LINE-02        REDEFINES MB20WS-PRINT-LINE.
012600     03  WS-PL02-LIT-1       PIC  X(18).
012700     03  WS-PL02-NAME.
012800         05  WS-PL02-NBR     PIC  X(20).
012900         05  FILLER          PIC  X(33).
013000     03  WS-PL02-LIT-2       PIC  X(14).
013100     03  WS-PL02-TABLE-X.
013200         05  WS-PL02-TABLE   PIC  9(09).
013300     03  WS-PL02-FREQ-X      REDEFINES WS-PL02-TABLE-X.
013400         05  FILLER          PIC  X(04).
013500         05  WS-PL02-FREQ-1  PIC  9(02).
013600         05  FILLER          PIC  X(01).
013700         05  WS-PL02-FREQ-2  PIC  9(02).
013800     03  WS-PL02-AGENT-X     REDEFINES WS-PL02-TABLE-X.
013900         05  FILLER          PIC  X(04).
014000         05  WS-PL02-AGENT   PIC  9(05).
014100     03  FILLER              PIC  X(08).
014200     03  WS-PL02-DATE-LIT    PIC  X(20).
014300     03  WS-PL02-DATE        PIC  X(10).
014400 01  WS-PRINT-LINE-03        REDEFINES MB20WS-PRINT-LINE.
014500     03  WS-PL03-LIT-1       PIC  X(37).
014600     03  WS-PL03-PROD-LIT    PIC  X(08).
014700     03  WS-PL03-PRODUCT     PIC  9(02)-.
014800     03  WS-PL03-DASH        PIC  X(02).
014900     03  WS-PL03-PROD-DESC   PIC  X(16).
015000     03  FILLER              PIC  X(26).
015100     03  WS-PL03-FEE-BASE-LIT
015200                             PIC  X(23).
015300     03  WS-PL03-FEE-BASE    PIC  X(01).
015400     03  FILLER              PIC  X(16).
015500 01  WS-PRINT-LINE-04        REDEFINES MB20WS-PRINT-LINE.
015600     03  WS-PL04-LM          PIC  9(03)-.
015700     03  WS-PL04-DESC.
015800         05  WS-PL04-QL      PIC  99.
015900         05  WS-PL04-QL-DASH PIC  X(01).
016000         05  WS-PL04-QL-DESC PIC  X(16).
016100     03  WS-PL04-NBR-1       PIC  X(14).
016200     03  WS-PL04-NBR-2       PIC  X(14).
016300     03  WS-PL04-AMT-1       PIC  X(23).
016400     03  WS-PL04-AMT-2       PIC  X(23).
016500     03  WS-PL04-AMT-3       PIC  X(23).
016600     03  WS-PL04-PCT         PIC  X(12).
016700 01  WS-PRINT-LINE-05        REDEFINES MB20WS-PRINT-LINE.
016800     03  WS-PL05-LIT-1       PIC  X(48).
016900     03  WS-PL05-MERCHANT-LIT.
017000         05  WS-PL05-PROD-LIT
017100                             PIC  X(17).
017200         05  WS-PL05-PROD    PIC  9(02)-.
017300         05  WS-PL05-PROD-DESC
017400                             PIC  X(16).
017500     03  WS-PL05-LIT-2       PIC  X(48).
017600 01  WS-PRINT-LINE-06        REDEFINES MB20WS-PRINT-LINE.
017700     03  WS-PL06-LIT-1       PIC  X(33).
017800     03  WS-PL06-AMT-1.
017900         05  FILLER          PIC  X(11).
018000         05  WS-PL06-NBR-1   PIC  X(13).
018100     03  WS-PL06-PCT-1       PIC  X(09).
018200     03  WS-PL06-AMT-2.
018300         05  FILLER          PIC  X(11).
018400         05  WS-PL06-NBR-2   PIC  X(13).
018500     03  WS-PL06-PCT-2       PIC  X(09).
018600     03  WS-PL06-AMT-3.
018700         05  FILLER          PIC  X(11).
018800         05  WS-PL06-NBR-3   PIC  X(13).
018900     03  WS-PL06-PCT-3       PIC  X(09).
019000/
019100     COPY SS95WS.
019200/
019300     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
019400/
019500     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
019600/
019700     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
019800/
019900     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
020000/
020100     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
020200/
020300     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
020400/
020500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
020600/
020700     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
020800/
020900     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
021000/
021100     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
021200/
021300     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
021400/
021500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
021600/
021700     COPY MB00WS.
021800/
021900     COPY SS00WS.
022000/
022100     COPY SS01WS.
022200/
022300     COPY SS02WS.
022400*
022500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
022600/
022700 LINKAGE SECTION.
022800     COPY MB22WS.
022900/
023000     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
023100/
023200 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
023300                                       MTRF-RECORD.
023400*
023500 A000-MAIN-LINE-SECT SECTION.
023600 A010-ML-BEGIN.
023700*
023800     IF  MTRF-K1-RT-DETAIL
023900         PERFORM D000-DETAIL-RECORD
024000            THRU D099-DR-EXIT.
024100*
024200     IF  MTRF-K1-RT-HEADER
024300         PERFORM H000-HEADER-RECORD
024400            THRU H099-HR-EXIT.
024500*
024600     IF  MTRF-K1-RT-TRAILER
024700         PERFORM T000-TRAILER-RECORD
024800            THRU T099-TR-EXIT.
024900*
025000     GOBACK.
025100*
025200 A099-ML-EXIT.
025300     EXIT.
025400/
025500 D000-DETAIL-RECORD SECTION.
025600 D010-DR-BEGIN.
025700*
025800     MOVE 'Y'                    TO WS-D72087-ACTIVITY-SW.
025900*
026000     EVALUATE TRUE
026100         WHEN MTRF-K2-O87-NAME-RECORD
026200             MOVE MTRF-RECORD    TO MWRF-RECORD
026300             MOVE SPACES         TO MB20WS-SH-L4
026400             MOVE SPACES         TO MB20WS-SH-L5
026500             MOVE SPACES         TO MB20WS-SH-L6
026600             MOVE SPACES         TO MB20WS-SH-L7
026700             MOVE SPACES         TO MB20WS-SH-L8
026800         WHEN MTRF-K2-O87-STATIC-DATA
026900             PERFORM D200-STATIC-DATA
027000                THRU D299-SD-EXIT
027100         WHEN MTRF-K2-O87-MERCH-FEE-DATA
027200             PERFORM D300-MERCH-FEE-DATA
027300                THRU D399-MFD-EXIT
027400         WHEN MTRF-K2-O87-PROD-FEE-DATA
027500             PERFORM D400-PROD-FEE-DATA
027600                THRU D499-PFD-EXIT
027700         WHEN MTRF-K2-O87-PROD-SUMMARY
027800             PERFORM D800-PROD-SUMMARY
027900                THRU D899-PS-EXIT
028000         WHEN MTRF-K2-O87-MERCH-SUMMARY
028100             PERFORM D900-MERCH-SUMMARY
028200                THRU D999-MS-EXIT
028300     END-EVALUATE.
028400*
028500 D099-DR-EXIT.
028600     EXIT.
028700/
028800 D200-STATIC-DATA SECTION.
028900 D201-SD-BEGIN.
029000*
029100     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
029200     MOVE 'MERCHANT NUMBER'      TO WS-PL01-LIT-1.
029300     MOVE MWRF-K2-O87-MERCHANT   TO WS-PL01-MERCH.
029400     MOVE MWRF-O87-MERCH-NAME    TO WS-PL01-NAME.
029500     MOVE 'RPT FOR'              TO WS-PL01-RPT-FOR.
029600*
029700     IF  MTRF-O87-END-RANGE IS EQUAL TO SPACES
029800         MOVE MTRF-O87-BEG-RANGE TO WS-PL01-BEG-RANGE
029900     ELSE
030000         MOVE MTRF-O87-END-RANGE TO WS-PL01-BEG-RANGE
030100         MOVE 'TO'               TO WS-PL01-RPT-TO
030200         MOVE MTRF-O87-BEG-RANGE TO WS-PL01-END-RANGE.
030300*
030400     MOVE WS-PRINT-LINE-01       TO WS-D720-SAVE-HEADING.
030500*
030600     PERFORM MB22PD-PRINT-1-LINE
030700        THRU MB22PD-P1L-EXIT.
030800*
030900     MOVE WS-D720-SAVE-HEADING   TO MB20WS-SH-L5.
031000*
031100*
031200*
031300     MOVE 'NUMBER OF STORES'     TO WS-PL02-LIT-1.
031400     MOVE MTRF-O87-NBR-STORES    TO WS-PL02-NBR.
031500     MOVE 'INCOME TABLE'         TO WS-PL02-LIT-2.
031600     MOVE MTRF-O87-INCOME-TABLE  TO WS-PL02-TABLE.
031700     MOVE 'DATE PREV STATEMENT'  TO WS-PL02-DATE-LIT.
031800     MOVE MTRF-O87-PREV-STMT     TO SS01WS-JULIAN.
031900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
032000     MOVE SS01WS-XX-XX-YYYY      TO WS-PL02-DATE.
032100*
032200     PERFORM MB22PD-PRINT-1-LINE
032300        THRU MB22PD-P1L-EXIT.
032400*
032500*
032600*
032700     MOVE 'DBA NAME'             TO WS-PL02-LIT-1.
032800     MOVE MWRF-O87-MERCH-DBA-NAME
032900                                 TO WS-PL02-NAME.
033000     MOVE 'EXPENSE TABLE'        TO WS-PL02-LIT-2.
033100     MOVE MTRF-O87-EXPENSE-TABLE TO WS-PL02-TABLE.
033200     MOVE 'DATE LAST STATEMENT'  TO WS-PL02-DATE-LIT.
033300     MOVE MTRF-O87-LAST-STMT     TO SS01WS-JULIAN.
033400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
033500     MOVE SS01WS-XX-XX-YYYY      TO WS-PL02-DATE.
033600*
033700     PERFORM MB22PD-PRINT-1-LINE
033800        THRU MB22PD-P1L-EXIT.
033900*
034000*
034100*
034200     MOVE 'ADDRESS 1'            TO WS-PL02-LIT-1.
034300     MOVE MWRF-O87-MERCH-ADDR1   TO WS-PL02-NAME.
034400     MOVE 'DATE LAST VISIT'      TO WS-PL02-DATE-LIT.
034500     MOVE MTRF-O87-LAST-VISIT    TO SS01WS-JULIAN.
034600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
034700     MOVE SS01WS-XX-XX-YYYY      TO WS-PL02-DATE.
034800*
034900     PERFORM MB22PD-PRINT-1-LINE
035000        THRU MB22PD-P1L-EXIT.
035100*
035200*
035300*
035400     MOVE 'ADDRESS 2'            TO WS-PL02-LIT-1.
035500     MOVE MWRF-O87-MERCH-ADDR2   TO WS-PL02-NAME.
035600     MOVE 'DISC FREQUENCY'       TO WS-PL02-LIT-2.
035700     MOVE MTRF-DISC-FREQ-1       TO WS-PL02-FREQ-1.
035800     MOVE MTRF-DISC-FREQ-2       TO WS-PL02-FREQ-2.
035900     MOVE 'DATE NEXT VISIT'      TO WS-PL02-DATE-LIT.
036000     MOVE MTRF-O87-NEXT-VISIT    TO SS01WS-JULIAN.
036100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
036200     MOVE SS01WS-XX-XX-YYYY      TO WS-PL02-DATE.
036300*
036400     PERFORM MB22PD-PRINT-1-LINE
036500        THRU MB22PD-P1L-EXIT.
036600*
036700*
036800*
036900     MOVE 'ADDRESS 3'            TO WS-PL02-LIT-1.
037000     MOVE MWRF-O87-MERCH-ADDR3   TO WS-PL02-NAME.
037100     MOVE 'PART FREQUENCY'       TO WS-PL02-LIT-2.
037200     MOVE MTRF-PART-FREQ-1       TO WS-PL02-FREQ-1.
037300     MOVE MTRF-PART-FREQ-2       TO WS-PL02-FREQ-2.
037400     MOVE 'DATE LAST REVIEW'     TO WS-PL02-DATE-LIT.
037500     MOVE MTRF-O87-LAST-REVIEW   TO SS01WS-JULIAN.
037600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
037700     MOVE SS01WS-XX-XX-YYYY      TO WS-PL02-DATE.
037800*
037900     PERFORM MB22PD-PRINT-1-LINE
038000        THRU MB22PD-P1L-EXIT.
038100*
038200*
038300*
038400     MOVE 'ADDRESS 4'            TO WS-PL02-LIT-1.
038500     MOVE MWRF-O87-MERCH-ADDR4   TO WS-PL02-NAME.
038600     MOVE 'SETT FREQUENCY'       TO WS-PL02-LIT-2.
038700     MOVE MTRF-SETT-FREQ-1       TO WS-PL02-FREQ-1.
038800     MOVE MTRF-SETT-FREQ-2       TO WS-PL02-FREQ-2.
038900     MOVE 'DATE NEXT REVIEW'     TO WS-PL02-DATE-LIT.
039000     MOVE MTRF-O87-NEXT-REVIEW   TO SS01WS-JULIAN.
039100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
039200     MOVE SS01WS-XX-XX-YYYY      TO WS-PL02-DATE.
039300*
039400     PERFORM MB22PD-PRINT-1-LINE
039500        THRU MB22PD-P1L-EXIT.
039600*
039700*
039800*
039900     MOVE 'STMT FREQUENCY'       TO WS-PL02-LIT-2.
040000     MOVE MTRF-STMT-FREQ-1       TO WS-PL02-FREQ-1.
040100     MOVE MTRF-STMT-FREQ-2       TO WS-PL02-FREQ-2.
040200     MOVE 'DATE OPENED'          TO WS-PL02-DATE-LIT.
040300     MOVE MTRF-O87-DATE-OPENED   TO SS01WS-JULIAN.
040400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
040500     MOVE SS01WS-XX-XX-YYYY      TO WS-PL02-DATE.
040600*
040700     PERFORM MB22PD-PRINT-1-LINE
040800        THRU MB22PD-P1L-EXIT.
040900*
041000*
041100*
041200     MOVE 'PHONE:'               TO WS-PL02-LIT-1.
041300     MOVE MWRF-O87-MERCH-PHONE   TO WS-PL02-NAME.
041400     MOVE 'AGENT BANK'           TO WS-PL02-LIT-2.
041500     MOVE MTRF-O87-AGENT-BANK    TO WS-PL02-AGENT.
041600     MOVE 'DATE FIRST ACTIVE'    TO WS-PL02-DATE-LIT.
041700     MOVE MTRF-O87-FIRST-ACTIVE  TO SS01WS-JULIAN.
041800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
041900     MOVE SS01WS-XX-XX-YYYY      TO WS-PL02-DATE.
042000*
042100     PERFORM MB22PD-PRINT-1-LINE
042200        THRU MB22PD-P1L-EXIT.
042300*
042400*
042500*
042600     MOVE 'FAX:'                 TO WS-PL02-LIT-1.
042700     MOVE MWRF-O87-MERCH-FAX     TO WS-PL02-NAME.
042800     MOVE 'BRANCH'               TO WS-PL02-LIT-2.
042900     MOVE MTRF-O87-BRANCH        TO WS-PL02-TABLE.
043000     MOVE 'DATE LAST ACTIVE'     TO WS-PL02-DATE-LIT.
043100     MOVE MTRF-O87-LAST-ACTIVE   TO SS01WS-JULIAN.
043200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
043300     MOVE SS01WS-XX-XX-YYYY      TO WS-PL02-DATE.
043400*
043500     PERFORM MB22PD-PRINT-1-LINE
043600        THRU MB22PD-P1L-EXIT.
043700*
043800     PERFORM MB22PD-PRINT-1-LINE
043900        THRU MB22PD-P1L-EXIT.
044000*
044100     PERFORM MB22PD-PRINT-1-LINE
044200        THRU MB22PD-P1L-EXIT.
044300*
044400 D299-SD-EXIT.
044500     EXIT.
044600/
044700 D300-MERCH-FEE-DATA SECTION.
044800 D301-MFD-BEGIN.
044900*
045000     EVALUATE TRUE
045100         WHEN MTRF-K2-O87-MERCH-FEES-H
045200             PERFORM I000-MERCH-FEE-HEADER
045300                THRU I099-MFH-EXIT
045400         WHEN MTRF-K2-O87-MERCH-FEES-D
045500             PERFORM I100-MERCH-FEE-DETAIL
045600                THRU I199-MFD-EXIT
045700         WHEN MTRF-K2-O87-MERCH-FEES-T
045800             PERFORM I800-MERCH-FEE-TOTALS
045900                THRU I899-MFT-EXIT
046000     END-EVALUATE.
046100*
046200 D399-MFD-EXIT.
046300     EXIT.
046400/
046500 D400-PROD-FEE-DATA SECTION.
046600 D401-PFD-BEGIN.
046700*
046800     EVALUATE TRUE
046900         WHEN MTRF-K2-O87-PROD-FEES-H
047000             PERFORM J000-PROD-FEE-HEADER
047100                THRU J099-PFH-EXIT
047200         WHEN MTRF-K2-O87-PROD-FEES-D
047300             PERFORM J100-PROD-FEE-DETAIL
047400                THRU J199-PFD-EXIT
047500         WHEN MTRF-K2-O87-PROD-FEES-QL
047600             PERFORM J200-PROD-FEE-QUAL-LEVEL
047700                THRU J299-PFQL-EXIT
047800         WHEN MTRF-K2-O87-PROD-FEES-T
047900             PERFORM J800-PROD-FEE-TOTALS
048000                THRU J899-PFT-EXIT
048100     END-EVALUATE.
048200*
048300 D499-PFD-EXIT.
048400     EXIT.
048500/
048600 D800-PROD-SUMMARY SECTION.
048700 D801-PS-BEGIN.
048800*
048900     EVALUATE TRUE
049000         WHEN MTRF-K2-O87-PROD-SUMM-H
049100             PERFORM G000-PROD-SUMM-HEADER
049200                THRU G099-PSH-EXIT
049300         WHEN MTRF-K2-O87-PROD-SUMM-N-A
049400             PERFORM G300-PROD-SUMM-NBRS-AMTS
049500                THRU G399-PSNA-EXIT
049600         WHEN MTRF-K2-O87-PROD-SUMM-D-P
049700             PERFORM G400-PROD-SUMM-DISC-PART
049800                THRU G499-PSDP-EXIT
049900         WHEN MTRF-K2-O87-PROD-SUMM-T
050000             PERFORM G900-PROD-SUMM-TOTALS
050100                THRU G999-PST-EXIT
050200     END-EVALUATE.
050300*
050400 D899-PS-EXIT.
050500     EXIT.
050600/
050700 D900-MERCH-SUMMARY SECTION.
050800 D901-MS-BEGIN.
050900*
051000     EVALUATE TRUE
051100         WHEN MTRF-K2-O87-MERCH-SUMM-H
051200             PERFORM L000-MERCH-SUMM-HEADER
051300                THRU L099-MSH-EXIT
051400         WHEN MTRF-K2-O87-MERCH-SUMM-N-A
051500             PERFORM L300-MERCH-SUMM-NBRS-AMTS
051600                THRU L399-MSNA-EXIT
051700         WHEN MTRF-K2-O87-MERCH-SUMM-D-P
051800             PERFORM L400-MERCH-SUMM-DISC-PART
051900                THRU L499-MSDP-EXIT
052000         WHEN MTRF-K2-O87-MERCH-SUMM-T
052100             PERFORM L900-MERCH-SUMM-TOTALS
052200                THRU L999-MST-EXIT
052300     END-EVALUATE.
052400*
052500 D999-MS-EXIT.
052600     EXIT.
052700/
052800 H000-HEADER-RECORD SECTION.
052900 H010-HR-BEGIN.
053000*
053100     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
053200     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
053300     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
053400     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
053500     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
053600     MOVE 'O87'                  TO MB20WS-SH-INTERNAL-RPT-ID.
053700     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
053800     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
053900     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
054000     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
054100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
054200        THRU SS26PD-NED-EXIT.
054300     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
054400     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
054500     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
054600*
054700     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
054800     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
054900     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
055000     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
055100     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
055200     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
055300     SET SS95WS-FUNCTION-INITIALIZE
055400                                 TO TRUE.
055500     PERFORM SS95PD-NAP-ROUTINE
055600        THRU SS95PD-NAP-EXIT.
055700*
055800     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
055900     MOVE 'N'                    TO WS-D72087-ACTIVITY-SW.
056000     MOVE MTRF-RECORD            TO MTR9-RECORD.
056100     INITIALIZE                     WS-D720-ORG-TOTALS.
056200*
056300 H099-HR-EXIT.
056400     EXIT.
056500/
056600 I000-MERCH-FEE-HEADER SECTION.
056700 I001-MFH-BEGIN.
056800*
056900     MOVE 6                      TO WS-D720-LINE-CHECK.
057000     PERFORM 9100-CHECK-NBR-LINES
057100        THRU 9199-CNL-EXIT.
057200*
057300     MOVE '*** MERCHANT LEVEL INCOME TO EXPENSE'
057400                                 TO MB20WS-PRINT-LINE.
057500     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
057600*
057700     EVALUATE TRUE
057800         WHEN MTRF-K1-DETAIL
057900             PERFORM MB22PD-PRINT-1-LINE
058000                THRU MB22PD-P1L-EXIT
058100             MOVE WS-D720-SAVE-HEADING
058200                                 TO MB20WS-SH-L7
058300         WHEN OTHER
058400             MOVE SPACES         TO MB20WS-PRINT-LINE
058500     END-EVALUATE.
058600*
058700*
058800*
058900     MOVE 'L/M FEE DESCRIPTION   *INCOME NBR* *EXPENSE '
059000                                 TO MB20WS-PRINT-LINE (1:44).
059100     MOVE 'NBR*    *---INCOME AMOUNT---*  *---EXPENSE A'
059200                                 TO MB20WS-PRINT-LINE (45:44).
059300     MOVE 'MOUNT--* *----PROFIT AMOUNT AND PERCENT----*'
059400                                 TO MB20WS-PRINT-LINE (89:44).
059500     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
059600*
059700     EVALUATE TRUE
059800         WHEN MTRF-K1-DETAIL
059900             PERFORM MB22PD-PRINT-1-LINE
060000                THRU MB22PD-P1L-EXIT
060100             MOVE WS-D720-SAVE-HEADING
060200                                 TO MB20WS-SH-L8
060300         WHEN OTHER
060400             MOVE SPACES         TO MB20WS-PRINT-LINE
060500     END-EVALUATE.
060600*
060700 I099-MFH-EXIT.
060800     EXIT.
060900/
061000 I100-MERCH-FEE-DETAIL SECTION.
061100 I101-MFD-BEGIN.
061200*
061300     MOVE MTRF-O87-D-LM          TO WS-PL04-LM.
061400     MOVE MTRF-O87-D-LM-DESC     TO WS-PL04-DESC.
061500*
061600     MOVE MTRF-O87-D-INC-NBR     TO SS95WS-IN-NBR.
061700     PERFORM SS95PD-NAP-ROUTINE
061800        THRU SS95PD-NAP-EXIT.
061900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-1.
062000*
062100     MOVE MTRF-O87-D-EXP-NBR     TO SS95WS-IN-NBR.
062200     PERFORM SS95PD-NAP-ROUTINE
062300        THRU SS95PD-NAP-EXIT.
062400     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-2.
062500*
062600     MOVE MTRF-O87-D-INC-AMT     TO SS95WS-IN-AMT.
062700     PERFORM SS95PD-NAP-ROUTINE
062800        THRU SS95PD-NAP-EXIT.
062900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-1.
063000*
063100     MOVE MTRF-O87-D-EXP-AMT     TO SS95WS-IN-AMT.
063200     PERFORM SS95PD-NAP-ROUTINE
063300        THRU SS95PD-NAP-EXIT.
063400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-2.
063500*
063600     MOVE MTRF-O87-D-DIF-AMT     TO SS95WS-IN-AMT.
063700     PERFORM SS95PD-NAP-ROUTINE
063800        THRU SS95PD-NAP-EXIT.
063900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-3.
064000*
064100     COMPUTE SS95WS-IN-PCT-V91   =  MTRF-O87-D-DIF-PCT * 100.
064200     MOVE 1                      TO SS95WS-IN-PCT-NOD.
064300     PERFORM SS95PD-NAP-ROUTINE
064400        THRU SS95PD-NAP-EXIT.
064500*
064600     EVALUATE TRUE
064700         WHEN SS95WS-IN-PCT-V91 IS GREATER THAN 1000000.0
064800             MOVE '> 1000000.0%' TO WS-PL04-PCT
064900         WHEN SS95WS-IN-PCT-V91 IS LESS THAN   -1000000.0
065000             MOVE '< 1000000.0%' TO WS-PL04-PCT
065100         WHEN OTHER
065200             MOVE SS95WS-OUT-PCT-L10
065300                                 TO WS-PL04-PCT
065400             INSPECT WS-PL04-PCT (10:2)
065500                                 REPLACING FIRST SPACE BY '%'
065600     END-EVALUATE.
065700*
065800     EVALUATE TRUE
065900         WHEN MTRF-K1-DETAIL
066000             PERFORM MB22PD-PRINT-1-LINE
066100                THRU MB22PD-P1L-EXIT
066200         WHEN OTHER
066300             MOVE SPACES         TO MB20WS-PRINT-LINE
066400     END-EVALUATE.
066500*
066600 I199-MFD-EXIT.
066700     EXIT.
066800/
066900 I800-MERCH-FEE-TOTALS SECTION.
067000 I801-MFT-BEGIN.
067100*
067200     MOVE 3                      TO WS-D720-LINE-CHECK.
067300     PERFORM 9100-CHECK-NBR-LINES
067400        THRU 9199-CNL-EXIT.
067500*
067600     MOVE 'MERCHANT LEVEL TOTAL' TO MB20WS-PRINT-LINE.
067700*
067800     MOVE MTRF-O87-FT-INC-NBR    TO SS95WS-IN-NBR.
067900     PERFORM SS95PD-NAP-ROUTINE
068000        THRU SS95PD-NAP-EXIT.
068100     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-1.
068200*
068300     MOVE MTRF-O87-FT-EXP-NBR    TO SS95WS-IN-NBR.
068400     PERFORM SS95PD-NAP-ROUTINE
068500        THRU SS95PD-NAP-EXIT.
068600     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-2.
068700*
068800     MOVE MTRF-O87-FT-INC-AMT    TO SS95WS-IN-AMT.
068900     PERFORM SS95PD-NAP-ROUTINE
069000        THRU SS95PD-NAP-EXIT.
069100     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-1.
069200*
069300     MOVE MTRF-O87-FT-EXP-AMT    TO SS95WS-IN-AMT.
069400     PERFORM SS95PD-NAP-ROUTINE
069500        THRU SS95PD-NAP-EXIT.
069600     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-2.
069700*
069800     MOVE MTRF-O87-FT-DIF-AMT    TO SS95WS-IN-AMT.
069900     PERFORM SS95PD-NAP-ROUTINE
070000        THRU SS95PD-NAP-EXIT.
070100     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-3.
070200*
070300     COMPUTE SS95WS-IN-PCT-V91   =  MTRF-O87-FT-DIF-PCT * 100.
070400     MOVE 1                      TO SS95WS-IN-PCT-NOD.
070500     PERFORM SS95PD-NAP-ROUTINE
070600        THRU SS95PD-NAP-EXIT.
070700*
070800     EVALUATE TRUE
070900         WHEN SS95WS-IN-PCT-V91 IS GREATER THAN 1000000.0
071000             MOVE '> 1000000.0%' TO WS-PL04-PCT
071100         WHEN SS95WS-IN-PCT-V91 IS LESS THAN   -1000000.0
071200             MOVE '< 1000000.0%' TO WS-PL04-PCT
071300         WHEN OTHER
071400             MOVE SS95WS-OUT-PCT-L10
071500                                 TO WS-PL04-PCT
071600             INSPECT WS-PL04-PCT (10:2)
071700                                 REPLACING FIRST SPACE BY '%'
071800     END-EVALUATE.
071900*
072000     EVALUATE TRUE
072100         WHEN MTRF-K1-DETAIL
072200             PERFORM MB22PD-PRINT-1-LINE
072300                THRU MB22PD-P1L-EXIT
072400         WHEN OTHER
072500             MOVE SPACES         TO MB20WS-PRINT-LINE
072600     END-EVALUATE.
072700*
072800*
072900*
073000     MOVE 'ADJUSTMENTS'          TO MB20WS-PRINT-LINE.
073100*
073200     MOVE MTRF-O87-FT-INC-NBR-ADJ
073300                                 TO SS95WS-IN-NBR.
073400     PERFORM SS95PD-NAP-ROUTINE
073500        THRU SS95PD-NAP-EXIT.
073600     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-1.
073700*
073800     MOVE MTRF-O87-FT-INC-AMT-ADJ
073900                                 TO SS95WS-IN-AMT.
074000     PERFORM SS95PD-NAP-ROUTINE
074100        THRU SS95PD-NAP-EXIT.
074200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-1.
074300*
074400     EVALUATE TRUE
074500         WHEN MTRF-K1-DETAIL
074600             PERFORM MB22PD-PRINT-1-LINE
074700                THRU MB22PD-P1L-EXIT
074800         WHEN OTHER
074900             MOVE SPACES         TO MB20WS-PRINT-LINE
075000     END-EVALUATE.
075100*
075200*
075300*
075400     MOVE 'NET'                  TO MB20WS-PRINT-LINE.
075500*
075600     MOVE MTRF-O87-FT-INC-NBR-NET
075700                                 TO SS95WS-IN-NBR.
075800     PERFORM SS95PD-NAP-ROUTINE
075900        THRU SS95PD-NAP-EXIT.
076000     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-1.
076100*
076200     MOVE MTRF-O87-FT-EXP-NBR-NET
076300                                 TO SS95WS-IN-NBR.
076400     PERFORM SS95PD-NAP-ROUTINE
076500        THRU SS95PD-NAP-EXIT.
076600     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-2.
076700*
076800     MOVE MTRF-O87-FT-INC-AMT-NET
076900                                 TO SS95WS-IN-AMT.
077000     PERFORM SS95PD-NAP-ROUTINE
077100        THRU SS95PD-NAP-EXIT.
077200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-1.
077300*
077400     MOVE MTRF-O87-FT-EXP-AMT-NET
077500                                 TO SS95WS-IN-AMT.
077600     PERFORM SS95PD-NAP-ROUTINE
077700        THRU SS95PD-NAP-EXIT.
077800     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-2.
077900*
078000     MOVE MTRF-O87-FT-DIF-AMT-NET
078100                                 TO SS95WS-IN-AMT.
078200     PERFORM SS95PD-NAP-ROUTINE
078300        THRU SS95PD-NAP-EXIT.
078400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-3.
078500*
078600     COMPUTE SS95WS-IN-PCT-V91   =  MTRF-O87-FT-DIF-PCT-NET * 100.
078700     MOVE 1                      TO SS95WS-IN-PCT-NOD.
078800     PERFORM SS95PD-NAP-ROUTINE
078900        THRU SS95PD-NAP-EXIT.
079000*
079100     EVALUATE TRUE
079200         WHEN SS95WS-IN-PCT-V91 IS GREATER THAN 1000000.0
079300             MOVE '> 1000000.0%' TO WS-PL04-PCT
079400         WHEN SS95WS-IN-PCT-V91 IS LESS THAN   -1000000.0
079500             MOVE '< 1000000.0%' TO WS-PL04-PCT
079600         WHEN OTHER
079700             MOVE SS95WS-OUT-PCT-L10
079800                                 TO WS-PL04-PCT
079900             INSPECT WS-PL04-PCT (10:2)
080000                                 REPLACING FIRST SPACE BY '%'
080100     END-EVALUATE.
080200*
080300     EVALUATE TRUE
080400         WHEN MTRF-K1-DETAIL
080500             PERFORM MB22PD-PRINT-3-LINES
080600                THRU MB22PD-P3L-EXIT
080700         WHEN OTHER
080800             MOVE SPACES         TO MB20WS-PRINT-LINE
080900     END-EVALUATE.
081000*
081100     MOVE SPACES                 TO MB20WS-SH-L7.
081200     MOVE SPACES                 TO MB20WS-SH-L8.
081300*
081400 I899-MFT-EXIT.
081500     EXIT.
081600/
081700 J000-PROD-FEE-HEADER SECTION.
081800 J001-PFH-BEGIN.
081900*
082000     MOVE 6                      TO WS-D720-LINE-CHECK.
082100     PERFORM 9100-CHECK-NBR-LINES
082200        THRU 9199-CNL-EXIT.
082300*
082400     MOVE '*** PRODUCT INCOME TO EXPENSE'
082500                                 TO MB20WS-PRINT-LINE.
082600     MOVE 'PRODUCT'              TO WS-PL03-PROD-LIT.
082700     MOVE MTRF-K2-O87-PRODUCT    TO WS-PL03-PRODUCT.
082800     MOVE '-'                    TO WS-PL03-DASH.
082900     MOVE MTRF-O87-H-PROD-DESC   TO WS-PL03-PROD-DESC.
083000     MOVE 'FEE BASE SALES FLAG -'
083100                                 TO WS-PL03-FEE-BASE-LIT.
083200     MOVE MTRF-O87-H-FEE-BASE    TO WS-PL03-FEE-BASE.
083300*
083400     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
083500*
083600     EVALUATE TRUE
083700         WHEN MTRF-K1-DETAIL
083800             PERFORM MB22PD-PRINT-1-LINE
083900                THRU MB22PD-P1L-EXIT
084000             MOVE WS-D720-SAVE-HEADING
084100                                 TO MB20WS-SH-L7
084200         WHEN OTHER
084300             MOVE SPACES         TO MB20WS-PRINT-LINE
084400     END-EVALUATE.
084500*
084600*
084700*
084800     MOVE 'L/M FEE DESCRIPTION   *INCOME NBR* *EXPENSE '
084900                                 TO MB20WS-PRINT-LINE (1:44).
085000     MOVE 'NBR*    *---INCOME AMOUNT---*  *---EXPENSE A'
085100                                 TO MB20WS-PRINT-LINE (45:44).
085200     MOVE 'MOUNT--* *----PROFIT AMOUNT AND PERCENT----*'
085300                                 TO MB20WS-PRINT-LINE (89:44).
085400     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
085500*
085600     EVALUATE TRUE
085700         WHEN MTRF-K1-DETAIL
085800             PERFORM MB22PD-PRINT-1-LINE
085900                THRU MB22PD-P1L-EXIT
086000             MOVE WS-D720-SAVE-HEADING
086100                                 TO MB20WS-SH-L8
086200         WHEN OTHER
086300             MOVE SPACES         TO MB20WS-PRINT-LINE
086400     END-EVALUATE.
086500*
086600 J099-PFH-EXIT.
086700     EXIT.
086800/
086900 J100-PROD-FEE-DETAIL SECTION.
087000 J101-PFD-BEGIN.
087100*
087200     PERFORM I100-MERCH-FEE-DETAIL
087300        THRU I199-MFD-EXIT.
087400*
087500 J199-PFD-EXIT.
087600     EXIT.
087700*
087800*
087900*
088000 J200-PROD-FEE-QUAL-LEVEL SECTION.
088100 J201-PFQL-BEGIN.
088200*
088300     MOVE MTRF-O87-Q-LM          TO WS-PL04-LM.
088400*
088500     MOVE MTRF-O87-Q-QL          TO WS-PL04-QL.
088600     MOVE '-'                    TO WS-PL04-QL-DASH.
088700     MOVE MTRF-O87-Q-QL-DESC     TO WS-PL04-QL-DESC.
088800*
088900     MOVE MTRF-O87-Q-INC-NBR     TO SS95WS-IN-NBR.
089000     PERFORM SS95PD-NAP-ROUTINE
089100        THRU SS95PD-NAP-EXIT.
089200     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-1.
089300*
089400     MOVE MTRF-O87-Q-EXP-NBR     TO SS95WS-IN-NBR.
089500     PERFORM SS95PD-NAP-ROUTINE
089600        THRU SS95PD-NAP-EXIT.
089700     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-2.
089800*
089900     MOVE MTRF-O87-Q-INC-AMT     TO SS95WS-IN-AMT.
090000     PERFORM SS95PD-NAP-ROUTINE
090100        THRU SS95PD-NAP-EXIT.
090200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-1.
090300*
090400     MOVE MTRF-O87-Q-EXP-AMT     TO SS95WS-IN-AMT.
090500     PERFORM SS95PD-NAP-ROUTINE
090600        THRU SS95PD-NAP-EXIT.
090700     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-2.
090800*
090900     MOVE MTRF-O87-Q-DIF-AMT     TO SS95WS-IN-AMT.
091000     PERFORM SS95PD-NAP-ROUTINE
091100        THRU SS95PD-NAP-EXIT.
091200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-3.
091300*
091400     COMPUTE SS95WS-IN-PCT-V91   =  MTRF-O87-Q-DIF-PCT * 100.
091500     MOVE 1                      TO SS95WS-IN-PCT-NOD.
091600     PERFORM SS95PD-NAP-ROUTINE
091700        THRU SS95PD-NAP-EXIT.
091800*
091900     EVALUATE TRUE
092000         WHEN SS95WS-IN-PCT-V91 IS GREATER THAN 1000000.0
092100             MOVE '> 1000000.0%' TO WS-PL04-PCT
092200         WHEN SS95WS-IN-PCT-V91 IS LESS THAN   -1000000.0
092300             MOVE '< 1000000.0%' TO WS-PL04-PCT
092400         WHEN OTHER
092500             MOVE SS95WS-OUT-PCT-L10
092600                                 TO WS-PL04-PCT
092700             INSPECT WS-PL04-PCT (10:2)
092800                                 REPLACING FIRST SPACE BY '%'
092900     END-EVALUATE.
093000*
093100     EVALUATE TRUE
093200         WHEN MTRF-K1-DETAIL
093300             PERFORM MB22PD-PRINT-1-LINE
093400                THRU MB22PD-P1L-EXIT
093500         WHEN OTHER
093600             MOVE SPACES         TO MB20WS-PRINT-LINE
093700     END-EVALUATE.
093800*
093900 J299-PFQL-EXIT.
094000     EXIT.
094100/
094200 J800-PROD-FEE-TOTALS SECTION.
094300 J801-PFT-BEGIN.
094400*
094500     MOVE 3                      TO WS-D720-LINE-CHECK.
094600     PERFORM 9100-CHECK-NBR-LINES
094700        THRU 9199-CNL-EXIT.
094800*
094900     MOVE 'PRODUCT LEVEL TOTAL'  TO MB20WS-PRINT-LINE.
095000*
095100     MOVE MTRF-O87-FT-INC-NBR    TO SS95WS-IN-NBR.
095200     PERFORM SS95PD-NAP-ROUTINE
095300        THRU SS95PD-NAP-EXIT.
095400     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-1.
095500*
095600     MOVE MTRF-O87-FT-EXP-NBR    TO SS95WS-IN-NBR.
095700     PERFORM SS95PD-NAP-ROUTINE
095800        THRU SS95PD-NAP-EXIT.
095900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-2.
096000*
096100     MOVE MTRF-O87-FT-INC-AMT    TO SS95WS-IN-AMT.
096200     PERFORM SS95PD-NAP-ROUTINE
096300        THRU SS95PD-NAP-EXIT.
096400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-1.
096500*
096600     MOVE MTRF-O87-FT-EXP-AMT    TO SS95WS-IN-AMT.
096700     PERFORM SS95PD-NAP-ROUTINE
096800        THRU SS95PD-NAP-EXIT.
096900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-2.
097000*
097100     MOVE MTRF-O87-FT-DIF-AMT    TO SS95WS-IN-AMT.
097200     PERFORM SS95PD-NAP-ROUTINE
097300        THRU SS95PD-NAP-EXIT.
097400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-3.
097500*
097600     COMPUTE SS95WS-IN-PCT-V91   =  MTRF-O87-FT-DIF-PCT * 100.
097700     MOVE 1                      TO SS95WS-IN-PCT-NOD.
097800     PERFORM SS95PD-NAP-ROUTINE
097900        THRU SS95PD-NAP-EXIT.
098000*
098100     EVALUATE TRUE
098200         WHEN SS95WS-IN-PCT-V91 IS GREATER THAN 1000000.0
098300             MOVE '> 1000000.0%' TO WS-PL04-PCT
098400         WHEN SS95WS-IN-PCT-V91 IS LESS THAN   -1000000.0
098500             MOVE '< 1000000.0%' TO WS-PL04-PCT
098600         WHEN OTHER
098700             MOVE SS95WS-OUT-PCT-L10
098800                                 TO WS-PL04-PCT
098900             INSPECT WS-PL04-PCT (10:2)
099000                                 REPLACING FIRST SPACE BY '%'
099100     END-EVALUATE.
099200*
099300     EVALUATE TRUE
099400         WHEN MTRF-K1-DETAIL
099500             PERFORM MB22PD-PRINT-1-LINE
099600                THRU MB22PD-P1L-EXIT
099700         WHEN OTHER
099800             MOVE SPACES         TO MB20WS-PRINT-LINE
099900     END-EVALUATE.
100000*
100100*
100200*
100300     MOVE 'ADJUSTMENTS'          TO MB20WS-PRINT-LINE.
100400*
100500     MOVE MTRF-O87-FT-INC-NBR-ADJ
100600                                 TO SS95WS-IN-NBR.
100700     PERFORM SS95PD-NAP-ROUTINE
100800        THRU SS95PD-NAP-EXIT.
100900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-1.
101000*
101100     MOVE MTRF-O87-FT-INC-AMT-ADJ
101200                                 TO SS95WS-IN-AMT.
101300     PERFORM SS95PD-NAP-ROUTINE
101400        THRU SS95PD-NAP-EXIT.
101500     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-1.
101600*
101700     EVALUATE TRUE
101800         WHEN MTRF-K1-DETAIL
101900             PERFORM MB22PD-PRINT-1-LINE
102000                THRU MB22PD-P1L-EXIT
102100         WHEN OTHER
102200             MOVE SPACES         TO MB20WS-PRINT-LINE
102300     END-EVALUATE.
102400*
102500*
102600*
102700     MOVE 'NET'                  TO MB20WS-PRINT-LINE.
102800*
102900     MOVE MTRF-O87-FT-INC-NBR-NET
103000                                 TO SS95WS-IN-NBR.
103100     PERFORM SS95PD-NAP-ROUTINE
103200        THRU SS95PD-NAP-EXIT.
103300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-1.
103400*
103500     MOVE MTRF-O87-FT-EXP-NBR-NET
103600                                 TO SS95WS-IN-NBR.
103700     PERFORM SS95PD-NAP-ROUTINE
103800        THRU SS95PD-NAP-EXIT.
103900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL04-NBR-2.
104000*
104100     MOVE MTRF-O87-FT-INC-AMT-NET
104200                                 TO SS95WS-IN-AMT.
104300     PERFORM SS95PD-NAP-ROUTINE
104400        THRU SS95PD-NAP-EXIT.
104500     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-1.
104600*
104700     MOVE MTRF-O87-FT-EXP-AMT-NET
104800                                 TO SS95WS-IN-AMT.
104900     PERFORM SS95PD-NAP-ROUTINE
105000        THRU SS95PD-NAP-EXIT.
105100     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-2.
105200*
105300     MOVE MTRF-O87-FT-DIF-AMT-NET
105400                                 TO SS95WS-IN-AMT.
105500     PERFORM SS95PD-NAP-ROUTINE
105600        THRU SS95PD-NAP-EXIT.
105700     MOVE SS95WS-OUT-AMT-L23     TO WS-PL04-AMT-3.
105800*
105900     COMPUTE SS95WS-IN-PCT-V91   =  MTRF-O87-FT-DIF-PCT-NET * 100.
106000     MOVE 1                      TO SS95WS-IN-PCT-NOD.
106100     PERFORM SS95PD-NAP-ROUTINE
106200        THRU SS95PD-NAP-EXIT.
106300*
106400     EVALUATE TRUE
106500         WHEN SS95WS-IN-PCT-V91 IS GREATER THAN 1000000.0
106600             MOVE '> 1000000.0%' TO WS-PL04-PCT
106700         WHEN SS95WS-IN-PCT-V91 IS LESS THAN   -1000000.0
106800             MOVE '< 1000000.0%' TO WS-PL04-PCT
106900         WHEN OTHER
107000             MOVE SS95WS-OUT-PCT-L10
107100                                 TO WS-PL04-PCT
107200             INSPECT WS-PL04-PCT (10:2)
107300                                 REPLACING FIRST SPACE BY '%'
107400     END-EVALUATE.
107500*
107600     EVALUATE TRUE
107700         WHEN MTRF-K1-DETAIL
107800             PERFORM MB22PD-PRINT-3-LINES
107900                THRU MB22PD-P3L-EXIT
108000         WHEN OTHER
108100             MOVE SPACES         TO MB20WS-PRINT-LINE
108200     END-EVALUATE.
108300*
108400     MOVE SPACES                 TO MB20WS-SH-L7.
108500     MOVE SPACES                 TO MB20WS-SH-L8.
108600*
108700 J899-PFT-EXIT.
108800     EXIT.
108900/
109000 G000-PROD-SUMM-HEADER SECTION.
109100 G001-PSH-BEGIN.
109200*
109300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
109400*
109500     MOVE ALL '*'                TO WS-PL05-LIT-1.
109600     MOVE 'P R O D U C T -'      TO WS-PL05-PROD-LIT.
109700     MOVE MTRF-K2-O87-PRODUCT    TO WS-PL05-PROD.
109800     MOVE MTRF-O87-H-PROD-DESC   TO WS-PL05-PROD-DESC.
109900     MOVE ALL '*'                TO WS-PL05-LIT-2.
110000*
110100     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
110200*
110300     EVALUATE TRUE
110400         WHEN MTRF-K1-DETAIL
110500             PERFORM MB22PD-PRINT-1-LINE
110600                THRU MB22PD-P1L-EXIT
110700             MOVE WS-D720-SAVE-HEADING
110800                                 TO MB20WS-SH-L7
110900         WHEN OTHER
111000             MOVE SPACES         TO MB20WS-PRINT-LINE
111100     END-EVALUATE.
111200*
111300*
111400*
111500     MOVE '----------NET----------'
111600                                 TO WS-PL06-AMT-1.
111700     MOVE ' --PCT--'             TO WS-PL06-PCT-1.
111800*
111900     MOVE '---------GROSS---------'
112000                                 TO WS-PL06-AMT-2.
112100     MOVE ' --PCT--'             TO WS-PL06-PCT-2.
112200*
112300     MOVE '--------VOLUME---------'
112400                                 TO WS-PL06-AMT-3.
112500     MOVE ' --PCT--'             TO WS-PL06-PCT-3.
112600*
112700     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
112800*
112900     EVALUATE TRUE
113000         WHEN MTRF-K1-DETAIL
113100             PERFORM MB22PD-PRINT-1-LINE
113200                THRU MB22PD-P1L-EXIT
113300             MOVE WS-D720-SAVE-HEADING
113400                                 TO MB20WS-SH-L8
113500         WHEN OTHER
113600             MOVE SPACES         TO MB20WS-PRINT-LINE
113700     END-EVALUATE.
113800*
113900*
114000*
114100 G099-PSH-EXIT.
114200     EXIT.
114300/
114400 G300-PROD-SUMM-NBRS-AMTS SECTION.
114500 G301-PSNA-BEGIN.
114600*
114700     MOVE 'MERCHANT SALES NUMBER'
114800                                 TO MB20WS-PRINT-LINE.
114900*
115000     EVALUATE TRUE
115100         WHEN MTRF-K1-DETAIL
115200             PERFORM MB22PD-PRINT-1-LINE
115300                THRU MB22PD-P1L-EXIT
115400         WHEN OTHER
115500             MOVE SPACES         TO MB20WS-PRINT-LINE
115600     END-EVALUATE.
115700*
115800*
115900*
116000     MOVE '  OUTGOING INTERCHANGE'
116100                                 TO MB20WS-PRINT-LINE.
116200*
116300     MOVE MTRF-O87-NA-NBR-NET (1)
116400                                 TO SS95WS-IN-NBR.
116500     PERFORM SS95PD-NAP-ROUTINE
116600        THRU SS95PD-NAP-EXIT.
116700     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-1.
116800*
116900     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-NBR-NET (1)
117000                                 *  100.
117100     MOVE 4                      TO SS95WS-IN-PCT-NOD.
117200     PERFORM SS95PD-NAP-ROUTINE
117300        THRU SS95PD-NAP-EXIT.
117400     MOVE SS95WS-OUT-PCT-L10 (2:9)
117500                                 TO WS-PL06-PCT-1.
117600     INSPECT WS-PL06-PCT-1 (9:1) REPLACING ALL SPACE BY '%'.
117700*
117800     MOVE MTRF-O87-NA-NBR-GROSS (1)
117900                                 TO SS95WS-IN-NBR.
118000     PERFORM SS95PD-NAP-ROUTINE
118100        THRU SS95PD-NAP-EXIT.
118200     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-2.
118300*
118400     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-NBR-GROSS (1)
118500                                 *  100.
118600     MOVE 4                      TO SS95WS-IN-PCT-NOD.
118700     PERFORM SS95PD-NAP-ROUTINE
118800        THRU SS95PD-NAP-EXIT.
118900     MOVE SS95WS-OUT-PCT-L10 (2:9)
119000                                 TO WS-PL06-PCT-2.
119100     INSPECT WS-PL06-PCT-2 (9:1) REPLACING ALL SPACE BY '%'.
119200*
119300     MOVE MTRF-O87-NA-NBR-VOL (1)
119400                                 TO SS95WS-IN-NBR.
119500     PERFORM SS95PD-NAP-ROUTINE
119600        THRU SS95PD-NAP-EXIT.
119700     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-3.
119800*
119900     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-NBR-VOL (1)
120000                                 *  100.
120100     MOVE 4                      TO SS95WS-IN-PCT-NOD.
120200     PERFORM SS95PD-NAP-ROUTINE
120300        THRU SS95PD-NAP-EXIT.
120400     MOVE SS95WS-OUT-PCT-L10 (2:9)
120500                                 TO WS-PL06-PCT-3.
120600     INSPECT WS-PL06-PCT-3 (9:1) REPLACING ALL SPACE BY '%'.
120700*
120800     EVALUATE TRUE
120900         WHEN MTRF-K1-DETAIL
121000             PERFORM MB22PD-PRINT-1-LINE
121100                THRU MB22PD-P1L-EXIT
121200         WHEN OTHER
121300             MOVE SPACES         TO MB20WS-PRINT-LINE
121400     END-EVALUATE.
121500*
121600*
121700*
121800     MOVE '  INTRACHANGE'        TO MB20WS-PRINT-LINE.
121900*
122000     MOVE MTRF-O87-NA-NBR-NET (2)
122100                                 TO SS95WS-IN-NBR.
122200     PERFORM SS95PD-NAP-ROUTINE
122300        THRU SS95PD-NAP-EXIT.
122400     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-1.
122500*
122600     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-NBR-NET (2)
122700                                 *  100.
122800     MOVE 4                      TO SS95WS-IN-PCT-NOD.
122900     PERFORM SS95PD-NAP-ROUTINE
123000        THRU SS95PD-NAP-EXIT.
123100     MOVE SS95WS-OUT-PCT-L10 (2:9)
123200                                 TO WS-PL06-PCT-1.
123300     INSPECT WS-PL06-PCT-1 (9:1) REPLACING ALL SPACE BY '%'.
123400*
123500     MOVE MTRF-O87-NA-NBR-GROSS (2)
123600                                 TO SS95WS-IN-NBR.
123700     PERFORM SS95PD-NAP-ROUTINE
123800        THRU SS95PD-NAP-EXIT.
123900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-2.
124000*
124100     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-NBR-GROSS (2)
124200                                 *  100.
124300     MOVE 4                      TO SS95WS-IN-PCT-NOD.
124400     PERFORM SS95PD-NAP-ROUTINE
124500        THRU SS95PD-NAP-EXIT.
124600     MOVE SS95WS-OUT-PCT-L10 (2:9)
124700                                 TO WS-PL06-PCT-2.
124800     INSPECT WS-PL06-PCT-2 (9:1) REPLACING ALL SPACE BY '%'.
124900*
125000     MOVE MTRF-O87-NA-NBR-VOL (2)
125100                                 TO SS95WS-IN-NBR.
125200     PERFORM SS95PD-NAP-ROUTINE
125300        THRU SS95PD-NAP-EXIT.
125400     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-3.
125500*
125600     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-NBR-VOL (2)
125700                                 *  100.
125800     MOVE 4                      TO SS95WS-IN-PCT-NOD.
125900     PERFORM SS95PD-NAP-ROUTINE
126000        THRU SS95PD-NAP-EXIT.
126100     MOVE SS95WS-OUT-PCT-L10 (2:9)
126200                                 TO WS-PL06-PCT-3.
126300     INSPECT WS-PL06-PCT-3 (9:1) REPLACING ALL SPACE BY '%'.
126400*
126500     EVALUATE TRUE
126600         WHEN MTRF-K1-DETAIL
126700             PERFORM MB22PD-PRINT-1-LINE
126800                THRU MB22PD-P1L-EXIT
126900         WHEN OTHER
127000             MOVE SPACES         TO MB20WS-PRINT-LINE
127100     END-EVALUATE.
127200*
127300*
127400*
127500     MOVE '  ON-US'              TO MB20WS-PRINT-LINE.
127600*
127700     MOVE MTRF-O87-NA-NBR-NET (3)
127800                                 TO SS95WS-IN-NBR.
127900     PERFORM SS95PD-NAP-ROUTINE
128000        THRU SS95PD-NAP-EXIT.
128100     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-1.
128200*
128300     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-NBR-NET (3)
128400                                 *  100.
128500     MOVE 4                      TO SS95WS-IN-PCT-NOD.
128600     PERFORM SS95PD-NAP-ROUTINE
128700        THRU SS95PD-NAP-EXIT.
128800     MOVE SS95WS-OUT-PCT-L10 (2:9)
128900                                 TO WS-PL06-PCT-1.
129000     INSPECT WS-PL06-PCT-1 (9:1) REPLACING ALL SPACE BY '%'.
129100*
129200     MOVE MTRF-O87-NA-NBR-GROSS (3)
129300                                 TO SS95WS-IN-NBR.
129400     PERFORM SS95PD-NAP-ROUTINE
129500        THRU SS95PD-NAP-EXIT.
129600     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-2.
129700*
129800     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-NBR-GROSS (3)
129900                                 *  100.
130000     MOVE 4                      TO SS95WS-IN-PCT-NOD.
130100     PERFORM SS95PD-NAP-ROUTINE
130200        THRU SS95PD-NAP-EXIT.
130300     MOVE SS95WS-OUT-PCT-L10 (2:9)
130400                                 TO WS-PL06-PCT-2.
130500     INSPECT WS-PL06-PCT-2 (9:1) REPLACING ALL SPACE BY '%'.
130600*
130700     MOVE MTRF-O87-NA-NBR-VOL (3)
130800                                 TO SS95WS-IN-NBR.
130900     PERFORM SS95PD-NAP-ROUTINE
131000        THRU SS95PD-NAP-EXIT.
131100     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-3.
131200*
131300     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-NBR-VOL (3)
131400                                 *  100.
131500     MOVE 4                      TO SS95WS-IN-PCT-NOD.
131600     PERFORM SS95PD-NAP-ROUTINE
131700        THRU SS95PD-NAP-EXIT.
131800     MOVE SS95WS-OUT-PCT-L10 (2:9)
131900                                 TO WS-PL06-PCT-3.
132000     INSPECT WS-PL06-PCT-3 (9:1) REPLACING ALL SPACE BY '%'.
132100*
132200     EVALUATE TRUE
132300         WHEN MTRF-K1-DETAIL
132400             PERFORM MB22PD-PRINT-1-LINE
132500                THRU MB22PD-P1L-EXIT
132600         WHEN OTHER
132700             MOVE SPACES         TO MB20WS-PRINT-LINE
132800     END-EVALUATE.
132900*
133000*
133100*
133200     MOVE '  TOTAL'              TO MB20WS-PRINT-LINE.
133300*
133400     MOVE MTRF-O87-NA-NBR-TOT-NET
133500                                 TO SS95WS-IN-NBR.
133600     PERFORM SS95PD-NAP-ROUTINE
133700        THRU SS95PD-NAP-EXIT.
133800     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-1.
133900*
134000     MOVE MTRF-O87-NA-NBR-TOT-GROSS
134100                                 TO SS95WS-IN-NBR.
134200     PERFORM SS95PD-NAP-ROUTINE
134300        THRU SS95PD-NAP-EXIT.
134400     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-2.
134500*
134600     MOVE MTRF-O87-NA-NBR-TOT-VOL
134700                                 TO SS95WS-IN-NBR.
134800     PERFORM SS95PD-NAP-ROUTINE
134900        THRU SS95PD-NAP-EXIT.
135000     MOVE SS95WS-OUT-NBR-L12     TO WS-PL06-NBR-3.
135100*
135200     EVALUATE TRUE
135300         WHEN MTRF-K1-DETAIL
135400             PERFORM MB22PD-PRINT-1-LINE
135500                THRU MB22PD-P1L-EXIT
135600         WHEN OTHER
135700             MOVE SPACES         TO MB20WS-PRINT-LINE
135800     END-EVALUATE.
135900*
136000*
136100*
136200     MOVE 'MERCHANT SALES AMOUNT'
136300                                 TO MB20WS-PRINT-LINE.
136400*
136500     EVALUATE TRUE
136600         WHEN MTRF-K1-DETAIL
136700             PERFORM MB22PD-PRINT-1-LINE
136800                THRU MB22PD-P1L-EXIT
136900         WHEN OTHER
137000             MOVE SPACES         TO MB20WS-PRINT-LINE
137100     END-EVALUATE.
137200*
137300*
137400*
137500     MOVE '  OUTGOING INTERCHANGE'
137600                                 TO MB20WS-PRINT-LINE.
137700*
137800     MOVE MTRF-O87-NA-AMT-NET (1)
137900                                 TO SS95WS-IN-AMT.
138000     PERFORM SS95PD-NAP-ROUTINE
138100        THRU SS95PD-NAP-EXIT.
138200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
138300*
138400     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-AMT-NET (1)
138500                                 *  100.
138600     MOVE 4                      TO SS95WS-IN-PCT-NOD.
138700     PERFORM SS95PD-NAP-ROUTINE
138800        THRU SS95PD-NAP-EXIT.
138900     MOVE SS95WS-OUT-PCT-L10 (2:9)
139000                                 TO WS-PL06-PCT-1.
139100     INSPECT WS-PL06-PCT-1 (9:1) REPLACING ALL SPACE BY '%'.
139200*
139300     MOVE MTRF-O87-NA-AMT-GROSS (1)
139400                                 TO SS95WS-IN-AMT.
139500     PERFORM SS95PD-NAP-ROUTINE
139600        THRU SS95PD-NAP-EXIT.
139700     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-2.
139800*
139900     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-AMT-GROSS (1)
140000                                 *  100.
140100     MOVE 4                      TO SS95WS-IN-PCT-NOD.
140200     PERFORM SS95PD-NAP-ROUTINE
140300        THRU SS95PD-NAP-EXIT.
140400     MOVE SS95WS-OUT-PCT-L10 (2:9)
140500                                 TO WS-PL06-PCT-2.
140600     INSPECT WS-PL06-PCT-2 (9:1) REPLACING ALL SPACE BY '%'.
140700*
140800     MOVE MTRF-O87-NA-AMT-VOL (1)
140900                                 TO SS95WS-IN-AMT.
141000     PERFORM SS95PD-NAP-ROUTINE
141100        THRU SS95PD-NAP-EXIT.
141200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-3.
141300*
141400     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-AMT-VOL (1)
141500                                 *  100.
141600     MOVE 4                      TO SS95WS-IN-PCT-NOD.
141700     PERFORM SS95PD-NAP-ROUTINE
141800        THRU SS95PD-NAP-EXIT.
141900     MOVE SS95WS-OUT-PCT-L10 (2:9)
142000                                 TO WS-PL06-PCT-3.
142100     INSPECT WS-PL06-PCT-3 (9:1) REPLACING ALL SPACE BY '%'.
142200*
142300     EVALUATE TRUE
142400         WHEN MTRF-K1-DETAIL
142500             PERFORM MB22PD-PRINT-1-LINE
142600                THRU MB22PD-P1L-EXIT
142700         WHEN OTHER
142800             MOVE SPACES         TO MB20WS-PRINT-LINE
142900     END-EVALUATE.
143000*
143100*
143200*
143300     MOVE '  INTRACHANGE'        TO MB20WS-PRINT-LINE.
143400*
143500     MOVE MTRF-O87-NA-AMT-NET (2)
143600                                 TO SS95WS-IN-AMT.
143700     PERFORM SS95PD-NAP-ROUTINE
143800        THRU SS95PD-NAP-EXIT.
143900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
144000*
144100     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-AMT-NET (2)
144200                                 *  100.
144300     MOVE 4                      TO SS95WS-IN-PCT-NOD.
144400     PERFORM SS95PD-NAP-ROUTINE
144500        THRU SS95PD-NAP-EXIT.
144600     MOVE SS95WS-OUT-PCT-L10 (2:9)
144700                                 TO WS-PL06-PCT-1.
144800     INSPECT WS-PL06-PCT-1 (9:1) REPLACING ALL SPACE BY '%'.
144900*
145000     MOVE MTRF-O87-NA-AMT-GROSS (2)
145100                                 TO SS95WS-IN-AMT.
145200     PERFORM SS95PD-NAP-ROUTINE
145300        THRU SS95PD-NAP-EXIT.
145400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-2.
145500*
145600     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-AMT-GROSS (2)
145700                                 *  100.
145800     MOVE 4                      TO SS95WS-IN-PCT-NOD.
145900     PERFORM SS95PD-NAP-ROUTINE
146000        THRU SS95PD-NAP-EXIT.
146100     MOVE SS95WS-OUT-PCT-L10 (2:9)
146200                                 TO WS-PL06-PCT-2.
146300     INSPECT WS-PL06-PCT-2 (9:1) REPLACING ALL SPACE BY '%'.
146400*
146500     MOVE MTRF-O87-NA-AMT-VOL (2)
146600                                 TO SS95WS-IN-AMT.
146700     PERFORM SS95PD-NAP-ROUTINE
146800        THRU SS95PD-NAP-EXIT.
146900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-3.
147000*
147100     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-AMT-VOL (2)
147200                                 *  100.
147300     MOVE 4                      TO SS95WS-IN-PCT-NOD.
147400     PERFORM SS95PD-NAP-ROUTINE
147500        THRU SS95PD-NAP-EXIT.
147600     MOVE SS95WS-OUT-PCT-L10 (2:9)
147700                                 TO WS-PL06-PCT-3.
147800     INSPECT WS-PL06-PCT-3 (9:1) REPLACING ALL SPACE BY '%'.
147900*
148000     EVALUATE TRUE
148100         WHEN MTRF-K1-DETAIL
148200             PERFORM MB22PD-PRINT-1-LINE
148300                THRU MB22PD-P1L-EXIT
148400         WHEN OTHER
148500             MOVE SPACES         TO MB20WS-PRINT-LINE
148600     END-EVALUATE.
148700*
148800*
148900*
149000     MOVE '  ON-US'              TO MB20WS-PRINT-LINE.
149100*
149200     MOVE MTRF-O87-NA-AMT-NET (3)
149300                                 TO SS95WS-IN-AMT.
149400     PERFORM SS95PD-NAP-ROUTINE
149500        THRU SS95PD-NAP-EXIT.
149600     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
149700*
149800     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-AMT-NET (3)
149900                                 *  100.
150000     MOVE 4                      TO SS95WS-IN-PCT-NOD.
150100     PERFORM SS95PD-NAP-ROUTINE
150200        THRU SS95PD-NAP-EXIT.
150300     MOVE SS95WS-OUT-PCT-L10 (2:9)
150400                                 TO WS-PL06-PCT-1.
150500     INSPECT WS-PL06-PCT-1 (9:1) REPLACING ALL SPACE BY '%'.
150600*
150700     MOVE MTRF-O87-NA-AMT-GROSS (3)
150800                                 TO SS95WS-IN-AMT.
150900     PERFORM SS95PD-NAP-ROUTINE
151000        THRU SS95PD-NAP-EXIT.
151100     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-2.
151200*
151300     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-AMT-GROSS (3)
151400                                 *  100.
151500     MOVE 4                      TO SS95WS-IN-PCT-NOD.
151600     PERFORM SS95PD-NAP-ROUTINE
151700        THRU SS95PD-NAP-EXIT.
151800     MOVE SS95WS-OUT-PCT-L10 (2:9)
151900                                 TO WS-PL06-PCT-2.
152000     INSPECT WS-PL06-PCT-2 (9:1) REPLACING ALL SPACE BY '%'.
152100*
152200     MOVE MTRF-O87-NA-AMT-VOL (3)
152300                                 TO SS95WS-IN-AMT.
152400     PERFORM SS95PD-NAP-ROUTINE
152500        THRU SS95PD-NAP-EXIT.
152600     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-3.
152700*
152800     COMPUTE SS95WS-IN-PCT-V94   =  MTRF-O87-NA-PCT-AMT-VOL (3)
152900                                 *  100.
153000     MOVE 4                      TO SS95WS-IN-PCT-NOD.
153100     PERFORM SS95PD-NAP-ROUTINE
153200        THRU SS95PD-NAP-EXIT.
153300     MOVE SS95WS-OUT-PCT-L10 (2:9)
153400                                 TO WS-PL06-PCT-3.
153500     INSPECT WS-PL06-PCT-3 (9:1) REPLACING ALL SPACE BY '%'.
153600*
153700     EVALUATE TRUE
153800         WHEN MTRF-K1-DETAIL
153900             PERFORM MB22PD-PRINT-1-LINE
154000                THRU MB22PD-P1L-EXIT
154100         WHEN OTHER
154200             MOVE SPACES         TO MB20WS-PRINT-LINE
154300     END-EVALUATE.
154400*
154500*
154600*
154700     MOVE '  TOTAL'              TO MB20WS-PRINT-LINE.
154800*
154900     MOVE MTRF-O87-NA-AMT-TOT-NET
155000                                 TO SS95WS-IN-AMT.
155100     PERFORM SS95PD-NAP-ROUTINE
155200        THRU SS95PD-NAP-EXIT.
155300     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
155400*
155500     MOVE MTRF-O87-NA-AMT-TOT-GROSS
155600                                 TO SS95WS-IN-AMT.
155700     PERFORM SS95PD-NAP-ROUTINE
155800        THRU SS95PD-NAP-EXIT.
155900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-2.
156000*
156100     MOVE MTRF-O87-NA-AMT-TOT-VOL
156200                                 TO SS95WS-IN-AMT.
156300     PERFORM SS95PD-NAP-ROUTINE
156400        THRU SS95PD-NAP-EXIT.
156500     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-3.
156600*
156700     EVALUATE TRUE
156800         WHEN MTRF-K1-DETAIL
156900             PERFORM MB22PD-PRINT-2-LINES
157000                THRU MB22PD-P2L-EXIT
157100         WHEN OTHER
157200             MOVE SPACES         TO MB20WS-PRINT-LINE
157300     END-EVALUATE.
157400*
157500*
157600*
157700     MOVE 'AVERAGE TICKET'       TO MB20WS-PRINT-LINE.
157800*
157900     MOVE MTRF-O87-NA-AVG-TKT-NET
158000                                 TO SS95WS-IN-AMT.
158100     PERFORM SS95PD-NAP-ROUTINE
158200        THRU SS95PD-NAP-EXIT.
158300     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
158400*
158500     MOVE MTRF-O87-NA-AVG-TKT-GROSS
158600                                 TO SS95WS-IN-AMT.
158700     PERFORM SS95PD-NAP-ROUTINE
158800        THRU SS95PD-NAP-EXIT.
158900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-2.
159000*
159100     MOVE MTRF-O87-NA-AVG-TKT-VOL
159200                                 TO SS95WS-IN-AMT.
159300     PERFORM SS95PD-NAP-ROUTINE
159400        THRU SS95PD-NAP-EXIT.
159500     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-3.
159600*
159700     EVALUATE TRUE
159800         WHEN MTRF-K1-DETAIL
159900             PERFORM MB22PD-PRINT-3-LINES
160000                THRU MB22PD-P3L-EXIT
160100         WHEN OTHER
160200             MOVE SPACES         TO MB20WS-PRINT-LINE
160300     END-EVALUATE.
160400*
160500 G399-PSNA-EXIT.
160600     EXIT.
160700/
160800 G400-PROD-SUMM-DISC-PART SECTION.
160900 G401-PSDP-BEGIN.
161000*
161100     MOVE 'DISCOUNT (DISCOUNT LESS REFUND)'
161200                                 TO MB20WS-PRINT-LINE.
161300*
161400     MOVE MTRF-O87-DP-AMT (1)    TO SS95WS-IN-AMT.
161500     PERFORM SS95PD-NAP-ROUTINE
161600        THRU SS95PD-NAP-EXIT.
161700     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
161800*
161900     EVALUATE TRUE
162000         WHEN MTRF-K1-DETAIL
162100             PERFORM MB22PD-PRINT-1-LINE
162200                THRU MB22PD-P1L-EXIT
162300         WHEN OTHER
162400             MOVE SPACES         TO MB20WS-PRINT-LINE
162500     END-EVALUATE.
162600*
162700*
162800*
162900     MOVE 'ADJUSTMENTS TO DISCOUNT'
163000                                 TO MB20WS-PRINT-LINE.
163100*
163200     MOVE MTRF-O87-DP-ADJ-AMT(1) TO SS95WS-IN-AMT.
163300     PERFORM SS95PD-NAP-ROUTINE
163400        THRU SS95PD-NAP-EXIT.
163500     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
163600*
163700     EVALUATE TRUE
163800         WHEN MTRF-K1-DETAIL
163900             PERFORM MB22PD-PRINT-1-LINE
164000                THRU MB22PD-P1L-EXIT
164100         WHEN OTHER
164200             MOVE SPACES         TO MB20WS-PRINT-LINE
164300     END-EVALUATE.
164400*
164500*
164600*
164700     MOVE '  ADJUSTED DISCOUNT'
164800                                 TO MB20WS-PRINT-LINE.
164900*
165000     MOVE MTRF-O87-DP-NET-AMT(1) TO SS95WS-IN-AMT.
165100     PERFORM SS95PD-NAP-ROUTINE
165200        THRU SS95PD-NAP-EXIT.
165300     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
165400*
165500     EVALUATE TRUE
165600         WHEN MTRF-K1-DETAIL
165700             PERFORM MB22PD-PRINT-1-LINE
165800                THRU MB22PD-P1L-EXIT
165900         WHEN OTHER
166000             MOVE SPACES         TO MB20WS-PRINT-LINE
166100     END-EVALUATE.
166200*
166300*
166400*
166500     MOVE '  AVERAGE DISCOUNT RATE'
166600                                 TO MB20WS-PRINT-LINE.
166700*
166800     COMPUTE SS95WS-IN-PCT-V95   =  MTRF-O87-DP-AVG-RATE-NET (1)
166900                                 *  100.
167000     MOVE 5                      TO SS95WS-IN-PCT-NOD.
167100     PERFORM SS95PD-NAP-ROUTINE
167200        THRU SS95PD-NAP-EXIT.
167300     MOVE SS95WS-OUT-PCT-L12     TO WS-PL06-AMT-1 (11:12).
167400     INSPECT WS-PL06-AMT-1 (22:2) REPLACING FIRST SPACE BY '%'.
167500*
167600     COMPUTE SS95WS-IN-PCT-V95   =  MTRF-O87-DP-AVG-RATE-GROSS (1)
167700                                 *  100.
167800     MOVE 5                      TO SS95WS-IN-PCT-NOD.
167900     PERFORM SS95PD-NAP-ROUTINE
168000        THRU SS95PD-NAP-EXIT.
168100     MOVE SS95WS-OUT-PCT-L12     TO WS-PL06-AMT-2 (11:12).
168200     INSPECT WS-PL06-AMT-2 (22:2) REPLACING FIRST SPACE BY '%'.
168300*
168400     COMPUTE SS95WS-IN-PCT-V95   =  MTRF-O87-DP-AVG-RATE-VOL (1)
168500                                 *  100.
168600     MOVE 5                      TO SS95WS-IN-PCT-NOD.
168700     PERFORM SS95PD-NAP-ROUTINE
168800        THRU SS95PD-NAP-EXIT.
168900     MOVE SS95WS-OUT-PCT-L12     TO WS-PL06-AMT-3 (11:12).
169000     INSPECT WS-PL06-AMT-3 (22:2) REPLACING FIRST SPACE BY '%'.
169100*
169200     EVALUATE TRUE
169300         WHEN MTRF-K1-DETAIL
169400             PERFORM MB22PD-PRINT-2-LINES
169500                THRU MB22PD-P2L-EXIT
169600         WHEN OTHER
169700             MOVE SPACES         TO MB20WS-PRINT-LINE
169800     END-EVALUATE.
169900*
170000*
170100*
170200     MOVE 'PARTICIPATION (EARNED LESS OWED)'
170300                                 TO MB20WS-PRINT-LINE.
170400*
170500     MOVE MTRF-O87-DP-AMT (2)    TO SS95WS-IN-AMT.
170600     PERFORM SS95PD-NAP-ROUTINE
170700        THRU SS95PD-NAP-EXIT.
170800     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
170900*
171000     EVALUATE TRUE
171100         WHEN MTRF-K1-DETAIL
171200             PERFORM MB22PD-PRINT-1-LINE
171300                THRU MB22PD-P1L-EXIT
171400         WHEN OTHER
171500             MOVE SPACES         TO MB20WS-PRINT-LINE
171600     END-EVALUATE.
171700*
171800*
171900*
172000     MOVE 'ADJUSTMENTS TO PARTICIPATION'
172100                                 TO MB20WS-PRINT-LINE.
172200*
172300     MOVE MTRF-O87-DP-ADJ-AMT(2) TO SS95WS-IN-AMT.
172400     PERFORM SS95PD-NAP-ROUTINE
172500        THRU SS95PD-NAP-EXIT.
172600     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
172700*
172800     EVALUATE TRUE
172900         WHEN MTRF-K1-DETAIL
173000             PERFORM MB22PD-PRINT-1-LINE
173100                THRU MB22PD-P1L-EXIT
173200         WHEN OTHER
173300             MOVE SPACES         TO MB20WS-PRINT-LINE
173400     END-EVALUATE.
173500*
173600*
173700*
173800     MOVE '  ADJUSTED PARTICIPATION'
173900                                 TO MB20WS-PRINT-LINE.
174000*
174100     MOVE MTRF-O87-DP-NET-AMT(2) TO SS95WS-IN-AMT.
174200     PERFORM SS95PD-NAP-ROUTINE
174300        THRU SS95PD-NAP-EXIT.
174400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
174500*
174600     EVALUATE TRUE
174700         WHEN MTRF-K1-DETAIL
174800             PERFORM MB22PD-PRINT-1-LINE
174900                THRU MB22PD-P1L-EXIT
175000         WHEN OTHER
175100             MOVE SPACES         TO MB20WS-PRINT-LINE
175200     END-EVALUATE.
175300*
175400*
175500*
175600     MOVE '  AVERAGE PARTICIPATION RATE'
175700                                 TO MB20WS-PRINT-LINE.
175800*
175900     COMPUTE SS95WS-IN-PCT-V95   =  MTRF-O87-DP-AVG-RATE-NET (2)
176000                                 *  100.
176100     MOVE 5                      TO SS95WS-IN-PCT-NOD.
176200     PERFORM SS95PD-NAP-ROUTINE
176300        THRU SS95PD-NAP-EXIT.
176400     MOVE SS95WS-OUT-PCT-L12     TO WS-PL06-AMT-1 (11:12).
176500     INSPECT WS-PL06-AMT-1 (22:2) REPLACING FIRST SPACE BY '%'.
176600*
176700     COMPUTE SS95WS-IN-PCT-V95   =  MTRF-O87-DP-AVG-RATE-GROSS (2)
176800                                 *  100.
176900     MOVE 5                      TO SS95WS-IN-PCT-NOD.
177000     PERFORM SS95PD-NAP-ROUTINE
177100        THRU SS95PD-NAP-EXIT.
177200     MOVE SS95WS-OUT-PCT-L12     TO WS-PL06-AMT-2 (11:12).
177300     INSPECT WS-PL06-AMT-2 (22:2) REPLACING FIRST SPACE BY '%'.
177400*
177500     COMPUTE SS95WS-IN-PCT-V95   =  MTRF-O87-DP-AVG-RATE-VOL (2)
177600                                 *  100.
177700     MOVE 5                      TO SS95WS-IN-PCT-NOD.
177800     PERFORM SS95PD-NAP-ROUTINE
177900        THRU SS95PD-NAP-EXIT.
178000     MOVE SS95WS-OUT-PCT-L12     TO WS-PL06-AMT-3 (11:12).
178100     INSPECT WS-PL06-AMT-3 (22:2) REPLACING FIRST SPACE BY '%'.
178200*
178300     EVALUATE TRUE
178400         WHEN MTRF-K1-DETAIL
178500             PERFORM MB22PD-PRINT-2-LINES
178600                THRU MB22PD-P2L-EXIT
178700         WHEN OTHER
178800             MOVE SPACES         TO MB20WS-PRINT-LINE
178900     END-EVALUATE.
179000*
179100*
179200*
179300*
179400     MOVE 'FEES'                 TO MB20WS-PRINT-LINE.
179500*
179600     MOVE MTRF-O87-DP-AMT (3)    TO SS95WS-IN-AMT.
179700     PERFORM SS95PD-NAP-ROUTINE
179800        THRU SS95PD-NAP-EXIT.
179900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
180000*
180100     EVALUATE TRUE
180200         WHEN MTRF-K1-DETAIL
180300             PERFORM MB22PD-PRINT-1-LINE
180400                THRU MB22PD-P1L-EXIT
180500         WHEN OTHER
180600             MOVE SPACES         TO MB20WS-PRINT-LINE
180700     END-EVALUATE.
180800*
180900*
181000*
181100     MOVE 'ADJUSTMENTS TO FEES'  TO MB20WS-PRINT-LINE.
181200*
181300     MOVE MTRF-O87-DP-ADJ-AMT(3) TO SS95WS-IN-AMT.
181400     PERFORM SS95PD-NAP-ROUTINE
181500        THRU SS95PD-NAP-EXIT.
181600     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
181700*
181800     EVALUATE TRUE
181900         WHEN MTRF-K1-DETAIL
182000             PERFORM MB22PD-PRINT-1-LINE
182100                THRU MB22PD-P1L-EXIT
182200         WHEN OTHER
182300             MOVE SPACES         TO MB20WS-PRINT-LINE
182400     END-EVALUATE.
182500*
182600*
182700*
182800     MOVE '  ADJUSTED FEE INCOME'
182900                                 TO MB20WS-PRINT-LINE.
183000*
183100     MOVE MTRF-O87-DP-NET-AMT(3) TO SS95WS-IN-AMT.
183200     PERFORM SS95PD-NAP-ROUTINE
183300        THRU SS95PD-NAP-EXIT.
183400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
183500*
183600     EVALUATE TRUE
183700         WHEN MTRF-K1-DETAIL
183800             PERFORM MB22PD-PRINT-2-LINES
183900                THRU MB22PD-P2L-EXIT
184000         WHEN OTHER
184100             MOVE SPACES         TO MB20WS-PRINT-LINE
184200     END-EVALUATE.
184300*
184400 G499-PSDP-EXIT.
184500     EXIT.
184600/
184700 G900-PROD-SUMM-TOTALS SECTION.
184800 G901-PST-BEGIN.
184900*
185000     MOVE 'TOTAL REVENUE'        TO MB20WS-PRINT-LINE.
185100*
185200     MOVE MTRF-O87-ST-GROSS-REVENUE
185300                                 TO SS95WS-IN-AMT.
185400     PERFORM SS95PD-NAP-ROUTINE
185500        THRU SS95PD-NAP-EXIT.
185600     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
185700*
185800     EVALUATE TRUE
185900         WHEN MTRF-K1-DETAIL
186000             PERFORM MB22PD-PRINT-2-LINES
186100                THRU MB22PD-P2L-EXIT
186200         WHEN OTHER
186300             MOVE SPACES         TO MB20WS-PRINT-LINE
186400     END-EVALUATE.
186500*
186600*
186700*
186800     MOVE 'TOTAL EXPENSE'        TO MB20WS-PRINT-LINE.
186900*
187000     MOVE MTRF-O87-ST-TOTAL-EXPENSE
187100                                 TO SS95WS-IN-AMT.
187200     PERFORM SS95PD-NAP-ROUTINE
187300        THRU SS95PD-NAP-EXIT.
187400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
187500*
187600     EVALUATE TRUE
187700         WHEN MTRF-K1-DETAIL
187800             PERFORM MB22PD-PRINT-2-LINES
187900                THRU MB22PD-P2L-EXIT
188000         WHEN OTHER
188100             MOVE SPACES         TO MB20WS-PRINT-LINE
188200     END-EVALUATE.
188300*
188400*
188500*
188600     MOVE 'TOTAL PROFITABILITY'  TO MB20WS-PRINT-LINE.
188700*
188800     MOVE MTRF-O87-ST-NET-PROFITABILITY
188900                                 TO SS95WS-IN-AMT.
189000     PERFORM SS95PD-NAP-ROUTINE
189100        THRU SS95PD-NAP-EXIT.
189200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
189300*
189400     EVALUATE TRUE
189500         WHEN MTRF-K1-DETAIL
189600             PERFORM MB22PD-PRINT-2-LINES
189700                THRU MB22PD-P2L-EXIT
189800         WHEN OTHER
189900             MOVE SPACES         TO MB20WS-PRINT-LINE
190000     END-EVALUATE.
190100*
190200     MOVE '----------NET----------'
190300                                 TO WS-PL06-AMT-1.
190400*
190500     MOVE '---------GROSS---------'
190600                                 TO WS-PL06-AMT-2.
190700*
190800     MOVE '--------VOLUME---------'
190900                                 TO WS-PL06-AMT-3.
191000*
191100     EVALUATE TRUE
191200         WHEN MTRF-K1-DETAIL
191300             PERFORM MB22PD-PRINT-1-LINE
191400                THRU MB22PD-P1L-EXIT
191500         WHEN OTHER
191600             MOVE SPACES         TO MB20WS-PRINT-LINE
191700     END-EVALUATE.
191800*
191900*
192000*
192100     MOVE 'RETURN ON SALES'      TO MB20WS-PRINT-LINE.
192200*
192300     COMPUTE SS95WS-IN-PCT-V92   =  MTRF-O87-ST-PR-ON-SALES (1)
192400                                 *  100.
192500     MOVE 2                      TO SS95WS-IN-PCT-NOD.
192600     PERFORM SS95PD-NAP-ROUTINE
192700        THRU SS95PD-NAP-EXIT.
192800     MOVE SS95WS-OUT-PCT-L19     TO WS-PL06-AMT-1 (5:19).
192900     INSPECT WS-PL06-AMT-1 (23:2) REPLACING FIRST SPACE BY '%'.
193000*
193100     COMPUTE SS95WS-IN-PCT-V92   =  MTRF-O87-ST-PR-ON-SALES (2)
193200                                 *  100.
193300     MOVE 2                      TO SS95WS-IN-PCT-NOD.
193400     PERFORM SS95PD-NAP-ROUTINE
193500        THRU SS95PD-NAP-EXIT.
193600     MOVE SS95WS-OUT-PCT-L19     TO WS-PL06-AMT-2 (5:19).
193700     INSPECT WS-PL06-AMT-2 (23:2) REPLACING FIRST SPACE BY '%'.
193800*
193900     COMPUTE SS95WS-IN-PCT-V92   =  MTRF-O87-ST-PR-ON-SALES (3)
194000                                 *  100.
194100     MOVE 2                      TO SS95WS-IN-PCT-NOD.
194200     PERFORM SS95PD-NAP-ROUTINE
194300        THRU SS95PD-NAP-EXIT.
194400     MOVE SS95WS-OUT-PCT-L19     TO WS-PL06-AMT-3 (5:19).
194500     INSPECT WS-PL06-AMT-3 (23:2) REPLACING FIRST SPACE BY '%'.
194600*
194700     EVALUATE TRUE
194800         WHEN MTRF-K1-DETAIL
194900             PERFORM MB22PD-PRINT-1-LINE
195000                THRU MB22PD-P1L-EXIT
195100         WHEN OTHER
195200             MOVE SPACES         TO MB20WS-PRINT-LINE
195300     END-EVALUATE.
195400*
195500*
195600*
195700     MOVE 'RETURN PER TICKET'    TO MB20WS-PRINT-LINE.
195800*
195900     MOVE MTRF-O87-ST-PR-PER-TKT (1)
196000                                 TO SS95WS-IN-AMT.
196100     PERFORM SS95PD-NAP-ROUTINE
196200        THRU SS95PD-NAP-EXIT.
196300     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-1.
196400*
196500     MOVE MTRF-O87-ST-PR-PER-TKT (2)
196600                                 TO SS95WS-IN-AMT.
196700     PERFORM SS95PD-NAP-ROUTINE
196800        THRU SS95PD-NAP-EXIT.
196900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-2.
197000*
197100     MOVE MTRF-O87-ST-PR-PER-TKT (3)
197200                                 TO SS95WS-IN-AMT.
197300     PERFORM SS95PD-NAP-ROUTINE
197400        THRU SS95PD-NAP-EXIT.
197500     MOVE SS95WS-OUT-AMT-L23     TO WS-PL06-AMT-3.
197600*
197700     EVALUATE TRUE
197800         WHEN MTRF-K1-DETAIL
197900             PERFORM MB22PD-PRINT-1-LINE
198000                THRU MB22PD-P1L-EXIT
198100         WHEN OTHER
198200             MOVE SPACES         TO MB20WS-PRINT-LINE
198300     END-EVALUATE.
198400*
198500*
198600*
198700     MOVE 'RETURN ON EXPENSES'   TO MB20WS-PRINT-LINE.
198800*
198900     COMPUTE SS95WS-IN-PCT-V92   =  MTRF-O87-ST-RETURN-ON-EXP
199000                                 *  100.
199100     MOVE 2                      TO SS95WS-IN-PCT-NOD.
199200     PERFORM SS95PD-NAP-ROUTINE
199300        THRU SS95PD-NAP-EXIT.
199400     MOVE SS95WS-OUT-PCT-L19     TO WS-PL06-AMT-1 (5:19).
199500     INSPECT WS-PL06-AMT-1 (23:2) REPLACING FIRST SPACE BY '%'.
199600*
199700     EVALUATE TRUE
199800         WHEN MTRF-K1-DETAIL
199900             PERFORM MB22PD-PRINT-1-LINE
200000                THRU MB22PD-P1L-EXIT
200100         WHEN OTHER
200200             MOVE SPACES         TO MB20WS-PRINT-LINE
200300     END-EVALUATE.
200400*
200500     MOVE SPACES                 TO MB20WS-SH-L7.
200600     MOVE SPACES                 TO MB20WS-SH-L8.
200700*
200800 G999-PST-EXIT.
200900     EXIT.
201000/
201100 L000-MERCH-SUMM-HEADER SECTION.
201200 L001-MSH-BEGIN.
201300*
201400     SET MTRF-K1-DETAIL          TO TRUE.
201500*
201600     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
201700*
201800     MOVE ALL '*'                TO WS-PL05-LIT-1.
201900     MOVE '*** M E R C H A N T   T O T A L ****'
202000                                 TO WS-PL05-MERCHANT-LIT.
202100     MOVE ALL '*'                TO WS-PL05-LIT-2.
202200*
202300     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
202400*
202500     EVALUATE TRUE
202600         WHEN MTRF-K1-DETAIL
202700             PERFORM MB22PD-PRINT-1-LINE
202800                THRU MB22PD-P1L-EXIT
202900             MOVE WS-D720-SAVE-HEADING
203000                                 TO MB20WS-SH-L7
203100         WHEN OTHER
203200             MOVE SPACES         TO MB20WS-PRINT-LINE
203300     END-EVALUATE.
203400*
203500*
203600*
203700     MOVE '----------NET----------'
203800                                 TO WS-PL06-AMT-1.
203900     MOVE ' --PCT--'             TO WS-PL06-PCT-1.
204000*
204100     MOVE '---------GROSS---------'
204200                                 TO WS-PL06-AMT-2.
204300     MOVE ' --PCT--'             TO WS-PL06-PCT-2.
204400*
204500     MOVE '--------VOLUME---------'
204600                                 TO WS-PL06-AMT-3.
204700     MOVE ' --PCT--'             TO WS-PL06-PCT-3.
204800*
204900     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
205000*
205100     EVALUATE TRUE
205200         WHEN MTRF-K1-DETAIL
205300             PERFORM MB22PD-PRINT-1-LINE
205400                THRU MB22PD-P1L-EXIT
205500             MOVE WS-D720-SAVE-HEADING
205600                                 TO MB20WS-SH-L8
205700         WHEN OTHER
205800             MOVE SPACES         TO MB20WS-PRINT-LINE
205900     END-EVALUATE.
206000*
206100*
206200*
206300 L099-MSH-EXIT.
206400     EXIT.
206500/
206600 L300-MERCH-SUMM-NBRS-AMTS SECTION.
206700 L301-MSNA-BEGIN.
206800*
206900     SET MTRF-K1-DETAIL          TO TRUE.
207000*
207100     PERFORM G300-PROD-SUMM-NBRS-AMTS
207200        THRU G399-PSNA-EXIT.
207300*
207400     ADD MTRF-O87-NA-NBR-NET (1) TO WS-D720-NA-NBR-NET (1).
207500     ADD MTRF-O87-NA-AMT-NET (1) TO WS-D720-NA-AMT-NET (1).
207600     ADD MTRF-O87-NA-NBR-GROSS (1)
207700                                 TO WS-D720-NA-NBR-GROSS (1).
207800     ADD MTRF-O87-NA-AMT-GROSS (1)
207900                                 TO WS-D720-NA-AMT-GROSS (1).
208000     ADD MTRF-O87-NA-NBR-VOL (1) TO WS-D720-NA-NBR-VOL (1).
208100     ADD MTRF-O87-NA-AMT-VOL (1) TO WS-D720-NA-AMT-VOL (1).
208200*
208300     ADD MTRF-O87-NA-NBR-NET (2) TO WS-D720-NA-NBR-NET (2).
208400     ADD MTRF-O87-NA-AMT-NET (2) TO WS-D720-NA-AMT-NET (2).
208500     ADD MTRF-O87-NA-NBR-GROSS (2)
208600                                 TO WS-D720-NA-NBR-GROSS (2).
208700     ADD MTRF-O87-NA-AMT-GROSS (2)
208800                                 TO WS-D720-NA-AMT-GROSS (2).
208900     ADD MTRF-O87-NA-NBR-VOL (2) TO WS-D720-NA-NBR-VOL (2).
209000     ADD MTRF-O87-NA-AMT-VOL (2) TO WS-D720-NA-AMT-VOL (2).
209100*
209200     ADD MTRF-O87-NA-NBR-NET (3) TO WS-D720-NA-NBR-NET (3).
209300     ADD MTRF-O87-NA-AMT-NET (3) TO WS-D720-NA-AMT-NET (3).
209400     ADD MTRF-O87-NA-NBR-GROSS (3)
209500                                 TO WS-D720-NA-NBR-GROSS (3).
209600     ADD MTRF-O87-NA-AMT-GROSS (3)
209700                                 TO WS-D720-NA-AMT-GROSS (3).
209800     ADD MTRF-O87-NA-NBR-VOL (3) TO WS-D720-NA-NBR-VOL (3).
209900     ADD MTRF-O87-NA-AMT-VOL (3) TO WS-D720-NA-AMT-VOL (3).
210000*
210100     ADD MTRF-O87-NA-NBR-TOT-NET TO WS-D720-NA-NBR-TOT-NET.
210200     ADD MTRF-O87-NA-AMT-TOT-NET TO WS-D720-NA-AMT-TOT-NET.
210300     ADD MTRF-O87-NA-NBR-TOT-GROSS
210400                                 TO WS-D720-NA-NBR-TOT-GROSS.
210500     ADD MTRF-O87-NA-AMT-TOT-GROSS
210600                                 TO WS-D720-NA-AMT-TOT-GROSS.
210700     ADD MTRF-O87-NA-NBR-TOT-VOL TO WS-D720-NA-NBR-TOT-VOL.
210800     ADD MTRF-O87-NA-AMT-TOT-VOL TO WS-D720-NA-AMT-TOT-VOL.
210900*
211000 L399-MSNA-EXIT.
211100     EXIT.
211200*
211300*
211400*
211500 L400-MERCH-SUMM-DISC-PART SECTION.
211600 L401-MSDP-BEGIN.
211700*
211800     SET MTRF-K1-DETAIL          TO TRUE.
211900*
212000     PERFORM G400-PROD-SUMM-DISC-PART
212100        THRU G499-PSDP-EXIT.
212200*
212300     ADD MTRF-O87-DP-AMT (1)     TO WS-D720-DP-AMT (1).
212400     ADD MTRF-O87-DP-ADJ-AMT (1) TO WS-D720-DP-ADJ-AMT (1).
212500     ADD MTRF-O87-DP-NET-AMT (1) TO WS-D720-DP-NET-AMT (1).
212600*
212700     ADD MTRF-O87-DP-AMT (2)     TO WS-D720-DP-AMT (2).
212800     ADD MTRF-O87-DP-ADJ-AMT (2) TO WS-D720-DP-ADJ-AMT (2).
212900     ADD MTRF-O87-DP-NET-AMT (2) TO WS-D720-DP-NET-AMT (2).
213000*
213100     ADD MTRF-O87-DP-AMT (3)     TO WS-D720-DP-AMT (3).
213200     ADD MTRF-O87-DP-ADJ-AMT (3) TO WS-D720-DP-ADJ-AMT (3).
213300     ADD MTRF-O87-DP-NET-AMT (3) TO WS-D720-DP-NET-AMT (3).
213400*
213500 L499-MSDP-EXIT.
213600     EXIT.
213700*
213800*
213900*
214000 L900-MERCH-SUMM-TOTALS SECTION.
214100 L901-MST-BEGIN.
214200*
214300     SET MTRF-K1-DETAIL          TO TRUE.
214400*
214500     PERFORM G900-PROD-SUMM-TOTALS
214600        THRU G999-PST-EXIT.
214700*
214800     ADD MTRF-O87-ST-GROSS-REVENUE
214900                                 TO WS-D720-ST-GROSS-REVENUE.
215000     ADD MTRF-O87-ST-TOTAL-EXPENSE
215100                                 TO WS-D720-ST-TOTAL-EXPENSE.
215200     ADD MTRF-O87-ST-NET-PROFITABILITY
215300                                 TO WS-D720-ST-NET-PROFITABILITY.
215400*
215500     IF  WS-D720-NA-AMT-TOT-NET IS EQUAL TO ZERO
215600         MOVE ZERO               TO WS-D720-ST-PR-ON-SALES (1)
215700     ELSE
215800         COMPUTE WS-D720-ST-PR-ON-SALES (1)
215900                         ROUNDED =  WS-D720-ST-NET-PROFITABILITY
216000                                 /  WS-D720-NA-AMT-TOT-NET.
216100*
216200     IF  WS-D720-NA-AMT-TOT-GROSS IS EQUAL TO ZERO
216300         MOVE ZERO               TO WS-D720-ST-PR-ON-SALES (2)
216400     ELSE
216500         COMPUTE WS-D720-ST-PR-ON-SALES (2)
216600                         ROUNDED =  WS-D720-ST-NET-PROFITABILITY
216700                                 /  WS-D720-NA-AMT-TOT-GROSS.
216800*
216900     IF  WS-D720-NA-AMT-TOT-VOL IS EQUAL TO ZERO
217000         MOVE ZERO               TO WS-D720-ST-PR-ON-SALES (3)
217100     ELSE
217200         COMPUTE WS-D720-ST-PR-ON-SALES (3)
217300                         ROUNDED =  WS-D720-ST-NET-PROFITABILITY
217400                                 /  WS-D720-NA-AMT-TOT-VOL.
217500*
217600     IF  WS-D720-NA-NBR-TOT-NET IS EQUAL TO ZERO
217700         MOVE ZERO               TO WS-D720-ST-PR-PER-TKT (1)
217800     ELSE
217900         COMPUTE WS-D720-ST-PR-PER-TKT (1)
218000                         ROUNDED =  WS-D720-ST-NET-PROFITABILITY
218100                                 /  WS-D720-NA-NBR-TOT-NET.
218200*
218300     IF  WS-D720-NA-NBR-TOT-GROSS IS EQUAL TO ZERO
218400         MOVE ZERO               TO WS-D720-ST-PR-PER-TKT (2)
218500     ELSE
218600         COMPUTE WS-D720-ST-PR-PER-TKT (2)
218700                         ROUNDED =  WS-D720-ST-NET-PROFITABILITY
218800                                 /  WS-D720-NA-NBR-TOT-GROSS.
218900*
219000     IF  WS-D720-NA-NBR-TOT-VOL IS EQUAL TO ZERO
219100         MOVE ZERO               TO WS-D720-ST-PR-PER-TKT (3)
219200     ELSE
219300         COMPUTE WS-D720-ST-PR-PER-TKT (3)
219400                         ROUNDED =  WS-D720-ST-NET-PROFITABILITY
219500                                 /  WS-D720-NA-NBR-TOT-VOL.
219600*
219700     IF  WS-D720-ST-TOTAL-EXPENSE IS EQUAL TO ZERO
219800         MOVE ZERO               TO WS-D720-ST-RETURN-ON-EXP
219900     ELSE
220000         COMPUTE WS-D720-ST-RETURN-ON-EXP
220100                         ROUNDED =  WS-D720-ST-NET-PROFITABILITY
220200                                 /  WS-D720-ST-TOTAL-EXPENSE.
220300*
220400 L999-MST-EXIT.
220500     EXIT.
220600/
220700 T000-TRAILER-RECORD SECTION.
220800 T010-TR-BEGIN.
220900     MOVE MTR9-RECORD            TO MTRF-RECORD.
221000*
221100     IF  WS-D72087-ACTIVITY-SW IS EQUAL TO 'N'
221200         IF  MTRF-HD-AF-PRODUCE
221300             PERFORM MB22PD-PRINT-NO-ACTIVITY
221400                                 THRU MB22PD-PNA-EXIT
221500             GO TO T099-TR-EXIT
221600         ELSE
221700             GO TO T099-TR-EXIT.
221800*
221900     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
222000     PERFORM 9010-PRINT-ORG-TOTALS
222100        THRU 9010-POT-EXIT.
222200*
222300 T099-TR-EXIT.
222400     EXIT.
222500/
222600 9000-PERFORMED-ROUTINES-SECT SECTION.
222700 9010-PRINT-ORG-TOTALS.
222800*
222900*
223000*
223100     IF  WS-D720-NA-NBR-TOT-NET IS EQUAL TO ZERO
223200         MOVE ZERO               TO WS-D720-NA-PCT-NBR-NET (1)
223300         MOVE ZERO               TO WS-D720-NA-PCT-NBR-NET (2)
223400         MOVE ZERO               TO WS-D720-NA-PCT-NBR-NET (3)
223500         MOVE ZERO               TO WS-D720-NA-AVG-TKT-NET
223600     ELSE
223700         COMPUTE WS-D720-NA-PCT-NBR-NET (1)
223800                         ROUNDED =  WS-D720-NA-NBR-NET (1)
223900                                 /  WS-D720-NA-NBR-TOT-NET
224000         COMPUTE WS-D720-NA-PCT-NBR-NET (2)
224100                         ROUNDED =  WS-D720-NA-NBR-NET (2)
224200                                 /  WS-D720-NA-NBR-TOT-NET
224300         COMPUTE WS-D720-NA-PCT-NBR-NET (3)
224400                         ROUNDED =  WS-D720-NA-NBR-NET (3)
224500                                 /  WS-D720-NA-NBR-TOT-NET
224600         COMPUTE WS-D720-NA-AVG-TKT-NET
224700                         ROUNDED =  WS-D720-NA-AMT-TOT-NET
224800                                 /  WS-D720-NA-NBR-TOT-NET
224900     END-IF.
225000*
225100     IF  WS-D720-NA-NBR-TOT-GROSS IS EQUAL TO ZERO
225200         MOVE ZERO               TO WS-D720-NA-PCT-NBR-GROSS (1)
225300         MOVE ZERO               TO WS-D720-NA-PCT-NBR-GROSS (2)
225400         MOVE ZERO               TO WS-D720-NA-PCT-NBR-GROSS (3)
225500         MOVE ZERO               TO WS-D720-NA-AVG-TKT-GROSS
225600     ELSE
225700         COMPUTE WS-D720-NA-PCT-NBR-GROSS (1)
225800                         ROUNDED =  WS-D720-NA-NBR-GROSS (1)
225900                                 /  WS-D720-NA-NBR-TOT-GROSS
226000         COMPUTE WS-D720-NA-PCT-NBR-GROSS (2)
226100                         ROUNDED =  WS-D720-NA-NBR-GROSS (2)
226200                                 /  WS-D720-NA-NBR-TOT-GROSS
226300         COMPUTE WS-D720-NA-PCT-NBR-GROSS (3)
226400                         ROUNDED =  WS-D720-NA-NBR-GROSS (3)
226500                                 /  WS-D720-NA-NBR-TOT-GROSS
226600         COMPUTE WS-D720-NA-AVG-TKT-GROSS
226700                         ROUNDED =  WS-D720-NA-AMT-TOT-GROSS
226800                                 /  WS-D720-NA-NBR-TOT-GROSS
226900     END-IF.
227000*
227100     IF  WS-D720-NA-NBR-TOT-VOL IS EQUAL TO ZERO
227200         MOVE ZERO               TO WS-D720-NA-PCT-NBR-VOL (1)
227300         MOVE ZERO               TO WS-D720-NA-PCT-NBR-VOL (2)
227400         MOVE ZERO               TO WS-D720-NA-PCT-NBR-VOL (3)
227500         MOVE ZERO               TO WS-D720-NA-AVG-TKT-VOL
227600     ELSE
227700         COMPUTE WS-D720-NA-PCT-NBR-VOL (1)
227800                         ROUNDED =  WS-D720-NA-NBR-VOL (1)
227900                                 /  WS-D720-NA-NBR-TOT-VOL
228000         COMPUTE WS-D720-NA-PCT-NBR-VOL (2)
228100                         ROUNDED =  WS-D720-NA-NBR-VOL (2)
228200                                 /  WS-D720-NA-NBR-TOT-VOL
228300         COMPUTE WS-D720-NA-PCT-NBR-VOL (3)
228400                         ROUNDED =  WS-D720-NA-NBR-VOL (3)
228500                                 /  WS-D720-NA-NBR-TOT-VOL
228600         COMPUTE WS-D720-NA-AVG-TKT-VOL
228700                         ROUNDED =  WS-D720-NA-AMT-TOT-VOL
228800                                 /  WS-D720-NA-NBR-TOT-VOL
228900     END-IF.
229000*
229100     IF  WS-D720-NA-AMT-TOT-NET IS EQUAL TO ZERO
229200         MOVE ZERO               TO WS-D720-NA-PCT-AMT-NET (1)
229300         MOVE ZERO               TO WS-D720-NA-PCT-AMT-NET (2)
229400         MOVE ZERO               TO WS-D720-NA-PCT-AMT-NET (3)
229500     ELSE
229600         COMPUTE WS-D720-NA-PCT-AMT-NET (1)
229700                         ROUNDED =  WS-D720-NA-AMT-NET (1)
229800                                 /  WS-D720-NA-AMT-TOT-NET
229900         COMPUTE WS-D720-NA-PCT-AMT-NET (2)
230000                         ROUNDED =  WS-D720-NA-AMT-NET (2)
230100                                 /  WS-D720-NA-AMT-TOT-NET
230200         COMPUTE WS-D720-NA-PCT-AMT-NET (3)
230300                         ROUNDED =  WS-D720-NA-AMT-NET (3)
230400                                 /  WS-D720-NA-AMT-TOT-NET
230500     END-IF.
230600*
230700     IF  WS-D720-NA-AMT-TOT-GROSS IS EQUAL TO ZERO
230800         MOVE ZERO               TO WS-D720-NA-PCT-AMT-GROSS (1)
230900         MOVE ZERO               TO WS-D720-NA-PCT-AMT-GROSS (2)
231000         MOVE ZERO               TO WS-D720-NA-PCT-AMT-GROSS (3)
231100     ELSE
231200         COMPUTE WS-D720-NA-PCT-AMT-GROSS (1)
231300                         ROUNDED =  WS-D720-NA-AMT-GROSS (1)
231400                                 /  WS-D720-NA-AMT-TOT-GROSS
231500         COMPUTE WS-D720-NA-PCT-AMT-GROSS (2)
231600                         ROUNDED =  WS-D720-NA-AMT-GROSS (2)
231700                                 /  WS-D720-NA-AMT-TOT-GROSS
231800         COMPUTE WS-D720-NA-PCT-AMT-GROSS (3)
231900                         ROUNDED =  WS-D720-NA-AMT-GROSS (3)
232000                                 /  WS-D720-NA-AMT-TOT-GROSS
232100     END-IF.
232200*
232300     IF  WS-D720-NA-AMT-TOT-VOL IS EQUAL TO ZERO
232400         MOVE ZERO               TO WS-D720-NA-PCT-AMT-VOL (1)
232500         MOVE ZERO               TO WS-D720-NA-PCT-AMT-VOL (2)
232600         MOVE ZERO               TO WS-D720-NA-PCT-AMT-VOL (3)
232700     ELSE
232800         COMPUTE WS-D720-NA-PCT-AMT-VOL (1)
232900                         ROUNDED =  WS-D720-NA-AMT-VOL (1)
233000                                 /  WS-D720-NA-AMT-TOT-VOL
233100         COMPUTE WS-D720-NA-PCT-AMT-VOL (2)
233200                         ROUNDED =  WS-D720-NA-AMT-VOL (2)
233300                                 /  WS-D720-NA-AMT-TOT-VOL
233400         COMPUTE WS-D720-NA-PCT-AMT-VOL (3)
233500                         ROUNDED =  WS-D720-NA-AMT-VOL (3)
233600                                 /  WS-D720-NA-AMT-TOT-VOL
233700     END-IF.
233800*
233900*
234000*
234100     IF  WS-D720-NA-AMT-TOT-NET IS EQUAL TO ZERO
234200         MOVE ZERO               TO WS-D720-DP-AVG-RATE-NET (1)
234300     ELSE
234400         COMPUTE WS-D720-DP-AVG-RATE-NET (1)
234500                         ROUNDED =  WS-D720-DP-NET-AMT (1)
234600                                 /  WS-D720-NA-AMT-TOT-NET
234700     END-IF.
234800*
234900     IF  WS-D720-NA-AMT-TOT-GROSS IS EQUAL TO ZERO
235000         MOVE ZERO               TO WS-D720-DP-AVG-RATE-GROSS (1)
235100     ELSE
235200         COMPUTE WS-D720-DP-AVG-RATE-GROSS (1)
235300                         ROUNDED =  WS-D720-DP-NET-AMT (1)
235400                                 /  WS-D720-NA-AMT-TOT-GROSS
235500     END-IF.
235600*
235700     IF  WS-D720-NA-AMT-TOT-VOL IS EQUAL TO ZERO
235800         MOVE ZERO               TO WS-D720-DP-AVG-RATE-VOL (1)
235900     ELSE
236000         COMPUTE WS-D720-DP-AVG-RATE-VOL (1)
236100                         ROUNDED =  WS-D720-DP-NET-AMT (1)
236200                                 /  WS-D720-NA-AMT-TOT-VOL
236300     END-IF.
236400*
236500     IF  WS-D720-NA-AMT-TOT-NET IS EQUAL TO ZERO
236600         MOVE ZERO               TO WS-D720-DP-AVG-RATE-NET (2)
236700     ELSE
236800         COMPUTE WS-D720-DP-AVG-RATE-NET (2)
236900                         ROUNDED =  WS-D720-DP-NET-AMT (2)
237000                                 /  WS-D720-NA-AMT-TOT-NET
237100     END-IF.
237200*
237300     IF  WS-D720-NA-AMT-TOT-GROSS IS EQUAL TO ZERO
237400         MOVE ZERO               TO WS-D720-DP-AVG-RATE-GROSS (2)
237500     ELSE
237600         COMPUTE WS-D720-DP-AVG-RATE-GROSS (2)
237700                         ROUNDED =  WS-D720-DP-NET-AMT (2)
237800                                 /  WS-D720-NA-AMT-TOT-GROSS
237900     END-IF.
238000*
238100     IF  WS-D720-NA-AMT-TOT-VOL IS EQUAL TO ZERO
238200         MOVE ZERO               TO WS-D720-DP-AVG-RATE-VOL (2)
238300     ELSE
238400         COMPUTE WS-D720-DP-AVG-RATE-VOL (2)
238500                         ROUNDED =  WS-D720-DP-NET-AMT (2)
238600                                 /  WS-D720-NA-AMT-TOT-VOL
238700     END-IF.
238800*
238900*
239000*
239100     MOVE SPACES                 TO MB20WS-SH-L4.
239200     MOVE SPACES                 TO MB20WS-SH-L5.
239300     MOVE SPACES                 TO MB20WS-SH-L6.
239400     MOVE SPACES                 TO MB20WS-SH-L7.
239500     MOVE SPACES                 TO MB20WS-SH-L8.
239600     SET MTRF-K1-DETAIL          TO TRUE.
239700*
239800     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
239900*
240000     MOVE ALL '*'                TO WS-PL05-LIT-1.
240100     MOVE '******* ORGANIZATION TOTALS ********'
240200                                 TO WS-PL05-MERCHANT-LIT.
240300     MOVE ALL '*'                TO WS-PL05-LIT-2.
240400*
240500     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
240600*
240700     EVALUATE TRUE
240800         WHEN MTRF-K1-DETAIL
240900             PERFORM MB22PD-PRINT-1-LINE
241000                THRU MB22PD-P1L-EXIT
241100             MOVE WS-D720-SAVE-HEADING
241200                                 TO MB20WS-SH-L7
241300         WHEN OTHER
241400             MOVE SPACES         TO MB20WS-PRINT-LINE
241500     END-EVALUATE.
241600*
241700*
241800*
241900     MOVE '----------NET----------'
242000                                 TO WS-PL06-AMT-1.
242100     MOVE ' --PCT--'             TO WS-PL06-PCT-1.
242200*
242300     MOVE '---------GROSS---------'
242400                                 TO WS-PL06-AMT-2.
242500     MOVE ' --PCT--'             TO WS-PL06-PCT-2.
242600*
242700     MOVE '--------VOLUME---------'
242800                                 TO WS-PL06-AMT-3.
242900     MOVE ' --PCT--'             TO WS-PL06-PCT-3.
243000*
243100     MOVE MB20WS-PRINT-LINE      TO WS-D720-SAVE-HEADING.
243200*
243300     EVALUATE TRUE
243400         WHEN MTRF-K1-DETAIL
243500             PERFORM MB22PD-PRINT-1-LINE
243600                THRU MB22PD-P1L-EXIT
243700             MOVE WS-D720-SAVE-HEADING
243800                                 TO MB20WS-SH-L8
243900         WHEN OTHER
244000             MOVE SPACES         TO MB20WS-PRINT-LINE
244100     END-EVALUATE.
244200*
244300*
244400*
244500     SET MTRF-K1-DETAIL          TO TRUE.
244600     MOVE WS-D720-SECTION-NBRS-AMTS
244700                                 TO MTRF-O87-SECTION-NBRS-AMTS.
244800     PERFORM G300-PROD-SUMM-NBRS-AMTS
244900        THRU G399-PSNA-EXIT.
245000*
245100*
245200*
245300     SET MTRF-K1-DETAIL          TO TRUE.
245400     MOVE WS-D720-SECTION-DISC-PART
245500                                 TO MTRF-O87-SECTION-DISC-PART.
245600     PERFORM G400-PROD-SUMM-DISC-PART
245700        THRU G499-PSDP-EXIT.
245800*
245900*
246000*
246100     SET MTRF-K1-DETAIL          TO TRUE.
246200     MOVE WS-D720-SECTION-SUMM-TOTALS
246300                                 TO MTRF-O87-SECTION-SUMM-TOTALS.
246400     PERFORM G900-PROD-SUMM-TOTALS
246500        THRU G999-PST-EXIT.
246600*
246700 9010-POT-EXIT.
246800     EXIT.
246900/
247000*
247100 9100-CHECK-NBR-LINES.
247200*
247300     COMPUTE MB20WS-LINES-REMAINING
247400                                 = MB20WS-LINE-LIMIT
247500                                 - MB20WS-LINE-COUNT.
247600*
247700     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
247800         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
247900*
248000 9199-CNL-EXIT.
248100     EXIT.
248200/
248300     COPY MB22PD.
248400/
248500     COPY SS95PD.
248600/
248700     COPY SS02PD.
248800/
248900     COPY SS07PD.
249000/
249100     COPY SS08PD.
249200/
249300     COPY SS16PD.
249400/
249500     COPY SS26PD.
249600/
249700     COPY SS27PD.
249800*
249900 9995-END-SOURCE-STATEMENTS SECTION.
250000 9999-END-OF-PROGRAM.
250100     EXIT.
