000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIS02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIS02 - ON-LINE STATEMENT                              *
000800*                SCREEN 02                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MBIS                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIS02 (SCREEN 02)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMS1 (STATEMENT FILE 1)                    *
001600*                 B. MMS2 (STATEMENT FILE 2)                    *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISC-AREAS.
003200*
003300     03  WS-WORK-AREAS.
003400         05  WS-READ-REC-0100
003500                             PIC  X(04)      VALUE '0100'.
003600*
003700 01  WS-TABLE-ENTRIES.
003800     03  WS-TABLE-ENTRY-1.
003900         05  WS-DSC-1        PIC  X(41)      VALUE
004000                      '  BEGINNING BALANCE .....................'.
004100         05  WS-NBR-1        PIC  X(11).
004200         05  WS-AMT-1        PIC  X(22).
004300     03  WS-TABLE-ENTRY-2.
004400         05  WS-DSC-2        PIC  X(41)      VALUE
004500                      '+ DEPOSITS/WITHDRAWALS ................10'.
004600         05  WS-NBR-2        PIC  X(11).
004700         05  WS-AMT-2        PIC  X(22).
004800     03  WS-TABLE-ENTRY-3.
004900         05  WS-DSC-3        PIC  X(41)      VALUE
005000                      '+ RESERVE TO SETTLEMENT ...............03'.
005100         05  WS-NBR-3        PIC  X(11).
005200         05  WS-AMT-3        PIC  X(22).
005300     03  WS-TABLE-ENTRY-4.
005400         05  WS-DSC-4        PIC  X(41)      VALUE
005500                      '+ REFUND OF DISCOUNT ..................10'.
005600         05  WS-NBR-4        PIC  X(11).
005700         05  WS-AMT-4        PIC  X(22).
005800     03  WS-TABLE-ENTRY-5.
005900         05  WS-DSC-5        PIC  X(41)      VALUE
006000                      '+ PARTICIPATION EARNED ................10'.
006100         05  WS-NBR-5        PIC  X(11).
006200         05  WS-AMT-5        PIC  X(22).
006300     03  WS-TABLE-ENTRY-6.
006400         05  WS-DSC-6        PIC  X(41)      VALUE
006500                      '+ ADJUSTMENT CREDITS ..................04'.
006600         05  WS-NBR-6        PIC  X(11).
006700         05  WS-AMT-6        PIC  X(22).
006800     03  WS-TABLE-ENTRY-7.
006900         05  WS-DSC-7        PIC  X(41)      VALUE
007000                      '+ RECOVERY ADJUSTMENT CREDITS .........04'.
007100         05  WS-NBR-7        PIC  X(11).
007200         05  WS-AMT-7        PIC  X(22).
007300     03  WS-TABLE-ENTRY-8.
007400         05  WS-DSC-8        PIC  X(41)      VALUE
007500                      '+ USER CREDITS ........................05'.
007600         05  WS-NBR-8       PIC  X(11).
007700         05  WS-AMT-8       PIC  X(22).
007800     03  WS-TABLE-ENTRY-9.
007900         05  WS-DSC-9        PIC  X(41)      VALUE
008000                      '- RESERVE FUNDING .....................03'.
008100         05  WS-NBR-9        PIC  X(11).
008200         05  WS-AMT-9        PIC  X(22).
008300     03  WS-TABLE-ENTRY-10.
008400         05  WS-DSC-10       PIC  X(41)      VALUE
008500                      '- DISCOUNT ............................10'.
008600         05  WS-NBR-10       PIC  X(11).
008700         05  WS-AMT-10       PIC  X(22).
008800     03  WS-TABLE-ENTRY-11.
008900         05  WS-DSC-11       PIC  X(41)      VALUE
009000                      '- PARTICIPATION OWED ..................10'.
009100         05  WS-NBR-11       PIC  X(11).
009200         05  WS-AMT-11       PIC  X(22).
009300     03  WS-TABLE-ENTRY-12.
009400         05  WS-DSC-12       PIC  X(41)      VALUE
009500                      '- ADJUSTMENT DEBITS ...................04'.
009600         05  WS-NBR-12       PIC  X(11).
009700         05  WS-AMT-12       PIC  X(22).
009800     03  WS-TABLE-ENTRY-13.
009900         05  WS-DSC-13       PIC  X(41)      VALUE
010000                      '- RECOVERY ADJUSTMENT DEBITS ..........04'.
010100         05  WS-NBR-13       PIC  X(11).
010200         05  WS-AMT-13       PIC  X(22).
010300     03  WS-TABLE-ENTRY-14.
010400         05  WS-DSC-14       PIC  X(41)      VALUE
010500                      '- USER FEES ...........................06'.
010600         05  WS-NBR-14       PIC  X(11).
010700         05  WS-AMT-14       PIC  X(22).
010800     03  WS-TABLE-ENTRY-15.
010900         05  WS-DSC-15       PIC  X(41)      VALUE
011000                      '- SYSTEM FEES .........................06'.
011100         05  WS-NBR-15       PIC  X(11).
011200         05  WS-AMT-15       PIC  X(22).
011300     03  WS-TABLE-ENTRY-16.
011400         05  WS-DSC-16       PIC  X(41)      VALUE
011500                      '- INTERCHANGE FEES ....................06'.
011600         05  WS-NBR-16       PIC  X(11).
011700         05  WS-AMT-16       PIC  X(22).
011800     03  WS-TABLE-ENTRY-17.
011900         05  WS-DSC-17       PIC  X(41)      VALUE
012000                      '- TRANSFERRED TO INVOICE ................'.
012100         05  FILLER          PIC  X(11).
012200         05  WS-AMT-17       PIC  X(22).
012300     03  WS-TABLE-ENTRY-18.
012400         05  WS-DSC-18       PIC  X(41)      VALUE
012500                      '- NET SETTLEMENT PAID IN CYCLE ..........'.
012600         05  FILLER          PIC  X(11).
012700         05  WS-AMT-18       PIC  X(22).
012800     03  WS-TABLE-ENTRY-19.
012900         05  WS-DSC-19       PIC  X(41)      VALUE
013000                      '-----------------------------------------'.
013100         05  FILLER          PIC  X(11).
013200         05  FILLER          PIC  X(22).
013300     03  WS-TABLE-ENTRY-20.
013400         05  WS-DSC-20       PIC  X(41)      VALUE
013500                      '= ENDING BALANCE ........................'.
013600         05  FILLER          PIC  X(11).
013700         05  WS-AMT-20       PIC  X(22).
013800     03  WS-TABLE-ENTRY-21.
013900         05  WS-DSC-21       PIC  X(41)      VALUE
014000                      'CURRENT HOLDOVER AMOUNT .................'.
014100         05  FILLER          PIC  X(11).
014200         05  WS-AMT-21       PIC  X(22).
014300 01  WS-TABLE-ENTRIES-X      REDEFINES WS-TABLE-ENTRIES.
014400     03  WS-TBL-ENT                          OCCURS 21 TIMES
014500                                             INDEXED BY
014600                                             X-WS-TBL.
014700         05  WS-TABLE-DESC.
014800             07  WS-TBL-DESC-LIT
014900                             PIC  X(39).
015000             07  WS-TBL-DESC-PAGE
015100                             PIC  X(02).
015200         05  WS-TABLE-NUMBER.
015300             07  WS-TBL-NBR  PIC  X(11).
015400         05  WS-TABLE-AMOUNT.
015500             07  WS-TBL-AMT  PIC  X(22).
015600*
015700 01  FILLER                  PIC  X(17)      VALUE
015800     'PROGRAM SWITCHES:'.
015900*
016000 01  WS-SWITCHES.
016100     03  WS-DISPLAY-SCREEN   PIC  S9(01)     VALUE +1.
016200         88 WS-DISP-SCREEN-1                 VALUE +1.
016300         88 WS-DISP-SCREEN-2                 VALUE +2.
016400*
016500/
016600 01  FILLER                  PIC  X(22)      VALUE
016700     'STATEMENT WORK AREAS: '.
016800*
016900     COPY MB50WS.
017000/
017100 01  FILLER                  PIC  X(29)      VALUE
017200     'I/O REQUEST BLOCK WORK AREAS:'.
017300*
017400     COPY MBIOWS.
017500/
017600 01  FILLER                  PIC  X(18)      VALUE
017700     'I/O REQUEST BLOCK:'.
017800*
017900     COPY MBIORO.
018000/
018100 01  FILLER                  PIC  X(20)      VALUE
018200     'CCS DATE WORK AREAS:'.
018300*
018400     COPY SS01WS.
018500/
018600 01  FILLER                  PIC  X(15)      VALUE
018700     'CCS WORK AREAS:'.
018800*
018900     COPY SS08WS.
019000/
019100     COPY SS00WS.
019200/
019300     COPY SMFTWS.
019400/
019500     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
019600/
019700     COPY MB61LK.
019800/
019900 01  FILLER                  PIC  X(28)      VALUE
020000     'DYNAMICALY CALLED SUBROUINES'.
020100*
020200     COPY MB00WS.
020300/
020400 01  FILLER                  PIC  X(36)      VALUE
020500     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
020600*
020700     COPY SS95WS.
020800*
020900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
021000/
021100 LINKAGE SECTION.
021200*
021300 01  DFHCOMMAREA.
021400*
021500     COPY MB60WS.
021600/
021700*********************************
021800*    ON-LINE STATEMENT MAP      *
021900*********************************
022000*
022100     COPY MBIS02.
022200/
022300**********************************************
022400*    ON-LINE STATEMENT MAP REDEFINITION      *
022500**********************************************
022600*
022700     COPY MBIS02R.
022800/
022900*********************************************
023000*    STATEMENT FILE 1 RECORD LAYOUT         *
023100*********************************************
023200*
023300     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS1==.
023400/
023500*********************************************
023600*    STATEMENT FILE 2 RECORD LAYOUT         *
023700*********************************************
023800*
023900     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS2==.
024000/
024100 PROCEDURE DIVISION.
024200*
024300 A000-HOUSEKEEPING SECTION.
024400*
024500 A020-INIT.
024600*
024700     IF  MBCA-EIBAID-CLEAR
024800         MOVE ZERO               TO MBCA-INDEX-1.
024900*
025000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
025100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
025200                                 THRU MB70PD-OLH-EXIT.
025300     SET SS95WS-FUNCTION-INITIALIZE
025400                            TO TRUE.
025500     PERFORM SS95PD-NAP-ROUTINE
025600        THRU SS95PD-NAP-EXIT.
025700*
025800     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
025900*
026000     IF  MBCA-RECEIVE-SCREEN
026100         GO TO C000-RECEIVE-SCREEN.
026200/
026300 B000-SEND-SCREEN SECTION.
026400*
026500*********************************************
026600*    GET CICS STORAGE NEEDED FOR THE MAP    *
026700*********************************************
026800*
026900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
027000     PERFORM MB60PD-GETMAIN-FOR-MAP
027100                                 THRU MB60PD-GFM-EXIT.
027200*
027300*******************************************
027400*    INITIALIZE THE STANDARD MAP LINES    *
027500*******************************************
027600*
027700     PERFORM MB60PD-INIT-STD-MAP-LINES
027800                                 THRU MB60PD-ISML-EXIT.
027900*
028000**************************************************************
028100*    IF STATEMENT SELECTED IS ON THE MMS2 FILE THE MMS2      *
028200*    RECORD IS MOVED TO THE MMS1 RECORD FOR PROCESSING SO    *
028300*    A GETMAIN MUST PERFORMED TO PROVIDE THE WORK AREA.      *
028400**************************************************************
028500*
028600     EVALUATE TRUE ALSO TRUE
028700         WHEN MBCA-MBIS-MMS2
028800         ALSO MBIOWS-MMS1-GETMAIN-REQUIRED
028900              MOVE 'FC01'        TO MBCA-PROGRAM-LOCATION
029000              SET MBIORO-GETMAIN TO TRUE
029100              PERFORM MMS1AO-ACCESS
029200                                 THRU MMS1AO-ACCESS-EXIT
029300     END-EVALUATE.
029400*
029500**********************************************************
029600*    READ THE STATEMENT FILE FOR THE BALANCE SUMMARY REC *
029700**********************************************************
029800*
029900     IF  MBCA-MBIS-MMS1
030000         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS1-ORG-MERCHANT
030100         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS1-KEY-TYPE
030200         MOVE MBCA-MBIS-STMT-ID-CODE
030300                                 TO MBIOWS-MMS1-STMT-ID-CODE
030400         MOVE WS-READ-REC-0100   TO MBIOWS-MMS1-REC-ID
030500         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
030600         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
030700         SET MBIORO-READ-RANDOM  TO TRUE
030800         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
030900         MOVE MMS1-REC-TYPE-DATA TO MB50WS-REC-ID-0100
031000     ELSE
031100         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS2-ORG-MERCHANT
031200         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS2-KEY-TYPE
031300         MOVE MBCA-MBIS-STMT-ID-CODE
031400                                 TO MBIOWS-MMS2-STMT-ID-CODE
031500         MOVE WS-READ-REC-0100   TO MBIOWS-MMS2-REC-ID
031600         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
031700         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
031800         SET MBIORO-READ-RANDOM  TO TRUE
031900         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT
032000         MOVE MMS2-REC-TYPE-DATA TO MB50WS-REC-ID-0100.
032100*
032200     IF  SS08WS-RC-FC-NOTFND
032300         MOVE 'NO BALANCE SUMMARY FOR THIS STATEMENT'
032400                                 TO IS02-ERR-MESSAGE
032500         GO TO B900-SEND-MAP.
032600*
032700****************************************************************
032800*    WHEN DISPLAYING A CHAIN SCREEN SOME OF THE PAGE NUMBERS   *
032900*    AT THE END OF THE DESCRIPTION FIELD MUST BE ALTERED.      *
033000****************************************************************
033100*
033200     EVALUATE TRUE
033300         WHEN MBCA-MBIS-CHAIN
033400              MOVE '..'          TO WS-TBL-DESC-PAGE (02)
033500              MOVE '..'          TO WS-TBL-DESC-PAGE (04)
033600              MOVE '..'          TO WS-TBL-DESC-PAGE (05)
033700              MOVE '..'          TO WS-TBL-DESC-PAGE (10)
033800              MOVE '..'          TO WS-TBL-DESC-PAGE (11)
033900              MOVE '..'          TO WS-TBL-DESC-PAGE (17)
034000              MOVE '..'          TO WS-TBL-DESC-PAGE (18)
034100     END-EVALUATE.
034200*
034300*************************************
034400*    LOAD THE WORKING STORAGE TABLE *
034500*************************************
034600*
034700     SET X-WS-TBL                TO +1.
034800     MOVE SPACES                 TO WS-TABLE-NUMBER (X-WS-TBL).
034900     MOVE MB50WS-BAL-BEG-BALANCE TO SS95WS-IN-AMT.
035000     PERFORM SS95PD-NAP-ROUTINE
035100                                 THRU SS95PD-NAP-EXIT.
035200     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
035300*
035400     SET X-WS-TBL                TO +2.
035500     MOVE MB50WS-BAL-BATCH-HEADER-NBR
035600                                 TO SS95WS-IN-NBR.
035700     MOVE MB50WS-BAL-BATCH-HEADER-AMT
035800                                 TO SS95WS-IN-AMT.
035900     PERFORM SS95PD-NAP-ROUTINE
036000                                 THRU SS95PD-NAP-EXIT.
036100     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
036200     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
036300*
036400     SET X-WS-TBL                TO +3.
036500     MOVE MB50WS-BAL-RESV-TO-SETT-NBR
036600                                 TO SS95WS-IN-NBR.
036700     MOVE MB50WS-BAL-RESV-TO-SETT-AMT
036800                                 TO SS95WS-IN-AMT.
036900     PERFORM SS95PD-NAP-ROUTINE
037000                                 THRU SS95PD-NAP-EXIT.
037100     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
037200     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
037300*
037400     SET X-WS-TBL                TO +4.
037500     MOVE MB50WS-BAL-REFUND-NBR  TO SS95WS-IN-NBR.
037600     MOVE MB50WS-BAL-REFUND-AMT  TO SS95WS-IN-AMT.
037700     PERFORM SS95PD-NAP-ROUTINE
037800                                 THRU SS95PD-NAP-EXIT.
037900     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
038000     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
038100*
038200     SET X-WS-TBL                TO +5.
038300     MOVE MB50WS-BAL-PART-CR-NBR TO SS95WS-IN-NBR.
038400     MOVE MB50WS-BAL-PART-CR-AMT TO SS95WS-IN-AMT.
038500     PERFORM SS95PD-NAP-ROUTINE
038600                                 THRU SS95PD-NAP-EXIT.
038700     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
038800     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
038900*
039000     SET X-WS-TBL                TO +6.
039100     MOVE MB50WS-BAL-ADJ-CR-NBR  TO SS95WS-IN-NBR.
039200     MOVE MB50WS-BAL-ADJ-CR-AMT  TO SS95WS-IN-AMT.
039300     PERFORM SS95PD-NAP-ROUTINE
039400                                 THRU SS95PD-NAP-EXIT.
039500     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
039600     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
039700*
039800     SET X-WS-TBL                TO +7.
039900     MOVE MB50WS-BAL-REC-ADJ-CR-NBR
040000                                 TO SS95WS-IN-NBR.
040100     MOVE MB50WS-BAL-REC-ADJ-CR-AMT
040200                                 TO SS95WS-IN-AMT.
040300     PERFORM SS95PD-NAP-ROUTINE
040400                                 THRU SS95PD-NAP-EXIT.
040500     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
040600     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
040700*
040800     SET X-WS-TBL                TO +8.
040900     MOVE MB50WS-BAL-USER-CR-NBR TO SS95WS-IN-NBR.
041000     MOVE MB50WS-BAL-USER-CR-AMT TO SS95WS-IN-AMT.
041100     PERFORM SS95PD-NAP-ROUTINE
041200                                 THRU SS95PD-NAP-EXIT.
041300     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
041400     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
041500*
041600     SET X-WS-TBL                TO +9.
041700     MOVE MB50WS-BAL-RESV-FUNDING-NBR
041800                                 TO SS95WS-IN-NBR.
041900     MOVE MB50WS-BAL-RESV-FUNDING-AMT
042000                                 TO SS95WS-IN-AMT.
042100     PERFORM SS95PD-NAP-ROUTINE
042200                                 THRU SS95PD-NAP-EXIT.
042300     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
042400     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
042500*
042600     SET X-WS-TBL                TO +10.
042700     MOVE MB50WS-BAL-DISCOUNT-NBR
042800                                 TO SS95WS-IN-NBR.
042900     MOVE MB50WS-BAL-DISCOUNT-AMT
043000                                 TO SS95WS-IN-AMT.
043100     PERFORM SS95PD-NAP-ROUTINE
043200                                 THRU SS95PD-NAP-EXIT.
043300     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
043400     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
043500*
043600     SET X-WS-TBL                TO +11.
043700     MOVE MB50WS-BAL-PART-DR-NBR TO SS95WS-IN-NBR.
043800     MOVE MB50WS-BAL-PART-DR-AMT TO SS95WS-IN-AMT.
043900     PERFORM SS95PD-NAP-ROUTINE
044000                                 THRU SS95PD-NAP-EXIT.
044100     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
044200     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
044300*
044400     SET X-WS-TBL                TO +12.
044500     MOVE MB50WS-BAL-ADJ-DR-NBR  TO SS95WS-IN-NBR.
044600     MOVE MB50WS-BAL-ADJ-DR-AMT  TO SS95WS-IN-AMT.
044700     PERFORM SS95PD-NAP-ROUTINE
044800                                 THRU SS95PD-NAP-EXIT.
044900     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
045000     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
045100*
045200     SET X-WS-TBL                TO +13.
045300     MOVE MB50WS-BAL-REC-ADJ-DR-NBR
045400                                 TO SS95WS-IN-NBR.
045500     MOVE MB50WS-BAL-REC-ADJ-DR-AMT
045600                                 TO SS95WS-IN-AMT.
045700     PERFORM SS95PD-NAP-ROUTINE
045800                                 THRU SS95PD-NAP-EXIT.
045900     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
046000     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
046100*
046200     SET X-WS-TBL                TO +14.
046300     MOVE MB50WS-BAL-USER-FEES-NBR
046400                                 TO SS95WS-IN-NBR.
046500     MOVE MB50WS-BAL-USER-FEES-AMT
046600                                 TO SS95WS-IN-AMT.
046700     PERFORM SS95PD-NAP-ROUTINE
046800                                 THRU SS95PD-NAP-EXIT.
046900     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
047000     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
047100*
047200     SET X-WS-TBL                TO +15.
047300     MOVE MB50WS-BAL-SYSTEM-FEES-NBR
047400                                 TO SS95WS-IN-NBR.
047500     MOVE MB50WS-BAL-SYSTEM-FEES-AMT
047600                                 TO SS95WS-IN-AMT.
047700     PERFORM SS95PD-NAP-ROUTINE
047800                                 THRU SS95PD-NAP-EXIT.
047900     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
048000     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
048100*
048200     SET X-WS-TBL                TO +16.
048300     MOVE MB50WS-BAL-INTCHG-FEES-NBR
048400                                 TO SS95WS-IN-NBR.
048500     MOVE MB50WS-BAL-INTCHG-FEES-AMT
048600                                 TO SS95WS-IN-AMT.
048700     PERFORM SS95PD-NAP-ROUTINE
048800                                 THRU SS95PD-NAP-EXIT.
048900     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
049000     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
049100*
049200     SET X-WS-TBL                TO +17.
049300     MOVE MB50WS-BAL-TRANSFER-NBR
049400                                 TO SS95WS-IN-NBR.
049500     MOVE MB50WS-BAL-TRANSFER-AMT
049600                                 TO SS95WS-IN-AMT.
049700     PERFORM SS95PD-NAP-ROUTINE
049800                                 THRU SS95PD-NAP-EXIT.
049900     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
050000     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
050100*
050200     SET X-WS-TBL                TO +18.
050300     COMPUTE SS95WS-IN-AMT       =  MB50WS-BAL-SETT-CR-AMT
050400                                 +  MB50WS-BAL-SETT-DR-AMT
050500                                 +  MB50WS-BAL-HOLDOVER-AMT.
050600     PERFORM SS95PD-NAP-ROUTINE
050700                                 THRU SS95PD-NAP-EXIT.
050800     MOVE SPACES                 TO WS-TBL-NBR      (X-WS-TBL).
050900     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
051000*
051100     EVALUATE TRUE
051200         WHEN SS95WS-IN-AMT      IS LESS THAN ZERO
051300              CONTINUE
051400         WHEN OTHER
051500              MOVE '+ NET SETTLEMENT OWED IN CYCLE ..........'
051600                                 TO WS-TABLE-DESC      (X-WS-TBL)
051700     END-EVALUATE.
051800*
051900     SET X-WS-TBL                TO +19.
052000     MOVE SPACES                 TO WS-TBL-NBR      (X-WS-TBL).
052100     MOVE SPACES                 TO WS-TBL-AMT      (X-WS-TBL).
052200*
052300     SET X-WS-TBL                TO +20.
052400     MOVE MB50WS-BAL-END-BALANCE TO SS95WS-IN-AMT.
052500     PERFORM SS95PD-NAP-ROUTINE
052600                                 THRU SS95PD-NAP-EXIT.
052700     MOVE SPACES                 TO WS-TBL-NBR      (X-WS-TBL).
052800     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
052900*
053000     SET X-WS-TBL                TO +21.
053100     MOVE MB50WS-BAL-CURR-HOLDOVER-AMT
053200                                 TO SS95WS-IN-AMT.
053300     PERFORM SS95PD-NAP-ROUTINE
053400                                 THRU SS95PD-NAP-EXIT.
053500     MOVE SPACES                 TO WS-TBL-NBR      (X-WS-TBL).
053600     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
053700*
053800*************************************************************
053900*    FORMAT THE MAP AREA. WHEN THIS IS A CHAIN STATEMENT    *
054000*    DO NOT DISPLAY BEGINNING OR ENDING BALANCES.           *
054100*************************************************************
054200*
054300     EVALUATE TRUE
054400         WHEN MBCA-INDEX-1 IS EQUAL TO +2
054500              CONTINUE
054600         WHEN OTHER
054700              MOVE +1            TO MBCA-INDEX-1
054800              SET WS-DISP-SCREEN-1
054900                                 TO TRUE
055000     END-EVALUATE.
055100*
055200     EVALUATE TRUE
055300         WHEN MBCA-MBIS-CHAIN
055400              MOVE 'CHAIN'       TO IS02-MERCHANT-LIT
055500              MOVE 'ACTIVITY SUMMARY'
055600                                 TO IS02-BAL-LIT
055700     END-EVALUATE.
055800*
055900     MOVE MBCA-ORG               TO IS02-ORG.
056000     MOVE MBCA-MERCHANT          TO IS02-MERCHANT.
056100     MOVE MBCA-MBIS-NAME         TO IS02-NAME.
056200     MOVE MBCA-MBIS-STMT-DATE    TO IS02-STMT-DATE.
056300     SET X-IS02-BS               TO +1.
056400*
056500     EVALUATE TRUE
056600         WHEN WS-DISP-SCREEN-1
056700             PERFORM VARYING X-WS-TBL FROM +1 BY +1
056800                 UNTIL X-WS-TBL IS GREATER THAN +15
056900                 MOVE WS-TABLE-DESC (X-WS-TBL)
057000                                 TO IS02-DESC     (X-IS02-BS)
057100                 MOVE WS-TBL-NBR  (X-WS-TBL)
057200                                 TO IS02-BAL-NBR  (X-IS02-BS)
057300                 MOVE WS-TBL-AMT  (X-WS-TBL)
057400                                 TO IS02-BAL-AMT  (X-IS02-BS)
057500                 EVALUATE TRUE
057600                     WHEN MBCA-MBIS-MERCH
057700                          SET X-IS02-BS
057800                                 UP BY +1
057900                     WHEN OTHER
058000                          EVALUATE TRUE
058100                             WHEN X-WS-TBL IS EQUAL TO +1
058200                                 CONTINUE
058300                             WHEN OTHER
058400                                 SET X-IS02-BS
058500                                 UP BY +1
058600                      END-EVALUATE
058700                 END-EVALUATE
058800             END-PERFORM
058900             MOVE +2             TO MBCA-INDEX-1
059000         WHEN OTHER
059100             PERFORM VARYING X-WS-TBL FROM +16 BY +1
059200                 UNTIL X-WS-TBL IS GREATER THAN +20
059300                 MOVE WS-TABLE-DESC (X-WS-TBL)
059400                                 TO IS02-DESC     (X-IS02-BS)
059500                 MOVE WS-TBL-NBR    (X-WS-TBL)
059600                                 TO IS02-BAL-NBR  (X-IS02-BS)
059700                 MOVE WS-TBL-AMT    (X-WS-TBL)
059800                                 TO IS02-BAL-AMT  (X-IS02-BS)
059900                 EVALUATE TRUE
060000                     WHEN MBCA-MBIS-MERCH
060100                          CONTINUE
060200                     WHEN OTHER
060300                         EVALUATE TRUE
060400                             WHEN X-WS-TBL IS EQUAL TO +19
060500                             WHEN X-WS-TBL IS EQUAL TO +20
060600                                 MOVE SPACES
060700                                 TO IS02-DESC     (X-IS02-BS)
060800                                 MOVE SPACES
060900                                 TO IS02-BAL-NBR  (X-IS02-BS)
061000                                 MOVE SPACES
061100                                 TO IS02-BAL-AMT  (X-IS02-BS)
061200                             WHEN OTHER
061300                                 CONTINUE
061400                      END-EVALUATE
061500                 END-EVALUATE
061600                 SET X-IS02-BS   UP BY +1
061700             END-PERFORM
061800             SET X-IS02-BS       TO +15
061900             MOVE WS-TABLE-DESC  (X-WS-TBL)
062000                                 TO IS02-DESC     (X-IS02-BS)
062100             MOVE WS-TBL-NBR     (X-WS-TBL)
062200                                 TO IS02-BAL-NBR  (X-IS02-BS)
062300             MOVE WS-TBL-AMT     (X-WS-TBL)
062400                                 TO IS02-BAL-AMT  (X-IS02-BS)
062500             MOVE +1             TO MBCA-INDEX-1
062600     END-EVALUATE.
062700*
062800 B900-SEND-MAP.
062900*
063000     EVALUATE TRUE
063100         WHEN WS-DISP-SCREEN-1
063200              MOVE '*FWD*'       TO SS08WS-LINE-24-PF-KEY-FUNC(5)
063300              MOVE DFHBMASB      TO IS02-FWD-IND-A
063400         WHEN OTHER
063500              MOVE '*BWD*'       TO SS08WS-LINE-24-PF-KEY-FUNC(5)
063600              MOVE DFHBMASB      TO IS02-BACK-IND-A
063700     END-EVALUATE.
063800*
063900     MOVE SS08WS-LINE-24         TO IS02-PF-KEYS.
064000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
064100     MOVE SS08WS-CURSOR          TO IS02-ALT-TRANID-L
064200     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
064300*
064400***********************************************************
064500*    SET THE CURRENCY CODE, CURRENCY NOD                  *
064600*            PER ITEM NOD, PERCENT NOD.                   *
064700***********************************************************
064800     IF IS02-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
064900        PERFORM MB06PD-FORMAT-MESSAGE-LINE
065000                                 THRU MB06PD-FML-EXIT
065100        MOVE SS08WS-FORMATTED-MSG   TO IS02-ERR-MESSAGE
065200     END-IF.
065300*
065400**********************
065500*    SEND THE MAP    *
065600**********************
065700*
065800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
065900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
066000                                 THRU MB60PD-SMWE-EXIT.
066100*
066200************************
066300*    RETURN TO CICS    *
066400************************
066500*
066600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
066700     PERFORM MB70PD-RETURN-TRANS-ID
066800                                 THRU MB70PD-RTI-EXIT.
066900/
067000 C000-RECEIVE-SCREEN SECTION.
067100*
067200******************************************
067300*    THIS SECTION RECEIVES THE SCREEN    *
067400******************************************
067500*
067600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
067700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
067800*
067900**************************************************************
068000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
068100**************************************************************
068200*
068300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
068400     PERFORM MB60PD-NEW-TRANS-ROUTINE
068500                                 THRU MB60PD-NTR-EXIT.
068600*
068700**************************************************************
068800*    CHECK SCREEN FOR SCROLLING                              *
068900**************************************************************
069000*
069100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
069200*
069300     EVALUATE TRUE
069400         WHEN SS08WS-VALID-PF5
069500         WHEN SS08WS-EIBAID-VALID-PF5
069600             EVALUATE TRUE
069700                 WHEN MBCA-INDEX-1
069800                                 IS EQUAL TO +2
069900                      SET WS-DISP-SCREEN-2
070000                                 TO TRUE
070100                 WHEN OTHER
070200                      SET WS-DISP-SCREEN-1
070300                                 TO TRUE
070400             END-EVALUATE
070500             MOVE 52             TO MBCA-SCREEN-NBR
070600             GO TO B000-SEND-SCREEN
070700         WHEN OTHER
070800             MOVE ZERO           TO MBCA-INDEX-1
070900     END-EVALUATE.
071000*
071100/
071200 F000-SETUP-COMMAREA SECTION.
071300*
071400***************************************************************
071500*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
071600***************************************************************
071700*
071800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
071900*
072000     PERFORM MB60PD-EDIT-PAGE-NBR
072100                                 THRU MB60PD-EPN-EXIT.
072200*
072300     IF  SS08WS-VALID-PF-KEY
072400     OR  SS08WS-EIBAID-VALID-PF-KEY
072500         SET MBCA-INITIAL-SCREEN-NBR
072600                                 TO TRUE.
072700*
072800 F090-TRANSFER-XCTL.
072900*
073000     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
073100     PERFORM MB70PD-XCTL-TO-MBOXCTL
073200                                 THRU MB70PD-XTM-EXIT.
073300/
073400 Z000-COPIED-ROUTINES SECTION.
073500*
073600**********************************
073700*    JUL TO GREG DATE ROUTINE    *
073800**********************************
073900*
074000     COPY SS08PD.
074100/
074200     COPY SS26PD.
074300/
074400     COPY SS27PD.
074500/
074600**********************************
074700*    GREG TO JUL DATE ROUTINE    *
074800**********************************
074900*
075000     COPY SS07PD.
075100/
075200*********************************
075300*    LINE 24 PF KEYS ROUTINE    *
075400*********************************
075500*
075600     COPY SS15PD.
075700/
075800***************************************************
075900*    STATEMENT FILE 1                             *
076000***************************************************
076100*
076200     COPY MMS1AO.
076300/
076400***************************************************
076500*    STATEMENT FILE 2                             *
076600***************************************************
076700*
076800     COPY MMS2AO.
076900/
077000***************************************************
077100*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
077200***************************************************
077300*
077400     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
077500/
077600*****************************
077700*    ONLINE MAP ROUTINES    *
077800*****************************
077900*
078000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIS02 '
078100                           MBMAPXXI BY MBIS02I
078200                           MBMAPXXO BY MBIS02O.
078300/
078400***********************************
078500*    FORMAT MESSAGE LINE BUILDER  *
078600***********************************
078700*
078800     COPY MB06PD.
078900/
079000***************************
079100*    ONLINE PROCEDURES    *
079200***************************
079300*
079400     COPY MB70PD.
079500/
079600     COPY SMFTPXO.
