000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIS07.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIS07 - ON-LINE STATEMENT                              *
000800*                SCREEN 07                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MBIS                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIS07 (SCREEN 07)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMS1 (STATEMENT FILE 1)                    *
001600*                 B. MMS2 (STATEMENT FILE 2)                    *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-PRINT-LINE-05.
003200     03  WS-PL05-LIT         PIC  X(44).
003300     03  WS-PL05-NBR         PIC  X(12).
003400     03  WS-PL05-AMT         PIC  X(22).
003500*
003600 01  WS-PRINT-LINE-06.
003700     03  WS-PL06-LIT-1       PIC  X(07).
003800     03  WS-PL06-INDEX-X.
003900         05  WS-PL06-INDEX   PIC  9(01).
004000     03  WS-PL06-FILL        PIC  X(01).
004100     03  WS-PL06-RT-X.
004200         05  WS-PL06-RT      PIC  9999,9999,9-.
004300     03  WS-PL06-ACCT        PIC  X(19).
004400     03  WS-PL06-TYPE        PIC  X(05).
004500     03  WS-PL06-METHOD-DESC PIC  X(09).
004600     03  WS-PL06-CR-DR       PIC  X(02).
004700     03  WS-PL06-AMT         PIC  X(22).
004800*
004900 01  WS-PRINT-LINE-07.
005000     03  WS-PL07-LIT-1       PIC  X(07).
005100     03  WS-PL07-INDEX-X.
005200         05  WS-PL07-INDEX   PIC  9(01).
005300     03  WS-PL07-FILL        PIC  X(01).
005400     03  WS-PL07-ORG-X.
005500         05  WS-PL07-ORG     PIC  9(03)-.
005600     03  WS-PL07-ACCT        PIC  X(19).
005700     03  WS-PL07-DOTS        PIC  X(24).
005800     03  WS-PL07-AMT         PIC  X(22).
005900*
006000 01  FILLER                  PIC  X(17)      VALUE
006100     'PROGRAM SWITCHES:'.
006200*
006300 01  WS-SWITCHES.
006400     03  WS-DATA-AVAIALBLE   PIC S9(01)      VALUE +1.
006500         88 WS-HAVE-NO-DATA                  VALUE +1.
006600         88 WS-HAVE-DATA                     VALUE +2.
006700     03  WS-DISPLAY-SCREEN   PIC S9(01)      VALUE +1.
006800         88 WS-NO-DISPLAY                    VALUE +1.
006900         88 WS-DISPLAY                       VALUE +2.
007000     03  WS-READ-REC-NBR     PIC  X(04).
007100         88 WS-READ-REC-100                  VALUE '0100'.
007200         88 WS-READ-REC-700                  VALUE '0700'.
007300         88 WS-READ-REC-701                  VALUE '0701'.
007400*
007500/
007600 01  FILLER                  PIC  X(22)      VALUE
007700     'STATEMENT WORK AREAS: '.
007800*
007900     COPY MB50WS.
008000/
008100 01  FILLER                  PIC  X(29)      VALUE
008200     'I/O REQUEST BLOCK WORK AREAS:'.
008300*
008400     COPY MBIOWS.
008500/
008600 01  FILLER                  PIC  X(18)      VALUE
008700     'I/O REQUEST BLOCK:'.
008800*
008900     COPY MBIORO.
009000/
009100 01  FILLER                  PIC  X(20)      VALUE
009200     'CCS DATE WORK AREAS:'.
009300/
009400     COPY SS01WS.
009500/
009600 01  FILLER                  PIC  X(15)      VALUE
009700     'CCS WORK AREAS:'.
009800*
009900     COPY SS08WS.
010000/
010100     COPY SS00WS.
010200/
010300     COPY SMFTWS.
010400/
010500     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
010600/
010700     COPY MB61LK.
010800/
010900 01  FILLER                  PIC  X(28)      VALUE
011000     'DYNAMICALY CALLED SUBROUINES'.
011100*
011200     COPY MB00WS.
011300/
011400 01  FILLER                  PIC  X(36)      VALUE
011500     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
011600*
011700     COPY SS95WS.
011800*
011900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012000/
012100 LINKAGE SECTION.
012200*
012300 01  DFHCOMMAREA.
012400*
012500     COPY MB60WS.
012600/
012700*********************************
012800*    ON-LINE STATEMENT MAP      *
012900*********************************
013000*
013100     COPY MBIS07.
013200/
013300**********************************************
013400*    ON-LINE STATEMENT MAP REDEFINITION      *
013500**********************************************
013600*
013700     COPY MBIS07R.
013800/
013900*********************************************
014000*    STATEMENT FILE 1 RECORD LAYOUT         *
014100*********************************************
014200*
014300     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS1==.
014400/
014500*********************************************
014600*    STATEMENT FILE 2 RECORD LAYOUT         *
014700*********************************************
014800*
014900     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS2==.
015000/
015100 PROCEDURE DIVISION.
015200*
015300 A000-HOUSEKEEPING SECTION.
015400*
015500 A020-INIT.
015600*
015700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
015800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
015900                                 THRU MB70PD-OLH-EXIT.
016000     SET SS95WS-FUNCTION-INITIALIZE
016100                                 TO TRUE.
016200     PERFORM SS95PD-NAP-ROUTINE
016300        THRU SS95PD-NAP-EXIT.
016400*
016500     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
016600*
016700     IF  MBCA-RECEIVE-SCREEN
016800         GO TO C000-RECEIVE-SCREEN.
016900/
017000 B000-SEND-SCREEN SECTION.
017100*
017200*********************************************
017300*    GET CICS STORAGE NEEDED FOR THE MAP    *
017400*********************************************
017500*
017600     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
017700     PERFORM MB60PD-GETMAIN-FOR-MAP
017800                                 THRU MB60PD-GFM-EXIT.
017900*
018000*******************************************
018100*    INITIALIZE THE STANDARD MAP LINES    *
018200*******************************************
018300*
018400     PERFORM MB60PD-INIT-STD-MAP-LINES
018500                                 THRU MB60PD-ISML-EXIT.
018600     SET WS-HAVE-NO-DATA         TO TRUE.
018700*
018800     INITIALIZE MB50WS-SETT-ACCOUNTS.
018900     INITIALIZE MB50WS-SETT-TOTALS.
018910     MOVE SPACES                 TO WS-PRINT-LINE-05.
018912     MOVE SPACES                 TO WS-PRINT-LINE-06.
018914     MOVE SPACES                 TO WS-PRINT-LINE-07.
019000*
019100 B200-FORMAT-SCREEN.
019200*
019300**********************************************************
019400*    READ THE STATEMENT FILE FOR FIRST RECORD            *
019500**********************************************************
019600*
019700     SET WS-READ-REC-100         TO TRUE.
019800     PERFORM Y100-READ-STATEMENT THRU Y199-RS-EXIT.
019900*
020000     IF  SS08WS-RC-FC-VALID-RTN-CODE
020100         MOVE MMS1-REC-TYPE-DATA TO MB50WS-REC-ID-0100.
020200*
020300     SET WS-READ-REC-700         TO TRUE.
020400     PERFORM Y100-READ-STATEMENT THRU Y199-RS-EXIT.
020500*
020600     IF  SS08WS-RC-FC-VALID-RTN-CODE
020700         MOVE MMS1-REC-TYPE-DATA TO MB50WS-REC-ID-0700.
020800*
020900     SET WS-READ-REC-701         TO TRUE.
021000     PERFORM Y100-READ-STATEMENT THRU Y199-RS-EXIT.
021100*
021200     IF  SS08WS-RC-FC-VALID-RTN-CODE
021300         MOVE MMS1-REC-TYPE-DATA TO MB50WS-REC-ID-0701.
021400*
021500     IF  WS-HAVE-NO-DATA
021600         GO TO F000-SETUP-COMMAREA.
021700*
021800*********************************
021900*    FORMAT MAP STATIC FIELDS   *
022000*********************************
022100*
022200     EVALUATE TRUE
022300         WHEN MBCA-MBIS-CHAIN
022400              MOVE 'CHAIN'       TO IS07-MERCHANT-LIT
022500     END-EVALUATE.
022600*
022700     MOVE MBCA-ORG               TO IS07-ORG.
022800     MOVE MBCA-MERCHANT          TO IS07-MERCHANT.
022900     MOVE MBCA-MBIS-NAME         TO IS07-NAME.
023000     MOVE MBCA-MBIS-STMT-DATE    TO IS07-STMT-DATE.
023100*
023200*********************************************
023300*    FORMAT REMAINDER OF THE RESERVE-AREA   *
023400*********************************************
023500*
023600     SET X-IS07-SL               TO 1.
023700*
023800     PERFORM
023900         VARYING X-MB50WS-SETT-ACCT FROM 1 BY 1
024000         UNTIL   X-MB50WS-SETT-ACCT IS GREATER THAN 4
024100         IF  MB50WS-SETT-ACCT-SKIP      (X-MB50WS-SETT-ACCT)
024200         OR  MB50WS-SETT-NET-SETTLEMENT (X-MB50WS-SETT-ACCT)
024300             CONTINUE
024400         ELSE
024500             INITIALIZE          WS-PRINT-LINE-06
024600             MOVE SPACES         TO WS-PL06-INDEX-X
024700                                    WS-PL06-RT-X
024800             SET X-MB50WS-SAMT   TO X-MB50WS-SETT-ACCT
024900             MOVE 'SETTLED'      TO WS-PL06-LIT-1
025000             SET WS-PL06-INDEX   TO X-MB50WS-SETT-ACCT
025100             MOVE MB50WS-SA-CR-RT (X-MB50WS-SETT-ACCT)
025200                                 TO WS-PL06-RT
025300             INSPECT WS-PL06-RT  REPLACING ALL ',' BY '-'
025400             MOVE MB50WS-SA-CR-ACCT (X-MB50WS-SETT-ACCT)
025500                                 TO WS-PL06-ACCT
025600             EVALUATE TRUE
025700                 WHEN MB50WS-CR-ACCT-DDA (X-MB50WS-SETT-ACCT)
025800                     MOVE 'DDA'  TO WS-PL06-TYPE
025900                 WHEN MB50WS-CR-ACCT-SAV (X-MB50WS-SETT-ACCT)
026000                     MOVE 'SAV'  TO WS-PL06-TYPE
026100             END-EVALUATE
026200             EVALUATE TRUE
026300                 WHEN MB50WS-SETT-ACCT-ACH (X-MB50WS-SETT-ACCT)
026400                     MOVE 'A C H--X'
026500                                 TO WS-PL06-METHOD-DESC
026600                     MOVE MB50WS-SETT-ACCT-METHOD
026700                          (X-MB50WS-SETT-ACCT) (2:1)
026800                                 TO WS-PL06-METHOD-DESC (8:1)
026900                 WHEN MB50WS-SETT-ACCT-CHECK (X-MB50WS-SETT-ACCT)
027000                     MOVE 'CHECK'
027100                                 TO WS-PL06-METHOD-DESC
027200                 WHEN MB50WS-SETT-ACCT-WIRE (X-MB50WS-SETT-ACCT)
027300                     MOVE 'WIRE' TO WS-PL06-METHOD-DESC
027400                 WHEN OTHER
027500                     MOVE 'MANUAL-X'
027600                                 TO WS-PL06-METHOD-DESC
027700                     MOVE MB50WS-SETT-ACCT-METHOD
027800                          (X-MB50WS-SETT-ACCT) (2:1)
027900                                 TO WS-PL06-METHOD-DESC (8:1)
028000             END-EVALUATE
028100             MOVE 'CR'           TO WS-PL06-CR-DR
028200             MOVE MB50WS-SAMT-CR-AMT (X-MB50WS-SAMT)
028300                                 TO SS95WS-IN-AMT
028400             PERFORM SS95PD-NAP-ROUTINE
028500                THRU SS95PD-NAP-EXIT
028600             MOVE SS95WS-OUT-AMT-L22
028700                                 TO WS-PL06-AMT
028800             MOVE WS-PRINT-LINE-06
028900                                 TO IS07-SETT-LINE (X-IS07-SL)
029000             SET X-IS07-SL       UP BY 1
029100             INITIALIZE          WS-PRINT-LINE-06
029200             MOVE SPACES         TO WS-PL06-INDEX-X
029300                                    WS-PL06-RT-X
029400             MOVE MB50WS-SA-DR-RT (X-MB50WS-SETT-ACCT)
029500                                 TO WS-PL06-RT
029600             INSPECT WS-PL06-RT  REPLACING ALL ',' BY '-'
029700             MOVE MB50WS-SA-DR-ACCT (X-MB50WS-SETT-ACCT)
029800                                 TO WS-PL06-ACCT
029900             EVALUATE TRUE
030000                 WHEN MB50WS-DR-ACCT-DDA (X-MB50WS-SETT-ACCT)
030100                     MOVE 'DDA'  TO WS-PL06-TYPE
030200                 WHEN MB50WS-DR-ACCT-SAV (X-MB50WS-SETT-ACCT)
030300                     MOVE 'SAV'  TO WS-PL06-TYPE
030400             END-EVALUATE
030500             EVALUATE TRUE
030600                 WHEN MB50WS-SETT-ACCT-ACH (X-MB50WS-SETT-ACCT)
030700                     MOVE 'A C H--X'
030800                                 TO WS-PL06-METHOD-DESC
030900                     MOVE MB50WS-SETT-ACCT-METHOD
031000                          (X-MB50WS-SETT-ACCT) (2:1)
031100                                 TO WS-PL06-METHOD-DESC (8:1)
031200                 WHEN MB50WS-SETT-ACCT-CHECK (X-MB50WS-SETT-ACCT)
031300                     MOVE 'CHECK'
031400                                 TO WS-PL06-METHOD-DESC
031500                 WHEN MB50WS-SETT-ACCT-WIRE (X-MB50WS-SETT-ACCT)
031600                     MOVE 'WIRE' TO WS-PL06-METHOD-DESC
031700                 WHEN OTHER
031800                     MOVE 'MANUAL-X'
031900                                 TO WS-PL06-METHOD-DESC
032000                     MOVE MB50WS-SETT-ACCT-METHOD
032100                          (X-MB50WS-SETT-ACCT) (2:1)
032200                                 TO WS-PL06-METHOD-DESC (8:1)
032300             END-EVALUATE
032400             MOVE 'DR'           TO WS-PL06-CR-DR
032500             MOVE MB50WS-SAMT-DR-AMT (X-MB50WS-SAMT)
032600                                 TO SS95WS-IN-AMT
032700             PERFORM SS95PD-NAP-ROUTINE
032800                THRU SS95PD-NAP-EXIT
032900             MOVE SS95WS-OUT-AMT-L22
033000                                 TO WS-PL06-AMT
033100             MOVE WS-PRINT-LINE-06
033200                                 TO IS07-SETT-LINE (X-IS07-SL)
033300             SET X-IS07-SL       UP BY 1
033400             INITIALIZE          WS-PRINT-LINE-06
033500             MOVE SPACES         TO WS-PL06-INDEX-X
033600                                    WS-PL06-RT-X
033700         END-IF
033800         IF  MB50WS-SETT-NET-SETTLEMENT (X-MB50WS-SETT-ACCT)
033900         AND MB50WS-SETT-NO-HOLDOVER (X-MB50WS-SETT-ACCT)
034000             SET X-MB50WS-SAMT   TO X-MB50WS-SETT-ACCT
034100             MOVE 'SETTLED'      TO WS-PL06-LIT-1
034200             SET WS-PL06-INDEX   TO X-MB50WS-SETT-ACCT
034300             MOVE MB50WS-SA-CR-RT (X-MB50WS-SETT-ACCT)
034400                                 TO WS-PL06-RT
034500             INSPECT WS-PL06-RT  REPLACING ALL ',' BY '-'
034600             MOVE MB50WS-SA-CR-ACCT (X-MB50WS-SETT-ACCT)
034700                                 TO WS-PL06-ACCT
034800             EVALUATE TRUE
034900                 WHEN MB50WS-CR-ACCT-DDA (X-MB50WS-SETT-ACCT)
035000                     MOVE 'DDA'  TO WS-PL06-TYPE
035100                 WHEN MB50WS-CR-ACCT-SAV (X-MB50WS-SETT-ACCT)
035200                     MOVE 'SAV'  TO WS-PL06-TYPE
035300             END-EVALUATE
035400             EVALUATE TRUE
035500                 WHEN MB50WS-SETT-ACCT-ACH (X-MB50WS-SETT-ACCT)
035600                     MOVE 'A C H--X'
035700                                 TO WS-PL06-METHOD-DESC
035800                     MOVE MB50WS-SETT-ACCT-METHOD
035900                          (X-MB50WS-SETT-ACCT) (2:1)
036000                                 TO WS-PL06-METHOD-DESC (8:1)
036100                 WHEN MB50WS-SETT-ACCT-CHECK (X-MB50WS-SETT-ACCT)
036200                     MOVE 'CHECK'
036300                                 TO WS-PL06-METHOD-DESC
036400                 WHEN MB50WS-SETT-ACCT-WIRE (X-MB50WS-SETT-ACCT)
036500                     MOVE 'WIRE' TO WS-PL06-METHOD-DESC
036600                 WHEN OTHER
036700                     MOVE 'MANUAL-X'
036800                                 TO WS-PL06-METHOD-DESC
036900                     MOVE MB50WS-SETT-ACCT-METHOD
037000                          (X-MB50WS-SETT-ACCT) (2:1)
037100                                 TO WS-PL06-METHOD-DESC (8:1)
037200             END-EVALUATE
037300             MOVE 'CR'           TO WS-PL06-CR-DR
037400             MOVE MB50WS-SAMT-NET-CR-AMT (X-MB50WS-SAMT)
037500                                 TO SS95WS-IN-AMT
037600             PERFORM SS95PD-NAP-ROUTINE
037700                THRU SS95PD-NAP-EXIT
037800             MOVE SS95WS-OUT-AMT-L22
037900                                 TO WS-PL06-AMT
038000             MOVE WS-PRINT-LINE-06
038100                                 TO IS07-SETT-LINE (X-IS07-SL)
038200             SET X-IS07-SL       UP BY 1
038300             INITIALIZE          WS-PRINT-LINE-06
038400             MOVE SPACES         TO WS-PL06-INDEX-X
038500                                    WS-PL06-RT-X
038600             MOVE MB50WS-SA-DR-RT (X-MB50WS-SETT-ACCT)
038700                                 TO WS-PL06-RT
038800             INSPECT WS-PL06-RT  REPLACING ALL ',' BY '-'
038900             MOVE MB50WS-SA-DR-ACCT (X-MB50WS-SETT-ACCT)
039000                                 TO WS-PL06-ACCT
039100             EVALUATE TRUE
039200                 WHEN MB50WS-DR-ACCT-DDA (X-MB50WS-SETT-ACCT)
039300                     MOVE 'DDA'  TO WS-PL06-TYPE
039400                 WHEN MB50WS-DR-ACCT-SAV (X-MB50WS-SETT-ACCT)
039500                     MOVE 'SAV'  TO WS-PL06-TYPE
039600             END-EVALUATE
039700             EVALUATE TRUE
039800                 WHEN MB50WS-SETT-ACCT-ACH (X-MB50WS-SETT-ACCT)
039900                     MOVE 'A C H--X'
040000                                 TO WS-PL06-METHOD-DESC
040100                     MOVE MB50WS-SETT-ACCT-METHOD
040200                          (X-MB50WS-SETT-ACCT) (2:1)
040300                                 TO WS-PL06-METHOD-DESC (8:1)
040400                 WHEN MB50WS-SETT-ACCT-CHECK (X-MB50WS-SETT-ACCT)
040500                     MOVE 'CHECK'
040600                                 TO WS-PL06-METHOD-DESC
040700                 WHEN MB50WS-SETT-ACCT-WIRE (X-MB50WS-SETT-ACCT)
040800                     MOVE 'WIRE' TO WS-PL06-METHOD-DESC
040900                 WHEN OTHER
041000                     MOVE 'MANUAL-X'
041100                                 TO WS-PL06-METHOD-DESC
041200                     MOVE MB50WS-SETT-ACCT-METHOD
041300                          (X-MB50WS-SETT-ACCT) (2:1)
041400                                 TO WS-PL06-METHOD-DESC (8:1)
041500             END-EVALUATE
041600             MOVE 'DR'           TO WS-PL06-CR-DR
041700             MOVE MB50WS-SAMT-NET-DR-AMT (X-MB50WS-SAMT)
041800                                 TO SS95WS-IN-AMT
041900             PERFORM SS95PD-NAP-ROUTINE
042000                THRU SS95PD-NAP-EXIT
042100             MOVE SS95WS-OUT-AMT-L22
042200                                 TO WS-PL06-AMT
042300             MOVE WS-PRINT-LINE-06
042400                                 TO IS07-SETT-LINE (X-IS07-SL)
042500             SET X-IS07-SL       UP BY 1
042600             INITIALIZE          WS-PRINT-LINE-06
042700             MOVE SPACES         TO WS-PL06-INDEX-X
042800                                    WS-PL06-RT-X
042900         END-IF
043000         IF  MB50WS-SETT-NET-SETTLEMENT (X-MB50WS-SETT-ACCT)
043100         AND MB50WS-SETT-HOLDOVER-NORM (X-MB50WS-SETT-ACCT)
043200             SET X-MB50WS-SAMT   TO X-MB50WS-SETT-ACCT
043300             MOVE 'SETTLED'      TO WS-PL06-LIT-1
043400             SET WS-PL06-INDEX   TO X-MB50WS-SETT-ACCT
043500             MOVE MB50WS-SA-CR-RT (X-MB50WS-SETT-ACCT)
043600                                 TO WS-PL06-RT
043700             INSPECT WS-PL06-RT  REPLACING ALL ',' BY '-'
043800             MOVE MB50WS-SA-CR-ACCT (X-MB50WS-SETT-ACCT)
043900                                 TO WS-PL06-ACCT
044000             EVALUATE TRUE
044100                 WHEN MB50WS-SA-CR-RT (X-MB50WS-SETT-ACCT)
044200                                 IS EQUAL TO ZERO
044300                     CONTINUE
044400                 WHEN MB50WS-CR-ACCT-DDA (X-MB50WS-SETT-ACCT)
044500                     MOVE 'DDA'  TO WS-PL06-TYPE
044600                 WHEN MB50WS-CR-ACCT-SAV (X-MB50WS-SETT-ACCT)
044700                     MOVE 'SAV'  TO WS-PL06-TYPE
044800             END-EVALUATE
044900             EVALUATE TRUE
045000                 WHEN MB50WS-SETT-ACCT-ACH (X-MB50WS-SETT-ACCT)
045100                     MOVE 'A C H--X'
045200                                 TO WS-PL06-METHOD-DESC
045300                     MOVE MB50WS-SETT-ACCT-METHOD
045400                          (X-MB50WS-SETT-ACCT) (2:1)
045500                                 TO WS-PL06-METHOD-DESC (8:1)
045600                 WHEN MB50WS-SETT-ACCT-CHECK (X-MB50WS-SETT-ACCT)
045700                     MOVE 'CHECK'
045800                                 TO WS-PL06-METHOD-DESC
045900                 WHEN MB50WS-SETT-ACCT-WIRE (X-MB50WS-SETT-ACCT)
046000                     MOVE 'WIRE' TO WS-PL06-METHOD-DESC
046100                 WHEN OTHER
046200                     MOVE 'MANUAL-X'
046300                                 TO WS-PL06-METHOD-DESC
046400                     MOVE MB50WS-SETT-ACCT-METHOD
046500                          (X-MB50WS-SETT-ACCT) (2:1)
046600                                 TO WS-PL06-METHOD-DESC (8:1)
046700             END-EVALUATE
046800             MOVE 'CR'           TO WS-PL06-CR-DR
046900             MOVE MB50WS-SAMT-NET-CR-AMT (X-MB50WS-SAMT)
047000                                  TO SS95WS-IN-AMT
047100             PERFORM SS95PD-NAP-ROUTINE
047200                THRU SS95PD-NAP-EXIT
047300             MOVE SS95WS-OUT-AMT-L22
047400                                 TO WS-PL06-AMT
047500             MOVE WS-PRINT-LINE-06
047600                                 TO IS07-SETT-LINE (X-IS07-SL)
047700             SET X-IS07-SL       UP BY 1
047800             INITIALIZE          WS-PRINT-LINE-06
047900             MOVE SPACES         TO WS-PL06-INDEX-X
048000                                    WS-PL06-RT-X
048100             MOVE 'HOLDOVER'     TO WS-PL06-METHOD-DESC
048200             MOVE MB50WS-SAMT-HOLDOVER (X-MB50WS-SAMT)
048300                                  TO SS95WS-IN-AMT
048400             PERFORM SS95PD-NAP-ROUTINE
048500                THRU SS95PD-NAP-EXIT
048600             MOVE SS95WS-OUT-AMT-L22
048700                                 TO WS-PL06-AMT
048800             MOVE WS-PRINT-LINE-06
048900                                 TO IS07-SETT-LINE (X-IS07-SL)
049000             SET X-IS07-SL       UP BY 1
049100             INITIALIZE          WS-PRINT-LINE-06
049200             MOVE SPACES         TO WS-PL06-INDEX-X
049300                                    WS-PL06-RT-X
049400         END-IF
049500         IF  MB50WS-SETT-NET-SETTLEMENT (X-MB50WS-SETT-ACCT)
049600         AND MB50WS-SETT-HOLDOVER-BILLED (X-MB50WS-SETT-ACCT)
049700             SET X-MB50WS-SAMT   TO X-MB50WS-SETT-ACCT
049800             MOVE 'SETTLED'      TO WS-PL06-LIT-1
049900             SET WS-PL06-INDEX   TO X-MB50WS-SETT-ACCT
050000             MOVE MB50WS-SA-CR-RT (X-MB50WS-SETT-ACCT)
050100                                 TO WS-PL06-RT
050200             INSPECT WS-PL06-RT  REPLACING ALL ',' BY '-'
050300             MOVE MB50WS-SA-CR-ACCT (X-MB50WS-SETT-ACCT)
050400                                 TO WS-PL06-ACCT
050500             EVALUATE TRUE
050600                 WHEN MB50WS-SA-CR-RT (X-MB50WS-SETT-ACCT)
050700                                 IS EQUAL TO ZERO
050800                     CONTINUE
050900                 WHEN MB50WS-CR-ACCT-DDA (X-MB50WS-SETT-ACCT)
051000                     MOVE 'DDA'  TO WS-PL06-TYPE
051100                 WHEN MB50WS-CR-ACCT-SAV (X-MB50WS-SETT-ACCT)
051200                     MOVE 'SAV'  TO WS-PL06-TYPE
051300             END-EVALUATE
051400             EVALUATE TRUE
051500                 WHEN MB50WS-SETT-ACCT-ACH (X-MB50WS-SETT-ACCT)
051600                     MOVE 'A C H--X'
051700                                 TO WS-PL06-METHOD-DESC
051800                     MOVE MB50WS-SETT-ACCT-METHOD
051900                          (X-MB50WS-SETT-ACCT) (2:1)
052000                                 TO WS-PL06-METHOD-DESC (8:1)
052100                 WHEN MB50WS-SETT-ACCT-CHECK (X-MB50WS-SETT-ACCT)
052200                     MOVE 'CHECK'
052300                                 TO WS-PL06-METHOD-DESC
052400                 WHEN MB50WS-SETT-ACCT-WIRE (X-MB50WS-SETT-ACCT)
052500                     MOVE 'WIRE' TO WS-PL06-METHOD-DESC
052600                 WHEN OTHER
052700                     MOVE 'MANUAL-X'
052800                                 TO WS-PL06-METHOD-DESC
052900                     MOVE MB50WS-SETT-ACCT-METHOD
053000                          (X-MB50WS-SETT-ACCT) (2:1)
053100                                 TO WS-PL06-METHOD-DESC (8:1)
053200             END-EVALUATE
053300             MOVE 'CR'           TO WS-PL06-CR-DR
053400             MOVE MB50WS-SAMT-NET-CR-AMT (X-MB50WS-SAMT)
053500                                  TO SS95WS-IN-AMT
053600             PERFORM SS95PD-NAP-ROUTINE
053700                THRU SS95PD-NAP-EXIT
053800             MOVE SS95WS-OUT-AMT-L22
053900                                 TO WS-PL06-AMT
054000             MOVE WS-PRINT-LINE-06
054100                                 TO IS07-SETT-LINE (X-IS07-SL)
054200             SET X-IS07-SL       UP BY 1
054300             INITIALIZE          WS-PRINT-LINE-06
054400             MOVE SPACES         TO WS-PL06-INDEX-X
054500                                    WS-PL06-RT-X
054600             MOVE 'TO INVOIC'    TO WS-PL06-METHOD-DESC
054700             MOVE 'E '           TO WS-PL06-CR-DR
054800             MOVE MB50WS-SAMT-XFER-INV (X-MB50WS-SAMT)
054900                                  TO SS95WS-IN-AMT
055000             PERFORM SS95PD-NAP-ROUTINE
055100                THRU SS95PD-NAP-EXIT
055200             MOVE SS95WS-OUT-AMT-L22
055300                                 TO WS-PL06-AMT
055400             MOVE WS-PRINT-LINE-06
055500                                 TO IS07-SETT-LINE (X-IS07-SL)
055600             SET X-IS07-SL       UP BY 1
055700             INITIALIZE          WS-PRINT-LINE-06
055800             MOVE SPACES         TO WS-PL06-INDEX-X
055900                                    WS-PL06-RT-X
056000         END-IF
056100     END-PERFORM.
056200*
056300     IF  MB50WS-BILLING-ORG (1)  IS EQUAL TO ZERO
056400     AND MB50WS-BILLING-ACCT (1) IS EQUAL TO SPACES
056500     AND MB50WS-SBT-AMT (1)      IS EQUAL TO ZERO
056600     AND MB50WS-BILLING-ORG (2)  IS EQUAL TO ZERO
056700     AND MB50WS-BILLING-ACCT (2) IS EQUAL TO SPACES
056800     AND MB50WS-SBT-AMT (2)      IS EQUAL TO ZERO
056900     AND MB50WS-BILLING-ORG (3)  IS EQUAL TO ZERO
057000     AND MB50WS-BILLING-ACCT (3) IS EQUAL TO SPACES
057100     AND MB50WS-SBT-AMT (3)      IS EQUAL TO ZERO
057200     AND MB50WS-BILLING-ORG (4)  IS EQUAL TO ZERO
057300     AND MB50WS-BILLING-ACCT (4) IS EQUAL TO SPACES
057400     AND MB50WS-SBT-AMT (4)      IS EQUAL TO ZERO
057500         NEXT SENTENCE
057600     ELSE
057700         INITIALIZE              WS-PRINT-LINE-05
057800         MOVE '          ORG *-INVOICE ACCOUNT-*          '
057900                                 TO WS-PL05-LIT
058000         MOVE WS-PRINT-LINE-05   TO IS07-SETT-LINE (X-IS07-SL)
058100         SET X-IS07-SL           UP BY 1
058200         INITIALIZE              WS-PRINT-LINE-05.
058300*
058400     PERFORM
058500         VARYING X-MB50WS-SETT-ACCT FROM 1 BY 1
058600         UNTIL   X-MB50WS-SETT-ACCT IS GREATER THAN 4
058700         SET X-MB50WS-SBT        TO X-MB50WS-SETT-ACCT
058800         IF  MB50WS-BILLING-ORG (X-MB50WS-SETT-ACCT)
058900                                 IS EQUAL TO ZERO
059000         AND MB50WS-BILLING-ACCT (X-MB50WS-SETT-ACCT)
059100                                 IS EQUAL TO SPACES
059200         AND MB50WS-SBT-AMT (X-MB50WS-SBT)
059300                                 IS EQUAL TO ZERO
059400             CONTINUE
059500         ELSE
059600             INITIALIZE          WS-PRINT-LINE-07
059700             MOVE SPACES         TO WS-PL07-INDEX-X
059800                                    WS-PL07-ORG-X
059900             MOVE 'INVOICE'      TO WS-PL07-LIT-1
060000             SET WS-PL07-INDEX   TO X-MB50WS-SETT-ACCT
060100             MOVE MB50WS-BILLING-ORG (X-MB50WS-SETT-ACCT)
060200                                 TO WS-PL07-ORG
060300             MOVE MB50WS-BILLING-ACCT (X-MB50WS-SETT-ACCT)
060400                                 TO WS-PL07-ACCT
060500             MOVE ALL '.'        TO WS-PL07-DOTS
060600             MOVE MB50WS-SBT-AMT (X-MB50WS-SBT)
060700                                 TO SS95WS-IN-AMT
060800             PERFORM SS95PD-NAP-ROUTINE
060900                THRU SS95PD-NAP-EXIT
061000             MOVE SS95WS-OUT-AMT-L22
061100                                 TO WS-PL07-AMT
061200             MOVE WS-PRINT-LINE-07
061300                                 TO IS07-SETT-LINE (X-IS07-SL)
061400             SET X-IS07-SL       UP BY 1
061500             INITIALIZE          WS-PRINT-LINE-07
061600             MOVE SPACES         TO WS-PL07-INDEX-X
061700                                    WS-PL07-ORG-X
061800         END-IF
061900     END-PERFORM.
062000*
062100     IF  MB50WS-WINDOW-AMT IS NOT EQUAL TO ZERO
062200         INITIALIZE              WS-PRINT-LINE-05
062300         MOVE 'WINDOW SETTLEMENTS...........................'
062400                                 TO WS-PL05-LIT
062500         MOVE '............'     TO WS-PL05-NBR
062600         MOVE MB50WS-WINDOW-AMT  TO SS95WS-IN-AMT
062700         PERFORM SS95PD-NAP-ROUTINE
062800            THRU SS95PD-NAP-EXIT
062900         MOVE SS95WS-OUT-AMT-L22 TO WS-PL05-AMT
063000         MOVE WS-PRINT-LINE-05   TO IS07-SETT-LINE (X-IS07-SL)
063100         SET X-IS07-SL           UP BY 1
063200         INITIALIZE              WS-PRINT-LINE-05.
063300*
063400     IF  MB50WS-BAL-CURR-HOLDOVER-AMT IS NOT EQUAL TO ZERO
063500         INITIALIZE              WS-PRINT-LINE-05
063600         MOVE MB50WS-BAL-CURR-HOLDOVER-AMT
063700                                 TO SS95WS-IN-AMT
063800         MOVE 'C U R R E N T   H O L D O V E R / S U S P E '
063900                                 TO WS-PL05-LIT
064000         MOVE 'N S E ......'     TO WS-PL05-NBR
064100         PERFORM SS95PD-NAP-ROUTINE
064200            THRU SS95PD-NAP-EXIT
064300         MOVE SS95WS-OUT-AMT-L22 TO WS-PL05-AMT
064400         MOVE WS-PRINT-LINE-05   TO IS07-SETT-LINE (X-IS07-SL)
064500         SET X-IS07-SL           UP BY 1
064600         INITIALIZE              WS-PRINT-LINE-05.
064700*
064800**********************
064900*    SEND THE MAP    *
065000**********************
065100*
065200 B900-SEND-MAP.
065300*
065400     MOVE SS08WS-CURSOR          TO IS07-ALT-TRANID-L.
065500     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
065600*
065700********************************************
065800*  TO FORMAT AND POPULATE THE MESSAGE LINE *
065900********************************************
066000*
066100     PERFORM MB06PD-FORMAT-MESSAGE-LINE
066200        THRU MB06PD-FML-EXIT.
066300     MOVE SS08WS-FORMATTED-MSG   TO IS07-ERR-MESSAGE.
066400
066500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
066600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
066700                                 THRU MB60PD-SMWE-EXIT.
066800*
066900************************
067000*    RETURN TO CICS    *
067100************************
067200*
067300     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
067400     PERFORM MB70PD-RETURN-TRANS-ID
067500                                 THRU MB70PD-RTI-EXIT.
067600/
067700 C000-RECEIVE-SCREEN SECTION.
067800*
067900******************************************
068000*    THIS SECTION RECEIVES THE SCREEN    *
068100******************************************
068200*
068300     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
068400     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
068500*
068600**************************************************************
068700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
068800**************************************************************
068900*
069000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
069100     PERFORM MB60PD-NEW-TRANS-ROUTINE
069200                                 THRU MB60PD-NTR-EXIT.
069300*
069400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
069500*
069600     IF  SS08WS-VALID-PF-KEY
069700     OR  SS08WS-EIBAID-VALID-PF-KEY
069800         SET MBCA-INITIAL-SCREEN-NBR
069900                                 TO TRUE.
070000/
070100 F000-SETUP-COMMAREA SECTION.
070200*
070300***************************************************************
070400*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
070500***************************************************************
070600*
070700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
070800*
070900     PERFORM MB60PD-EDIT-PAGE-NBR
071000                                 THRU MB60PD-EPN-EXIT.
071100*
071200 F090-TRANSFER-XCTL.
071300*
071400     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
071500     PERFORM MB70PD-XCTL-TO-MBOXCTL
071600                                 THRU MB70PD-XTM-EXIT.
071700/
071800 Y000-PERFORMED-ROUTINES SECTION.
071900*
072000****************************************
072100*    READ THE INDICATED STATEMENT FILE *
072200****************************************
072300*
072400 Y100-READ-STATEMENT.
072500*
072600**************************************************************
072700*    IF STATEMENT SELECTED IS ON THE MMS2 FILE THE MMS2      *
072800*    RECORD IS MOVED TO THE MMS1 RECORD FOR PROCESSING SO    *
072900*    A GETMAIN MUST PERFORMED TO PROVIDE THE WORK AREA.      *
073000**************************************************************
073100*
073200     EVALUATE TRUE ALSO TRUE
073300         WHEN MBCA-MBIS-MMS2
073400         ALSO MBIOWS-MMS1-GETMAIN-REQUIRED
073500              MOVE 'FC01'        TO MBCA-PROGRAM-LOCATION
073600              SET MBIORO-GETMAIN TO TRUE
073700              PERFORM MMS1AO-ACCESS
073800                                 THRU MMS1AO-ACCESS-EXIT
073900     END-EVALUATE.
074000*
074100     IF  MBCA-MBIS-MMS1
074200         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS1-ORG-MERCHANT
074300         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS1-KEY-TYPE
074400         MOVE MBCA-MBIS-STMT-ID-CODE
074500                                 TO MBIOWS-MMS1-STMT-ID-CODE
074600         MOVE WS-READ-REC-NBR    TO MBIOWS-MMS1-REC-ID
074700         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
074800         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
074900         SET MBIORO-READ-RANDOM  TO TRUE
075000         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
075100     ELSE
075200         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS2-ORG-MERCHANT
075300         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS2-KEY-TYPE
075400         MOVE MBCA-MBIS-STMT-ID-CODE
075500                                 TO MBIOWS-MMS2-STMT-ID-CODE
075600         MOVE WS-READ-REC-NBR    TO MBIOWS-MMS2-REC-ID
075700         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
075800         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
075900         SET MBIORO-READ-RANDOM  TO TRUE
076000         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT
076100         MOVE MMS2-RECORD        TO MMS1-RECORD.
076200*
076300     IF  SS08WS-RC-FC-VALID-RTN-CODE
076400         SET WS-HAVE-DATA        TO TRUE.
076500*
076600 Y199-RS-EXIT.
076700     EXIT.
076800/
076900 Z000-COPIED-ROUTINES SECTION.
077000*
077100**********************************
077200*    JUL TO GREG DATE ROUTINE    *
077300**********************************
077400*
077500     COPY SS08PD.
077600/
077700**********************************
077800* DATE AND TIME EDIT ROUTINES    *
077900**********************************
078000*
078100     COPY SS26PD.
078200     COPY SS27PD.
078300/
078400**********************************
078500*    GREG TO JUL DATE ROUTINE    *
078600**********************************
078700*
078800     COPY SS07PD.
078900/
079000*********************************
079100*    LINE 24 PF KEYS ROUTINE    *
079200*********************************
079300*
079400     COPY SS15PD.
079500/
079600***************************************************
079700*    STATEMENT FILE 1                             *
079800***************************************************
079900*
080000     COPY MMS1AO.
080100/
080200***************************************************
080300*    STATEMENT FILE 2                             *
080400***************************************************
080500*
080600     COPY MMS2AO.
080700/
080800***************************************************
080900*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
081000***************************************************
081100*
081200     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
081300/
081400*****************************
081500*    FORMATTED MESSAGE LINE *
081600*****************************
081700*
081800     COPY MB06PD.
081900/
082000*****************************
082100*    ONLINE MAP ROUTINES    *
082200*****************************
082300*
082400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIS07 '
082500                           MBMAPXXI BY MBIS07I
082600                           MBMAPXXO BY MBIS07O.
082700/
082800***************************
082900*    ONLINE PROCEDURES    *
083000***************************
083100*
083200     COPY MB70PD.
083300/
083400     COPY SMFTPXO.
