000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMX02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMX02 - ON-LINE GEN/DEF TC ASSIGNMENT MAINT/INQUIRY    *
000800*                SCREEN 02 (15 OCCURANCES - 33 POSSIBLE)        *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAX                                       *
001200*                 B. MBMX                                       *
001300*                 C. MBQX                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMX02 (GEN/DEFAULT TC MAP 02)             *
001600*              3. FILES USED -                                  *
001700*                 A. MMGD   (GEN/DEFAULT TC CONTROL FILE)       *
001800*                 B. MMTC   (MONETARY TC CONTROL FILE)          *
001900*                 C. MML1   (LOG/JOURNAL FILE)                  *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*         I/O REQUEST BLOCK WORK AREAS
002800     COPY MBIOWS.
002900/         I/O REQUEST BLOCK
003000     COPY MBIORO.
003100/         LOG/JOURNAL WORK AREAS
003200     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003300/         DATE WORK AREAS
003400     COPY SS01WS.
003500/         ONLINE WORK AREAS
003600     COPY SS08WS.
003700/
003800     COPY SS00WS.
003900/
004000     COPY SMFTWS.
004100/
004200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004300/
004400     COPY MB61LK.
004500/         MONETARY TRANSACTION CODES INITIALIZER
004600     COPY MMTCIR.
004700/         GEN/DEFAULT TC DESCRIPTIONS TABLE
004800     COPY MMGDTB.
004900/         STANDARD ERROR MESSAGES
005000     COPY MBEMWS.
005100/
005200 01  WS-WORK-AREAS.
005300     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005400         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005500         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005600     03  WS-INDEX            PIC S9(04)      BINARY.
005700     03  WS-NBR-INDEX        PIC S9(04)      BINARY.
005800     03  WS-TABLE-LIMIT      PIC S9(04)      BINARY.
005900     03  WS-EM               PIC  X(60).
006000*
006100****
006200**** THIS TABLE CONTAINS TITLES FOR EACH SCREEN PAGE
006300****
006400     03  WS-PAGE-TITLE-TABLE.
006500         05  FILLER          PIC X(34)       VALUE
006600             'FEES - CAPTURE & PRODUCT      1/15'.
006700         05  FILLER          PIC X(34)       VALUE
006800             'FEES - AUTHORIZATION          2/15'.
006900         05  FILLER          PIC X(34)       VALUE
007000             'FEES - TRANSACTION BASED      3/15'.
007100         05  FILLER          PIC X(34)       VALUE
007200             'FEES - EQUIPMENT & MISC       4/15'.
007300         05  FILLER          PIC X(34)       VALUE
007400             'FEES - USER CREDITS           5/15'.
007500         05  FILLER          PIC X(34)       VALUE
007600             'FEES - USER FEES              6/15'.
007700         05  FILLER          PIC X(34)       VALUE
007800             'DISCOUNT/PART & USER ADJUST   7/15'.
007900         05  FILLER          PIC X(34)       VALUE
008000             'FRONT-END TRANS - DEPOSITS    8/15'.
008100         05  FILLER          PIC X(34)       VALUE
008200             'FRONT-END ADJUSTMENTS         9/15'.
008300         05  FILLER          PIC X(34)       VALUE
008400             'RECOVERY TRANS & ADJUSTMENT  10/15'.
008500         05  FILLER          PIC X(34)       VALUE
008600             'MERCHANT & DEPOSIT ADJUST    11/15'.
008700         05  FILLER          PIC X(34)       VALUE
008800             'RESERVE TRANSACTIONS         12/15'.
008900         05  FILLER          PIC X(34)       VALUE
009000             'MEMO TRANSACTIONS            13/15'.
009100         05  FILLER          PIC X(34)       VALUE
009200             'USER MEMOS - 01 TO 10        14/15'.
009300         05  FILLER          PIC X(34)       VALUE
009400             'USER MEMOS - 11 TO 20        15/15'.
009500         05  FILLER          PIC X(34)       VALUE
009600             '******RESERVED FOR FUTURE USE*****'.
009700         05  FILLER          PIC X(34)       VALUE
009800             '******RESERVED FOR FUTURE USE*****'.
009900         05  FILLER          PIC X(34)       VALUE
010000             '******RESERVED FOR FUTURE USE*****'.
010100         05  FILLER          PIC X(34)       VALUE
010200             '******RESERVED FOR FUTURE USE*****'.
010300         05  FILLER          PIC X(34)       VALUE
010400             '******RESERVED FOR FUTURE USE*****'.
010500         05  FILLER          PIC X(34)       VALUE
010600             '******RESERVED FOR FUTURE USE*****'.
010700         05  FILLER          PIC X(34)       VALUE
010800             '******RESERVED FOR FUTURE USE*****'.
010900         05  FILLER          PIC X(34)       VALUE
011000             '******RESERVED FOR FUTURE USE*****'.
011100         05  FILLER          PIC X(34)       VALUE
011200             '******RESERVED FOR FUTURE USE*****'.
011300         05  FILLER          PIC X(34)       VALUE
011400             '******RESERVED FOR FUTURE USE*****'.
011500         05  FILLER          PIC X(34)       VALUE
011600             '******RESERVED FOR FUTURE USE*****'.
011700         05  FILLER          PIC X(34)       VALUE
011800             '******RESERVED FOR FUTURE USE*****'.
011900         05  FILLER          PIC X(34)       VALUE
012000             '******RESERVED FOR FUTURE USE*****'.
012100         05  FILLER          PIC X(34)       VALUE
012200             '******RESERVED FOR FUTURE USE*****'.
012300         05  FILLER          PIC X(34)       VALUE
012400             '******RESERVED FOR FUTURE USE*****'.
012500         05  FILLER          PIC X(34)       VALUE
012600             '******RESERVED FOR FUTURE USE*****'.
012700         05  FILLER          PIC X(34)       VALUE
012800             '******RESERVED FOR FUTURE USE*****'.
012900         05  FILLER          PIC X(34)       VALUE
013000             '******RESERVED FOR FUTURE USE*****'.
013100     03  WS-PAGE-TITLE-TABLE-R
013200                             REDEFINES WS-PAGE-TITLE-TABLE.
013300         05  WS-PAGE-TITLE-ENTRIES.
013400             07  WS-PAGE-TITLE-ENTRY         OCCURS 33 TIMES
013500                                             INDEXED BY
013600                                             X-WS-PAGE-TITLE.
013700                 09  WS-PAGE-TITLE
013800                             PIC X(34).
013900*
014000* DATA USED FOR T/C USAGE DUPLICATE CHECK
014100*
014200     03  WS-TC-DUP-FLAG      PIC X(01)       VALUE 'N'.
014300         88  WS-TC-NO-DUP-FOUND              VALUE 'N'.
014400         88  WS-TC-DUP-FOUND                 VALUE 'Y'.
014500*
014600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014700/
014800 LINKAGE SECTION.
014900 01  DFHCOMMAREA.
015000     COPY MB60WS.
015100/         T/C SCREEN 02 MAP DSECT
015200     COPY MBMX02.
015300/         T/C SCREEN 02 MAP REDEFINITION
015400     COPY MBMX02R.
015500/         GEN/DEFAULT TC CONTROL FILE RECORD LAYOUT
015600     COPY MMGDRL.
015700/         MONETARY TC CONTROL FILE RECORD LAYOUT
015800     COPY MMTCRL.
015900/         LOGGING FILE RECORD LAYOUT
016000     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
016100/
016200 PROCEDURE DIVISION.
016300 0000-HOUSEKEEPING SECTION.
016400 0100-INIT.
016500*
016600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
016700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
016800                                 THRU MB70PD-OLH-EXIT.
016900*
017000     MOVE SPACES                 TO WS-EM.
017100     COMPUTE WS-TABLE-LIMIT      =  MMGDTB-DEF-TXNS-MAX-SCROLL
017200                                 *  15.
017300*
017400     IF  MBCA-RECEIVE-SCREEN
017500         GO TO 2000-RECEIVE-SCREEN.
017600/
017700 1000-SEND-SCREEN SECTION.
017800*
017900****************************************************************
018000*    THIS SECTION BUILDS AND SENDS THE 02 SCREEN               *
018100****************************************************************
018200*
018300****************************************************************
018400*    GET CICS STORAGE NEEDED FOR THE MAP                       *
018500****************************************************************
018600*
018700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
018800     PERFORM MB60PD-GETMAIN-FOR-MAP
018900                                 THRU MB60PD-GFM-EXIT.
019000*
019100     MOVE MBCA-ORG               TO MX02-ORG.
019200*
019300     EVALUATE MBCA-SCREEN-NBR
019400         WHEN 52
019500             MOVE 02             TO MBCA-SCREEN-NBR
019600         WHEN OTHER
019700             MOVE 02             TO MBCA-SCREEN-NBR
019800     END-EVALUATE.
019900*
020000****************************************************************
020100*    INITIALIZE THE STANDARD MAP LINES                         *
020200****************************************************************
020300*
020400     PERFORM MB60PD-INIT-STD-MAP-LINES
020500                                 THRU MB60PD-ISML-EXIT.
020600*
020700****************************************************************
020800*    READ THE GEN/DEF TC CONTROL RECORD                        *
020900****************************************************************
021000*
021100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
021200     MOVE MBCA-ORG               TO MBIOWS-MMGD-ORG.
021300     SET MBIORO-READ-RANDOM      TO TRUE.
021400     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
021500*
021600     MOVE MBCA-MBMX-ORG-NAME     TO MX02-ORG-NAME.
021700*
021800     IF  MBCA-PTI-FUNCTION-IS-ADD
021900         COMPUTE MBCA-MBMX-SUB-PAGE-NBR
022000                                 =  MMGD-PAGE-NBR + 1.
022100*
022200     IF  MBCA-MBMX-SUB-PAGE-NBR IS LESS THAN 1
022300     OR  MBCA-MBMX-SUB-PAGE-NBR IS GREATER THAN
022400                                MMGDTB-DEF-TXNS-MAX-SCROLL
022500         MOVE 1                 TO MBCA-MBMX-SUB-PAGE-NBR.
022600*
022700     SET X-WS-PAGE-TITLE         TO MBCA-MBMX-SUB-PAGE-NBR.
022800     MOVE WS-PAGE-TITLE (X-WS-PAGE-TITLE)
022900                                 TO MX02-SCREEN-DESC.
023000*
023100     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
023200     PERFORM 9100-BUILD-SCREEN   THRU 9199-BS-EXIT
023300         VARYING X-MX02-DT FROM 1 BY 1
023400         UNTIL   X-MX02-DT IS GREATER THAN 15.
023500/
023600****************************************************************
023700*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
023800****************************************************************
023900*
024000     SET X-MX02-DT               TO 1.
024100*
024200 1050-CURSOR-LOOP.
024300*
024400     IF  X-MX02-DT IS GREATER THAN 15
024500         MOVE SS08WS-CURSOR      TO MX02-ALT-TRANID-L
024600         GO TO 1060-CHECK-INQUIRY.
024700*
024800     IF  MX02-DT-TC-A (X-MX02-DT)
024900                                 IS EQUAL TO DFHBMASK
025000         SET X-MX02-DT           UP BY 1
025100         GO TO 1050-CURSOR-LOOP
025200     ELSE
025300         MOVE SS08WS-CURSOR      TO MX02-DT-TC-L
025400                                    (X-MX02-DT)
025500     END-IF
025600     .
025700 1060-CHECK-INQUIRY.
025800*
025900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
026000         MOVE SS08WS-CURSOR      TO MX02-ALT-TRANID-L
026100         PERFORM VARYING X-MX02-DT FROM 1 BY 1
026200                 UNTIL   X-MX02-DT IS GREATER THAN 15
026300             MOVE DFHBMASB       TO MX02-DT-TC-A
026400                                    (X-MX02-DT)
026500             MOVE DFHBMDAS       TO MX02-DT-TC-LP-A
026600                                    (X-MX02-DT)
026700                                    MX02-DT-TC-RP-A
026800                                    (X-MX02-DT)
026900         END-PERFORM.
027000*
027100     IF  MBCA-PTI-FUNCTION-IS-ADD
027200         NEXT SENTENCE
027300     ELSE
027400         MOVE '*TOP*'            TO SS08WS-LINE-24-PF-KEY-FUNC(3)
027500         MOVE '*BOT*'            TO SS08WS-LINE-24-PF-KEY-FUNC(4)
027600         MOVE '*FWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(5)
027700         MOVE '*BWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(6)
027800         MOVE SS08WS-LINE-24     TO MX02-PF-KEYS
027900         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (3)
028000         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (4)
028100         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (5)
028200         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (6).
028300*
028400****************************************************************
028500*    SEND THE MAP                                              *
028600****************************************************************
028700*
028800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
028900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
029000                                 THRU MB60PD-SMWE-EXIT.
029100*
029200****************************************************************
029300*    RETURN TO CICS                                            *
029400****************************************************************
029500*
029600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
029700     PERFORM MB70PD-RETURN-TRANS-ID
029800                                 THRU MB70PD-RTI-EXIT.
029900/
030000 2000-RECEIVE-SCREEN SECTION.
030100*
030200****************************************************************
030300*    THIS SECTION RECEIVES THE 02 SCREEN                       *
030400****************************************************************
030500*
030600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
030700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
030800*
030900****************************************************************
031000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
031100****************************************************************
031200*
031300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
031400     PERFORM MB60PD-NEW-TRANS-ROUTINE
031500                                 THRU MB60PD-NTR-EXIT.
031600*
031700****************************************************************
031800*    BYPASS EDITS ON INQUIRY                                   *
031900****************************************************************
032000*
032100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
032200         GO TO 2600-SETUP-COMMAREA.
032300*
032400****************************************************************
032500*    GETMAIN FOR LOG/JOURNAL RECORD                            *
032600****************************************************************
032700*
032800     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
032900     SET MBIORO-GETMAIN          TO TRUE.
033000     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
033100*
033200****************************************************************
033300*    GETMAIN FOR MMTC RECORD                                   *
033400****************************************************************
033500*
033600     MOVE 'SC03'                 TO MBCA-PROGRAM-LOCATION.
033700     SET MBIORO-GETMAIN          TO TRUE.
033800     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
033900*
034000****************************************************************
034100*    READ THE MMGD FILE RECORD                                 *
034200****************************************************************
034300*
034400     SET WS-UPDATE-SW-NO         TO TRUE.
034500*
034600     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
034700     MOVE MBCA-ORG               TO MBIOWS-MMGD-ORG.
034800     SET MBIORO-READ-RANDOM-UPDATE
034900                                 TO TRUE.
035000     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
035100*
035200*
035300*
035400     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
035500     PERFORM 3000-BASIC-EDITS    THRU 3099-BE-EXIT
035600         VARYING X-MX02-DT FROM 1 BY 1
035700         UNTIL   X-MX02-DT IS GREATER THAN 15.
035800*
035900*
036000*
036100     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
036200     PERFORM 3300-CROSS-EDIT-SCREEN
036300                                 THRU 3399-CES-EXIT.
036400*
036500*
036600*
036700     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
036800     PERFORM 3400-CROSS-EDIT-TABLE
036900                                 THRU 3499-CET-EXIT.
037000*
037100*
037200*
037300     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
037400     PERFORM 3100-CROSS-EDITS    THRU 3199-CE-EXIT
037500         VARYING X-MX02-DT FROM 1 BY 1
037600         UNTIL   X-MX02-DT IS GREATER THAN 15.
037700*
037800*
037900*
038000     IF  SS08WS-ERROR-SW-NO
038100         GO TO 2400-UPDATE-FILE.
038200*
038300****************************************************************
038400*    SEND THE MAP                                              *
038500****************************************************************
038600*
038700     MOVE WS-EM                  TO MX02-ERR-MESSAGE.
038800*
038900     MOVE MBCA-MBMX-ORG-NAME     TO MX02-ORG-NAME.
039000*
039100     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
039200     MOVE MBCA-ORG               TO MBIOWS-MMGD-ORG.
039300     SET MBIORO-UNLOCK           TO TRUE.
039400     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
039500*
039600     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
039700     SET X-MMGDTB-DT             TO X-MMGD-DT.
039800     PERFORM 9300-DARK-ASKIP-UNUSED-FIELDS THRU 9399-DAUF-EXIT
039900         VARYING X-MX02-DT FROM 1 BY 1
040000         UNTIL   X-MX02-DT IS GREATER THAN 15.
040100*
040200*
040300     PERFORM MB60PD-INIT-STD-MAP-LINES
040400                                 THRU MB60PD-ISML-EXIT.
040500*
040600     IF  MBCA-PTI-FUNCTION-IS-ADD
040700         NEXT SENTENCE
040800     ELSE
040900         MOVE '*TOP*'            TO SS08WS-LINE-24-PF-KEY-FUNC(3)
041000         MOVE '*BOT*'            TO SS08WS-LINE-24-PF-KEY-FUNC(4)
041100         MOVE '*FWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(5)
041200         MOVE '*BWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(6)
041300         MOVE SS08WS-LINE-24     TO MX02-PF-KEYS
041400         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (3)
041500         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (4)
041600         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (5)
041700         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (6).
041800*
041900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
042000     PERFORM MB60PD-SEND-MAP-DATA-ONLY
042100                                 THRU MB60PD-SMDO-EXIT.
042200*
042300****************************************************************
042400*    RETURN TO CICS                                            *
042500****************************************************************
042600*
042700     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
042800     PERFORM MB70PD-RETURN-TRANS-ID
042900                                 THRU MB70PD-RTI-EXIT.
043000/
043100 2400-UPDATE-FILE.
043200*
043300     IF  MBCA-PTI-FUNCTION-IS-ADD
043400         MOVE MBCA-MBMX-SUB-PAGE-NBR
043500                                 TO MMGD-PAGE-NBR
043600         EVALUATE TRUE
043700             WHEN MBCA-MBMX-SUB-PAGE-NBR IS EQUAL TO
043800                  MMGDTB-DEF-TXNS-MAX-SCROLL
043900                 SET MMGD-REC-ACTIVE
044000                                 TO TRUE
044100                 SET MMGD-ADD-COMPLETED
044200                                 TO TRUE
044300                 MOVE ZERO       TO MMGD-PAGE-NBR
044400             WHEN OTHER
044500                 COMPUTE MMGD-ONLINE-STATUS
044600                                 =  MBCA-SCREEN-NBR - 1
044700                 END-COMPUTE
044800         END-EVALUATE
044900         PERFORM 9800-SET-INDEX  THRU 9899-SI-EXIT
045000         PERFORM
045100             VARYING X-MX02-DT FROM 1 BY 1
045200             UNTIL   X-MX02-DT IS GREATER THAN 15
045300             MOVE MX02-DT-TC (X-MX02-DT)
045400                                 TO MMGD-DT-TC
045500                                    (X-MMGD-DT)
045600             SET X-MMGD-DT       UP BY 1
045700         END-PERFORM
045800         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
045900         SET MBIORO-REWRITE      TO TRUE
046000         PERFORM MMGDAO-ACCESS   THRU MMGDAO-ACCESS-EXIT
046100         PERFORM 9800-SET-INDEX  THRU 9899-SI-EXIT
046200         PERFORM 8000-ADD-TC-RECORDS
046300                                 THRU 8099-ATR-EXIT
046400             VARYING X-MX02-DT FROM 1 BY 1
046500             UNTIL   X-MX02-DT IS GREATER THAN 15
046600         PERFORM 9700-CHECK-FOR-COMPLETE
046700            THRU 9799-CFC-EXIT
046800         GO TO 2600-SETUP-COMMAREA.
046900*
047000     IF  WS-UPDATE-SW-NO
047100         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
047200         MOVE MBCA-ORG           TO MBIOWS-MMGD-ORG
047300         SET MBIORO-UNLOCK       TO TRUE
047400         PERFORM MMGDAO-ACCESS   THRU MMGDAO-ACCESS-EXIT
047500         GO TO 2600-SETUP-COMMAREA.
047600*
047700     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
047800     PERFORM 4000-DELETE-OLD-RECORDS
047900                                 THRU 4099-DOR-EXIT
048000         VARYING X-MX02-DT FROM 1 BY 1
048100         UNTIL   X-MX02-DT IS GREATER THAN 15.
048200*
048300     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
048400     PERFORM 5000-ADD-NEW-RECORDS
048500                                 THRU 5099-ANR-EXIT
048600         VARYING X-MX02-DT FROM 1 BY 1
048700         UNTIL   X-MX02-DT IS GREATER THAN 15.
048800*
048900     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
049000     PERFORM 6000-BUILD-LOG-RECORDS
049100                                 THRU 6099-BLR-EXIT
049200         VARYING X-MX02-DT FROM 1 BY 1
049300         UNTIL   X-MX02-DT IS GREATER THAN 15.
049400*
049500*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
049600*
049700     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
049800     MOVE 0199                   TO MML1-FIELD-CODE.
049900     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
050000     MOVE MMGD-LAST-MAINT-DATE
050100                                 TO MML1-VL07-B-DATA-9.
050200     MOVE MBCA-START-DATE        TO MMGD-LAST-MAINT-DATE.
050300     MOVE MMGD-LAST-MAINT-DATE
050400                                 TO MML1-VL07-A-DATA-9.
050500     PERFORM 9000-CREATE-MAINT-RECORD
050600                                 THRU 9099-CMR-EXIT.
050700     MOVE 0198                   TO MML1-FIELD-CODE.
050800     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
050900     MOVE MMGD-LAST-MAINT-OPER
051000                                 TO MML1-VL03-B-DATA-X.
051100     MOVE MBCA-OPERATOR-ID       TO MMGD-LAST-MAINT-OPER.
051200     MOVE MMGD-LAST-MAINT-OPER
051300                                 TO MML1-VL03-A-DATA-X.
051400     PERFORM 9000-CREATE-MAINT-RECORD
051500                                 THRU 9099-CMR-EXIT.
051600*
051700****************************************************************
051800*    UPDATE THE MMGD FILE RECORD                               *
051900****************************************************************
052000*
052100     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
052200     SET MBIORO-REWRITE          TO TRUE.
052300     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
052400*
052500 2600-SETUP-COMMAREA.
052600*
052700****************************************************************
052800*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
052900****************************************************************
053000*
053100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
053200*
053300     IF  MBCA-PTI-FUNCTION-IS-ADD
053400         MOVE 52                 TO MBCA-SCREEN-NBR
053500         ADD  1                  TO MBCA-MBMX-SUB-PAGE-NBR
053600         IF  MBCA-MBMX-SUB-PAGE-NBR IS GREATER THAN
053700             MMGDTB-DEF-TXNS-MAX-SCROLL
053800             MOVE 53             TO MBCA-SCREEN-NBR
053900             MOVE ZERO           TO MBCA-MBMX-SUB-PAGE-NBR
054000             GO TO 2605-ADD-PF-KEY-BYPASS
054100         ELSE
054200             GO TO 2605-ADD-PF-KEY-BYPASS.
054300*
054400     IF  SS08WS-VALID-PF3
054500     OR  SS08WS-EIBAID-VALID-PF3
054600         MOVE 1                  TO MBCA-MBMX-SUB-PAGE-NBR
054700         MOVE 52                 TO MBCA-SCREEN-NBR
054800         GO TO 2610-PF-KEY-BYPASS.
054900*
055000     IF  SS08WS-VALID-PF4
055100     OR  SS08WS-EIBAID-VALID-PF4
055200         MOVE MMGDTB-DEF-TXNS-MAX-SCROLL
055300                                 TO MBCA-MBMX-SUB-PAGE-NBR
055400         MOVE 52                 TO MBCA-SCREEN-NBR
055500         GO TO 2610-PF-KEY-BYPASS.
055600*
055700     IF  SS08WS-VALID-PF5
055800     OR  SS08WS-EIBAID-VALID-PF5
055900         ADD 1                   TO MBCA-MBMX-SUB-PAGE-NBR
056000         IF  MBCA-MBMX-SUB-PAGE-NBR IS GREATER THAN
056100             MMGDTB-DEF-TXNS-MAX-SCROLL
056200             MOVE 52             TO MBCA-SCREEN-NBR
056300             GO TO 2610-PF-KEY-BYPASS
056400         ELSE
056500             MOVE 52             TO MBCA-SCREEN-NBR
056600             GO TO 2610-PF-KEY-BYPASS.
056700*
056800     IF  SS08WS-VALID-PF6
056900     OR  SS08WS-EIBAID-VALID-PF6
057000         IF  MBCA-MBMX-SUB-PAGE-NBR IS LESS THAN 2
057100             MOVE 1              TO MBCA-MBMX-SUB-PAGE-NBR
057200             MOVE 52             TO MBCA-SCREEN-NBR
057300             GO TO 2610-PF-KEY-BYPASS
057400         ELSE
057500             SUBTRACT 1          FROM MBCA-MBMX-SUB-PAGE-NBR
057600             MOVE 52             TO MBCA-SCREEN-NBR
057700             GO TO 2610-PF-KEY-BYPASS.
057800*
057900     PERFORM MB60PD-EDIT-PAGE-NBR
058000                                 THRU MB60PD-EPN-EXIT.
058100*
058200     MOVE 1                      TO MBCA-MBMX-SUB-PAGE-NBR.
058300*
058400 2605-ADD-PF-KEY-BYPASS.
058500*
058600     IF  SS08WS-VALID-PF-KEY
058700     OR  SS08WS-EIBAID-VALID-PF-KEY
058800         MOVE 99                 TO MBCA-SCREEN-NBR.
058900*
059000 2610-PF-KEY-BYPASS.
059100*
059200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
059300     PERFORM MB70PD-XCTL-TO-MBOXCTL
059400                                 THRU MB70PD-XTM-EXIT.
059500 2999-EXIT.
059600     EXIT.
059700/
059800 3000-PERFORMED-ROUTINES-SECT SECTION.
059900 3000-BASIC-EDITS.
060000*
060100     SET X-MMGDTB-DT             TO X-MMGD-DT.
060200*
060300     IF  MX02-DT-TC-L (X-MX02-DT) IS LESS THAN 1
060400         MOVE DFHBMASK           TO MX02-DT-TC-A (X-MX02-DT)
060500         MOVE DFHBMDAS           TO MX02-DT-TC-LP-A
060600                                    (X-MX02-DT)
060700                                    MX02-DT-TC-RP-A
060800                                    (X-MX02-DT)
060900         MOVE MMGD-DT-TC (X-MMGD-DT)
061000                                 TO MX02-DT-TC (X-MX02-DT)
061100     ELSE
061200         IF  MX02-DT-TC (X-MX02-DT) IS NUMERIC
061300*****    AND MX02-DT-TC (X-MX02-DT) IS GREATER THAN ZERO
061400         AND MX02-DT-TC (X-MX02-DT) IS LESS THAN 999
061500             MOVE DFHBMASF       TO MX02-DT-TC-A (X-MX02-DT)
061600             MOVE DFHBMDAS       TO MX02-DT-TC-LP-A
061700                                    (X-MX02-DT)
061800                                    MX02-DT-TC-RP-A
061900                                    (X-MX02-DT)
062000             SET WS-UPDATE-SW-YES
062100                                 TO TRUE
062200         ELSE
062300             MOVE DFHBMNBF       TO MX02-DT-TC-A (X-MX02-DT)
062400             MOVE DFHBMASB       TO MX02-DT-TC-LP-A
062500                                    (X-MX02-DT)
062600                                    MX02-DT-TC-RP-A
062700                                    (X-MX02-DT)
062800             MOVE SS08WS-CURSOR  TO MX02-DT-TC-L (X-MX02-DT)
062900             PERFORM 9400-INVALID-DATA
063000                                 THRU 9499-ID-EXIT
063100             SET SS08WS-ERROR-SW-YES TO TRUE.
063200*
063300*
063400*
063500     SET X-MMGD-DT               UP BY 1.
063600*
063700 3099-BE-EXIT.
063800     EXIT.
063900/
064000 3100-CROSS-EDITS.
064100*
064200     IF  SS08WS-ERROR-SW-YES
064300         GO TO 3199-CE-EXIT.
064400*
064500     MOVE MX02-DT-TC (X-MX02-DT)
064600                                 TO MBIOWS-MMTC-TXN-CODE.
064700     PERFORM 3200-CHECK-MMTC-STATUS
064800        THRU 3299-CMS-EXIT.
064900*
065000     IF  WS-TC-DUP-FOUND
065100         MOVE DFHBMNBF           TO MX02-DT-TC-A (X-MX02-DT)
065200         MOVE DFHBMASB           TO MX02-DT-TC-LP-A
065300                                    (X-MX02-DT)
065400                                    MX02-DT-TC-RP-A
065500                                    (X-MX02-DT)
065600         MOVE SS08WS-CURSOR      TO MX02-DT-TC-L (X-MX02-DT)
065700         PERFORM 9500-DUP-TC     THRU 9599-DT-EXIT
065800         SET SS08WS-ERROR-SW-YES TO TRUE.
065900*
066000*
066100*
066200 3199-CE-EXIT.
066300     EXIT.
066400/
066500 3200-CHECK-MMTC-STATUS.
066600*
066700* SEE IF TC IS DEFINED IN THE MMTC FILE AS A
066800* USER-DEFINED OR DEFAULT TC.
066900* IF SO, CAN NOT DEFINE IT AS A GENERATED TC.
067000*
067100     MOVE MBCA-ORG               TO MBIOWS-MMTC-ORG.
067200*
067300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
067400     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
067500     SET MBIORO-READ-RANDOM      TO TRUE.
067600     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
067700*
067800     IF  SS08WS-RC-FC-VALID-RTN-CODE
067900     AND (MMTC-REC-USER-DEFINED
068000       OR MMTC-REC-GENERATED)
068100         SET WS-TC-DUP-FOUND     TO TRUE
068200     ELSE
068300         SET WS-TC-NO-DUP-FOUND  TO TRUE.
068400*
068500 3299-CMS-EXIT.
068600     EXIT.
068700/
068800 3300-CROSS-EDIT-SCREEN.
068900*
069000     IF  SS08WS-ERROR-SW-YES
069100         GO TO 3399-CES-EXIT.
069200*
069300     PERFORM
069400         VARYING X-MX02-DT-1 FROM 1 BY 1
069500         UNTIL   X-MX02-DT-1 IS GREATER THAN 14
069600         PERFORM
069700             VARYING X-MX02-DT-2 FROM 1 BY 1
069800             UNTIL   X-MX02-DT-2 IS GREATER THAN 15
069900             EVALUATE TRUE
070000                 WHEN MX02-DT-TC-L (X-MX02-DT-1)
070100                                 IS EQUAL TO SS08WS-CURSOR
070200                     CONTINUE
070300                 WHEN MX02-DT-TC-L (X-MX02-DT-2)
070400                                 IS EQUAL TO SS08WS-CURSOR
070500                     CONTINUE
070600                 WHEN ((MX02-DT-TC (X-MX02-DT-1) IS EQUAL TO
070700                        MX02-DT-TC (X-MX02-DT-2)
070800                    AND MX02-DT-TC (X-MX02-DT-1)
070900                                 IS GREATER THAN ZERO
071000                    AND X-MX02-DT-1 IS NOT EQUAL TO X-MX02-DT-2))
071100                     MOVE DFHBMNBF
071200                                 TO MX02-DT-TC-A
071300                                    (X-MX02-DT-2)
071400                     MOVE DFHBMASB
071500                                 TO MX02-DT-TC-LP-A
071600                                    (X-MX02-DT-2)
071700                                    MX02-DT-TC-RP-A
071800                                    (X-MX02-DT-2)
071900                     MOVE DFHBMNBF
072000                                 TO MX02-DT-TC-A
072100                                    (X-MX02-DT-1)
072200                     MOVE DFHBMASB
072300                                 TO MX02-DT-TC-LP-A
072400                                    (X-MX02-DT-1)
072500                                    MX02-DT-TC-RP-A
072600                                    (X-MX02-DT-1)
072700                     MOVE SS08WS-CURSOR
072800                                 TO MX02-DT-TC-L
072900                                    (X-MX02-DT-1)
073000                     PERFORM 9500-DUP-TC
073100                        THRU 9599-DT-EXIT
073200                     SET SS08WS-ERROR-SW-YES
073300                                 TO TRUE
073400                 WHEN OTHER
073500                     CONTINUE
073600             END-EVALUATE
073700         END-PERFORM
073800     END-PERFORM.
073900*
074000 3399-CES-EXIT.
074100     EXIT.
074200/
074300 3400-CROSS-EDIT-TABLE.
074400*
074500     IF  SS08WS-ERROR-SW-YES
074600         GO TO 3499-CET-EXIT.
074700*
074800     SET X-MMGD-DT-1             TO X-MMGD-DT.
074900     SET X-MMGD-DT-2             TO X-MMGD-DT.
075000     SET X-MMGD-DT-2             UP BY 14.
075100*
075200     PERFORM
075300         VARYING X-MX02-DT FROM 1 BY 1
075400         UNTIL   X-MX02-DT IS GREATER THAN 15
075500         PERFORM
075600             VARYING X-MMGD-DT FROM 1 BY 1
075700             UNTIL   X-MMGD-DT IS GREATER THAN WS-TABLE-LIMIT
075800             EVALUATE TRUE
075900                 WHEN (X-MMGD-DT IS NOT LESS    THAN X-MMGD-DT-1
076000                   AND X-MMGD-DT IS NOT GREATER THAN X-MMGD-DT-2)
076100                     CONTINUE
076200                 WHEN MX02-DT-TC-L (X-MX02-DT)
076300                                 IS EQUAL TO SS08WS-CURSOR
076400                     CONTINUE
076500                 WHEN ((MX02-DT-TC (X-MX02-DT) IS EQUAL TO
076600                        MMGD-DT-TC (X-MMGD-DT)
076700                    AND MX02-DT-TC (X-MX02-DT)
076800                                 IS GREATER THAN ZERO))
076900                     MOVE DFHBMNBF
077000                                 TO MX02-DT-TC-A (X-MX02-DT)
077100                     MOVE DFHBMASB
077200                                 TO MX02-DT-TC-LP-A
077300                                    (X-MX02-DT)
077400                                    MX02-DT-TC-RP-A
077500                                    (X-MX02-DT)
077600                     MOVE SS08WS-CURSOR
077700                                 TO MX02-DT-TC-L (X-MX02-DT)
077800                     PERFORM 9600-TRANS-IN-USE
077900                        THRU 9699-TIU-EXIT
078000                     SET SS08WS-ERROR-SW-YES
078100                                 TO TRUE
078200                 WHEN OTHER
078300                     CONTINUE
078400             END-EVALUATE
078500         END-PERFORM
078600     END-PERFORM.
078700*
078800     SET X-MMGD-DT               UP BY 1.
078900*
079000 3499-CET-EXIT.
079100     EXIT.
079200/
079300 4000-DELETE-OLD-RECORDS.
079400*
079500     IF  MX02-DT-TC-L (X-MX02-DT) IS GREATER THAN ZERO
079600     AND MX02-DT-TC        (X-MX02-DT) IS NOT EQUAL TO
079700                                 MMGD-DT-TC (X-MMGD-DT)
079800     AND MMGD-DT-TC (X-MMGD-DT) IS GREATER THAN ZERO
079900         MOVE MBCA-ORG           TO MBIOWS-MMTC-ORG
080000         MOVE MMGD-DT-TC (X-MMGD-DT)
080100                                 TO MBIOWS-MMTC-TXN-CODE
080200         PERFORM 4100-PURGE-TC-LOGIC
080300                                 THRU 4199-PTL-EXIT.
080400*
080500     SET X-MMGD-DT               UP BY 1.
080600*
080700 4099-DOR-EXIT.
080800     EXIT.
080900/
081000 4100-PURGE-TC-LOGIC.
081100*
081200     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
081300     SET MBIORO-READ-RANDOM-UPDATE
081400                                 TO TRUE.
081500     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
081600*
081700     MOVE 0308                   TO MML1-FIELD-CODE.
081800     MOVE MML1WS-VL-01           TO MML1-VARIABLE-LENGTH.
081900     MOVE MMTC-REC-STATUS        TO MML1-VL01-B-DATA-9.
082000     SET MMTC-REC-PURGED         TO TRUE.
082100     MOVE MMTC-REC-STATUS        TO MML1-VL01-A-DATA-9.
082200     PERFORM 4200-WRITE-LOG-RECORDS
082300                                 THRU 4299-WLR-EXIT.
082400*
082500     MOVE 0199                   TO MML1-FIELD-CODE.
082600     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
082700     MOVE MMTC-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
082800     MOVE MBCA-START-DATE        TO MMTC-LAST-MAINT-DATE.
082900     MOVE MMTC-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
083000     PERFORM 4200-WRITE-LOG-RECORDS
083100                                 THRU 4299-WLR-EXIT.
083200*
083300     MOVE 0198                   TO MML1-FIELD-CODE.
083400     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
083500     MOVE MMTC-LAST-MAINT-OPER
083600                                 TO MML1-VL03-B-DATA-X.
083700     MOVE MBCA-OPERATOR-ID       TO MMTC-LAST-MAINT-OPER.
083800     MOVE MMTC-LAST-MAINT-OPER
083900                                 TO MML1-VL03-A-DATA-X.
084000     PERFORM 4200-WRITE-LOG-RECORDS
084100                                 THRU 4299-WLR-EXIT.
084200*
084300     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
084400     SET MBIORO-REWRITE          TO TRUE.
084500     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
084600*
084700 4199-PTL-EXIT.
084800     EXIT.
084900/
085000 4200-WRITE-LOG-RECORDS.
085100*
085200     SET MML1-FILE-IS-MMTC       TO TRUE.
085300     MOVE MMTC-KEY               TO MML1-MMTC-KEY.
085400     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
085500     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
085600     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
085700     MOVE ZEROES                 TO MML1-SOURCE-CODE
085800                                    MML1-FIELD-OCCURRENCE
085900                                    MML1-FIELD-OCCURRENCE-2.
086000*
086100     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
086200     SET MBIORO-WRITE            TO TRUE.
086300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
086400     MOVE SPACES                 TO MML1-VARIABLE-AREA.
086500*
086600 4299-WLR-EXIT.
086700     EXIT.
086800/
086900 5000-ADD-NEW-RECORDS.
087000*
087100     IF  MX02-DT-TC-L (X-MX02-DT) IS GREATER THAN ZERO
087200     AND MX02-DT-TC   (X-MX02-DT) IS GREATER THAN ZERO
087300         MOVE MBCA-ORG           TO MBIOWS-MMTC-ORG
087400         MOVE MX02-DT-TC (X-MX02-DT)
087500                                 TO MBIOWS-MMTC-TXN-CODE
087600                                    MMTCIR-TXN-CODE
087700         PERFORM 5100-ADD-TC-LOGIC
087800                                 THRU 5199-ATL-EXIT.
087900*
088000     SET X-MMGD-DT               UP BY 1.
088100*
088200 5099-ANR-EXIT.
088300     EXIT.
088400/
088500 5100-ADD-TC-LOGIC.
088600*
088700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1
088800     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
088900     SET MBIORO-READ-RANDOM-UPDATE
089000                                 TO TRUE.
089100     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
089200*
089300     IF  SS08WS-RC-FC-VALID-RTN-CODE
089400         PERFORM 5200-REPLACEMENT-RECORD
089500                                 THRU 5299-RR-EXIT
089600     ELSE
089700         PERFORM 8100-TC-RECORD-LOGIC
089800            THRU 8199-TRL-EXIT.
089900*
090000 5199-ATL-EXIT.
090100     EXIT.
090200/
090300 5200-REPLACEMENT-RECORD.
090400*
090500     SET X-MMGDTB-DT             TO X-MMGD-DT.
090600*
090700     MOVE MMTCIR-RECORD          TO MMTC-RECORD.
090800     MOVE MBCA-ORG               TO MMTC-ORG.
090900     SET MMTC-REC-DEFAULT        TO TRUE.
091000     SET MMTC-ADD-COMPLETED      TO TRUE.
091100     MOVE MMGDTB-DT-LM (X-MMGDTB-DT)
091200                                 TO MMTC-LOGIC-MODULE.
091300     MOVE MMGDTB-DT-DESC (X-MMGDTB-DT)
091400                                 TO MMTC-DEFAULT-DESC.
091500     MOVE MMGDTB-DT-RPT-DESC (X-MMGDTB-DT)
091600                                 TO MMTC-RPT-DESC.
091700*
091800     SET MML1-FILE-IS-MMTC       TO TRUE.
091900     MOVE MMTC-KEY               TO MML1-MMTC-KEY.
092000     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
092100     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
092200     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
092300     MOVE ZEROES                 TO MML1-SOURCE-CODE
092400                                    MML1-FIELD-OCCURRENCE
092500                                    MML1-FIELD-OCCURRENCE-2.
092600     MOVE 0100                   TO MML1-FIELD-CODE.
092700     MOVE MMTC-RECORD            TO MML1-ADD-AREA.
092800     MOVE LENGTH OF MMTC-RECORD  TO MML1-VARIABLE-LENGTH.
092900*
093000     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
093100     SET MBIORO-WRITE            TO TRUE.
093200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
093300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
093400*
093500     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
093600     SET MBIORO-REWRITE          TO TRUE.
093700     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
093800*
093900 5299-RR-EXIT.
094000     EXIT.
094100/
094200 6000-BUILD-LOG-RECORDS.
094300*
094400     SET WS-INDEX                TO X-MMGD-DT.
094500*
094600*            ***** SETTLEMENT TC *****
094700*
094800     IF  MX02-DT-TC-L (X-MX02-DT)
094900                                 IS GREATER THAN ZERO
095000         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
095100         MOVE 0201               TO MML1-FIELD-CODE
095200         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
095300         MOVE MMGD-DT-TC (X-MMGD-DT)
095400                                 TO MML1-VL03-B-DATA-9
095500         MOVE MX02-DT-TC (X-MX02-DT)
095600                                 TO MMGD-DT-TC
095700                                    (X-MMGD-DT)
095800         MOVE MMGD-DT-TC (X-MMGD-DT)
095900                                 TO MML1-VL03-A-DATA-9
096000         PERFORM 9000-CREATE-MAINT-RECORD
096100                                 THRU 9099-CMR-EXIT.
096200     SET X-MMGD-DT               UP BY 1.
096300*
096400 6099-BLR-EXIT.
096500     EXIT.
096600/
096700 8000-ADD-TC-RECORDS.
096800*
096900     IF  MX02-DT-TC-L (X-MX02-DT) IS GREATER THAN ZERO
097000     AND MX02-DT-TC   (X-MX02-DT) IS GREATER THAN ZERO
097100         MOVE MX02-DT-TC (X-MX02-DT)
097200                                 TO MMTCIR-TXN-CODE
097300                                    MMGD-DT-TC (X-MMGD-DT)
097400         PERFORM 8100-TC-RECORD-LOGIC
097500            THRU 8199-TRL-EXIT.
097600*
097700     SET X-MMGD-DT               UP BY 1.
097800*
097900 8099-ATR-EXIT.
098000     EXIT.
098100/
098200 8100-TC-RECORD-LOGIC.
098300*
098400     SET X-MMGDTB-DT             TO X-MMGD-DT.
098500*
098600     MOVE MMTCIR-RECORD          TO MMTC-RECORD.
098700     MOVE MBCA-ORG               TO MMTC-ORG.
098800     MOVE MMTC-ORG               TO MBIOWS-MMTC-ORG.
098900     MOVE MMTC-TXN-CODE          TO MBIOWS-MMTC-TXN-CODE.
099000*
099100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
099200     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
099300     SET MBIORO-READ-RANDOM-UPDATE
099400                                 TO TRUE.
099500     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
099600*
099700     IF  SS08WS-RC-FC-VALID-RTN-CODE
099800         PERFORM 8200-TC-RECORD-REPLACEMENT
099900            THRU 8299-TRR-EXIT
100000         GO TO 8199-TRL-EXIT.
100100*
100200     SET MMTC-REC-DEFAULT        TO TRUE.
100300     SET MMTC-ADD-COMPLETED      TO TRUE.
100400     MOVE MMGDTB-DT-LM (X-MMGDTB-DT)
100500                                 TO MMTC-LOGIC-MODULE.
100600     MOVE MMGDTB-DT-DESC (X-MMGDTB-DT)
100700                                 TO MMTC-DEFAULT-DESC.
100800     MOVE MMGDTB-DT-RPT-DESC (X-MMGDTB-DT)
100900                                 TO MMTC-RPT-DESC.
101000*
101100     SET MML1-FILE-IS-MMTC       TO TRUE.
101200     MOVE MMTC-KEY               TO MML1-MMTC-KEY.
101300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
101400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
101500     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
101600     MOVE ZEROES                 TO MML1-SOURCE-CODE
101700                                    MML1-FIELD-CODE
101800                                    MML1-FIELD-OCCURRENCE
101900                                    MML1-FIELD-OCCURRENCE-2.
102000     MOVE MMTC-RECORD            TO MML1-ADD-AREA.
102100     MOVE LENGTH OF MMTC-RECORD  TO MML1-VARIABLE-LENGTH.
102200*
102300     MOVE 'FC15'                 TO MBCA-PROGRAM-LOCATION.
102400     SET MBIORO-WRITE            TO TRUE.
102500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
102600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
102700*
102800     MOVE 'FC16'                 TO MBCA-PROGRAM-LOCATION.
102900     SET MBIORO-WRITE            TO TRUE.
103000     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
103100*
103200 8199-TRL-EXIT.
103300     EXIT.
103400/
103500 8200-TC-RECORD-REPLACEMENT.
103600*
103700     SET MMTC-REC-DEFAULT        TO TRUE.
103800     SET MMTC-ADD-COMPLETED      TO TRUE.
103900     MOVE MMGDTB-GT-LM (X-MMGDTB-GT)
104000                                 TO MMTC-LOGIC-MODULE.
104100*
104200     SET MML1-FILE-IS-MMTC       TO TRUE.
104300     MOVE MMTC-KEY               TO MML1-MMTC-KEY.
104400     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
104500     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
104600     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
104700     MOVE ZEROES                 TO MML1-SOURCE-CODE.
104800     MOVE 0100                   TO MML1-FIELD-CODE.
104900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
105000                                    MML1-FIELD-OCCURRENCE-2.
105100     MOVE MMTC-RECORD            TO MML1-ADD-AREA.
105200     MOVE LENGTH OF MMTC-RECORD  TO MML1-VARIABLE-LENGTH.
105300*
105400     MOVE 'FC17'                 TO MBCA-PROGRAM-LOCATION.
105500     SET MBIORO-WRITE            TO TRUE.
105600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
105700     MOVE SPACES                 TO MML1-VARIABLE-AREA.
105800*
105900     MOVE 'FC18'                 TO MBCA-PROGRAM-LOCATION.
106000     SET MBIORO-REWRITE          TO TRUE.
106100     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
106200*
106300 8299-TRR-EXIT.
106400     EXIT.
106500/
106600 9000-CREATE-MAINT-RECORD.
106700*
106800*****************************************************************
106900*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
107000*    LOG/JOURNAL TRANSACTIONS                                   *
107100*****************************************************************
107200*
107300     IF  MBCA-PTI-FUNCTION-IS-ADD
107400         GO TO 9099-CMR-EXIT.
107500*
107600     MOVE SPACES                 TO MML1-MMTC-KEY.
107700     SET MML1-FILE-IS-MMGD       TO TRUE.
107800     MOVE MBCA-ORG               TO MML1-MMGD-ORG.
107900     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
108000     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
108100     MOVE ZEROES                 TO MML1-SOURCE-CODE
108200                                    MML1-FIELD-OCCURRENCE-2.
108300*
108400*****************************************************************
108500*    WRITE THE LOG/JOURNAL FILE RECORD                          *
108600*****************************************************************
108700*
108800     MOVE 'FC19'                 TO MBCA-PROGRAM-LOCATION.
108900     SET MBIORO-WRITE            TO TRUE.
109000     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
109100     MOVE SPACES                 TO MML1-VARIABLE-AREA.
109200*
109300 9099-CMR-EXIT.
109400     EXIT.
109500/
109600 9100-BUILD-SCREEN.
109700*
109800     SET X-MMGDTB-DT             TO X-MMGD-DT.
109900*
110000* IF LOGIC MODULE 900, DARK/PROTECT THIS ENTIRE LINE
110100*
110200     IF  MMGDTB-DT-LM (X-MMGDTB-DT) IS EQUAL TO 900
110300         MOVE DFHBMDAS           TO MX02-DT-TABLE-DESC-A
110400                                    (X-MX02-DT)
110500                                    MX02-DT-LOGIC-MOD-A
110600                                    (X-MX02-DT)
110700                                    MX02-DT-TC-LP-A
110800                                    (X-MX02-DT)
110900                                    MX02-DT-TC-A
111000                                    (X-MX02-DT)
111100                                    MX02-DT-TC-RP-A
111200                                    (X-MX02-DT)
111300         SET X-MMGD-DT              UP BY 1
111400         GO TO 9199-BS-EXIT
111500     END-IF
111600*
111700     MOVE MMGDTB-DT-DESC   (X-MMGDTB-DT)
111800                                 TO MX02-DT-TABLE-DESC
111900                                    (X-MX02-DT).
112000*
112100     MOVE MMGDTB-DT-LM     (X-MMGDTB-DT)
112200                                 TO MX02-DT-LOGIC-MOD
112300                                    (X-MX02-DT).
112400*
112500     IF  MMGDTB-DT-LM (X-MMGDTB-DT) IS EQUAL TO 900
112600         MOVE DFHBMDAS           TO MX02-DT-TC-A
112700                                    (X-MX02-DT)
112800                                    MX02-DT-TC-LP-A
112900                                    (X-MX02-DT)
113000                                    MX02-DT-TC-RP-A
113100                                    (X-MX02-DT)
113200     ELSE
113300         MOVE MMGD-DT-TC (X-MMGD-DT)
113400                                 TO MX02-DT-TC
113500                                    (X-MX02-DT)
113600     END-IF
113700*
113800     SET X-MMGD-DT               UP BY 1.
113900*
114000 9199-BS-EXIT.
114100     EXIT.
114200/
114300 9300-DARK-ASKIP-UNUSED-FIELDS.
114400*
114500     MOVE MMGDTB-DT-DESC (X-MMGDTB-DT)
114600                                 TO MX02-DT-TABLE-DESC
114700                                    (X-MX02-DT).
114800*
114900     MOVE MMGDTB-DT-LM (X-MMGDTB-DT)
115000                                 TO MX02-DT-LOGIC-MOD
115100                                    (X-MX02-DT).
115200*
115300* IF LOGIC MODULE 900, DARK/PROTECT THIS ENTIRE LINE
115400*
115500     IF  MMGDTB-DT-LM (X-MMGDTB-DT) IS EQUAL TO 900
115600         MOVE DFHBMDAS           TO MX02-DT-TABLE-DESC-A
115700                                    (X-MX02-DT)
115800                                    MX02-DT-LOGIC-MOD-A
115900                                    (X-MX02-DT)
116000                                    MX02-DT-TC-LP-A
116100                                    (X-MX02-DT)
116200                                    MX02-DT-TC-A
116300                                    (X-MX02-DT)
116400                                    MX02-DT-TC-RP-A
116500                                    (X-MX02-DT).
116600*
116700     SET X-MMGDTB-DT             UP BY 1.
116800*
116900 9399-DAUF-EXIT.
117000     EXIT.
117100/
117200 9400-INVALID-DATA.
117300*
117400     IF  WS-EM IS EQUAL TO SPACES
117500         MOVE MBEMWS-INV-TRANS-CODE
117600                                 TO WS-EM.
117700*
117800 9499-ID-EXIT.
117900     EXIT.
118000/
118100 9500-DUP-TC.
118200*
118300     IF  WS-EM IS EQUAL TO SPACES
118400         MOVE MBEMWS-DUP-TRANS-CODE
118500                                 TO WS-EM.
118600*
118700 9599-DT-EXIT.
118800     EXIT.
118900/
119000 9600-TRANS-IN-USE.
119100*
119200     IF  WS-EM IS EQUAL TO SPACES
119300         MOVE MBEMWS-TRANS-IN-USE
119400                                 TO WS-EM.
119500*
119600 9699-TIU-EXIT.
119700     EXIT.
119800/
119900 9700-CHECK-FOR-COMPLETE.
120000*
120100     IF  MBCA-PTI-FUNCTION-IS-ADD
120200     AND MMGD-ADD-COMPLETED
120300         NEXT SENTENCE
120400     ELSE
120500         GO TO 9799-CFC-EXIT.
120600*
120700     MOVE SPACES                 TO MML1-MMTC-KEY.
120800     SET MML1-FILE-IS-MMGD       TO TRUE.
120900     MOVE MMGD-KEY               TO MML1-MMGD-KEY.
121000     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
121100     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
121200     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
121300     MOVE ZEROES                 TO MML1-SOURCE-CODE
121400                                    MML1-FIELD-OCCURRENCE
121500                                    MML1-FIELD-OCCURRENCE-2.
121600     MOVE ZERO                   TO MML1-FIELD-CODE.
121700     MOVE MMGD-RECORD            TO MML1-ADD-AREA.
121800     MOVE LENGTH OF MMGD-RECORD  TO MML1-VARIABLE-LENGTH.
121900*
122000     MOVE 'FC20'                 TO MBCA-PROGRAM-LOCATION.
122100     SET MBIORO-WRITE            TO TRUE.
122200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
122300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
122400*
122500 9799-CFC-EXIT.
122600     EXIT.
122700/
122800 9800-SET-INDEX.
122900*
123000     COMPUTE WS-NBR-INDEX        = ((MBCA-MBMX-SUB-PAGE-NBR - 1)
123100                                 * 15) + 1
123200     SET X-MMGD-DT               TO WS-NBR-INDEX
123300     .
123400 9899-SI-EXIT.
123500     EXIT.
123600/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
123700     COPY SS26PD.
123800/         ROUTINE TO NUMERICALLY EDIT TIME
123900     COPY SS27PD.
124000/         JULIAN TO GREGORIAN DATE ROUTINE.
124100     COPY SS08PD.
124200/         LINE 24 PF KEYS ROUTINE
124300     COPY SS15PD.
124400/         GEN/DEF TC CONTROL RECORD ACCESS ROUTINES
124500     COPY MMGDAO.
124600/         MONETARY TC CONTROL RECORD ACCESS ROUTINES
124700     COPY MMTCAO.
124800/         LOG/JOURNAL ACCESS ROUTINES
124900     COPY MML1AO.
125000/         ON-LINE MAP ROUTINES
125100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMX02 '
125200                           MBMAPXXI BY MBMX02I
125300                           MBMAPXXO BY MBMX02O.
125400/         ON-LINE PROCEDURES
125500     COPY MB70PD.
125600/
125700     COPY SMFTPXO.
