000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOT102.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOT102 - TERMINATED MERCHANTS ADD/MAINT/INQ             *
000800*                SCREEN 02                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBTM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBT102 (SCREEN 02)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMTM (TERMINATED MERCHANTS FILE)           *
001600*                 B. MMMM (MERCHANT MASTER FILE)                *
001700*                 C. MMSM (STORE MASTER FILE)                   *
001800*                 D. MMXR (STORE/MERCH CROSS REF)               *
001900*                 E. MML1 (LOG FILE)                            *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400*
002500 DATA DIVISION.
002600*
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-FIELD-POSITION   PIC S9(03)      VALUE ZEROES COMP-3.
003600     03  WS-STARTCODE        PIC  X(02)      VALUE SPACES.
003700     03  WS-SETT-ACCT        PIC  X(01)      VALUE SPACES.
003800         88  WS-SETT-ACCT3-USED              VALUE '3'.
003900         88  WS-SETT-ACCT4-USED              VALUE '4'.
004000     03  WS-BUSCO-REG-NBR.
004100         05  WS-BUSCO-REG-BYTE
004200                             PIC  X(01)      OCCURS 9 TIMES
004300                                             INDEXED BY
004400                                             X-WS-BUSCO-REG.
004500     03  WS-DDA-ACCT.
004600         05  WS-DDA-ACCT-BYTE
004700                             PIC  X(01)      OCCURS 18 TIMES
004800                                             INDEXED BY
004900                                             X-WS-DDA-ACCT.
005000     03  WS-NEW-DDA-ACCT.
005100         05  WS-NEW-DDA-ACCT-BYTE
005200                             PIC  X(01)      OCCURS 18 TIMES
005300                                             INDEXED BY
005400                                             X-WS-NEW-DDA-ACCT.
005500     03  WS-NEW-PRIN.
005600         05  WS-NEW-PRIN-BYTE
005700                             PIC  X(01)      OCCURS 30 TIMES
005800                                             INDEXED BY
005900                                             X-WS-NEW-PRIN.
006000     03  WS-PRIN-FIRST.
006100         05  WS-PRIN-FIRST-BYTE
006200                             PIC  X(01)      OCCURS 25 TIMES
006300                                             INDEXED BY
006400                                             X-WS-PRIN-F.
006500     03  WS-PRIN-LAST.
006600         05  WS-PRIN-LAST-BYTE
006700                             PIC  X(01)      OCCURS 25 TIMES
006800                                             INDEXED BY
006900                                             X-WS-PRIN-L.
007000     03  WS-PRIN-MIDDLE      PIC  X(01)      VALUE SPACES.
007100*
007200 01  FILLER                  PIC  X(17)      VALUE
007300     'PROGRAM SWITCHES:'.
007400*
007500 01  WS-PROGRAM-SWITCHES.
007600     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
007700         88  WS-UPDATE-SW-YES                VALUE 'Y'.
007800         88  WS-UPDATE-SW-NO                 VALUE 'N'.
007900     03  WS-INDEX-X.
008000         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
008100/
008200 01  FILLER                  PIC  X(29)      VALUE
008300     'I/O REQUEST BLOCK WORK AREAS:'.
008400*
008500     COPY MBIOWS.
008600/
008700 01  FILLER                  PIC  X(18)      VALUE
008800     'I/O REQUEST BLOCK:'.
008900*
009000     COPY MBIORO.
009100/
009200 01  FILLER                  PIC  X(23)      VALUE
009300     'TERMINATED MERCHANT I/O'.
009400*
009500     COPY MMTMIO.
009600/
009700 01  FILLER                  PIC  X(25)      VALUE
009800     'LOG RECORD REQUEST BLOCK:'.
009900*
010000     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
010100/
010200 01  FILLER                  PIC  X(25)      VALUE
010300     'MERCHANT MASTER INIT REC:'.
010400*
010500     COPY MMMMIR.
010600/
010700 01  FILLER                  PIC  X(25)      VALUE
010800     'STORE MASTER INIT REC:   '.
010900*
011000     COPY MMSMIR.
011100/
011200 01  FILLER                  PIC  X(20)      VALUE
011300     'CCS DATE WORK AREAS:'.
011400*
011500     COPY SS01WS.
011600/
011700 01  FILLER                  PIC  X(15)      VALUE
011800     'CCS WORK AREAS:'.
011900*
012000     COPY SS08WS.
012100/
012200     COPY SS00WS.
012300/
012400     COPY SMFTWS.
012500/
012600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
012700/
012800     COPY MB61LK.
012900/
013000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
013100/
013200 LINKAGE SECTION.
013300*
013400 01  DFHCOMMAREA.
013500*
013600     COPY MB60WS.
013700/
013800*********************************
013900*    TERMINATED MERCHANT MAP    *
014000*********************************
014100*
014200     COPY MBT102.
014300/
014400**********************************************
014500*    TERMINATED MERCHANT MAP REDEFINITION    *
014600**********************************************
014700*
014800     COPY MBT102R.
014900/
015000******************************************
015100*    TERMINATED MECHANT RECORD LAYOUT    *
015200******************************************
015300*
015400     COPY MMTMRL.
015500/
015600******************************************
015700*    MERCHANT MASTER    RECORD LAYOUT    *
015800******************************************
015900*
016000     COPY MMMMRL.
016100/
016200******************************************
016300*    STORE MASTER    RECORD LAYOUT       *
016400******************************************
016500*
016600     COPY MMSMRL.
016700/
016800******************************************
016900*    STORE/MERCH CROSS REF RECORD LAYOUT *
017000******************************************
017100*
017200     COPY MMXRRL.
017300/
017400***************************
017500*    LOG RECORD LAYOUT    *
017600***************************
017700*
017800     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
017900/
018000 PROCEDURE DIVISION.
018100*
018200 A000-HOUSEKEEPING SECTION.
018300*
018400 A020-INIT.
018500*
018600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
018700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
018800                                 THRU MB70PD-OLH-EXIT.
018900*
019000     IF  MBCA-RECEIVE-SCREEN
019100         GO TO C000-RECEIVE-SCREEN.
019200/
019300 B000-SEND-SCREEN SECTION.
019400*
019500*********************************************
019600*    GET CICS STORAGE NEEDED FOR THE MAP    *
019700*********************************************
019800*
019900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
020000     PERFORM MB60PD-GETMAIN-FOR-MAP
020100                                 THRU MB60PD-GFM-EXIT.
020200*
020300*******************************************
020400*    INITIALIZE THE STANDARD MAP LINES    *
020500*******************************************
020600*
020700     PERFORM MB60PD-INIT-STD-MAP-LINES
020800                                 THRU MB60PD-ISML-EXIT.
020900*
021000********************************************************
021100*    READ THE TERMINATED MERCHANT RECORD FOR           *
021200*    SUBSEQUENT DISPLAY.                               *
021300********************************************************
021400*
021500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMTM-ORG.
021600     MOVE MBCA-MERCHANT          TO MBIOWS-MMTM-MERCHANT.
021700     MOVE MBCA-ACTION-CODE       TO MBIOWS-MMTM-ACTION-CODE.
021800     MOVE MBCA-S-M               TO MBIOWS-MMTM-FILE-TYPE.
021900*
022000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
022100     SET MBIORO-READ-RANDOM      TO TRUE.
022200     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
022300*
022400********************************************************
022500*    READ THE STORE OR MERCHANT RECORD FOR             *
022600*    DEPENDING ON THE STORE MERCHANT FLAG              *
022700********************************************************
022800*
022900     IF  MMTM-ACTION-CODE-INQ
023000         MOVE DFHBMDAS           TO T102-REASON-CODE-A
023100                                    T102-REASON-CODE-LP-A
023200                                    T102-REASON-CODE-RP-A
023300                                    T102-DATE-OPENED-A
023400                                    T102-DATE-OPENED-LP-A
023500                                    T102-DATE-OPENED-RP-A
023600                                    T102-DATE-CLOSED-A
023700                                    T102-DATE-CLOSED-LP-A
023800                                    T102-DATE-CLOSED-RP-A.
023900*
024000     IF  MBCA-MBTM-FUNCTION-ADD
024100         IF  MBCA-S-M IS EQUAL TO 'M'
024200             MOVE MBCA-MERCHANT-ORG
024300                                 TO MBIOWS-MMMM-ORG
024400             MOVE MBCA-MERCHANT  TO MBIOWS-MMMM-MERCHANT
024500             MOVE SS08WS-CICS-FC-NOTFND
024600                                 TO MBIORO-TEMP-STATUS-1
024700             MOVE 'FC02'         TO MBCA-PROGRAM-LOCATION
024800             SET MBIORO-READ-RANDOM
024900                                 TO TRUE
025000             PERFORM MMMMAO-ACCESS
025100                                 THRU MMMMAO-ACCESS-EXIT
025200             IF  SS08WS-RC-FC-NOTFND
025300                 MOVE ZEROS      TO T102-REASON-CODE
025400                                    T102-CATEGORY-CODE
025500                                    T102-DATE-OPENED
025600                                    T102-DATE-CLOSED
025700                 MOVE SPACES     TO
025800                                    T102-BUSCO-REG-NBR
025900                                    T102-DDA-ACCT-1
026000                                    T102-DDA-ACCT-2
026100                                    T102-DDA-ACCT-3
026200                                    T102-PRIN-OWNER-1
026300                                    T102-PRIN-OWNER-2
026400                                    T102-PRIN-OWNER-3
026500                                    T102-NATIONAL-ID-1
026600                                    T102-NATIONAL-ID-2
026700                                    T102-NATIONAL-ID-2
026800             ELSE
026900                 MOVE ZEROS      TO T102-REASON-CODE
027000                 PERFORM Y920-START-MMXR
027100                                 THRU Y929-SM-EXIT
027200                 MOVE MMMM-DATE-OPENED
027300                                 TO SS01WS-JULIAN
027400                 PERFORM SS08PD-JUL-TO-GREG
027500                    THRU SS08PD-JTG-EXIT
027600                 MOVE SS01WS-DATE
027700                                 TO T102-DATE-OPENED
027800                 MOVE MMMM-DATE-CLOSED
027900                                 TO SS01WS-JULIAN
028000                 PERFORM SS08PD-JUL-TO-GREG
028100                    THRU SS08PD-JTG-EXIT
028200                 MOVE SS01WS-DATE
028300                                 TO T102-DATE-CLOSED
028400                 MOVE MMMM-ACTIVE-CR-ACCT (1)
028500                                 TO WS-DDA-ACCT
028600                 PERFORM Y960-VERIFY-DDA-ACCT
028700                                 THRU Y961-VDA-EXIT
028800                 MOVE WS-NEW-DDA-ACCT
028900                                 TO T102-DDA-ACCT-1
029000                 EVALUATE TRUE
029100                     WHEN NOT MMMM-SA2-NOT-USED
029200                         MOVE MMMM-ACTIVE-CR-ACCT (2)
029300                                 TO WS-DDA-ACCT
029400                     WHEN NOT MMMM-SA3-NOT-USED
029500                         SET WS-SETT-ACCT3-USED
029600                                 TO TRUE
029700                         MOVE MMMM-ACTIVE-CR-ACCT (3)
029800                                 TO WS-DDA-ACCT
029900                     WHEN NOT MMMM-SA4-NOT-USED
030000                         SET WS-SETT-ACCT4-USED
030100                                 TO TRUE
030200                         MOVE MMMM-ACTIVE-CR-ACCT (4)
030300                                 TO WS-DDA-ACCT
030400                     WHEN OTHER
030500                         MOVE SPACES
030600                                 TO WS-DDA-ACCT
030700                 END-EVALUATE
030800                 PERFORM Y960-VERIFY-DDA-ACCT
030900                                 THRU Y961-VDA-EXIT
031000                 MOVE WS-NEW-DDA-ACCT
031100                                 TO T102-DDA-ACCT-2
031200                 EVALUATE TRUE
031300                     WHEN WS-SETT-ACCT4-USED
031400                         MOVE SPACES
031500                                 TO WS-DDA-ACCT
031600                     WHEN WS-SETT-ACCT3-USED
031700                         EVALUATE TRUE
031800                             WHEN NOT MMMM-SA4-NOT-USED
031900                                 MOVE MMMM-ACTIVE-CR-ACCT (4)
032000                                 TO WS-DDA-ACCT
032100                         END-EVALUATE
032200                     WHEN NOT MMMM-SA3-NOT-USED
032300                         SET WS-SETT-ACCT3-USED
032400                                 TO TRUE
032500                         MOVE MMMM-ACTIVE-CR-ACCT (3)
032600                                 TO WS-DDA-ACCT
032700                     WHEN NOT MMMM-SA4-NOT-USED
032800                         SET WS-SETT-ACCT4-USED
032900                                 TO TRUE
033000                         MOVE MMMM-ACTIVE-CR-ACCT (4)
033100                                 TO WS-DDA-ACCT
033200                     WHEN OTHER
033300                         MOVE SPACES
033400                                 TO WS-DDA-ACCT
033500                 END-EVALUATE
033600                 PERFORM Y960-VERIFY-DDA-ACCT
033700                                 THRU Y961-VDA-EXIT
033800                 MOVE WS-NEW-DDA-ACCT
033900                                 TO T102-DDA-ACCT-3
034000                 MOVE MMMM-SOLE-PROP-FIRST
034100                                 TO WS-PRIN-FIRST
034200                 MOVE MMMM-SOLE-PROP-LAST
034300                                 TO WS-PRIN-LAST
034400                 MOVE MMMM-SOLE-PROP-INITIAL
034500                                 TO WS-PRIN-MIDDLE
034600                 PERFORM Y950-PRIN-1-BUILD
034700                                 THRU Y959-P1B-EXIT
034800                 MOVE WS-NEW-PRIN
034900                                 TO T102-PRIN-OWNER-1
035000             END-IF
035100         ELSE
035200             MOVE MBCA-MERCHANT-ORG
035300                                 TO MBIOWS-MMSM-ORG
035400             MOVE MBCA-MERCHANT  TO MBIOWS-MMSM-STORE
035500             MOVE SS08WS-CICS-FC-NOTFND
035600                                 TO MBIORO-TEMP-STATUS-1
035700             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
035800             SET MBIORO-READ-RANDOM
035900                                 TO TRUE
036000             PERFORM MMSMAO-ACCESS
036100                                 THRU MMSMAO-ACCESS-EXIT
036200             IF  SS08WS-RC-FC-NOTFND
036300                 MOVE ZEROS      TO T102-REASON-CODE
036400                                    T102-CATEGORY-CODE
036500                                    T102-DATE-OPENED
036600                                    T102-DATE-CLOSED
036700                 MOVE SPACES     TO
036800                                    T102-BUSCO-REG-NBR
036900                                    T102-DDA-ACCT-1
037000                                    T102-DDA-ACCT-2
037100                                    T102-DDA-ACCT-3
037200                                    T102-PRIN-OWNER-1
037300                                    T102-PRIN-OWNER-2
037400                                    T102-PRIN-OWNER-3
037500             ELSE
037600                 MOVE ZEROS      TO T102-REASON-CODE
037700                 MOVE MBCA-MERCHANT-ORG
037800                                 TO MBIOWS-MMMM-ORG
037900                 MOVE MMSM-MERCHANT-ID
038000                                 TO MBIOWS-MMMM-MERCHANT
038100                 MOVE SS08WS-CICS-FC-NOTFND
038200                                 TO MBIORO-TEMP-STATUS-1
038300                 MOVE 'FC03'     TO MBCA-PROGRAM-LOCATION
038400                 SET MBIORO-READ-RANDOM
038500                                 TO TRUE
038600                 PERFORM MMMMAO-ACCESS
038700                                 THRU MMMMAO-ACCESS-EXIT
038800                 MOVE MMSM-VI-CATEGORY-CODE
038900                                 TO T102-CATEGORY-CODE
039000                 MOVE MMSM-DATE-OPENED
039100                                 TO SS01WS-JULIAN
039200                 PERFORM SS08PD-JUL-TO-GREG
039300                    THRU SS08PD-JTG-EXIT
039400                 MOVE SS01WS-DATE
039500                                 TO T102-DATE-OPENED
039600                 MOVE MMSM-DATE-CLOSED
039700                                 TO SS01WS-JULIAN
039800                 PERFORM SS08PD-JUL-TO-GREG
039900                    THRU SS08PD-JTG-EXIT
040000                 MOVE SS01WS-DATE
040100                                 TO T102-DATE-CLOSED
040200                 IF  SS08WS-RC-FC-NOTFND
040300                     MOVE SPACES TO T102-DDA-ACCT-1
040400                                    T102-DDA-ACCT-2
040500                                    T102-DDA-ACCT-3
040600                 ELSE
040700                     MOVE MMMM-ACTIVE-CR-ACCT (1)
040800                                 TO WS-DDA-ACCT
040900                     PERFORM Y960-VERIFY-DDA-ACCT
041000                                 THRU Y961-VDA-EXIT
041100                     MOVE WS-NEW-DDA-ACCT
041200                                 TO T102-DDA-ACCT-1
041300                     EVALUATE TRUE
041400                       WHEN NOT MMMM-SA2-NOT-USED
041500                         MOVE MMMM-ACTIVE-CR-ACCT (2)
041600                                 TO WS-DDA-ACCT
041700                       WHEN NOT MMMM-SA3-NOT-USED
041800                         SET WS-SETT-ACCT3-USED
041900                                 TO TRUE
042000                         MOVE MMMM-ACTIVE-CR-ACCT (3)
042100                                 TO WS-DDA-ACCT
042200                       WHEN NOT MMMM-SA4-NOT-USED
042300                         SET WS-SETT-ACCT4-USED
042400                                 TO TRUE
042500                         MOVE MMMM-ACTIVE-CR-ACCT (4)
042600                                 TO WS-DDA-ACCT
042700                       WHEN OTHER
042800                         MOVE SPACES
042900                                 TO WS-DDA-ACCT
043000                     END-EVALUATE
043100                     PERFORM Y960-VERIFY-DDA-ACCT
043200                                 THRU Y961-VDA-EXIT
043300                     MOVE WS-NEW-DDA-ACCT
043400                                 TO T102-DDA-ACCT-2
043500                     EVALUATE TRUE
043600                       WHEN WS-SETT-ACCT4-USED
043700                         MOVE SPACES
043800                                 TO WS-DDA-ACCT
043900                       WHEN WS-SETT-ACCT3-USED
044000                         EVALUATE TRUE
044100                           WHEN NOT MMMM-SA4-NOT-USED
044200                                 MOVE MMMM-ACTIVE-CR-ACCT (4)
044300                                 TO WS-DDA-ACCT
044400                         END-EVALUATE
044500                       WHEN NOT MMMM-SA3-NOT-USED
044600                         SET WS-SETT-ACCT3-USED
044700                                 TO TRUE
044800                         MOVE MMMM-ACTIVE-CR-ACCT (3)
044900                                 TO WS-DDA-ACCT
045000                       WHEN NOT MMMM-SA4-NOT-USED
045100                         SET WS-SETT-ACCT4-USED
045200                                 TO TRUE
045300                         MOVE MMMM-ACTIVE-CR-ACCT (4)
045400                                 TO WS-DDA-ACCT
045500                       WHEN OTHER
045600                         MOVE SPACES
045700                                 TO WS-DDA-ACCT
045800                     END-EVALUATE
045900                     PERFORM Y960-VERIFY-DDA-ACCT
046000                                 THRU Y961-VDA-EXIT
046100                     MOVE WS-NEW-DDA-ACCT
046200                                 TO T102-DDA-ACCT-3
046300                 END-IF
046400                 MOVE MMSM-SOLE-PROP-FIRST
046500                                 TO WS-PRIN-FIRST
046600                 MOVE MMSM-SOLE-PROP-LAST
046700                                 TO WS-PRIN-LAST
046800                 MOVE MMSM-SOLE-PROP-INITIAL
046900                                 TO WS-PRIN-MIDDLE
047000                 PERFORM Y950-PRIN-1-BUILD
047100                                 THRU Y959-P1B-EXIT
047200                 MOVE WS-NEW-PRIN
047300                                 TO T102-PRIN-OWNER-1
047400             END-IF
047500         END-IF
047600     ELSE
047700         MOVE MMTM-VANZ-LISTING-REASON-CODE
047800                                 TO T102-REASON-CODE
047900         MOVE MMTM-VANZ-MER-CAT-CODE
048000                                 TO T102-CATEGORY-CODE
048100         MOVE MMTM-VANZ-CONTRACT-OPEN-DATE
048200                                 TO SS01WS-JULIAN
048300         PERFORM SS08PD-JUL-TO-GREG
048400            THRU SS08PD-JTG-EXIT
048500         MOVE SS01WS-DATE        TO T102-DATE-OPENED
048600         MOVE MMTM-VANZ-CONTRACT-CLOSED-DATE
048700                                 TO SS01WS-JULIAN
048800         PERFORM SS08PD-JUL-TO-GREG
048900            THRU SS08PD-JTG-EXIT
049000         MOVE SS01WS-DATE        TO T102-DATE-CLOSED
049100         MOVE MMTM-VANZ-BUS-REG-NBR
049200                                 TO T102-BUSCO-REG-NBR
049300         MOVE MMTM-VANZ-DDA-ACCT-1
049400                                 TO T102-DDA-ACCT-1
049500         MOVE MMTM-VANZ-DDA-ACCT-2
049600                                 TO T102-DDA-ACCT-2
049700         MOVE MMTM-VANZ-DDA-ACCT-3
049800                                 TO T102-DDA-ACCT-3
049900         MOVE MMTM-VANZ-PRIN-NAME-1
050000                                 TO T102-PRIN-OWNER-1
050100         MOVE MMTM-VANZ-NATIONAL-ID-1
050200                                 TO T102-NATIONAL-ID-1
050300         MOVE MMTM-VANZ-PRIN-NAME-2
050400                                 TO T102-PRIN-OWNER-2
050500         MOVE MMTM-VANZ-NATIONAL-ID-2
050600                                 TO T102-NATIONAL-ID-2
050700         MOVE MMTM-VANZ-PRIN-NAME-3
050800                                 TO T102-PRIN-OWNER-3
050900         MOVE MMTM-VANZ-NATIONAL-ID-3
051000                                 TO T102-NATIONAL-ID-3
051100     END-IF.
051200*
051300 B020-MOVE-FIELDS-TO-SCREEN.
051400*
051500*********************************************
051600*    MOVE THE TERMINATED MERCHANT FIELDS    *
051700*    FROM THE RECORD TO THE SCREEN          *
051800*********************************************
051900*
052000     MOVE MMTM-ORG               TO T102-ORG.
052100     MOVE MMTM-MERCHANT          TO T102-MERCHANT.
052200     MOVE MMTM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
052300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
052400        THRU SS26PD-NED-EXIT.
052500     MOVE SS01WS-XX-XX-YYYY      TO T102-LAST-MAINT-DATE.
052600     MOVE MMTM-LAST-MAINT-OPER   TO T102-LAST-MAINT-OPER.
052700*
052800     IF  MBCA-S-M IS EQUAL TO 'S'
052900         MOVE 'STORE   '         TO T102-MERCHANT-LIT.
053000*
053100     EVALUATE TRUE
053200         WHEN MMTM-ACTION-CODE IS EQUAL TO 'AV'
053300             MOVE 'ADD VISA NMAS'
053400                                 TO T102-ACTION
053500         WHEN MMTM-ACTION-CODE IS EQUAL TO 'IV'
053600             MOVE 'INQUIRY FOR VISA NMAS'
053700                                 TO T102-ACTION
053800     END-EVALUATE.
053900*
054000     MOVE DFHBMASK               TO T102-ACTION-A.
054100*
054200 B100-SEND-MAP.
054300*
054400     IF  MMTM-ACTION-CODE-INQ
054500         MOVE SS08WS-CURSOR      TO T102-CATEGORY-CODE-L
054600     ELSE
054700         MOVE SS08WS-CURSOR      TO T102-REASON-CODE-L.
054800*
054900     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
055000*
055100**********************
055200*    SEND THE MAP    *
055300**********************
055400*
055500     IF  NOT MMTM-ADD-COMPLETED
055600         MOVE DFHBMASK           TO T102-CURRENT-PAGE-A.
055700*
055800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
055900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
056000                                 THRU MB60PD-SMWE-EXIT.
056100*
056200************************
056300*    RETURN TO CICS    *
056400************************
056500*
056600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
056700     PERFORM MB70PD-RETURN-TRANS-ID
056800                                 THRU MB70PD-RTI-EXIT.
056900/
057000 C000-RECEIVE-SCREEN SECTION.
057100*
057200******************************************
057300*    THIS SECTION RECEIVES THE SCREEN    *
057400******************************************
057500*
057600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
057700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
057800*
057900**************************************************************
058000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
058100**************************************************************
058200*
058300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
058400     PERFORM MB60PD-NEW-TRANS-ROUTINE
058500                                 THRU MB60PD-NTR-EXIT.
058600*
058700*********************************************
058800*    READ THE TERMINATED MERCHANT RECORD    *
058900*********************************************
059000*
059100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMTM-ORG
059200                                    T102-ORG.
059300     MOVE MBCA-MERCHANT          TO MBIOWS-MMTM-MERCHANT
059400                                    T102-MERCHANT.
059500     MOVE MBCA-ACTION-CODE       TO MBIOWS-MMTM-ACTION-CODE.
059600     MOVE MBCA-S-M               TO MBIOWS-MMTM-FILE-TYPE.
059700     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
059800     SET MBIORO-READ-RANDOM      TO TRUE.
059900     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
060000*
060100********************************************************
060200*    READ THE STORE OR MERCHANT RECORD FOR             *
060300*    DEPENDING ON THE STORE MERCHANT FLAG              *
060400********************************************************
060500*
060600*
060700     IF  MBCA-S-M IS EQUAL TO 'M'
060800         IF  MBCA-MBTM-MERCH-FOUND
060900             MOVE MBCA-MERCHANT-ORG
061000                                 TO MBIOWS-MMMM-ORG
061100             MOVE MBCA-MERCHANT  TO MBIOWS-MMMM-MERCHANT
061200             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
061300             SET MBIORO-READ-RANDOM
061400                                 TO TRUE
061500             PERFORM MMMMAO-ACCESS
061600                                 THRU MMMMAO-ACCESS-EXIT
061700         ELSE
061800             MOVE 'SC02'         TO MBCA-PROGRAM-LOCATION
061900             SET MBIORO-GETMAIN  TO TRUE
062000             PERFORM MMMMAO-ACCESS
062100                                 THRU MMMMAO-ACCESS-EXIT
062200             MOVE MMMMIR-RECORD  TO MMMM-RECORD.
062300*
062400     IF  MBCA-S-M IS EQUAL TO 'S'
062500         IF  MBCA-MBTM-STORE-FOUND
062600             MOVE MBCA-MERCHANT-ORG
062700                                 TO MBIOWS-MMSM-ORG
062800             MOVE MBCA-MERCHANT  TO MBIOWS-MMSM-STORE
062900             MOVE 'FC06'         TO MBCA-PROGRAM-LOCATION
063000             SET MBIORO-READ-RANDOM
063100                                 TO TRUE
063200             PERFORM MMSMAO-ACCESS
063300                                 THRU MMSMAO-ACCESS-EXIT
063400             MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
063500             MOVE MMSM-MERCHANT-ID   TO MBIOWS-MMMM-MERCHANT
063600             MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
063700             SET MBIORO-READ-RANDOM  TO TRUE
063800             PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
063900         ELSE
064000             MOVE 'SC02'         TO MBCA-PROGRAM-LOCATION
064100             SET MBIORO-GETMAIN  TO TRUE
064200             PERFORM MMMMAO-ACCESS
064300                                 THRU MMMMAO-ACCESS-EXIT
064400             MOVE MMMMIR-RECORD  TO MMMM-RECORD
064500             MOVE 'SC02'         TO MBCA-PROGRAM-LOCATION
064600             SET MBIORO-GETMAIN  TO TRUE
064700             PERFORM MMSMAO-ACCESS
064800                                 THRU MMSMAO-ACCESS-EXIT
064900             MOVE MMSMIR-RECORD  TO MMSM-RECORD.
065000*
065100***********************************************************
065200*    MOVE THE LAST MAINT DATE AND LAST MAINT OPERATOR,    *
065300*    DEPENDING ON THE FUNCTION                            *
065400***********************************************************
065500*
065600     MOVE MMTM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
065700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
065800        THRU SS26PD-NED-EXIT.
065900     MOVE SS01WS-XX-XX-YYYY      TO T102-LAST-MAINT-DATE.
066000     MOVE MMTM-LAST-MAINT-OPER   TO T102-LAST-MAINT-OPER.
066100*
066200*********************
066300*    FIELD EDITS    *
066400*********************
066500*
066600*
066700 C010-EDIT-REASON-CODE.
066800*
066900     MOVE DFHBMDAS               TO T102-REASON-CODE-LP-A
067000                                    T102-REASON-CODE-RP-A.
067100     MOVE DFHBMASK               TO T102-REASON-CODE-A.
067200*
067300     IF  MMTM-ACTION-CODE-INQ
067400         MOVE DFHBMDAS           TO T102-REASON-CODE-A
067500         GO TO C020-EDIT-CATEGORY-CODE.
067600*
067700     IF  T102-REASON-CODE-L IS LESS THAN 1
067800         MOVE MMTM-VANZ-LISTING-REASON-CODE
067900                                 TO T102-REASON-CODE
068000     ELSE
068100         MOVE DFHBMASF           TO T102-REASON-CODE-A.
068200*
068300     IF  T102-REASON-CODE IS NOT NUMERIC
068400         SET SS08WS-ERROR-SW-YES TO TRUE
068500         MOVE SS08WS-CURSOR      TO T102-REASON-CODE-L
068600         MOVE DFHBMASB           TO T102-REASON-CODE-LP-A
068700                                    T102-REASON-CODE-RP-A
068800         MOVE DFHBMUBF           TO T102-REASON-CODE-A
068900         GO TO C020-EDIT-CATEGORY-CODE.
069000*
069100     IF  MBCA-MBTM-CC-AU
069200     AND NOT T102-VALID-AU-REASON-CODE
069300         SET SS08WS-ERROR-SW-YES TO TRUE
069400         MOVE SS08WS-CURSOR      TO T102-REASON-CODE-L
069500         MOVE DFHBMASB           TO T102-REASON-CODE-LP-A
069600                                    T102-REASON-CODE-RP-A
069700         MOVE DFHBMUBF           TO T102-REASON-CODE-A
069800         GO TO C020-EDIT-CATEGORY-CODE.
069900*
070000     IF  MBCA-MBTM-CC-NZ
070100     AND NOT T102-VALID-NZ-REASON-CODE
070200         SET SS08WS-ERROR-SW-YES TO TRUE
070300         MOVE SS08WS-CURSOR      TO T102-REASON-CODE-L
070400         MOVE DFHBMASB           TO T102-REASON-CODE-LP-A
070500                                    T102-REASON-CODE-RP-A
070600         MOVE DFHBMUBF           TO T102-REASON-CODE-A.
070700*
070800 C020-EDIT-CATEGORY-CODE.
070900*
071000     MOVE DFHBMDAS               TO T102-CATEGORY-CODE-LP-A
071100                                    T102-CATEGORY-CODE-RP-A.
071200     MOVE DFHBMASK               TO T102-CATEGORY-CODE-A.
071300*
071400     IF  T102-CATEGORY-CODE-L IS EQUAL TO ZEROS
071500         IF  MBCA-MBTM-FUNCTION-ADD
071600             IF  MBCA-S-M IS EQUAL TO 'S'
071700                 MOVE MMSM-VI-CATEGORY-CODE
071800                                 TO T102-CATEGORY-CODE
071900                 MOVE DFHBMASF   TO T102-CATEGORY-CODE-A
072000                 MOVE 1          TO T102-CATEGORY-CODE-L
072100             ELSE
072200                 PERFORM Y920-START-MMXR
072300                                 THRU Y929-SM-EXIT
072400                 MOVE DFHBMASF   TO T102-CATEGORY-CODE-A
072500                 MOVE 1          TO T102-CATEGORY-CODE-L
072600         ELSE
072700             MOVE MMTM-VANZ-MER-CAT-CODE
072800                                 TO T102-CATEGORY-CODE
072900     ELSE
073000         MOVE DFHBMASF           TO T102-CATEGORY-CODE-A.
073100*
073200     IF  T102-CATEGORY-CODE IS NOT NUMERIC
073300     OR  T102-CATEGORY-CODE IS EQUAL TO ZEROS
073400         SET SS08WS-ERROR-SW-YES TO TRUE
073500         MOVE SS08WS-CURSOR      TO T102-CATEGORY-CODE-L
073600         MOVE DFHBMASB           TO T102-CATEGORY-CODE-LP-A
073700                                    T102-CATEGORY-CODE-RP-A
073800         MOVE DFHBMUBF           TO T102-CATEGORY-CODE-A.
073900*
074000 C030-EDIT-DATE-OPENED.
074100*
074200     MOVE DFHBMDAS               TO T102-DATE-OPENED-LP-A
074300                                    T102-DATE-OPENED-RP-A.
074400     MOVE DFHBMASK               TO T102-DATE-OPENED-A.
074500*
074600     IF  MMTM-ACTION-CODE-INQ
074700         MOVE DFHBMDAS           TO T102-DATE-OPENED-A
074800         GO TO C040-EDIT-DATE-CLOSED.
074900*
075000     IF  T102-DATE-OPENED-L IS LESS THAN 1
075100         IF  MBCA-MBTM-FUNCTION-ADD
075200             IF  MBCA-S-M IS EQUAL TO 'S'
075300                 MOVE MMSM-DATE-OPENED
075400                                 TO SS01WS-JULIAN
075500                 PERFORM SS08PD-JUL-TO-GREG
075600                    THRU SS08PD-JTG-EXIT
075700                 MOVE SS01WS-DATE
075800                                 TO T102-DATE-OPENED
075900                 MOVE DFHBMASF   TO T102-DATE-OPENED-A
076000                 MOVE 1          TO T102-DATE-OPENED-L
076100                 MOVE T102-DATE-OPENED
076200                                 TO SS01WS-DATEZ
076300             ELSE
076400                 MOVE MMMM-DATE-OPENED
076500                                 TO SS01WS-JULIAN
076600                 PERFORM SS08PD-JUL-TO-GREG
076700                    THRU SS08PD-JTG-EXIT
076800                 MOVE SS01WS-DATE
076900                                 TO T102-DATE-OPENED
077000                 MOVE DFHBMASF   TO T102-DATE-OPENED-A
077100                 MOVE 1          TO T102-DATE-OPENED-L
077200                 MOVE T102-DATE-OPENED
077300                                 TO SS01WS-DATEZ
077400         ELSE
077500             MOVE MMTM-VANZ-CONTRACT-OPEN-DATE
077600                                 TO SS01WS-JULIAN
077700             PERFORM SS08PD-JUL-TO-GREG
077800                THRU SS08PD-JTG-EXIT
077900             MOVE SS01WS-DATE    TO T102-DATE-OPENED
078000             MOVE T102-DATE-OPENED
078100                                 TO SS01WS-DATEZ
078200     ELSE
078300         IF  T102-DATE-OPENED IS NOT NUMERIC
078400             GO TO C035-DATE-OPEN-ERROR
078500         ELSE
078600             MOVE DFHBMASF           TO T102-DATE-OPENED-A
078700             IF  T102-DATE-OPENED IS LESS THAN 1000000
078800                 MOVE T102-DATE-OPENED
078900                                 TO SS01WS-MDY
079000                 MOVE SS01WS-MDYZ
079100                                 TO SS01WS-DATEZ
079200             ELSE
079300                 MOVE T102-DATE-OPENED
079400                                 TO SS01WS-DATE.
079500*
079600     IF  T102-DATE-OPENED IS EQUAL TO ZEROS
079700         GO TO C035-DATE-OPEN-ERROR.
079800*
079900     PERFORM SS05PD-DATE-VALIDATION
080000                                 THRU SS05PD-DV-EXIT.
080100*
080200     IF  SS01WS-DATE-IS-VALID
080300         MOVE SS01WS-DATE        TO T102-DATE-OPENED
080400         GO TO C040-EDIT-DATE-CLOSED.
080500*
080600 C035-DATE-OPEN-ERROR.
080700*
080800     SET SS08WS-ERROR-SW-YES     TO TRUE
080900     MOVE SS08WS-CURSOR          TO T102-DATE-OPENED-L
081000     MOVE DFHBMASB               TO T102-DATE-OPENED-LP-A
081100                                    T102-DATE-OPENED-RP-A
081200     MOVE DFHBMUBF               TO T102-DATE-OPENED-A.
081300*
081400 C040-EDIT-DATE-CLOSED.
081500*
081600     MOVE DFHBMDAS               TO T102-DATE-CLOSED-LP-A
081700                                    T102-DATE-CLOSED-RP-A.
081800     MOVE DFHBMASK               TO T102-DATE-CLOSED-A.
081900*
082000     IF  MMTM-ACTION-CODE-INQ
082100         MOVE DFHBMDAS           TO T102-DATE-CLOSED-A
082200         GO TO C050-EDIT-BUS-CO-REG-NBR.
082300*
082400     IF  T102-DATE-CLOSED-L IS LESS THAN 1
082500         IF  MBCA-MBTM-FUNCTION-ADD
082600             IF  MBCA-S-M IS EQUAL TO 'S'
082700                 MOVE MMSM-DATE-CLOSED
082800                                 TO SS01WS-JULIAN
082900                 PERFORM SS08PD-JUL-TO-GREG
083000                    THRU SS08PD-JTG-EXIT
083100                 MOVE SS01WS-DATE
083200                                 TO T102-DATE-CLOSED
083300                 MOVE DFHBMASF   TO T102-DATE-CLOSED-A
083400                 MOVE 1          TO T102-DATE-CLOSED-L
083500                 MOVE T102-DATE-CLOSED
083600                                 TO SS01WS-DATEZ
083700             ELSE
083800                 MOVE MMMM-DATE-CLOSED
083900                                 TO SS01WS-JULIAN
084000                 PERFORM SS08PD-JUL-TO-GREG
084100                    THRU SS08PD-JTG-EXIT
084200                 MOVE SS01WS-DATE
084300                                 TO T102-DATE-CLOSED
084400                 MOVE DFHBMASF   TO T102-DATE-CLOSED-A
084500                 MOVE 1          TO T102-DATE-CLOSED-L
084600                 MOVE T102-DATE-CLOSED
084700                                 TO SS01WS-DATEZ
084800         ELSE
084900             MOVE MMTM-VANZ-CONTRACT-CLOSED-DATE
085000                                 TO SS01WS-JULIAN
085100             PERFORM SS08PD-JUL-TO-GREG
085200                THRU SS08PD-JTG-EXIT
085300             MOVE SS01WS-DATE    TO T102-DATE-CLOSED
085400             MOVE T102-DATE-CLOSED
085500                                 TO SS01WS-DATEZ
085600     ELSE
085700         IF  T102-DATE-CLOSED IS NOT NUMERIC
085800             GO TO C045-DATE-CLOSED-ERROR
085900         ELSE
086000             MOVE DFHBMASF           TO T102-DATE-CLOSED-A
086100             IF  T102-DATE-CLOSED IS LESS THAN 1000000
086200                 MOVE T102-DATE-CLOSED
086300                                 TO SS01WS-MDY
086400                 MOVE SS01WS-MDYZ
086500                                 TO SS01WS-DATEZ
086600             ELSE
086700                 MOVE T102-DATE-CLOSED
086800                                 TO SS01WS-DATE.
086900*
087000     IF  T102-DATE-CLOSED IS EQUAL TO ZEROS
087100         GO TO C045-DATE-CLOSED-ERROR.
087200*
087300     PERFORM SS05PD-DATE-VALIDATION
087400                                 THRU SS05PD-DV-EXIT.
087500*
087600     IF  SS01WS-DATE-IS-VALID
087700         MOVE SS01WS-DATE        TO T102-DATE-CLOSED
087800         GO TO C050-EDIT-BUS-CO-REG-NBR.
087900*
088000 C045-DATE-CLOSED-ERROR.
088100*
088200     SET SS08WS-ERROR-SW-YES     TO TRUE
088300     MOVE SS08WS-CURSOR          TO T102-DATE-CLOSED-L
088400     MOVE DFHBMASB               TO T102-DATE-CLOSED-LP-A
088500                                    T102-DATE-CLOSED-RP-A
088600     MOVE DFHBMUBF               TO T102-DATE-CLOSED-A.
088700*
088800 C050-EDIT-BUS-CO-REG-NBR.
088900*
089000     MOVE DFHBMDAS               TO T102-BUSCO-REG-NBR-LP-A
089100                                    T102-BUSCO-REG-NBR-RP-A.
089200     MOVE DFHBMASK               TO T102-BUSCO-REG-NBR-A.
089300*
089400     IF  MBCA-MBTM-CC-AU
089500         IF  MBCA-MBTM-FUNCTION-ADD
089600             IF  T102-BUSCO-REG-NBR-L IS LESS THAN 1
089700             AND MMTM-ACTION-CODE-ADD
089800                 SET SS08WS-ERROR-SW-YES
089900                                 TO TRUE
090000                 MOVE SS08WS-CURSOR TO T102-BUSCO-REG-NBR-L
090100                 MOVE DFHBMASB   TO T102-BUSCO-REG-NBR-LP-A
090200                                    T102-BUSCO-REG-NBR-RP-A
090300                 MOVE DFHBMUBF   TO T102-BUSCO-REG-NBR-A
090400             ELSE
090500                 IF  T102-BUSCO-REG-NBR (1:1) IS EQUAL TO SPACES
090600                 OR  T102-BUSCO-REG-NBR (2:1) IS EQUAL TO SPACES
090700                 OR  T102-BUSCO-REG-NBR (3:1) IS EQUAL TO SPACES
090800                 OR  T102-BUSCO-REG-NBR (4:1) IS EQUAL TO SPACES
090900                 OR  T102-BUSCO-REG-NBR (5:1) IS EQUAL TO SPACES
091000                 OR  T102-BUSCO-REG-NBR (6:1) IS EQUAL TO SPACES
091100                 OR  T102-BUSCO-REG-NBR (7:1) IS EQUAL TO SPACES
091200                     SET SS08WS-ERROR-SW-YES
091300                                 TO TRUE
091400                     MOVE SS08WS-CURSOR
091500                                 TO T102-BUSCO-REG-NBR-L
091600                     MOVE DFHBMASB
091700                                 TO T102-BUSCO-REG-NBR-LP-A
091800                                    T102-BUSCO-REG-NBR-RP-A
091900                     MOVE DFHBMUBF
092000                                 TO T102-BUSCO-REG-NBR-A
092100                 ELSE
092200                     IF  T102-BUSCO-REG-NBR-L IS LESS THAN 1
092300                         MOVE MMTM-VANZ-BUS-REG-NBR
092400                                 TO T102-BUSCO-REG-NBR
092500                     ELSE
092600                         MOVE DFHBMASF
092700                                 TO T102-BUSCO-REG-NBR-A
092800         ELSE
092900             IF  T102-BUSCO-REG-NBR-L IS LESS THAN 1
093000                 MOVE MMTM-VANZ-BUS-REG-NBR
093100                                 TO T102-BUSCO-REG-NBR
093200             ELSE
093300                 IF  T102-BUSCO-REG-NBR (1:1) IS EQUAL TO SPACES
093400                 OR  T102-BUSCO-REG-NBR (2:1) IS EQUAL TO SPACES
093500                 OR  T102-BUSCO-REG-NBR (3:1) IS EQUAL TO SPACES
093600                 OR  T102-BUSCO-REG-NBR (4:1) IS EQUAL TO SPACES
093700                 OR  T102-BUSCO-REG-NBR (5:1) IS EQUAL TO SPACES
093800                 OR  T102-BUSCO-REG-NBR (6:1) IS EQUAL TO SPACES
093900                 OR  T102-BUSCO-REG-NBR (7:1) IS EQUAL TO SPACES
094000                     SET SS08WS-ERROR-SW-YES
094100                                 TO TRUE
094200                     MOVE SS08WS-CURSOR
094300                                 TO T102-BUSCO-REG-NBR-L
094400                     MOVE DFHBMASB
094500                                 TO T102-BUSCO-REG-NBR-LP-A
094600                                    T102-BUSCO-REG-NBR-RP-A
094700                     MOVE DFHBMUBF
094800                                 TO T102-BUSCO-REG-NBR-A
094900                 ELSE
095000                     MOVE DFHBMASF
095100                                 TO T102-BUSCO-REG-NBR-A.
095200*
095300     IF  MBCA-MBTM-CC-NZ
095400         IF  T102-BUSCO-REG-NBR-L IS LESS THAN 1
095500             MOVE MMTM-VANZ-BUS-REG-NBR
095600                                 TO T102-BUSCO-REG-NBR
095700         ELSE
095800             IF  T102-BUSCO-REG-NBR (1:1) IS EQUAL TO SPACES
095900             OR  T102-BUSCO-REG-NBR (2:1) IS EQUAL TO SPACES
096000             OR  T102-BUSCO-REG-NBR (3:1) IS EQUAL TO SPACES
096100             OR  T102-BUSCO-REG-NBR (4:1) IS EQUAL TO SPACES
096200             OR  T102-BUSCO-REG-NBR (5:1) IS EQUAL TO SPACES
096300             OR  T102-BUSCO-REG-NBR (6:1) IS EQUAL TO SPACES
096400             OR  T102-BUSCO-REG-NBR (7:1) IS EQUAL TO SPACES
096500             OR  T102-BUSCO-REG-NBR (8:1) IS EQUAL TO SPACES
096600                 SET SS08WS-ERROR-SW-YES
096700                                 TO TRUE
096800                 MOVE SS08WS-CURSOR TO T102-BUSCO-REG-NBR-L
096900                 MOVE DFHBMASB   TO T102-BUSCO-REG-NBR-LP-A
097000                                    T102-BUSCO-REG-NBR-RP-A
097100                 MOVE DFHBMUBF   TO T102-BUSCO-REG-NBR-A
097200             ELSE
097300                 MOVE DFHBMASF   TO T102-BUSCO-REG-NBR-A.
097400*
097500     MOVE T102-BUSCO-REG-NBR     TO WS-BUSCO-REG-NBR.
097600*
097700     PERFORM
097800         VARYING X-WS-BUSCO-REG
097900         FROM 1 BY 1
098000         UNTIL X-WS-BUSCO-REG IS GREATER THAN 9
098100         IF  WS-BUSCO-REG-BYTE (X-WS-BUSCO-REG)
098200                                 IS ALPHABETIC
098300         OR  WS-BUSCO-REG-BYTE (X-WS-BUSCO-REG)
098400                                 IS NUMERIC
098500             CONTINUE
098600         ELSE
098700             SET SS08WS-ERROR-SW-YES
098800                                 TO TRUE
098900             MOVE SS08WS-CURSOR  TO T102-BUSCO-REG-NBR-L
099000             MOVE DFHBMASB       TO T102-BUSCO-REG-NBR-LP-A
099100                                    T102-BUSCO-REG-NBR-RP-A
099200             MOVE DFHBMUBF       TO T102-BUSCO-REG-NBR-A
099300         END-IF
099400     END-PERFORM.
099500*
099600 C060-DDA-ACCT-1.
099700*
099800     MOVE DFHBMDAS               TO T102-DDA-ACCT-1-LP-A
099900                                    T102-DDA-ACCT-1-RP-A.
100000     MOVE DFHBMASK               TO T102-DDA-ACCT-1-A.
100100*
100200     IF  T102-DDA-ACCT-1-L IS LESS THAN 1
100300         IF  MBCA-MBTM-FUNCTION-ADD
100400             IF  MBCA-S-M IS EQUAL TO 'M'
100500                 MOVE MMMM-ACTIVE-CR-ACCT (1)
100600                                 TO WS-DDA-ACCT
100700                 PERFORM Y960-VERIFY-DDA-ACCT
100800                                 THRU Y961-VDA-EXIT
100900                 MOVE WS-NEW-DDA-ACCT
101000                                 TO T102-DDA-ACCT-1
101100                 MOVE DFHBMASF   TO T102-DDA-ACCT-1-A
101200                 SET X-WS-NEW-DDA-ACCT
101300                                 DOWN BY 1
101400                 SET T102-DDA-ACCT-1-L
101500                                 TO X-WS-NEW-DDA-ACCT
101600             ELSE
101700                 MOVE MMMM-ACTIVE-CR-ACCT (1)
101800                                 TO WS-DDA-ACCT
101900                 PERFORM Y960-VERIFY-DDA-ACCT
102000                                 THRU Y961-VDA-EXIT
102100                 MOVE WS-NEW-DDA-ACCT
102200                                 TO T102-DDA-ACCT-1
102300                 MOVE DFHBMASF   TO T102-DDA-ACCT-1-A
102400                 SET X-WS-NEW-DDA-ACCT
102500                                 DOWN BY 1
102600                 SET T102-DDA-ACCT-1-L
102700                                 TO X-WS-NEW-DDA-ACCT
102800         ELSE
102900             MOVE MMTM-VANZ-DDA-ACCT-1
103000                                 TO T102-DDA-ACCT-1
103100     ELSE
103200         MOVE T102-DDA-ACCT-1    TO WS-DDA-ACCT
103300         PERFORM Y962-VERIFY-DDA-ACCT
103400                                 THRU Y963-VDA-EXIT
103500         MOVE WS-NEW-DDA-ACCT    TO T102-DDA-ACCT-1
103600         MOVE DFHBMASF           TO T102-DDA-ACCT-1-A.
103700*
103800     IF  MBCA-MBTM-CC-AU
103900         IF  T102-DDA-ACCT-1 IS EQUAL TO SPACES
104000             NEXT SENTENCE
104100         ELSE
104200             IF  T102-DDA-ACCT-1 (1:7) IS NOT NUMERIC
104300                 SET SS08WS-ERROR-SW-YES
104400                                 TO TRUE
104500                 MOVE SS08WS-CURSOR TO T102-DDA-ACCT-1-L
104600                 MOVE DFHBMASB   TO T102-DDA-ACCT-1-LP-A
104700                                    T102-DDA-ACCT-1-RP-A
104800                 MOVE DFHBMUBF   TO T102-DDA-ACCT-1-A.
104900*
105000     IF  MBCA-MBTM-CC-NZ
105100         IF  T102-DDA-ACCT-1 IS EQUAL TO SPACES
105200             NEXT SENTENCE
105300         ELSE
105400             IF  T102-DDA-ACCT-1 (1:10) IS NOT NUMERIC
105500                 SET SS08WS-ERROR-SW-YES
105600                                 TO TRUE
105700                 MOVE SS08WS-CURSOR TO T102-DDA-ACCT-1-L
105800                 MOVE DFHBMASB   TO T102-DDA-ACCT-1-LP-A
105900                                        T102-DDA-ACCT-1-RP-A
106000                 MOVE DFHBMUBF   TO T102-DDA-ACCT-1-A.
106100*
106200 C070-DDA-ACCT-2.
106300*
106400     MOVE DFHBMDAS               TO T102-DDA-ACCT-2-LP-A
106500                                    T102-DDA-ACCT-2-RP-A.
106600     MOVE DFHBMASK               TO T102-DDA-ACCT-2-A.
106700*
106800     IF  T102-DDA-ACCT-2-L IS LESS THAN 1
106900         IF  MBCA-MBTM-FUNCTION-ADD
107000             EVALUATE TRUE
107100                 WHEN NOT MMMM-SA2-NOT-USED
107200                     MOVE MMMM-ACTIVE-CR-ACCT (2)
107300                                 TO WS-DDA-ACCT
107400                 WHEN NOT MMMM-SA3-NOT-USED
107500                     SET WS-SETT-ACCT3-USED
107600                                 TO TRUE
107700                     MOVE MMMM-ACTIVE-CR-ACCT (3)
107800                                 TO WS-DDA-ACCT
107900                 WHEN NOT MMMM-SA4-NOT-USED
108000                     SET WS-SETT-ACCT4-USED
108100                                 TO TRUE
108200                     MOVE MMMM-ACTIVE-CR-ACCT (4)
108300                                 TO WS-DDA-ACCT
108400                 WHEN OTHER
108500                     MOVE SPACES
108600                                 TO WS-DDA-ACCT
108700             END-EVALUATE
108800             PERFORM Y960-VERIFY-DDA-ACCT
108900                                 THRU Y961-VDA-EXIT
109000             MOVE WS-NEW-DDA-ACCT
109100                                 TO T102-DDA-ACCT-2
109200             MOVE DFHBMASF   TO T102-DDA-ACCT-2-A
109300             SET X-WS-NEW-DDA-ACCT
109400                                 DOWN BY 1
109500             SET T102-DDA-ACCT-2-L
109600                                 TO X-WS-NEW-DDA-ACCT
109700         ELSE
109800             MOVE MMTM-VANZ-DDA-ACCT-2
109900                                 TO T102-DDA-ACCT-2
110000     ELSE
110100         MOVE T102-DDA-ACCT-2    TO WS-DDA-ACCT
110200         PERFORM Y962-VERIFY-DDA-ACCT
110300                                 THRU Y963-VDA-EXIT
110400         MOVE WS-NEW-DDA-ACCT    TO T102-DDA-ACCT-2
110500         MOVE DFHBMASF           TO T102-DDA-ACCT-2-A.
110600*
110700     IF  MBCA-MBTM-CC-AU
110800         IF  T102-DDA-ACCT-2 IS EQUAL TO SPACES
110900             NEXT SENTENCE
111000         ELSE
111100             IF T102-DDA-ACCT-2 (1:7) IS NOT NUMERIC
111200                 SET SS08WS-ERROR-SW-YES
111300                                 TO TRUE
111400                 MOVE SS08WS-CURSOR TO T102-DDA-ACCT-2-L
111500                 MOVE DFHBMASB   TO T102-DDA-ACCT-2-LP-A
111600                                        T102-DDA-ACCT-2-RP-A
111700                 MOVE DFHBMUBF   TO T102-DDA-ACCT-2-A.
111800*
111900     IF  MBCA-MBTM-CC-NZ
112000         IF  T102-DDA-ACCT-2 IS EQUAL TO SPACES
112100             NEXT SENTENCE
112200         ELSE
112300             IF T102-DDA-ACCT-2 (1:10) IS NOT NUMERIC
112400                 SET SS08WS-ERROR-SW-YES
112500                                 TO TRUE
112600                 MOVE SS08WS-CURSOR TO T102-DDA-ACCT-2-L
112700                 MOVE DFHBMASB   TO T102-DDA-ACCT-2-LP-A
112800                                        T102-DDA-ACCT-2-RP-A
112900                 MOVE DFHBMUBF   TO T102-DDA-ACCT-2-A.
113000*
113100 C080-DDA-ACCT-3.
113200*
113300     MOVE DFHBMDAS               TO T102-DDA-ACCT-3-LP-A
113400                                    T102-DDA-ACCT-3-RP-A.
113500     MOVE DFHBMASK               TO T102-DDA-ACCT-3-A.
113600*
113700     IF  T102-DDA-ACCT-3-L IS LESS THAN 1
113800         IF  MBCA-MBTM-FUNCTION-ADD
113900             EVALUATE TRUE
114000                 WHEN WS-SETT-ACCT4-USED
114100                     MOVE SPACES
114200                                 TO WS-DDA-ACCT
114300                 WHEN WS-SETT-ACCT3-USED
114400                     EVALUATE TRUE
114500                         WHEN NOT MMMM-SA4-NOT-USED
114600                             MOVE MMMM-ACTIVE-CR-ACCT (4)
114700                                 TO WS-DDA-ACCT
114800                     END-EVALUATE
114900                 WHEN NOT MMMM-SA3-NOT-USED
115000                     MOVE MMMM-ACTIVE-CR-ACCT (3)
115100                                 TO WS-DDA-ACCT
115200                 WHEN NOT MMMM-SA4-NOT-USED
115300                     MOVE MMMM-ACTIVE-CR-ACCT (4)
115400                                 TO WS-DDA-ACCT
115500                 WHEN OTHER
115600                     MOVE SPACES
115700                                 TO WS-DDA-ACCT
115800             END-EVALUATE
115900             PERFORM Y960-VERIFY-DDA-ACCT
116000                                 THRU Y961-VDA-EXIT
116100             MOVE WS-NEW-DDA-ACCT
116200                                 TO T102-DDA-ACCT-3
116300             MOVE DFHBMASF       TO T102-DDA-ACCT-3-A
116400             SET X-WS-NEW-DDA-ACCT
116500                                 DOWN BY 1
116600             SET T102-DDA-ACCT-3-L
116700                                 TO X-WS-NEW-DDA-ACCT
116800         ELSE
116900             MOVE MMTM-VANZ-DDA-ACCT-3
117000                                 TO T102-DDA-ACCT-3
117100     ELSE
117200         MOVE T102-DDA-ACCT-3    TO WS-DDA-ACCT
117300         PERFORM Y962-VERIFY-DDA-ACCT
117400                                 THRU Y963-VDA-EXIT
117500         MOVE WS-NEW-DDA-ACCT
117600                                 TO T102-DDA-ACCT-3
117700         MOVE DFHBMASF           TO T102-DDA-ACCT-3-A.
117800*
117900     IF  MBCA-MBTM-CC-AU
118000         IF  T102-DDA-ACCT-3 IS EQUAL TO SPACES
118100             NEXT SENTENCE
118200         ELSE
118300             IF T102-DDA-ACCT-3 (1:7) IS NOT NUMERIC
118400                 SET SS08WS-ERROR-SW-YES
118500                                 TO TRUE
118600                 MOVE SS08WS-CURSOR TO T102-DDA-ACCT-3-L
118700                 MOVE DFHBMASB   TO T102-DDA-ACCT-3-LP-A
118800                                        T102-DDA-ACCT-3-RP-A
118900                 MOVE DFHBMUBF   TO T102-DDA-ACCT-3-A.
119000*
119100     IF  MBCA-MBTM-CC-NZ
119200         IF  T102-DDA-ACCT-3 IS EQUAL TO SPACES
119300             NEXT SENTENCE
119400         ELSE
119500             IF T102-DDA-ACCT-3 (1:10) IS NOT NUMERIC
119600                 SET SS08WS-ERROR-SW-YES
119700                                 TO TRUE
119800                 MOVE SS08WS-CURSOR TO T102-DDA-ACCT-3-L
119900                 MOVE DFHBMASB   TO T102-DDA-ACCT-3-LP-A
120000                                        T102-DDA-ACCT-3-RP-A
120100                 MOVE DFHBMUBF   TO T102-DDA-ACCT-3-A.
120200*
120300 C090-EDIT-PRIN-OWNER-1.
120400*
120500     MOVE DFHBMDAS               TO T102-PRIN-OWNER-1-LP-A
120600                                    T102-PRIN-OWNER-1-RP-A.
120700     MOVE DFHBMASK               TO T102-PRIN-OWNER-1-A.
120800*
120900     IF  T102-PRIN-OWNER-1-L IS EQUAL TO ZEROS
121000         IF  MBCA-MBTM-FUNCTION-ADD
121100             IF  MBCA-S-M IS EQUAL TO 'M'
121200                 MOVE MMMM-SOLE-PROP-FIRST
121300                                 TO WS-PRIN-FIRST
121400                 MOVE MMMM-SOLE-PROP-LAST
121500                                 TO WS-PRIN-LAST
121600                 MOVE MMMM-SOLE-PROP-INITIAL
121700                                 TO WS-PRIN-MIDDLE
121800                 PERFORM Y950-PRIN-1-BUILD
121900                                 THRU Y959-P1B-EXIT
122000                 MOVE WS-NEW-PRIN
122100                                 TO T102-PRIN-OWNER-1
122200                 MOVE DFHBMASF   TO T102-PRIN-OWNER-1-A
122300                 MOVE 1          TO T102-PRIN-OWNER-1-L
122400             ELSE
122500                 MOVE MMSM-SOLE-PROP-FIRST
122600                                 TO WS-PRIN-FIRST
122700                 MOVE MMSM-SOLE-PROP-LAST
122800                                 TO WS-PRIN-LAST
122900                 MOVE MMSM-SOLE-PROP-INITIAL
123000                                 TO WS-PRIN-MIDDLE
123100                 PERFORM Y950-PRIN-1-BUILD
123200                                 THRU Y959-P1B-EXIT
123300                 MOVE WS-NEW-PRIN
123400                                 TO T102-PRIN-OWNER-1
123500                 MOVE DFHBMASF   TO T102-PRIN-OWNER-1-A
123600                 MOVE 1          TO T102-PRIN-OWNER-1-L
123700         ELSE
123800             MOVE MMTM-VANZ-PRIN-NAME-1
123900                                 TO T102-PRIN-OWNER-1
124000     ELSE
124100         MOVE DFHBMASF           TO T102-PRIN-OWNER-1-A.
124200*
124300     IF  T102-PRIN-OWNER-1 IS EQUAL TO SPACES
124400         SET SS08WS-ERROR-SW-YES TO TRUE
124500         MOVE SS08WS-CURSOR      TO T102-PRIN-OWNER-1-L
124600         MOVE DFHBMASB           TO T102-PRIN-OWNER-1-LP-A
124700                                    T102-PRIN-OWNER-1-RP-A
124800         MOVE DFHBMUBF           TO T102-PRIN-OWNER-1-A.
124900*
125000 C100-EDIT-NATIONAL-ID-1.
125100*
125200     MOVE DFHBMDAS               TO T102-NATIONAL-ID-1-LP-A
125300                                    T102-NATIONAL-ID-1-RP-A.
125400     MOVE DFHBMASK               TO T102-NATIONAL-ID-1-A.
125500*
125600     IF  T102-NATIONAL-ID-1-L IS EQUAL TO ZEROS
125700         MOVE MMTM-VANZ-NATIONAL-ID-1
125800                                 TO T102-NATIONAL-ID-1
125900         GO TO C110-EDIT-PRIN-OWNER-2
126000     ELSE
126100         MOVE DFHBMASF           TO T102-NATIONAL-ID-1-A.
126200*
126300     IF  T102-NATIONAL-ID-1 IS EQUAL SPACES
126400         GO TO C110-EDIT-PRIN-OWNER-2.
126500*
126600     IF  MBCA-MBTM-CC-AU
126700         IF  T102-NATIONAL-ID-1 (1:1) IS EQUAL TO SPACES
126800         OR  T102-NATIONAL-ID-1 (2:1) IS EQUAL TO SPACES
126900         OR  T102-NATIONAL-ID-1 (3:1) IS EQUAL TO SPACES
127000         OR  T102-NATIONAL-ID-1 (4:1) IS EQUAL TO SPACES
127100         OR  T102-NATIONAL-ID-1 (5:1) IS EQUAL TO SPACES
127200         OR  T102-NATIONAL-ID-1 (6:1) IS EQUAL TO SPACES
127300         OR  T102-NATIONAL-ID-1 (7:1) IS EQUAL TO SPACES
127400             SET SS08WS-ERROR-SW-YES TO TRUE
127500             MOVE SS08WS-CURSOR  TO T102-NATIONAL-ID-1-L
127600             MOVE DFHBMASB       TO T102-NATIONAL-ID-1-LP-A
127700                                    T102-NATIONAL-ID-1-RP-A
127800             MOVE DFHBMUBF       TO T102-NATIONAL-ID-1-A.
127900*
128000     IF  MBCA-MBTM-CC-NZ
128100         IF  T102-NATIONAL-ID-1 (1:1) IS EQUAL TO SPACES
128200         OR  T102-NATIONAL-ID-1 (2:1) IS EQUAL TO SPACES
128300         OR  T102-NATIONAL-ID-1 (3:1) IS EQUAL TO SPACES
128400         OR  T102-NATIONAL-ID-1 (4:1) IS EQUAL TO SPACES
128500         OR  T102-NATIONAL-ID-1 (5:1) IS EQUAL TO SPACES
128600         OR  T102-NATIONAL-ID-1 (6:1) IS EQUAL TO SPACES
128700         OR  T102-NATIONAL-ID-1 (7:1) IS EQUAL TO SPACES
128800         OR  T102-NATIONAL-ID-1 (9:1) IS NOT EQUAL TO SPACES
128900         OR  T102-NATIONAL-ID-1 (10:1) IS NOT EQUAL TO SPACES
129000         OR  T102-NATIONAL-ID-1 (11:1) IS NOT EQUAL TO SPACES
129100         OR  T102-NATIONAL-ID-1 (12:1) IS NOT EQUAL TO SPACES
129200         OR  T102-NATIONAL-ID-1 (13:1) IS NOT EQUAL TO SPACES
129300         OR  T102-NATIONAL-ID-1 (14:1) IS NOT EQUAL TO SPACES
129400         OR  T102-NATIONAL-ID-1 (15:1) IS NOT EQUAL TO SPACES
129500             SET SS08WS-ERROR-SW-YES TO TRUE
129600             MOVE SS08WS-CURSOR  TO T102-NATIONAL-ID-1-L
129700             MOVE DFHBMASB       TO T102-NATIONAL-ID-1-LP-A
129800                                    T102-NATIONAL-ID-1-RP-A
129900             MOVE DFHBMUBF       TO T102-NATIONAL-ID-1-A.
130000*
130100     IF  T102-NATIONAL-ID-1-L IS GREATER THAN ZERO
130200     AND T102-NATIONAL-ID-1 (1:T102-NATIONAL-ID-1-L)
130300                                 IS EQUAL TO ZEROS
130400         SET SS08WS-ERROR-SW-YES TO TRUE
130500         MOVE SS08WS-CURSOR      TO T102-NATIONAL-ID-1-L
130600         MOVE DFHBMASB           TO T102-NATIONAL-ID-1-LP-A
130700                                    T102-NATIONAL-ID-1-RP-A
130800         MOVE DFHBMUBF           TO T102-NATIONAL-ID-1-A.
130900*
131000*
131100 C110-EDIT-PRIN-OWNER-2.
131200*
131300     MOVE DFHBMDAS               TO T102-PRIN-OWNER-2-LP-A
131400                                    T102-PRIN-OWNER-2-RP-A.
131500     MOVE DFHBMASK               TO T102-PRIN-OWNER-2-A.
131600*
131700     IF  T102-PRIN-OWNER-2-L IS LESS THAN 1
131800         MOVE MMTM-VANZ-PRIN-NAME-2
131900                                 TO T102-PRIN-OWNER-2
132000     ELSE
132100         MOVE DFHBMASF           TO T102-PRIN-OWNER-2-A.
132200*
132300 C120-EDIT-NATIONAL-ID-2.
132400*
132500     MOVE DFHBMDAS               TO T102-NATIONAL-ID-2-LP-A
132600                                    T102-NATIONAL-ID-2-RP-A.
132700     MOVE DFHBMASK               TO T102-NATIONAL-ID-2-A.
132800*
132900     IF  T102-NATIONAL-ID-2-L IS EQUAL TO ZEROS
133000         MOVE MMTM-VANZ-NATIONAL-ID-2
133100                                 TO T102-NATIONAL-ID-2
133200         GO TO C130-EDIT-PRIN-OWNER-3
133300     ELSE
133400         MOVE DFHBMASF           TO T102-NATIONAL-ID-2-A.
133500*
133600     IF  T102-NATIONAL-ID-2 IS EQUAL TO SPACES
133700         GO TO C130-EDIT-PRIN-OWNER-3.
133800*
133900     IF  MBCA-MBTM-CC-AU
134000         IF  T102-NATIONAL-ID-2 (1:1) IS EQUAL TO SPACES
134100         OR  T102-NATIONAL-ID-2 (2:1) IS EQUAL TO SPACES
134200         OR  T102-NATIONAL-ID-2 (3:1) IS EQUAL TO SPACES
134300         OR  T102-NATIONAL-ID-2 (4:1) IS EQUAL TO SPACES
134400         OR  T102-NATIONAL-ID-2 (5:1) IS EQUAL TO SPACES
134500         OR  T102-NATIONAL-ID-2 (6:1) IS EQUAL TO SPACES
134600         OR  T102-NATIONAL-ID-2 (7:1) IS EQUAL TO SPACES
134700             SET SS08WS-ERROR-SW-YES TO TRUE
134800             MOVE SS08WS-CURSOR  TO T102-NATIONAL-ID-2-L
134900             MOVE DFHBMASB       TO T102-NATIONAL-ID-2-LP-A
135000                                    T102-NATIONAL-ID-2-RP-A
135100             MOVE DFHBMUBF       TO T102-NATIONAL-ID-2-A.
135200*
135300     IF  MBCA-MBTM-CC-NZ
135400         IF  T102-NATIONAL-ID-2 (1:1) IS EQUAL TO SPACES
135500         OR  T102-NATIONAL-ID-2 (2:1) IS EQUAL TO SPACES
135600         OR  T102-NATIONAL-ID-2 (3:1) IS EQUAL TO SPACES
135700         OR  T102-NATIONAL-ID-2 (4:1) IS EQUAL TO SPACES
135800         OR  T102-NATIONAL-ID-2 (5:1) IS EQUAL TO SPACES
135900         OR  T102-NATIONAL-ID-2 (6:1) IS EQUAL TO SPACES
136000         OR  T102-NATIONAL-ID-2 (7:1) IS EQUAL TO SPACES
136100         OR  T102-NATIONAL-ID-2 (9:1) IS NOT EQUAL TO SPACES
136200         OR  T102-NATIONAL-ID-2 (10:1) IS NOT EQUAL TO SPACES
136300         OR  T102-NATIONAL-ID-2 (11:1) IS NOT EQUAL TO SPACES
136400         OR  T102-NATIONAL-ID-2 (12:1) IS NOT EQUAL TO SPACES
136500         OR  T102-NATIONAL-ID-2 (13:1) IS NOT EQUAL TO SPACES
136600         OR  T102-NATIONAL-ID-2 (14:1) IS NOT EQUAL TO SPACES
136700         OR  T102-NATIONAL-ID-2 (15:1) IS NOT EQUAL TO SPACES
136800             SET SS08WS-ERROR-SW-YES TO TRUE
136900             MOVE SS08WS-CURSOR  TO T102-NATIONAL-ID-2-L
137000             MOVE DFHBMASB       TO T102-NATIONAL-ID-2-LP-A
137100                                    T102-NATIONAL-ID-2-RP-A
137200             MOVE DFHBMUBF       TO T102-NATIONAL-ID-2-A.
137300*
137400     IF  T102-NATIONAL-ID-2-L IS GREATER THAN ZERO
137500     AND T102-NATIONAL-ID-2 (1:T102-NATIONAL-ID-2-L)
137600                                 IS EQUAL TO ZEROS
137700         SET SS08WS-ERROR-SW-YES TO TRUE
137800         MOVE SS08WS-CURSOR      TO T102-NATIONAL-ID-2-L
137900         MOVE DFHBMASB           TO T102-NATIONAL-ID-2-LP-A
138000                                    T102-NATIONAL-ID-2-RP-A
138100         MOVE DFHBMUBF           TO T102-NATIONAL-ID-2-A.
138200*
138300*
138400 C130-EDIT-PRIN-OWNER-3.
138500*
138600     MOVE DFHBMDAS               TO T102-PRIN-OWNER-3-LP-A
138700                                    T102-PRIN-OWNER-3-RP-A.
138800     MOVE DFHBMASK               TO T102-PRIN-OWNER-3-A.
138900*
139000     IF  T102-PRIN-OWNER-3-L IS LESS THAN 1
139100         MOVE MMTM-VANZ-PRIN-NAME-3
139200                                 TO T102-PRIN-OWNER-3
139300     ELSE
139400         MOVE DFHBMASF           TO T102-PRIN-OWNER-3-A.
139500*
139600 C120-EDIT-NATIONAL-ID-3.
139700*
139800     MOVE DFHBMDAS               TO T102-NATIONAL-ID-3-LP-A
139900                                    T102-NATIONAL-ID-3-RP-A.
140000     MOVE DFHBMASK               TO T102-NATIONAL-ID-3-A.
140100*
140200     IF  T102-NATIONAL-ID-3-L IS EQUAL TO ZEROS
140300         MOVE MMTM-VANZ-NATIONAL-ID-3
140400                                 TO T102-NATIONAL-ID-3
140500         GO TO D000-RETURN-ERRORS
140600     ELSE
140700         MOVE DFHBMASF           TO T102-NATIONAL-ID-3-A.
140800*
140900     IF  T102-NATIONAL-ID-3 IS EQUAL TO SPACES
141000         GO TO D000-RETURN-ERRORS.
141100*
141200     IF  MBCA-MBTM-CC-AU
141300         IF  T102-NATIONAL-ID-3 (1:1) IS EQUAL TO SPACES
141400         OR  T102-NATIONAL-ID-3 (2:1) IS EQUAL TO SPACES
141500         OR  T102-NATIONAL-ID-3 (3:1) IS EQUAL TO SPACES
141600         OR  T102-NATIONAL-ID-3 (4:1) IS EQUAL TO SPACES
141700         OR  T102-NATIONAL-ID-3 (5:1) IS EQUAL TO SPACES
141800         OR  T102-NATIONAL-ID-3 (6:1) IS EQUAL TO SPACES
141900         OR  T102-NATIONAL-ID-3 (7:1) IS EQUAL TO SPACES
142000             SET SS08WS-ERROR-SW-YES TO TRUE
142100             MOVE SS08WS-CURSOR  TO T102-NATIONAL-ID-3-L
142200             MOVE DFHBMASB       TO T102-NATIONAL-ID-3-LP-A
142300                                    T102-NATIONAL-ID-3-RP-A
142400             MOVE DFHBMUBF       TO T102-NATIONAL-ID-3-A.
142500*
142600     IF  MBCA-MBTM-CC-NZ
142700         IF  T102-NATIONAL-ID-3 (1:1) IS EQUAL TO SPACES
142800         OR  T102-NATIONAL-ID-3 (2:1) IS EQUAL TO SPACES
142900         OR  T102-NATIONAL-ID-3 (3:1) IS EQUAL TO SPACES
143000         OR  T102-NATIONAL-ID-3 (4:1) IS EQUAL TO SPACES
143100         OR  T102-NATIONAL-ID-3 (5:1) IS EQUAL TO SPACES
143200         OR  T102-NATIONAL-ID-3 (6:1) IS EQUAL TO SPACES
143300         OR  T102-NATIONAL-ID-3 (7:1) IS EQUAL TO SPACES
143400         OR  T102-NATIONAL-ID-3 (9:1) IS NOT EQUAL TO SPACES
143500         OR  T102-NATIONAL-ID-3 (10:1) IS NOT EQUAL TO SPACES
143600         OR  T102-NATIONAL-ID-3 (11:1) IS NOT EQUAL TO SPACES
143700         OR  T102-NATIONAL-ID-3 (12:1) IS NOT EQUAL TO SPACES
143800         OR  T102-NATIONAL-ID-3 (13:1) IS NOT EQUAL TO SPACES
143900         OR  T102-NATIONAL-ID-3 (14:1) IS NOT EQUAL TO SPACES
144000         OR  T102-NATIONAL-ID-3 (15:1) IS NOT EQUAL TO SPACES
144100             SET SS08WS-ERROR-SW-YES TO TRUE
144200             MOVE SS08WS-CURSOR  TO T102-NATIONAL-ID-3-L
144300             MOVE DFHBMASB       TO T102-NATIONAL-ID-3-LP-A
144400                                    T102-NATIONAL-ID-3-RP-A
144500             MOVE DFHBMUBF       TO T102-NATIONAL-ID-3-A.
144600*
144700     IF  T102-NATIONAL-ID-3-L IS GREATER THAN ZERO
144800     AND T102-NATIONAL-ID-3 (1:T102-NATIONAL-ID-3-L)
144900                                 IS EQUAL TO ZEROS
145000         SET SS08WS-ERROR-SW-YES TO TRUE
145100         MOVE SS08WS-CURSOR      TO T102-NATIONAL-ID-3-L
145200         MOVE DFHBMASB           TO T102-NATIONAL-ID-3-LP-A
145300                                    T102-NATIONAL-ID-3-RP-A
145400         MOVE DFHBMUBF           TO T102-NATIONAL-ID-3-A.
145500*
145600/
145700 D000-RETURN-ERRORS SECTION.
145800*
145900     IF  SS08WS-ERROR-SW-NO
146000         GO TO E000-UPDATE-FILE.
146100*
146200***************************************************************
146300*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
146400*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
146500*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
146600***************************************************************
146700*
146800     PERFORM MB60PD-INIT-STD-MAP-LINES
146900                                 THRU MB60PD-ISML-EXIT.
147000*
147100**********************
147200*    SEND THE MAP    *
147300**********************
147400*
147500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
147600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
147700                                 THRU MB60PD-SMDO-EXIT.
147800*
147900************************
148000*    RETURN TO CICS    *
148100************************
148200*
148300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
148400     PERFORM MB70PD-RETURN-TRANS-ID
148500                                 THRU MB70PD-RTI-EXIT.
148600/
148700 E000-UPDATE-FILE SECTION.
148800*
148900********************************************************
149000*    READ THE TERMINATED MERCHANT RECORD FOR UPDATE    *
149100********************************************************
149200*
149300     MOVE MMTM-RECORD            TO MMTMIO-RECORD.
149400*
149500     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
149600     SET MBIORO-READ-RANDOM-UPDATE
149700                                 TO TRUE.
149800     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
149900*
150000*************************************
150100*    OBTAIN STORAGE FOR LOG FILE    *
150200*    RECORD IF DOING MAINTENANCE    *
150300*************************************
150400*
150500     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
150600     SET MBIORO-GETMAIN          TO TRUE.
150700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
150800*
150900*************************************************
151000*    SET UP THE COMMON PORTION OF THE RECORD    *
151100*************************************************
151200*
151300     MOVE 'TM'                   TO MML1-FILE-CODE.
151400     MOVE MBCA-MERCHANT-ORG      TO MML1-MMTM-ORG.
151500     MOVE MBCA-MERCHANT          TO MML1-MMTM-MERCHANT.
151600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
151700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
151800     MOVE ZEROS                  TO MML1-SOURCE-CODE.
151900     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
152000*
152100 E020-UPDATE-FIELDS.
152200*
152300*       ***** UPDATE REASON CODE *****
152400*
152500     IF  T102-REASON-CODE-L IS GREATER THAN ZERO
152600         IF  T102-REASON-CODE IS NOT EQUAL
152700                                 TO MMTM-VANZ-LISTING-REASON-CODE
152800             SET WS-UPDATE-SW-YES
152900                                 TO TRUE
153000             IF  MMTM-ADD-COMPLETED
153100                 MOVE 0201       TO MML1-FIELD-CODE
153200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
153300                                    MML1-FIELD-OCCURRENCE-2
153400                 MOVE MML1WS-VL-02
153500                                 TO MML1-VARIABLE-LENGTH
153600                 MOVE MMTM-VANZ-LISTING-REASON-CODE
153700                                 TO MML1-VL02-B-DATA-9
153800                 MOVE T102-REASON-CODE
153900                                 TO MMTM-VANZ-LISTING-REASON-CODE
154000                 MOVE MMTM-VANZ-LISTING-REASON-CODE
154100                                 TO MML1-VL02-A-DATA-9
154200                 MOVE 'FC08'     TO MBCA-PROGRAM-LOCATION
154300                 PERFORM Y910-WRITE-LOG-RECORD
154400                                 THRU Y919-WLR-EXIT
154500             ELSE
154600                 MOVE T102-REASON-CODE
154700                                 TO MMTM-VANZ-LISTING-REASON-CODE.
154800*
154900*       ***** UPDATE CATEGORY CODE *****
155000*
155100     IF  T102-CATEGORY-CODE-L IS GREATER THAN ZERO
155200         IF  T102-CATEGORY-CODE IS NOT EQUAL
155300                                 TO MMTM-VANZ-MER-CAT-CODE
155400             SET WS-UPDATE-SW-YES
155500                                 TO TRUE
155600             IF  MMTM-ADD-COMPLETED
155700                 MOVE 0202       TO MML1-FIELD-CODE
155800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
155900                                    MML1-FIELD-OCCURRENCE-2
156000                 MOVE MML1WS-VL-04
156100                                 TO MML1-VARIABLE-LENGTH
156200                 MOVE MMTM-VANZ-MER-CAT-CODE
156300                                 TO MML1-VL04-B-DATA-9
156400                 MOVE T102-CATEGORY-CODE
156500                                 TO MMTM-VANZ-MER-CAT-CODE
156600                 MOVE MMTM-VANZ-MER-CAT-CODE
156700                                 TO MML1-VL04-A-DATA-9
156800                 MOVE 'FC08'     TO MBCA-PROGRAM-LOCATION
156900                 PERFORM Y910-WRITE-LOG-RECORD
157000                                 THRU Y919-WLR-EXIT
157100             ELSE
157200                 MOVE T102-CATEGORY-CODE
157300                                 TO MMTM-VANZ-MER-CAT-CODE.
157400*
157500*       ***** UPDATE DATE OPENED *****
157600*
157700     IF  T102-DATE-OPENED-L IS GREATER THAN ZERO
157800         MOVE T102-DATE-OPENED   TO SS01WS-DATE
157900         PERFORM SS07PD-GREG-TO-JUL
158000                                 THRU SS07PD-GTJ-EXIT
158010         IF  MMTM-VANZ-CONTRACT-OPEN-DATE NOT NUMERIC             EH800900
158020             MOVE +0             TO MMTM-VANZ-CONTRACT-OPEN-DATE  EH800900
158030         END-IF                                                   FX800017
158100         IF  SS01WS-JULIAN IS NOT EQUAL
158200                                 TO MMTM-VANZ-CONTRACT-OPEN-DATE
158300             SET WS-UPDATE-SW-YES
158400                                 TO TRUE
158500             IF  MMTM-ADD-COMPLETED
158600                 MOVE 0203       TO MML1-FIELD-CODE
158700                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
158800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
158900                 MOVE MML1WS-VL-07
159000                                 TO MML1-VARIABLE-LENGTH
159100                 MOVE MMTM-VANZ-CONTRACT-OPEN-DATE
159200                                 TO MML1-VL07-B-DATA-9
159300                 MOVE SS01WS-JULIAN
159400                                 TO MMTM-VANZ-CONTRACT-OPEN-DATE
159500                 MOVE MMTM-VANZ-CONTRACT-OPEN-DATE
159600                                 TO MML1-VL07-A-DATA-9
159700                 MOVE 'FC20'     TO MBCA-PROGRAM-LOCATION
159800                 PERFORM Y910-WRITE-LOG-RECORD
159900                                 THRU Y919-WLR-EXIT
160000             ELSE
160100                 MOVE SS01WS-JULIAN
160200                                 TO MMTM-VANZ-CONTRACT-OPEN-DATE.
160300*
160400*       ***** UPDATE DATE CLOSED *****
160500*
160600     IF  T102-DATE-CLOSED-L IS GREATER THAN ZERO
160700         MOVE T102-DATE-CLOSED   TO SS01WS-DATE
160800         PERFORM SS07PD-GREG-TO-JUL
160900                                 THRU SS07PD-GTJ-EXIT
160910         IF  MMTM-VANZ-CONTRACT-CLOSED-DATE NOT NUMERIC           EH800900
160920             MOVE +0             TO MMTM-VANZ-CONTRACT-CLOSED-DATEEH800900
160930         END-IF                                                   FX800017
161000         IF  SS01WS-JULIAN IS NOT EQUAL
161100                                 TO MMTM-VANZ-CONTRACT-CLOSED-DATE
161200             SET WS-UPDATE-SW-YES
161300                                 TO TRUE
161400             IF  MMTM-ADD-COMPLETED
161500                 MOVE 0204       TO MML1-FIELD-CODE
161600                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
161700                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
161800                 MOVE MML1WS-VL-07
161900                                 TO MML1-VARIABLE-LENGTH
162000                 MOVE MMTM-VANZ-CONTRACT-CLOSED-DATE
162100                                 TO MML1-VL07-B-DATA-9
162200                 MOVE SS01WS-JULIAN
162300                                 TO MMTM-VANZ-CONTRACT-CLOSED-DATE
162400                 MOVE MMTM-VANZ-CONTRACT-CLOSED-DATE
162500                                 TO MML1-VL07-A-DATA-9
162600                 MOVE 'FC20'     TO MBCA-PROGRAM-LOCATION
162700                 PERFORM Y910-WRITE-LOG-RECORD
162800                                 THRU Y919-WLR-EXIT
162900             ELSE
163000                 MOVE SS01WS-JULIAN
163100                                 TO
163200                                 MMTM-VANZ-CONTRACT-CLOSED-DATE.
163300*
163400*       ***** BUS REG 2 NUMBER *****
163500*
163600     IF  T102-BUSCO-REG-NBR-L IS GREATER THAN ZERO
163700         IF  T102-BUSCO-REG-NBR IS NOT EQUAL
163800                                 TO MMTM-VANZ-BUS-REG-NBR
163900             SET WS-UPDATE-SW-YES
164000                                 TO TRUE
164100             IF  MMTM-ADD-COMPLETED
164200                 MOVE 0205       TO MML1-FIELD-CODE
164300                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
164400                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
164500                 MOVE MML1WS-VL-10
164600                                 TO MML1-VARIABLE-LENGTH
164700                 MOVE MMTM-VANZ-BUS-REG-NBR
164800                                 TO MML1-VL10-B-DATA-X
164900                 MOVE T102-BUSCO-REG-NBR
165000                                 TO MMTM-VANZ-BUS-REG-NBR
165100                 MOVE MMTM-VANZ-BUS-REG-NBR
165200                                 TO MML1-VL10-A-DATA-X
165300                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
165400                 PERFORM Y910-WRITE-LOG-RECORD
165500                                 THRU Y919-WLR-EXIT
165600             ELSE
165700                 MOVE T102-BUSCO-REG-NBR
165800                                 TO MMTM-VANZ-BUS-REG-NBR.
165900*
166000*       ***** DDA ACCT-1 CODE *****
166100*
166200     IF  T102-DDA-ACCT-1-L IS GREATER THAN ZERO
166300         IF  T102-DDA-ACCT-1 IS NOT EQUAL
166400                                 TO MMTM-VANZ-DDA-ACCT-1
166500             SET WS-UPDATE-SW-YES
166600                                 TO TRUE
166700             IF  MMTM-ADD-COMPLETED
166800                 MOVE 0206       TO MML1-FIELD-CODE
166900                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
167000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
167100                 MOVE MML1WS-VL-20
167200                                 TO MML1-VARIABLE-LENGTH
167300                 MOVE MMTM-VANZ-DDA-ACCT-1
167400                                 TO MML1-VL20-B-DATA-X
167500                 MOVE T102-DDA-ACCT-1
167600                                 TO MMTM-VANZ-DDA-ACCT-1
167700                 MOVE MMTM-VANZ-DDA-ACCT-1
167800                                 TO MML1-VL20-A-DATA-X
167900                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
168000                 PERFORM Y910-WRITE-LOG-RECORD
168100                                 THRU Y919-WLR-EXIT
168200             ELSE
168300                 MOVE T102-DDA-ACCT-1
168400                                 TO MMTM-VANZ-DDA-ACCT-1.
168500*
168600*       ***** DDA ACCT-2 CODE *****
168700*
168800     IF  T102-DDA-ACCT-2-L IS GREATER THAN ZERO
168900         IF  T102-DDA-ACCT-2 IS NOT EQUAL
169000                                 TO MMTM-VANZ-DDA-ACCT-2
169100             SET WS-UPDATE-SW-YES
169200                                 TO TRUE
169300             IF  MMTM-ADD-COMPLETED
169400                 MOVE 0207       TO MML1-FIELD-CODE
169500                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
169600                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
169700                 MOVE MML1WS-VL-20
169800                                 TO MML1-VARIABLE-LENGTH
169900                 MOVE MMTM-VANZ-DDA-ACCT-2
170000                                 TO MML1-VL20-B-DATA-X
170100                 MOVE T102-DDA-ACCT-2
170200                                 TO MMTM-VANZ-DDA-ACCT-2
170300                 MOVE MMTM-VANZ-DDA-ACCT-2
170400                                 TO MML1-VL20-A-DATA-X
170500                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
170600                 PERFORM Y910-WRITE-LOG-RECORD
170700                                 THRU Y919-WLR-EXIT
170800             ELSE
170900                 MOVE T102-DDA-ACCT-2
171000                                 TO MMTM-VANZ-DDA-ACCT-2.
171100*
171200*       ***** DDA ACCT-3 CODE *****
171300*
171400     IF  T102-DDA-ACCT-3-L IS GREATER THAN ZERO
171500         IF  T102-DDA-ACCT-3 IS NOT EQUAL
171600                                 TO MMTM-VANZ-DDA-ACCT-3
171700             SET WS-UPDATE-SW-YES
171800                                 TO TRUE
171900             IF  MMTM-ADD-COMPLETED
172000                 MOVE 0208       TO MML1-FIELD-CODE
172100                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
172200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
172300                 MOVE MML1WS-VL-20
172400                                 TO MML1-VARIABLE-LENGTH
172500                 MOVE MMTM-VANZ-DDA-ACCT-3
172600                                 TO MML1-VL20-B-DATA-X
172700                 MOVE T102-DDA-ACCT-3
172800                                 TO MMTM-VANZ-DDA-ACCT-3
172900                 MOVE MMTM-VANZ-DDA-ACCT-3
173000                                 TO MML1-VL20-A-DATA-X
173100                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
173200                 PERFORM Y910-WRITE-LOG-RECORD
173300                                 THRU Y919-WLR-EXIT
173400             ELSE
173500                 MOVE T102-DDA-ACCT-3
173600                                 TO MMTM-VANZ-DDA-ACCT-3.
173700*
173800*       ***** PRIN OWNER 1 *****
173900*
174000     IF  T102-PRIN-OWNER-1-L IS GREATER THAN ZERO
174100         IF  T102-PRIN-OWNER-1 IS NOT EQUAL
174200                                 TO MMTM-VANZ-PRIN-NAME-1
174300             SET WS-UPDATE-SW-YES
174400                                 TO TRUE
174500             IF  MMTM-ADD-COMPLETED
174600                 MOVE 0209       TO MML1-FIELD-CODE
174700                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
174800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
174900                 MOVE MML1WS-VL-20
175000                                 TO MML1-VARIABLE-LENGTH
175100                 MOVE MMTM-VANZ-PRIN-NAME-1
175200                                 TO MML1-VL20-B-DATA-X
175300                 MOVE T102-PRIN-OWNER-1
175400                                 TO MMTM-VANZ-PRIN-NAME-1
175500                 MOVE MMTM-VANZ-PRIN-NAME-1
175600                                 TO MML1-VL20-A-DATA-X
175700                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
175800                 PERFORM Y910-WRITE-LOG-RECORD
175900                                 THRU Y919-WLR-EXIT
176000             ELSE
176100                 MOVE T102-PRIN-OWNER-1
176200                                 TO MMTM-VANZ-PRIN-NAME-1.
176300*
176400*       ***** NATIONAL ID 1 *****
176500*
176600     IF  T102-NATIONAL-ID-1-L IS GREATER THAN ZERO
176700         IF  T102-NATIONAL-ID-1 IS NOT EQUAL
176800                                 TO MMTM-VANZ-NATIONAL-ID-1
176900             SET WS-UPDATE-SW-YES
177000                                 TO TRUE
177100             IF  MMTM-ADD-COMPLETED
177200                 MOVE 0210       TO MML1-FIELD-CODE
177300                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
177400                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
177500                 MOVE MML1WS-VL-20
177600                                 TO MML1-VARIABLE-LENGTH
177700                 MOVE MMTM-VANZ-NATIONAL-ID-1
177800                                 TO MML1-VL20-B-DATA-X
177900                 MOVE T102-NATIONAL-ID-1
178000                                 TO MMTM-VANZ-NATIONAL-ID-1
178100                 MOVE MMTM-VANZ-NATIONAL-ID-1
178200                                 TO MML1-VL20-A-DATA-X
178300                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
178400                 PERFORM Y910-WRITE-LOG-RECORD
178500                                 THRU Y919-WLR-EXIT
178600             ELSE
178700                 MOVE T102-NATIONAL-ID-1
178800                                 TO MMTM-VANZ-NATIONAL-ID-1.
178900*
179000*       ***** PRIN OWNER 2 *****
179100*
179200     IF  T102-PRIN-OWNER-2-L IS GREATER THAN ZERO
179300         IF  T102-PRIN-OWNER-2 IS NOT EQUAL
179400                                 TO MMTM-VANZ-PRIN-NAME-2
179500             SET WS-UPDATE-SW-YES
179600                                 TO TRUE
179700             IF  MMTM-ADD-COMPLETED
179800                 MOVE 0211       TO MML1-FIELD-CODE
179900                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
180000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
180100                 MOVE MML1WS-VL-20
180200                                 TO MML1-VARIABLE-LENGTH
180300                 MOVE MMTM-VANZ-PRIN-NAME-2
180400                                 TO MML1-VL20-B-DATA-X
180500                 MOVE T102-PRIN-OWNER-2
180600                                 TO MMTM-VANZ-PRIN-NAME-2
180700                 MOVE MMTM-VANZ-PRIN-NAME-2
180800                                 TO MML1-VL20-A-DATA-X
180900                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
181000                 PERFORM Y910-WRITE-LOG-RECORD
181100                                 THRU Y919-WLR-EXIT
181200             ELSE
181300                 MOVE T102-PRIN-OWNER-2
181400                                 TO MMTM-VANZ-PRIN-NAME-2.
181500*
181600*       ***** NATIONAL ID 2 *****
181700*
181800     IF  T102-NATIONAL-ID-2-L IS GREATER THAN ZERO
181900         IF  T102-NATIONAL-ID-2 IS NOT EQUAL
182000                                 TO MMTM-VANZ-NATIONAL-ID-2
182100             SET WS-UPDATE-SW-YES
182200                                 TO TRUE
182300             IF  MMTM-ADD-COMPLETED
182400                 MOVE 0212       TO MML1-FIELD-CODE
182500                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
182600                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
182700                 MOVE MML1WS-VL-20
182800                                 TO MML1-VARIABLE-LENGTH
182900                 MOVE MMTM-VANZ-NATIONAL-ID-2
183000                                 TO MML1-VL20-B-DATA-X
183100                 MOVE T102-NATIONAL-ID-2
183200                                 TO MMTM-VANZ-NATIONAL-ID-2
183300                 MOVE MMTM-VANZ-NATIONAL-ID-2
183400                                 TO MML1-VL20-A-DATA-X
183500                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
183600                 PERFORM Y910-WRITE-LOG-RECORD
183700                                 THRU Y919-WLR-EXIT
183800             ELSE
183900                 MOVE T102-NATIONAL-ID-2
184000                                 TO MMTM-VANZ-NATIONAL-ID-2.
184100*
184200*       ***** PRIN OWNER 3 *****
184300*
184400     IF  T102-PRIN-OWNER-3-L IS GREATER THAN ZERO
184500         IF  T102-PRIN-OWNER-3 IS NOT EQUAL
184600                                 TO MMTM-VANZ-PRIN-NAME-3
184700             SET WS-UPDATE-SW-YES
184800                                 TO TRUE
184900             IF  MMTM-ADD-COMPLETED
185000                 MOVE 0213       TO MML1-FIELD-CODE
185100                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
185200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
185300                 MOVE MML1WS-VL-20
185400                                 TO MML1-VARIABLE-LENGTH
185500                 MOVE MMTM-VANZ-PRIN-NAME-3
185600                                 TO MML1-VL20-B-DATA-X
185700                 MOVE T102-PRIN-OWNER-3
185800                                 TO MMTM-VANZ-PRIN-NAME-3
185900                 MOVE MMTM-VANZ-PRIN-NAME-3
186000                                 TO MML1-VL20-A-DATA-X
186100                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
186200                 PERFORM Y910-WRITE-LOG-RECORD
186300                                 THRU Y919-WLR-EXIT
186400             ELSE
186500                 MOVE T102-PRIN-OWNER-3
186600                                 TO MMTM-VANZ-PRIN-NAME-3.
186700*
186800*       ***** NATIONAL ID 3 *****
186900*
187000     IF  T102-NATIONAL-ID-3-L IS GREATER THAN ZERO
187100         IF  T102-NATIONAL-ID-3 IS NOT EQUAL
187200                                 TO MMTM-VANZ-NATIONAL-ID-3
187300             SET WS-UPDATE-SW-YES
187400                                 TO TRUE
187500             IF  MMTM-ADD-COMPLETED
187600                 MOVE 0214       TO MML1-FIELD-CODE
187700                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
187800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
187900                 MOVE MML1WS-VL-20
188000                                 TO MML1-VARIABLE-LENGTH
188100                 MOVE MMTM-VANZ-NATIONAL-ID-3
188200                                 TO MML1-VL20-B-DATA-X
188300                 MOVE T102-NATIONAL-ID-3
188400                                 TO MMTM-VANZ-NATIONAL-ID-3
188500                 MOVE MMTM-VANZ-NATIONAL-ID-3
188600                                 TO MML1-VL20-A-DATA-X
188700                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
188800                 PERFORM Y910-WRITE-LOG-RECORD
188900                                 THRU Y919-WLR-EXIT
189000             ELSE
189100                 MOVE T102-NATIONAL-ID-3
189200                                 TO MMTM-VANZ-NATIONAL-ID-3.
189300*
189400 E040-UPDATE-MMTM.
189500*
189600**************************************************************
189700*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
189800*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
189900*    ON THE SCREEN                                           *
190000**************************************************************
190100*
190200     IF  WS-UPDATE-SW-YES
190300     AND MMTM-ADD-COMPLETED
190400         MOVE 0198               TO MML1-FIELD-CODE
190500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
190600                                    MML1-FIELD-OCCURRENCE-2
190700         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
190800         MOVE MMTM-LAST-MAINT-OPER
190900                                 TO MML1-VL03-B-DATA-X
190910         MOVE '1'                TO MMTM-DATA-FORMAT              EH800900
191000         MOVE MBCA-OPERATOR-ID   TO MMTM-LAST-MAINT-OPER
191100         MOVE MMTM-LAST-MAINT-OPER
191200                                 TO MML1-VL03-A-DATA-X
191300         MOVE 'FC19'             TO MBCA-PROGRAM-LOCATION
191400         PERFORM Y910-WRITE-LOG-RECORD
191500                                 THRU Y919-WLR-EXIT
191600         MOVE 0199               TO MML1-FIELD-CODE
191700         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
191800         MOVE MMTM-LAST-MAINT-DATE
191900                                 TO MML1-VL07-B-DATA-9
192000         MOVE MBCA-START-DATE    TO MMTM-LAST-MAINT-DATE
192100         MOVE MMTM-LAST-MAINT-DATE
192200                                 TO MML1-VL07-A-DATA-9
192300         MOVE 'FC20'             TO MBCA-PROGRAM-LOCATION
192400         PERFORM Y910-WRITE-LOG-RECORD
192500                                 THRU Y919-WLR-EXIT.
192600*
192700****************************************************
192800*    IF THIS IS A ADD PENDING WRITE THE ENTIRE     *
192900*    RECORD TO THE LOG FILE.                       *
193000****************************************************
193100*
193200     IF  MMTM-ADD-PENDING
193300         SET MMTM-ADD-COMPLETED  TO TRUE
193400         SET MMTM-REC-ACTIVE     TO TRUE
193410         MOVE '1'                TO MMTM-DATA-FORMAT              EH800900
193500         MOVE MBCA-START-DATE    TO MMTM-LAST-MAINT-DATE
193600         MOVE MBCA-OPERATOR-ID   TO MMTM-LAST-MAINT-OPER
193700         MOVE ZEROES             TO MML1-FIELD-CODE
193800                                    MML1-FIELD-OCCURRENCE
193900                                    MML1-FIELD-OCCURRENCE-2
194000         MOVE LENGTH OF MMTM-RECORD
194100                                 TO MML1-VARIABLE-LENGTH
194200         MOVE 'TM'               TO MML1-FILE-CODE
194300         MOVE MBCA-MERCHANT-ORG  TO MML1-MMOC-ORG
194400         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
194500         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
194600         MOVE MMTM-RECORD        TO MML1-ADD-AREA
194700         MOVE 'FC24'             TO MBCA-PROGRAM-LOCATION
194800         SET MBIORO-WRITE        TO TRUE
194900         PERFORM MML1AO-ACCESS   THRU MML1AO-ACCESS-EXIT.
195000*
195100****************************************************
195200*    REWRITE THE TERMINATED MERCHANT RECORD IF     *
195300*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
195400*    UNLOCK IT IF THEY HAVE NOT                    *
195500****************************************************
195600*
195700     IF  WS-UPDATE-SW-YES
195800         MOVE 'FC21'             TO MBCA-PROGRAM-LOCATION
195900         SET MBIORO-REWRITE      TO TRUE
196000         PERFORM MMTMAO-ACCESS   THRU MMTMAO-ACCESS-EXIT
196100     ELSE
196200         MOVE 'FC22'             TO MBCA-PROGRAM-LOCATION
196300         SET MBIORO-UNLOCK       TO TRUE
196400         PERFORM MMTMAO-ACCESS   THRU MMTMAO-ACCESS-EXIT.
196500/
196600 F000-SETUP-COMMAREA SECTION.
196700*
196800***************************************************************
196900*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
197000***************************************************************
197100*
197200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
197300*
197400     PERFORM MB60PD-EDIT-PAGE-NBR
197500                                 THRU MB60PD-EPN-EXIT.
197600*
197700     IF  SS08WS-VALID-PF-KEY
197800     OR  SS08WS-EIBAID-VALID-PF-KEY
197900         SET MBCA-INITIAL-SCREEN-NBR
198000                                 TO TRUE.
198100*
198200     IF  NOT MMTM-ADD-COMPLETED
198300         MOVE DFHBMASK           TO T102-CURRENT-PAGE-A.
198400*
198500 F090-TRANSFER-XCTL.
198600*
198700     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
198800     PERFORM MB70PD-XCTL-TO-MBOXCTL
198900                                 THRU MB70PD-XTM-EXIT.
199000*
199100 Y910-WRITE-LOG-RECORD.
199200*
199300     IF  MMTM-ADD-PENDING
199400         GO TO Y919-WLR-EXIT.
199500*
199600     SET MBIORO-WRITE            TO TRUE.
199700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
199800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
199900*
200000 Y919-WLR-EXIT.
200100     EXIT.
200200*
200300 Y920-START-MMXR.
200400*
200500****************************************************************
200600*    START BROWSE THE STORE XREF FILE                          *
200700****************************************************************
200800*
200900     MOVE 'FC49'                 TO MBCA-PROGRAM-LOCATION.
201000     MOVE MMMM-ORG               TO MBIOWS-MMXR-ORG.
201100     MOVE MMMM-MERCHANT          TO MBIOWS-MMXR-MERCHANT.
201200     MOVE ZEROS                  TO MBIOWS-MMXR-STORE.
201300     SET MBIORO-STARTBR-GTE      TO TRUE.
201400     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
201500*
201600 Y921-READ-LOOP.
201700*
201800****************************************************************
201900*    READNEXT THE STORE XREF FILE                              *
202000****************************************************************
202100*
202200     MOVE 'FC50'                 TO MBCA-PROGRAM-LOCATION.
202300     SET MBIORO-READ-SEQ         TO TRUE.
202400     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
202500*
202600*
202700     IF  MMXR-ORG-MERCHANT IS EQUAL TO MMMM-ORG-MERCHANT
202800     AND MMXR-STORE IS GREATER THAN ZEROS
202900     AND MMXR-REC-ACTIVE
203000         PERFORM Y930-READ-STORE
203100                                 THRU Y939-EXIT
203200         IF  SS08WS-RC-FC-NOTFND
203300             NEXT SENTENCE
203400         ELSE
203500             IF  MMSM-REC-ACTIVE
203600             OR  MMSM-REC-SINGLE-STORE
203700                 MOVE MMSM-VI-CATEGORY-CODE
203800                                 TO T102-CATEGORY-CODE
203900                 GO TO Y925-ENDBR-MMXR
204000             ELSE
204100                 GO TO Y921-READ-LOOP.
204200*
204300     MOVE MMTM-VANZ-MER-CAT-CODE
204400                                 TO T102-CATEGORY-CODE.
204500*
204600 Y925-ENDBR-MMXR.
204700*
204800****************************************************************
204900*    END BROWSE THE STORE XREF FILE                            *
205000****************************************************************
205100*
205200     MOVE 'FC58'                 TO MBCA-PROGRAM-LOCATION.
205300     SET MBIORO-ENDBR            TO TRUE.
205400     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
205500*
205600 Y929-SM-EXIT.
205700     EXIT.
205800*
205900 Y930-READ-STORE.
206000*
206100     MOVE MMMM-ORG               TO MBIOWS-MMSM-ORG.
206200     MOVE MMXR-STORE             TO MBIOWS-MMSM-STORE.
206300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
206400     MOVE 'FC59'                 TO MBCA-PROGRAM-LOCATION.
206500     SET MBIORO-READ-RANDOM-UPDATE
206600                                 TO TRUE.
206700     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
206800*
206900 Y939-EXIT.
207000     EXIT.
207100*
207200 Y950-PRIN-1-BUILD.
207300*
207400     MOVE SPACES                 TO WS-NEW-PRIN.
207500*
207600*    ***** PROCESS FIRST NAME *****
207700*
207800     SET X-WS-NEW-PRIN           TO 1.
207900*
208000     PERFORM
208100         VARYING X-WS-PRIN-F FROM 1 BY 1
208200         UNTIL X-WS-PRIN-F IS GREATER THAN 25
208300         IF  WS-PRIN-FIRST-BYTE (X-WS-PRIN-F) IS EQUAL TO SPACES
208400             CONTINUE
208500         ELSE
208600             MOVE WS-PRIN-FIRST-BYTE (X-WS-PRIN-F)
208700                                 TO WS-NEW-PRIN-BYTE
208800                                    (X-WS-NEW-PRIN)
208900             SET X-WS-NEW-PRIN   UP BY 1
209000         END-IF
209100     END-PERFORM.
209200*
209300     MOVE SPACES                 TO WS-NEW-PRIN-BYTE
209400                                    (X-WS-NEW-PRIN).
209500     SET X-WS-NEW-PRIN           UP BY 1.
209600*
209700     IF  WS-PRIN-MIDDLE IS NOT EQUAL TO SPACES
209800         MOVE WS-PRIN-MIDDLE     TO WS-NEW-PRIN-BYTE
209900                                    (X-WS-NEW-PRIN)
210000         SET X-WS-NEW-PRIN       UP BY 1
210100         MOVE SPACES             TO WS-NEW-PRIN-BYTE
210200                                    (X-WS-NEW-PRIN)
210300         SET X-WS-NEW-PRIN       UP BY 1.
210400*
210500*    ***** PROCESS LAST NAME *****
210600*
210700     PERFORM
210800         VARYING X-WS-PRIN-L FROM 1 BY 1
210900         UNTIL X-WS-PRIN-L IS GREATER THAN 25
211000         IF  WS-PRIN-LAST-BYTE (X-WS-PRIN-L) IS EQUAL TO SPACES
211100             CONTINUE
211200         ELSE
211300             IF  X-WS-NEW-PRIN IS GREATER THAN 30
211400                 CONTINUE
211500             ELSE
211600                 MOVE WS-PRIN-LAST-BYTE (X-WS-PRIN-L)
211700                                 TO WS-NEW-PRIN-BYTE
211800                                    (X-WS-NEW-PRIN)
211900                 SET X-WS-NEW-PRIN UP BY 1
212000             END-IF
212100         END-IF
212200     END-PERFORM.
212300*
212400 Y959-P1B-EXIT.
212500     EXIT.
212600*
212700 Y960-VERIFY-DDA-ACCT.
212800*
212900     MOVE SPACES                 TO WS-NEW-DDA-ACCT.
213000     SET X-WS-NEW-DDA-ACCT       TO 1.
213100*
213200     PERFORM
213300         VARYING X-WS-DDA-ACCT FROM 1 BY 1
213400         UNTIL X-WS-DDA-ACCT IS GREATER THAN 17
213500         IF  WS-DDA-ACCT-BYTE (X-WS-DDA-ACCT) IS NUMERIC
213600             MOVE WS-DDA-ACCT-BYTE (X-WS-DDA-ACCT)
213700                                 TO WS-NEW-DDA-ACCT-BYTE
213800                                    (X-WS-NEW-DDA-ACCT)
213900             SET X-WS-NEW-DDA-ACCT UP BY 1
214000         END-IF
214100     END-PERFORM.
214200*
214300 Y961-VDA-EXIT.
214400     EXIT.
214500*
214600 Y962-VERIFY-DDA-ACCT.
214700*
214800     MOVE SPACES                 TO WS-NEW-DDA-ACCT.
214900     SET X-WS-NEW-DDA-ACCT       TO 1.
215000*
215100     PERFORM
215200         VARYING X-WS-DDA-ACCT FROM 1 BY 1
215300         UNTIL X-WS-DDA-ACCT IS GREATER THAN 18
215400         IF  WS-DDA-ACCT-BYTE (X-WS-DDA-ACCT) IS NUMERIC
215500             MOVE WS-DDA-ACCT-BYTE (X-WS-DDA-ACCT)
215600                                 TO WS-NEW-DDA-ACCT-BYTE
215700                                    (X-WS-NEW-DDA-ACCT)
215800             SET X-WS-NEW-DDA-ACCT UP BY 1
215900         ELSE
216000             IF  WS-DDA-ACCT-BYTE (X-WS-DDA-ACCT)
216100                                 IS EQUAL TO SPACES
216200                 CONTINUE
216300             ELSE
216400                 MOVE WS-DDA-ACCT-BYTE (X-WS-DDA-ACCT)
216500                                 TO WS-NEW-DDA-ACCT-BYTE
216600                                    (X-WS-NEW-DDA-ACCT)
216700                 SET X-WS-NEW-DDA-ACCT UP BY 1
216800                 SET SS08WS-ERROR-SW-YES
216900                                 TO TRUE
217000             END-IF
217100         END-IF
217200     END-PERFORM.
217300*
217400 Y963-VDA-EXIT.
217500     EXIT.
217600/
217700 Z000-COPIED-ROUTINES SECTION.
217800*
217900**********************************
218000*    JUL TO GREG DATE ROUTINE    *
218100**********************************
218200*
218300     COPY SS08PD.
218400/
218500     COPY SS26PD.
218600/
218700     COPY SS27PD.
218800/
218900**********************************
219000*    GREG TO JUL DATE ROUTINE    *
219100**********************************
219200*
219300     COPY SS07PD.
219400/
219500**********************************
219600*    DATE VALIDATION ROUTINE     *
219700**********************************
219800*
219900     COPY SS05PD.
220000/
220100*********************************
220200*    LINE 24 PF KEYS ROUTINE    *
220300*********************************
220400*
220500     COPY SS15PD.
220600/
220700****************************************************
220800*    TERMINATED MERCHANT RECORD ACCESS ROUTINES    *
220900****************************************************
221000*
221100     COPY MMTMAO.
221200/
221300****************************************************
221400*    MERCHANT MASTER RECORD ACCESS ROUTINES        *
221500****************************************************
221600*
221700     COPY MMMMAO.
221800/
221900****************************************************
222000*    STORE MASTER RECORD ACCESS ROUTINES           *
222100****************************************************
222200*
222300     COPY MMSMAO.
222400/
222500****************************************************
222600*    STORE/MERCH CROSS REF ACCESS ROUTINES         *
222700****************************************************
222800*
222900     COPY MMXRAO.
223000/
223100*****************************************
223200*    LOG FILE RECORD ACCESS ROUTINES    *
223300*****************************************
223400*
223500     COPY MML1AO.
223600/
223700*****************************
223800*    ONLINE MAP ROUTINES    *
223900*****************************
224000*
224100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBT102 '
224200                           MBMAPXXI BY MBT102I
224300                           MBMAPXXO BY MBT102O.
224400/
224500***************************
224600*    ONLINE PROCEDURES    *
224700***************************
224800*
224900     COPY MB70PD.
225000/
225100     COPY SMFTPXO.
