000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOT201.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOT201 - TERMINATED MERCHANTS ADD/MAINT/INQ             *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBT2                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBT201 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMTM (TERMINATED MERCHANTS FILE)           *
001600*                 B. MMMM (MERCHANT MASTER FILE)                *
001700*                 B. MMSM (STORE MASTER FILE)                   *
001800*                 C. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  WS-MISCELLANEOUS.
003400     03  WS-FIELD-POSITION   PIC S9(03)      VALUE ZEROES COMP-3.
003500     03  WS-STARTCODE        PIC  X(02)      VALUE SPACES.
003600     03  WS-PHONE.
003700         05  WS-PHONE-BYTE   PIC  X(01)      OCCURS 17 TIMES
003800                                             INDEXED BY
003900                                             X-WS-PHONE.
004000     03  WS-NEW-PHONE.
004100         05  WS-NEW-PHONE-BYTE
004200                             PIC  X(01)      OCCURS 11 TIMES
004300                                             INDEXED BY
004400                                             X-WS-NEW-PHONE.
004500     03  WS-POSTAL-CD.
004600         05  WS-POSTAL-CD-BYTE
004700                             PIC  X(01)      OCCURS 10 TIMES
004800                                             INDEXED BY
004900                                             X-WS-POSTAL-CD.
005000     03  WS-NEW-POSTAL-CD.
005100         05  WS-NEW-POSTAL-CD-BYTE
005200                             PIC  X(01)      OCCURS 9 TIMES
005300                                             INDEXED BY
005400                                             X-WS-NEW-POSTAL-CD.
005500*
005600 01  FILLER                  PIC  X(17)      VALUE
005700     'PROGRAM SWITCHES:'.
005800*
005900 01  WS-PROGRAM-SWITCHES.
006000     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
006100         88  WS-UPDATE-SW-YES                VALUE 'Y'.
006200         88  WS-UPDATE-SW-NO                 VALUE 'N'.
006300     03  WS-PHONE-SW         PIC  X(01)      VALUE 'N'.
006400         88  WS-PHONE-OK                     VALUE 'Y'.
006500         88  WS-PHONE-ERROR                  VALUE 'N'.
006600     03  WS-INDEX-X.
006700         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
006800/
006900 01  FILLER                  PIC  X(29)      VALUE
007000     'I/O REQUEST BLOCK WORK AREAS:'.
007100*
007200     COPY MBIOWS.
007300/
007400 01  FILLER                  PIC  X(18)      VALUE
007500     'I/O REQUEST BLOCK:'.
007600*
007700     COPY MBIORO.
007800/
007900 01  FILLER                  PIC  X(23)      VALUE
008000     'TERMINATED MERCHANT I/O'.
008100*
008200     COPY MMTMIO.
008300/
008400 01  FILLER                  PIC  X(25)      VALUE
008500     'LOG RECORD REQUEST BLOCK:'.
008600*
008700     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
008800/
008900 01  FILLER                  PIC  X(25)      VALUE
009000     'MERCHANT MASTER INIT REC:'.
009100*
009200     COPY MMMMIR.
009300/
009400 01  FILLER                  PIC  X(25)      VALUE
009500     'STORE MASTER INIT REC:   '.
009600*
009700     COPY MMSMIR.
009800/
009900 01  FILLER                  PIC  X(20)      VALUE
010000     'CCS DATE WORK AREAS:'.
010100*
010200     COPY SS01WS.
010300/
010400 01  FILLER                  PIC  X(15)      VALUE
010500     'CCS WORK AREAS:'.
010600/
010700     COPY SS00WS.
010800/
010900     COPY SMFTWS.
011000/
011100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
011200*
011300     COPY SS08WS.
011400*
011500     COPY MB61LK.
011600/
011700*
011800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011900/
012000 LINKAGE SECTION.
012100*
012200 01  DFHCOMMAREA.
012300*
012400***************************
012500*    ONLINE FILE TABLE    *
012600***************************
012700*
012800     COPY MB60WS.
012900/
013000*********************************
013100*    TERMINATED MERCHANT MAP    *
013200*********************************
013300*
013400     COPY MBT201.
013500/
013600**********************************************
013700*    TERMINATED MERCHANT MAP REDEFINITION    *
013800**********************************************
013900*
014000     COPY MBT201R.
014100/
014200******************************************
014300*    TERMINATED MECHANT RECORD LAYOUT    *
014400******************************************
014500*
014600     COPY MMTMRL.
014700/
014800******************************************
014900*    MERCHANT MASTER    RECORD LAYOUT    *
015000******************************************
015100*
015200     COPY MMMMRL.
015300/
015400******************************************
015500*    STORE MASTER    RECORD LAYOUT       *
015600******************************************
015700*
015800     COPY MMSMRL.
015900/
016000***************************
016100*    LOG RECORD LAYOUT    *
016200***************************
016300*
016400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
016500/
016600 PROCEDURE DIVISION.
016700*
016800 A000-HOUSEKEEPING SECTION.
016900*
017000 A020-INIT.
017100*
017200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
017300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
017400                                 THRU MB70PD-OLH-EXIT.
017500*
017600     IF  MBCA-RECEIVE-SCREEN
017700         GO TO C000-RECEIVE-SCREEN.
017800/
017900 B000-SEND-SCREEN SECTION.
018000*
018100*********************************************
018200*    GET CICS STORAGE NEEDED FOR THE MAP    *
018300*********************************************
018400*
018500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
018600     PERFORM MB60PD-GETMAIN-FOR-MAP
018700                                 THRU MB60PD-GFM-EXIT.
018800*
018900*******************************************
019000*    INITIALIZE THE STANDARD MAP LINES    *
019100*******************************************
019200*
019300     PERFORM MB60PD-INIT-STD-MAP-LINES
019400                                 THRU MB60PD-ISML-EXIT.
019500*
019600********************************************************
019700*    READ THE TERMINATED MERCHANT RECORD FOR           *
019800*    SUBSEQUENT DISPLAY.                               *
019900********************************************************
020000*
020100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMTM-ORG.
020200     MOVE MBCA-MERCHANT          TO MBIOWS-MMTM-MERCHANT.
020300     MOVE MBCA-ACTION-CODE       TO MBIOWS-MMTM-ACTION-CODE.
020400     MOVE MBCA-S-M               TO MBIOWS-MMTM-FILE-TYPE.
020500*
020600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
020700     SET MBIORO-READ-RANDOM      TO TRUE.
020800     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
020900*
021000********************************************************
021100*    READ THE STORE OR MERCHANT RECORD FOR             *
021200*    DEPENDING ON THE STORE MERCHANT FLAG              *
021300********************************************************
021400*
021500     MOVE DFHBMDAS               TO T201-COUNTRY-LP-A
021600                                    T201-COUNTRY-RP-A.
021700     MOVE MBCA-MBTM-COUNTRY-CODE TO T201-COUNTRY.
021800     MOVE DFHBMASK               TO T201-COUNTRY-A.
021900     EVALUATE MBCA-MBTM-COUNTRY-CODE
022000     WHEN 'DE'
022100         MOVE '        VISA N.M.A.S. - GERMANY         '
022200                                 TO T201-SCREEN-DESC
022300     WHEN 'IN'
022400         MOVE '         VISA N.M.A.S. - INDIA         '
022500                                 TO T201-SCREEN-DESC
022600     WHEN 'ID'
022700         MOVE '       VISA N.M.A.S. - INDONESIA        '
022800                                 TO T201-SCREEN-DESC
022900     WHEN 'IT'
023000         MOVE '         VISA N.M.A.S. - ITALY          '
023100                                 TO T201-SCREEN-DESC
023200     WHEN 'PK'
023300         MOVE '        VISA N.M.A.S. - PAKISTAN        '
023400                                 TO T201-SCREEN-DESC
023500     WHEN 'LK'
023600         MOVE '        VISA N.M.A.S. - SRI LANKA       '
023700                                 TO T201-SCREEN-DESC
023800     WHEN 'DEU'
023900         MOVE '        VISA N.M.A.S. - GERMANY         '
024000                                 TO T201-SCREEN-DESC
024100     WHEN 'IND'
024200         MOVE '         VISA N.M.A.S. - INDIA         '
024300                                 TO T201-SCREEN-DESC
024400     WHEN 'IDN'
024500         MOVE '       VISA N.M.A.S. - INDONESIA        '
024600                                 TO T201-SCREEN-DESC
024700     WHEN 'ITA'
024800         MOVE '         VISA N.M.A.S. - ITALY          '
024900                                 TO T201-SCREEN-DESC
025000     WHEN 'PAK'
025100         MOVE '        VISA N.M.A.S. - PAKISTAN        '
025200                                 TO T201-SCREEN-DESC
025300     WHEN 'LKA'
025400         MOVE '        VISA N.M.A.S. - SRI LANKA       '
025500                                 TO T201-SCREEN-DESC
025600     WHEN OTHER
025700         MOVE '         VISA N.M.A.S. - UNKNOWN        '
025800                                 TO T201-SCREEN-DESC
025900     END-EVALUATE
026000*
026100     IF  MBCA-MBTM-FUNCTION-ADD
026200         IF  MBCA-S-M IS EQUAL TO 'M'
026300             MOVE MBCA-MERCHANT-ORG
026400                                 TO MBIOWS-MMMM-ORG
026500             MOVE MBCA-MERCHANT  TO MBIOWS-MMMM-MERCHANT
026600             MOVE SS08WS-CICS-FC-NOTFND
026700                                 TO MBIORO-TEMP-STATUS-1
026800             MOVE 'FC02'         TO MBCA-PROGRAM-LOCATION
026900             SET MBIORO-READ-RANDOM
027000                                 TO TRUE
027100             PERFORM MMMMAO-ACCESS
027200                                 THRU MMMMAO-ACCESS-EXIT
027300             IF  SS08WS-RC-FC-NOTFND
027400                 MOVE SPACES     TO T201-LEGAL-NAME
027500                                    T201-DBA-NAME
027600                                    T201-ADDR-1
027700                                    T201-CITY
027800                                    T201-POST-CD
027900                                    T201-BUS-PHONE-1
028000                                    T201-BUS-PHONE-2
028100             ELSE
028200                 MOVE MMMM-NA-LINE (1 1)
028300                                 TO T201-LEGAL-NAME
028400                 MOVE MMMM-DBA-NAME
028500                                 TO T201-DBA-NAME
028600                 MOVE MMMM-NA-LINE (1 2)
028700                                 TO T201-ADDR-1
028800                 MOVE MMMM-DBA-CITY
028900                                 TO T201-CITY
029000                 MOVE MMMM-POSTAL-CODE (1)
029100                                 TO WS-POSTAL-CD
029200                 PERFORM Y930-VERIFY-POSTAL-CD
029300                                 THRU Y939-VPC-EXIT
029400                 MOVE WS-NEW-POSTAL-CD
029500                                 TO T201-POST-CD
029600                 MOVE MMMM-PHONE (1)
029700                                 TO WS-PHONE
029800                 PERFORM Y920-VERIFY-PHONE
029900                                 THRU Y929-VP-EXIT
030000                 MOVE WS-NEW-PHONE
030100                                 TO T201-BUS-PHONE-1
030200                 MOVE SPACES     TO WS-PHONE
030300                 MOVE SPACES     TO WS-NEW-PHONE
030400                 MOVE MMMM-PHONE (2)
030500                                 TO WS-PHONE
030600                 PERFORM Y920-VERIFY-PHONE
030700                                 THRU Y929-VP-EXIT
030800                 MOVE WS-NEW-PHONE
030900                                 TO T201-BUS-PHONE-2
031000         ELSE
031100             MOVE MBCA-MERCHANT-ORG
031200                                 TO MBIOWS-MMSM-ORG
031300             MOVE MBCA-MERCHANT  TO MBIOWS-MMSM-STORE
031400             MOVE SS08WS-CICS-FC-NOTFND
031500                                 TO MBIORO-TEMP-STATUS-1
031600             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
031700             SET MBIORO-READ-RANDOM
031800                                 TO TRUE
031900             PERFORM MMSMAO-ACCESS
032000                                 THRU MMSMAO-ACCESS-EXIT
032100             IF  SS08WS-RC-FC-NOTFND
032200                 MOVE SPACES     TO T201-LEGAL-NAME
032300                                    T201-DBA-NAME
032400                                    T201-ADDR-1
032500                                    T201-CITY
032600                                    T201-POST-CD
032700                                    T201-BUS-PHONE-1
032800                                    T201-BUS-PHONE-2
032900             ELSE
033000                 MOVE MMSM-NA-LINE (1 1)
033100                                 TO T201-LEGAL-NAME
033200                 MOVE MMSM-DBA-NAME
033300                                 TO T201-DBA-NAME
033400                 MOVE MMSM-NA-LINE (1 2)
033500                                 TO T201-ADDR-1
033600                 MOVE MMSM-DBA-CITY
033700                                 TO T201-CITY
033800                 MOVE MMSM-POSTAL-CODE (1)
033900                                 TO WS-POSTAL-CD
034000                 PERFORM Y930-VERIFY-POSTAL-CD
034100                                 THRU Y939-VPC-EXIT
034200                 MOVE WS-NEW-POSTAL-CD
034300                                 TO T201-POST-CD
034400                 MOVE MMSM-PHONE (1)
034500                                 TO WS-PHONE
034600                 PERFORM Y920-VERIFY-PHONE
034700                                 THRU Y929-VP-EXIT
034800                 MOVE WS-NEW-PHONE
034900                                 TO T201-BUS-PHONE-1
035000                 MOVE SPACES     TO WS-PHONE
035100                 MOVE SPACES     TO WS-NEW-PHONE
035200                 MOVE MMSM-PHONE (2)
035300                                 TO WS-PHONE
035400                 PERFORM Y920-VERIFY-PHONE
035500                                 THRU Y929-VP-EXIT
035600                 MOVE WS-NEW-PHONE
035700                                 TO T201-BUS-PHONE-2
035800     ELSE
035900         MOVE MMTM-V-MER-LEGAL-NAME
036000                                 TO T201-LEGAL-NAME
036100         MOVE MMTM-V-MER-TRADING-NAME
036200                                 TO T201-DBA-NAME
036300         MOVE MMTM-V-MER-STREET-ADDR
036400                                 TO T201-ADDR-1
036500         MOVE MMTM-V-MER-CITY
036600                                 TO T201-CITY
036700         MOVE MMTM-V-MER-COUNTY
036800                                 TO T201-COUNTY-CODE
036900         MOVE MMTM-V-MER-COUNTRY-CODE
037000                                 TO T201-COUNTRY
037100         MOVE MMTM-V-LOCALITY-DISTRICT
037200                                 TO T201-LOCAL-DIST
037300         MOVE MMTM-V-MER-POSTAL-CODE
037400                                 TO T201-POST-CD
037500         MOVE MMTM-V-TELE-NBR-1
037600                                 TO T201-BUS-PHONE-1
037700         MOVE MMTM-V-TELE-NBR-2
037800                                 TO T201-BUS-PHONE-2
037900         MOVE MMTM-V-TELE-NBR-3
038000                                 TO T201-BUS-PHONE-3.
038100*
038200 B020-MOVE-FIELDS-TO-SCREEN.
038300*
038400*********************************************
038500*    MOVE THE TERMINATED MERCHANT FIELDS    *
038600*    FROM THE RECORD TO THE SCREEN          *
038700*********************************************
038800*
038900     MOVE MMTM-ORG               TO T201-ORG.
039000     MOVE MMTM-MERCHANT          TO T201-MERCHANT.
039100     MOVE MMTM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
039200     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
039300     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
039400     MOVE SS01WS-EDIT-X          TO T201-LAST-MAINT-DATE.
039500     MOVE MMTM-LAST-MAINT-OPER   TO T201-LAST-MAINT-OPER.
039600*
039700     IF  MBCA-S-M IS EQUAL TO 'S'
039800         MOVE 'STORE   '         TO T201-MERCHANT-LIT.
039900*
040000     EVALUATE TRUE
040100         WHEN MMTM-ACTION-CODE IS EQUAL TO 'AV'
040200             MOVE 'ADD VISA NMAS'
040300                                 TO T201-ACTION
040400         WHEN MMTM-ACTION-CODE IS EQUAL TO 'IV'
040500             MOVE 'INQUIRY FOR VISA NMAS'
040600                                 TO T201-ACTION
040700     END-EVALUATE.
040800*
040900     MOVE DFHBMASK               TO T201-ACTION-A.
041000*
041100 B100-SEND-MAP.
041200*
041300     MOVE SS08WS-CURSOR          TO T201-LEGAL-NAME-L.
041400     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
041500*
041600**********************
041700*    SEND THE MAP    *
041800**********************
041900*
042000     IF  NOT MMTM-ADD-COMPLETED
042100         MOVE DFHBMASK           TO T201-CURRENT-PAGE-A.
042200*
042300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
042400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
042500                                 THRU MB60PD-SMWE-EXIT.
042600*
042700************************
042800*    RETURN TO CICS    *
042900************************
043000*
043100     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
043200     PERFORM MB70PD-RETURN-TRANS-ID
043300                                 THRU MB70PD-RTI-EXIT.
043400/
043500 C000-RECEIVE-SCREEN SECTION.
043600*
043700******************************************
043800*    THIS SECTION RECEIVES THE SCREEN    *
043900******************************************
044000*
044100     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
044200     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
044300*
044400**************************************************************
044500*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
044600**************************************************************
044700*
044800     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
044900     PERFORM MB60PD-NEW-TRANS-ROUTINE
045000                                 THRU MB60PD-NTR-EXIT.
045100*
045200*********************************************
045300*    READ THE TERMINATED MERCHANT RECORD    *
045400*********************************************
045500*
045600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMTM-ORG
045700                                    T201-ORG.
045800     MOVE MBCA-MERCHANT          TO MBIOWS-MMTM-MERCHANT
045900                                    T201-MERCHANT.
046000     MOVE MBCA-ACTION-CODE       TO MBIOWS-MMTM-ACTION-CODE.
046100     MOVE MBCA-S-M               TO MBIOWS-MMTM-FILE-TYPE.
046200     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
046300     SET MBIORO-READ-RANDOM      TO TRUE.
046400     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
046500*
046600********************************************************
046700*    READ THE STORE OR MERCHANT RECORD FOR             *
046800*    DEPENDING ON THE STORE MERCHANT FLAG              *
046900********************************************************
047000*
047100     IF  MBCA-S-M IS EQUAL TO 'M'
047200         IF  MBCA-MBTM-MERCH-FOUND
047300             MOVE MBCA-MERCHANT-ORG
047400                                 TO MBIOWS-MMMM-ORG
047500             MOVE MBCA-MERCHANT  TO MBIOWS-MMMM-MERCHANT
047600             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
047700             SET MBIORO-READ-RANDOM
047800                                 TO TRUE
047900             PERFORM MMMMAO-ACCESS
048000                                 THRU MMMMAO-ACCESS-EXIT
048100         ELSE
048200             MOVE 'SC02'         TO MBCA-PROGRAM-LOCATION
048300             SET MBIORO-GETMAIN  TO TRUE
048400             PERFORM MMMMAO-ACCESS
048500                                 THRU MMMMAO-ACCESS-EXIT
048600             MOVE MMMMIR-RECORD  TO MMMM-RECORD.
048700*
048800     IF  MBCA-S-M IS EQUAL TO 'S'
048900         IF  MBCA-MBTM-MERCH-FOUND
049000             MOVE MBCA-MERCHANT-ORG
049100                                 TO MBIOWS-MMSM-ORG
049200             MOVE MBCA-MERCHANT  TO MBIOWS-MMSM-STORE
049300             MOVE 'FC06'         TO MBCA-PROGRAM-LOCATION
049400             SET MBIORO-READ-RANDOM
049500                                 TO TRUE
049600             PERFORM MMSMAO-ACCESS
049700                                 THRU MMSMAO-ACCESS-EXIT
049800         ELSE
049900             MOVE 'SC02'         TO MBCA-PROGRAM-LOCATION
050000             SET MBIORO-GETMAIN  TO TRUE
050100             PERFORM MMSMAO-ACCESS
050200                                 THRU MMSMAO-ACCESS-EXIT
050300             MOVE MMSMIR-RECORD  TO MMSM-RECORD.
050400*
050500***********************************************************
050600*    MOVE THE LAST MAINT DATE AND LAST MAINT OPERATOR,    *
050700*    DEPENDING ON THE FUNCTION                            *
050800***********************************************************
050900*
051000     MOVE MMTM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
051100     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
051200     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
051300     MOVE SS01WS-EDIT-X          TO T201-LAST-MAINT-DATE.
051400     MOVE MMTM-LAST-MAINT-OPER   TO T201-LAST-MAINT-OPER.
051500*
051600*********************
051700*    FIELD EDITS    *
051800*********************
051900*
052000 C010-EDIT-LEGAL-NAME.
052100*
052200     MOVE DFHBMDAS               TO T201-LEGAL-NAME-LP-A
052300                                    T201-LEGAL-NAME-RP-A.
052400     MOVE DFHBMASK               TO T201-LEGAL-NAME-A.
052500*
052600     IF  T201-LEGAL-NAME-L IS LESS THAN 1
052700         IF  MBCA-MBTM-FUNCTION-ADD
052800             IF  MBCA-S-M IS EQUAL TO 'S'
052900                 MOVE MMSM-NA-LINE (1 1)
053000                                 TO T201-LEGAL-NAME
053100                 MOVE DFHBMASF   TO T201-LEGAL-NAME-A
053200                 MOVE 1          TO T201-LEGAL-NAME-L
053300             ELSE
053400                 MOVE MMMM-NA-LINE (1 1)
053500                                 TO T201-LEGAL-NAME
053600                 MOVE DFHBMASF   TO T201-LEGAL-NAME-A
053700                 MOVE 1          TO T201-LEGAL-NAME-L
053800         ELSE
053900             MOVE MMTM-V-MER-LEGAL-NAME
054000                                 TO T201-LEGAL-NAME
054100     ELSE
054200         MOVE DFHBMASF           TO T201-LEGAL-NAME-A.
054300*  ACCORDING TO SPEC, THIS FIELD MAY BE BLANK
054400***  IF  T201-LEGAL-NAME IS EQUAL TO SPACES
054500***      SET SS08WS-ERROR-SW-YES TO TRUE
054600***      MOVE SS08WS-CURSOR      TO T201-LEGAL-NAME-L
054700***      MOVE DFHBMASB           TO T201-LEGAL-NAME-LP-A
054800***                                 T201-LEGAL-NAME-RP-A
054900***      MOVE DFHBMUBF           TO T201-LEGAL-NAME-A.
055000*
055100 C020-EDIT-DBA-NAME.
055200*
055300     MOVE DFHBMDAS               TO T201-DBA-NAME-LP-A
055400                                    T201-DBA-NAME-RP-A.
055500     MOVE DFHBMASK               TO T201-DBA-NAME-A.
055600*
055700     IF  T201-DBA-NAME-L IS LESS THAN 1
055800         IF  MBCA-MBTM-FUNCTION-ADD
055900             IF  MBCA-S-M IS EQUAL TO 'S'
056000                 MOVE MMSM-DBA-NAME
056100                                 TO T201-DBA-NAME
056200                 MOVE DFHBMASF   TO T201-DBA-NAME-A
056300                 MOVE 1          TO T201-DBA-NAME-L
056400             ELSE
056500                 MOVE MMMM-DBA-NAME
056600                                 TO T201-DBA-NAME
056700                 MOVE DFHBMASF   TO T201-DBA-NAME-A
056800                 MOVE 1          TO T201-DBA-NAME-L
056900         ELSE
057000             MOVE MMTM-V-MER-TRADING-NAME
057100                                 TO T201-DBA-NAME
057200     ELSE
057300         MOVE DFHBMASF           TO T201-DBA-NAME-A.
057400*
057500     IF  T201-DBA-NAME IS EQUAL TO SPACES
057600         SET SS08WS-ERROR-SW-YES TO TRUE
057700         MOVE SS08WS-CURSOR      TO T201-DBA-NAME-L
057800         MOVE DFHBMASB           TO T201-DBA-NAME-LP-A
057900                                    T201-DBA-NAME-RP-A
058000         MOVE DFHBMUBF           TO T201-DBA-NAME-A.
058100*
058200 C030-EDIT-ADDRESS1.
058300*
058400     MOVE DFHBMDAS               TO T201-ADDR-1-LP-A
058500                                    T201-ADDR-1-RP-A.
058600     MOVE DFHBMASK               TO T201-ADDR-1-A.
058700*
058800     IF  T201-ADDR-1-L IS LESS THAN 1
058900         IF  MBCA-MBTM-FUNCTION-ADD
059000             IF  MBCA-S-M IS EQUAL TO 'M'
059100                 MOVE MMMM-NA-LINE (1 2)
059200                                 TO T201-ADDR-1
059300                 MOVE DFHBMASF   TO T201-ADDR-1-A
059400                 MOVE 1          TO T201-ADDR-1-L
059500             ELSE
059600                 MOVE MMSM-NA-LINE (1 2)
059700                                 TO T201-ADDR-1
059800                 MOVE DFHBMASF   TO T201-ADDR-1-A
059900                 MOVE 1          TO T201-ADDR-1-L
060000         ELSE
060100             MOVE MMTM-V-MER-STREET-ADDR
060200                                 TO T201-ADDR-1
060300     ELSE
060400         MOVE DFHBMASF           TO T201-ADDR-1-A.
060500*
060600*
060700     IF  T201-ADDR-1 IS EQUAL TO SPACES
060800         SET SS08WS-ERROR-SW-YES TO TRUE
060900         MOVE SS08WS-CURSOR      TO T201-ADDR-1-L
061000         MOVE DFHBMASB           TO T201-ADDR-1-LP-A
061100                                    T201-ADDR-1-RP-A
061200         MOVE DFHBMUBF           TO T201-ADDR-1-A.
061300*
061400 C040-EDIT-CITY.
061500*
061600     MOVE DFHBMDAS               TO T201-CITY-LP-A
061700                                    T201-CITY-RP-A.
061800     MOVE DFHBMASK               TO T201-CITY-A.
061900*
062000     IF  T201-CITY-L IS LESS THAN 1
062100         IF  MBCA-MBTM-FUNCTION-ADD
062200             IF  MBCA-S-M IS EQUAL TO 'M'
062300                 MOVE MMMM-DBA-CITY
062400                                 TO T201-CITY
062500                 MOVE DFHBMASF   TO T201-CITY-A
062600                 MOVE 1          TO T201-CITY-L
062700             ELSE
062800                 MOVE MMSM-DBA-CITY
062900                                 TO T201-CITY
063000                 MOVE DFHBMASF   TO T201-CITY-A
063100                 MOVE 1          TO T201-CITY-L
063200         ELSE
063300             MOVE MMTM-V-MER-CITY
063400                                 TO T201-CITY
063500     ELSE
063600         MOVE DFHBMASF           TO T201-CITY-A.
063700*
063800*
063900     IF  T201-CITY IS EQUAL TO SPACES
064000         SET SS08WS-ERROR-SW-YES TO TRUE
064100         MOVE SS08WS-CURSOR      TO T201-CITY-L
064200         MOVE DFHBMASB           TO T201-CITY-LP-A
064300                                    T201-CITY-RP-A
064400         MOVE DFHBMUBF           TO T201-CITY-A.
064500*
064600 C050-COUNTY-CODE.
064700*
064800     MOVE DFHBMDAS               TO T201-COUNTY-CODE-LP-A
064900                                    T201-COUNTY-CODE-RP-A.
065000     MOVE DFHBMASK               TO T201-COUNTY-CODE-A.
065100*
065200     IF  T201-COUNTY-CODE-L IS LESS THAN 1
065300         MOVE MMTM-V-MER-COUNTY
065400                                 TO T201-COUNTY-CODE
065500     ELSE
065600         MOVE DFHBMASF           TO T201-COUNTY-CODE-A.
065700*
065800* FOR COUNTRYS 'DE', 'IN', 'IT', REQUIRED, ELSE IGNORED
065900*
066000     IF  MBCA-MBTM-COUNTRY-CODE IS EQUAL TO 'DE'
066100     OR  MBCA-MBTM-COUNTRY-CODE IS EQUAL TO 'IN'
066200     OR  MBCA-MBTM-COUNTRY-CODE IS EQUAL TO 'IT'
066300     OR  MBCA-MBTM-COUNTRY-CODE IS EQUAL TO 'DEU'
066400     OR  MBCA-MBTM-COUNTRY-CODE IS EQUAL TO 'IND'
066500     OR  MBCA-MBTM-COUNTRY-CODE IS EQUAL TO 'ITA'
066600         IF  T201-COUNTY-CODE IS EQUAL TO SPACES
066700             SET SS08WS-ERROR-SW-YES TO TRUE
066800             MOVE SS08WS-CURSOR  TO T201-COUNTY-CODE-L
066900             MOVE DFHBMASB       TO T201-COUNTY-CODE-LP-A
067000                                    T201-COUNTY-CODE-RP-A
067100             MOVE DFHBMUBF       TO T201-COUNTY-CODE-A.
067200*
067300 C070-LOCAL-DIST.
067400*
067500     MOVE DFHBMDAS               TO T201-LOCAL-DIST-LP-A
067600                                    T201-LOCAL-DIST-RP-A.
067700     MOVE DFHBMASK               TO T201-LOCAL-DIST-A.
067800*
067900     IF  T201-LOCAL-DIST-L IS LESS THAN 1
068000         MOVE MMTM-V-LOCALITY-DISTRICT
068100                                 TO T201-LOCAL-DIST
068200     ELSE
068300         MOVE DFHBMASF           TO T201-LOCAL-DIST-A.
068400*
068500 C080-EDIT-POSTAL-CODE.
068600*
068700     MOVE DFHBMDAS               TO T201-POST-CD-LP-A
068800                                    T201-POST-CD-RP-A.
068900     MOVE DFHBMASK               TO T201-POST-CD-A.
069000*
069100     IF  T201-POST-CD-L IS LESS THAN 1
069200         IF  MBCA-MBTM-FUNCTION-ADD
069300             IF  MBCA-S-M IS EQUAL TO 'M'
069400                 MOVE MMMM-POSTAL-CODE (1)
069500                                 TO WS-POSTAL-CD
069600                 PERFORM Y930-VERIFY-POSTAL-CD
069700                                 THRU Y939-VPC-EXIT
069800                 MOVE WS-NEW-POSTAL-CD
069900                                 TO T201-POST-CD
070000                 MOVE DFHBMASF   TO T201-POST-CD-A
070100                 MOVE 1          TO T201-POST-CD-L
070200             ELSE
070300                 MOVE MMSM-POSTAL-CODE (1)
070400                                 TO WS-POSTAL-CD
070500                 PERFORM Y930-VERIFY-POSTAL-CD
070600                                 THRU Y939-VPC-EXIT
070700                 MOVE WS-NEW-POSTAL-CD
070800                                 TO T201-POST-CD
070900                 MOVE DFHBMASF   TO T201-POST-CD-A
071000                 MOVE 1          TO T201-POST-CD-L
071100         ELSE
071200             MOVE MMTM-V-MER-POSTAL-CODE
071300                                 TO T201-POST-CD
071400     ELSE
071500         MOVE DFHBMASF           TO T201-POST-CD-A.
071600*
071700     IF  T201-POST-CD IS EQUAL TO SPACES
071800         SET SS08WS-ERROR-SW-YES TO TRUE
071900         MOVE SS08WS-CURSOR      TO T201-POST-CD-L
072000         MOVE DFHBMASB           TO T201-POST-CD-LP-A
072100                                    T201-POST-CD-RP-A
072200         MOVE DFHBMUBF           TO T201-POST-CD-A.
072300*
072400 C090-EDIT-BUS-PHONE-1.
072500*
072600     MOVE DFHBMDAS               TO T201-BUS-PHONE-1-LP-A
072700                                    T201-BUS-PHONE-1-RP-A.
072800     MOVE DFHBMASK               TO T201-BUS-PHONE-1-A.
072900*
073000     IF  T201-BUS-PHONE-1-L IS LESS THAN 1
073100         IF  MBCA-MBTM-FUNCTION-ADD
073200             IF  MBCA-S-M IS EQUAL TO 'M'
073300                 MOVE MMMM-PHONE (1)
073400                                 TO WS-PHONE
073500                 PERFORM Y920-VERIFY-PHONE
073600                                 THRU Y929-VP-EXIT
073700                 MOVE WS-NEW-PHONE
073800                                 TO T201-BUS-PHONE-1
073900                 MOVE DFHBMASF   TO T201-BUS-PHONE-1-A
074000                 MOVE 1          TO T201-BUS-PHONE-1-L
074100             ELSE
074200                 MOVE MMSM-PHONE (1)
074300                                 TO WS-PHONE
074400                 PERFORM Y920-VERIFY-PHONE
074500                                 THRU Y929-VP-EXIT
074600                 MOVE WS-NEW-PHONE
074700                                 TO T201-BUS-PHONE-1
074800                 MOVE DFHBMASF   TO T201-BUS-PHONE-1-A
074900                 MOVE 1          TO T201-BUS-PHONE-1-L
075000         ELSE
075100             MOVE MMTM-V-TELE-NBR-1
075200                                 TO T201-BUS-PHONE-1
075300     ELSE
075400         MOVE DFHBMASF           TO T201-BUS-PHONE-1-A.
075500*
075600     SET WS-PHONE-ERROR          TO TRUE
075700     EVALUATE MBCA-MBTM-COUNTRY-CODE
075800     WHEN 'DE'
075900     WHEN 'DEU'
076000     WHEN 'IN'
076100        IF T201-BUS-PHONE-1 (1:11) IS NUMERIC
076200           SET WS-PHONE-OK       TO TRUE
076300        END-IF
076400     WHEN 'IND'
076500        IF T201-BUS-PHONE-1 (1:11) IS NUMERIC
076600           SET WS-PHONE-OK       TO TRUE
076700        END-IF
076800     WHEN 'ID'
076900     WHEN 'IDN'
077000     WHEN 'IT'
077100        IF T201-BUS-PHONE-1 (1:12) IS NUMERIC
077200           SET WS-PHONE-OK       TO TRUE
077300        END-IF
077400     WHEN 'ITA'
077500        IF T201-BUS-PHONE-1 (1:12) IS NUMERIC
077600           SET WS-PHONE-OK       TO TRUE
077700        END-IF
077800     WHEN 'PK'
077900     WHEN 'PAK'
078000     WHEN 'LK'
078100        IF T201-BUS-PHONE-1 (1:14) IS NUMERIC
078200           SET WS-PHONE-OK       TO TRUE
078300        END-IF
078400     WHEN 'LKA'
078500        IF T201-BUS-PHONE-1 (1:14) IS NUMERIC
078600           SET WS-PHONE-OK       TO TRUE
078700        END-IF
078800     END-EVALUATE
078900     IF NOT WS-PHONE-OK
079000         SET SS08WS-ERROR-SW-YES TO TRUE
079100         MOVE SS08WS-CURSOR      TO T201-BUS-PHONE-1-L
079200         MOVE DFHBMASB           TO T201-BUS-PHONE-1-LP-A
079300                                    T201-BUS-PHONE-1-RP-A
079400         MOVE DFHBMUBF           TO T201-BUS-PHONE-1-A.
079500*
079600 C100-EDIT-BUS-PHONE-2.
079700*
079800     MOVE SPACES                 TO WS-PHONE
079900                                    WS-NEW-PHONE.
080000     MOVE DFHBMDAS               TO T201-BUS-PHONE-2-LP-A
080100                                    T201-BUS-PHONE-2-RP-A.
080200     MOVE DFHBMASK               TO T201-BUS-PHONE-2-A.
080300*
080400     IF  T201-BUS-PHONE-2-L IS LESS THAN 1
080500         IF  MBCA-MBTM-FUNCTION-ADD
080600             IF  MBCA-S-M IS EQUAL TO 'M'
080700                 MOVE MMMM-PHONE (2)
080800                                 TO WS-PHONE
080900                 PERFORM Y920-VERIFY-PHONE
081000                                 THRU Y929-VP-EXIT
081100                 MOVE WS-NEW-PHONE
081200                                 TO T201-BUS-PHONE-2
081300                 MOVE DFHBMASF   TO T201-BUS-PHONE-2-A
081400                 MOVE 1          TO T201-BUS-PHONE-2-L
081500             ELSE
081600                 MOVE MMSM-PHONE (2)
081700                                 TO WS-PHONE
081800                 PERFORM Y920-VERIFY-PHONE
081900                                 THRU Y929-VP-EXIT
082000                 MOVE WS-NEW-PHONE
082100                                 TO T201-BUS-PHONE-2
082200                 MOVE DFHBMASF   TO T201-BUS-PHONE-2-A
082300                 MOVE 1          TO T201-BUS-PHONE-2-L
082400         ELSE
082500             MOVE MMTM-V-TELE-NBR-2
082600                                 TO T201-BUS-PHONE-2
082700     ELSE
082800         MOVE DFHBMASF           TO T201-BUS-PHONE-2-A.
082900*
083000     SET WS-PHONE-ERROR          TO TRUE.
083100     IF  T201-BUS-PHONE-2 IS EQUAL TO SPACES
083200         SET WS-PHONE-OK         TO TRUE
083300     ELSE
083400         EVALUATE MBCA-MBTM-COUNTRY-CODE
083500         WHEN 'DE'
083600         WHEN 'DEU'
083700            IF T201-BUS-PHONE-2 (1:11) IS NUMERIC
083800               SET WS-PHONE-OK       TO TRUE
083900            END-IF
084000         WHEN 'IN'
084100         WHEN 'IND'
084200            IF T201-BUS-PHONE-2 (1:11) IS NUMERIC
084300               SET WS-PHONE-OK       TO TRUE
084400            END-IF
084500         WHEN 'ID'
084600         WHEN 'IDN'
084700            IF T201-BUS-PHONE-2 (1:12) IS NUMERIC
084800               SET WS-PHONE-OK       TO TRUE
084900            END-IF
085000         WHEN 'IT'
085100         WHEN 'ITA'
085200            IF T201-BUS-PHONE-2 (1:12) IS NUMERIC
085300               SET WS-PHONE-OK       TO TRUE
085400            END-IF
085500         WHEN 'PK'
085600         WHEN 'PAK'
085700            IF T201-BUS-PHONE-2 (1:14) IS NUMERIC
085800               SET WS-PHONE-OK       TO TRUE
085900            END-IF
086000         WHEN 'LK'
086100         WHEN 'LKA'
086200            IF T201-BUS-PHONE-2 (1:14) IS NUMERIC
086300               SET WS-PHONE-OK       TO TRUE
086400            END-IF
086500         END-EVALUATE
086600     END-IF.
086700     IF NOT WS-PHONE-OK
086800         SET SS08WS-ERROR-SW-YES TO TRUE
086900         MOVE SS08WS-CURSOR      TO T201-BUS-PHONE-2-L
087000         MOVE DFHBMASB           TO T201-BUS-PHONE-2-LP-A
087100                                    T201-BUS-PHONE-2-RP-A
087200         MOVE DFHBMUBF           TO T201-BUS-PHONE-2-A.
087300*
087400*
087500 C110-EDIT-BUS-PHONE-3.
087600*
087700     MOVE DFHBMDAS               TO T201-BUS-PHONE-3-LP-A
087800                                    T201-BUS-PHONE-3-RP-A.
087900     MOVE DFHBMASK               TO T201-BUS-PHONE-3-A.
088000*
088100     IF  T201-BUS-PHONE-3-L IS LESS THAN 1
088200         MOVE MMTM-V-TELE-NBR-3
088300                                 TO T201-BUS-PHONE-3
088400     ELSE
088500         MOVE DFHBMASF           TO T201-BUS-PHONE-3-A.
088600*
088700     SET WS-PHONE-ERROR          TO TRUE.
088800     IF  T201-BUS-PHONE-3 IS EQUAL TO SPACES
088900         SET WS-PHONE-OK         TO TRUE
089000     ELSE
089100         EVALUATE MBCA-MBTM-COUNTRY-CODE
089200         WHEN 'IN'
089300            IF T201-BUS-PHONE-3 (1:11) IS NUMERIC
089400               SET WS-PHONE-OK       TO TRUE
089500            END-IF
089600         WHEN 'IND'
089700            IF T201-BUS-PHONE-3 (1:11) IS NUMERIC
089800               SET WS-PHONE-OK       TO TRUE
089900            END-IF
090000         WHEN 'ID'
090100            IF T201-BUS-PHONE-3 (1:12) IS NUMERIC
090200               SET WS-PHONE-OK       TO TRUE
090300            END-IF
090400         WHEN 'IDN'
090500            IF T201-BUS-PHONE-3 (1:12) IS NUMERIC
090600               SET WS-PHONE-OK       TO TRUE
090700            END-IF
090800         WHEN 'PK'
090900         WHEN 'PAK'
091000            IF T201-BUS-PHONE-3 (1:14) IS NUMERIC
091100               SET WS-PHONE-OK       TO TRUE
091200            END-IF
091300         WHEN 'LK'
091400         WHEN 'LKA'
091500            IF T201-BUS-PHONE-3 (1:14) IS NUMERIC
091600               SET WS-PHONE-OK       TO TRUE
091700            END-IF
091800         END-EVALUATE
091900     END-IF.
092000     IF NOT WS-PHONE-OK
092100         SET SS08WS-ERROR-SW-YES TO TRUE
092200         MOVE SS08WS-CURSOR      TO T201-BUS-PHONE-3-L
092300         MOVE DFHBMASB           TO T201-BUS-PHONE-3-LP-A
092400                                    T201-BUS-PHONE-3-RP-A
092500         MOVE DFHBMUBF           TO T201-BUS-PHONE-3-A.
092600*
092700/
092800 D000-RETURN-ERRORS SECTION.
092900*
093000     IF  SS08WS-ERROR-SW-NO
093100         GO TO E000-UPDATE-FILE.
093200*
093300***************************************************************
093400*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
093500*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
093600*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
093700***************************************************************
093800*
093900     PERFORM MB60PD-INIT-STD-MAP-LINES
094000                                 THRU MB60PD-ISML-EXIT.
094100*
094200**********************
094300*    SEND THE MAP    *
094400**********************
094500*
094600     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
094700     PERFORM MB60PD-SEND-MAP-DATA-ONLY
094800                                 THRU MB60PD-SMDO-EXIT.
094900*
095000************************
095100*    RETURN TO CICS    *
095200************************
095300*
095400     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
095500     PERFORM MB70PD-RETURN-TRANS-ID
095600                                 THRU MB70PD-RTI-EXIT.
095700/
095800 E000-UPDATE-FILE SECTION.
095900*
096000********************************************************
096100*    READ THE TERMINATED MERCHANT RECORD FOR UPDATE    *
096200********************************************************
096300*
096400     MOVE MMTM-RECORD            TO MMTMIO-RECORD.
096500*
096600     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
096700     SET MBIORO-READ-RANDOM-UPDATE
096800                                 TO TRUE.
096900     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
097000*
097100*************************************
097200*    OBTAIN STORAGE FOR LOG FILE    *
097300*    RECORD IF DOING MAINTENANCE    *
097400*************************************
097500*
097600     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
097700     SET MBIORO-GETMAIN          TO TRUE.
097800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
097900*
098000*************************************************
098100*    SET UP THE COMMON PORTION OF THE RECORD    *
098200*************************************************
098300*
098400     MOVE 'TM'                   TO MML1-FILE-CODE.
098500     MOVE MBCA-MERCHANT-ORG      TO MML1-MMTM-ORG.
098600     MOVE MBCA-MERCHANT          TO MML1-MMTM-MERCHANT.
098700     MOVE MBCA-ACTION-CODE       TO MML1-MMTM-ACTION-CODE.
098800     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
098900     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
099000     MOVE ZEROS                  TO MML1-SOURCE-CODE.
099100     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
099200*
099300 E020-UPDATE-FIELDS.
099400*
099500*       ***** UPDATE LEGAL NAME *****
099600*
099700     IF  T201-LEGAL-NAME-L IS GREATER THAN ZERO
099800         IF  T201-LEGAL-NAME IS NOT EQUAL
099900                                 TO MMTM-V-MER-LEGAL-NAME
100000             SET WS-UPDATE-SW-YES
100100                                 TO TRUE
100200             IF  MMTM-ADD-COMPLETED
100300                 MOVE 0101       TO MML1-FIELD-CODE
100400                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
100500                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
100600                 MOVE MML1WS-VL-40
100700                                 TO MML1-VARIABLE-LENGTH
100800                 MOVE MMTM-V-MER-LEGAL-NAME
100900                                 TO MML1-VL40-B-DATA-X
101000                 MOVE T201-LEGAL-NAME
101100                                 TO MMTM-V-MER-LEGAL-NAME
101200                 MOVE MMTM-V-MER-LEGAL-NAME
101300                                 TO MML1-VL40-A-DATA-X
101400                 MOVE 'FC08'     TO MBCA-PROGRAM-LOCATION
101500                 PERFORM Y910-WRITE-LOG-RECORD
101600                                 THRU Y919-WLR-EXIT
101700             ELSE
101800                 MOVE T201-LEGAL-NAME
101900                                 TO MMTM-V-MER-LEGAL-NAME.
102000*
102100*       ***** UPDATE DBA NAME *****
102200*
102300     IF  T201-DBA-NAME-L IS GREATER THAN ZERO
102400         IF  T201-DBA-NAME IS NOT EQUAL
102500                                 TO MMTM-V-MER-TRADING-NAME
102600             SET WS-UPDATE-SW-YES
102700                                 TO TRUE
102800             IF  MMTM-ADD-COMPLETED
102900                 MOVE 0102       TO MML1-FIELD-CODE
103000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
103100                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
103200                 MOVE MML1WS-VL-40
103300                                 TO MML1-VARIABLE-LENGTH
103400                 MOVE MMTM-V-MER-TRADING-NAME
103500                                 TO MML1-VL40-B-DATA-X
103600                 MOVE T201-DBA-NAME
103700                                 TO MMTM-V-MER-TRADING-NAME
103800                 MOVE MMTM-V-MER-TRADING-NAME
103900                                 TO MML1-VL40-A-DATA-X
104000                 MOVE 'FC09'     TO MBCA-PROGRAM-LOCATION
104100                 PERFORM Y910-WRITE-LOG-RECORD
104200                                 THRU Y919-WLR-EXIT
104300             ELSE
104400                 MOVE T201-DBA-NAME
104500                                 TO MMTM-V-MER-TRADING-NAME.
104600*
104700*       ***** UPDATE ADDRESS LINE 1 *****
104800*
104900     IF  T201-ADDR-1-L IS GREATER THAN ZERO
105000         IF  T201-ADDR-1 IS NOT EQUAL
105100                                 TO MMTM-V-MER-STREET-ADDR
105200             SET WS-UPDATE-SW-YES
105300                                 TO TRUE
105400             IF  MMTM-ADD-COMPLETED
105500                 MOVE 0103       TO MML1-FIELD-CODE
105600                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
105700                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
105800                 MOVE MML1WS-VL-60
105900                                 TO MML1-VARIABLE-LENGTH
106000                 MOVE MMTM-V-MER-STREET-ADDR
106100                                 TO MML1-VL60-B-DATA-X
106200                 MOVE T201-ADDR-1
106300                                 TO MMTM-V-MER-STREET-ADDR
106400                 MOVE MMTM-V-MER-STREET-ADDR
106500                                 TO MML1-VL60-A-DATA-X
106600                 MOVE 'FC10'     TO MBCA-PROGRAM-LOCATION
106700                 PERFORM Y910-WRITE-LOG-RECORD
106800                                 THRU Y919-WLR-EXIT
106900             ELSE
107000                 MOVE T201-ADDR-1
107100                                 TO MMTM-V-MER-STREET-ADDR.
107200*
107300*       ***** UPDATE CITY *****
107400*
107500     IF  T201-CITY-L IS GREATER THAN ZERO
107600         IF  T201-CITY IS NOT EQUAL
107700                                 TO MMTM-V-MER-CITY
107800             SET WS-UPDATE-SW-YES
107900                                 TO TRUE
108000             IF  MMTM-ADD-COMPLETED
108100                 MOVE 0104       TO MML1-FIELD-CODE
108200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
108300                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
108400                 MOVE MML1WS-VL-30
108500                                 TO MML1-VARIABLE-LENGTH
108600                 MOVE MMTM-V-MER-CITY
108700                                 TO MML1-VL30-B-DATA-X
108800                 MOVE T201-CITY  TO MMTM-V-MER-CITY
108900                 MOVE MMTM-V-MER-CITY
109000                                 TO MML1-VL30-A-DATA-X
109100                 MOVE 'FC11'     TO MBCA-PROGRAM-LOCATION
109200                 PERFORM Y910-WRITE-LOG-RECORD
109300                                 THRU Y919-WLR-EXIT
109400             ELSE
109500                 MOVE T201-CITY  TO MMTM-V-MER-CITY.
109600*
109700*       ***** UPDATE COUNTY CODE *****
109800*
109900     IF  T201-COUNTY-CODE-L IS GREATER THAN ZERO
110000         IF  T201-COUNTY-CODE IS NOT EQUAL
110100                                 TO MMTM-V-MER-COUNTY
110200             SET WS-UPDATE-SW-YES
110300                                 TO TRUE
110400             IF  MMTM-ADD-COMPLETED
110500                 MOVE 0105       TO MML1-FIELD-CODE
110600                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
110700                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
110800                 MOVE MML1WS-VL-30
110900                                 TO MML1-VARIABLE-LENGTH
111000                 MOVE MMTM-V-MER-COUNTY
111100                                 TO MML1-VL30-B-DATA-X
111200                 MOVE T201-COUNTY-CODE
111300                                 TO MMTM-V-MER-COUNTY
111400                 MOVE MMTM-V-MER-COUNTY
111500                                 TO MML1-VL30-A-DATA-X
111600                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
111700                 PERFORM Y910-WRITE-LOG-RECORD
111800                                 THRU Y919-WLR-EXIT
111900             ELSE
112000                 MOVE T201-COUNTY-CODE
112100                                  TO MMTM-V-MER-COUNTY.
112200*
112300*       ***** UPDATE COUNTRY CODE *****
112400*
112500*    IF  T201-COUNTRY-L IS GREATER THAN ZERO
112600         IF  T201-COUNTRY IS NOT EQUAL
112700                                 TO MMTM-V-MER-COUNTRY-CODE
112800             SET WS-UPDATE-SW-YES
112900                                 TO TRUE
113000             IF  MMTM-ADD-COMPLETED
113100                 MOVE 0106       TO MML1-FIELD-CODE
113200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
113300                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
113400                 MOVE MML1WS-VL-03
113500                                 TO MML1-VARIABLE-LENGTH
113600                 MOVE MMTM-V-MER-COUNTRY-CODE
113700                                 TO MML1-VL03-B-DATA-X
113800                 MOVE T201-COUNTRY
113900                                 TO MMTM-V-MER-COUNTRY-CODE
114000                 MOVE MMTM-V-MER-COUNTRY-CODE
114100                                 TO MML1-VL03-A-DATA-X
114200                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
114300                 PERFORM Y910-WRITE-LOG-RECORD
114400                                 THRU Y919-WLR-EXIT
114500             ELSE
114600                 MOVE T201-COUNTRY
114700                                 TO MMTM-V-MER-COUNTRY-CODE.
114800*
114900*       ***** UPDATE LOCALITY DISTRICT *****
115000*
115100     IF  T201-LOCAL-DIST-L IS GREATER THAN ZERO
115200         IF  T201-LOCAL-DIST IS NOT EQUAL
115300                                 TO MMTM-V-LOCALITY-DISTRICT
115400             SET WS-UPDATE-SW-YES
115500                                 TO TRUE
115600             IF  MMTM-ADD-COMPLETED
115700                 MOVE 0107       TO MML1-FIELD-CODE
115800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
115900                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
116000                 MOVE MML1WS-VL-40
116100                                 TO MML1-VARIABLE-LENGTH
116200                 MOVE MMTM-V-LOCALITY-DISTRICT
116300                                 TO MML1-VL40-B-DATA-X
116400                 MOVE T201-LOCAL-DIST
116500                                 TO MMTM-V-LOCALITY-DISTRICT
116600                 MOVE MMTM-V-LOCALITY-DISTRICT
116700                                 TO MML1-VL40-A-DATA-X
116800                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION
116900                 PERFORM Y910-WRITE-LOG-RECORD
117000                                 THRU Y919-WLR-EXIT
117100             ELSE
117200                 MOVE T201-LOCAL-DIST
117300                                 TO MMTM-V-LOCALITY-DISTRICT.
117400*
117500*       ***** UPDATE POSTAL CODE *****
117600*
117700     IF  T201-POST-CD-L IS GREATER THAN ZERO
117800         IF  T201-POST-CD IS NOT EQUAL
117900                                 TO MMTM-V-MER-POSTAL-CODE
118000             SET WS-UPDATE-SW-YES
118100                                 TO TRUE
118200             IF  MMTM-ADD-COMPLETED
118300                 MOVE 0108       TO MML1-FIELD-CODE
118400                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
118500                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
118600                 MOVE MML1WS-VL-10
118700                                 TO MML1-VARIABLE-LENGTH
118800                 MOVE MMTM-V-MER-POSTAL-CODE
118900                                 TO MML1-VL10-B-DATA-X
119000                 MOVE T201-POST-CD
119100                                 TO MMTM-V-MER-POSTAL-CODE
119200                 MOVE MMTM-V-MER-POSTAL-CODE
119300                                 TO MML1-VL10-A-DATA-X
119400                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
119500                 PERFORM Y910-WRITE-LOG-RECORD
119600                                 THRU Y919-WLR-EXIT
119700             ELSE
119800                 MOVE T201-POST-CD
119900                                 TO MMTM-V-MER-POSTAL-CODE.
120000*
120100*       ***** BUSINESS BUS-PHONE 1 *****
120200*
120300     IF  T201-BUS-PHONE-1-L IS GREATER THAN ZERO
120400         IF  T201-BUS-PHONE-1 IS NOT EQUAL
120500                                 TO MMTM-V-TELE-NBR-1
120600             SET WS-UPDATE-SW-YES
120700                                 TO TRUE
120800             IF  MMTM-ADD-COMPLETED
120900                 MOVE 0109       TO MML1-FIELD-CODE
121000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
121100                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
121200                 MOVE MML1WS-VL-20
121300                                 TO MML1-VARIABLE-LENGTH
121400                 MOVE MMTM-V-TELE-NBR-1
121500                                 TO MML1-VL20-B-DATA-X
121600                 MOVE T201-BUS-PHONE-1
121700                                 TO MMTM-V-TELE-NBR-1
121800                 MOVE MMTM-V-TELE-NBR-1
121900                                 TO MML1-VL20-A-DATA-X
122000                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
122100                 PERFORM Y910-WRITE-LOG-RECORD
122200                                 THRU Y919-WLR-EXIT
122300             ELSE
122400                 MOVE T201-BUS-PHONE-1
122500                                 TO MMTM-V-TELE-NBR-1.
122600*
122700*       ***** BUSINESS BUS-PHONE 2 *****
122800*
122900     IF  T201-BUS-PHONE-2-L IS GREATER THAN ZERO
123000         IF  T201-BUS-PHONE-2 IS NOT EQUAL
123100                                 TO MMTM-V-TELE-NBR-2
123200             SET WS-UPDATE-SW-YES
123300                                 TO TRUE
123400             IF  MMTM-ADD-COMPLETED
123500                 MOVE 0110       TO MML1-FIELD-CODE
123600                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
123700                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
123800                 MOVE MML1WS-VL-20
123900                                 TO MML1-VARIABLE-LENGTH
124000                 MOVE MMTM-V-TELE-NBR-2
124100                                 TO MML1-VL20-B-DATA-X
124200                 MOVE T201-BUS-PHONE-2
124300                                 TO MMTM-V-TELE-NBR-2
124400                 MOVE MMTM-V-TELE-NBR-2
124500                                 TO MML1-VL20-A-DATA-X
124600                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
124700                 PERFORM Y910-WRITE-LOG-RECORD
124800                                 THRU Y919-WLR-EXIT
124900             ELSE
125000                 MOVE T201-BUS-PHONE-2
125100                                 TO MMTM-V-TELE-NBR-2.
125200*
125300*       ***** BUSINESS BUS-PHONE 3 *****
125400*
125500     IF  T201-BUS-PHONE-3-L IS GREATER THAN ZERO
125600         IF  T201-BUS-PHONE-3 IS NOT EQUAL
125700                                 TO MMTM-V-TELE-NBR-3
125800             SET WS-UPDATE-SW-YES
125900                                 TO TRUE
126000             IF  MMTM-ADD-COMPLETED
126100                 MOVE 0111       TO MML1-FIELD-CODE
126200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
126300                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
126400                 MOVE MML1WS-VL-20
126500                                 TO MML1-VARIABLE-LENGTH
126600                 MOVE MMTM-V-TELE-NBR-3
126700                                 TO MML1-VL20-B-DATA-X
126800                 MOVE T201-BUS-PHONE-3
126900                                 TO MMTM-V-TELE-NBR-3
127000                 MOVE MMTM-V-TELE-NBR-3
127100                                 TO MML1-VL20-A-DATA-X
127200                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
127300                 PERFORM Y910-WRITE-LOG-RECORD
127400                                 THRU Y919-WLR-EXIT
127500             ELSE
127600                 MOVE T201-BUS-PHONE-3
127700                                 TO MMTM-V-TELE-NBR-3.
127800*
127900 E040-UPDATE-MMTM.
128000*
128100**************************************************************
128200*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
128300*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
128400*    ON THE SCREEN                                           *
128500**************************************************************
128600*
128700     IF  MBCA-MBTM-FUNCTION-ADD
128800     AND WS-UPDATE-SW-YES
128900         MOVE MBCA-SCREEN-NBR    TO MMTM-ONLINE-STATUS.
129000*
129100     IF  WS-UPDATE-SW-YES
129200         MOVE 0198               TO MML1-FIELD-CODE
129300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
129400                                    MML1-FIELD-OCCURRENCE-2
129500         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
129600         MOVE MMTM-LAST-MAINT-OPER
129700                                 TO MML1-VL03-B-DATA-X
129800         MOVE '2'                TO MMTM-DATA-FORMAT
129900         MOVE MBCA-OPERATOR-ID   TO MMTM-LAST-MAINT-OPER
130000         MOVE MMTM-LAST-MAINT-OPER
130100                                 TO MML1-VL03-A-DATA-X
130200         MOVE 'FC19'             TO MBCA-PROGRAM-LOCATION
130300         PERFORM Y910-WRITE-LOG-RECORD
130400                                 THRU Y919-WLR-EXIT
130500         MOVE 0199               TO MML1-FIELD-CODE
130600         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
130700         MOVE MMTM-LAST-MAINT-DATE
130800                                 TO MML1-VL07-B-DATA-9
130900         MOVE MBCA-START-DATE    TO MMTM-LAST-MAINT-DATE
131000         MOVE MMTM-LAST-MAINT-DATE
131100                                 TO MML1-VL07-A-DATA-9
131200         MOVE 'FC20'             TO MBCA-PROGRAM-LOCATION
131300         PERFORM Y910-WRITE-LOG-RECORD
131400                                 THRU Y919-WLR-EXIT.
131500*
131600     IF  MMTM-ADD-PENDING
131700         MOVE MBCA-SCREEN-NBR    TO MMTM-ONLINE-STATUS.
131800*
131900****************************************************
132000*    REWRITE THE TERMINATED MERCHANT RECORD IF     *
132100*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
132200*    UNLOCK IT IF THEY HAVE NOT                    *
132300****************************************************
132400*
132500     IF  WS-UPDATE-SW-YES
132600         MOVE 'FC21'             TO MBCA-PROGRAM-LOCATION
132700         SET MBIORO-REWRITE      TO TRUE
132800         PERFORM MMTMAO-ACCESS   THRU MMTMAO-ACCESS-EXIT
132900     ELSE
133000         MOVE 'FC22'             TO MBCA-PROGRAM-LOCATION
133100         SET MBIORO-UNLOCK       TO TRUE
133200         PERFORM MMTMAO-ACCESS   THRU MMTMAO-ACCESS-EXIT.
133300/
133400 F000-SETUP-COMMAREA SECTION.
133500*
133600***************************************************************
133700*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
133800***************************************************************
133900*
134000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
134100*
134200     PERFORM MB60PD-EDIT-PAGE-NBR
134300                                 THRU MB60PD-EPN-EXIT.
134400*
134500     IF  SS08WS-VALID-PF-KEY
134600     OR  SS08WS-EIBAID-VALID-PF-KEY
134700         SET MBCA-INITIAL-SCREEN-NBR
134800                                 TO TRUE.
134900*
135000     IF  NOT MMTM-ADD-COMPLETED
135100         MOVE DFHBMASK           TO T201-CURRENT-PAGE-A.
135200*
135300 F090-TRANSFER-XCTL.
135400*
135500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
135600     PERFORM MB70PD-XCTL-TO-MBOXCTL
135700                                 THRU MB70PD-XTM-EXIT.
135800*
135900 Y910-WRITE-LOG-RECORD.
136000*
136100     IF  MMTM-ADD-PENDING
136200         GO TO Y919-WLR-EXIT.
136300*
136400     SET MBIORO-WRITE            TO TRUE.
136500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
136600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
136700*
136800 Y919-WLR-EXIT.
136900     EXIT.
137000*
137100 Y920-VERIFY-PHONE.
137200*
137300     MOVE SPACES                 TO WS-NEW-PHONE.
137400     SET X-WS-NEW-PHONE          TO 1.
137500*
137600     PERFORM
137700         VARYING X-WS-PHONE FROM 1 BY 1
137800         UNTIL X-WS-PHONE IS GREATER THAN 17
137900         IF  X-WS-NEW-PHONE IS GREATER THAN 11
138000             CONTINUE
138100         ELSE
138200             IF  WS-PHONE-BYTE (X-WS-PHONE) IS NUMERIC
138300                 MOVE WS-PHONE-BYTE (X-WS-PHONE)
138400                                 TO WS-NEW-PHONE-BYTE
138500                                    (X-WS-NEW-PHONE)
138600                 SET X-WS-NEW-PHONE  UP BY 1
138700             END-IF
138800         END-IF
138900     END-PERFORM.
139000*
139100 Y929-VP-EXIT.
139200     EXIT.
139300*
139400 Y930-VERIFY-POSTAL-CD.
139500*
139600     MOVE SPACES                 TO WS-NEW-POSTAL-CD.
139700     SET X-WS-NEW-POSTAL-CD      TO 1.
139800*
139900     PERFORM
140000         VARYING X-WS-POSTAL-CD FROM 1 BY 1
140100         UNTIL X-WS-POSTAL-CD IS GREATER THAN 10
140200         IF  X-WS-NEW-POSTAL-CD IS GREATER THAN 9
140300             CONTINUE
140400         ELSE
140500             IF  WS-POSTAL-CD-BYTE (X-WS-POSTAL-CD)
140600                                 IS EQUAL TO SPACES
140700                 CONTINUE
140800             ELSE
140900                 IF  WS-POSTAL-CD-BYTE (X-WS-POSTAL-CD)
141000                                 IS NUMERIC
141100                 OR  WS-POSTAL-CD-BYTE (X-WS-POSTAL-CD)
141200                                 IS ALPHABETIC
141300                     MOVE WS-POSTAL-CD-BYTE (X-WS-POSTAL-CD)
141400                                 TO WS-NEW-POSTAL-CD-BYTE
141500                                    (X-WS-NEW-POSTAL-CD)
141600                     SET X-WS-NEW-POSTAL-CD UP BY 1
141700                 END-IF
141800             END-IF
141900         END-IF
142000     END-PERFORM.
142100*
142200 Y939-VPC-EXIT.
142300     EXIT.
142400/
142500 Z000-COPIED-ROUTINES SECTION.
142600*
142700**********************************
142800*    JUL TO GREG DATE ROUTINE    *
142900**********************************
143000*
143100     COPY SS08PD.
143200/
143300**********************************
143400*    GREG TO JUL DATE ROUTINE    *
143500**********************************
143600*
143700     COPY SS07PD.
143800/
143900**********************************
144000*    DATE VALIDATION ROUTINE     *
144100**********************************
144200*
144300     COPY SS05PD.
144400/
144500*********************************
144600*    LINE 24 PF KEYS ROUTINE    *
144700*********************************
144800*
144900     COPY SS15PD.
145000/
145100*
145200     COPY SS26PD.
145300/
145400*
145500     COPY SS27PD.
145600/
145700****************************************************
145800*    TERMINATED MERCHANT RECORD ACCESS ROUTINES    *
145900****************************************************
146000*
146100     COPY MMTMAO.
146200/
146300****************************************************
146400*    MERCHANT MASTER RECORD ACCESS ROUTINES        *
146500****************************************************
146600*
146700     COPY MMMMAO.
146800/
146900****************************************************
147000*    STORE MASTER RECORD ACCESS ROUTINES           *
147100****************************************************
147200*
147300     COPY MMSMAO.
147400/
147500*****************************************
147600*    LOG FILE RECORD ACCESS ROUTINES    *
147700*****************************************
147800*
147900     COPY MML1AO.
148000/
148100*****************************
148200*    ONLINE MAP ROUTINES    *
148300*****************************
148400*
148500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBT201 '
148600                           MBMAPXXI  BY MBT201I
148700                           MBMAPXXO  BY MBT201O.
148800/
148900***************************
149000*    ONLINE PROCEDURES    *
149100***************************
149200*
149300     COPY MB70PD.
149400/
149500     COPY SMFTPXO.
