000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOTV00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOTV00 - ON-LINE VISA NMAS  MERCHANTS                   *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MBTV                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBTV00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER)                     *
001600*                 B. MMSM (STORE MASTER)                        *
001700*                 C. MMTM (TERMINATED MERCHANTS)                *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200*
002300 DATA DIVISION.
002400*
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE
002800     '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  WS-MISCELLANEOUS.
003400     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003500                                             VALUE +001.
003600     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003700                                             VALUE +998.
003800     03  WS-ACTION-CODE.
003900         05  WS-ACTION-CODE-1
004000                             PIC  X(01)      VALUE SPACES.
004100         05  WS-ACTION-CODE-2
004200                             PIC  X(01)      VALUE 'V'.
004300     03  WS-COUNTRY-CODE-TRAN-LITERALS.
004400         05  WS-COUNTRY-CODE-TRAN-AREA.
004500             07  WS-CC-TRAN-1
004600                             PIC  X(07)      VALUE 'GB ..T0'.
004700             07  WS-CC-TRAN-2
004800                             PIC  X(07)      VALUE 'AU ..T1'.
004900             07  WS-CC-TRAN-3
005000                             PIC  X(07)      VALUE 'NZ ..T1'.
005100             07  WS-CC-TRAN-4
005200                             PIC  X(07)      VALUE 'DE ..T2'.     EH800900
005300             07  WS-CC-TRAN-5                                     EH800900
005400                             PIC  X(07)      VALUE 'ID ..T2'.     EH800900
005500             07  WS-CC-TRAN-6                                     EH800900
005600                             PIC  X(07)      VALUE 'IN ..T2'.     EH800900
005700             07  WS-CC-TRAN-7                                     EH800900
005800                             PIC  X(07)      VALUE 'LK ..T2'.     EH800900
005900             07  WS-CC-TRAN-8                                     EH800900
006000                             PIC  X(07)      VALUE 'IT ..T2'.     EH800900
006100             07  WS-CC-TRAN-9                                     EH800900
006200                             PIC  X(07)      VALUE 'PK ..T2'.     EH800900
006300             07  WS-CC-TRAN-10
006400                             PIC  X(07)      VALUE 'GBR..T0'.     EH800900
006500             07  WS-CC-TRAN-11
006600                             PIC  X(07)      VALUE 'AUS..T1'.     EH800900
006700             07  WS-CC-TRAN-12
006800                             PIC  X(07)      VALUE 'NZL..T1'.     EH800900
006900             07  WS-CC-TRAN-13
007000                             PIC  X(07)      VALUE 'DEU..T2'.     EH800900
007100             07  WS-CC-TRAN-14
007200                             PIC  X(07)      VALUE 'IDN..T2'.     EH800900
007300             07  WS-CC-TRAN-15
007400                             PIC  X(07)      VALUE 'IND..T2'.     EH800900
007500             07  WS-CC-TRAN-16
007600                             PIC  X(07)      VALUE 'LKA..T2'.     EH800900
007700             07  WS-CC-TRAN-17
007800                             PIC  X(07)      VALUE 'ITA..T2'.     EH800900
007900             07  WS-CC-TRAN-18
008000                             PIC  X(07)      VALUE 'PAK..T2'.     EH800900
008100             07  WS-CC-TRAN-19
008200                             PIC  X(07)      VALUE '   ..  '.
008300             07  WS-CC-TRAN-20
008400                             PIC  X(07)      VALUE '   ..  '.
008500             07  WS-CC-TRAN-21
008600                             PIC  X(07)      VALUE '   ..  '.
008700             07  WS-CC-TRAN-22
008800                             PIC  X(07)      VALUE '   ..  '.
008900             07  WS-CC-TRAN-23
009000                             PIC  X(07)      VALUE '   ..  '.
009100             07  WS-CC-TRAN-24
009200                             PIC  X(07)      VALUE '   ..  '.
009300             07  WS-CC-TRAN-25
009400                             PIC  X(07)      VALUE '   ..  '.
009500             07  WS-CC-TRAN-26
009600                             PIC  X(07)      VALUE '   ..  '.
009700             07  WS-CC-TRAN-27
009800                             PIC  X(07)      VALUE '   ..  '.
009900             07  WS-CC-TRAN-28
010000                             PIC  X(07)      VALUE '   ..  '.
010100             07  WS-CC-TRAN-29
010200                             PIC  X(07)      VALUE '   ..  '.
010300             07  WS-CC-TRAN-30
010400                             PIC  X(07)      VALUE '   ..  '.
010500             07  WS-CC-TRAN-31
010600                             PIC  X(07)      VALUE '   ..  '.
010700             07  WS-CC-TRAN-32
010800                             PIC  X(07)      VALUE '   ..  '.
010900             07  WS-CC-TRAN-33
011000                             PIC  X(07)      VALUE '   ..  '.
011100             07  WS-CC-TRAN-34
011200                             PIC  X(07)      VALUE '   ..  '.
011300             07  WS-CC-TRAN-35
011400                             PIC  X(07)      VALUE '   ..  '.
011500             07  WS-CC-TRAN-36
011600                             PIC  X(07)      VALUE '   ..  '.
011700             07  WS-CC-TRAN-37
011800                             PIC  X(07)      VALUE '   ..  '.
011900             07  WS-CC-TRAN-38
012000                             PIC  X(07)      VALUE '   ..  '.
012100             07  WS-CC-TRAN-39
012200                             PIC  X(07)      VALUE '   ..  '.
012300             07  WS-CC-TRAN-40
012400                             PIC  X(07)      VALUE '   ..  '.
012500             07  WS-CC-TRAN-41
012600                             PIC  X(07)      VALUE '   ..  '.
012700             07  WS-CC-TRAN-42
012800                             PIC  X(07)      VALUE '   ..  '.
012900             07  WS-CC-TRAN-43
013000                             PIC  X(07)      VALUE '   ..  '.
013100             07  WS-CC-TRAN-44
013200                             PIC  X(07)      VALUE '   ..  '.
013300             07  WS-CC-TRAN-45
013400                             PIC  X(07)      VALUE '   ..  '.
013500             07  WS-CC-TRAN-46
013600                             PIC  X(07)      VALUE '   ..  '.
013700             07  WS-CC-TRAN-47
013800                             PIC  X(07)      VALUE '   ..  '.
013900             07  WS-CC-TRAN-48
014000                             PIC  X(07)      VALUE '   ..  '.
014100             07  WS-CC-TRAN-49
014200                             PIC  X(07)      VALUE '   ..  '.
014300             07  WS-CC-TRAN-50
014400                             PIC  X(07)      VALUE '   ..  '.
014500         05  WS-COUNTRY-CODE-TRAN-AREA-R
014600                             REDEFINES WS-COUNTRY-CODE-TRAN-AREA.
014700             07  WS-COUNTRY-CODE-TRAN-TABLE-X.
014800                 09  WS-COUNTRY-CODE-TRAN-TABLE
014900                                             OCCURS 50 TIMES
015000                                             INDEXED BY
015100                                             X-CC-TRAN.
015200                     11 WS-COUNTRY-CODE
015300                             PIC  X(03).
015400                     11 WS-TRAN-CODE
015500                             PIC  X(04).
015600/
015700 01  FILLER                  PIC  X(29)      VALUE
015800     'I/O REQUEST BLOCK WORK AREAS:'.
015900*
016000     COPY MBIOWS.
016100/
016200 01  FILLER                  PIC  X(18)      VALUE
016300     'I/O REQUEST BLOCK:'.
016400*
016500     COPY MBIORO.
016600/
016700 01  FILLER                  PIC  X(21)      VALUE
016800     'ERROR MESSAGES TABLE:'.
016900*
017000     COPY MBEMWS.
017100/
017200 01  FILLER                  PIC  X(27)      VALUE
017300     'MERCHANT MASTER WORK AREAS:'.
017400*
017500     COPY MMMMWS.
017600/
017700 01  FILLER                  PIC  X(20)      VALUE
017800     'CCS DATE WORK AREAS:'.
017900*
018000     COPY SS01WS.
018100/
018200 01  FILLER                  PIC  X(27)      VALUE
018300     'CCS CHECK DIGIT WORK AREAS:'.
018400*
018500     COPY SS05WS.
018600/
018700 01  FILLER                  PIC  X(15)      VALUE
018800     'CCS WORK AREAS:'.
018900*
019000     COPY SS08WS.
019100/
019200     COPY SS00WS.
019300/
019400     COPY SMFTWS.
019500/
019600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
019700/
019800     COPY MB61LK.
019900/
020000 01  FILLER                  PIC  X(39)      VALUE
020100     'TERMINATED MERCHANTS INITIALIZER RECORD'.
020200*
020300     COPY MMTMIR.
020400*
020500 01  FILLER                  PIC  X(12)      VALUE
020600     '** WS-END **'.
020700/
020800 LINKAGE SECTION.
020900*
021000 01  DFHCOMMAREA.
021100*
021200     COPY MB60WS.
021300/
021400****************************************
021500*    TERMINATED MERCHANT LOCATE MAP    *
021600****************************************
021700*
021800     COPY MBTV00.
021900/
022000****************************************************
022100*    TERMINATED MASTER LOOCATE MAP REDEFINITION    *
022200****************************************************
022300*
022400     COPY MBTV00R.
022500/
022600***************************
022700*    ORG RECORD LAYOUT    *
022800***************************
022900*
023000     COPY MMOCRL.
023100/
023200***************************************
023300*    MERCHANT MASTER RECORD LAYOUT    *
023400***************************************
023500*
023600     COPY MMMMRL.
023700/
023800***************************************
023900*    STORE MASTER RECORD LAYOUT       *
024000***************************************
024100*
024200     COPY MMSMRL.
024300/
024400****************************************
024500*    TERMINATED MERCHANT RECORD LAYOUT *
024600****************************************
024700*
024800     COPY MMTMRL.
024900/
025000 PROCEDURE DIVISION.
025100*
025200 A000-HOUSEKEEPING SECTION.
025300*
025400 A020-INIT.
025500*
025600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
025700     MOVE 'MBTV'                 TO MBCA-PREV-TRANS-ID
025800                                    MBCA-TRANS-ID
025900                                    SS08WS-WORK-TRANS-ID.
026000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
026100                                 THRU MB70PD-OLH-EXIT.
026200*
026300     MOVE 1                      TO MBCA-MBTM-PD-INDEX.
026400     SET MBCA-MBTM-STORE-FOUND   TO TRUE.
026500     SET MBCA-MBTM-MERCH-FOUND   TO TRUE.
026600*
026700     IF  MBCA-RECEIVE-SCREEN
026800         GO TO C000-RECEIVE-SCREEN.
026900/
027000 B000-SEND-SCREEN SECTION.
027100*
027200*********************************************
027300*    GET CICS STORAGE NEEDED FOR THE MAP    *
027400*********************************************
027500*
027600     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
027700     PERFORM MB60PD-GETMAIN-FOR-MAP
027800                                 THRU MB60PD-GFM-EXIT.
027900*
028000*
028100*****************************************************************
028200*    SEE IF THE MBCA-MERCHANT-ORG IS GREATER THAN ZERO. IF IT   *
028300*    IS, PLUG IT INTO THE MAP. THE THE MBCA-MERCHANT IS GREATER *
028400*    THAN ZERO, PLUG IT INTO THE MAP.                           *
028500*****************************************************************
028600*
028700     IF  MBCA-INITIAL-KEY-CODE
028800         GO TO B020-BUILD-SCREEN.
028900*
029000     IF  MBCA-MMMM-KEY-CODE
029100         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
029200         AND MBCA-MERCHANT      IS GREATER THAN ZERO
029300         AND MBCA-S-M           IS EQUAL TO 'M'
029400             MOVE MBCA-MERCHANT-ORG
029500                                 TO TV00-ORG
029600             MOVE MBCA-MERCHANT  TO TV00-MERCHANT
029700             MOVE MBCA-S-M       TO TV00-SM-FLAG
029800             MOVE DFHBMUNF       TO TV00-ORG-A
029900                                    TV00-MERCHANT-A
030000             MOVE DFHBMFSE       TO TV00-SM-FLAG-A
030100             GO TO B020-BUILD-SCREEN.
030200*
030300     IF  MBCA-MMMM-KEY-CODE
030400         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
030500         AND MBCA-MERCHANT      IS GREATER THAN ZERO
030600         AND MBCA-S-M           IS EQUAL TO 'S'
030700             MOVE MBCA-MERCHANT-ORG
030800                                 TO TV00-ORG
030900             MOVE MBCA-MERCHANT  TO TV00-MERCHANT
031000             MOVE MBCA-S-M       TO TV00-SM-FLAG
031100             MOVE DFHBMUNF       TO TV00-ORG-A
031200                                    TV00-MERCHANT-A
031300             MOVE DFHBMFSE       TO TV00-SM-FLAG-A
031400             GO TO B020-BUILD-SCREEN.
031500*
031600     IF  MBCA-VALID-KEY-CODES
031700         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
031800             MOVE MBCA-MERCHANT-ORG
031900                                 TO TV00-ORG
032000             MOVE DFHBMUNF       TO TV00-ORG-A
032100             IF  MBCA-MERCHANT IS GREATER THAN ZERO
032200                 MOVE MBCA-MERCHANT
032300                                 TO TV00-MERCHANT
032400                 MOVE DFHBMUNF   TO TV00-MERCHANT-A
032500                 MOVE 'M'        TO MBCA-S-M
032600                 MOVE MBCA-S-M   TO TV00-SM-FLAG
032700                 MOVE DFHBMFSE   TO TV00-SM-FLAG-A
032800             ELSE
032900                 IF  MBCA-MERCHANT IS GREATER THAN ZERO
033000                     MOVE MBCA-MERCHANT
033100                                 TO TV00-MERCHANT
033200                     MOVE DFHBMUNF
033300                                 TO TV00-MERCHANT-A
033400                     MOVE 'S'    TO MBCA-S-M
033500                     MOVE MBCA-S-M
033600                                 TO TV00-SM-FLAG
033700                     MOVE DFHBMFSE
033800                                 TO TV00-SM-FLAG-A.
033900*
034000 B020-BUILD-SCREEN.
034100*
034200*******************************************
034300*    INITIALIZE THE STANDARD MAP LINES    *
034400*******************************************
034500*
034600     MOVE SS08WS-CURSOR          TO TV00-ORG-L.
034700     MOVE 00                     TO MBCA-SCREEN-NBR.
034800     PERFORM MB60PD-INIT-STD-MAP-LINES
034900                                 THRU MB60PD-ISML-EXIT.
035000*
035100**********************
035200*    SEND THE MAP    *
035300**********************
035400*
035500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
035600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
035700                                 THRU MB60PD-SMWE-EXIT.
035800*
035900************************
036000*    RETURN TO CICS    *
036100************************
036200*
036300     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
036400     PERFORM MB70PD-RETURN-TRANS-ID
036500                                 THRU MB70PD-RTI-EXIT.
036600/
036700 C000-RECEIVE-SCREEN SECTION.
036800*
036900*************************************************
037000*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
037100*************************************************
037200*
037300     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
037400     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
037500*
037600**************************************************************
037700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
037800**************************************************************
037900*
038000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
038100     PERFORM MB60PD-NEW-TRANS-ROUTINE
038200                                 THRU MB60PD-NTR-EXIT.
038300*
038400 C020-FIELD-EDITS.
038500*
038600     MOVE 'N'                    TO SS08WS-ERROR.
038700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
038800*
038900     IF  (TV00-ORG-L IS LESS THAN 1
039000     AND  TV00-MERCHANT-L IS LESS THAN 1
039100     AND  TV00-SM-FLAG-L IS LESS THAN 1)
039200     AND (SS08WS-VALID-PF-KEY
039300     OR   SS08WS-EIBAID-VALID-PF-KEY)
039400         SET MBCA-INITIAL-SCREEN-NBR
039500                                 TO TRUE
039600         GO TO F090-TRANSFER-XCTL.
039700*
039800******************************************************
039900*    RESET THE FIELD ATTRIBUTES TO THEIR NORMAL      *
040000*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
040100******************************************************
040200*
040300     MOVE DFHBMUNN               TO TV00-ORG-A
040400                                    TV00-MERCHANT-A.
040500     MOVE DFHBMUNP               TO TV00-SM-FLAG-A
040600                                    TV00-ACTION-A.
040700     MOVE DFHBMASK               TO TV00-ORG-LP-A
040800                                    TV00-ORG-RP-A
040900                                    TV00-MERCHANT-LP-A
041000                                    TV00-MERCHANT-RP-A
041100                                    TV00-SM-FLAG-LP-A
041200                                    TV00-SM-FLAG-RP-A
041300                                    TV00-ACTION-LP-A
041400                                    TV00-ACTION-RP-A.
041500*
041600*
041700 C080-EDIT-ORG.
041800*
041900     IF  TV00-ORG-L IS EQUAL TO ZERO
042000     OR  TV00-ORG IS NOT NUMERIC
042100     OR  TV00-ORG IS LESS THAN MBCA-ORG-LOW
042200     OR  TV00-ORG IS GREATER THAN MBCA-ORG-HIGH
042300     OR  TV00-ORG IS LESS THAN WS-ORG-LOW
042400     OR  TV00-ORG IS GREATER THAN WS-ORG-HIGH
042500         MOVE MBEMWS-INVALID-ORG TO TV00-ERR-MESSAGE
042600         GO TO C098-ORG-ERROR.
042700*
042800 C082-READ-ORG.
042900*
043000************************************************
043100*    READ THE ORGANIZATION RECORD.  IT MUST    *
043200*    BE ON FILE AND AN ACTIVE RECORD.          *
043300************************************************
043400*
043500     MOVE TV00-ORG               TO MBIOWS-MMOC-ORG.
043600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
043700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
043800     SET MBIORO-READ-RANDOM      TO TRUE.
043900     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
044000*
044100     IF  SS08WS-RC-FC-NOTFND
044200         MOVE MBEMWS-NOT-ON-FILE TO TV00-ERR-MESSAGE
044300     ELSE
044400         IF  MMOC-ADD-PENDING
044500             MOVE MBEMWS-ADD-PENDING
044600                                 TO TV00-ERR-MESSAGE
044700         ELSE
044800             IF  MMOC-REC-PURGED
044900                 MOVE MBEMWS-NOT-ACTIVE
045000                                 TO TV00-ERR-MESSAGE
045100             ELSE
045200                 MOVE DFHBMUNF   TO TV00-ORG-A
045300                 MOVE TV00-ORG   TO MBCA-MERCHANT-ORG
045400                 MOVE MMOC-COUNTRY-CODE (1)
045500                                 TO MBCA-MBTM-COUNTRY-CODE
045600                 GO TO C100-EDIT-MERCHANT.
045700*
045800 C098-ORG-ERROR.
045900*
046000     SET SS08WS-ERROR-SW-YES     TO TRUE.
046100     MOVE DFHBMASB               TO TV00-ORG-LP-A
046200                                    TV00-ORG-RP-A.
046300     MOVE SS08WS-CURSOR          TO TV00-ORG-L.
046400     MOVE DFHBMNBF               TO TV00-ORG-A.
046500     MOVE DFHBMUNF               TO TV00-MERCHANT-A.
046600     MOVE DFHBMFSE               TO TV00-SM-FLAG-A
046700                                    TV00-ACTION-A.
046800     GO TO D000-RETURN-ERRORS.
046900*
047000 C100-EDIT-MERCHANT.
047100*
047200     IF  TV00-MERCHANT-L IS EQUAL TO ZERO
047300     OR  TV00-MERCHANT IS NOT NUMERIC
047400     OR  TV00-MERCHANT IS EQUAL TO ZEROES OR 999999999
047500         MOVE MBEMWS-INVALID-MERCHANT
047600                                 TO TV00-ERR-MESSAGE
047700         GO TO C118-MERCHANT-ERROR
047800     ELSE
047900         GO TO C200-EDIT-SM-FLAG.
048000*
048100 C118-MERCHANT-ERROR.
048200*
048300     SET SS08WS-ERROR-SW-YES     TO TRUE.
048400     MOVE DFHBMASB               TO TV00-MERCHANT-LP-A
048500                                    TV00-MERCHANT-RP-A.
048600     MOVE SS08WS-CURSOR          TO TV00-MERCHANT-L.
048700     MOVE DFHBMNBF               TO TV00-MERCHANT-A.
048800     MOVE DFHBMFSE               TO TV00-SM-FLAG-A
048900                                    TV00-ACTION-A.
049000     GO TO D000-RETURN-ERRORS.
049100*
049200 C200-EDIT-SM-FLAG.
049300*
049400     IF  TV00-VALID-SM-FLAG
049500         MOVE TV00-SM-FLAG       TO MBCA-S-M
049600         MOVE DFHBMFSE           TO TV00-SM-FLAG-A
049700         GO TO C220-EDIT-ACTION
049800     ELSE
049900         MOVE MBEMWS-INVALID-S-M
050000                                 TO TV00-ERR-MESSAGE
050100         GO TO C205-SM-ERROR.
050200*
050300 C205-SM-ERROR.
050400*
050500     MOVE 'Y'                    TO SS08WS-ERROR.
050600     MOVE DFHBMASB               TO TV00-SM-FLAG-LP-A
050700                                    TV00-SM-FLAG-RP-A.
050800     MOVE SS08WS-CURSOR          TO TV00-SM-FLAG-L.
050900     MOVE DFHBMUNF               TO TV00-MERCHANT-A.
051000     MOVE DFHBMUBF               TO TV00-SM-FLAG-A.
051100     MOVE DFHBMFSE               TO TV00-ACTION-A.
051200     GO TO D000-RETURN-ERRORS.
051300*
051400 C220-EDIT-ACTION.
051500*
051600     IF  TV00-ACTION-L IS EQUAL TO ZERO
051700     OR  NOT TV00-VALID-ACTION
051800         GO TO C221-ERROR
051900     ELSE
052000         MOVE DFHBMFSE           TO TV00-ACTION-A
052100         MOVE TV00-ACTION        TO WS-ACTION-CODE-1
052200         MOVE WS-ACTION-CODE     TO MBCA-ACTION-CODE
052300         GO TO C300-READ-MMMM-OR-MMSM.
052400*
052500 C221-ERROR.
052600*
052700     SET SS08WS-ERROR-SW-YES     TO TRUE.
052800     MOVE DFHBMASB               TO TV00-ACTION-LP-A
052900                                    TV00-ACTION-RP-A.
053000     MOVE SS08WS-CURSOR          TO TV00-ACTION-L.
053100     MOVE DFHBMUBF               TO TV00-ACTION-A.
053200     MOVE DFHBMUNF               TO TV00-ORG-A
053300                                    TV00-MERCHANT-A.
053400     MOVE DFHBMFSE               TO TV00-SM-FLAG-A.
053500     GO TO D000-RETURN-ERRORS.
053600*
053700 C300-READ-MMMM-OR-MMSM.
053800*
053900*************************************************************
054000*    READ THE MERCHANT MASTER RECORD OR STORE MASTER        *
054100*    RECORD, DEPENDING ON THE S/M FLAG.  THE MERCHANT OR    *
054200*    STORE MUST BE ON FILE AND AN ACTIVE RECORD.            *
054300*************************************************************
054400*
054500     IF  TV00-SM-FLAG IS EQUAL TO 'M'
054600         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
054700         PERFORM Y900-READ-MMMM  THRU Y919-READ-MMMM-EXIT
054800         IF  SS08WS-RC-FC-VALID-RTN-CODE
054900         AND MMMM-REC-ACTIVE
055000             MOVE DFHBMUNF       TO TV00-MERCHANT-A
055100             MOVE TV00-MERCHANT  TO MBCA-MERCHANT
055200             GO TO C400-SEARCH-COUNTRY-CODE
055300         ELSE
055400             IF  TV00-ACTION-INQ
055500                 MOVE DFHBMUNF   TO TV00-MERCHANT-A
055600                 SET MBCA-MBTM-MERCH-NOT-FND
055700                                 TO TRUE
055800                 SET MBCA-MBTM-STORE-NOT-FND
055900                                 TO TRUE
056000                 MOVE TV00-MERCHANT
056100                                 TO MBCA-MERCHANT
056200                 GO TO C400-SEARCH-COUNTRY-CODE
056300             ELSE
056310               IF (MMMM-REC-ACTIVE                                EH800900
056320                OR MMMM-REC-CLOSED)                               EH800900
056330                  MOVE DFHBMUNF       TO TV00-MERCHANT-A          EH800900
056340                  MOVE TV00-MERCHANT  TO MBCA-MERCHANT            EH800900
056350                  GO TO C400-SEARCH-COUNTRY-CODE                  EH800900
056360               ELSE                                               EH800900
056400                 MOVE MBEMWS-NOT-ON-MERCHANT-MASTER
056500                                 TO TV00-ERR-MESSAGE
056600                 GO TO C398-MERCHANT-S-M-ERROR.
056700*
056800     IF  TV00-SM-FLAG IS EQUAL TO 'S'
056900         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
057000         PERFORM Y920-READ-MMSM  THRU Y939-READ-MMSM-EXIT
057100         IF  SS08WS-RC-FC-VALID-RTN-CODE
057200         AND (MMSM-REC-ACTIVE
057300          OR  MMSM-REC-SINGLE-STORE)
057400             MOVE TV00-MERCHANT  TO MBCA-MERCHANT
057500             GO TO C400-SEARCH-COUNTRY-CODE
057600         ELSE
057700             IF  TV00-ACTION-INQ
057800                 MOVE TV00-MERCHANT
057900                                 TO MBCA-MERCHANT
058000                 SET MBCA-MBTM-STORE-NOT-FND
058100                                 TO TRUE
058200                 SET MBCA-MBTM-MERCH-NOT-FND
058300                                 TO TRUE
058400                 GO TO C400-SEARCH-COUNTRY-CODE
058500             ELSE
058510               IF (MMSM-REC-ACTIVE                                EH800900
058520                OR MMSM-REC-CLOSED)                               EH800900
058540                  MOVE TV00-MERCHANT  TO MBCA-MERCHANT            EH800900
058550                  GO TO C400-SEARCH-COUNTRY-CODE                  EH800900
058560               ELSE                                               EH800900
058600                 MOVE MBEMWS-NOT-ON-STORE-MASTER
058700                                 TO TV00-ERR-MESSAGE
058800                 GO TO C398-MERCHANT-S-M-ERROR.
058900*
059000 C398-MERCHANT-S-M-ERROR.
059100*
059200     MOVE 'Y'                    TO SS08WS-ERROR.
059300     MOVE DFHBMASB               TO TV00-MERCHANT-LP-A
059400                                    TV00-MERCHANT-RP-A
059500                                    TV00-SM-FLAG-LP-A
059600                                    TV00-SM-FLAG-RP-A.
059700     MOVE SS08WS-CURSOR          TO TV00-MERCHANT-L.
059800     MOVE DFHBMNBF               TO TV00-MERCHANT-A.
059900     MOVE DFHBMUBF               TO TV00-SM-FLAG-A.
060000     MOVE DFHBMFSE               TO TV00-ACTION-A.
060100     GO TO D000-RETURN-ERRORS.
060200*
060300 C400-SEARCH-COUNTRY-CODE.
060400*
060500     IF  MMOC-COUNTRY-CODE (1) IS EQUAL TO SPACES
060600         MOVE 'Y'                TO SS08WS-ERROR
060700         MOVE DFHBMASB           TO TV00-ORG-LP-A
060800                                    TV00-ORG-RP-A
060900         MOVE SS08WS-CURSOR      TO TV00-ORG-L
061000         MOVE DFHBMNBF           TO TV00-ORG-A
061100         MOVE 'COUNTRY CODE IS EQUAL TO SPACES'
061200                                 TO TV00-ERR-MESSAGE
061300         GO TO D000-RETURN-ERRORS.
061400*
061500     SET X-CC-TRAN               TO 1.
061600*
061700     SEARCH WS-COUNTRY-CODE-TRAN-TABLE VARYING X-CC-TRAN
061800         AT END
061900             MOVE 'Y'            TO SS08WS-ERROR
062000             MOVE DFHBMASB       TO TV00-ORG-LP-A
062100                                    TV00-ORG-RP-A
062200             MOVE SS08WS-CURSOR  TO TV00-ORG-L
062300             MOVE DFHBMNBF       TO TV00-ORG-A
062400             MOVE 'NO MATCH FOR ORG COUNTRY CODE'
062500                                 TO TV00-ERR-MESSAGE
062600             GO TO D000-RETURN-ERRORS
062700         WHEN WS-COUNTRY-CODE (X-CC-TRAN)
062800                                 IS EQUAL TO MMOC-COUNTRY-CODE (1)
062900             MOVE WS-TRAN-CODE (X-CC-TRAN)
063000                                 TO MBCA-TI-POS-3-4.
063100*
063200**********************************************************
063300*    READ THE TERMINATED MERCHANT RECORD TO SEE IF IT IS *
063400*    NECESSARY TO WRITE A NEW INITIALIZED RECORD.        *
063500**********************************************************
063600*
063700 C500-CHECK-MMTM-RECORD.
063800*
063900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMTM-ORG.
064000     MOVE MBCA-MERCHANT          TO MBIOWS-MMTM-MERCHANT.
064100     MOVE MBCA-ACTION-CODE       TO MBIOWS-MMTM-ACTION-CODE.
064200     MOVE MBCA-S-M               TO MBIOWS-MMTM-FILE-TYPE.
064300     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
064400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
064500     SET MBIORO-READ-RANDOM      TO TRUE.
064600     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
064700*
064800     EVALUATE TRUE
064900         WHEN  SS08WS-RC-FC-VALID-RTN-CODE
065000             EVALUATE TRUE
065100                WHEN MMTM-ADD-PENDING
065200                    EVALUATE TRUE
065300                        WHEN WS-ACTION-CODE IS NOT EQUAL TO
065400                             MMTM-ACTION-CODE
065500                             EVALUATE TRUE
065600                               WHEN TV00-ACTION-ADD
065700                                 MOVE MBEMWS-INQ-ALREADY-ON-FILE
065800                                 TO TV00-ERR-MESSAGE
065900                               WHEN OTHER
066000                                 MOVE MBEMWS-ADD-ALREADY-ON-FILE
066100                                 TO TV00-ERR-MESSAGE
066200                             END-EVALUATE
066300                             MOVE SS08WS-CURSOR
066400                                 TO TV00-ALT-TRANID-L
066500                             SET SS08WS-ERROR-SW-YES
066600                                 TO TRUE
066700                             GO TO D000-RETURN-ERRORS
066800                        WHEN OTHER
066900                            MOVE MMTM-ONLINE-STATUS
067000                                 TO MBCA-SCREEN-NBR
067100                            SET MBCA-MBTM-FUNCTION-ADD
067200                                 TO TRUE
067300                            GO TO F000-SETUP-COMMAREA
067400                    END-EVALUATE
067500                WHEN WS-ACTION-CODE IS NOT EQUAL TO
067600                     MMTM-ACTION-CODE
067700                    EVALUATE TRUE
067800                      WHEN TV00-ACTION-ADD
067900                        MOVE MBEMWS-INQ-ALREADY-ON-FILE
068000                                 TO TV00-ERR-MESSAGE
068100                      WHEN OTHER
068200                        MOVE MBEMWS-ADD-ALREADY-ON-FILE
068300                                 TO TV00-ERR-MESSAGE
068400                    END-EVALUATE
068500                    MOVE SS08WS-CURSOR
068600                                 TO TV00-ALT-TRANID-L
068700                    SET SS08WS-ERROR-SW-YES
068800                                 TO TRUE
068900                    GO TO D000-RETURN-ERRORS
069000                WHEN OTHER
069100                    SET MBCA-MBTM-FUNCTION-MAINT
069200                                 TO TRUE
069300                    GO TO F000-SETUP-COMMAREA
069400             END-EVALUATE
069500         WHEN OTHER
069600              CONTINUE
069700     END-EVALUATE.
069800*
069900*********************************************************
070000*    SET UP THE RECORD.  USE THE INITIALIZER RECORD     *
070100*    (MMTMIR) AS THE FIELD DEFAULTS.                    *
070200*********************************************************
070300*
070400     SET MBCA-MBTM-FUNCTION-ADD  TO TRUE.
070500*
070600     EVALUATE TRUE
070700         WHEN MMOC-COUNTRY-CODE (1)
070800                                 IS EQUAL TO 'GB '
070820           OR MMOC-COUNTRY-CODE (1)                               FX800053
070840                                 IS EQUAL TO 'GBR'                FX800053
070900             MOVE MMTMIR-VISA-UK-DATA
071000                                 TO MMTMIR-DATA
071100             SET MMTMIR-DF-VISA-UK
071200                                 TO TRUE
071300         WHEN MMOC-COUNTRY-CODE (1)
071400                                 IS EQUAL TO 'AU '
071420           OR MMOC-COUNTRY-CODE (1)                               FX800053
071440                                 IS EQUAL TO 'AUS'                FX800053
071500           OR MMOC-COUNTRY-CODE (1)
071600                                 IS EQUAL TO 'NZ '
071620           OR MMOC-COUNTRY-CODE (1)                               FX800053
071640                                 IS EQUAL TO 'NZL'                FX800053
071700             MOVE MMTMIR-VISA-ANZ-DATA
071800                                 TO MMTMIR-DATA
071900             SET MMTMIR-DF-VISA-AUNZ
072000                                 TO TRUE
072010         WHEN OTHER                                               EH800900
072020             MOVE MMTMIR-VISA-INTL-DATA                           EH800900
072030                                 TO MMTMIR-DATA                   EH800900
072040             SET MMTMIR-DF-VISA-INTL                              EH800900
072050                                 TO TRUE                          EH800900
072060             MOVE MMOC-COUNTRY-CODE (1)                           EH800900
072070                                 TO MMTM-V-MER-COUNTRY-CODE       EH800900
072100     END-EVALUATE.
072200*
072300     MOVE MMTMIR-RECORD          TO MMTM-RECORD.
072400*
072500     MOVE MBCA-MERCHANT-ORG      TO MMTM-ORG.
072600     MOVE MBCA-MERCHANT          TO MMTM-MERCHANT.
072700     MOVE MBCA-S-M               TO MMTM-FILE-TYPE.
072800*
072900     MOVE MBCA-ACTION-CODE       TO MMTM-ACTION-CODE.
073000*
073100     MOVE ZERO                   TO MMTM-ONLINE-STATUS.
073200     MOVE MBCA-START-DATE        TO MMTM-LAST-MAINT-DATE.
073300     MOVE MBCA-OPERATOR-ID       TO MMTM-LAST-MAINT-OPER.
073400*
073500*************************************
073600*    WRITE INITIALIZER RECORD TO    *
073700*    THE MMTM FILE.                 *
073800*************************************
073900*
074000     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
074100     SET MBIORO-WRITE            TO TRUE.
074200     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
074300/
074400 D000-RETURN-ERRORS SECTION.
074500*
074600     IF  SS08WS-ERROR-SW-NO
074700         GO TO F000-SETUP-COMMAREA
074800     ELSE
074900         IF  SS08WS-VALID-PF-KEY
075000         OR  SS08WS-EIBAID-VALID-PF-KEY
075100             SET MBCA-INITIAL-SCREEN-NBR
075200                                 TO TRUE
075300             GO TO F090-TRANSFER-XCTL.
075400*
075500***************************************************************
075600*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
075700*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
075800*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
075900***************************************************************
076000*
076100     PERFORM MB60PD-INIT-STD-MAP-LINES
076200                                 THRU MB60PD-ISML-EXIT.
076300*
076400**********************
076500*    SEND THE MAP    *
076600**********************
076700*
076800     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
076900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
077000                                 THRU MB60PD-SMWE-EXIT.
077100*
077200************************
077300*    RETURN TO CICS    *
077400************************
077500*
077600     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
077700     PERFORM MB70PD-RETURN-TRANS-ID
077800                                 THRU MB70PD-RTI-EXIT.
077900/
078000 F000-SETUP-COMMAREA SECTION.
078100*
078200***************************************************************
078300*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
078400***************************************************************
078500*
078600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
078700*
078800     MOVE MBIOWS-MMMM-DIRECT-KEY-CODE
078900                                 TO MBCA-KEY-CODE.
079000*
079100     IF  MBCA-PTI-FUNCTION-IS-MODEL
079200         SET MBCA-PTI-FUNCTION-IS-ADD
079300                                 TO TRUE
079400         MOVE MBCA-PTI-POS-3-4   TO MBCA-TI-POS-3-4.
079500*
079600     IF  MMTM-ADD-PENDING
079700         MOVE MMTM-ONLINE-STATUS TO MBCA-SCREEN-NBR
079800     ELSE
079900         MOVE 50                 TO MBCA-SCREEN-NBR.
080000*
080100     MOVE WS-TRAN-CODE (X-CC-TRAN)
080200                                 TO MBCA-PREV-TRANS-ID
080300                                    SS08WS-WORK-TRANS-ID.
080400*
080500     PERFORM MB60PD-EDIT-PAGE-NBR
080600                                 THRU MB60PD-EPN-EXIT.
080700*
080800     IF  SS08WS-VALID-PF-KEY
080900     OR  SS08WS-EIBAID-VALID-PF-KEY
081000         SET MBCA-INITIAL-SCREEN-NBR
081100                                 TO TRUE.
081200*
081300 F090-TRANSFER-XCTL.
081400*
081500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
081600     PERFORM MB70PD-XCTL-TO-MBOXCTL
081700                                 THRU MB70PD-XTM-EXIT.
081800/
081900 Y000-PERFORMED-ROUTINES SECTION.
082000*
082100 Y900-READ-MMMM.
082200*
082300     MOVE TV00-ORG               TO MBIOWS-MMMM-ORG.
082400     MOVE TV00-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
082500     SET MBIORO-READ-RANDOM      TO TRUE.
082600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
082700*
082800     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
082900*
083000 Y919-READ-MMMM-EXIT.
083100     EXIT.
083200*
083300 Y920-READ-MMSM.
083400*
083500      MOVE TV00-ORG              TO MBIOWS-MMSM-ORG.
083600      MOVE TV00-MERCHANT         TO MBIOWS-MMSM-STORE.
083700      SET MBIORO-READ-RANDOM     TO TRUE.
083800      MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1.
083900      PERFORM MMSMAO-ACCESS      THRU MMSMAO-ACCESS-EXIT.
084000*
084100 Y939-READ-MMSM-EXIT.
084200      EXIT.
084300/
084400 Z000-COPIED-ROUTINES SECTION.
084500**********************************
084600*    JUL TO GREG DATE ROUTINE    *
084700**********************************
084800*
084900     COPY SS08PD.
085000/
085100     COPY SS26PD.
085200/
085300     COPY SS27PD.
085400/
085500*****************************
085600*    CHECK DIGIT ROUITNE    *
085700*****************************
085800*
085900     COPY SS09PD.
086000/
086100*********************************
086200*    LINE 24 PF KEYS ROUTINE    *
086300*********************************
086400*
086500     COPY SS15PD.
086600/
086700*******************************************
086800*    ORG FILE RECORD 1 ACCESS ROUTINES    *
086900*******************************************
087000*
087100     COPY MMOCAO.
087200/
087300*********************************************
087400*    MERCHANT MASTER RECORD ACCESS ROUTINES *
087500*********************************************
087600*
087700     COPY MMMMAO.
087800/
087900*********************************************
088000*    STORE MASTER RECORD ACCESS ROUTINES    *
088100*********************************************
088200*
088300     COPY MMSMAO.
088400/
088500*************************************************
088600*    TERMINATED MERCHANT RECORD ACCESS ROUTINES *
088700*************************************************
088800*
088900     COPY MMTMAO.
089000/
089100*****************************
089200*    ONLINE MAP ROUTINES    *
089300*****************************
089400*
089500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBTV00 '
089600                           MBMAPXXI BY MBTV00I
089700                           MBMAPXXO BY MBTV00O.
089800/
089900***************************
090000*    ONLINE PROCEDURES    *
090100***************************
090200*
090300     COPY MB70PD.
090400/
090500     COPY SMFTPXO.
