000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU340.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU340 - STANDALONE TOP-XXX REPORTS                     *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800     COPY MS1SES.
001900*
002000 DATA DIVISION.
002100 FILE SECTION.
002200*
002300     COPY MS1SSD.
002400*
002500 01  MS1S-RECORD.
002600     03  FILLER              PIC X(03).
002700     03  MS1S-KEY.
002800         05  MS1S-KEY-1      PIC X(10).
002900         05  MS1S-KEY-2      PIC X(37).
003000     03  MS1S-SORT-DATA      PIC X(450).
003100/
003200 WORKING-STORAGE SECTION.
003300*
003400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003500*
003600 01  WS-MBU340-WORK-AREAS.
003700*
003800     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU340'.
003900     03  WS-HOLD-PROD        PIC  9(02)      VALUE ZERO.
004000     03  WS-HOLD-ORG         PIC  9(03)      VALUE ZERO.
004100     03  WS-HOLD-MERCH       PIC  9(09)      VALUE ZERO.
004200     03  WS-HOLD-TOP-AMT-IND PIC  9(01)      VALUE ZERO.
004300     03  WS-HOLD-TOP-AMT     PIC S9(17)      BINARY VALUE ZERO.
004400     03  WS-NEXT-PROD        PIC  9(02)      VALUE ZERO.
004500     03  WS-HAVE-DETAIL      PIC  X(01)      VALUE 'N'.
004600     03  WS-GEN-ORG-HDR      PIC  X(01)      VALUE 'N'.
004700     03  WS-RPT-PROCESS-SW   PIC  X(01)      VALUE 'Y'.
004800         88 WS-RPT-PROCESS                   VALUE 'Y'.
004900         88 WS-NO-RPT-PROCESS                VALUE 'N'.
005000     03  WS-TOTAL-FIELDS.
005100*
005200         05  WS-TOT-SALES-NBR
005300                             PIC S9(09)      COMP-3 VALUE ZERO.
005400         05  WS-TOT-SALES-AMT
005500                             PIC S9(17)      COMP-3 VALUE ZERO.
005600         05  WS-TOT-SALES-REV-NBR
005700                             PIC S9(09)      COMP-3 VALUE ZERO.
005800         05  WS-TOT-SALES-REV-AMT
005900                             PIC S9(17)      COMP-3 VALUE ZERO.
006000         05  WS-TOT-RETURN-NBR
006100                             PIC S9(09)      COMP-3 VALUE ZERO.
006200         05  WS-TOT-RETURN-AMT
006300                             PIC S9(17)      COMP-3 VALUE ZERO.
006400         05  WS-TOT-RETURN-REV-NBR
006500                             PIC S9(09)      COMP-3 VALUE ZERO.
006600         05  WS-TOT-RETURN-REV-AMT
006700                             PIC S9(17)      COMP-3 VALUE ZERO.
006800         05  WS-TOT-SYSTEM-FEES-AMT
006900                             PIC S9(17)      COMP-3 VALUE ZERO.
007000         05  WS-TOT-USER-FEES-AMT
007100                             PIC S9(17)      COMP-3 VALUE ZERO.
007200         05  WS-TOT-DISCOUNT-AMT
007300                             PIC S9(17)      COMP-3 VALUE ZERO.
007400         05  WS-TOT-REFUND-AMT
007500                             PIC S9(17)      COMP-3 VALUE ZERO.
007600*
007700     03  WS-U340-ORG-RANGES-TABLE-X.
007800         05  WS-U340-ORG-RANGES-TABLE        OCCURS 999 TIMES
007900                                             INDEXED BY
008000                                             X-WS-U340-ORT.
008100             07  WS-U340-ORT-BEG-ORG-X.
008200                 88  WS-U340-ORT-END-OF-TABLE
008300                                             VALUE ZERO.
008400                 09  WS-U340-ORT-BEG-ORG
008500                             PIC  9(03)      VALUE ZERO.
008600             07  WS-U340-ORT-END-ORG-X.
008700                 09  WS-U340-ORT-END-ORG
008800                             PIC  9(03)      VALUE ZERO.
008900/
009000     COPY MMTCWS.
009100/
009200     COPY MMMMIO.
009300/
009400     COPY MMMMIR.
009500/
009600     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
009700/
009800     COPY MMMMRL.
009900/
010000     COPY MMOCIO.
010100/
010200     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
010300/
010400     COPY MMOCRL.
010500/
010600     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPA==.
010700/
010800     COPY MB00RB REPLACING ==:MB00:== BY ==MMPA==.
010900/
011000     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
011100/
011200     COPY MMPATB REPLACING ==:MMPA:== BY ==MMPA==.
011300/
011400     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPG==.
011500/
011600     COPY MB00RB REPLACING ==:MB00:== BY ==MMPG==.
011700/
011800     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPG==.
011900/
012000     COPY MMRCIO.
012100/
012200     COPY MB00RB REPLACING ==:MB00:== BY ==MMRC==.
012300/
012400     COPY MMRCRL.
012500/
012600     COPY MMSCIO.
012700/
012800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
012900/
013000     COPY MMSCRL.
013100/
013200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
013300/
013400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
013500/
013600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
013700/
013800     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
013900/
014000     COPY MTRFIO REPLACING ==:MTRF:== BY ==MTRF==.
014100/
014200     COPY MB00RB REPLACING ==:MB00:== BY ==MTRF==.
014300/
014400     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
014500/
014600     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
014700/
014800     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
014900/
015000     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
015100/
015200     COPY MB00WS.
015300/
015400     COPY MB99WS.
015500/
015600     COPY SS00WS.
015700/
015800     COPY SS01WS.
015900/
016000     COPY SS02WS.
016100*
016200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
016300/
016400 PROCEDURE DIVISION.
016500 A000-MAIN-LINE SECTION.
016600 A010-ML-BEGIN.
016700*
016800     MOVE 'MBU340'               TO SS02WS-ABEND-PROG-ID.
016900*
017000     PERFORM B000-READ-CONTROL-CARDS
017100                                 THRU B999-RCC-EXIT.
017200     PERFORM Z900-OPEN-FILES     THRU Z949-OF-EXIT.
017300*
017400     EVALUATE TRUE
017500         WHEN WS-NO-RPT-PROCESS
017600              GO TO 9999-END-OF-PROGRAM
017700     END-EVALUATE.
017800*
017900     SORT MS1S-SORT-FILE
018000         ON ASCENDING KEY MS1S-KEY
018100         INPUT  PROCEDURE IS D000-EXTRACT-DATA
018200         OUTPUT PROCEDURE IS G000-WRITE-PRINT-FILE.
018300*
018400     PERFORM SS98PD-VERIFY-SORT-RETURN
018500        THRU SS98PD-VSR-EXIT.
018600*
018700     PERFORM Z950-CLOSE-FILES    THRU Z999-CF-EXIT.
018800     GO TO 9999-END-OF-PROGRAM.
018900*
019000 A999-ML-EXIT.
019100     EXIT.
019200/
019300*
019400*****************************************************************
019500*    READ CONTROL CARDS
019600*****************************************************************
019700*
019800 B000-READ-CONTROL-CARDS SECTION.
019900 B100-RCC-BEGIN.
020000*
020100     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
020200     SET MTCCRB-OPEN-INPUT       TO TRUE.
020300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
020400*
020500     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
020600*
020700*****************************************************************
020800*    THE FIRST CONTROL CARD CONTAINS PROCESSING CODES AND
020900*    THE NUMBER OF MERCHANTS TO BE PRINTED ON THE REPORT.
021000*****************************************************************
021100*
021200     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
021300     SET MTCCRB-READ-SEQ         TO TRUE.
021400*
021500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT
021600        UNTIL MTCCIO-PROGRAM-ID  IS EQUAL TO WS-PROG-ID
021700           OR SS02WS-FS-END-OF-FILE.
021800*
021900     IF  SS02WS-FS-END-OF-FILE
022000         GO TO B900-CLOSE-MTCC-FILE.
022100*
022200     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
022300*
022400     IF  (MTCC-MBU340-MERCHANT
022500     OR   MTCC-MBU340-CHAIN)
022600     AND
022700         (MTCC-MBU340-MTD
022800     OR   MTCC-MBU340-YTD)
022900     AND
023000         (MTCC-MBU340-INCOME
023100     OR   MTCC-MBU340-SALES)
023200     AND
023300         (MTCC-MBU340-NBR-TOP-XX IS NUMERIC
023400     OR   MTCC-MBU340-NBR-TOP-XX IS EQUAL TO SPACES)
023500     AND
023600         (MTCC-MBU340-SUMMARY
023700     OR   MTCC-MBU340-DETAIL)
023800         NEXT SENTENCE
023900     ELSE
024000         DISPLAY MTCC-RECORD UPON CONSOLE
024100         DISPLAY MTCC-RECORD
024200         MOVE 34001              TO SS02WS-ABEND-CODE
024300         MOVE 'INVALID CONTROL CARD'
024400                                 TO SS02WS-ABENDMSG8
024500         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT
024600     END-IF.
024700*
024800     IF  MTCC-MBU340-FREQ IS NOT NUMERIC
024900     OR  MTCC-MBU340-FREQ IS EQUAL TO ZERO
025000     OR  MTCC-MBU340-FREQ GREATER THAN 47
025100     OR (MTCC-MBU340-FREQ GREATER THAN 31 AND
025200         MTCC-MBU340-FREQ LESS THAN 41)
025300         MOVE 99                 TO MTCC-MBU340-FREQ
025400     END-IF.
025500*
025600*****************************************************************
025700*    SUBSEQUENT CONTROL CARDS CONTAIN BEGINNING AND ENDING
025800*    ORGANIZATION RANGES WHICH ARE TO BE PROCESSED.
025900*****************************************************************
026000*
026100 B500-CHECK-ORG-RANGE.
026200*
026300     MOVE MTCC-RECORD            TO MTC1-RECORD.
026400*
026500     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
026600     SET MTCCRB-READ-SEQ         TO TRUE.
026700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
026800*
026900     PERFORM
027000         UNTIL SS02WS-FS-END-OF-FILE
027100         MOVE MTCCIO-RECORD      TO MTCC-RECORD
027200         EVALUATE TRUE
027300             WHEN MTCC-PROGRAM-ID IS EQUAL TO WS-PROG-ID
027400                 IF  MTCC-MBU340-BEG-ORG IS NUMERIC
027500                     CONTINUE
027600                 ELSE
027700                     DISPLAY MTCC-RECORD UPON CONSOLE
027800                     DISPLAY MTCC-RECORD
027900                     MOVE 34002  TO SS02WS-ABEND-CODE
028000                     MOVE 'INVALID BEG ORG'
028100                                 TO SS02WS-ABENDMSG8
028200                     PERFORM SS02PD-ABEND
028300                                 THRU SS02PD-ABEND-EXIT
028400                 END-IF
028500                 IF  MTCC-MBU340-END-ORG-X IS EQUAL TO SPACES
028600                     MOVE MTCC-MBU340-BEG-ORG
028700                                 TO MTCC-MBU340-END-ORG
028800                 END-IF
028900                 IF  MTCC-MBU340-END-ORG IS NUMERIC
029000                 AND MTCC-MBU340-END-ORG IS GREATER THAN ZERO
029100                 AND MTCC-MBU340-END-ORG IS NOT LESS THAN
029200                                 MTCC-MBU340-BEG-ORG
029300                     CONTINUE
029400                 ELSE
029500                     DISPLAY MTCC-RECORD UPON CONSOLE
029600                     DISPLAY MTCC-RECORD
029700                     MOVE 34003  TO SS02WS-ABEND-CODE
029800                     MOVE 'INVALID END ORG'
029900                                 TO SS02WS-ABENDMSG8
030000                     PERFORM SS02PD-ABEND
030100                                 THRU SS02PD-ABEND-EXIT
030200                 END-IF
030300                 SET X-WS-U340-ORT
030400                                 TO 1
030500                 SEARCH WS-U340-ORG-RANGES-TABLE
030600                     VARYING X-WS-U340-ORT
030700                     AT END
030800                         MOVE 34004
030900                                 TO SS02WS-ABEND-CODE
031000                         MOVE 'TABLE LIMIT EXCEEDED'
031100                                 TO SS02WS-ABENDMSG8
031200                         PERFORM SS02PD-ABEND
031300                                 THRU SS02PD-ABEND-EXIT
031400                     WHEN X-WS-U340-ORT IS GREATER THAN 998
031500                         MOVE 34005
031600                                 TO SS02WS-ABEND-CODE
031700                         MOVE 'TABLE LIMIT EXCEEDED'
031800                                 TO SS02WS-ABENDMSG8
031900                         PERFORM SS02PD-ABEND
032000                                 THRU SS02PD-ABEND-EXIT
032100                     WHEN WS-U340-ORT-END-OF-TABLE (X-WS-U340-ORT)
032200                         MOVE MTCC-MBU340-BEG-ORG
032300                                 TO WS-U340-ORT-BEG-ORG
032400                                                   (X-WS-U340-ORT)
032500                         MOVE MTCC-MBU340-END-ORG
032600                                 TO WS-U340-ORT-END-ORG
032700                                                   (X-WS-U340-ORT)
032800                 END-SEARCH
032900         END-EVALUATE
033000         MOVE 'R3CC'             TO SS02WS-ABEND-LOCATION
033100         SET MTCCRB-READ-SEQ     TO TRUE
033200         PERFORM MB00PD-MTCC-ACCESS THRU MB00PD-MTCC-ACCESS-EXIT
033300     END-PERFORM.
033400*
033500     MOVE MTC1-RECORD            TO MTCC-RECORD.
033600*
033700 B900-CLOSE-MTCC-FILE.
033800*
033900     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
034000     SET MTCCRB-CLOSE            TO TRUE.
034100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
034200*
034300 B999-RCC-EXIT.
034400     EXIT.
034500/
034600*
034700*****************************************************************
034800*    EXTRACT MERCHANT OR CHAIN DATA DEPENDING ON THE CONTROL CARD
034900*****************************************************************
035000*
035100 D000-EXTRACT-DATA SECTION.
035200 D100-ED-BEGIN.
035300*
035400     IF  MTCC-MBU340-MERCHANT
035500         PERFORM E100-EXTRACT-MERCH-DATA
035600                                 THRU E199-EMD-EXIT
035700     ELSE
035800         PERFORM F100-EXTRACT-CHAIN-DATA
035900                                 THRU F199-ECD-EXIT
036000     END-IF.
036100*
036200 D100-ED-EXIT.
036300     EXIT.
036400/
036500*
036600*****************************************************************
036700*    EXTRACT MERCHANT DATA REQUIRED FOR REPORTING
036800*****************************************************************
036900*
037000*****************************************************************
037100*    READ NEXT MERCHANT MASTER RECORD
037200*****************************************************************
037300*
037400 E100-EXTRACT-MERCH-DATA SECTION.
037500 E110-EM-BEGIN.
037600*
037700     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
037800     SET MMMMRB-READ-SEQ         TO TRUE.
037900     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
038000*
038100     IF  SS02WS-FS-END-OF-FILE
038200         GO TO E199-EMD-EXIT.
038300*
038400     IF  MMMMIO-HEADER
038500     OR  MMMMIO-TRAILER
038600         GO TO E110-EM-BEGIN.
038700*
038800     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
038900*
039000     IF  MMMM-REC-INCOMPLETE
039100     OR  MMMM-REC-MODEL
039200     OR  MMMM-REC-PENDING-PURGE
039300     OR  MMMM-REC-PURGED
039400     OR  MMMM-ADD-PENDING
039500         GO TO E110-EM-BEGIN.
039600*
039700*****************************************************************
039800*    PROCESS ONLY MERCHANTS WHOSE ORG HAS BEEN SELECTED BY
039900*    CONTROL CARDS.
040000*****************************************************************
040100*
040200     SET X-WS-U340-ORT           TO 1.
040300*
040400     SEARCH WS-U340-ORG-RANGES-TABLE VARYING X-WS-U340-ORT
040500         AT END
040600             SET X-WS-U340-ORT   TO 999
040700         WHEN WS-U340-ORT-END-OF-TABLE  (X-WS-U340-ORT)
040800             SET X-WS-U340-ORT   TO 999
040900         WHEN MMMM-ORG IS NOT LESS THAN WS-U340-ORT-BEG-ORG
041000                                        (X-WS-U340-ORT)
041100             AND MMMM-ORG IS NOT GREATER THAN WS-U340-ORT-END-ORG
041200                                        (X-WS-U340-ORT)
041300             NEXT SENTENCE.
041400*
041500     IF  X-WS-U340-ORT IS EQUAL TO 999
041600         GO TO E110-EM-BEGIN.
041700*
041800******************************************************************
041900*    IF THE MERCHANT ORG IS NOT THE SAME AS THE ORG CONTROL
042000*    RECORD (MMOC):
042100*           READ ORGANIZATION RECORD
042200*           BUILD REPORT FILE KEY-1
042300*           BUILD REPORT FILE KEY-2 FOR HEADER AND TRAILER RECORDS
042400*           RELEASE HEADER RECORD TO SORT
042500*           RELEASE TRAILER RECORD TO SORT
042600******************************************************************
042700*
042800     IF  MMMM-ORG IS NOT EQUAL TO MMOC-ORG
042900         MOVE MMMM-ORG           TO MMOCIO-ORG
043000         MOVE 'R1OC'             TO SS02WS-ABEND-LOCATION
043100         SET MMOCRB-READ-RANDOM  TO TRUE
043200         PERFORM MB00PD-MMOC-ACCESS THRU MB00PD-MMOC-ACCESS-EXIT
043300         MOVE MMOCIO-RECORD      TO MMOC-RECORD
043400         PERFORM MTRFPX-BUILD-REPORT-TABLE
043500                                 THRU MTRFPX-BRT-EXIT
043600         SET X-MTRFWS-ORT        TO 86
043700         MOVE 'Y'                TO WS-GEN-ORG-HDR
043800     END-IF.
043900*
044000     IF  MTRFWS-ORT-F1-NOT-REQUESTED (X-MTRFWS-ORT)
044100     AND MTRFWS-ORT-F2-NOT-REQUESTED (X-MTRFWS-ORT)
044200         GO TO E110-EM-BEGIN.
044300*
044400*****************************************************************
044500*    ALIGN THE MERCHANT MASTER AND PRODUCT STATISTICS FILE
044600*****************************************************************
044700*
044800     PERFORM UNTIL MMPAIO-ALIGN-KEY
044900                                 IS NOT LESS THAN MMMM-KEY
045000         MOVE 'R1PA'             TO SS02WS-ABEND-LOCATION
045100         SET MMPARB-READ-SEQ     TO TRUE
045200         PERFORM MB00PD-MMPA-ACCESS THRU MB00PD-MMPA-ACCESS-EXIT
045300         MOVE MMPAIO-RECORD      TO MMPA-RECORD
045400     END-PERFORM.
045500*
045600*****************************************************************
045700*    PROCESS STATISTICS FOR THE MERCHANT
045800*****************************************************************
045900*
046000     IF  MMMM-KEY IS EQUAL TO MMPAIO-ALIGN-KEY
046100         IF  WS-GEN-ORG-HDR IS EQUAL TO 'Y'
046200             PERFORM Z000-REPORT-HEADERS-TRAILERS
046300                                 THRU Z199-RHT-EXIT
046400             MOVE 'N'            TO WS-GEN-ORG-HDR
046500         END-IF
046600         MOVE MMMM-MERCHANT      TO WS-HOLD-MERCH
046700         PERFORM Z400-GEN-PROD-LINES
046800                                 THRU Z499-GPL-EXIT
046900         PERFORM Z500-GEN-PROD-TOTAL
047000                                 THRU Z599-GPT-EXIT
047100         PERFORM Z600-GEN-TRAILER
047200                                 THRU Z649-GT-EXIT
047300         PERFORM Z650-GEN-HEADER THRU Z699-GH-EXIT
047400     END-IF.
047500*
047600     GO TO E110-EM-BEGIN.
047700*
047800 E199-EMD-EXIT.
047900     EXIT.
048000/
048100*
048200*****************************************************************
048300*    READ NEXT CHAIN MASTER RECORD
048400*****************************************************************
048500*
048600 F100-EXTRACT-CHAIN-DATA SECTION.
048700 F110-EC-BEGIN.
048800*
048900     MOVE 'R1RC'                 TO SS02WS-ABEND-LOCATION.
049000     SET MMRCRB-READ-SEQ         TO TRUE.
049100     PERFORM MB00PD-MMRC-ACCESS  THRU MB00PD-MMRC-ACCESS-EXIT.
049200*
049300     IF  SS02WS-FS-END-OF-FILE
049400         GO TO F199-ECD-EXIT.
049500*
049600     IF  MMRCIO-HEADER
049700     OR  MMRCIO-TRAILER
049800         GO TO F110-EC-BEGIN.
049900*
050000     MOVE MMRCIO-RECORD          TO MMRC-RECORD.
050100*
050200     IF  MMRC-REC-INCOMPLETE
050300     OR  MMRC-REC-PURGED
050400     OR  MMRC-ADD-PENDING
050500         GO TO F110-EC-BEGIN.
050600*
050700*****************************************************************
050800*    PROCESS ONLY CHAINS WHOSE ORG HAS BEEN SELECTED BY
050900*    CONTROL CARDS.
051000*****************************************************************
051100*
051200     SET X-WS-U340-ORT           TO 1.
051300*
051400     SEARCH WS-U340-ORG-RANGES-TABLE VARYING X-WS-U340-ORT
051500         AT END
051600             SET X-WS-U340-ORT   TO 999
051700         WHEN WS-U340-ORT-END-OF-TABLE  (X-WS-U340-ORT)
051800             SET X-WS-U340-ORT   TO 999
051900         WHEN MMRC-ORG IS NOT LESS THAN WS-U340-ORT-BEG-ORG
052000                                        (X-WS-U340-ORT)
052100             AND MMRC-ORG IS NOT GREATER THAN WS-U340-ORT-END-ORG
052200                                        (X-WS-U340-ORT)
052300             NEXT SENTENCE.
052400*
052500     IF  X-WS-U340-ORT IS EQUAL TO 999
052600         GO TO F110-EC-BEGIN.
052700*
052800******************************************************************
052900*    IF THE CHAIN ORG IS NOT THE SAME AS THE ORG CONTROL
053000*    RECORD (MMOC):
053100*           READ ORGANIZATION RECORD
053200*           BUILD REPORT FILE KEY-1
053300*           BUILD REPORT FILE KEY-2 FOR HEADER AND TRAILER RECORDS
053400*           RELEASE HEADER RECORD TO SORT
053500*           RELEASE TRAILER RECORD TO SORT
053600******************************************************************
053700*
053800     IF  MMRC-ORG IS NOT EQUAL TO MMOC-ORG
053900         MOVE MMRC-ORG           TO MMOCIO-ORG
054000         MOVE 'R1OC'             TO SS02WS-ABEND-LOCATION
054100         SET MMOCRB-READ-RANDOM  TO TRUE
054200         PERFORM MB00PD-MMOC-ACCESS THRU MB00PD-MMOC-ACCESS-EXIT
054300         MOVE MMOCIO-RECORD      TO MMOC-RECORD
054400         PERFORM MTRFPX-BUILD-REPORT-TABLE
054500                                 THRU MTRFPX-BRT-EXIT
054600         SET X-MTRFWS-ORT        TO 86
054700         MOVE 'Y'                TO WS-GEN-ORG-HDR
054800     END-IF.
054900*
055000     IF  MTRFWS-ORT-F1-NOT-REQUESTED (X-MTRFWS-ORT)
055100     AND MTRFWS-ORT-F2-NOT-REQUESTED (X-MTRFWS-ORT)
055200         GO TO F110-EC-BEGIN.
055300*
055400*****************************************************************
055500*    ALIGN THE CHAIN MASTER AND PRODUCT STATISTICS FILE
055600*****************************************************************
055700*
055800     PERFORM UNTIL MMPGIO-ALIGN-KEY
055900                                 IS NOT LESS THAN MMRC-KEY
056000         MOVE 'R1PG'             TO SS02WS-ABEND-LOCATION
056100         SET MMPGRB-READ-SEQ     TO TRUE
056200         PERFORM MB00PD-MMPG-ACCESS THRU MB00PD-MMPG-ACCESS-EXIT
056300         MOVE MMPGIO-RECORD      TO MMPA-RECORD
056400     END-PERFORM.
056500*
056600*****************************************************************
056700*    PROCESS STATISTICS FOR THE CHAIN
056800*****************************************************************
056900*
057000     IF  MMPGIO-ALIGN-KEY IS EQUAL TO MMRC-KEY
057100         IF  WS-GEN-ORG-HDR IS EQUAL TO 'Y'
057200             PERFORM Z000-REPORT-HEADERS-TRAILERS
057300                                 THRU Z199-RHT-EXIT
057400             MOVE 'N'            TO WS-GEN-ORG-HDR
057500         END-IF
057600         MOVE MMRC-CHAIN         TO WS-HOLD-MERCH
057700         PERFORM Z400-GEN-PROD-LINES
057800                                 THRU Z499-GPL-EXIT
057900         PERFORM Z500-GEN-PROD-TOTAL
058000                                 THRU Z599-GPT-EXIT
058100         PERFORM Z600-GEN-TRAILER
058200                                 THRU Z649-GT-EXIT
058300         PERFORM Z650-GEN-HEADER THRU Z699-GH-EXIT
058400     END-IF.
058500*
058600     GO TO F110-EC-BEGIN.
058700*
058800 F199-ECD-EXIT.
058900     EXIT.
059000/
059100*****************************************************************
059200*    READ THE SORTED RECORD
059300*    WHEN MERCHANT/CHAIN HEADER:
059400*       LOAD TOP AMT IND IN SORT KEY
059500*       LOAD TOP AMT IN SORT KEY
059600*    WRITE PRINT FILE (MTRF)
059700*****************************************************************
059800*
059900 G000-WRITE-PRINT-FILE SECTION.
060000 G110-WPF-BEGIN.
060100*
060200     RETURN MS1S-SORT-FILE
060300        AT END
060400        GO TO G999-WPF-EXIT.
060500*
060600     MOVE MS1S-RECORD            TO MTRF-RECORD.
060700*
060800     IF  MTRF-K1-HEADER
060900     OR  MTRF-K1-TRAILER
061000     OR  MTRF-K1-RT-HEADER
061100     OR  MTRF-K1-RT-TRAILER
061200         GO TO G900-WRITE-PRINT-RECORD.
061300*
061400     IF  MTRF-K2-O86-RT-HEADER
061500         COMPUTE WS-HOLD-TOP-AMT ROUNDED
061600                                 = 0.00
061700                                 - MTRF-O86-TOP-AMT
061800         IF  MTRF-O86-TOP-AMT IS LESS THAN +.01
061900             MOVE 2              TO WS-HOLD-TOP-AMT-IND
062000         ELSE
062100             MOVE 1              TO WS-HOLD-TOP-AMT-IND
062200         END-IF
062300     END-IF.
062400*
062500     MOVE WS-HOLD-TOP-AMT        TO MTRF-K2-O86-TOP-AMT.
062600     MOVE WS-HOLD-TOP-AMT-IND    TO MTRF-K2-O86-TOP-AMT-IND.
062700     MOVE MTRF-K2-O86-MERCHANT   TO MTRF-K2-O86-RPT-MERCH.
062800     MOVE ZERO                   TO MTRF-K2-O86-MERCHANT.
062900*
063000 G900-WRITE-PRINT-RECORD.
063100*
063200     MOVE MTRF-RECORD            TO MTRFIO-RECORD.
063300*
063400     MOVE 'WSRF'                 TO SS02WS-ABEND-LOCATION.
063500     SET MTRFRB-WRITE            TO TRUE.
063600     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
063700*
063800     GO TO G110-WPF-BEGIN.
063900*
064000 G999-WPF-EXIT.
064100     EXIT.
064200/
064300*****************************************************************
064400*    COMMON MERCHANT/CHAIN PERFORMED ROUTINES
064500*****************************************************************
064600*
064700*****************************************************************
064800*    GENERATE HEADER/TRAILER REPORT RECORDS
064900*****************************************************************
065000*
065100 Z000-REPORT-HEADERS-TRAILERS SECTION.
065200 Z010-RHT-BEGIN.
065300*
065400     IF  MTCC-MBU340-RPT-TITLE   IS NOT EQUAL TO SPACES
065500         MOVE MTCC-MBU340-RPT-TITLE
065600                                 TO MTRFWS-ORT-RPT-TITLE
065700                                      (X-MTRFWS-ORT)
065800     END-IF.
065900*
066000     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
066100         NEXT SENTENCE
066200     ELSE
066300         MOVE SPACES             TO MTRF-RECORD
066400         MOVE MTRFWS-ORT-FREQ-1  (X-MTRFWS-ORT)
066500                                 TO MTRF-KEY-1
066600         MOVE ZERO               TO MTRF-K1-REC-TYPE
066700         MOVE MTRFWS-ORT-HEADINGS-DATA  (X-MTRFWS-ORT)
066800                                 TO MTRF-HD-HEADINGS-DATA
066900         MOVE MTCC-MBU340-SD-OPTION
067000                                 TO MTRF-K1-SUMMARY-DETAIL
067100         MOVE MTRF-RECORD        TO MS1S-RECORD
067200         PERFORM Z300-RELEASE-TO-SORT
067300                                 THRU Z399-RTS-EXIT
067400         MOVE SPACES             TO MTRF-RECORD
067500         MOVE MTRFWS-ORT-FREQ-1  (X-MTRFWS-ORT)
067600                                 TO MTRF-KEY-1
067700         MOVE SPACE              TO MTRF-K1-SUMMARY-DETAIL
067800         MOVE 9                  TO MTRF-K1-REC-TYPE
067900         MOVE MTRF-RECORD        TO MS1S-RECORD
068000         PERFORM Z300-RELEASE-TO-SORT
068100                                 THRU Z399-RTS-EXIT
068200     END-IF.
068300*
068400     IF  MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
068500         NEXT SENTENCE
068600     ELSE
068700         MOVE SPACES             TO MTRF-RECORD
068800         MOVE MTRFWS-ORT-FREQ-2  (X-MTRFWS-ORT)
068900                                 TO MTRF-KEY-1
069000         MOVE ZERO               TO MTRF-K1-REC-TYPE
069100         MOVE MTRFWS-ORT-HEADINGS-DATA  (X-MTRFWS-ORT)
069200                                 TO MTRF-HD-HEADINGS-DATA
069300         MOVE MTCC-MBU340-SD-OPTION
069400                                 TO MTRF-K1-SUMMARY-DETAIL
069500         MOVE MTRF-RECORD        TO MS1S-RECORD
069600         PERFORM Z300-RELEASE-TO-SORT
069700                                 THRU Z399-RTS-EXIT
069800         MOVE MTRFWS-ORT-FREQ-2  (X-MTRFWS-ORT)
069900                                 TO MTRF-KEY-1
070000         MOVE SPACE              TO MTRF-K1-SUMMARY-DETAIL
070100         MOVE 9                  TO MTRF-K1-REC-TYPE
070200         MOVE MTRF-RECORD        TO MS1S-RECORD
070300         PERFORM Z300-RELEASE-TO-SORT
070400                                 THRU Z399-RTS-EXIT
070500     END-IF.
070600*
070700     MOVE SPACES                 TO MTRF-HEADER-DATA.
070800     MOVE 1                      TO MTRF-K1-REC-TYPE.
070900*
071000 Z199-RHT-EXIT.
071100     EXIT.
071200/
071300*****************************************************************
071400*    RELEASE THE MTRF RECORD TO SORT. THE SORT WILL CAUSE THE
071500*    PRODUCT TOTALS RECORD TO SORT PRIOR TO THE DETAIL RECORDS.
071600*****************************************************************
071700*
071800 Z300-RELEASE-TO-SORT SECTION.
071900 Z310-RTS-BEGIN.
072000*
072100     IF  MTRF-K1-RT-HEADER
072200     OR  MTRF-K1-RT-TRAILER
072300         GO TO Z370-RELEASE-RECORD.
072400*
072500     IF  MTCC-MBU340-MERCHANT
072600         IF  MMMM-SAC-USE-PRIMARY
072700             SET X-MMMM-DEMOGRAPHICS
072800                                 TO 1
072900         ELSE
073000             SET X-MMMM-DEMOGRAPHICS
073100                                 TO 2
073200         END-IF
073300         MOVE MMMM-MERCHANT      TO MTRF-MERCHANT
073400         MOVE MMMM-STORE-NBR     TO MTRF-STORE
073500         MOVE ZERO               TO MTRF-CHAIN
073600         MOVE MMMM-BLOCK-CODE    TO MTRF-BLOCK-CODE
073700         MOVE MMMM-REC-STATUS    TO MTRF-REC-STATUS
073800         MOVE MMMM-GNA-NBR (X-MMMM-DEMOGRAPHICS)
073900                                 TO MTRF-GNA-NBR
074000         MOVE MMMM-NA-OVERFLOW-SW (X-MMMM-DEMOGRAPHICS)
074100                                 TO MTRF-NA-OVERFLOW-SW
074200         MOVE MMMM-DBA-NAME      TO MTRF-NAME
074300         MOVE MMMM-STATE-CODE (X-MMMM-DEMOGRAPHICS)
074400                                 TO MTRF-STATE
074500         MOVE MMMM-COUNTRY-CODE (X-MMMM-DEMOGRAPHICS)
074600                                 TO MTRF-COUNTRY
074700         MOVE MMMM-STMT-FREQ-1   TO MTRF-STMT-FREQ-1
074800         MOVE MMMM-STMT-FREQ-2   TO MTRF-STMT-FREQ-2
074900         MOVE MMMM-DISC-FREQ-1   TO MTRF-DISC-FREQ-1
075000         MOVE MMMM-DISC-FREQ-2   TO MTRF-DISC-FREQ-2
075100         MOVE MMMM-PART-FREQ-1   TO MTRF-PART-FREQ-1
075200         MOVE MMMM-PART-FREQ-2   TO MTRF-PART-FREQ-2
075300         MOVE MMMM-SETT-FREQ-1   TO MTRF-SETT-FREQ-1
075400         MOVE MMMM-SETT-FREQ-2   TO MTRF-SETT-FREQ-2
075500     ELSE
075600         MOVE ZERO               TO MTRF-MERCHANT
075700         MOVE ZERO               TO MTRF-STORE
075800         MOVE MMRC-CHAIN         TO MTRF-CHAIN
075900         MOVE SPACE              TO MTRF-BLOCK-CODE
076000         MOVE MMRC-REC-STATUS    TO MTRF-REC-STATUS
076100         MOVE MMRC-GNA-NBR       TO MTRF-GNA-NBR
076200         MOVE MMRC-NA-OVERFLOW-SW
076300                                 TO MTRF-NA-OVERFLOW-SW
076400         MOVE MMRC-NA-LINE (1)   TO MTRF-NAME
076500         MOVE MMRC-STATE-CODE    TO MTRF-STATE
076600         MOVE MMRC-COUNTRY-CODE  TO MTRF-COUNTRY
076700         MOVE MMRC-STMT-FREQ-1   TO MTRF-STMT-FREQ-1
076800         MOVE MMRC-STMT-FREQ-2   TO MTRF-STMT-FREQ-2
076900         MOVE ZERO               TO MTRF-DISC-FREQ-1
077000         MOVE ZERO               TO MTRF-DISC-FREQ-2
077100         MOVE ZERO               TO MTRF-PART-FREQ-1
077200         MOVE ZERO               TO MTRF-PART-FREQ-2
077300         MOVE ZERO               TO MTRF-SETT-FREQ-1
077400         MOVE ZERO               TO MTRF-SETT-FREQ-2
077500     END-IF.
077600*
077700     MOVE WS-HOLD-MERCH          TO MTRF-K2-O86-MERCHANT.
077800     MOVE ZERO                   TO MTRF-K2-O86-TOP-AMT-IND.
077900     MOVE ZERO                   TO MTRF-K2-O86-TOP-AMT.
078000     MOVE ZERO                   TO MTRF-K2-O86-RPT-MERCH.
078100*
078200 Z370-RELEASE-RECORD.
078300*
078400     MOVE MTRF-RECORD            TO MS1S-RECORD.
078500     RELEASE MS1S-RECORD.
078600*
078700 Z399-RTS-EXIT.
078800     EXIT.
078900/
079000*****************************************************************
079100*    GENERATE PRODUCT PRINT LINES FOR THE MERCHANT/CHAIN
079200*****************************************************************
079300*
079400 Z400-GEN-PROD-LINES SECTION.
079500 Z410-GPL-BEGIN.
079600*
079700     IF  MTCC-MBU340-MERCHANT
079800         IF  MMPAIO-ALIGN-KEY IS NOT EQUAL TO MMMM-KEY
079900             GO TO Z499-GPL-EXIT
080000         END-IF
080100     ELSE
080200         IF  MMPGIO-ALIGN-KEY IS NOT EQUAL TO MMRC-KEY
080300             GO TO Z499-GPL-EXIT
080400         END-IF
080500     END-IF.
080600*
080700     INITIALIZE MTRF-O86-RT-1-2.
080800     MOVE MMPA-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
080900     MOVE MMPA-PRODUCT           TO WS-NEXT-PROD.
081000     MOVE WS-NEXT-PROD           TO WS-HOLD-PROD.
081100     MOVE MMPA-ORG               TO WS-HOLD-ORG.
081200     MOVE 'N'                    TO WS-HAVE-DETAIL.
081300*
081400     PERFORM UNTIL WS-NEXT-PROD IS NOT EQUAL TO WS-HOLD-PROD
081500     OR  MMPA-ORG               IS NOT EQUAL TO WS-HOLD-ORG
081600     OR  MMPA-ACCT              IS NOT EQUAL TO WS-HOLD-MERCH
081700     OR  MMPA-TRAILER
081800         IF  MMPA-DETAIL
081900             MOVE 'Y'            TO WS-HAVE-DETAIL
082000             MOVE MMPA-LOGIC-MODULE
082100                                 TO MMTCWS-LOGIC-MODULE
082200             EVALUATE TRUE ALSO TRUE
082300                 WHEN MTCC-MBU340-MTD ALSO MMTCWS-LM-SALE
082400                      ADD MMPA-NBR (14)
082500                                 TO MTRF-O86-SALES-NBR
082600                      ADD MMPA-AMT (14)
082700                                 TO MTRF-O86-SALES-AMT
082800                 WHEN MTCC-MBU340-YTD ALSO MMTCWS-LM-SALE
082900                      ADD MMPA-NBR (15)
083000                                 TO MTRF-O86-SALES-NBR
083100                      ADD MMPA-AMT (15)
083200                                 TO MTRF-O86-SALES-AMT
083300                 WHEN MTCC-MBU340-MTD ALSO MMTCWS-LM-SALE-REV
083400                      ADD MMPA-NBR (14)
083500                                 TO MTRF-O86-SALES-REV-NBR
083600                      ADD MMPA-AMT (14)
083700                                 TO MTRF-O86-SALES-REV-AMT
083800                 WHEN MTCC-MBU340-YTD ALSO MMTCWS-LM-SALE-REV
083900                      ADD MMPA-NBR (15)
084000                                 TO MTRF-O86-SALES-REV-NBR
084100                      ADD MMPA-AMT (15)
084200                                 TO MTRF-O86-SALES-REV-AMT
084300                 WHEN MTCC-MBU340-MTD ALSO MMTCWS-LM-RETURN
084400                      ADD MMPA-NBR (14)
084500                                 TO MTRF-O86-RETURNS-NBR
084600                      ADD MMPA-AMT (14)
084700                                 TO MTRF-O86-RETURNS-AMT
084800                 WHEN MTCC-MBU340-YTD ALSO MMTCWS-LM-RETURN
084900                      ADD MMPA-NBR (15)
085000                                 TO MTRF-O86-RETURNS-NBR
085100                      ADD MMPA-AMT (15)
085200                                 TO MTRF-O86-RETURNS-AMT
085300                 WHEN MTCC-MBU340-MTD ALSO MMTCWS-LM-RETURN-REV
085400                      ADD MMPA-NBR (14)
085500                                 TO MTRF-O86-RETURNS-REV-NBR
085600                      ADD MMPA-AMT (14)
085700                                 TO MTRF-O86-RETURNS-REV-AMT
085800                 WHEN MTCC-MBU340-YTD ALSO MMTCWS-LM-RETURN-REV
085900                      ADD MMPA-NBR (15)
086000                                 TO MTRF-O86-RETURNS-REV-NBR
086100                      ADD MMPA-AMT (15)
086200                                 TO MTRF-O86-RETURNS-REV-AMT
086300                 WHEN MTCC-MBU340-MTD ALSO MMTCWS-LM-SYSTEM-FEES
086400                      ADD MMPA-AMT (14)
086500                                 TO MTRF-O86-SYSTEM-FEES-AMT
086600                 WHEN MTCC-MBU340-YTD ALSO MMTCWS-LM-SYSTEM-FEES
086700                      ADD MMPA-AMT (15)
086800                                 TO MTRF-O86-SYSTEM-FEES-AMT
086900                 WHEN MTCC-MBU340-MTD ALSO MMTCWS-LM-INTCHG-FEES
087000                      ADD MMPA-AMT (14)
087100                                 TO MTRF-O86-SYSTEM-FEES-AMT
087200                 WHEN MTCC-MBU340-YTD ALSO MMTCWS-LM-INTCHG-FEES
087300                      ADD MMPA-AMT (15)
087400                                 TO MTRF-O86-SYSTEM-FEES-AMT
087500                 WHEN MTCC-MBU340-MTD ALSO MMTCWS-LM-USER-FEES
087600                      ADD MMPA-AMT (14)
087700                                 TO MTRF-O86-USER-FEES-AMT
087800                 WHEN MTCC-MBU340-YTD ALSO MMTCWS-LM-USER-FEES
087900                      ADD MMPA-AMT (15)
088000                                 TO MTRF-O86-USER-FEES-AMT
088100                 WHEN MTCC-MBU340-MTD ALSO MMTCWS-LM-DISCOUNT
088200                      ADD MMPA-AMT (14)
088300                                 TO MTRF-O86-DISCOUNT-AMT
088400                 WHEN MTCC-MBU340-YTD ALSO MMTCWS-LM-DISCOUNT
088500                      ADD MMPA-AMT (15)
088600                                 TO MTRF-O86-DISCOUNT-AMT
088700                 WHEN MTCC-MBU340-MTD ALSO MMTCWS-LM-REFUND
088800                      ADD MMPA-AMT (14)
088900                                 TO MTRF-O86-REFUND-AMT
089000                 WHEN MTCC-MBU340-YTD ALSO MMTCWS-LM-REFUND
089100                      ADD MMPA-AMT (15)
089200                                 TO MTRF-O86-REFUND-AMT
089300             END-EVALUATE
089400         END-IF
089500         IF  MTCC-MBU340-MERCHANT
089600             MOVE 'R9PA'         TO SS02WS-ABEND-LOCATION
089700             SET MMPARB-READ-SEQ
089800                                 TO TRUE
089900             PERFORM MB00PD-MMPA-ACCESS
090000                                 THRU MB00PD-MMPA-ACCESS-EXIT
090100             MOVE MMPAIO-RECORD
090200                                 TO MMPA-RECORD
090300             MOVE MMPA-PRODUCT
090400                                 TO WS-NEXT-PROD
090500         ELSE
090600             MOVE 'R9PG'         TO SS02WS-ABEND-LOCATION
090700             SET MMPGRB-READ-SEQ
090800                                 TO TRUE
090900             PERFORM MB00PD-MMPG-ACCESS
091000                                 THRU MB00PD-MMPG-ACCESS-EXIT
091100             MOVE MMPGIO-RECORD
091200                                 TO MMPA-RECORD
091300             MOVE MMPA-PRODUCT
091400                                 TO WS-NEXT-PROD
091500         END-IF
091600     END-PERFORM.
091700*
091800     ADD MTRF-O86-SALES-NBR      TO WS-TOT-SALES-NBR.
091900     ADD MTRF-O86-SALES-AMT      TO WS-TOT-SALES-AMT.
092000     ADD MTRF-O86-SALES-REV-NBR  TO WS-TOT-SALES-REV-NBR.
092100     ADD MTRF-O86-SALES-REV-AMT  TO WS-TOT-SALES-REV-AMT.
092200     ADD MTRF-O86-RETURNS-NBR    TO WS-TOT-RETURN-NBR.
092300     ADD MTRF-O86-RETURNS-AMT    TO WS-TOT-RETURN-AMT.
092400     ADD MTRF-O86-RETURNS-REV-NBR
092500                                 TO WS-TOT-RETURN-REV-NBR.
092600     ADD MTRF-O86-RETURNS-REV-AMT
092700                                 TO WS-TOT-RETURN-REV-AMT.
092800     ADD MTRF-O86-SYSTEM-FEES-AMT
092900                                 TO WS-TOT-SYSTEM-FEES-AMT.
093000     ADD MTRF-O86-USER-FEES-AMT  TO WS-TOT-USER-FEES-AMT.
093100     ADD MTRF-O86-DISCOUNT-AMT   TO WS-TOT-DISCOUNT-AMT.
093200     ADD MTRF-O86-REFUND-AMT     TO WS-TOT-REFUND-AMT.
093300*
093400     IF  WS-HAVE-DETAIL IS EQUAL TO 'Y'
093500         MOVE 1                  TO MTRF-K2-O86-REC-TYPE
093600         MOVE WS-HOLD-PROD       TO MTRF-K2-O86-PRODUCT
093700         PERFORM Z300-RELEASE-TO-SORT
093800                                 THRU Z399-RTS-EXIT.
093900*
094000     GO TO Z410-GPL-BEGIN.
094100*
094200 Z499-GPL-EXIT.
094300     EXIT.
094400/
094500*****************************************************************
094600*    RELEASE MERCHANT/CHAIN TOTAL RECORDS TO SORT
094700*****************************************************************
094800*
094900 Z500-GEN-PROD-TOTAL SECTION.
095000 Z510-GPT-BEGIN.
095100*
095200     INITIALIZE MTRF-O86-RT-1-2.
095300     MOVE WS-TOT-SALES-NBR       TO MTRF-O86-SALES-NBR.
095400     MOVE WS-TOT-SALES-AMT       TO MTRF-O86-SALES-AMT.
095500     MOVE WS-TOT-SALES-REV-NBR   TO MTRF-O86-SALES-REV-NBR.
095600     MOVE WS-TOT-SALES-REV-AMT   TO MTRF-O86-SALES-REV-AMT.
095700     MOVE WS-TOT-RETURN-NBR      TO MTRF-O86-RETURNS-NBR.
095800     MOVE WS-TOT-RETURN-AMT      TO MTRF-O86-RETURNS-AMT.
095900     MOVE WS-TOT-RETURN-REV-NBR  TO MTRF-O86-RETURNS-REV-NBR.
096000     MOVE WS-TOT-RETURN-REV-AMT  TO MTRF-O86-RETURNS-REV-AMT.
096100     MOVE WS-TOT-SYSTEM-FEES-AMT TO MTRF-O86-SYSTEM-FEES-AMT.
096200     MOVE WS-TOT-USER-FEES-AMT   TO MTRF-O86-USER-FEES-AMT.
096300     MOVE WS-TOT-DISCOUNT-AMT    TO MTRF-O86-DISCOUNT-AMT.
096400     MOVE WS-TOT-REFUND-AMT      TO MTRF-O86-REFUND-AMT.
096500*
096600     MOVE 2                      TO MTRF-K2-O86-REC-TYPE.
096700     MOVE ZERO                   TO MTRF-K2-O86-PRODUCT.
096800     PERFORM Z300-RELEASE-TO-SORT
096900                                 THRU Z399-RTS-EXIT.
097000*
097100 Z599-GPT-EXIT.
097200     EXIT.
097300/
097400*****************************************************************
097500*    RELEASE MERCHANT/CHAIN TRAILER RECORD TO SORT
097600*****************************************************************
097700*
097800 Z600-GEN-TRAILER SECTION.
097900 Z610-GT-BEGIN.
098000*
098100     MOVE SPACES                 TO MTRF-O86-RT-9.
098200*
098300     IF  MTCC-MBU340-MERCHANT
098400         MOVE MMMM-AGENT-BANK    TO MTRF-O86-AGENT-BANK
098500         MOVE MMMM-BRANCH        TO MTRF-O86-BRANCH
098600         MOVE MMMM-DATE-OPENED   TO MTRF-O86-DATE-OPENED
098700         MOVE MMMM-DISC-LEVEL    TO MTRF-O86-DISC-LEVEL
098800     ELSE
098900         MOVE ZERO               TO MTRF-O86-AGENT-BANK
099000         MOVE ZERO               TO MTRF-O86-BRANCH
099100         MOVE ZERO               TO MTRF-O86-DATE-OPENED
099200         MOVE ZERO               TO MTRF-O86-DISC-LEVEL
099300     END-IF.
099400*
099500     MOVE 9                      TO MTRF-K2-O86-REC-TYPE.
099600     MOVE ZERO                   TO MTRF-K2-O86-PRODUCT.
099700     PERFORM Z300-RELEASE-TO-SORT
099800                                 THRU Z399-RTS-EXIT.
099900*
100000 Z649-GT-EXIT.
100100     EXIT.
100200/
100300*****************************************************************
100400*    RELEASE MERCHANT HEADER RECORD TO SORT
100500*****************************************************************
100600*
100700 Z650-GEN-HEADER SECTION.
100800 Z610-GH-BEGIN.
100900*
101000     MOVE SPACES                 TO MTRF-O86-RT-0.
101100*
101200     IF  MTCC-MBU340-SALES
101300         COMPUTE MTRF-O86-TOP-AMT
101400                                = (WS-TOT-SALES-AMT
101500                                -  WS-TOT-SALES-REV-AMT
101600                                -  WS-TOT-RETURN-AMT
101700                                +  WS-TOT-RETURN-REV-AMT)
101800     ELSE
101900         COMPUTE MTRF-O86-TOP-AMT
102000                                = (WS-TOT-SYSTEM-FEES-AMT
102100                                +  WS-TOT-USER-FEES-AMT
102200                                +  WS-TOT-DISCOUNT-AMT)
102300     END-IF.
102400*
102500     MOVE 0                      TO MTRF-K2-O86-REC-TYPE.
102600     MOVE ZERO                   TO MTRF-K2-O86-PRODUCT.
102700     MOVE MTCC-MBU340-NBR-TOP-XX TO MTRF-O86-TOP-XXX
102800*
102900     IF  MTCC-MBU340-NBR-TOP-XX IS EQUAL TO SPACES
103000         MOVE MMOC-TOP-MERCHANTS-NBR
103100                                 TO MTRF-O86-TOP-NBR
103200     END-IF.
103300*
103400     PERFORM Z300-RELEASE-TO-SORT
103500                                 THRU Z399-RTS-EXIT.
103600     INITIALIZE WS-TOTAL-FIELDS.
103700*
103800 Z699-GH-EXIT.
103900     EXIT.
104000/
104100*****************************************************************
104200*    OPEN REMAINING FILES
104300*****************************************************************
104400*
104500 Z900-OPEN-FILES SECTION.
104600 Z910-OF-BEGIN.
104700*
104800*****************************************************************
104900*    OPEN SYSTEM CONTROL FILE AND READ SYSTEM RECORD
105000*****************************************************************
105100*
105200     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
105300     SET MMSCRB-OPEN-INPUT-DYN   TO TRUE.
105400     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
105500*
105600     MOVE ZERO                   TO MMSCIO-ORG.
105700*
105800     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
105900     SET MMSCRB-READ-RANDOM      TO TRUE.
106000     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
106100     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
106200*
106300*****************************************************************
106400*    CHECK CONTROL CARD FOR REPORT FREQUENCY. VALID ENTRIES:
106500*        ... 99 RUN REPORT (DEFAULT WHEN NONE OF THE FOLLOWING)
106600*        ... 1-31 DAY OF THE MONTH
106700*                DAY SELECTED IS GREATER THAN OR EQUAL TO THE
106800*                SYSTEM CONTROL TODAYS JULIAN AND LESS THAN
106900*                THE SYSTEM CONTROL NEXT PROCESSING DATE
107000*        ... 41-47 DAY OF THE WEEK
107100*                DAY SELECTED IS INDICATED BY THE LAST DIGIT
107200*                (1-7) WITH 1 BEING SUNDAY. IT IS COMPARED TO
107300*                THE SYSTEM CONTROL TODAYS JULIAN DAY.
107400*****************************************************************
107500*
107600     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
107700*
107800     EVALUATE TRUE
107900         WHEN MTCC-MBU340-FREQ IS EQUAL TO 99
108000              CONTINUE
108100         WHEN MTCC-MBU340-FREQ IS GREATER THAN 31
108200              PERFORM SS06PD-DAY-OF-WEEK
108300                                 THRU SS06PD-DOW-EXIT
108400              COMPUTE SS01WS-DOW
108500                                 = SS01WS-DOW + 1
108600              EVALUATE TRUE
108700                  WHEN SS01WS-DOW IS NOT EQUAL TO MTCC-MBU340-DOW
108800                       SET WS-NO-RPT-PROCESS
108900                                 TO TRUE
109000              END-EVALUATE
109100         WHEN OTHER
109200              MOVE ZERO          TO SS01WS-FREQ
109300              MOVE 'M'           TO SS01WS-PERIOD
109400              MOVE MTCC-MBU340-FREQ
109500                                 TO SS01WS-DAY-OF-MON
109600              PERFORM SS03PD-FUTURE-DATE
109700                                 THRU SS03PD-FD-EXIT
109800              EVALUATE TRUE
109900                  WHEN SS01WS-JULIAN IS LESS THAN
110000                                 MMSC-TODAYS-JULIAN
110100                  WHEN SS01WS-JULIAN IS NOT LESS THAN
110200                                 MMSC-DATE-NEXT-PROC
110300                       SET WS-NO-RPT-PROCESS
110400                                 TO TRUE
110500              END-EVALUATE
110600     END-EVALUATE.
110700*
110800     EVALUATE TRUE
110900         WHEN WS-NO-RPT-PROCESS
111000              MOVE 'C0SC'        TO SS02WS-ABEND-LOCATION
111100              SET MMSCRB-CLOSE   TO TRUE
111200              PERFORM MB00PD-MMSC-ACCESS
111300                                 THRU MB00PD-MMSC-ACCESS-EXIT
111400              GO TO Z949-OF-EXIT
111500     END-EVALUATE.
111600*
111700*****************************************************************
111800*    OPEN ORGANIZATION CONTROL FILE
111900*****************************************************************
112000*
112100 Z940-OPEN-ORG-FILE.
112200*
112300     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
112400     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
112500     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
112600*
112700*****************************************************************
112800*    OPEN THE MERCHANT MASTER AND PRODUCT STATUS FILES OR
112900*    THE CHAIN MASTER AND PRODUCT STATUS FILES DEPENDING ON
113000*    THE CONTROL CARD.
113100*****************************************************************
113200*
113300     IF  MTCC-MBU340-MERCHANT
113400         MOVE SS02WS-END-OF-FILE
113500                                 TO MMMMRB-PERM-STATUS-1
113600         MOVE 'O1MM'             TO SS02WS-ABEND-LOCATION
113700         SET MMMMRB-OPEN-INPUT   TO TRUE
113800         PERFORM MB00PD-MMMM-ACCESS THRU MB00PD-MMMM-ACCESS-EXIT
113900         MOVE 'O1PA'             TO SS02WS-ABEND-LOCATION
114000         SET MMPARB-OPEN-INPUT   TO TRUE
114100         PERFORM MB00PD-MMPA-ACCESS THRU MB00PD-MMPA-ACCESS-EXIT
114200     ELSE
114300         MOVE SS02WS-END-OF-FILE
114400                                 TO MMRCRB-PERM-STATUS-1
114500         MOVE 'O1RC'             TO SS02WS-ABEND-LOCATION
114600         SET MMRCRB-OPEN-INPUT   TO TRUE
114700         PERFORM MB00PD-MMRC-ACCESS THRU MB00PD-MMRC-ACCESS-EXIT
114800         MOVE 'O1PG'             TO SS02WS-ABEND-LOCATION
114900         SET MMPGRB-OPEN-INPUT   TO TRUE
115000         PERFORM MB00PD-MMPG-ACCESS THRU MB00PD-MMPG-ACCESS-EXIT
115100     END-IF.
115200*
115300*****************************************************************
115400*    OPEN PRINT FILE
115500*****************************************************************
115600*
115700     MOVE 'O1RF'                 TO SS02WS-ABEND-LOCATION.
115800     SET MTRFRB-OPEN-OUTPUT      TO TRUE.
115900     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
116000*
116100*****************************************************************
116200*    READ THE ORG MASTER TO OBTAIN CURRENT PROCESSING DATA
116300*****************************************************************
116400*
116500     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
116600     SET MMOCRB-READ-SEQ         TO TRUE.
116700     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
116800*
116900     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
117000*
117100     IF  MMOCIO-HEADER
117200         NEXT SENTENCE
117300     ELSE
117400         PERFORM MB99PD-MISSING-HEADER-ABEND
117500                                 THRU MB99PD-MHA-EXIT.
117600*
117700     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
117800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
117900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
118000     MOVE ZERO                   TO MMOC-ORG.
118100*
118200*****************************************************************
118300*    WRITE HEADER RECORD ON THE PRINT FILE
118400*****************************************************************
118500*
118600     MOVE SPACES                 TO MTRFIO-RECORD.
118700     SET MTRFIO-HEADER           TO TRUE.
118800     MOVE MMSC-TODAYS-JULIAN     TO MTRFIO-DATE-STAMP.
118900     MOVE MMSC-TIME-STAMP        TO MTRFIO-TIME-STAMP.
119000*
119100     MOVE 'W0RF'                 TO SS02WS-ABEND-LOCATION.
119200     SET MTRFRB-WRITE            TO TRUE.
119300     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
119400*
119500     MOVE SPACES                 TO MMPAIO-RECORD.
119600     MOVE SPACES                 TO MMPA-RECORD.
119700     MOVE SPACES                 TO MMPGIO-RECORD.
119800*
119900 Z949-OF-EXIT.
120000     EXIT.
120100/
120200*
120300*****************************************************************
120400*    CLOSE ALL FILES
120500*****************************************************************
120600*
120700 Z950-CLOSE-FILES SECTION.
120800 Z951-CF-BEGIN.
120900*
121000*****************************************************************
121100*    WRITE FILE TRAILER RECORD ON PRINT FILE
121200*****************************************************************
121300*
121400     MOVE SPACES                 TO MTRFIO-RECORD.
121500     SET MTRFIO-TRAILER          TO TRUE.
121600     MOVE MMSC-TODAYS-JULIAN     TO MTRFIO-DATE-STAMP.
121700     MOVE MMSC-TIME-STAMP        TO MTRFIO-TIME-STAMP.
121800*
121900     MOVE 'W9RF'                 TO SS02WS-ABEND-LOCATION.
122000     SET MTRFRB-WRITE            TO TRUE.
122100     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
122200*
122300*****************************************************************
122400*    CLOSE SYSTEM CONTROL FILE
122500*****************************************************************
122600*
122700     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
122800     SET MMSCRB-CLOSE            TO TRUE.
122900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
123000*
123100*****************************************************************
123200*    CLOSE THE MERCHANT MASTER AND PRODUCT STATUS FILES OR
123300*    THE CHAIN MASTER AND PRODUCT STATUS FILES DEPENDING ON
123400*    THE CONTROL CARD.
123500*****************************************************************
123600*
123700     IF  MTCC-MBU340-MERCHANT
123800         MOVE 'C1MM'             TO SS02WS-ABEND-LOCATION
123900         SET MMMMRB-CLOSE        TO TRUE
124000         PERFORM MB00PD-MMMM-ACCESS THRU MB00PD-MMMM-ACCESS-EXIT
124100         MOVE 'C1PA'             TO SS02WS-ABEND-LOCATION
124200         SET MMPARB-CLOSE        TO TRUE
124300         PERFORM MB00PD-MMPA-ACCESS THRU MB00PD-MMPA-ACCESS-EXIT
124400     ELSE
124500         MOVE 'C1RC'             TO SS02WS-ABEND-LOCATION
124600         SET MMRCRB-CLOSE        TO TRUE
124700         PERFORM MB00PD-MMRC-ACCESS THRU MB00PD-MMRC-ACCESS-EXIT
124800         MOVE 'C1PG'             TO SS02WS-ABEND-LOCATION
124900         SET MMPGRB-CLOSE        TO TRUE
125000         PERFORM MB00PD-MMPG-ACCESS THRU MB00PD-MMPG-ACCESS-EXIT
125100     END-IF.
125200*
125300*****************************************************************
125400*    CLOSE ORGANIZATION CONTROL FILE
125500*****************************************************************
125600*
125700     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
125800     SET MMOCRB-CLOSE            TO TRUE.
125900     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
126000*
126100*****************************************************************
126200*    CLOSE PRINT FILE
126300*****************************************************************
126400*
126500     MOVE 'C1RF'                 TO SS02WS-ABEND-LOCATION.
126600     SET MTRFRB-CLOSE            TO TRUE.
126700     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
126800*
126900 Z999-CF-EXIT.
127000     EXIT.
127100/
127200*
127300*****************************************************************
127400*    COPYBOOK PERFORMED ROUTINES
127500*****************************************************************
127600*
127700 9900-PERFORMED-ROUTINES-SECT SECTION.
127800*
127900     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
128000/
128100     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
128200/
128300     COPY MB00PD REPLACING ==:MB00:== BY ==MMPG==.
128400/
128500     COPY MB00PD REPLACING ==:MB00:== BY ==MMPA==.
128600/
128700     COPY MB00PD REPLACING ==:MB00:== BY ==MMRC==.
128800/
128900     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
129000/
129100     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
129200/
129300     COPY MB00PD REPLACING ==:MB00:== BY ==MTRF==.
129400/
129500     COPY MTRFPX.
129600/
129700     COPY MB99PD.
129800/
129900     COPY SS02PD.
130000/
130100     COPY SS03PD.
130200/
130300     COPY SS06PD.
130400/
130500     COPY SS07PD.
130600/
130700     COPY SS08PD.
130800/
130900     COPY SS16PD.
131000/
131100     COPY SS26PD.
131200/
131300     COPY SS27PD.
131400/
131500     COPY SS98PD.
131600*
131700 9995-END-SOURCE-STATEMENTS SECTION.
131800 9999-END-OF-PROGRAM.
131900     STOP RUN.
