000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU374.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBU374 - VISA ASIA/PACIFIC QUARTERLY REPORT PRINT       *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400*
001500 FILE-CONTROL.
001600*
001700/
001800 DATA DIVISION.
001900 FILE SECTION.
002000*
002100/
002200 WORKING-STORAGE SECTION.
002300*
002400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002500*
002600 01  WS-WORK-AREA.
002700     03  WS-LINES            PIC  9(05)      VALUE ZERO.
002800*
002900 01  WS-TOTALS.
003000     03  WS-TOTAL-NBR        PIC S9(09)      VALUE ZERO.
003100     03  WS-TOTAL-AMT        PIC S9(17)      VALUE ZERO.          FX800038
003200     03  WS-TOTAL-CAT-LOC    PIC S9(09)      VALUE ZERO.
003300     03  WS-TOTAL-CAT-POS    PIC S9(09)      VALUE ZERO.
003400     03  WS-TOTAL-CAT-MER    PIC S9(09)      VALUE ZERO.
003500     03  WS-TOTAL-CAT-NBR    PIC S9(09)      VALUE ZERO.
003600     03  WS-TOTAL-CAT-AMT    PIC S9(17)      VALUE ZERO.          FX800038
003700*
003800*
003900 01  WS-SWITCHS.
004000     03  WS-HEADING-SW       PIC  X(01)      VALUE SPACES.
004100*
004200 01  WS-TABLE-ENTRIES.
004300     03  WS-DSC-1        PIC  X(40)      VALUE
004400                      '                                        '.
004500     03  WS-DSC-2        PIC  X(40)      VALUE
004600                      '                                        '.
004700     03  WS-DSC-3        PIC  X(40)      VALUE
004800                      '                                        '.
004900     03  WS-DSC-4        PIC  X(40)      VALUE
005000                      '                                        '.
005100     03  WS-DSC-5        PIC  X(40)      VALUE
005200                      '                                        '.
005300     03  WS-DSC-6        PIC  X(40)      VALUE
005400                      '                                        '.
005500     03  WS-DSC-7        PIC  X(40)      VALUE
005600                      '                                        '.
005700     03  WS-DSC-8        PIC  X(40)      VALUE
005800                      '                                        '.
005900     03  WS-DSC-9        PIC  X(40)      VALUE
006000                      '                                        '.
006100     03  WS-DSC-10       PIC  X(40)      VALUE
006200                      '                                        '.
006300     03  WS-DSC-11       PIC  X(40)      VALUE
006400                      'TOTAL                                   '.
006500     03  WS-DSC-12       PIC  X(40)      VALUE
006600                      'ON-US                                   '.
006700     03  WS-DSC-13       PIC  X(40)      VALUE
006800                      'DOMESTIC                                '.
006900     03  WS-DSC-14       PIC  X(40)      VALUE
007000                      'INTERNATIONAL                           '.
007100     03  WS-DSC-15       PIC  X(40)      VALUE
007200                      'MONTH 1 -                               '.
007300     03  WS-DSC-16       PIC  X(40)      VALUE
007400                      'MONTH 2 -                               '.
007500     03  WS-DSC-17       PIC  X(40)      VALUE
007600                      'MONTH 3 -                              '.
007700     03  WS-DSC-18       PIC  X(40)      VALUE
007800                      '                                        '.
007900     03  WS-DSC-19       PIC  X(40)      VALUE
008000                      '                                        '.
008100     03  WS-DSC-20       PIC  X(40)      VALUE
008200                      '                                        '.
008300     03  WS-DSC-21       PIC  X(40)      VALUE
008400                      '                                        '.
008500     03  WS-DSC-22       PIC  X(40)      VALUE
008600                      '                                        '.
008700     03  WS-DSC-23       PIC  X(40)      VALUE
008800                      '                                        '.
008900     03  WS-DSC-24       PIC  X(40)      VALUE
009000                      '                                        '.
009100     03  WS-DSC-25       PIC  X(40)      VALUE
009200                      '                                        '.
009300     03  WS-DSC-26       PIC  X(40)      VALUE
009400                      '                                        '.
009500     03  WS-DSC-27       PIC  X(40)      VALUE
009600                      '                                        '.
009700     03  WS-DSC-28       PIC  X(40)      VALUE
009800                      '                                        '.
009900     03  WS-DSC-29       PIC  X(40)      VALUE
010000                      '                                        '.
010100     03  WS-DSC-30       PIC  X(40)      VALUE
010200                      '                                        '.
010300     03  WS-DSC-31       PIC  X(40)      VALUE
010400                      '                                        '.
010500 01  WS-TABLE-ENTRIES-X      REDEFINES WS-TABLE-ENTRIES.
010600     03  WS-TBL-ENT                          OCCURS 31 TIMES
010700                                             INDEXED BY
010800                                             X-WS-TBL.
010900         05  WS-TABLE-DESC.
011000             07  WS-TBL-DESC-LIT
011100                             PIC  X(40).
011200/
011300     COPY MMSCRL.
011400/
011500     COPY MMOCRL.
011600/
011700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
011800/
011900     COPY MMQ4RL.
012000/
012100******************************************************************
012200     COPY MMSCIO.
012300/
012400     COPY MMOCIO.
012500/
012600     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
012700/
012800     COPY MMQ4IO.
012900/
013000******************************************************************
013100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
013200/
013300     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
013400/
013500     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
013600/
013700     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ4==.
013800/
013900******************************************************************
014000     COPY MB00WS.
014100/
014200     COPY SS95WS.
014300/
014400     COPY MB99WS.
014500/
014600     COPY MB20WS.
014700*
014800 01  WS-PRINT-LINE-01        REDEFINES MB20WS-PRINT-LINE.
014900     03  WS-PL01-LIT         PIC  X(60).
015000     03  FILLER              PIC  X(02).
015100     03  WS-PL01-NBR         PIC  X(12).
015200     03  FILLER              PIC  X(02).
015300     03  WS-PL01-AMT         PIC  X(23).
015400*
015500 01  WS-PRINT-LINE-02        REDEFINES MB20WS-PRINT-LINE.
015600     03  WS-PL02-LIT         PIC  X(90).
015700     03  FILLER              PIC  X(10).
015800     03  WS-PL02-NBR         PIC  X(12).
015900*
016000 01  WS-PRINT-LINE-03        REDEFINES MB20WS-PRINT-LINE.
016100     03  WS-PL03-LIT         PIC  X(50).
016200     03  FILLER              PIC  X(12).
016300     03  WS-PL03-NBR         PIC  X(12).
016400*
016500 01  WS-PRINT-LINE-04        REDEFINES MB20WS-PRINT-LINE.
016600     03  FILLER              PIC  X(10).
016700     03  WS-PL04-LIT         PIC  X(40).
016800     03  FILLER              PIC  X(08).
016900     03  WS-PL04-NBR1        PIC  X(12).
017000     03  FILLER              PIC  X(12).
017100     03  WS-PL04-NBR2        PIC  X(12).
017200     03  FILLER              PIC  X(05).
017300     03  WS-PL04-NBR3        PIC  X(06).
017400     03  FILLER              PIC  X(02).
017500     03  WS-PL04-AMT         PIC  X(19).
017600/
017700     COPY SS00WS.
017800/
017900     COPY SS01WS.
018000/
018100     COPY SS02WS.
018200/
018300     COPY SS05WS.
018400*
018500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
018600/
018700 PROCEDURE DIVISION.
018800 A000-MAIN-LINE-SECT SECTION.
018900 A010-ML-BEGIN.
019000*
019010     SET SS95WS-FUNCTION-INITIALIZE                               FX800031
019020                                 TO TRUE.                         FX800031
019030     PERFORM SS95PD-NAP-ROUTINE                                   FX800031
019040        THRU SS95PD-NAP-EXIT.                                     FX800031
019050*                                                                 FX800031
019100     PERFORM A100-OPEN-FILES
019200        THRU A199-OF-EXIT.
019300*
019400     PERFORM A200-PROCESS-REPORT
019500        THRU A299-PR-EXIT
019600        UNTIL MMOCIO-TRAILER.
019700*
019800     PERFORM A300-CLOSE-FILES
019900        THRU A399-CF-EXIT.
020000*
020100     STOP RUN.
020200/
020300 A100-OPEN-FILES SECTION.
020400 A101-OF-BEGIN.
020500*
020600     MOVE 'MBU374'               TO SS02WS-ABEND-PROG-ID.
020700*
020800     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
020900     SET MTCCRB-OPEN-INPUT       TO TRUE.
021000     PERFORM MB00PD-MTCC-ACCESS
021100        THRU MB00PD-MTCC-ACCESS-EXIT.
021200*
021300     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
021400     SET MMSCRB-OPEN-INPUT       TO TRUE.
021500     PERFORM MB00PD-MMSC-ACCESS
021600        THRU MB00PD-MMSC-ACCESS-EXIT.
021700*
021800     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
021900     SET MMOCRB-OPEN-INPUT       TO TRUE.
022000     PERFORM MB00PD-MMOC-ACCESS
022100        THRU MB00PD-MMOC-ACCESS-EXIT.
022200*
022300     MOVE 'O1Q2'                 TO SS02WS-ABEND-LOCATION.
022400     SET MMQ4RB-OPEN-INPUT-RDM   TO TRUE.
022500     PERFORM MB00PD-MMQ4-ACCESS
022600        THRU MB00PD-MMQ4-ACCESS-EXIT.
022700*
022800*
022900     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
023000     SET MMSCRB-READ-SEQ         TO TRUE.
023100     PERFORM MB00PD-MMSC-ACCESS
023200        THRU MB00PD-MMSC-ACCESS-EXIT.
023300     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
023400*
023500     IF  MMSCIO-HEADER
023600         NEXT SENTENCE
023700     ELSE
023800         PERFORM MB99PD-MISSING-HEADER-ABEND
023900            THRU MB99PD-MHA-EXIT.
024000*
024100     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
024200     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
024300     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
024400*
024500     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
024600     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
024700     MOVE 'MBU374'               TO MB20WS-SH-RPT-ID.
024800     MOVE 'S74'                  TO MB20WS-SH-INTERNAL-RPT-ID.
024900     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
025000     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
025100     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
025200     PERFORM SS08PD-JUL-TO-GREG
025300        THRU SS08PD-JTG-EXIT.
025400     MOVE SS01WS-DATE-L6         TO MB20WS-SH-FILE-DATE.
025500     MOVE SPACES                 TO MB20WS-SH-LIT-5.
025600*
025700     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-5.
025800*
025900     PERFORM Z000-PROCESS-CONTROL-CARD
026000        THRU Z099-PCC-EXIT.
026100*
026200     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
026300     SET MMOCRB-READ-SEQ         TO TRUE.
026400     PERFORM MB00PD-MMOC-ACCESS
026500        THRU MB00PD-MMOC-ACCESS-EXIT.
026600*
026700 A199-OF-EXIT.
026800     EXIT.
026900/
027000 A200-PROCESS-REPORT SECTION.
027100 A201-PR-BEGIN.
027200*
027300     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
027400     SET MMOCRB-READ-SEQ         TO TRUE.
027500     PERFORM MB00PD-MMOC-ACCESS
027600        THRU MB00PD-MMOC-ACCESS-EXIT.
027700*
027800     IF  MMOCIO-TRAILER
027900         GO TO A299-PR-EXIT.
028000*
028100     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
028200*
028300     IF  MMOC-REC-ACTIVE
028400     AND MMOC-ADD-COMPLETED
028500         CONTINUE
028600     ELSE
028700         GO TO A201-PR-BEGIN.
028800*
028900     IF  MTCC-MBU374-ORG-X IS EQUAL TO 'ALL'
029000     OR  MTCC-MBU374-ORG-X IS EQUAL TO MMOC-ORG-X
029100         CONTINUE
029200     ELSE
029300         GO TO A201-PR-BEGIN.
029400*
029500     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
029600     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
029700     MOVE MMOC-ORG               TO MB20WS-SH-ORG.
029800     MOVE MMOC-NA-LINE (1 1)     TO MB20WS-SH-ORG-NAME.
029900     MOVE ' VISA ASIA/PAC QUARTERLY RPT'
030000                                 TO MB20WS-SH-RPT-NAME.
030100*
030200*
030300*
030400     MOVE SS02WS-NO-RECORD-FOUND
030500                                 TO MMQ4RB-TEMP-STATUS-1.
030600     MOVE MMOC-ORG               TO MMQ4IO-ORG.
030700*
030800     MOVE 'R1Q2'                 TO SS02WS-ABEND-LOCATION.
030900     SET MMQ4RB-READ-RANDOM      TO TRUE.
031000     PERFORM MB00PD-MMQ4-ACCESS
031100        THRU MB00PD-MMQ4-ACCESS-EXIT.
031200*
031300     IF  SS02WS-FS-NO-RECORD-FOUND
031400         MOVE '***** NO ASIA/PAC TOTALS AVAILABLE FOR THIS '
031500                                 TO MB20WS-PRINT-LINE (1:44)
031600         MOVE 'ORGANIZATION *****                          '
031700                                 TO MB20WS-PRINT-LINE (45:44)
031800         PERFORM MB20PD-PRINT-2-LINES
031900                                 THRU MB20PD-P2L-EXIT
032000         GO TO A299-PR-EXIT.
032100*
032200     MOVE MMQ4IO-RECORD          TO MMQ4-RECORD.
032300*
032400     IF  MMQ4-REC-PURGED
032500         MOVE '***** NO ASIA/PAC TOTALS AVAILABLE FOR THIS '
032600                                 TO MB20WS-PRINT-LINE (1:44)
032700         MOVE 'ORGANIZATION *****                          '
032800                                 TO MB20WS-PRINT-LINE (45:44)
032900         PERFORM MB20PD-PRINT-2-LINES
033000                                 THRU MB20PD-P2L-EXIT
033100         GO TO A299-PR-EXIT.
033200*
033300     SET X-MMQ4-VI               TO MTCC-MBU374-INDEX.
033400     PERFORM B000-REPORT-PRINT   THRU B099-RP-EXIT.
033500*
033600*
033700 A299-PR-EXIT.
033800     EXIT.
033900/
034000 A300-CLOSE-FILES SECTION.
034100 A301-CF-BEGIN.
034200*
034300     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
034400     SET MTCCRB-CLOSE            TO TRUE.
034500     PERFORM MB00PD-MTCC-ACCESS
034600        THRU MB00PD-MTCC-ACCESS-EXIT.
034700*
034800     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
034900     SET MMSCRB-CLOSE            TO TRUE.
035000     PERFORM MB00PD-MMSC-ACCESS
035100        THRU MB00PD-MMSC-ACCESS-EXIT.
035200*
035300     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
035400     SET MMOCRB-CLOSE            TO TRUE.
035500     PERFORM MB00PD-MMOC-ACCESS
035600        THRU MB00PD-MMOC-ACCESS-EXIT.
035700*
035800     MOVE 'C1Q2'                 TO SS02WS-ABEND-LOCATION.
035900     SET MMQ4RB-CLOSE            TO TRUE.
036000     PERFORM MB00PD-MMQ4-ACCESS
036100        THRU MB00PD-MMQ4-ACCESS-EXIT.
036200*
036300     PERFORM MB20PD-CLOSE-PRINT-FILES
036400        THRU MB20PD-CPF-EXIT.
036500*
036600 A399-CF-EXIT.
036700     EXIT.
036800/
036900 B000-REPORT-PRINT SECTION.
037000 B010-RP-BEGIN.
037100*
037200*
037300****************************************************************
037400*                                                              *
037500*            VISA ASIA/PACIFIC PAGE #1                         *
037600*                                                              *
037700****************************************************************
037800*
037900     MOVE 'VISA ASIA/PACIFIC MERCHANT INFORMATION SUPPLEMENT'
038000                                 TO MB20WS-PRINT-LINE.
038100     MOVE 'QUARTER STARTED  '    TO MB20WS-PRINT-LINE (75:17).
038200     MOVE MMQ4-QTR-BEG-DATE (X-MMQ4-VI)
038300                                 TO SS01WS-JULIAN.
038400     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
038500     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
038600     MOVE SS01WS-EDIT-X          TO MB20WS-PRINT-LINE(92:10).
038700     PERFORM MB20PD-PRINT-1-LINE
038800                                 THRU MB20PD-P1L-EXIT.
038900     MOVE '        ENDED    '    TO MB20WS-PRINT-LINE (75:17).
039000     MOVE MMQ4-QTR-END-DATE (X-MMQ4-VI)
039100                                 TO SS01WS-JULIAN.
039200     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
039300     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
039400     MOVE SS01WS-EDIT-X          TO MB20WS-PRINT-LINE(92:10).
039500     PERFORM MB20PD-PRINT-2-LINES
039600                                 THRU MB20PD-P2L-EXIT.
039700     MOVE '1.   A.   NUMBER OF MERCHANTS'
039800                                 TO MB20WS-PRINT-LINE.
039900     MOVE MMQ4-VI-NBR-MERCHANTS (X-MMQ4-VI)
040000                                 TO SS95WS-IN-NBR.
040100     PERFORM SS95PD-NAP-ROUTINE
040200                                 THRU SS95PD-NAP-EXIT.
040300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL03-NBR.
040400     PERFORM MB20PD-PRINT-1-LINE
040500                                 THRU MB20PD-P1L-EXIT.
040600     MOVE '     B.   VISA ELECTRON MERCHANTS'
040700                                 TO MB20WS-PRINT-LINE.
040800     MOVE MMQ4-VI-NBR-ELECTRON-MERCH (X-MMQ4-VI)
040900                                 TO SS95WS-IN-NBR.
041000     PERFORM SS95PD-NAP-ROUTINE
041100                                 THRU SS95PD-NAP-EXIT.
041200     MOVE SS95WS-OUT-NBR-L12     TO WS-PL03-NBR.
041300*****PERFORM MB20PD-PRINT-1-LINE                                  FX800033
041400*****                            THRU MB20PD-P1L-EXIT.            FX800033
041500*****MOVE '     C.   VISA INTERLINK MERCHANTS'                    FX800033
041600*****                            TO MB20WS-PRINT-LINE.            FX800033
041700*****MOVE MMQ4-VI-NBR-INTERLINK-MERCH (X-MMQ4-VI)                 FX800033
041800*****                            TO SS95WS-IN-NBR.                FX800033
041900*****PERFORM SS95PD-NAP-ROUTINE                                   FX800033
042000*****                            THRU SS95PD-NAP-EXIT.            FX800033
042100*****MOVE SS95WS-OUT-NBR-L12     TO WS-PL03-NBR.                  FX800033
042200     PERFORM MB20PD-PRINT-2-LINES
042300                                 THRU MB20PD-P2L-EXIT.
042400*
042500     MOVE '2.   A.   NUMBER OF MERCHANT OUTLETS'
042600                                 TO MB20WS-PRINT-LINE.
042700     MOVE MMQ4-VI-NBR-STORES    (X-MMQ4-VI)
042800                                 TO SS95WS-IN-NBR.
042900     PERFORM SS95PD-NAP-ROUTINE
043000                                 THRU SS95PD-NAP-EXIT.
043100     MOVE SS95WS-OUT-NBR-L12     TO WS-PL03-NBR.
043200     PERFORM MB20PD-PRINT-1-LINE
043300                                 THRU MB20PD-P1L-EXIT.
043400     MOVE '     B.   VISA ELECTRON LOCATIONS'
043500                                 TO MB20WS-PRINT-LINE.
043600     MOVE MMQ4-VI-NBR-ELECTRON-STORES (X-MMQ4-VI)
043700                                 TO SS95WS-IN-NBR.
043800     PERFORM SS95PD-NAP-ROUTINE
043900                                 THRU SS95PD-NAP-EXIT.
044000     MOVE SS95WS-OUT-NBR-L12     TO WS-PL03-NBR.
044100*****PERFORM MB20PD-PRINT-1-LINE                                  FX800033
044200*****                            THRU MB20PD-P1L-EXIT.            FX800033
044300*****MOVE '     C.   VISA INTERLINK LOCATIONS'                    FX800033
044400*****                            TO MB20WS-PRINT-LINE.            FX800033
044500*****MOVE MMQ4-VI-NBR-INTERLINK-STORES (X-MMQ4-VI)                FX800033
044600*****                            TO SS95WS-IN-NBR.                FX800033
044700*****PERFORM SS95PD-NAP-ROUTINE                                   FX800033
044800*****                            THRU SS95PD-NAP-EXIT.            FX800033
044900*****MOVE SS95WS-OUT-NBR-L12     TO WS-PL03-NBR.                  FX800033
045000     PERFORM MB20PD-PRINT-2-LINES
045100                                 THRU MB20PD-P2L-EXIT.
045200*
045300     MOVE '3.   A.   NUMBER OF BRANCHES OFFERING CASH'
045400                                 TO MB20WS-PRINT-LINE.
045500     MOVE MMQ4-VI-NBR-BRANCHS   (X-MMQ4-VI)
045600                                 TO SS95WS-IN-NBR.
045700     PERFORM SS95PD-NAP-ROUTINE
045800                                 THRU SS95PD-NAP-EXIT.
045900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL03-NBR.
046000     PERFORM MB20PD-PRINT-2-LINES
046100                                 THRU MB20PD-P2L-EXIT.
046200*
046300     MOVE '4.   A.   TOTAL NUMBER OF EDC TERMINALS'
046400                                 TO MB20WS-PRINT-LINE.
046500     MOVE MMQ4-VI-NBR-EDC-TERMINALS (X-MMQ4-VI)
046600                                 TO SS95WS-IN-NBR.
046700     PERFORM SS95PD-NAP-ROUTINE
046800                                 THRU SS95PD-NAP-EXIT.
046900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL03-NBR.
046910     MOVE ALL '_'                TO WS-PL03-NBR.                  FX800034
047000     PERFORM MB20PD-PRINT-2-LINES
047100                                 THRU MB20PD-P2L-EXIT.
047200*
047300     MOVE '5.   A.   TOTAL NUMBER OF AUTH-ONLY TERMINALS'
047400                                 TO MB20WS-PRINT-LINE.
047500     MOVE MMQ4-VI-NBR-AUTH-TERMINALS (X-MMQ4-VI)
047600                                 TO SS95WS-IN-NBR.
047700     PERFORM SS95PD-NAP-ROUTINE
047800                                 THRU SS95PD-NAP-EXIT.
047900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL03-NBR.
047910     MOVE ALL '_'                TO WS-PL03-NBR.                  FX800034
048000     PERFORM MB20PD-PRINT-2-LINES
048100                                 THRU MB20PD-P2L-EXIT.
048200*
048300     MOVE '6.   GROSS MERCHANT SALES'
048400                                 TO MB20WS-PRINT-LINE.
048500     PERFORM MB20PD-PRINT-1-LINE
048600                                 THRU MB20PD-P1L-EXIT.
048700     MOVE '     A.  VISA'
048800                                 TO MB20WS-PRINT-LINE.
048900     PERFORM MB20PD-PRINT-1-LINE
049000                                 THRU MB20PD-P1L-EXIT.
049100     SET X-WS-TBL                TO 15.
049200     PERFORM
049300         VARYING X-MMQ4-VI-MON
049400         FROM 1 BY 1
049500         UNTIL X-MMQ4-VI-MON  IS GREATER THAN 3
049600         MOVE WS-TBL-DESC-LIT (X-WS-TBL)
049700                                 TO MB20WS-PRINT-LINE (28:40)
049800         SET X-WS-TBL            UP BY 1
049900         MOVE MMQ4-VI-MONTH (X-MMQ4-VI, X-MMQ4-VI-MON)
050000                                 TO MB20WS-PRINT-LINE (38:02)
050100         MOVE '/'                TO MB20WS-PRINT-LINE (40:01)
050200         MOVE MMQ4-VI-YEAR (X-MMQ4-VI, X-MMQ4-VI-MON)
050300                                 TO MB20WS-PRINT-LINE (41:04)
050400         MOVE MMQ4-VI-SALES-NBR     (X-MMQ4-VI, X-MMQ4-VI-MON)
050500                                 TO SS95WS-IN-NBR
050600         MOVE MMQ4-VI-SALES-AMT     (X-MMQ4-VI, X-MMQ4-VI-MON)
050700                                 TO SS95WS-IN-AMT
050800         PERFORM SS95PD-NAP-ROUTINE
050900                                 THRU SS95PD-NAP-EXIT
051000         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
051100         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
051200         PERFORM MB20PD-PRINT-1-LINE
051300                                 THRU MB20PD-P1L-EXIT
051400*
051500     END-PERFORM.
051600*
051700     MOVE WS-DSC-11              TO MB20WS-PRINT-LINE (28:40).
051800     MOVE ZEROS                  TO WS-TOTAL-NBR.
051900     MOVE ZEROS                  TO WS-TOTAL-AMT.
052000     COMPUTE WS-TOTAL-NBR =
052100                            MMQ4-VI-SALES-NBR  (X-MMQ4-VI, 1) +
052200                            MMQ4-VI-SALES-NBR  (X-MMQ4-VI, 2) +
052300                            MMQ4-VI-SALES-NBR  (X-MMQ4-VI, 3) .
052400     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
052500     COMPUTE WS-TOTAL-AMT =
052600                            MMQ4-VI-SALES-AMT  (X-MMQ4-VI, 1) +
052700                            MMQ4-VI-SALES-AMT  (X-MMQ4-VI, 2) +
052800                            MMQ4-VI-SALES-AMT  (X-MMQ4-VI, 3) .
052900     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
053000     PERFORM SS95PD-NAP-ROUTINE
053100                                 THRU SS95PD-NAP-EXIT.
053200     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
053300     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
053400     PERFORM MB20PD-PRINT-2-LINES
053500                                 THRU MB20PD-P2L-EXIT.
053600*
053700*****MOVE '     B.  VISA INTERLINK'                               FX800033
053800*****                            TO MB20WS-PRINT-LINE.            FX800033
053900*****PERFORM MB20PD-PRINT-1-LINE                                  FX800033
054000*****                            THRU MB20PD-P1L-EXIT.            FX800033
054100*****SET X-WS-TBL                TO 15.                           FX800033
054200*****PERFORM                                                      FX800033
054300*****    VARYING X-MMQ4-VI-MON                                    FX800033
054400*****    FROM 1 BY 1                                              FX800033
054500*****    UNTIL X-MMQ4-VI-MON  IS GREATER THAN 3                   FX800033
054600*****    MOVE WS-TBL-DESC-LIT (X-WS-TBL)                          FX800033
054700*****                            TO MB20WS-PRINT-LINE (28:40)     FX800033
054800*****    SET X-WS-TBL            UP BY 1                          FX800033
054900*****    MOVE MMQ4-VI-MONTH (X-MMQ4-VI, X-MMQ4-VI-MON)            FX800033
055000*****                            TO MB20WS-PRINT-LINE (38:02)     FX800033
055100*****    MOVE '/'                TO MB20WS-PRINT-LINE (40:01)     FX800033
055200*****    MOVE MMQ4-VI-YEAR (X-MMQ4-VI, X-MMQ4-VI-MON)             FX800033
055300*****                            TO MB20WS-PRINT-LINE (41:04)     FX800033
055400*****    MOVE MMQ4-VI-INTERLINK-SALES-NBR                         FX800033
055500*****                               (X-MMQ4-VI, X-MMQ4-VI-MON)    FX800033
055600*****                            TO SS95WS-IN-NBR                 FX800033
055700*****    MOVE MMQ4-VI-INTERLINK-SALES-AMT                         FX800033
055800*****                               (X-MMQ4-VI, X-MMQ4-VI-MON)    FX800033
055900*****                            TO SS95WS-IN-AMT                 FX800033
056000*****    PERFORM SS95PD-NAP-ROUTINE                               FX800033
056100*****                            THRU SS95PD-NAP-EXIT             FX800033
056200*****    MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR                   FX800033
056300*****    MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT                   FX800033
056400*****    PERFORM MB20PD-PRINT-1-LINE                              FX800033
056500*****                            THRU MB20PD-P1L-EXIT             FX800033
056600*                                                                 FX800033
056700*****END-PERFORM.                                                 FX800033
056800*                                                                 FX800033
056900*****MOVE WS-DSC-11              TO MB20WS-PRINT-LINE (28:40).    FX800033
057000*****MOVE ZEROS                  TO WS-TOTAL-NBR.                 FX800033
057100*****MOVE ZEROS                  TO WS-TOTAL-AMT.                 FX800033
057200*****COMPUTE WS-TOTAL-NBR =                                       FX800033
057300*****                 MMQ4-VI-INTERLINK-SALES-NBR (X-MMQ4-VI, 1) +FX800033
057400*****                 MMQ4-VI-INTERLINK-SALES-NBR (X-MMQ4-VI, 2) +FX800033
057500*****                 MMQ4-VI-INTERLINK-SALES-NBR (X-MMQ4-VI, 3) .FX800033
057600*****MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.                FX800033
057700*****COMPUTE WS-TOTAL-AMT =                                       FX800033
057800*****                 MMQ4-VI-INTERLINK-SALES-AMT (X-MMQ4-VI, 1) +FX800033
057900*****                 MMQ4-VI-INTERLINK-SALES-AMT (X-MMQ4-VI, 2) +FX800033
058000*****                 MMQ4-VI-INTERLINK-SALES-AMT (X-MMQ4-VI, 3) .FX800033
058100*****MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.                FX800033
058200*****PERFORM SS95PD-NAP-ROUTINE                                   FX800033
058300*****                            THRU SS95PD-NAP-EXIT.            FX800033
058400*****MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.                  FX800033
058500*****MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.                  FX800033
058600*****PERFORM MB20PD-PRINT-2-LINES                                 FX800033
058700*****                            THRU MB20PD-P2L-EXIT.            FX800033
058800*                                                                 FX800033
058900*****MOVE '     C.  TOTAL MERCHANT SALES VOLUME'                  FX800033
059000*****                            TO MB20WS-PRINT-LINE.            FX800033
059100*****MOVE ZEROS                  TO WS-TOTAL-NBR.                 FX800033
059200*****MOVE ZEROS                  TO WS-TOTAL-AMT.                 FX800033
059300*****COMPUTE WS-TOTAL-NBR =                                       FX800033
059400*****                 MMQ4-VI-SALES-NBR           (X-MMQ4-VI, 1) +FX800033
059500*****                 MMQ4-VI-SALES-NBR           (X-MMQ4-VI, 2) +FX800033
059600*****                 MMQ4-VI-SALES-NBR           (X-MMQ4-VI, 3) +FX800033
059700*****                 MMQ4-VI-INTERLINK-SALES-NBR (X-MMQ4-VI, 1) +FX800033
059800*****                 MMQ4-VI-INTERLINK-SALES-NBR (X-MMQ4-VI, 2) +FX800033
059900*****                 MMQ4-VI-INTERLINK-SALES-NBR (X-MMQ4-VI, 3) .FX800033
060000*****MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.                FX800033
060100*****COMPUTE WS-TOTAL-AMT =                                       FX800033
060200*****                 MMQ4-VI-SALES-AMT           (X-MMQ4-VI, 1) +FX800033
060300*****                 MMQ4-VI-SALES-AMT           (X-MMQ4-VI, 2) +FX800033
060400*****                 MMQ4-VI-SALES-AMT           (X-MMQ4-VI, 3) +FX800033
060500*****                 MMQ4-VI-INTERLINK-SALES-AMT (X-MMQ4-VI, 1) +FX800033
060600*****                 MMQ4-VI-INTERLINK-SALES-AMT (X-MMQ4-VI, 2) +FX800033
060700*****                 MMQ4-VI-INTERLINK-SALES-AMT (X-MMQ4-VI, 3) .FX800033
060800*****MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.                FX800033
060900*****PERFORM SS95PD-NAP-ROUTINE                                   FX800033
061000*****                            THRU SS95PD-NAP-EXIT.            FX800033
061100*****MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.                  FX800033
061200*****MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.                  FX800033
061300*****PERFORM MB20PD-PRINT-2-LINES                                 FX800033
061400*****                            THRU MB20PD-P2L-EXIT.            FX800033
061500*                                                                 FX800033
061600     MOVE '7.   NET MERCHANT SALES VOLUME'
061700                                 TO MB20WS-PRINT-LINE.
061800     PERFORM MB20PD-PRINT-1-LINE
061900                                 THRU MB20PD-P1L-EXIT.
062000     MOVE 'LESS CREDIT VOUCHERS OF'
062100                                 TO MB20WS-PRINT-LINE (28:23).
062200     MOVE MMQ4-VI-CREDITS-NBR         (X-MMQ4-VI)
062300                                 TO SS95WS-IN-NBR.
062400     MOVE MMQ4-VI-CREDITS-AMT         (X-MMQ4-VI)
062500                                 TO SS95WS-IN-AMT.
062600     PERFORM SS95PD-NAP-ROUTINE
062700                                 THRU SS95PD-NAP-EXIT.
062800     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
062900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
063000     PERFORM MB20PD-PRINT-1-LINE
063100                                 THRU MB20PD-P1L-EXIT.
063200     MOVE 'NET NUMBER AND AMOUNT  '
063300                                 TO MB20WS-PRINT-LINE (28:23).
063400     MOVE ZEROS                  TO WS-TOTAL-NBR.
063500     MOVE ZEROS                  TO WS-TOTAL-AMT.
063600     COMPUTE WS-TOTAL-NBR =
063700                      MMQ4-VI-SALES-NBR           (X-MMQ4-VI, 1) +
063800                      MMQ4-VI-SALES-NBR           (X-MMQ4-VI, 2) +
063900                      MMQ4-VI-SALES-NBR           (X-MMQ4-VI, 3) +
064000                      MMQ4-VI-INTERLINK-SALES-NBR (X-MMQ4-VI, 1) +
064100                      MMQ4-VI-INTERLINK-SALES-NBR (X-MMQ4-VI, 2) +
064200                      MMQ4-VI-INTERLINK-SALES-NBR (X-MMQ4-VI, 3) -
064300                      MMQ4-VI-CREDITS-NBR         (X-MMQ4-VI) .
064400     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
064500     COMPUTE WS-TOTAL-AMT =
064600                      MMQ4-VI-SALES-AMT           (X-MMQ4-VI, 1) +
064700                      MMQ4-VI-SALES-AMT           (X-MMQ4-VI, 2) +
064800                      MMQ4-VI-SALES-AMT           (X-MMQ4-VI, 3) +
064900                      MMQ4-VI-INTERLINK-SALES-AMT (X-MMQ4-VI, 1) +
065000                      MMQ4-VI-INTERLINK-SALES-AMT (X-MMQ4-VI, 2) +
065100                      MMQ4-VI-INTERLINK-SALES-AMT (X-MMQ4-VI, 3) -
065200                      MMQ4-VI-CREDITS-AMT         (X-MMQ4-VI) .
065300     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
065400     PERFORM SS95PD-NAP-ROUTINE
065500                                 THRU SS95PD-NAP-EXIT.
065600     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
065700     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
065800     PERFORM MB20PD-PRINT-2-LINES
065900                                 THRU MB20PD-P2L-EXIT.
066000*
066100     MOVE '8.   A.   OUTGOING INTERCHANGE'
066200                                 TO MB20WS-PRINT-LINE.
066300     PERFORM MB20PD-PRINT-1-LINE
066400                                 THRU MB20PD-P1L-EXIT.
066500     MOVE 'GROSS OUTGOING SALES   '
066600                                 TO MB20WS-PRINT-LINE (28:23).
066700     MOVE MMQ4-VI-INTER-SALES-NBR     (X-MMQ4-VI)
066800                                 TO SS95WS-IN-NBR.
066900     MOVE MMQ4-VI-INTER-SALES-AMT     (X-MMQ4-VI)
067000                                 TO SS95WS-IN-AMT.
067100     PERFORM SS95PD-NAP-ROUTINE
067200                                 THRU SS95PD-NAP-EXIT.
067300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
067400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
067500     PERFORM MB20PD-PRINT-1-LINE
067600                                 THRU MB20PD-P1L-EXIT.
067700     MOVE 'GROSS OUTGOING RETURNS '
067800                                 TO MB20WS-PRINT-LINE (28:23).
067900     MOVE MMQ4-VI-INTER-RETURNS-NBR   (X-MMQ4-VI)
068000                                 TO SS95WS-IN-NBR.
068100     MOVE MMQ4-VI-INTER-RETURNS-AMT   (X-MMQ4-VI)
068200                                 TO SS95WS-IN-AMT.
068300     PERFORM SS95PD-NAP-ROUTINE
068400                                 THRU SS95PD-NAP-EXIT.
068500     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
068600     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
068700     PERFORM MB20PD-PRINT-1-LINE
068800                                 THRU MB20PD-P1L-EXIT.
068900     MOVE 'NET NUMBER AND AMOUNT  '
069000                                 TO MB20WS-PRINT-LINE (28:23).
069100     MOVE ZEROS                  TO WS-TOTAL-NBR.
069200     MOVE ZEROS                  TO WS-TOTAL-AMT.
069300     COMPUTE WS-TOTAL-NBR =
069400                      MMQ4-VI-INTER-SALES-NBR     (X-MMQ4-VI) -
069500                      MMQ4-VI-INTER-RETURNS-NBR   (X-MMQ4-VI) .
069600     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
069700     COMPUTE WS-TOTAL-AMT =
069800                      MMQ4-VI-INTER-SALES-AMT     (X-MMQ4-VI) -
069900                      MMQ4-VI-INTER-RETURNS-AMT   (X-MMQ4-VI) .
070000     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
070100     PERFORM SS95PD-NAP-ROUTINE
070200                                 THRU SS95PD-NAP-EXIT.
070300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
070400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
070500     PERFORM MB20PD-PRINT-2-LINES
070600                                 THRU MB20PD-P2L-EXIT.
070700*
070800     MOVE '     B.   CASH DISBURSEMENTS  '
070900                                 TO MB20WS-PRINT-LINE.
071000     PERFORM MB20PD-PRINT-1-LINE
071100                                 THRU MB20PD-P1L-EXIT.
071200     MOVE 'NUMBER AND AMOUNT      '
071300                                 TO MB20WS-PRINT-LINE (28:23).
071400     MOVE MMQ4-VI-CASH-DISB-NBR       (X-MMQ4-VI)
071500                                 TO SS95WS-IN-NBR.
071600     MOVE MMQ4-VI-CASH-DISB-AMT       (X-MMQ4-VI)
071700                                 TO SS95WS-IN-AMT.
071800     PERFORM SS95PD-NAP-ROUTINE
071900                                 THRU SS95PD-NAP-EXIT.
072000     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
072100     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
072200     PERFORM MB20PD-PRINT-2-LINES
072300                                 THRU MB20PD-P2L-EXIT.
072400*
072500     MOVE '     C.   TOTAL SALES AND CASH DISBURSEMENTS'
072600                                 TO MB20WS-PRINT-LINE.
072700     MOVE ZEROS                  TO WS-TOTAL-NBR.
072800     MOVE ZEROS                  TO WS-TOTAL-AMT.
072900     COMPUTE WS-TOTAL-NBR =
073000                      MMQ4-VI-INTER-SALES-NBR     (X-MMQ4-VI) -
073100                      MMQ4-VI-INTER-RETURNS-NBR   (X-MMQ4-VI) +
073200                      MMQ4-VI-CASH-DISB-NBR       (X-MMQ4-VI) .
073300     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
073400     COMPUTE WS-TOTAL-AMT =
073500                      MMQ4-VI-INTER-SALES-AMT     (X-MMQ4-VI) -
073600                      MMQ4-VI-INTER-RETURNS-AMT   (X-MMQ4-VI) +
073700                      MMQ4-VI-CASH-DISB-AMT       (X-MMQ4-VI) .
073800     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
073900     PERFORM SS95PD-NAP-ROUTINE
074000                                 THRU SS95PD-NAP-EXIT.
074100     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
074200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
074300     PERFORM MB20PD-PRINT-2-LINES
074400                                 THRU MB20PD-P2L-EXIT.
074500*
074600*
074700 B099-RP-EXIT.
074800     EXIT.
074900*
075000*
075100/
075200 Z000-PROCESS-CONTROL-CARD SECTION.
075300 Z001-PCC-BEGIN.
075400*
075500     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
075600     SET MTCCRB-READ-SEQ         TO TRUE.
075700     PERFORM MB00PD-MTCC-ACCESS
075800        THRU MB00PD-MTCC-ACCESS-EXIT.
075900*
076000     IF  SS02WS-FS-END-OF-FILE
076100         MOVE 'ALL1'             TO MTCCIO-RECORD
076200         MOVE MTCCIO-RECORD      TO MTCC-RECORD
076300         GO TO Z099-PCC-EXIT.
076400*
076500     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO SS02WS-ABEND-PROG-ID
076600         GO TO Z001-PCC-BEGIN.
076700*
076800     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
076900*
077000     IF  MTCC-MBU374-ORG-X IS EQUAL TO 'ALL'
077100     OR
077200        (MTCC-MBU374-ORG IS NUMERIC
077300     AND MTCC-MBU374-ORG-X IS GREATER THAN ZERO
077400     AND MTCC-MBU374-ORG-X IS LESS THAN '999')
077500         CONTINUE
077600     ELSE
077700         MOVE 37401              TO SS02WS-ABEND-CODE
077800         MOVE 'INVALID ORG NUMBER'
077900                                 TO SS02WS-ABENDMSG8
078000         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT
078100     END-IF.
078200*
078300     IF  NOT MTCC-MBU374-VALID-INDEX
078400         MOVE 1                  TO MTCC-MBU374-INDEX.
078500*
078600 Z099-PCC-EXIT.
078700     EXIT.
078800*
078900/
079000 9000-PERFORMED-ROUTINES-SECT SECTION.
079100*
079200/
079300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
079400/
079500     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
079600/
079700     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ4==.
079800/
079900     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
080000/
080100     COPY MB20PD.
080200/
080300     COPY SS95PD.
080400/
080500     COPY MB99PD.
080600/
080700     COPY SS02PD.
080800/
080900     COPY SS03PD.
081000/
081100     COPY SS04PD.
081200/
081300     COPY SS05PD.
081400/
081500     COPY SS06PD.
081600/
081700     COPY SS07PD.
081800/
081900     COPY SS08PD.
082000/
082100     COPY SS09PD.
082200/
082300     COPY SS10PD.
082400/
082500     COPY SS16PD.
082600/
082700     COPY SS18PD.
082800/
082900     COPY SS23PD.
083000/
083100     COPY SS26PD.
083200/
083300     COPY SS27PD.
083400*
083500 9995-END-SOURCE-STATEMENTS SECTION.
083600 9999-END-OF-PROGRAM.
083700     EXIT.
