000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU375.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBU375 - LATIN AMERICA/CARIBBEAN QUARTERLY REPORT PRINT *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400*
001500 FILE-CONTROL.
001600*
001700/
001800 DATA DIVISION.
001900 FILE SECTION.
002000*
002100/
002200 WORKING-STORAGE SECTION.
002300*
002400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002500*
002600 01  WS-WORK-AREA.
002700     03  WS-LINES            PIC  9(05)      VALUE ZERO.
002800     03  WS-TEMP-INDEX       PIC  9(01)      VALUE ZERO.
002900*
003000 01  WS-TOTALS.
003100     03  WS-TOTAL-NBR        PIC S9(09)      VALUE ZERO.
003200     03  WS-TOTAL-AMT        PIC S9(17)      VALUE ZERO.          FX800038
003300     03  WS-TOTAL-SALES-NBR  PIC S9(09)      VALUE ZERO.
003400     03  WS-TOTAL-SALES-AMT  PIC S9(17)      VALUE ZERO.          FX800038
003500*
003600*
003700 01  WS-SWITCHS.
003800     03  WS-HEADING-SW       PIC  X(01)      VALUE SPACES.
003900/
004000     COPY MMSCRL.
004100/
004200     COPY MMOCRL.
004300/
004400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
004500/
004600     COPY MMQ5RL.
004700/
004800******************************************************************
004900     COPY MMSCIO.
005000/
005100     COPY MMOCIO.
005200/
005300     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
005400/
005500     COPY MMQ5IO.
005600/
005700******************************************************************
005800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
005900/
006000     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
006100/
006200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
006300/
006400     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ5==.
006500/
006600******************************************************************
006700     COPY MB00WS.
006800/
006900     COPY SS95WS.
007000/
007100     COPY MB99WS.
007200/
007300     COPY MB20WS.
007400*
007500 01  WS-PRINT-LINE-01        REDEFINES MB20WS-PRINT-LINE.
007600     03  WS-PL01-LIT         PIC  X(30).
007700     03  WS-PL01-OCC         PIC  9(01).
007800     03  FILLER              PIC  X(02).
007900     03  WS-PL01-MONTH       PIC  9(02).
008000     03  WS-PL01-SLASH       PIC  X(01).
008100     03  WS-PL01-YEAR        PIC  9(04).
008200     03  FILLER              PIC  X(22).
008300     03  WS-PL01-NBR         PIC  X(12).
008400     03  FILLER              PIC  X(02).
008500     03  WS-PL01-AMT         PIC  X(23).
008600     03  FILLER              PIC  X(35).
008700*
008800 01  WS-PRINT-LINE-02        REDEFINES MB20WS-PRINT-LINE.
008900     03  WS-PL02-LIT         PIC  X(62).
009000     03  WS-PL02-NBR         PIC  X(12).
009100     03  FILLER              PIC  X(58).
009200*
009300 01  WS-PRINT-LINE-03        REDEFINES MB20WS-PRINT-LINE.
009400     03  WS-PL03-LIT         PIC  X(62).
009500     03  WS-PL03-NBR         PIC  X(12).
009600     03  FILLER              PIC  X(02).
009700     03  WS-PL03-AMT         PIC  X(23).
009800     03  FILLER              PIC  X(33).
009900/
010000     COPY SS00WS.
010100/
010200     COPY SS01WS.
010300/
010400     COPY SS02WS.
010500/
010600     COPY SS05WS.
010700*
010800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010900/
011000 PROCEDURE DIVISION.
011100 A000-MAIN-LINE-SECT SECTION.
011200 A010-ML-BEGIN.
011300*
011400     PERFORM A100-OPEN-FILES
011500        THRU A199-OF-EXIT.
011600*
011700     PERFORM A200-PROCESS-REPORT
011800        THRU A299-PR-EXIT
011900        UNTIL MMOCIO-TRAILER.
012000*
012100     PERFORM A300-CLOSE-FILES
012200        THRU A399-CF-EXIT.
012300*
012400     STOP RUN.
012500/
012600 A100-OPEN-FILES SECTION.
012700 A101-OF-BEGIN.
012800*
012900     MOVE 'MBU375'               TO SS02WS-ABEND-PROG-ID.
013000*
013100     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
013200     SET MTCCRB-OPEN-INPUT       TO TRUE.
013300     PERFORM MB00PD-MTCC-ACCESS
013400        THRU MB00PD-MTCC-ACCESS-EXIT.
013500*
013600     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
013700     SET MMSCRB-OPEN-INPUT       TO TRUE.
013800     PERFORM MB00PD-MMSC-ACCESS
013900        THRU MB00PD-MMSC-ACCESS-EXIT.
014000*
014100     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
014200     SET MMOCRB-OPEN-INPUT       TO TRUE.
014300     PERFORM MB00PD-MMOC-ACCESS
014400        THRU MB00PD-MMOC-ACCESS-EXIT.
014500*
014600     MOVE 'O1Q5'                 TO SS02WS-ABEND-LOCATION.
014700     SET MMQ5RB-OPEN-INPUT-RDM   TO TRUE.
014800     PERFORM MB00PD-MMQ5-ACCESS
014900        THRU MB00PD-MMQ5-ACCESS-EXIT.
015000*
015100*
015200     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
015300     SET MMSCRB-READ-SEQ         TO TRUE.
015400     PERFORM MB00PD-MMSC-ACCESS
015500        THRU MB00PD-MMSC-ACCESS-EXIT.
015600     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
015700*
015800     IF  MMSCIO-HEADER
015900         NEXT SENTENCE
016000     ELSE
016100         PERFORM MB99PD-MISSING-HEADER-ABEND
016200            THRU MB99PD-MHA-EXIT.
016300*
016400     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
016500     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
016600     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
016700*
016800     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
016900     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
017000     MOVE 'MBU375'               TO MB20WS-SH-RPT-ID.
017100     MOVE 'S75'                  TO MB20WS-SH-INTERNAL-RPT-ID.
017200     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
017300     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
017400     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
017500     PERFORM SS08PD-JUL-TO-GREG
017600        THRU SS08PD-JTG-EXIT.
017700     MOVE SS01WS-DATE-L6         TO MB20WS-SH-FILE-DATE.
017800     MOVE SPACES                 TO MB20WS-SH-LIT-5.
017900*
018000     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-5.
018100*
018200     PERFORM Z000-PROCESS-CONTROL-CARD
018300        THRU Z099-PCC-EXIT.
018400*
018500     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
018600     SET MMOCRB-READ-SEQ         TO TRUE.
018700     PERFORM MB00PD-MMOC-ACCESS
018800        THRU MB00PD-MMOC-ACCESS-EXIT.
018900*
019000 A199-OF-EXIT.
019100     EXIT.
019200/
019300 A200-PROCESS-REPORT SECTION.
019400 A201-PR-BEGIN.
019500*
019600     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
019700     SET MMOCRB-READ-SEQ         TO TRUE.
019800     PERFORM MB00PD-MMOC-ACCESS
019900        THRU MB00PD-MMOC-ACCESS-EXIT.
020000*
020100     IF  MMOCIO-TRAILER
020200         GO TO A299-PR-EXIT.
020300*
020400     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
020500*
020600     IF  MMOC-REC-ACTIVE
020700     AND MMOC-ADD-COMPLETED
020800         CONTINUE
020900     ELSE
021000         GO TO A201-PR-BEGIN.
021100*
021200     IF  MTCC-MBU375-ORG-X IS EQUAL TO 'ALL'
021300     OR  MTCC-MBU375-ORG-X IS EQUAL TO MMOC-ORG-X
021400         CONTINUE
021500     ELSE
021600         GO TO A201-PR-BEGIN.
021700*
021800     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
021900     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
022000     MOVE MMOC-ORG               TO MB20WS-SH-ORG.
022100     MOVE MMOC-NA-LINE (1 1)     TO MB20WS-SH-ORG-NAME.
022200     MOVE '   LATIN AMERICA/CARIBBEAN QUARTERLY REPORT  '
022300                                 TO MB20WS-SH-RPT-NAME.
022400*
022500*
022600*
022700     MOVE SS02WS-NO-RECORD-FOUND
022800                                 TO MMQ5RB-TEMP-STATUS-1.
022900     MOVE MMOC-ORG               TO MMQ5IO-ORG.
023000*
023100     MOVE 'R1Q5'                 TO SS02WS-ABEND-LOCATION.
023200     SET MMQ5RB-READ-RANDOM      TO TRUE.
023300     PERFORM MB00PD-MMQ5-ACCESS
023400        THRU MB00PD-MMQ5-ACCESS-EXIT.
023500*
023600     IF  SS02WS-FS-NO-RECORD-FOUND
023700         MOVE '***** NO LA/C TOTALS AVAILABLE FOR THIS ORGA'
023800                                 TO MB20WS-PRINT-LINE (1:44)
023900         MOVE 'NIZATION *****                              '
024000                                 TO MB20WS-PRINT-LINE (45:44)
024100         PERFORM MB20PD-PRINT-2-LINES
024200                                 THRU MB20PD-P2L-EXIT
024300         GO TO A299-PR-EXIT.
024400*
024500     MOVE MMQ5IO-RECORD          TO MMQ5-RECORD.
024600*
024700     IF  MMQ5-REC-PURGED
024800         MOVE '***** NO LA/C TOTALS AVAILABLE FOR THIS ORGA'
024900                                 TO MB20WS-PRINT-LINE (1:44)
025000         MOVE 'NIZATION *****                              '
025100                                 TO MB20WS-PRINT-LINE (45:44)
025200         PERFORM MB20PD-PRINT-2-LINES
025300                                 THRU MB20PD-P2L-EXIT
025400         GO TO A299-PR-EXIT.
025500*
025600     SET X-MMQ5-VI               TO MTCC-MBU375-INDEX.
025700     PERFORM B000-REPORT-PRINT   THRU B099-RP-EXIT.
025800*
025900*
026000 A299-PR-EXIT.
026100     EXIT.
026200/
026300 A300-CLOSE-FILES SECTION.
026400 A301-CF-BEGIN.
026500*
026600     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
026700     SET MTCCRB-CLOSE            TO TRUE.
026800     PERFORM MB00PD-MTCC-ACCESS
026900        THRU MB00PD-MTCC-ACCESS-EXIT.
027000*
027100     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
027200     SET MMSCRB-CLOSE            TO TRUE.
027300     PERFORM MB00PD-MMSC-ACCESS
027400        THRU MB00PD-MMSC-ACCESS-EXIT.
027500*
027600     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
027700     SET MMOCRB-CLOSE            TO TRUE.
027800     PERFORM MB00PD-MMOC-ACCESS
027900        THRU MB00PD-MMOC-ACCESS-EXIT.
028000*
028100     MOVE 'C1Q5'                 TO SS02WS-ABEND-LOCATION.
028200     SET MMQ5RB-CLOSE            TO TRUE.
028300     PERFORM MB00PD-MMQ5-ACCESS
028400        THRU MB00PD-MMQ5-ACCESS-EXIT.
028500*
028600     PERFORM MB20PD-CLOSE-PRINT-FILES
028700        THRU MB20PD-CPF-EXIT.
028800*
028900 A399-CF-EXIT.
029000     EXIT.
029100/
029200 B000-REPORT-PRINT SECTION.
029300 B010-RP-BEGIN.
029400*
029500*
029600*
029700     MOVE 'VISA LA/C MERCHANT INFORMATION SUPPLEMENT'
029800                                 TO MB20WS-PRINT-LINE.
029900     MOVE 'QUARTER STARTED'      TO MB20WS-PRINT-LINE (100:15)
030000     MOVE MMQ5-QTR-BEG-DATE (X-MMQ5-VI)
030100                                 TO SS01WS-JULIAN.
030200     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
030300     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
030400     MOVE SS01WS-EDIT-X          TO MB20WS-PRINT-LINE (117:10).
030500     PERFORM MB20PD-PRINT-1-LINE
030600                                 THRU MB20PD-P1L-EXIT.
030700     MOVE '        ENDED'        TO MB20WS-PRINT-LINE (100:13).
030800     MOVE MMQ5-QTR-END-DATE (X-MMQ5-VI)
030900                                 TO SS01WS-JULIAN.
031000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
031100     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
031200     MOVE SS01WS-EDIT-X          TO MB20WS-PRINT-LINE(117:10).
031300     PERFORM MB20PD-PRINT-2-LINES
031400                                 THRU MB20PD-P2L-EXIT.
031500*
031600     MOVE '1.  A.  NUMBER OF VISA MERCHANTS '
031700                                 TO WS-PL02-LIT.
031800*
031900     MOVE MMQ5-VI-NBR-MERCHANTS (X-MMQ5-VI)
032000                                 TO SS95WS-IN-NBR.
032100     PERFORM SS95PD-NAP-ROUTINE
032200                                 THRU SS95PD-NAP-EXIT.
032300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL02-NBR.
032400*
032500     PERFORM MB20PD-PRINT-2-LINES
032600                                 THRU MB20PD-P2L-EXIT.
032700*
032800     MOVE '2.  A.  NUMBER OF VISA MERCHANTS OUTLETS'
032900                                 TO WS-PL02-LIT.
033000*
033100     MOVE MMQ5-VI-NBR-STORES (X-MMQ5-VI)
033200                                 TO SS95WS-IN-NBR.
033300     PERFORM SS95PD-NAP-ROUTINE
033400                                 THRU SS95PD-NAP-EXIT.
033500     MOVE SS95WS-OUT-NBR-L12     TO WS-PL02-NBR.
033600*
033700     PERFORM MB20PD-PRINT-2-LINES
033800                                 THRU MB20PD-P2L-EXIT.
033900*
034000     MOVE '3.  A.  NUMBER OF ATMS'
034100                                 TO WS-PL02-LIT.
034200*
034300     MOVE MMQ5-VI-NBR-ATM (X-MMQ5-VI)
034400                                 TO SS95WS-IN-NBR.
034500     PERFORM SS95PD-NAP-ROUTINE
034600                                 THRU SS95PD-NAP-EXIT.
034700     MOVE SS95WS-OUT-NBR-L12     TO WS-PL02-NBR.
034800*
034900     PERFORM MB20PD-PRINT-2-LINES
035000                                 THRU MB20PD-P2L-EXIT.
035100*
035200     MOVE '4.  A.  NUMBER OF POS TERMINALS'
035300                                 TO WS-PL02-LIT.
035400*
035500     MOVE MMQ5-VI-NBR-POS-TERMINALS (X-MMQ5-VI)
035600                                 TO SS95WS-IN-NBR.
035700     PERFORM SS95PD-NAP-ROUTINE
035800                                 THRU SS95PD-NAP-EXIT.
035900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL02-NBR.
036000*
036100     PERFORM MB20PD-PRINT-2-LINES
036200                                 THRU MB20PD-P2L-EXIT.
036300*
036400     MOVE '5.  A.  NUMBER OF ELECTRON MERCHANTS'
036500                                 TO WS-PL02-LIT.
036600*
036700     MOVE MMQ5-VI-NBR-ELECTRON-MERCH (X-MMQ5-VI)
036800                                 TO SS95WS-IN-NBR.
036900     PERFORM SS95PD-NAP-ROUTINE
037000                                 THRU SS95PD-NAP-EXIT.
037100     MOVE SS95WS-OUT-NBR-L12     TO WS-PL02-NBR.
037200*
037300     PERFORM MB20PD-PRINT-2-LINES
037400                                 THRU MB20PD-P2L-EXIT.
037500*
037600     MOVE '6.  A.  NUMBER OF ELECTRON OUTLETS'
037700                                 TO WS-PL02-LIT.
037800*
037900     MOVE MMQ5-VI-NBR-ELECTRON-STORES (X-MMQ5-VI)
038000                                 TO SS95WS-IN-NBR.
038100     PERFORM SS95PD-NAP-ROUTINE
038200                                 THRU SS95PD-NAP-EXIT.
038300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL02-NBR.
038400*
038500     PERFORM MB20PD-PRINT-2-LINES
038600                                 THRU MB20PD-P2L-EXIT.
038700*
038800     MOVE '7.  A.  NUMBER OF INTERLINK MERCHANTS'
038900                                 TO WS-PL02-LIT.
039000*
039100     MOVE MMQ5-VI-NBR-INTERLINK-MERCH (X-MMQ5-VI)
039200                                 TO SS95WS-IN-NBR.
039300     PERFORM SS95PD-NAP-ROUTINE
039400                                 THRU SS95PD-NAP-EXIT.
039500     MOVE SS95WS-OUT-NBR-L12     TO WS-PL02-NBR.
039600*
039700     PERFORM MB20PD-PRINT-2-LINES
039800                                 THRU MB20PD-P2L-EXIT.
039900*
040000     MOVE '8.  A.  NUMBER OF INTERLINK OUTLETS'
040100                                 TO WS-PL02-LIT.
040200*
040300     MOVE MMQ5-VI-NBR-INTERLINK-STORES (X-MMQ5-VI)
040400                                 TO SS95WS-IN-NBR.
040500     PERFORM SS95PD-NAP-ROUTINE
040600                                 THRU SS95PD-NAP-EXIT.
040700     MOVE SS95WS-OUT-NBR-L12     TO WS-PL02-NBR.
040800*
040900     PERFORM MB20PD-PRINT-2-LINES
041000                                 THRU MB20PD-P2L-EXIT.
041100*
041200*
041300     MOVE '9.  MERCHANT CREDITS'
041400                                 TO MB20WS-PRINT-LINE.
041500     MOVE '   NUMBER                    VALUE'
041600                                 TO MB20WS-PRINT-LINE(65:34)
041700*
041800     PERFORM MB20PD-PRINT-1-LINE
041900                                 THRU MB20PD-P1L-EXIT.
042000*
042100*
042200     PERFORM
042300         VARYING X-MMQ5-VI-MON
042400         FROM 1 BY 1
042500         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
042600         MOVE '                        MONTH '
042700                                 TO WS-PL01-LIT
042800         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
042900         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
043000         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
043100                                 TO WS-PL01-MONTH
043200         MOVE '/'                TO WS-PL01-SLASH
043300         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
043400                                 TO WS-PL01-YEAR
043500*
043600         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
043700                              + MMQ5-VI-CREDITS-NBR
043800                               (X-MMQ5-VI X-MMQ5-VI-MON)
043900         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
044000                              + MMQ5-VI-CREDITS-AMT
044100                               (X-MMQ5-VI X-MMQ5-VI-MON)
044200*
044300         MOVE MMQ5-VI-CREDITS-NBR (X-MMQ5-VI X-MMQ5-VI-MON)
044400                                 TO SS95WS-IN-NBR
044500         MOVE MMQ5-VI-CREDITS-AMT (X-MMQ5-VI X-MMQ5-VI-MON)
044600                                 TO SS95WS-IN-AMT
044700         PERFORM SS95PD-NAP-ROUTINE
044800                                 THRU SS95PD-NAP-EXIT
044900         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
045000         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
045100*
045200         PERFORM MB20PD-PRINT-1-LINE
045300                                 THRU MB20PD-P1L-EXIT
045400     END-PERFORM.
045500*
045600*
045700     MOVE '                        TOTAL '
045800                                 TO WS-PL01-LIT
045900     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
046000     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
046100     PERFORM SS95PD-NAP-ROUTINE
046200                                 THRU SS95PD-NAP-EXIT.
046300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
046400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
046500*
046600     PERFORM MB20PD-PRINT-1-LINE
046700                                 THRU MB20PD-P1L-EXIT
046800*
046900*
047000     MOVE ZEROS                  TO WS-TOTAL-NBR
047100                                    WS-TOTAL-AMT.
047200*
047300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
047400*
047500*
047600     MOVE 'VISA LA/C MERCHANT INFORMATION SUPPLEMENT'
047700                                 TO MB20WS-PRINT-LINE.
047800     MOVE 'QUARTER STARTED'      TO MB20WS-PRINT-LINE (100:15)
047900     MOVE MMQ5-QTR-BEG-DATE (X-MMQ5-VI)
048000                                 TO SS01WS-JULIAN.
048100     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
048200     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
048300     MOVE SS01WS-EDIT-X          TO MB20WS-PRINT-LINE (117:10).
048400     PERFORM MB20PD-PRINT-1-LINE
048500                                 THRU MB20PD-P1L-EXIT.
048600     MOVE '        ENDED'        TO MB20WS-PRINT-LINE (100:13).
048700     MOVE MMQ5-QTR-END-DATE (X-MMQ5-VI)
048800                                 TO SS01WS-JULIAN.
048900     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
049000     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
049100     MOVE SS01WS-EDIT-X          TO MB20WS-PRINT-LINE(117:10).
049200     PERFORM MB20PD-PRINT-2-LINES
049300                                 THRU MB20PD-P2L-EXIT.
049400*
049500*
049600     MOVE '10. ON-US SALES VOLUME'
049700                                 TO MB20WS-PRINT-LINE.
049800     MOVE '   NUMBER                    VALUE'
049900                                 TO MB20WS-PRINT-LINE(65:34)
050000*
050100     PERFORM MB20PD-PRINT-1-LINE
050200                                 THRU MB20PD-P1L-EXIT.
050300*
050400     MOVE '    A.  MANUAL SALES'
050500                                 TO MB20WS-PRINT-LINE.
050600*
050700     PERFORM MB20PD-PRINT-1-LINE
050800                                 THRU MB20PD-P1L-EXIT.
050900*
051000*
051100     PERFORM
051200         VARYING X-MMQ5-VI-MON
051300         FROM 1 BY 1
051400         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
051500         MOVE '                        MONTH '
051600                                 TO WS-PL01-LIT
051700         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
051800         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
051900         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
052000                                 TO WS-PL01-MONTH
052100         MOVE '/'                TO WS-PL01-SLASH
052200         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
052300                                 TO WS-PL01-YEAR
052400*
052500         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
052600                              + MMQ5-VI-ONUS-NBR-MAN
052700                               (X-MMQ5-VI X-MMQ5-VI-MON)
052800         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
052900                              + MMQ5-VI-ONUS-AMT-MAN
053000                               (X-MMQ5-VI X-MMQ5-VI-MON)
053100*
053200         MOVE MMQ5-VI-ONUS-NBR-MAN (X-MMQ5-VI X-MMQ5-VI-MON)
053300                                 TO SS95WS-IN-NBR
053400         MOVE MMQ5-VI-ONUS-AMT-MAN (X-MMQ5-VI X-MMQ5-VI-MON)
053500                                 TO SS95WS-IN-AMT
053600         PERFORM SS95PD-NAP-ROUTINE
053700                                 THRU SS95PD-NAP-EXIT
053800         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
053900         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
054000*
054100         PERFORM MB20PD-PRINT-1-LINE
054200                                 THRU MB20PD-P1L-EXIT
054300     END-PERFORM.
054400*
054500*
054600     MOVE '                        TOTAL '
054700                                 TO WS-PL01-LIT
054800     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
054900     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
055000     PERFORM SS95PD-NAP-ROUTINE
055100                                 THRU SS95PD-NAP-EXIT.
055200     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
055300     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
055400*
055500     PERFORM MB20PD-PRINT-1-LINE
055600                                 THRU MB20PD-P1L-EXIT
055700*
055800*
055900     MOVE ZEROS                  TO WS-TOTAL-NBR
056000                                    WS-TOTAL-AMT.
056100*
056200     MOVE ZEROS                  TO WS-TOTAL-NBR
056300                                    WS-TOTAL-AMT.
056400*
056500     MOVE '    B.  ELECTRON SALES'
056600                                 TO MB20WS-PRINT-LINE.
056700*
056800     PERFORM MB20PD-PRINT-1-LINE
056900                                 THRU MB20PD-P1L-EXIT.
057000*
057100*
057200     PERFORM
057300         VARYING X-MMQ5-VI-MON
057400         FROM 1 BY 1
057500         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
057600         MOVE '                        MONTH '
057700                                 TO WS-PL01-LIT
057800         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
057900         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
058000         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
058100                                 TO WS-PL01-MONTH
058200         MOVE '/'                TO WS-PL01-SLASH
058300         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
058400                                 TO WS-PL01-YEAR
058500*
058600         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
058700                              + MMQ5-VI-ONUS-NBR-ELE
058800                               (X-MMQ5-VI X-MMQ5-VI-MON)
058900         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
059000                              + MMQ5-VI-ONUS-AMT-ELE
059100                               (X-MMQ5-VI X-MMQ5-VI-MON)
059200*
059300         MOVE MMQ5-VI-ONUS-NBR-ELE (X-MMQ5-VI X-MMQ5-VI-MON)
059400                                 TO SS95WS-IN-NBR
059500         MOVE MMQ5-VI-ONUS-AMT-ELE (X-MMQ5-VI X-MMQ5-VI-MON)
059600                                 TO SS95WS-IN-AMT
059700         PERFORM SS95PD-NAP-ROUTINE
059800                                 THRU SS95PD-NAP-EXIT
059900         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
060000         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
060100*
060200         PERFORM MB20PD-PRINT-1-LINE
060300                                 THRU MB20PD-P1L-EXIT
060400     END-PERFORM.
060500*
060600*
060700     MOVE '                        TOTAL '
060800                                 TO WS-PL01-LIT
060900     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
061000     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
061100     PERFORM SS95PD-NAP-ROUTINE
061200                                 THRU SS95PD-NAP-EXIT.
061300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
061400     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
061500*
061600     PERFORM MB20PD-PRINT-1-LINE
061700                                 THRU MB20PD-P1L-EXIT
061800*
061900*
062000     MOVE ZEROS                  TO WS-TOTAL-NBR
062100                                    WS-TOTAL-AMT.
062200*
062300     MOVE '    C.  MANUAL CASH ADVANCE'
062400                                 TO MB20WS-PRINT-LINE.
062500*
062600     PERFORM MB20PD-PRINT-1-LINE
062700                                 THRU MB20PD-P1L-EXIT.
062800*
062900*
063000     PERFORM
063100         VARYING X-MMQ5-VI-MON
063200         FROM 1 BY 1
063300         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
063400         MOVE '                        MONTH '
063500                                 TO WS-PL01-LIT
063600         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
063700         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
063800         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
063900                                 TO WS-PL01-MONTH
064000         MOVE '/'                TO WS-PL01-SLASH
064100         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
064200                                 TO WS-PL01-YEAR
064300*
064400         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
064500                              + MMQ5-VI-ONUS-NBR-MAN-CA
064600                               (X-MMQ5-VI X-MMQ5-VI-MON)
064700         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
064800                              + MMQ5-VI-ONUS-AMT-MAN-CA
064900                               (X-MMQ5-VI X-MMQ5-VI-MON)
065000*
065100         MOVE MMQ5-VI-ONUS-NBR-MAN-CA (X-MMQ5-VI X-MMQ5-VI-MON)
065200                                 TO SS95WS-IN-NBR
065300         MOVE MMQ5-VI-ONUS-AMT-MAN-CA (X-MMQ5-VI X-MMQ5-VI-MON)
065400                                 TO SS95WS-IN-AMT
065500         PERFORM SS95PD-NAP-ROUTINE
065600                                 THRU SS95PD-NAP-EXIT
065700         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
065800         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
065900*
066000         PERFORM MB20PD-PRINT-1-LINE
066100                                 THRU MB20PD-P1L-EXIT
066200     END-PERFORM.
066300*
066400*
066500     MOVE '                        TOTAL '
066600                                 TO WS-PL01-LIT
066700     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
066800     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
066900     PERFORM SS95PD-NAP-ROUTINE
067000                                 THRU SS95PD-NAP-EXIT.
067100     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
067200     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
067300*
067400     PERFORM MB20PD-PRINT-1-LINE
067500                                 THRU MB20PD-P1L-EXIT
067600*
067700*
067800     MOVE ZEROS                  TO WS-TOTAL-NBR
067900                                    WS-TOTAL-AMT.
068000*
068100     MOVE '    D.  ATM CASH ADVANCE'
068200                                 TO MB20WS-PRINT-LINE.
068300*
068400     PERFORM MB20PD-PRINT-1-LINE
068500                                 THRU MB20PD-P1L-EXIT.
068600*
068700*
068800     PERFORM
068900         VARYING X-MMQ5-VI-MON
069000         FROM 1 BY 1
069100         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
069200         MOVE '                        MONTH '
069300                                 TO WS-PL01-LIT
069400         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
069500         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
069600         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
069700                                 TO WS-PL01-MONTH
069800         MOVE '/'                TO WS-PL01-SLASH
069900         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
070000                                 TO WS-PL01-YEAR
070100*
070200         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
070300                              + MMQ5-VI-ONUS-NBR-ATM
070400                               (X-MMQ5-VI X-MMQ5-VI-MON)
070500         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
070600                              + MMQ5-VI-ONUS-AMT-ATM
070700                               (X-MMQ5-VI X-MMQ5-VI-MON)
070800*
070900         MOVE MMQ5-VI-ONUS-NBR-ATM (X-MMQ5-VI X-MMQ5-VI-MON)
071000                                 TO SS95WS-IN-NBR
071100         MOVE MMQ5-VI-ONUS-AMT-ATM (X-MMQ5-VI X-MMQ5-VI-MON)
071200                                 TO SS95WS-IN-AMT
071300         PERFORM SS95PD-NAP-ROUTINE
071400                                 THRU SS95PD-NAP-EXIT
071500         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
071600         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
071700*
071800         PERFORM MB20PD-PRINT-1-LINE
071900                                 THRU MB20PD-P1L-EXIT
072000     END-PERFORM.
072100*
072200*
072300     MOVE '                        TOTAL '
072400                                 TO WS-PL01-LIT
072500     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
072600     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
072700     PERFORM SS95PD-NAP-ROUTINE
072800                                 THRU SS95PD-NAP-EXIT.
072900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
073000     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
073100*
073200     PERFORM MB20PD-PRINT-2-LINES
073300                                 THRU MB20PD-P2L-EXIT
073400*
073500*
073600     MOVE ZEROS                  TO WS-TOTAL-NBR
073700                                    WS-TOTAL-AMT.
073800*
073900*
074000     MOVE '11. NATIONAL OUTGOING INTERCHANGE'
074100                                 TO MB20WS-PRINT-LINE.
074200     MOVE '   NUMBER                    VALUE'
074300                                 TO MB20WS-PRINT-LINE(65:34)
074400*
074500     PERFORM MB20PD-PRINT-1-LINE
074600                                 THRU MB20PD-P1L-EXIT.
074700*
074800     MOVE '    A.  MANUAL SALES'
074900                                 TO MB20WS-PRINT-LINE.
075000*
075100     PERFORM MB20PD-PRINT-1-LINE
075200                                 THRU MB20PD-P1L-EXIT.
075300*
075400*
075500     PERFORM
075600         VARYING X-MMQ5-VI-MON
075700         FROM 1 BY 1
075800         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
075900         MOVE '                        MONTH '
076000                                 TO WS-PL01-LIT
076100         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
076200         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
076300         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
076400                                 TO WS-PL01-MONTH
076500         MOVE '/'                TO WS-PL01-SLASH
076600         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
076700                                 TO WS-PL01-YEAR
076800*
076900         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
077000                              + MMQ5-VI-NAT-OUT-NBR-MAN
077100                               (X-MMQ5-VI X-MMQ5-VI-MON)
077200         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
077300                              + MMQ5-VI-NAT-OUT-AMT-MAN
077400                               (X-MMQ5-VI X-MMQ5-VI-MON)
077500*
077600         MOVE MMQ5-VI-NAT-OUT-NBR-MAN (X-MMQ5-VI X-MMQ5-VI-MON)
077700                                 TO SS95WS-IN-NBR
077800         MOVE MMQ5-VI-NAT-OUT-AMT-MAN (X-MMQ5-VI X-MMQ5-VI-MON)
077900                                 TO SS95WS-IN-AMT
078000         PERFORM SS95PD-NAP-ROUTINE
078100                                 THRU SS95PD-NAP-EXIT
078200         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
078300         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
078400*
078500         PERFORM MB20PD-PRINT-1-LINE
078600                                 THRU MB20PD-P1L-EXIT
078700     END-PERFORM.
078800*
078900*
079000     MOVE '                        TOTAL '
079100                                 TO WS-PL01-LIT
079200     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
079300     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
079400     PERFORM SS95PD-NAP-ROUTINE
079500                                 THRU SS95PD-NAP-EXIT.
079600     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
079700     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
079800*
079900     PERFORM MB20PD-PRINT-1-LINE
080000                                 THRU MB20PD-P1L-EXIT
080100*
080200*
080300     MOVE ZEROS                  TO WS-TOTAL-NBR
080400                                    WS-TOTAL-AMT.
080500*
080600     MOVE '    B.  ELECTRON SALES'
080700                                 TO MB20WS-PRINT-LINE.
080800*
080900     PERFORM MB20PD-PRINT-1-LINE
081000                                 THRU MB20PD-P1L-EXIT.
081100*
081200*
081300     PERFORM
081400         VARYING X-MMQ5-VI-MON
081500         FROM 1 BY 1
081600         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
081700         MOVE '                        MONTH '
081800                                 TO WS-PL01-LIT
081900         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
082000         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
082100         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
082200                                 TO WS-PL01-MONTH
082300         MOVE '/'                TO WS-PL01-SLASH
082400         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
082500                                 TO WS-PL01-YEAR
082600*
082700         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
082800                              + MMQ5-VI-NAT-OUT-NBR-ELE
082900                               (X-MMQ5-VI X-MMQ5-VI-MON)
083000         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
083100                              + MMQ5-VI-NAT-OUT-AMT-ELE
083200                               (X-MMQ5-VI X-MMQ5-VI-MON)
083300*
083400         MOVE MMQ5-VI-NAT-OUT-NBR-ELE (X-MMQ5-VI X-MMQ5-VI-MON)
083500                                 TO SS95WS-IN-NBR
083600         MOVE MMQ5-VI-NAT-OUT-AMT-ELE (X-MMQ5-VI X-MMQ5-VI-MON)
083700                                 TO SS95WS-IN-AMT
083800         PERFORM SS95PD-NAP-ROUTINE
083900                                 THRU SS95PD-NAP-EXIT
084000         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
084100         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
084200*
084300         PERFORM MB20PD-PRINT-1-LINE
084400                                 THRU MB20PD-P1L-EXIT
084500     END-PERFORM.
084600*
084700*
084800     MOVE '                        TOTAL '
084900                                 TO WS-PL01-LIT
085000     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
085100     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
085200     PERFORM SS95PD-NAP-ROUTINE
085300                                 THRU SS95PD-NAP-EXIT.
085400     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
085500     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
085600*
085700     PERFORM MB20PD-PRINT-1-LINE
085800                                 THRU MB20PD-P1L-EXIT
085900*
086000*
086100     MOVE ZEROS                  TO WS-TOTAL-NBR
086200                                    WS-TOTAL-AMT.
086300*
086400     MOVE '    C.  MANUAL CASH ADVANCE'
086500                                 TO MB20WS-PRINT-LINE.
086600*
086700     PERFORM MB20PD-PRINT-1-LINE
086800                                 THRU MB20PD-P1L-EXIT.
086900*
087000*
087100     PERFORM
087200         VARYING X-MMQ5-VI-MON
087300         FROM 1 BY 1
087400         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
087500         MOVE '                        MONTH '
087600                                 TO WS-PL01-LIT
087700         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
087800         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
087900         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
088000                                 TO WS-PL01-MONTH
088100         MOVE '/'                TO WS-PL01-SLASH
088200         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
088300                                 TO WS-PL01-YEAR
088400*
088500         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
088600                              + MMQ5-VI-NAT-OUT-NBR-MAN-CA
088700                               (X-MMQ5-VI X-MMQ5-VI-MON)
088800         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
088900                              + MMQ5-VI-NAT-OUT-AMT-MAN-CA
089000                               (X-MMQ5-VI X-MMQ5-VI-MON)
089100*
089200         MOVE MMQ5-VI-NAT-OUT-NBR-MAN-CA (X-MMQ5-VI X-MMQ5-VI-MON)
089300                                 TO SS95WS-IN-NBR
089400         MOVE MMQ5-VI-NAT-OUT-AMT-MAN-CA (X-MMQ5-VI X-MMQ5-VI-MON)
089500                                 TO SS95WS-IN-AMT
089600         PERFORM SS95PD-NAP-ROUTINE
089700                                 THRU SS95PD-NAP-EXIT
089800         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
089900         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
090000*
090100         PERFORM MB20PD-PRINT-1-LINE
090200                                 THRU MB20PD-P1L-EXIT
090300     END-PERFORM.
090400*
090500*
090600     MOVE '                        TOTAL '
090700                                 TO WS-PL01-LIT
090800     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
090900     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
091000     PERFORM SS95PD-NAP-ROUTINE
091100                                 THRU SS95PD-NAP-EXIT.
091200     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
091300     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
091400*
091500     PERFORM MB20PD-PRINT-1-LINE
091600                                 THRU MB20PD-P1L-EXIT
091700*
091800*
091900     MOVE ZEROS                  TO WS-TOTAL-NBR
092000                                    WS-TOTAL-AMT.
092100*
092200     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
092300*
092400*
092500     MOVE 'VISA LA/C MERCHANT INFORMATION SUPPLEMENT'
092600                                 TO MB20WS-PRINT-LINE.
092700     MOVE 'QUARTER STARTED'      TO MB20WS-PRINT-LINE (100:15)
092800     MOVE MMQ5-QTR-BEG-DATE (X-MMQ5-VI)
092900                                 TO SS01WS-JULIAN.
093000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
093100     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
093200     MOVE SS01WS-EDIT-X          TO MB20WS-PRINT-LINE (117:10).
093300     PERFORM MB20PD-PRINT-1-LINE
093400                                 THRU MB20PD-P1L-EXIT.
093500     MOVE '        ENDED'        TO MB20WS-PRINT-LINE (100:13).
093600     MOVE MMQ5-QTR-END-DATE (X-MMQ5-VI)
093700                                 TO SS01WS-JULIAN.
093800     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
093900     MOVE SS01WS-DATE            TO SS01WS-EDIT-YYYY.
094000     MOVE SS01WS-EDIT-X          TO MB20WS-PRINT-LINE(117:10).
094100     PERFORM MB20PD-PRINT-2-LINES
094200                                 THRU MB20PD-P2L-EXIT.
094300*
094400     MOVE '    D.  ATM CASH ADVANCE'
094500                                 TO MB20WS-PRINT-LINE.
094600     MOVE '   NUMBER                    VALUE'
094700                                 TO MB20WS-PRINT-LINE(65:34)
094800*
094900     PERFORM MB20PD-PRINT-1-LINE
095000                                 THRU MB20PD-P1L-EXIT.
095100*
095200*
095300     PERFORM
095400         VARYING X-MMQ5-VI-MON
095500         FROM 1 BY 1
095600         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
095700         MOVE '                        MONTH '
095800                                 TO WS-PL01-LIT
095900         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
096000         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
096100         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
096200                                 TO WS-PL01-MONTH
096300         MOVE '/'                TO WS-PL01-SLASH
096400         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
096500                                 TO WS-PL01-YEAR
096600*
096700         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
096800                              + MMQ5-VI-NAT-OUT-NBR-ATM
096900                               (X-MMQ5-VI X-MMQ5-VI-MON)
097000         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
097100                              + MMQ5-VI-NAT-OUT-AMT-ATM
097200                               (X-MMQ5-VI X-MMQ5-VI-MON)
097300*
097400         MOVE MMQ5-VI-NAT-OUT-NBR-ATM (X-MMQ5-VI X-MMQ5-VI-MON)
097500                                 TO SS95WS-IN-NBR
097600         MOVE MMQ5-VI-NAT-OUT-AMT-ATM (X-MMQ5-VI X-MMQ5-VI-MON)
097700                                 TO SS95WS-IN-AMT
097800         PERFORM SS95PD-NAP-ROUTINE
097900                                 THRU SS95PD-NAP-EXIT
098000         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
098100         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
098200*
098300         PERFORM MB20PD-PRINT-1-LINE
098400                                 THRU MB20PD-P1L-EXIT
098500     END-PERFORM.
098600*
098700*
098800     MOVE '                        TOTAL '
098900                                 TO WS-PL01-LIT
099000     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
099100     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
099200     PERFORM SS95PD-NAP-ROUTINE
099300                                 THRU SS95PD-NAP-EXIT.
099400     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
099500     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
099600*
099700     PERFORM MB20PD-PRINT-2-LINES
099800                                 THRU MB20PD-P2L-EXIT
099900*
100000*
100100     MOVE ZEROS                  TO WS-TOTAL-NBR
100200                                    WS-TOTAL-AMT.
100300*
100400*
100500*
100600     MOVE '12. INTERNATIONAL OUTGOING INTERCHANGE'
100700                                 TO MB20WS-PRINT-LINE.
100800     MOVE '   NUMBER                    VALUE'
100900                                 TO MB20WS-PRINT-LINE(65:34)
101000*
101100     PERFORM MB20PD-PRINT-1-LINE
101200                                 THRU MB20PD-P1L-EXIT.
101300*
101400     MOVE '    A.  MANUAL SALES'
101500                                 TO MB20WS-PRINT-LINE.
101600*
101700     PERFORM MB20PD-PRINT-1-LINE
101800                                 THRU MB20PD-P1L-EXIT.
101900*
102000*
102100     PERFORM
102200         VARYING X-MMQ5-VI-MON
102300         FROM 1 BY 1
102400         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
102500         MOVE '                        MONTH '
102600                                 TO WS-PL01-LIT
102700         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
102800         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
102900         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
103000                                 TO WS-PL01-MONTH
103100         MOVE '/'                TO WS-PL01-SLASH
103200         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
103300                                 TO WS-PL01-YEAR
103400*
103500         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
103600                              + MMQ5-VI-INT-OUT-NBR-MAN
103700                               (X-MMQ5-VI X-MMQ5-VI-MON)
103800         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
103900                              + MMQ5-VI-INT-OUT-AMT-MAN
104000                               (X-MMQ5-VI X-MMQ5-VI-MON)
104100*
104200         MOVE MMQ5-VI-INT-OUT-NBR-MAN (X-MMQ5-VI X-MMQ5-VI-MON)
104300                                 TO SS95WS-IN-NBR
104400         MOVE MMQ5-VI-INT-OUT-AMT-MAN (X-MMQ5-VI X-MMQ5-VI-MON)
104500                                 TO SS95WS-IN-AMT
104600         PERFORM SS95PD-NAP-ROUTINE
104700                                 THRU SS95PD-NAP-EXIT
104800         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
104900         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
105000*
105100         PERFORM MB20PD-PRINT-1-LINE
105200                                 THRU MB20PD-P1L-EXIT
105300     END-PERFORM.
105400*
105500*
105600     MOVE '                        TOTAL '
105700                                 TO WS-PL01-LIT
105800     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
105900     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
106000     PERFORM SS95PD-NAP-ROUTINE
106100                                 THRU SS95PD-NAP-EXIT.
106200     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
106300     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
106400*
106500     PERFORM MB20PD-PRINT-1-LINE
106600                                 THRU MB20PD-P1L-EXIT
106700*
106800*
106900     MOVE ZEROS                  TO WS-TOTAL-NBR
107000                                    WS-TOTAL-AMT.
107100*
107200     MOVE '    B.  ELECTRON SALES'
107300                                 TO MB20WS-PRINT-LINE.
107400*
107500     PERFORM MB20PD-PRINT-1-LINE
107600                                 THRU MB20PD-P1L-EXIT.
107700*
107800*
107900     PERFORM
108000         VARYING X-MMQ5-VI-MON
108100         FROM 1 BY 1
108200         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
108300         MOVE '                        MONTH '
108400                                 TO WS-PL01-LIT
108500         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
108600         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
108700         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
108800                                 TO WS-PL01-MONTH
108900         MOVE '/'                TO WS-PL01-SLASH
109000         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
109100                                 TO WS-PL01-YEAR
109200*
109300         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
109400                              + MMQ5-VI-INT-OUT-NBR-ELE
109500                               (X-MMQ5-VI X-MMQ5-VI-MON)
109600         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
109700                              + MMQ5-VI-INT-OUT-AMT-ELE
109800                               (X-MMQ5-VI X-MMQ5-VI-MON)
109900*
110000         MOVE MMQ5-VI-INT-OUT-NBR-ELE (X-MMQ5-VI X-MMQ5-VI-MON)
110100                                 TO SS95WS-IN-NBR
110200         MOVE MMQ5-VI-INT-OUT-AMT-ELE (X-MMQ5-VI X-MMQ5-VI-MON)
110300                                 TO SS95WS-IN-AMT
110400         PERFORM SS95PD-NAP-ROUTINE
110500                                 THRU SS95PD-NAP-EXIT
110600         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
110700         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
110800*
110900         PERFORM MB20PD-PRINT-1-LINE
111000                                 THRU MB20PD-P1L-EXIT
111100     END-PERFORM.
111200*
111300*
111400     MOVE '                        TOTAL '
111500                                 TO WS-PL01-LIT
111600     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
111700     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
111800     PERFORM SS95PD-NAP-ROUTINE
111900                                 THRU SS95PD-NAP-EXIT.
112000     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
112100     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
112200*
112300     PERFORM MB20PD-PRINT-1-LINE
112400                                 THRU MB20PD-P1L-EXIT
112500*
112600*
112700     MOVE ZEROS                  TO WS-TOTAL-NBR
112800                                    WS-TOTAL-AMT.
112900*
113000     MOVE '    C.  MANUAL CASH ADVANCE'
113100                                 TO MB20WS-PRINT-LINE.
113200*
113300     PERFORM MB20PD-PRINT-1-LINE
113400                                 THRU MB20PD-P1L-EXIT.
113500*
113600*
113700     PERFORM
113800         VARYING X-MMQ5-VI-MON
113900         FROM 1 BY 1
114000         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
114100         MOVE '                        MONTH '
114200                                 TO WS-PL01-LIT
114300         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
114400         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
114500         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
114600                                 TO WS-PL01-MONTH
114700         MOVE '/'                TO WS-PL01-SLASH
114800         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
114900                                 TO WS-PL01-YEAR
115000*
115100         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
115200                              + MMQ5-VI-INT-OUT-NBR-MAN-CA
115300                               (X-MMQ5-VI X-MMQ5-VI-MON)
115400         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
115500                              + MMQ5-VI-INT-OUT-AMT-MAN-CA
115600                               (X-MMQ5-VI X-MMQ5-VI-MON)
115700*
115800         MOVE MMQ5-VI-INT-OUT-NBR-MAN-CA (X-MMQ5-VI X-MMQ5-VI-MON)
115900                                 TO SS95WS-IN-NBR
116000         MOVE MMQ5-VI-INT-OUT-AMT-MAN-CA (X-MMQ5-VI X-MMQ5-VI-MON)
116100                                 TO SS95WS-IN-AMT
116200         PERFORM SS95PD-NAP-ROUTINE
116300                                 THRU SS95PD-NAP-EXIT
116400         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
116500         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
116600*
116700         PERFORM MB20PD-PRINT-1-LINE
116800                                 THRU MB20PD-P1L-EXIT
116900     END-PERFORM.
117000*
117100*
117200     MOVE '                        TOTAL '
117300                                 TO WS-PL01-LIT
117400     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
117500     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
117600     PERFORM SS95PD-NAP-ROUTINE
117700                                 THRU SS95PD-NAP-EXIT.
117800     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
117900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
118000*
118100     PERFORM MB20PD-PRINT-1-LINE
118200                                 THRU MB20PD-P1L-EXIT
118300*
118400*
118500     MOVE ZEROS                  TO WS-TOTAL-NBR
118600                                    WS-TOTAL-AMT.
118700*
118800     MOVE '    D.  ATM CASH ADVANCE'
118900                                 TO MB20WS-PRINT-LINE.
119000*
119100     PERFORM MB20PD-PRINT-1-LINE
119200                                 THRU MB20PD-P1L-EXIT.
119300*
119400*
119500     PERFORM
119600         VARYING X-MMQ5-VI-MON
119700         FROM 1 BY 1
119800         UNTIL X-MMQ5-VI-MON IS GREATER THAN 3
119900         MOVE '                        MONTH '
120000                                 TO WS-PL01-LIT
120100         SET WS-TEMP-INDEX       TO X-MMQ5-VI-MON
120200         MOVE WS-TEMP-INDEX      TO WS-PL01-OCC
120300         MOVE MMQ5-VI-MONTH (X-MMQ5-VI X-MMQ5-VI-MON)
120400                                 TO WS-PL01-MONTH
120500         MOVE '/'                TO WS-PL01-SLASH
120600         MOVE MMQ5-VI-YEAR (X-MMQ5-VI X-MMQ5-VI-MON)
120700                                 TO WS-PL01-YEAR
120800*
120900         COMPUTE WS-TOTAL-NBR = WS-TOTAL-NBR
121000                              + MMQ5-VI-INT-OUT-NBR-ATM
121100                               (X-MMQ5-VI X-MMQ5-VI-MON)
121200         COMPUTE WS-TOTAL-AMT = WS-TOTAL-AMT
121300                              + MMQ5-VI-INT-OUT-AMT-ATM
121400                               (X-MMQ5-VI X-MMQ5-VI-MON)
121500*
121600         MOVE MMQ5-VI-INT-OUT-NBR-ATM (X-MMQ5-VI X-MMQ5-VI-MON)
121700                                 TO SS95WS-IN-NBR
121800         MOVE MMQ5-VI-INT-OUT-AMT-ATM (X-MMQ5-VI X-MMQ5-VI-MON)
121900                                 TO SS95WS-IN-AMT
122000         PERFORM SS95PD-NAP-ROUTINE
122100                                 THRU SS95PD-NAP-EXIT
122200         MOVE SS95WS-OUT-NBR-L12 TO WS-PL01-NBR
122300         MOVE SS95WS-OUT-AMT-L23 TO WS-PL01-AMT
122400*
122500         PERFORM MB20PD-PRINT-1-LINE
122600                                 THRU MB20PD-P1L-EXIT
122700     END-PERFORM.
122800*
122900*
123000     MOVE '                        TOTAL '
123100                                 TO WS-PL01-LIT
123200     MOVE WS-TOTAL-NBR           TO SS95WS-IN-NBR.
123300     MOVE WS-TOTAL-AMT           TO SS95WS-IN-AMT.
123400     PERFORM SS95PD-NAP-ROUTINE
123500                                 THRU SS95PD-NAP-EXIT.
123600     MOVE SS95WS-OUT-NBR-L12     TO WS-PL01-NBR.
123700     MOVE SS95WS-OUT-AMT-L23     TO WS-PL01-AMT.
123800*
123900     PERFORM MB20PD-PRINT-1-LINE
124000                                 THRU MB20PD-P1L-EXIT
124100*
124200*
124300     MOVE ZEROS                  TO WS-TOTAL-NBR
124400                                    WS-TOTAL-AMT.
124500*
124600     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
124700*
124800*
124900 B099-RP-EXIT.
125000     EXIT.
125100*
125200/
125300 Z000-PROCESS-CONTROL-CARD SECTION.
125400 Z001-PCC-BEGIN.
125500*
125600     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
125700     SET MTCCRB-READ-SEQ         TO TRUE.
125800     PERFORM MB00PD-MTCC-ACCESS
125900        THRU MB00PD-MTCC-ACCESS-EXIT.
126000*
126100     IF  SS02WS-FS-END-OF-FILE
126200         MOVE 'ALL1'             TO MTCCIO-RECORD
126300         MOVE MTCCIO-RECORD      TO MTCC-RECORD
126400         GO TO Z099-PCC-EXIT.
126500*
126600     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO SS02WS-ABEND-PROG-ID
126700         GO TO Z001-PCC-BEGIN.
126800*
126900     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
127000*
127100     IF  MTCC-MBU375-ORG-X IS EQUAL TO 'ALL'
127200     OR
127300        (MTCC-MBU375-ORG IS NUMERIC
127400     AND MTCC-MBU375-ORG-X IS GREATER THAN ZERO
127500     AND MTCC-MBU375-ORG-X IS LESS THAN '999')
127600         CONTINUE
127700     ELSE
127800         MOVE 37501              TO SS02WS-ABEND-CODE
127900         MOVE 'INVALID ORG NUMBER'
128000                                 TO SS02WS-ABENDMSG8
128100         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT
128200     END-IF.
128300*
128400     IF  NOT MTCC-MBU375-VALID-INDEX
128500         MOVE 1                  TO MTCC-MBU375-INDEX.
128600*
128700 Z099-PCC-EXIT.
128800     EXIT.
128900*
129000/
129100 9000-PERFORMED-ROUTINES-SECT SECTION.
129200*
129300/
129400     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
129500/
129600     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
129700/
129800     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ5==.
129900/
130000     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
130100/
130200     COPY MB20PD.
130300/
130400     COPY SS95PD.
130500/
130600     COPY MB99PD.
130700/
130800     COPY SS02PD.
130900/
131000     COPY SS03PD.
131100/
131200     COPY SS04PD.
131300/
131400     COPY SS05PD.
131500/
131600     COPY SS06PD.
131700/
131800     COPY SS07PD.
131900/
132000     COPY SS08PD.
132100/
132200     COPY SS09PD.
132300/
132400     COPY SS10PD.
132500/
132600     COPY SS16PD.
132700/
132800     COPY SS18PD.
132900/
133000     COPY SS23PD.
133100/
133200     COPY SS26PD.
133300/
133400     COPY SS27PD.
133500*
133600 9995-END-SOURCE-STATEMENTS SECTION.
133700 9999-END-OF-PROGRAM.
133800     EXIT.
