000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU540.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU540 - UPDATE DEPOSIT HISTORY MB3I/3O TO MB4I/4O      *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700 DATA DIVISION.
001800 FILE SECTION.
001900/
002000 WORKING-STORAGE SECTION.
002100*
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*
002400 01  WS-MBU540-WORK-AREAS.
002500     03  WS-U540-3O-SEQ      PIC S9(08)      BINARY  VALUE ZERO.
002600     03  WS-U540-4O-SEQ      PIC S9(08)      BINARY  VALUE ZERO.
002700*
002800/
002900     COPY MMD3RL REPLACING ==:MMD3:== BY ==MB3I==.
003000/
003100     COPY MMD3RL REPLACING ==:MMD3:== BY ==MB3O==.
003200/
003300     COPY MMD3RL REPLACING ==:MMD3:== BY ==MB4I==.
003400/
003500     COPY MMD3RL REPLACING ==:MMD3:== BY ==MB4O==.
003600/
003700     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD3==.
003800/
003900     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD4==.
004000/
004100     COPY MMDTRL.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMMMIR.
004600/
004700     COPY MMOCRL.
004800/
004900     COPY MMSCRL.
005000/
005100******************************************************************
005200     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB3I==.
005300/
005400     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB3O==.
005500/
005600     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB4I==.
005700/
005800     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB4O==.
005900/
006000     COPY MMD3IO REPLACING ==:MMD3:== BY ==MMD3==.
006100/
006200     COPY MMD3IO REPLACING ==:MMD3:== BY ==MMD4==.
006300/
006400     COPY MMDTIO.
006500/
006600     COPY MMMMIO.
006700/
006800     COPY MMOCIO.
006900/
007000     COPY MMSCIO.
007100/
007200******************************************************************
007300     COPY MB00RB REPLACING ==:MB00:== BY ==MB3I==.
007400/
007500     COPY MB00RB REPLACING ==:MB00:== BY ==MB3O==.
007600/
007700     COPY MB00RB REPLACING ==:MB00:== BY ==MB4I==.
007800/
007900     COPY MB00RB REPLACING ==:MB00:== BY ==MB4O==.
008000/
008100     COPY MB00RB REPLACING ==:MB00:== BY ==MMD3==.
008200/
008300     COPY MB00RB REPLACING ==:MB00:== BY ==MMD4==.
008400/
008500     COPY MB00RB REPLACING ==:MB00:== BY ==MMDT==.
008600/
008700     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
008800/
008900     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
009000/
009100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
009200/
009300     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
009400/
009500******************************************************************
009600     COPY MMTCWS.
009700/
009800     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
009900/
010000     COPY MB00WS.
010100/
010200     COPY MB50WS.
010300/
010400     COPY MB99WS.
010500/
010600     COPY SS00WS.
010700/
010800     COPY SS01WS.
010900/
011000     COPY SS02WS.
011100*
011200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011300/
011400 PROCEDURE DIVISION.
011500 A000-MAIN-LINE-SECT SECTION.
011600 A010-ML-BEGIN.
011700*
011800     MOVE 'MBU540'               TO SS02WS-ABEND-PROG-ID.
011900*
012000     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
012100     SET MMSCRB-OPEN-INPUT       TO TRUE.
012200     PERFORM MB00PD-MMSC-ACCESS
012300        THRU MB00PD-MMSC-ACCESS-EXIT.
012400*
012500     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
012600     SET MMSCRB-READ-SEQ         TO TRUE.
012700     PERFORM MB00PD-MMSC-ACCESS
012800        THRU MB00PD-MMSC-ACCESS-EXIT.
012900*
013000     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
013100*
013200     IF  MMSCIO-HEADER
013300         NEXT SENTENCE
013400     ELSE
013500         PERFORM MB99PD-MISSING-HEADER-ABEND
013600            THRU MB99PD-MHA-EXIT.
013700*
013800     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013900     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
014000     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
014100*
014200*
014300*
014400     PERFORM A100-OPEN-FILES
014500        THRU A199-OF-EXIT.
014600*
014700     PERFORM A200-POSTING-PROCESS
014800        THRU A299-PP-EXIT
014900        UNTIL MMOCIO-TRAILER.
015000*
015100     PERFORM A300-CLOSE-FILES
015200        THRU A399-CF-EXIT.
015300*
015400     STOP RUN.
015500*
015600 A099-ML-EXIT.
015700     EXIT.
015800/
015900 A100-OPEN-FILES SECTION.
016000 A101-OF-OPEN-FILES.
016100*
016200     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
016300     SET MMOCRB-OPEN-INPUT       TO TRUE.
016400     PERFORM MB00PD-MMOC-ACCESS
016500        THRU MB00PD-MMOC-ACCESS-EXIT.
016600*
016700     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
016800     SET MMMMRB-OPEN-INPUT       TO TRUE.
016900     PERFORM MB00PD-MMMM-ACCESS
017000        THRU MB00PD-MMMM-ACCESS-EXIT.
017100*
017200     MOVE 'O1D4'                 TO SS02WS-ABEND-LOCATION.
017300     SET MMD4RB-OPEN-OUTPUT      TO TRUE.
017400     PERFORM MB00PD-MMD4-ACCESS
017500        THRU MB00PD-MMD4-ACCESS-EXIT.
017600*
017700     MOVE 'O1DT'                 TO SS02WS-ABEND-LOCATION.
017800     SET MMDTRB-OPEN-IO          TO TRUE.
017900     PERFORM MB00PD-MMDT-ACCESS
018000        THRU MB00PD-MMDT-ACCESS-EXIT.
018100*
018200     MOVE 'O14I'                 TO SS02WS-ABEND-LOCATION.
018300     SET MB4IRB-OPEN-INPUT       TO TRUE.
018400     PERFORM MB00PD-MB4I-ACCESS
018500        THRU MB00PD-MB4I-ACCESS-EXIT.
018600*
018700     MOVE 'O14O'                 TO SS02WS-ABEND-LOCATION.
018800     SET MB4ORB-OPEN-OUTPUT      TO TRUE.
018900     PERFORM MB00PD-MB4O-ACCESS
019000        THRU MB00PD-MB4O-ACCESS-EXIT.
019100*
019200     MOVE 'O13I'                 TO SS02WS-ABEND-LOCATION.
019300     SET MB3IRB-OPEN-INPUT       TO TRUE.
019400     PERFORM MB00PD-MB3I-ACCESS
019500        THRU MB00PD-MB3I-ACCESS-EXIT.
019600*
019700     MOVE 'O13O'                 TO SS02WS-ABEND-LOCATION.
019800     SET MB3ORB-OPEN-OUTPUT      TO TRUE.
019900     PERFORM MB00PD-MB3O-ACCESS
020000        THRU MB00PD-MB3O-ACCESS-EXIT.
020100*
020200     MOVE 'O1D3'                 TO SS02WS-ABEND-LOCATION.
020300     SET MMD3RB-OPEN-OUTPUT      TO TRUE.
020400     PERFORM MB00PD-MMD3-ACCESS
020500        THRU MB00PD-MMD3-ACCESS-EXIT.
020600*
020700 A110-OF-CHECK-HEADERS.
020800*
020900     MOVE 'R03I'                 TO SS02WS-ABEND-LOCATION.
021000     SET MB3IRB-READ-SEQ         TO TRUE.
021100     PERFORM MB00PD-MB3I-ACCESS
021200        THRU MB00PD-MB3I-ACCESS-EXIT.
021300     MOVE 'MB3I'                 TO MB99WS-FILE-ID.
021400*
021500     IF  MB3IIO-HEADER
021600         NEXT SENTENCE
021700     ELSE
021800         PERFORM MB99PD-MISSING-HEADER-ABEND
021900            THRU MB99PD-MHA-EXIT.
022000*
022100     MOVE MB3IIO-DATE-STAMP      TO MB99WS-FILE-DATE.
022200     MOVE MB3IIO-TIME-STAMP      TO MB99WS-FILE-TIME.
022300     PERFORM MB99PD-CHECK-DATE-TIME
022400        THRU MB99PD-CDT-EXIT.
022500*
022600     MOVE MB3IIO-RECORD          TO MB3OIO-RECORD.
022700*
022800     MOVE 'U03O'                 TO SS02WS-ABEND-LOCATION.
022900     SET MB3ORB-WRITE            TO TRUE.
023000     PERFORM MB00PD-MB3O-ACCESS
023100        THRU MB00PD-MB3O-ACCESS-EXIT.
023200*
023300     MOVE MB3IIO-RECORD          TO MMD3IO-RECORD.
023400*
023500     MOVE 'U0D3'                 TO SS02WS-ABEND-LOCATION.
023600     SET MMD3RB-WRITE            TO TRUE.
023700     PERFORM MB00PD-MMD3-ACCESS
023800        THRU MB00PD-MMD3-ACCESS-EXIT.
023900*
024000*
024100*
024200     PERFORM Z000-EXTRACT-MB3I
024300        THRU Z099-EMB3I-EXIT.
024400*
024500*
024600*
024700     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
024800     SET MMOCRB-READ-SEQ         TO TRUE.
024900     PERFORM MB00PD-MMOC-ACCESS
025000        THRU MB00PD-MMOC-ACCESS-EXIT.
025100     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
025200*
025300     IF  MMOCIO-HEADER
025400         NEXT SENTENCE
025500     ELSE
025600         PERFORM MB99PD-MISSING-HEADER-ABEND
025700            THRU MB99PD-MHA-EXIT.
025800*
025900     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
026000     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
026100     PERFORM MB99PD-CHECK-DATE-TIME
026200        THRU MB99PD-CDT-EXIT.
026300*
026400     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
026500*
026600*
026700*
026800     MOVE 'R0DT'                 TO SS02WS-ABEND-LOCATION.
026900     SET MMDTRB-READ-SEQ         TO TRUE.
027000     PERFORM MB00PD-MMDT-ACCESS
027100        THRU MB00PD-MMDT-ACCESS-EXIT.
027200     MOVE 'MMDT'                 TO MB99WS-FILE-ID.
027300*
027400     IF  MMDTIO-HEADER
027500         NEXT SENTENCE
027600     ELSE
027700         PERFORM MB99PD-MISSING-HEADER-ABEND
027800            THRU MB99PD-MHA-EXIT.
027900*
028000     MOVE MMDTIO-DATE-STAMP      TO MB99WS-FILE-DATE.
028100     MOVE MMDTIO-TIME-STAMP      TO MB99WS-FILE-TIME.
028200     PERFORM MB99PD-CHECK-DATE-TIME
028300        THRU MB99PD-CDT-EXIT.
028400*
028500     MOVE 'R1DT'                 TO SS02WS-ABEND-LOCATION.
028600     SET MMDTRB-READ-SEQ         TO TRUE.
028700     PERFORM MB00PD-MMDT-ACCESS
028800        THRU MB00PD-MMDT-ACCESS-EXIT
028900        UNTIL MMDTIO-MBU540.
029000*
029100     MOVE MMDTIO-RECORD          TO MMDT-RECORD.
029200*
029300*
029400*
029500     MOVE 'R0MM'                 TO SS02WS-ABEND-LOCATION.
029600     SET MMMMRB-READ-SEQ         TO TRUE.
029700     PERFORM MB00PD-MMMM-ACCESS
029800        THRU MB00PD-MMMM-ACCESS-EXIT.
029900     MOVE 'MMMM'                 TO MB99WS-FILE-ID.
030000*
030100     IF  MMMMIO-HEADER
030200         NEXT SENTENCE
030300     ELSE
030400         PERFORM MB99PD-MISSING-HEADER-ABEND
030500            THRU MB99PD-MHA-EXIT.
030600*
030700     MOVE MMMMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
030800     MOVE MMMMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
030900     PERFORM MB99PD-CHECK-DATE-TIME
031000        THRU MB99PD-CDT-EXIT.
031100*
031200     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
031300     SET MMMMRB-READ-SEQ         TO TRUE.
031400     PERFORM MB00PD-MMMM-ACCESS
031500        THRU MB00PD-MMMM-ACCESS-EXIT.
031600*
031700     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
031800*
031900*
032000*
032100     MOVE MMDT-MB4O-DATE-STAMP   TO MB99WS-PROC-DATE.
032200     MOVE MMDT-MB4O-TIME-STAMP   TO MB99WS-PROC-TIME.
032300*
032400     MOVE 'R04I'                 TO SS02WS-ABEND-LOCATION.
032500     SET MB4IRB-READ-SEQ         TO TRUE.
032600     PERFORM MB00PD-MB4I-ACCESS
032700        THRU MB00PD-MB4I-ACCESS-EXIT.
032800     MOVE 'MB4I'                 TO MB99WS-FILE-ID.
032900*
033000     IF  MB4IIO-HEADER
033100         NEXT SENTENCE
033200     ELSE
033300         PERFORM MB99PD-MISSING-HEADER-ABEND
033400            THRU MB99PD-MHA-EXIT.
033500*
033600     MOVE MB4IIO-DATE-STAMP      TO MB99WS-FILE-DATE.
033700     MOVE MB4IIO-TIME-STAMP      TO MB99WS-FILE-TIME.
033800     PERFORM MB99PD-CHECK-DATE-TIME
033900        THRU MB99PD-CDT-EXIT.
034000*
034100     MOVE 'R14I'                 TO SS02WS-ABEND-LOCATION.
034200     SET MB4IRB-READ-SEQ         TO TRUE.
034300     PERFORM MB00PD-MB4I-ACCESS
034400        THRU MB00PD-MB4I-ACCESS-EXIT.
034500*
034600     MOVE MB4IIO-RECORD          TO MB4I-RECORD.
034700*
034800*
034900*
035000     MOVE SPACES                 TO MB4OIO-RECORD.
035100     SET MB4OIO-HEADER           TO TRUE.
035200     MOVE ZERO                   TO MB4OIO-STORE.
035300     MOVE ZERO                   TO MB4OIO-BATCH-DATE.
035400     MOVE ZERO                   TO MB4OIO-BATCH-SOURCE.
035500     MOVE ZERO                   TO MB4OIO-BATCH-NBR.
035600     MOVE ZERO                   TO MB4OIO-BATCH-SEQ.
035700     MOVE ZERO                   TO MB4OIO-SEQ-NBR.
035800     MOVE MMSC-TODAYS-JULIAN     TO MB4OIO-DATE-STAMP.
035900     MOVE MMSC-TIME-STAMP        TO MB4OIO-TIME-STAMP.
036000*
036100     MOVE 'W04O'                 TO SS02WS-ABEND-LOCATION.
036200     SET MB4ORB-WRITE            TO TRUE.
036300     PERFORM MB00PD-MB4O-ACCESS
036400        THRU MB00PD-MB4O-ACCESS-EXIT.
036500*
036600*
036700*
036800     MOVE SPACES                 TO MMD4IO-RECORD.
036900     SET MMD4IO-HEADER           TO TRUE.
037000     MOVE ZERO                   TO MMD4IO-STORE.
037100     MOVE ZERO                   TO MMD4IO-BATCH-DATE.
037200     MOVE ZERO                   TO MMD4IO-BATCH-SOURCE.
037300     MOVE ZERO                   TO MMD4IO-BATCH-NBR.
037400     MOVE ZERO                   TO MMD4IO-BATCH-SEQ.
037500     MOVE ZERO                   TO MMD4IO-SEQ-NBR.
037600     MOVE MMSC-TODAYS-JULIAN     TO MMD4IO-DATE-STAMP.
037700     MOVE MMSC-TIME-STAMP        TO MMD4IO-TIME-STAMP.
037800*
037900     MOVE 'W0D4'                 TO SS02WS-ABEND-LOCATION.
038000     SET MMD4RB-WRITE            TO TRUE.
038100     PERFORM MB00PD-MMD4-ACCESS
038200        THRU MB00PD-MMD4-ACCESS-EXIT.
038300*
038400*
038500*
038600     MOVE MMDT-MB4O-DATE-STAMP   TO MMDT-MB4O-LAST-DATE-STAMP.
038700     MOVE MMDT-MB4O-TIME-STAMP   TO MMDT-MB4O-LAST-TIME-STAMP.
038800*
038900     MOVE MMSC-TODAYS-JULIAN     TO MMDT-MB4O-DATE-STAMP.
039000     MOVE MMSC-TIME-STAMP        TO MMDT-MB4O-TIME-STAMP.
039100*
039200 A199-OF-EXIT.
039300     EXIT.
039400/
039500 A200-POSTING-PROCESS SECTION.
039600 A201-PP-BEGIN.
039700*
039800     PERFORM B000-PROCESS-ORG
039900        THRU B099-PO-EXIT.
040000*
040100     IF  MMOCIO-TRAILER
040200         GO TO A299-PP-EXIT.
040300*
040400 A299-PP-EXIT.
040500     EXIT.
040600/
040700 A300-CLOSE-FILES SECTION.
040800 A301-CF-BEGIN.
040900*
041000     MOVE SPACES                 TO MB4OIO-RECORD.
041100     SET MB4OIO-TRAILER          TO TRUE.
041200     MOVE ZERO                   TO MB4OIO-STORE.
041300     MOVE ZERO                   TO MB4OIO-BATCH-DATE.
041400     MOVE ZERO                   TO MB4OIO-BATCH-SOURCE.
041500     MOVE ZERO                   TO MB4OIO-BATCH-NBR.
041600     MOVE ZERO                   TO MB4OIO-BATCH-SEQ.
041700     MOVE ZERO                   TO MB4OIO-SEQ-NBR.
041800     MOVE MMSC-TODAYS-JULIAN     TO MB4OIO-DATE-STAMP.
041900     MOVE MMSC-TIME-STAMP        TO MB4OIO-TIME-STAMP.
042000*
042100     MOVE 'W94O'                 TO SS02WS-ABEND-LOCATION.
042200     SET MB4ORB-WRITE            TO TRUE.
042300     PERFORM MB00PD-MB4O-ACCESS
042400        THRU MB00PD-MB4O-ACCESS-EXIT.
042500*
042600*
042700*
042800     MOVE SPACES                 TO MMD4IO-RECORD.
042900     SET MMD4IO-TRAILER          TO TRUE.
043000     MOVE ZERO                   TO MMD4IO-STORE.
043100     MOVE ZERO                   TO MMD4IO-BATCH-DATE.
043200     MOVE ZERO                   TO MMD4IO-BATCH-SOURCE.
043300     MOVE ZERO                   TO MMD4IO-BATCH-NBR.
043400     MOVE ZERO                   TO MMD4IO-BATCH-SEQ.
043500     MOVE ZERO                   TO MMD4IO-SEQ-NBR.
043600     MOVE MMSC-TODAYS-JULIAN     TO MMD4IO-DATE-STAMP.
043700     MOVE MMSC-TIME-STAMP        TO MMD4IO-TIME-STAMP.
043800*
043900     MOVE 'W9D4'                 TO SS02WS-ABEND-LOCATION.
044000     SET MMD4RB-WRITE            TO TRUE.
044100     PERFORM MB00PD-MMD4-ACCESS
044200        THRU MB00PD-MMD4-ACCESS-EXIT.
044300*
044400*
044500*
044600     MOVE SPACES                 TO MB3OIO-RECORD.
044700     SET MB3OIO-TRAILER          TO TRUE.
044800     MOVE ZERO                   TO MB3OIO-STORE.
044900     MOVE ZERO                   TO MB3OIO-BATCH-DATE.
045000     MOVE ZERO                   TO MB3OIO-BATCH-SOURCE.
045100     MOVE ZERO                   TO MB3OIO-BATCH-NBR.
045200     MOVE ZERO                   TO MB3OIO-BATCH-SEQ.
045300     MOVE ZERO                   TO MB3OIO-SEQ-NBR.
045400     MOVE MMSC-TODAYS-JULIAN     TO MB3OIO-DATE-STAMP.
045500     MOVE MMSC-TIME-STAMP        TO MB3OIO-TIME-STAMP.
045600*
045700     MOVE 'W93O'                 TO SS02WS-ABEND-LOCATION.
045800     SET MB3ORB-WRITE            TO TRUE.
045900     PERFORM MB00PD-MB3O-ACCESS
046000        THRU MB00PD-MB3O-ACCESS-EXIT.
046100*
046200*
046300*
046400     MOVE SPACES                 TO MMD3IO-RECORD.
046500     SET MMD3IO-TRAILER          TO TRUE.
046600     MOVE ZERO                   TO MMD3IO-STORE.
046700     MOVE ZERO                   TO MMD3IO-BATCH-DATE.
046800     MOVE ZERO                   TO MMD3IO-BATCH-SOURCE.
046900     MOVE ZERO                   TO MMD3IO-BATCH-NBR.
047000     MOVE ZERO                   TO MMD3IO-BATCH-SEQ.
047100     MOVE ZERO                   TO MMD3IO-SEQ-NBR.
047200     MOVE MMSC-TODAYS-JULIAN     TO MMD3IO-DATE-STAMP.
047300     MOVE MMSC-TIME-STAMP        TO MMD3IO-TIME-STAMP.
047400*
047500     MOVE 'W9D3'                 TO SS02WS-ABEND-LOCATION.
047600     SET MMD3RB-WRITE            TO TRUE.
047700     PERFORM MB00PD-MMD3-ACCESS
047800        THRU MB00PD-MMD3-ACCESS-EXIT.
047900*
048000*
048100*
048200     MOVE MMDT-RECORD            TO MMDTIO-RECORD.
048300*
048400     MOVE 'U1DT'                 TO SS02WS-ABEND-LOCATION.
048500     SET MMDTRB-REWRITE          TO TRUE.
048600     PERFORM MB00PD-MMDT-ACCESS
048700        THRU MB00PD-MMDT-ACCESS-EXIT.
048800*
048900*
049000*
049100     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
049200     SET MMSCRB-CLOSE            TO TRUE.
049300     PERFORM MB00PD-MMSC-ACCESS
049400        THRU MB00PD-MMSC-ACCESS-EXIT.
049500*
049600     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
049700     SET MMOCRB-CLOSE            TO TRUE.
049800     PERFORM MB00PD-MMOC-ACCESS
049900        THRU MB00PD-MMOC-ACCESS-EXIT.
050000*
050100     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
050200     SET MMMMRB-CLOSE            TO TRUE.
050300     PERFORM MB00PD-MMMM-ACCESS
050400        THRU MB00PD-MMMM-ACCESS-EXIT.
050500*
050600     MOVE 'C1D4'                 TO SS02WS-ABEND-LOCATION.
050700     SET MMD4RB-CLOSE            TO TRUE.
050800     PERFORM MB00PD-MMD4-ACCESS
050900        THRU MB00PD-MMD4-ACCESS-EXIT.
051000*
051100     MOVE 'C1DT'                 TO SS02WS-ABEND-LOCATION.
051200     SET MMDTRB-CLOSE            TO TRUE.
051300     PERFORM MB00PD-MMDT-ACCESS
051400        THRU MB00PD-MMDT-ACCESS-EXIT.
051500*
051600     MOVE 'C14I'                 TO SS02WS-ABEND-LOCATION.
051700     SET MB4IRB-CLOSE            TO TRUE.
051800     PERFORM MB00PD-MB4I-ACCESS
051900        THRU MB00PD-MB4I-ACCESS-EXIT.
052000*
052100     MOVE 'C14O'                 TO SS02WS-ABEND-LOCATION.
052200     SET MB4ORB-CLOSE            TO TRUE.
052300     PERFORM MB00PD-MB4O-ACCESS
052400        THRU MB00PD-MB4O-ACCESS-EXIT.
052500*
052600     MOVE 'C13I'                 TO SS02WS-ABEND-LOCATION.
052700     SET MB3IRB-CLOSE            TO TRUE.
052800     PERFORM MB00PD-MB3I-ACCESS
052900        THRU MB00PD-MB3I-ACCESS-EXIT.
053000*
053100     MOVE 'C13O'                 TO SS02WS-ABEND-LOCATION.
053200     SET MB3ORB-CLOSE            TO TRUE.
053300     PERFORM MB00PD-MB3O-ACCESS
053400        THRU MB00PD-MB3O-ACCESS-EXIT.
053500*
053600     MOVE 'C1D3'                 TO SS02WS-ABEND-LOCATION.
053700     SET MMD3RB-CLOSE            TO TRUE.
053800     PERFORM MB00PD-MMD3-ACCESS
053900        THRU MB00PD-MMD3-ACCESS-EXIT.
054000*
054100 A399-CF-EXIT.
054200     EXIT.
054300/
054400 B000-PROCESS-ORG SECTION.
054500 B010-PO-BEGIN.
054600*
054700     MOVE 'R2OC'                 TO SS02WS-ABEND-LOCATION.
054800     SET MMOCRB-READ-SEQ         TO TRUE.
054900     PERFORM MB00PD-MMOC-ACCESS
055000        THRU MB00PD-MMOC-ACCESS-EXIT.
055100*
055200     IF  MMOCIO-TRAILER
055300         GO TO B099-PO-EXIT.
055400*
055500*
055600*
055700     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
055800*
055900     PERFORM C000-PROCESS-MERCHANTS
056000        THRU C099-PM-EXIT
056100        UNTIL MMMMIO-ORG  IS GREATER THAN MMOC-ORG.
056200*
056300 B099-PO-EXIT.
056400     EXIT.
056500/
056600 C000-PROCESS-MERCHANTS SECTION.
056700 C010-PM-BEGIN.
056800*
056900     IF  MMMMIO-ORG  IS LESS THAN MMOC-ORG
057000         PERFORM C900-GET-NEXT-MERCHANT
057100            THRU C999-GNM-EXIT
057200         MOVE MMMMIR-RECORD      TO MMMM-RECORD
057300         MOVE MMOC-ORG           TO MMMM-ORG
057400         GO TO C099-PM-EXIT.
057500*
057600     IF  MMMMIO-ORG  IS NOT EQUAL TO MMOC-ORG
057700         GO TO C099-PM-EXIT.
057800*
057900     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
058000*
058100     IF  MMMM-REC-INCOMPLETE
058200     OR  MMMM-REC-PURGED
058300     OR  MMMM-REC-MODEL
058400     OR  MMMM-ADD-PENDING
058500         PERFORM C900-GET-NEXT-MERCHANT
058600            THRU C999-GNM-EXIT
058700         GO TO C099-PM-EXIT.
058800*
058900     PERFORM D000-MERCH-PRE-PROCESS
059000        THRU D099-MPP-EXIT.
059100*
059200     PERFORM M000-MERGE-DEPOSIT-HISTORY
059300        THRU M099-MDH-EXIT.
059400*
059500     PERFORM C900-GET-NEXT-MERCHANT
059600        THRU C999-GNM-EXIT.
059700*
059800 C099-PM-EXIT.
059900     EXIT.
060000/
060100 C900-GET-NEXT-MERCHANT SECTION.
060200 C910-GNM-BEGIN.
060300*
060400     MOVE 'R3MM'                 TO SS02WS-ABEND-LOCATION.
060500     SET MMMMRB-READ-SEQ         TO TRUE.
060600     PERFORM MB00PD-MMMM-ACCESS
060700        THRU MB00PD-MMMM-ACCESS-EXIT.
060800*
060900 C999-GNM-EXIT.
061000     EXIT.
061100/
061200 D000-MERCH-PRE-PROCESS SECTION.
061300 D010-MPP-BEGIN.
061400*
061500     PERFORM
061600         UNTIL MB4IIO-ORG-MERCHANT IS NOT LESS THAN
061700                                 MMMM-ORG-MERCHANT
061800         MOVE 'R24I'             TO SS02WS-ABEND-LOCATION
061900         SET MB4IRB-READ-SEQ     TO TRUE
062000         PERFORM MB00PD-MB4I-ACCESS
062100            THRU MB00PD-MB4I-ACCESS-EXIT
062200     END-PERFORM.
062300*
062400     MOVE MB4IIO-RECORD          TO MB4I-RECORD.
062500*
062600     PERFORM
062700         UNTIL MB3IIO-ORG-MERCHANT IS NOT LESS THAN
062800                                 MMMM-ORG-MERCHANT
062900         PERFORM Z000-EXTRACT-MB3I
063000            THRU Z099-EMB3I-EXIT
063100     END-PERFORM.
063200*
063300     MOVE MB3IIO-RECORD          TO MB3I-RECORD.
063400*
063500     MOVE ZERO                   TO WS-U540-3O-SEQ.
063600     MOVE ZERO                   TO WS-U540-4O-SEQ.
063700*
063800 D099-MPP-EXIT.
063900     EXIT.
064000/
064100 M000-MERGE-DEPOSIT-HISTORY SECTION.
064200 M001-MDH-BEGIN.
064300*
064400     PERFORM
064500         UNTIL MB4IIO-ORG-MERCHANT IS GREATER THAN
064600                                 MMMM-ORG-MERCHANT
064700           AND MB3IIO-ORG-MERCHANT IS GREATER THAN
064800                                 MMMM-ORG-MERCHANT
064900         EVALUATE TRUE
065000             WHEN MB3IIO-ORG-MERCHANT IS GREATER THAN
065100                                 MMMM-ORG-MERCHANT
065200                 PERFORM M100-PROCESS-MB4I
065300                    THRU M199-PMB4I-EXIT
065400             WHEN MB4IIO-ORG-MERCHANT IS GREATER THAN
065500                                 MMMM-ORG-MERCHANT
065600                 PERFORM M200-PROCESS-MB3I
065700                    THRU M299-PMB3I-EXIT
065800             WHEN MB4IIO-ALIGN-KEY IS LESS THAN MB3IIO-ALIGN-KEY
065900                 PERFORM M100-PROCESS-MB4I
066000                    THRU M199-PMB4I-EXIT
066100             WHEN MB4IIO-ALIGN-KEY IS EQUAL TO MB3IIO-ALIGN-KEY
066200                 PERFORM M100-PROCESS-MB4I
066300                    THRU M199-PMB4I-EXIT
066400             WHEN OTHER
066500                 PERFORM M200-PROCESS-MB3I
066600                    THRU M299-PMB3I-EXIT
066700         END-EVALUATE
066800     END-PERFORM.
066900*
067000 M099-MDH-EXIT.
067100     EXIT.
067200/
067300 M100-PROCESS-MB4I SECTION.
067400 M101-PMB4I-BEGIN.
067500*
067600     MOVE MB4IIO-RECORD          TO MB4O-RECORD.
067700*
067800     PERFORM M800-UPDATE-MB4O
067900        THRU M899-UMB4O-EXIT.
068000*
068100     MOVE 'R24I'                 TO SS02WS-ABEND-LOCATION.
068200     SET MB4IRB-READ-SEQ         TO TRUE.
068300     PERFORM MB00PD-MB4I-ACCESS
068400        THRU MB00PD-MB4I-ACCESS-EXIT.
068500*
068600 M199-PMB4I-EXIT.
068700     EXIT.
068800/
068900 M200-PROCESS-MB3I SECTION.
069000 M201-PMB3I-BEGIN.
069100*
069200     MOVE MB3IIO-RECORD          TO MB4O-RECORD.
069300*
069400     PERFORM M800-UPDATE-MB4O
069500        THRU M899-UMB4O-EXIT.
069600*
069700     PERFORM Z000-EXTRACT-MB3I
069800        THRU Z099-EMB3I-EXIT.
069900*
070000 M299-PMB3I-EXIT.
070100     EXIT.
070200/
070300 M800-UPDATE-MB4O SECTION.
070400 M801-UMB4O-BEGIN.
070500*
070600     MOVE MB4O-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
070700*
070800     IF  MMMM-DDC-NO-DEPOSIT-HISTORY
070900     OR  (MMMM-DDC-HEADERS-ADJ-ONLY
071000      AND MMTCWS-LM-DEPOSIT-HIST-DETAIL)
071100         GO TO M899-UMB4O-EXIT.
071200*
071300     MOVE MB4O-POST-DATE         TO SS01WS-JULIAN.
071400     MOVE ZERO                   TO SS01WS-DAY-OF-MON.
071500     MOVE MMMM-RETAIN-DEPOSITS   TO SS01WS-FREQ.
071600     MOVE 'D'                    TO SS01WS-PERIOD.
071700     PERFORM SS03PD-FUTURE-DATE
071800        THRU SS03PD-FD-EXIT.
071900*
072000     IF  SS01WS-JULIAN IS LESS THAN MMOC-TODAYS-JULIAN
072100         GO TO M899-UMB4O-EXIT.
072200*
072300     ADD  1                      TO WS-U540-4O-SEQ.
072400     MOVE WS-U540-4O-SEQ         TO MB4O-SEQ-NBR.
072500*
072600     MOVE MB4O-RECORD            TO MB4OIO-RECORD.
072700*
072800     MOVE 'W14O'                 TO SS02WS-ABEND-LOCATION.
072900     SET MB4ORB-WRITE            TO TRUE.
073000     PERFORM MB00PD-MB4O-ACCESS
073100        THRU MB00PD-MB4O-ACCESS-EXIT.
073200*
073300     MOVE MB4O-RECORD            TO MMD4IO-RECORD.
073400*
073500     MOVE 'W1D4'                 TO SS02WS-ABEND-LOCATION.
073600     SET MMD4RB-WRITE            TO TRUE.
073700     PERFORM MB00PD-MMD4-ACCESS
073800        THRU MB00PD-MMD4-ACCESS-EXIT.
073900*
074000 M899-UMB4O-EXIT.
074100     EXIT.
074200/
074300 Z000-EXTRACT-MB3I SECTION.
074400 Z001-EMB3I-BEGIN.
074500*
074600     IF  MB3IIO-TRAILER
074700         GO TO Z099-EMB3I-EXIT.
074800*
074900     MOVE 'R13I'                 TO SS02WS-ABEND-LOCATION.
075000     SET MB3IRB-READ-SEQ         TO TRUE.
075100     PERFORM MB00PD-MB3I-ACCESS
075200        THRU MB00PD-MB3I-ACCESS-EXIT.
075300*
075400     MOVE MB3IIO-RECORD          TO MB3I-RECORD.
075500*
075600     IF  MB3I-NOT-STATEMENTED
075700     OR  MB3I-NOT-SETTLED
075800         NEXT SENTENCE
075900     ELSE
076000         GO TO Z099-EMB3I-EXIT.
076100*
076200     ADD  1                      TO WS-U540-3O-SEQ.
076300     MOVE WS-U540-3O-SEQ         TO MB3O-SEQ-NBR.
076400*
076500     MOVE MB3I-RECORD            TO MB3OIO-RECORD.
076600*
076700     MOVE 'W13O'                 TO SS02WS-ABEND-LOCATION.
076800     SET MB3ORB-WRITE            TO TRUE.
076900     PERFORM MB00PD-MB3O-ACCESS
077000        THRU MB00PD-MB3O-ACCESS-EXIT.
077100*
077200     MOVE MB3I-RECORD            TO MMD3IO-RECORD.
077300*
077400     MOVE 'W1D3'                 TO SS02WS-ABEND-LOCATION.
077500     SET MMD3RB-WRITE            TO TRUE.
077600     PERFORM MB00PD-MMD3-ACCESS
077700        THRU MB00PD-MMD3-ACCESS-EXIT.
077800*
077900     GO TO Z001-EMB3I-BEGIN.
078000*
078100 Z099-EMB3I-EXIT.
078200     EXIT.
078300/
078400 9000-PERFORMED-ROUTINES SECTION.
078500     COPY MB00PD REPLACING ==:MB00:== BY ==MB3I==.
078600/
078700     COPY MB00PD REPLACING ==:MB00:== BY ==MB3O==.
078800/
078900     COPY MB00PD REPLACING ==:MB00:== BY ==MB4I==.
079000/
079100     COPY MB00PD REPLACING ==:MB00:== BY ==MB4O==.
079200/
079300     COPY MB00PD REPLACING ==:MB00:== BY ==MMD3==.
079400/
079500     COPY MB00PD REPLACING ==:MB00:== BY ==MMD4==.
079600/
079700     COPY MB00PD REPLACING ==:MB00:== BY ==MMDT==.
079800/
079900     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
080000/
080100     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
080200/
080300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
080400/
080500     COPY MB99PD.
080600/
080700     COPY SS02PD.
080800/
080900     COPY SS03PD.
081000/
081100     COPY SS06PD.
081200/
081300     COPY SS07PD.
081400/
081500     COPY SS08PD.
081600/
081700     COPY SS26PD.
081800/
081900     COPY SS27PD.
082000*
082100 9995-END-SOURCE-STATEMENTS SECTION.
082200 9999-END-OF-PROGRAM.
082300     EXIT.
