000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU601.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBU601 - EXAM QUALIFIED AND NON-QUALIFIED REPORT       *  EH800900
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400*
001500 FILE-CONTROL.
001600/
001700 DATA DIVISION.
001800 FILE SECTION.
001900 WORKING-STORAGE SECTION.
002000*
002100 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002200*
002300 01  WS-LINES                PIC  9(05)      VALUE ZERO.
002400*
002500 01  WS-SAVE-HEADINGS.
002600     03  WS-HEADING-LINE-5   PIC  X(134)     VALUE SPACES.
002700     03  WS-HEADING-LINE-6   PIC  X(134)     VALUE SPACES.
002800     03  WS-HEADING-LINE-7   PIC  X(134)     VALUE SPACES.
002900     03  WS-HEADING-LINE-8   PIC  X(134)     VALUE SPACES.
003000*
003100 01  WS-SWITCHS.
003200     03  WS-INDEX            PIC  9(02)      VALUE ZEROS.
003300     03  WS-MTQL-SW          PIC  X(01)      VALUE SPACES.
003400         88  WS-MTQL-NO-RECS                 VALUE 'N'.
003500     03  WS-MTUQ-SW          PIC  X(01)      VALUE SPACES.
003600         88  WS-MTUQ-NO-RECS                 VALUE 'N'.
003700     03  WS-MTEX-SW          PIC  X(01)      VALUE SPACES.
003800         88  WS-MTEX-NO-RECS                 VALUE 'N'.
003900     03  WS-WHEN-SW          PIC  X(01)      VALUE SPACES.
004000         88  WS-WHEN-ON                      VALUE 'Y'.
004100     03  WS-LEVEL-SW         PIC  X(01)      VALUE SPACES.
004200         88  WS-QUAL-LEVEL                   VALUE 'Q'.
004300         88  WS-UNQUAL-LEVEL                 VALUE 'U'.
004400     03  WS-1ST-QUAL-SW      PIC  X(01)      VALUE 'Y'.
004500         88  WS-1ST-QUAL-REC                 VALUE 'Y'.
004600         88  WS-1ST-QUAL-REC-OFF             VALUE 'N'.
004700*
004800****************************************************************
004900 01  WS-TRUE-FALSE-AREA.
005000     05  WS-TRUE-FALSE-TOTALS                OCCURS 70 TIMES
005100                                             INDEXED BY
005200                                             X-WS-INDEX.
005300         07  WS-TRUE-TOT         PIC  9(09)  VALUE ZEROS.
005400         07  WS-FALSE-TOT        PIC  9(09)  VALUE ZEROS.
005500*
005600****************************************************************
005700 01  WS-MERCH-TOTALS-AREA.
005800     03  WS-MERCH-NBR-RECS   PIC S9(09)      COMP-3 VALUE ZEROS.
005900     03  WS-MERCH-TOT-SETT   PIC S9(17)      COMP-3 VALUE ZEROS.
006000     03  WS-MERCH-TOT-RESV-1 PIC S9(17)      COMP-3 VALUE ZEROS.
006100     03  WS-MERCH-TOT-RESV-2 PIC S9(17)      COMP-3 VALUE ZEROS.
006200     03  WS-MERCH-TOT-RESV-3 PIC S9(17)      COMP-3 VALUE ZEROS.
006300     03  WS-MERCH-TOT-RESV-4 PIC S9(17)      COMP-3 VALUE ZEROS.
006400*
006500 01  WS-STORE-TOTALS-AREA.
006600     03  WS-STORE-NBR-RECS   PIC S9(09)      COMP-3 VALUE ZEROS.
006700     03  WS-STORE-TOT-IMP-1  PIC S9(09)      COMP-3 VALUE ZEROS.
006800     03  WS-STORE-TOT-IMP-2  PIC S9(09)      COMP-3 VALUE ZEROS.
006900     03  WS-STORE-TOT-IMP-3  PIC S9(09)      COMP-3 VALUE ZEROS.
007000     03  WS-STORE-TOT-POS-1  PIC S9(09)      COMP-3 VALUE ZEROS.
007100     03  WS-STORE-TOT-POS-2  PIC S9(09)      COMP-3 VALUE ZEROS.
007200     03  WS-STORE-TOT-POS-3  PIC S9(09)      COMP-3 VALUE ZEROS.
007300*
007400 01  WS-PROD-TOTALS-AREA.
007500     03  WS-PROD-NBR-RECS    PIC S9(09)      COMP-3 VALUE ZEROS.
007600*
007700 01  WS-CONV-DATE.
007800     03  WS-CONV-MM          PIC  9(02)      VALUE ZEROS.
007900     03  WS-CONV-DD          PIC  9(02)      VALUE ZEROS.
008000     03  WS-CONV-YYYY        PIC  9(04)      VALUE ZEROS.
008100/
008200     COPY MMSCRL.
008300/
008400     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
008500/
008600     COPY MTQLRL REPLACING ==:MTQL:== BY ==MTQL==.
008700/
008800     COPY MTQLRL REPLACING ==:MTQL:== BY ==MTUQ==.
008900/
009000******************************************************************
009100     COPY MMSCIO.
009200/
009300     COPY MMEXIO REPLACING ==:MMEX:== BY ==MTEX==.
009400/
009500     COPY MTQLIO REPLACING ==:MTQL:== BY ==MTQL==.
009600/
009700     COPY MTQLIO REPLACING ==:MTQL:== BY ==MTUQ==.
009800/
009900******************************************************************
010000     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
010100/
010200     COPY MB00RB REPLACING ==:MB00:== BY ==MTEX==.
010300/
010400     COPY MB00RB REPLACING ==:MB00:== BY ==MTQL==.
010500/
010600     COPY MB00RB REPLACING ==:MB00:== BY ==MTUQ==.
010700/
010800******************************************************************
010900/
011000     COPY MMEXIR REPLACING ==:MMEX:== BY ==MMEX==.
011100******************************************************************
011200/
011300     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
011400/
011500     COPY MB00WS.
011600/
011700     COPY SS95WS.
011800/
011900     COPY MB99WS.
012000/
012100     COPY MB20WS.
012200*
012300 01  WS-PRINT-LINE-00        REDEFINES MB20WS-PRINT-LINE.
012400     05  WS-PL00-LIT-1       PIC  X(132).
012500*
012600 01  WS-PRINT-LINE-01        REDEFINES MB20WS-PRINT-LINE.
012700     03  WS-PL01-LIT-1       PIC  X(44).
012800     03  WS-PL01-LIT-2       PIC  X(44).
012900     03  WS-PL01-LIT-3       PIC  X(44).
013000*
013100 01  WS-PRINT-LINE-03        REDEFINES MB20WS-PRINT-LINE.
013200     03  WS-PL03-MERCHANT    PIC  9(09).
013300     03  WS-PL03-ORG-X REDEFINES WS-PL03-MERCHANT.
013400         05  WS-PL03-ORG     PIC  9(03).
013500         05  WS-PL03-REST-MERCH
013600                             PIC  X(06).
013700     03  FILLER              PIC  X(01).
013800     03  WS-PL03-ALPHA-1     PIC  X(25).
013900     03  FILLER              PIC  X(01).
014000     03  WS-PL03-FREQ-1      PIC  9(02).
014100     03  FILLER              PIC  X(01).
014200     03  WS-PL03-FREQ-2      PIC  9(02).
014300     03  FILLER              PIC  X(01).
014400     03  WS-PL03-1ST-DATE    PIC  X(10).
014500     03  FILLER              PIC  X(01).
014600     03  WS-PL03-BRANCH      PIC  9(09).
014700     03  WS-PL03-AGENT-X REDEFINES WS-PL03-BRANCH.
014800         05  WS-PL03-AGENT   PIC  9(05).
014900         05  WS-PL03-REST-BRANCH
015000                             PIC  X(04).
015100     03  FILLER              PIC  X(01).
015200     03  WS-PL03-2ND-DATE    PIC  X(10).
015300     03  FILLER              PIC  X(01).
015400     03  WS-PL03-AMOUNTS     PIC  X(21).
015500     03  FILLER              PIC  X(01).
015600     03  WS-PL03-SEL-1       PIC  X(01).
015700     03  FILLER              PIC  X(01).
015800     03  WS-PL03-SEL-2       PIC  X(01).
015900     03  FILLER              PIC  X(01).
016000     03  WS-PL03-SEL-3       PIC  X(01).
016100     03  FILLER              PIC  X(01).
016200     03  WS-PL03-SEL-4       PIC  X(01).
016300     03  FILLER              PIC  X(01).
016400     03  WS-PL03-SEL-5       PIC  X(01).
016500     03  FILLER              PIC  X(01).
016600     03  WS-PL03-SEL-6       PIC  X(01).
016700     03  FILLER              PIC  X(01).
016800     03  WS-PL03-SEL-7       PIC  X(01).
016900     03  FILLER              PIC  X(01).
017000     03  WS-PL03-SEL-8       PIC  X(01).
017100     03  FILLER              PIC  X(01).
017200     03  WS-PL03-SEL-9       PIC  X(01).
017300     03  FILLER              PIC  X(01).
017400     03  WS-PL03-SEL-10      PIC  X(01).
017500     03  FILLER              PIC  X(01).
017600     03  WS-PL03-SEL-11      PIC  X(01).
017700     03  FILLER              PIC  X(01).
017800     03  WS-PL03-SEL-12      PIC  X(01).
017900     03  FILLER              PIC  X(01).
018000     03  WS-PL03-SEL-13      PIC  X(01).
018100     03  FILLER              PIC  X(01).
018200     03  WS-PL03-SEL-14      PIC  X(01).
018300     03  FILLER              PIC  X(01).
018400     03  WS-PL03-SEL-15      PIC  X(01).
018500     03  FILLER              PIC  X(01).
018600     03  WS-PL03-SEL-16      PIC  X(01).
018700     03  FILLER              PIC  X(01).
018800     03  WS-PL03-SEL-17      PIC  X(01).
018900     03  FILLER              PIC  X(01).
019000     03  WS-PL03-SEL-18      PIC  X(01).
019100*
019200 01  WS-PRINT-LINE-04        REDEFINES MB20WS-PRINT-LINE.
019300     03  WS-PL04-STORE       PIC  9(09).
019400     03  WS-PL04-ORG-X  REDEFINES WS-PL04-STORE.
019500         05  WS-PL04-ORG     PIC  9(03).
019600         05  WS-PL04-REST-STORE
019700                             PIC  X(06).
019800     03  FILLER              PIC  X(01).
019900     03  WS-PL04-ALPHA-1     PIC  X(25).
020000     03  FILLER              PIC  X(04).
020100     03  WS-PL04-MCC         PIC  9(04).
020200     03  FILLER              PIC  X(01).
020300     03  WS-PL04-GOV-STATE   PIC  X(03).
020400     03  WS-PL04-IND-X REDEFINES WS-PL04-GOV-STATE.
020500         05  WS-PL04-REST-GOV-STATE
020600                             PIC  X(02).
020700         05  WS-PL04-IND     PIC  X(01).
020800     03  FILLER              PIC  X(06).
020900     03  WS-PL04-BRANCH      PIC  9(09).
021000     03  WS-PL04-AGENT-X REDEFINES WS-PL04-BRANCH.
021100         05  WS-PL04-AGENT   PIC  9(05).
021200         05  WS-PL04-REST-BRANCH
021300                             PIC  X(04).
021400     03  FILLER              PIC  X(01).
021500     03  WS-PL04-1ST-DATE    PIC  X(10).
021600     03  FILLER              PIC  X(01).
021700     03  WS-PL04-NBR-1       PIC  X(09).
021800     03  FILLER              PIC  X(01).
021900     03  WS-PL04-NBR-2       PIC  X(09).
022000     03  FILLER              PIC  X(03).
022100     03  WS-PL04-SEL-1       PIC  X(01).
022200     03  FILLER              PIC  X(01).
022300     03  WS-PL04-SEL-2       PIC  X(01).
022400     03  FILLER              PIC  X(01).
022500     03  WS-PL04-SEL-3       PIC  X(01).
022600     03  FILLER              PIC  X(01).
022700     03  WS-PL04-SEL-4       PIC  X(01).
022800     03  FILLER              PIC  X(01).
022900     03  WS-PL04-SEL-5       PIC  X(01).
023000     03  FILLER              PIC  X(01).
023100     03  WS-PL04-SEL-6       PIC  X(01).
023200     03  FILLER              PIC  X(01).
023300     03  WS-PL04-SEL-7       PIC  X(01).
023400     03  FILLER              PIC  X(01).
023500     03  WS-PL04-SEL-8       PIC  X(01).
023600     03  FILLER              PIC  X(01).
023700     03  WS-PL04-SEL-9       PIC  X(01).
023800     03  FILLER              PIC  X(01).
023900     03  WS-PL04-SEL-10      PIC  X(01).
024000     03  FILLER              PIC  X(01).
024100     03  WS-PL04-SEL-11      PIC  X(01).
024200     03  FILLER              PIC  X(01).
024300     03  WS-PL04-SEL-12      PIC  X(01).
024400     03  FILLER              PIC  X(01).
024500     03  WS-PL04-SEL-13      PIC  X(01).
024600     03  FILLER              PIC  X(01).
024700     03  WS-PL04-SEL-14      PIC  X(01).
024800     03  FILLER              PIC  X(01).
024900     03  WS-PL04-SEL-15      PIC  X(01).
025000     03  FILLER              PIC  X(01).
025100     03  WS-PL04-SEL-16      PIC  X(01).
025200     03  FILLER              PIC  X(01).
025300     03  WS-PL04-SEL-17      PIC  X(01).
025400     03  FILLER              PIC  X(01).
025500     03  WS-PL04-SEL-18      PIC  X(01).
025600*
025700 01  WS-PRINT-LINE-05        REDEFINES MB20WS-PRINT-LINE.
025800     03  FILLER              PIC  X(10).
025900     03  WS-PL05-ALPHA-1     PIC  X(20).
026000     03  FILLER              PIC  X(16).
026100     03  WS-PL05-STORE-TYPE  PIC  9(02).
026200     03  FILLER              PIC  X(04).
026300     03  WS-PL05-1ST-DATE    PIC  X(10).
026400     03  FILLER              PIC  X(01).
026500     03  WS-PL05-2ND-DATE    PIC  X(10).
026600     03  FILLER              PIC  X(24).
026700     03  WS-PL05-SEL-1       PIC  X(01).
026800     03  FILLER              PIC  X(01).
026900     03  WS-PL05-SEL-2       PIC  X(01).
027000     03  FILLER              PIC  X(01).
027100     03  WS-PL05-SEL-3       PIC  X(01).
027200     03  FILLER              PIC  X(01).
027300     03  WS-PL05-SEL-4       PIC  X(01).
027400     03  FILLER              PIC  X(01).
027500     03  WS-PL05-SEL-5       PIC  X(01).
027600     03  FILLER              PIC  X(01).
027700     03  WS-PL05-SEL-6       PIC  X(01).
027800     03  FILLER              PIC  X(01).
027900     03  WS-PL05-SEL-7       PIC  X(01).
028000     03  FILLER              PIC  X(01).
028100     03  WS-PL05-SEL-8       PIC  X(01).
028200     03  FILLER              PIC  X(01).
028300     03  WS-PL05-SEL-9       PIC  X(01).
028400     03  FILLER              PIC  X(01).
028500     03  WS-PL05-SEL-10      PIC  X(01).
028600     03  FILLER              PIC  X(01).
028700     03  WS-PL05-SEL-11      PIC  X(01).
028800     03  FILLER              PIC  X(01).
028900     03  WS-PL05-SEL-12      PIC  X(01).
029000     03  FILLER              PIC  X(01).
029100     03  WS-PL05-SEL-13      PIC  X(01).
029200     03  FILLER              PIC  X(01).
029300     03  WS-PL05-SEL-14      PIC  X(01).
029400     03  FILLER              PIC  X(01).
029500     03  WS-PL05-SEL-15      PIC  X(01).
029600     03  FILLER              PIC  X(01).
029700     03  WS-PL05-SEL-16      PIC  X(01).
029800*
029900 01  WS-PRINT-LINE-06        REDEFINES MB20WS-PRINT-LINE.
030000     03  WS-PL06-MERCHANT    PIC  9(09).
030100     03  WS-PL06-ORG-X REDEFINES WS-PL06-MERCHANT.
030200         05  WS-PL06-ORG     PIC  9(03).
030300         05  WS-PL06-REST-MERCH
030400                             PIC  X(06).
030500     03  FILLER              PIC  X(01).
030600     03  WS-PL06-ALPHA-1     PIC  X(25).
030700     03  FILLER              PIC  X(03).
030800     03  WS-PL06-PROD-NAME   PIC  X(15).
030900     03  WS-PL06-PROD-NBR-X REDEFINES WS-PL06-PROD-NAME.
031000         05  WS-PL06-REST-PROD-NAME
031100                             PIC  X(13).
031200         05  WS-PL06-PROD-NBR
031300                             PIC  9(02).
031400     03  FILLER              PIC  X(16).
031500     03  WS-PL06-FLAG        PIC  X(01).
031600     03  FILLER              PIC  X(10).
031700     03  WS-PL06-ALPHA-2     PIC  X(05).
031800     03  FILLER              PIC  X(11).
031900     03  WS-PL06-SEL-1       PIC  X(01).
032000     03  FILLER              PIC  X(01).
032100     03  WS-PL06-SEL-2       PIC  X(01).
032200     03  FILLER              PIC  X(01).
032300     03  WS-PL06-SEL-3       PIC  X(01).
032400     03  FILLER              PIC  X(01).
032500     03  WS-PL06-SEL-4       PIC  X(01).
032600     03  FILLER              PIC  X(01).
032700     03  WS-PL06-SEL-5       PIC  X(01).
032800     03  FILLER              PIC  X(01).
032900     03  WS-PL06-SEL-6       PIC  X(01).
033000     03  FILLER              PIC  X(01).
033100     03  WS-PL06-SEL-7       PIC  X(01).
033200     03  FILLER              PIC  X(01).
033300     03  WS-PL06-SEL-8       PIC  X(01).
033400     03  FILLER              PIC  X(01).
033500     03  WS-PL06-SEL-9       PIC  X(01).
033600     03  FILLER              PIC  X(01).
033700     03  WS-PL06-SEL-10      PIC  X(01).
033800     03  FILLER              PIC  X(01).
033900     03  WS-PL06-SEL-11      PIC  X(01).
034000     03  FILLER              PIC  X(01).
034100     03  WS-PL06-SEL-12      PIC  X(01).
034200     03  FILLER              PIC  X(01).
034300     03  WS-PL06-SEL-13      PIC  X(01).
034400     03  FILLER              PIC  X(01).
034500     03  WS-PL06-SEL-14      PIC  X(01).
034600     03  FILLER              PIC  X(01).
034700     03  WS-PL06-SEL-15      PIC  X(01).
034800     03  FILLER              PIC  X(01).
034900     03  WS-PL06-SEL-16      PIC  X(01).
035000     03  FILLER              PIC  X(01).
035100     03  WS-PL06-SEL-17      PIC  X(01).
035200     03  FILLER              PIC  X(01).
035300     03  WS-PL06-SEL-18      PIC  X(01).
035400*
035500 01  WS-PRINT-LINE-07        REDEFINES MB20WS-PRINT-LINE.
035600     03  FILLER              PIC  X(10).
035700     03  WS-PL07-ALPHA-1     PIC  X(25).
035800     03  FILLER              PIC  X(25).
035900     03  WS-PL07-1ST-DATE    PIC  X(10).
036000     03  FILLER              PIC  X(10).
036100     03  WS-PL07-SOURCE      PIC  X(05).
036200     03  FILLER              PIC  X(13).
036300     03  WS-PL07-NBR-1       PIC  X(09).
036400     03  FILLER              PIC  X(01).
036500     03  WS-PL07-NBR-2       PIC  X(09).
036600     03  FILLER              PIC  X(04).
036700     03  WS-PL07-SEL-1       PIC  X(01).
036800     03  FILLER              PIC  X(01).
036900     03  WS-PL07-SEL-2       PIC  X(01).
037000     03  FILLER              PIC  X(01).
037100     03  WS-PL07-SEL-3       PIC  X(01).
037200     03  FILLER              PIC  X(01).
037300     03  WS-PL07-SEL-4       PIC  X(01).
037400     03  FILLER              PIC  X(01).
037500     03  WS-PL07-SEL-5       PIC  X(01).
037600     03  FILLER              PIC  X(01).
037700     03  WS-PL07-SEL-6       PIC  X(01).
037800     03  FILLER              PIC  X(01).
037900     03  WS-PL07-SEL-7       PIC  X(01).
038000     03  FILLER              PIC  X(01).
038100     03  WS-PL07-SEL-8       PIC  X(01).
038200     03  FILLER              PIC  X(01).
038300     03  WS-PL07-SEL-9       PIC  X(01).
038400     03  FILLER              PIC  X(01).
038500     03  WS-PL07-SEL-10      PIC  X(01).
038600     03  FILLER              PIC  X(01).
038700     03  WS-PL07-SEL-11      PIC  X(01).
038800     03  FILLER              PIC  X(01).
038900     03  WS-PL07-SEL-12      PIC  X(01).
039000     03  FILLER              PIC  X(01).
039100     03  WS-PL07-SEL-13      PIC  X(01).
039200     03  FILLER              PIC  X(01).
039300     03  WS-PL07-SEL-14      PIC  X(01).
039400     03  FILLER              PIC  X(01).
039500     03  WS-PL07-SEL-15      PIC  X(01).
039600     03  FILLER              PIC  X(01).
039700     03  WS-PL07-SEL-16      PIC  X(01).
039800     03  FILLER              PIC  X(01).
039900     03  WS-PL07-SEL-17      PIC  X(01).
040000     03  FILLER              PIC  X(01).
040100     03  WS-PL07-SEL-18      PIC  X(01).
040200*
040300 01  WS-PRINT-LINE-08        REDEFINES MB20WS-PRINT-LINE.
040400*
040500     03  FILLER              PIC  X(05).
040600     03  WS-PL08-DESC        PIC  X(24).
040700     03  FILLER              PIC  X(02).
040800     03  WS-PL08-TOT-AMOUNT  PIC  X(23).
040900*
041000 01  WS-PRINT-LINE-09        REDEFINES MB20WS-PRINT-LINE.
041100*
041200     03  FILLER              PIC  X(05).
041300     03  WS-PL09-DESC        PIC  X(17).
041400     03  FILLER              PIC  X(20).
041500     03  WS-PL09-TOT-NBR     PIC  X(11).
041600/
041700     COPY SS00WS.
041800/
041900     COPY SS01WS.
042000/
042100     COPY SS02WS.
042200/
042300     COPY SS05WS.
042400*
042500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
042600/
042700 PROCEDURE DIVISION.
042800 A000-MAIN-LINE-SECT SECTION.
042900 A010-ML-BEGIN.
043000*
043100     PERFORM A100-OPEN-FILES
043200        THRU A199-OF-EXIT.
043300*
043400     PERFORM A200-PROCESS-FILES
043500        THRU A299-PF-EXIT.
043600*
043700     PERFORM A400-CLOSE-FILES
043800        THRU A499-CF-EXIT.
043900*
044000     STOP RUN.
044100/
044200 A100-OPEN-FILES.
044300*
044400     MOVE 'MBU601'               TO SS02WS-ABEND-PROG-ID.
044500*
044600     SET SS95WS-FUNCTION-INITIALIZE
044700                                 TO TRUE.
044800     PERFORM SS95PD-NAP-ROUTINE
044900        THRU SS95PD-NAP-EXIT.
045000*
045100*
045200     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
045300     SET MMSCRB-OPEN-INPUT       TO TRUE.
045400     PERFORM MB00PD-MMSC-ACCESS
045500        THRU MB00PD-MMSC-ACCESS-EXIT.
045600*
045700     MOVE 'O1EX'                 TO SS02WS-ABEND-LOCATION.
045800     SET MTEXRB-OPEN-INPUT       TO TRUE.
045900     PERFORM MB00PD-MTEX-ACCESS
046000        THRU MB00PD-MTEX-ACCESS-EXIT.
046100     MOVE SS02WS-END-OF-FILE     TO MTEXRB-PERM-STATUS-1.
046200*
046300     MOVE 'R0EX'                 TO SS02WS-ABEND-LOCATION.
046400     SET MTEXRB-READ-SEQ         TO TRUE.
046500     PERFORM MB00PD-MTEX-ACCESS
046600        THRU MB00PD-MTEX-ACCESS-EXIT.
046700     MOVE 'MTEX'                 TO MB99WS-FILE-ID.
046800*
046900     IF  MTEXIO-HEADER
047000         NEXT SENTENCE
047100     ELSE
047200         PERFORM MB99PD-MISSING-HEADER-ABEND
047300            THRU MB99PD-MHA-EXIT.
047400*
047500     MOVE MTEXIO-DATE-STAMP      TO MB99WS-PROC-DATE.
047600     MOVE MTEXIO-TIME-STAMP      TO MB99WS-PROC-TIME.
047700*
047800     MOVE 'R0EX'                 TO SS02WS-ABEND-LOCATION.
047900     SET MTEXRB-READ-SEQ         TO TRUE.
048000     PERFORM MB00PD-MTEX-ACCESS
048100        THRU MB00PD-MTEX-ACCESS-EXIT.
048200     MOVE 'MTEX'                 TO MB99WS-FILE-ID.
048300     MOVE MTEXIO-RECORD          TO MMEX-RECORD.
048400*
048500     IF  MTEXIO-TRAILER
048600         SET WS-MTEX-NO-RECS     TO TRUE.
048700*
048800     MOVE 'O1QL'                 TO SS02WS-ABEND-LOCATION.
048900     SET MTQLRB-OPEN-INPUT       TO TRUE.
049000     PERFORM MB00PD-MTQL-ACCESS
049100        THRU MB00PD-MTQL-ACCESS-EXIT.
049200     MOVE SS02WS-END-OF-FILE     TO MTQLRB-PERM-STATUS-1.
049300     MOVE 'MTQL'                 TO MB99WS-FILE-ID.
049400*
049500     MOVE 'R0QL'                 TO SS02WS-ABEND-LOCATION.
049600     SET MTQLRB-READ-SEQ         TO TRUE.
049700     PERFORM MB00PD-MTQL-ACCESS
049800        THRU MB00PD-MTQL-ACCESS-EXIT.
049900*
050000     IF  MTQLIO-HEADER
050100         NEXT SENTENCE
050200     ELSE
050300         PERFORM MB99PD-MISSING-HEADER-ABEND
050400            THRU MB99PD-MHA-EXIT.
050500*
050600     MOVE MTQLIO-DATE-STAMP      TO MB99WS-FILE-DATE.
050700     MOVE MTQLIO-TIME-STAMP      TO MB99WS-FILE-TIME.
050800*
050900     PERFORM MB99PD-CHECK-DATE-TIME
051000                                 THRU MB99PD-CDT-EXIT.
051100*
051200     MOVE 'R1QL'                 TO SS02WS-ABEND-LOCATION.
051300     SET MTQLRB-READ-SEQ         TO TRUE.
051400     PERFORM MB00PD-MTQL-ACCESS
051500        THRU MB00PD-MTQL-ACCESS-EXIT.
051600*
051700     IF  MTQLIO-TRAILER
051800         SET WS-MTQL-NO-RECS     TO TRUE.
051900*
052000     MOVE 'O1UQ'                 TO SS02WS-ABEND-LOCATION.
052100     SET MTUQRB-OPEN-INPUT       TO TRUE.
052200     PERFORM MB00PD-MTUQ-ACCESS
052300        THRU MB00PD-MTUQ-ACCESS-EXIT.
052400     MOVE SS02WS-END-OF-FILE     TO MTUQRB-PERM-STATUS-1.
052500     MOVE 'MTUQ'                 TO MB99WS-FILE-ID.
052600*
052700     MOVE 'R0UQ'                 TO SS02WS-ABEND-LOCATION.
052800     SET MTUQRB-READ-SEQ         TO TRUE.
052900     PERFORM MB00PD-MTUQ-ACCESS
053000        THRU MB00PD-MTUQ-ACCESS-EXIT.
053100*
053200     IF  MTUQIO-HEADER
053300         NEXT SENTENCE
053400     ELSE
053500         PERFORM MB99PD-MISSING-HEADER-ABEND
053600            THRU MB99PD-MHA-EXIT.
053700*
053800     MOVE MTUQIO-DATE-STAMP      TO MB99WS-FILE-DATE.
053900     MOVE MTUQIO-TIME-STAMP      TO MB99WS-FILE-TIME.
054000*
054100     PERFORM MB99PD-CHECK-DATE-TIME
054200                                 THRU MB99PD-CDT-EXIT.
054300*
054400     MOVE 'R1UQ'                 TO SS02WS-ABEND-LOCATION.
054500     SET MTUQRB-READ-SEQ         TO TRUE.
054600     PERFORM MB00PD-MTUQ-ACCESS
054700        THRU MB00PD-MTUQ-ACCESS-EXIT.
054800*
054900     IF  MTUQIO-TRAILER
055000         SET WS-MTUQ-NO-RECS     TO TRUE.
055100*
055200*
055300     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
055400     SET MMSCRB-READ-SEQ         TO TRUE.
055500     PERFORM MB00PD-MMSC-ACCESS
055600        THRU MB00PD-MMSC-ACCESS-EXIT.
055700     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
055800*
055900     IF  MMSCIO-HEADER
056000         NEXT SENTENCE
056100     ELSE
056200         PERFORM MB99PD-MISSING-HEADER-ABEND
056300            THRU MB99PD-MHA-EXIT.
056400*
056500     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
056600     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
056700     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
056800*
056900     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
057000     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
057100     MOVE 'MBU601'               TO MB20WS-SH-RPT-ID.
057200     MOVE 'T601'                 TO MB20WS-SH-INTERNAL-RPT-ID.
057300     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
057400     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
057500     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
057600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
057700                                 THRU SS26PD-NED-EXIT.
057800     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
057900     MOVE MMEX-REPORT-FORM       TO MB20WS-FORM-CODE.
058000     MOVE MMEX-REPORT-FICHE      TO MB20WS-FICHE-CODE.
058100*
058200     MOVE SPACES                 TO MB20WS-SH-L2-CLEAR.
058300     MOVE 'REQUEST ORG'          TO MB20WS-SH-L2-CLEAR (1:11).
058400     MOVE MMEX-ORG               TO MB20WS-SH-L2-CLEAR (13:3).
058500     MOVE 'REQUEST NBR'          TO MB20WS-SH-L2-CLEAR (18:11).
058600     MOVE MMEX-REQUEST-NBR       TO MB20WS-SH-L2-CLEAR (31:5).
058700     MOVE 'EXAM REQUEST REPORT'  TO MB20WS-SH-RPT-NAME.
058800*
058900     MOVE SPACES                 TO MB20WS-SH-L3-CLEAR.
059000     MOVE 'REQUESTOR'            TO MB20WS-SH-L3-CLEAR (1:9).
059100     MOVE MMEX-REQUESTOR         TO MB20WS-SH-L3-CLEAR (14:20).
059200     MOVE MMEX-DESC              TO MB20WS-SH-RPT-NAME-2 (12:30).
059300*
059400     MOVE SPACES                 TO MB20WS-SH-L4R-1
059500                                    MB20WS-SH-L4R-2.
059600     MOVE '       *----QUALIFIED SELECTION RESULTS----*'
059700                                 TO MB20WS-SH-L4R-3.
059800*
059900     EVALUATE TRUE
060000         WHEN MMEX-TARGET-MERCHANT-YES
060100*
060200             MOVE 'ORG       DBA NAME                  DI FREQ '
060300                                 TO MB20WS-SH-L5R-1
060400             MOVE '/ LAST DT    AGENT  LAST VIST   SETTLEMENT B'
060500                                 TO MB20WS-SH-L5R-2
060600             MOVE 'ALANCE  1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 '
060700                                 TO MB20WS-SH-L5R-3
060800*
060900             MOVE 'MERCHANT  DBA CITY     ST/PR        PT FREQ '
061000                                 TO MB20WS-SH-L6R-1
061100             MOVE '/ LAST DT   BRANCH  LAST REVW   RESERVE BALA'
061200                                 TO MB20WS-SH-L6R-2
061300             MOVE 'NCES    9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 '
061400                                 TO MB20WS-SH-L6R-3
061500*
061600             MOVE '          CONTACT NAME              SE FREQ '
061700                                 TO MB20WS-SH-L7R-1
061800             MOVE '/ LAST DT   STORES  DATE OPEN               '
061900                                 TO MB20WS-SH-L7R-2
062000             MOVE '        7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 '
062100                                 TO MB20WS-SH-L7R-3
062200*
062300             MOVE '          CONTACT PHONE NUMBER      ST FREQ '
062400                                 TO MB20WS-SH-L8R-1
062500             MOVE '/ LAST DT    BLOCK  DATE LACT               '
062600                                 TO MB20WS-SH-L8R-2
062700             MOVE '        5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0     '
062800                                 TO MB20WS-SH-L8R-3
062900         WHEN MMEX-TARGET-STORE-YES
063000*
063100             MOVE 'ORG       DBA NAME                VISA MCC /'  EH800900
063200                                 TO MB20WS-SH-L5R-1
063300             MOVE ' IND         AGENT  LAST VIST   # IMP 1   # '
063400                                 TO MB20WS-SH-L5R-2
063500             MOVE 'POS 1   1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 '
063600                                 TO MB20WS-SH-L5R-3
063700*
063800             MOVE 'STORE     DBA CITY     ST/PR        MC MCC /'
063900                                 TO MB20WS-SH-L6R-1
063910             IF  MMSC-EUROPAY-ON                                  EH800900
063912                 MOVE                                             EH800900
063914                  'STORE     DBA CITY/STATE         MC/EC MCC /'  EH800900
063916                                 TO MB20WS-SH-L6R-1               EH800900
063918             END-IF                                               EH800900
064000             MOVE ' IND        BRANCH  LAST REVW   # IMP 2   # '
064100                                 TO MB20WS-SH-L6R-2
064200             MOVE 'POS 2   9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 '
064300                                 TO MB20WS-SH-L6R-3
064400*
064500             MOVE '          CONTACT NAME                 GOV S'
064600                                 TO MB20WS-SH-L7R-1
064700             MOVE 'TATE      SETT FLG  DATE OPEN   # IMP 3   # '
064800                                 TO MB20WS-SH-L7R-2
064900             MOVE 'POS 3   7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 '
065000                                 TO MB20WS-SH-L7R-3
065100*
065200             MOVE '          CONTACT PHONE NUMBER        STORE '
065300                                 TO MB20WS-SH-L8R-1
065400             MOVE 'TYPE      SETT DTE  DATE LACT               '
065500                                 TO MB20WS-SH-L8R-2
065600             MOVE '        5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0     '
065700                                 TO MB20WS-SH-L8R-3
065800         WHEN MMEX-TARGET-PRODUCT-YES
065900*
066000             MOVE 'ORG       DBA NAME                       PRO'
066100                                 TO MB20WS-SH-L5R-1
066200             MOVE 'DUCT NAME      SETTLE FLAG      USER CODE   '
066300                                 TO MB20WS-SH-L5R-2
066400             MOVE '        1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 '
066500                                 TO MB20WS-SH-L5R-3
066600*
066700             MOVE 'MERCHANT  DBA CITY     ST/PR              PR'
066800                                 TO MB20WS-SH-L6R-1
066900             MOVE 'ODUCT NBR           STATUS     SHORT DESC   '
067000                                 TO MB20WS-SH-L6R-2
067100             MOVE '        9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 '
067200                                 TO MB20WS-SH-L6R-3
067300*
067400             MOVE '          CONTACT NAME                      '
067500                                 TO MB20WS-SH-L7R-1
067600             MOVE '               STATUS DATE         SOURCE   '
067700                                 TO MB20WS-SH-L7R-2
067800             MOVE '        7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 '
067900                                 TO MB20WS-SH-L7R-3
068000*
068100             MOVE '          CONTACT PHONE NUMBER              '
068200                                 TO MB20WS-SH-L8R-1
068300             MOVE SPACES         TO MB20WS-SH-L8R-2
068400             MOVE '        5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0     '
068500                                 TO MB20WS-SH-L8R-3
068600     END-EVALUATE.
068700*
068800*
068900 A199-OF-EXIT.
069000     EXIT.
069100/
069200 A200-PROCESS-FILES.
069300*
069400     PERFORM B100-PROCESS-MTQL   THRU B199-MTQL-EXIT.
069500*
069600     PERFORM B200-PROCESS-MTUQ   THRU B299-MTUQ-EXIT.
069700*
069800     PERFORM B300-PROCESS-MTEX   THRU B399-MTEX-EXIT.
069900*
070000 A299-PF-EXIT.
070100     EXIT.
070200/
070300 A400-CLOSE-FILES.
070400*
070500     MOVE 'C3SC'                 TO SS02WS-ABEND-LOCATION.
070600     SET MMSCRB-CLOSE            TO TRUE.
070700     PERFORM MB00PD-MMSC-ACCESS
070800        THRU MB00PD-MMSC-ACCESS-EXIT.
070900*
071000     MOVE 'C1EX'                 TO SS02WS-ABEND-LOCATION.
071100     SET MTEXRB-CLOSE            TO TRUE.
071200     PERFORM MB00PD-MTEX-ACCESS
071300        THRU MB00PD-MTEX-ACCESS-EXIT.
071400*
071500     MOVE 'C1QL'                 TO SS02WS-ABEND-LOCATION.
071600     SET MTQLRB-CLOSE            TO TRUE.
071700     PERFORM MB00PD-MTQL-ACCESS
071800        THRU MB00PD-MTQL-ACCESS-EXIT.
071900*
072000     MOVE 'C1UQ'                 TO SS02WS-ABEND-LOCATION.
072100     SET MTUQRB-CLOSE            TO TRUE.
072200     PERFORM MB00PD-MTUQ-ACCESS
072300        THRU MB00PD-MTUQ-ACCESS-EXIT.
072400*
072500     PERFORM MB20PD-CLOSE-PRINT-FILES
072600        THRU MB20PD-CPF-EXIT.
072700*
072800 A499-CF-EXIT.
072900     EXIT.
073000/
073100 B100-PROCESS-MTQL SECTION.
073200 B110-MTQL-BEGIN.
073300*
073400     IF  MMEX-QUAL-NO-RPT
073500         GO TO B199-MTQL-EXIT.
073600*
073700     SET WS-QUAL-LEVEL           TO TRUE.
073800*
073900     MOVE MTQLIO-RECORD          TO MTQL-RECORD.
074000*
074100     IF  WS-MTQL-NO-RECS
074200         GO TO B199-MTQL-EXIT.
074300*
074400     IF  MTQL-TRAILER
074500         MOVE '**** QUALIFIED TOTALS ****'
074600                                 TO  WS-PL00-LIT-1 (1:26)
074700         PERFORM MB20PD-PRINT-2-LINES
074800                                 THRU MB20PD-P2L-EXIT
074900         EVALUATE TRUE
075000             WHEN MMEX-TARGET-MERCHANT-YES
075100                 PERFORM D100-MERCH-TOTALS
075200                                     THRU D199-MT-EXIT
075300             WHEN MMEX-TARGET-STORE-YES
075400                 PERFORM D200-STORE-TOTALS
075500                                     THRU D299-ST-EXIT
075600             WHEN MMEX-TARGET-PRODUCT-YES
075700                 PERFORM D300-PROD-TOTALS
075800                                     THRU D399-PT-EXIT
075900         END-EVALUATE
076000         IF  MMEX-QUAL-TOTAL-RPT
076100             MOVE WS-HEADING-LINE-5
076200                                 TO MB20WS-SH-L5
076300             MOVE WS-HEADING-LINE-6
076400                                 TO MB20WS-SH-L6
076500             MOVE WS-HEADING-LINE-7
076600                                 TO MB20WS-SH-L7
076700             MOVE WS-HEADING-LINE-8
076800                                 TO MB20WS-SH-L8
076900         END-IF
077000         GO TO B199-MTQL-EXIT.
077100*
077200     IF  MMEX-QUAL-TOTAL-RPT
077300     AND WS-1ST-QUAL-REC
077400         SET WS-1ST-QUAL-REC-OFF TO TRUE
077500         MOVE MB20WS-SH-L5       TO WS-HEADING-LINE-5
077600         MOVE MB20WS-SH-L6       TO WS-HEADING-LINE-6
077700         MOVE MB20WS-SH-L7       TO WS-HEADING-LINE-7
077800         MOVE MB20WS-SH-L8       TO WS-HEADING-LINE-8
077900         MOVE SPACES             TO MB20WS-SH-L5
078000                                    MB20WS-SH-L6
078100                                    MB20WS-SH-L7
078200                                    MB20WS-SH-L8.
078300*
078400     EVALUATE TRUE
078500         WHEN MMEX-TARGET-MERCHANT-YES
078600             PERFORM C100-PROCESS-MERCHANTS
078700                                 THRU C199-PM-EXIT
078800         WHEN MMEX-TARGET-STORE-YES
078900             PERFORM C200-PROCESS-STORES
079000                                 THRU C299-PS-EXIT
079100         WHEN MMEX-TARGET-PRODUCT-YES
079200             PERFORM C300-PROCESS-PRODUCTS
079300                                 THRU C399-PP-EXIT
079400     END-EVALUATE.
079500*
079600     MOVE 'R0QL'                 TO SS02WS-ABEND-LOCATION.
079700     SET MTQLRB-READ-SEQ         TO TRUE.
079800     PERFORM MB00PD-MTQL-ACCESS
079900        THRU MB00PD-MTQL-ACCESS-EXIT.
080000*
080100*
080200     GO TO B100-PROCESS-MTQL.
080300*
080400 B199-MTQL-EXIT.
080500     EXIT.
080600/
080700 B200-PROCESS-MTUQ SECTION.
080800 B210-MTUQ-BEGIN.
080900*
081000     IF  MMEX-UNQUAL-NO-RPT
081100         GO TO B299-MTUQ-EXIT.
081200*
081300     MOVE MTUQIO-RECORD          TO MTQL-RECORD.
081400*
081500     SET WS-UNQUAL-LEVEL         TO TRUE.
081600*
081700     MOVE '       *---UNQUALIFIED SELECTION RESULTS---*'
081800                                 TO MB20WS-SH-L4R-3.
081900*
082000     IF  WS-MTUQ-NO-RECS
082100         GO TO B299-MTUQ-EXIT.
082200*
082300     IF  MTQL-TRAILER
082400         MOVE '**** UNQUALIFIED TOTALS ****'
082500                                 TO  WS-PL00-LIT-1 (1:28)
082600         PERFORM MB20PD-PRINT-2-LINES
082700                                 THRU MB20PD-P2L-EXIT
082800         EVALUATE TRUE
082900             WHEN MMEX-TARGET-MERCHANT-YES
083000                 PERFORM D100-MERCH-TOTALS
083100                                     THRU D199-MT-EXIT
083200             WHEN MMEX-TARGET-STORE-YES
083300                 PERFORM D200-STORE-TOTALS
083400                                     THRU D299-ST-EXIT
083500             WHEN MMEX-TARGET-PRODUCT-YES
083600                 PERFORM D300-PROD-TOTALS
083700                                     THRU D399-PT-EXIT
083800         END-EVALUATE
083900         GO TO B299-MTUQ-EXIT.
084000*
084100     IF  MMEX-UNQUAL-TOTAL-RPT
084200         MOVE SPACES             TO MB20WS-SH-L5
084300                                    MB20WS-SH-L6
084400                                    MB20WS-SH-L7
084500                                    MB20WS-SH-L8.
084600*
084700     EVALUATE TRUE
084800         WHEN MMEX-TARGET-MERCHANT-YES
084900             PERFORM C100-PROCESS-MERCHANTS
085000                                 THRU C199-PM-EXIT
085100         WHEN MMEX-TARGET-STORE-YES
085200             PERFORM C200-PROCESS-STORES
085300                                 THRU C299-PS-EXIT
085400         WHEN MMEX-TARGET-PRODUCT-YES
085500             PERFORM C300-PROCESS-PRODUCTS
085600                                 THRU C399-PP-EXIT
085700     END-EVALUATE.
085800*
085900     MOVE 'R2UQ'                 TO SS02WS-ABEND-LOCATION.
086000     SET MTUQRB-READ-SEQ         TO TRUE.
086100     PERFORM MB00PD-MTUQ-ACCESS
086200        THRU MB00PD-MTUQ-ACCESS-EXIT.
086300*
086400     GO TO B200-PROCESS-MTUQ.
086500*
086600 B299-MTUQ-EXIT.
086700     EXIT.
086800/
086900 B300-PROCESS-MTEX SECTION.
087000 B310-MTEX-BEGIN.
087100*
087200     MOVE SPACES                 TO MB20WS-SH-L4
087300                                    MB20WS-SH-L5
087400                                    MB20WS-SH-L6
087500                                    MB20WS-SH-L7
087600                                    MB20WS-SH-L8.
087700*
087800     IF  WS-MTEX-NO-RECS
087900         MOVE '                        *-------------------'
088000                                 TO WS-PL01-LIT-1
088100         MOVE '------ NO RECORDS FOUND FOR THE MTEX FILE --'
088200                                 TO WS-PL01-LIT-2
088300         MOVE '----------*                                 '
088400                                 TO WS-PL01-LIT-3
088500         PERFORM MB20PD-PRINT-2-LINES
088600                                 THRU MB20PD-P2L-EXIT
088700         GO TO B399-MTEX-EXIT.
088800*
088900     MOVE '    CRITERIA #      *-----------------------'
089000                                 TO MB20WS-SH-L5R-1.
089100     MOVE 'SELECTION AND MAINTENANCE CRITERIA ---------'
089200                                 TO MB20WS-SH-L5R-2.
089300     MOVE '------------*     NBR TRUE     NBR FALSE    '
089400                                 TO MB20WS-SH-L5R-3.
089500*
089600     PERFORM MMEXPX-INTERPRET-DATA
089700                                 THRU MMEXPX-ID-EXIT.
089800     PERFORM
089900         VARYING X-MMEXWS-IA FROM 1 BY 1
090000         UNTIL X-MMEXWS-IA IS GREATER THAN 119
090100         OR MMEXWS-IA-TABLE (X-MMEXWS-IA) IS EQUAL TO SPACES
090200         IF  MMEXWS-IA-TABLE (X-MMEXWS-IA) (10:4)
090300                                    IS EQUAL TO 'THEN'
090400         OR  WS-WHEN-ON
090500             SET WS-WHEN-ON      TO TRUE
090600         ELSE
090700             SET WS-INDEX        TO X-MMEXWS-IA
090800             MOVE WS-INDEX       TO WS-PL00-LIT-1 (8:2)
090900             SET X-WS-INDEX      TO X-MMEXWS-IA
091000             MOVE WS-TRUE-TOT (X-WS-INDEX)
091100                                 TO WS-PL00-LIT-1 (106:11)
091200             MOVE WS-FALSE-TOT (X-WS-INDEX)
091300                                 TO WS-PL00-LIT-1 (120:11)
091400         END-IF
091500         MOVE MMEXWS-IA-ENTRY (X-MMEXWS-IA)
091600                                 TO WS-PL00-LIT-1 (22:82)
091700         PERFORM MB20PD-PRINT-1-LINE
091800                                 THRU MB20PD-P1L-EXIT
091900     END-PERFORM.
092000*
092100     MOVE SPACES                 TO WS-PL00-LIT-1.
092200     PERFORM MB20PD-PRINT-2-LINES
092300        THRU MB20PD-P2L-EXIT.
092400*
092500     MOVE '                        *-------------------'
092600                                 TO WS-PL01-LIT-1.
092700     MOVE '------ PROCESSING OPTIONS ------------------'
092800                                 TO WS-PL01-LIT-2.
092900     MOVE '----------*                                 '
093000                                 TO WS-PL01-LIT-3.
093100     PERFORM MB20PD-PRINT-2-LINES
093200                                 THRU MB20PD-P2L-EXIT.
093300*
093400     MOVE '                        *----- REPORTING OPT'
093500                                 TO WS-PL01-LIT-1.
093600     MOVE 'IONS -----*                 *--- LETTER GENE'
093700                                 TO WS-PL01-LIT-2.
093800     MOVE 'RATION ---*                                 '
093900                                 TO WS-PL01-LIT-3.
094000     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
094100*
094200     MOVE 'REPORT FORM'          TO WS-PL00-LIT-1 (25:11).
094300     MOVE MMEX-REPORT-FORM       TO WS-PL00-LIT-1 (40:02).
094400     MOVE 'FICHE'                TO WS-PL00-LIT-1 (46:05).
094500     MOVE MMEX-REPORT-FICHE      TO WS-PL00-LIT-1 (54:01).
094600     MOVE 'GENERATE LETTERS'     TO WS-PL00-LIT-1 (74:16).
094700     MOVE MMEX-GENERATE-LETTERS-IND
094800                                 TO WS-PL00-LIT-1 (100:1).
094900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
095000*
095100     MOVE 'QUALIFIED SECTION'    TO WS-PL00-LIT-1 (25:17).
095200     MOVE MMEX-QUAL-REPORT-IND   TO WS-PL00-LIT-1 (54:01).
095300     MOVE 'LETTER ORG'           TO WS-PL00-LIT-1 (74:10).
095400     MOVE MMEX-LETTER-ORG        TO WS-PL00-LIT-1 (98:3).
095500     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
095600*
095700     MOVE 'UNQUALIFIED SECTION'  TO WS-PL00-LIT-1 (25:19).
095800     MOVE MMEX-UNQUAL-REPORT-IND TO WS-PL00-LIT-1 (54:01).
095900     MOVE 'LETTER ID    '        TO WS-PL00-LIT-1 (74:13).
096000     MOVE MMEX-LETTER-NBR        TO WS-PL00-LIT-1 (98:3).
096100     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
096200*
096300     MOVE '                        *------- LABEL OPTIO'
096400                                 TO WS-PL01-LIT-1
096500     MOVE 'NS -------*                 *--- INTERFACE O'
096600                                 TO WS-PL01-LIT-2
096700     MOVE 'RPTIONS --*                                 '
096800                                 TO WS-PL01-LIT-3
096900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
097000*
097100     MOVE 'GENERATE LABELS'      TO WS-PL00-LIT-1 (25:15).
097200     MOVE MMEX-LABEL-IND         TO WS-PL00-LIT-1 (54:01).
097300     MOVE 'MAINTENANCE INTERFACE'
097400                                 TO WS-PL00-LIT-1 (74:21).
097500     MOVE MMEX-MAINT-INTERFACE-IND
097600                                 TO WS-PL00-LIT-1 (100:01).
097700     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
097800*
097900     MOVE 'LABEL ZIP SORT'       TO WS-PL00-LIT-1 (25:14).
098000     MOVE MMEX-LABEL-ZIP-IND     TO WS-PL00-LIT-1 (54:01).
098100     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
098200*
098300     MOVE SPACES                 TO WS-PL01-LIT-1.
098400     MOVE '                            *------ TARGET F'
098500                                 TO WS-PL01-LIT-2.
098600     MOVE 'ILE ------*                                 '
098700                                 TO WS-PL01-LIT-3.
098800     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
098900*
099000     MOVE 'STORE MASTER'         TO WS-PL00-LIT-1 (74:12).
099100     MOVE MMEX-TARGET-STORE-IND  TO WS-PL00-LIT-1 (100:1).
099200     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
099300*
099400     MOVE 'MERCHANT MASTER'      TO WS-PL00-LIT-1 (74:15).
099500     MOVE MMEX-TARGET-MERCHANT-IND
099600                                 TO WS-PL00-LIT-1 (100:1).
099700     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
099800*
099900     MOVE 'MERCHANT PRODUCT'     TO WS-PL00-LIT-1 (74:16).
100000     MOVE MMEX-TARGET-PRODUCT-IND
100100                                 TO WS-PL00-LIT-1 (100:1).
100200     PERFORM MB20PD-PRINT-2-LINES
100300                                 THRU MB20PD-P2L-EXIT.
100400*
100500 B399-MTEX-EXIT.
100600     EXIT.
100700*
100800 C100-PROCESS-MERCHANTS.
100900*
101000     MOVE 6                      TO WS-LINES.
101100     PERFORM F010-CHECK-NBR-LINES
101200                                 THRU F099-CNL-EXIT.
101300*
101400     ADD  1                      TO WS-MERCH-NBR-RECS.
101500     ADD  MTQL-BAL-SETT          TO WS-MERCH-TOT-SETT.
101600     ADD  MTQL-BAL-RESV-1        TO WS-MERCH-TOT-RESV-1.
101700     ADD  MTQL-BAL-RESV-2        TO WS-MERCH-TOT-RESV-2.
101800     ADD  MTQL-BAL-RESV-3        TO WS-MERCH-TOT-RESV-3.
101900     ADD  MTQL-BAL-RESV-4        TO WS-MERCH-TOT-RESV-4.
102000*
102100     PERFORM
102200         VARYING X-MTQL-STF FROM 1 BY 1
102300         UNTIL X-MTQL-STF IS GREATER THAN 70
102400         SET X-WS-INDEX          TO X-MTQL-STF
102500         EVALUATE TRUE
102600           WHEN MTQL-STF-IS-TRUE (X-MTQL-STF)
102700             ADD 1               TO WS-TRUE-TOT (X-WS-INDEX)
102800           WHEN MTQL-STF-IS-FALSE (X-MTQL-STF)
102900             ADD 1               TO WS-FALSE-TOT (X-WS-INDEX)
103000         END-EVALUATE
103100     END-PERFORM.
103200*
103300     IF  WS-QUAL-LEVEL
103400     AND MMEX-QUAL-TOTAL-RPT
103500         GO TO C199-PM-EXIT.
103600*
103700     IF  WS-UNQUAL-LEVEL
103800     AND MMEX-UNQUAL-TOTAL-RPT
103900         GO TO C199-PM-EXIT.
104000*
104100     MOVE MTQL-ORG               TO WS-PL03-ORG.
104200     MOVE SPACES                 TO WS-PL03-REST-MERCH.
104300     MOVE MTQL-DBA-NAME          TO WS-PL03-ALPHA-1.
104400     MOVE MTQL-DISC-FREQ-1       TO WS-PL03-FREQ-1.
104500     MOVE MTQL-DISC-FREQ-2       TO WS-PL03-FREQ-2.
104600     MOVE MTQL-DATE-LAST-DISC    TO SS01WS-JULIAN.
104700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
104800                                 THRU SS26PD-NED-EXIT.
104900     MOVE SS01WS-XX-XX-YYYY      TO WS-PL03-1ST-DATE.
105000     MOVE MTQL-AGENT-BANK        TO WS-PL03-AGENT.
105100     MOVE SPACES                 TO WS-PL03-REST-BRANCH.
105200     MOVE MTQL-DATE-LAST-VISIT   TO SS01WS-JULIAN.
105300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
105400                                 THRU SS26PD-NED-EXIT.
105500     MOVE SS01WS-XX-XX-YYYY      TO WS-PL03-2ND-DATE.
105600     MOVE MTQL-BAL-SETT          TO SS95WS-IN-AMT.
105700     PERFORM SS95PD-NAP-ROUTINE
105800                                 THRU SS95PD-NAP-EXIT.
105900     MOVE SS95WS-OUT-AMT-L21     TO WS-PL03-AMOUNTS.
106000     MOVE MTQL-STF-ENTRY (1)     TO WS-PL03-SEL-1.
106100     MOVE MTQL-STF-ENTRY (2)     TO WS-PL03-SEL-2.
106200     MOVE MTQL-STF-ENTRY (3)     TO WS-PL03-SEL-3.
106300     MOVE MTQL-STF-ENTRY (4)     TO WS-PL03-SEL-4.
106400     MOVE MTQL-STF-ENTRY (5)     TO WS-PL03-SEL-5.
106500     MOVE MTQL-STF-ENTRY (6)     TO WS-PL03-SEL-6.
106600     MOVE MTQL-STF-ENTRY (7)     TO WS-PL03-SEL-7.
106700     MOVE MTQL-STF-ENTRY (8)     TO WS-PL03-SEL-8.
106800     MOVE MTQL-STF-ENTRY (9)     TO WS-PL03-SEL-9.
106900     MOVE MTQL-STF-ENTRY (10)    TO WS-PL03-SEL-10.
107000     MOVE MTQL-STF-ENTRY (11)    TO WS-PL03-SEL-11.
107100     MOVE MTQL-STF-ENTRY (12)    TO WS-PL03-SEL-12.
107200     MOVE MTQL-STF-ENTRY (13)    TO WS-PL03-SEL-13.
107300     MOVE MTQL-STF-ENTRY (14)    TO WS-PL03-SEL-14.
107400     MOVE MTQL-STF-ENTRY (15)    TO WS-PL03-SEL-15.
107500     MOVE MTQL-STF-ENTRY (16)    TO WS-PL03-SEL-16.
107600     MOVE MTQL-STF-ENTRY (17)    TO WS-PL03-SEL-17.
107700     MOVE MTQL-STF-ENTRY (18)    TO WS-PL03-SEL-18.
107800     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
107900*
108000     MOVE MTQL-MERCHANT          TO WS-PL03-MERCHANT.
108100     MOVE MTQL-DBA-CITY          TO WS-PL03-ALPHA-1 (1:13).
108200     MOVE MTQL-DBA-COUNTRY-CODE  TO WS-PL03-ALPHA-1 (15:3).
108300     MOVE MTQL-PART-FREQ-1       TO WS-PL03-FREQ-1.
108400     MOVE MTQL-PART-FREQ-2       TO WS-PL03-FREQ-2.
108500     MOVE MTQL-DATE-LAST-PART    TO SS01WS-JULIAN.
108600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
108700                                 THRU SS26PD-NED-EXIT.
108800     MOVE SS01WS-XX-XX-YYYY      TO WS-PL03-1ST-DATE.
108900     MOVE MTQL-BRANCH            TO WS-PL03-BRANCH.
109000     MOVE MTQL-DATE-LAST-REVIEW  TO SS01WS-JULIAN.
109100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
109200                                 THRU SS26PD-NED-EXIT.
109300     MOVE SS01WS-XX-XX-YYYY      TO WS-PL03-2ND-DATE.
109400     MOVE MTQL-BAL-RESV-1        TO SS95WS-IN-AMT.
109500     PERFORM SS95PD-NAP-ROUTINE
109600                                 THRU SS95PD-NAP-EXIT.
109700     MOVE SS95WS-OUT-AMT-L21     TO WS-PL03-AMOUNTS.
109800     MOVE MTQL-STF-ENTRY (19)    TO WS-PL03-SEL-1.
109900     MOVE MTQL-STF-ENTRY (20)    TO WS-PL03-SEL-2.
110000     MOVE MTQL-STF-ENTRY (21)    TO WS-PL03-SEL-3.
110100     MOVE MTQL-STF-ENTRY (22)    TO WS-PL03-SEL-4.
110200     MOVE MTQL-STF-ENTRY (23)    TO WS-PL03-SEL-5.
110300     MOVE MTQL-STF-ENTRY (24)    TO WS-PL03-SEL-6.
110400     MOVE MTQL-STF-ENTRY (25)    TO WS-PL03-SEL-7.
110500     MOVE MTQL-STF-ENTRY (26)    TO WS-PL03-SEL-8.
110600     MOVE MTQL-STF-ENTRY (27)    TO WS-PL03-SEL-9.
110700     MOVE MTQL-STF-ENTRY (28)    TO WS-PL03-SEL-10.
110800     MOVE MTQL-STF-ENTRY (29)    TO WS-PL03-SEL-11.
110900     MOVE MTQL-STF-ENTRY (30)    TO WS-PL03-SEL-12.
111000     MOVE MTQL-STF-ENTRY (31)    TO WS-PL03-SEL-13.
111100     MOVE MTQL-STF-ENTRY (32)    TO WS-PL03-SEL-14.
111200     MOVE MTQL-STF-ENTRY (33)    TO WS-PL03-SEL-15.
111300     MOVE MTQL-STF-ENTRY (34)    TO WS-PL03-SEL-16.
111400     MOVE MTQL-STF-ENTRY (35)    TO WS-PL03-SEL-17.
111500     MOVE MTQL-STF-ENTRY (36)    TO WS-PL03-SEL-18.
111600     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
111700*
111800     MOVE MTQL-CONTACT           TO WS-PRINT-LINE-03(1:35).
111900     MOVE MTQL-SETT-FREQ-1       TO WS-PL03-FREQ-1.
112000     MOVE MTQL-SETT-FREQ-2       TO WS-PL03-FREQ-2.
112100     MOVE MTQL-DATE-LAST-SETT    TO SS01WS-JULIAN.
112200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
112300                                 THRU SS26PD-NED-EXIT.
112400     MOVE SS01WS-XX-XX-YYYY      TO WS-PL03-1ST-DATE.
112500     MOVE MTQL-NBR-STORES        TO WS-PL03-BRANCH.
112600     MOVE MTQL-DATE-OPENED       TO SS01WS-JULIAN.
112700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
112800                                 THRU SS26PD-NED-EXIT.
112900     MOVE SS01WS-XX-XX-YYYY      TO WS-PL03-2ND-DATE.
113000     MOVE MTQL-BAL-RESV-2        TO SS95WS-IN-AMT.
113100     PERFORM SS95PD-NAP-ROUTINE
113200                                 THRU SS95PD-NAP-EXIT.
113300     MOVE SS95WS-OUT-AMT-L21     TO WS-PL03-AMOUNTS.
113400     MOVE MTQL-STF-ENTRY (37)    TO WS-PL03-SEL-1.
113500     MOVE MTQL-STF-ENTRY (38)    TO WS-PL03-SEL-2.
113600     MOVE MTQL-STF-ENTRY (39)    TO WS-PL03-SEL-3.
113700     MOVE MTQL-STF-ENTRY (40)    TO WS-PL03-SEL-4.
113800     MOVE MTQL-STF-ENTRY (41)    TO WS-PL03-SEL-5.
113900     MOVE MTQL-STF-ENTRY (42)    TO WS-PL03-SEL-6.
114000     MOVE MTQL-STF-ENTRY (43)    TO WS-PL03-SEL-7.
114100     MOVE MTQL-STF-ENTRY (44)    TO WS-PL03-SEL-8.
114200     MOVE MTQL-STF-ENTRY (45)    TO WS-PL03-SEL-9.
114300     MOVE MTQL-STF-ENTRY (46)    TO WS-PL03-SEL-10.
114400     MOVE MTQL-STF-ENTRY (47)    TO WS-PL03-SEL-11.
114500     MOVE MTQL-STF-ENTRY (48)    TO WS-PL03-SEL-12.
114600     MOVE MTQL-STF-ENTRY (49)    TO WS-PL03-SEL-13.
114700     MOVE MTQL-STF-ENTRY (50)    TO WS-PL03-SEL-14.
114800     MOVE MTQL-STF-ENTRY (51)    TO WS-PL03-SEL-15.
114900     MOVE MTQL-STF-ENTRY (52)    TO WS-PL03-SEL-16.
115000     MOVE MTQL-STF-ENTRY (53)    TO WS-PL03-SEL-17.
115100     MOVE MTQL-STF-ENTRY (54)    TO WS-PL03-SEL-18.
115200     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
115300*
115400     MOVE MTQL-CONTACT-PHONE     TO WS-PL03-ALPHA-1.
115500     MOVE MTQL-STMT-FREQ-1       TO WS-PL03-FREQ-1.
115600     MOVE MTQL-STMT-FREQ-2       TO WS-PL03-FREQ-2.
115700     MOVE MTQL-DATE-LAST-STMT    TO SS01WS-JULIAN.
115800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
115900                                 THRU SS26PD-NED-EXIT.
116000     MOVE SS01WS-XX-XX-YYYY      TO WS-PL03-1ST-DATE.
116100     MOVE MTQL-BLOCK-CODE        TO WS-PL03-AGENT-X (9:1).
116200     MOVE MTQL-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
116300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
116400                                 THRU SS26PD-NED-EXIT.
116500     MOVE SS01WS-XX-XX-YYYY      TO WS-PL03-2ND-DATE.
116600     MOVE MTQL-BAL-RESV-3        TO SS95WS-IN-AMT.
116700     PERFORM SS95PD-NAP-ROUTINE
116800                                 THRU SS95PD-NAP-EXIT.
116900     MOVE SS95WS-OUT-AMT-L21     TO WS-PL03-AMOUNTS.
117000     MOVE MTQL-STF-ENTRY (55)    TO WS-PL03-SEL-1.
117100     MOVE MTQL-STF-ENTRY (56)    TO WS-PL03-SEL-2.
117200     MOVE MTQL-STF-ENTRY (57)    TO WS-PL03-SEL-3.
117300     MOVE MTQL-STF-ENTRY (58)    TO WS-PL03-SEL-4.
117400     MOVE MTQL-STF-ENTRY (59)    TO WS-PL03-SEL-5.
117500     MOVE MTQL-STF-ENTRY (60)    TO WS-PL03-SEL-6.
117600     MOVE MTQL-STF-ENTRY (61)    TO WS-PL03-SEL-7.
117700     MOVE MTQL-STF-ENTRY (62)    TO WS-PL03-SEL-8.
117800     MOVE MTQL-STF-ENTRY (63)    TO WS-PL03-SEL-9.
117900     MOVE MTQL-STF-ENTRY (64)    TO WS-PL03-SEL-10.
118000     MOVE MTQL-STF-ENTRY (65)    TO WS-PL03-SEL-11.
118100     MOVE MTQL-STF-ENTRY (66)    TO WS-PL03-SEL-12.
118200     MOVE MTQL-STF-ENTRY (67)    TO WS-PL03-SEL-13.
118300     MOVE MTQL-STF-ENTRY (68)    TO WS-PL03-SEL-14.
118400     MOVE MTQL-STF-ENTRY (69)    TO WS-PL03-SEL-15.
118500     MOVE MTQL-STF-ENTRY (70)    TO WS-PL03-SEL-16.
118600     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
118700*
118800     MOVE MTQL-BAL-RESV-4        TO SS95WS-IN-AMT.
118900     PERFORM SS95PD-NAP-ROUTINE
119000                                 THRU SS95PD-NAP-EXIT.
119100     MOVE SS95WS-OUT-AMT-L21     TO WS-PL03-AMOUNTS.
119200     PERFORM MB20PD-PRINT-2-LINES
119300                                 THRU MB20PD-P2L-EXIT.
119400*
119500 C199-PM-EXIT.
119600     EXIT.
119700*
119800 C200-PROCESS-STORES.
119900*
120000     MOVE 6                      TO WS-LINES.
120100     PERFORM F010-CHECK-NBR-LINES
120200                                 THRU F099-CNL-EXIT.
120300*
120400     ADD  1                      TO WS-STORE-NBR-RECS.
120500     ADD  MTQL-IMP-DEV-NBR (1)   TO WS-STORE-TOT-IMP-1.
120600     ADD  MTQL-IMP-DEV-NBR (2)   TO WS-STORE-TOT-IMP-2.
120700     ADD  MTQL-IMP-DEV-NBR (3)   TO WS-STORE-TOT-IMP-3.
120800     ADD  MTQL-POS-DEV-NBR (1)   TO WS-STORE-TOT-POS-1.
120900     ADD  MTQL-POS-DEV-NBR (2)   TO WS-STORE-TOT-POS-2.
121000     ADD  MTQL-POS-DEV-NBR (3)   TO WS-STORE-TOT-POS-3.
121100*
121200     PERFORM
121300         VARYING X-MTQL-STF FROM 1 BY 1
121400         UNTIL X-MTQL-STF IS GREATER THAN 70
121500         SET X-WS-INDEX          TO X-MTQL-STF
121600         EVALUATE TRUE
121700           WHEN MTQL-STF-IS-TRUE (X-MTQL-STF)
121800             ADD 1               TO WS-TRUE-TOT (X-WS-INDEX)
121900           WHEN MTQL-STF-IS-FALSE (X-MTQL-STF)
122000             ADD 1               TO WS-FALSE-TOT (X-WS-INDEX)
122100         END-EVALUATE
122200     END-PERFORM.
122300*
122400     IF  WS-QUAL-LEVEL
122500     AND MMEX-QUAL-TOTAL-RPT
122600         GO TO C299-PS-EXIT.
122700*
122800     IF  WS-UNQUAL-LEVEL
122900     AND MMEX-UNQUAL-TOTAL-RPT
123000         GO TO C299-PS-EXIT.
123100*
123200     MOVE MTQL-ORG               TO WS-PL04-ORG.
123300     MOVE SPACES                 TO WS-PL04-REST-STORE.
123400     MOVE MTQL-DBA-NAME          TO WS-PL04-ALPHA-1.
123500     MOVE MTQL-VI-CATEGORY-CODE  TO WS-PL04-MCC.
123600     MOVE MTQL-VI-INTCHG-FLAG    TO WS-PL04-IND.
123700     MOVE SPACES                 TO WS-PL04-REST-GOV-STATE.
123800     MOVE MTQL-AGENT-BANK        TO WS-PL04-AGENT.
123900     MOVE SPACES                 TO WS-PL04-REST-BRANCH.
124000     MOVE MTQL-DATE-LAST-VISIT   TO SS01WS-JULIAN.
124100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
124200                                 THRU SS26PD-NED-EXIT.
124300     MOVE SS01WS-XX-XX-YYYY      TO WS-PL04-1ST-DATE.
124400     MOVE MTQL-IMP-DEV-NBR (1)   TO SS95WS-IN-NBR.
124500     PERFORM SS95PD-NAP-ROUTINE
124600                                 THRU SS95PD-NAP-EXIT.
124700     MOVE SS95WS-OUT-NBR-L09     TO WS-PL04-NBR-1.
124800     MOVE MTQL-POS-DEV-NBR (1)   TO SS95WS-IN-NBR.
124900     PERFORM SS95PD-NAP-ROUTINE
125000                                 THRU SS95PD-NAP-EXIT.
125100     MOVE SS95WS-OUT-NBR-L09     TO WS-PL04-NBR-2.
125200     MOVE MTQL-STF-ENTRY (1)     TO WS-PL04-SEL-1.
125300     MOVE MTQL-STF-ENTRY (2)     TO WS-PL04-SEL-2.
125400     MOVE MTQL-STF-ENTRY (3)     TO WS-PL04-SEL-3.
125500     MOVE MTQL-STF-ENTRY (4)     TO WS-PL04-SEL-4.
125600     MOVE MTQL-STF-ENTRY (5)     TO WS-PL04-SEL-5.
125700     MOVE MTQL-STF-ENTRY (6)     TO WS-PL04-SEL-6.
125800     MOVE MTQL-STF-ENTRY (7)     TO WS-PL04-SEL-7.
125900     MOVE MTQL-STF-ENTRY (8)     TO WS-PL04-SEL-8.
126000     MOVE MTQL-STF-ENTRY (9)     TO WS-PL04-SEL-9.
126100     MOVE MTQL-STF-ENTRY (10)    TO WS-PL04-SEL-10.
126200     MOVE MTQL-STF-ENTRY (11)    TO WS-PL04-SEL-11.
126300     MOVE MTQL-STF-ENTRY (12)    TO WS-PL04-SEL-12.
126400     MOVE MTQL-STF-ENTRY (13)    TO WS-PL04-SEL-13.
126500     MOVE MTQL-STF-ENTRY (14)    TO WS-PL04-SEL-14.
126600     MOVE MTQL-STF-ENTRY (15)    TO WS-PL04-SEL-15.
126700     MOVE MTQL-STF-ENTRY (16)    TO WS-PL04-SEL-16.
126800     MOVE MTQL-STF-ENTRY (17)    TO WS-PL04-SEL-17.
126900     MOVE MTQL-STF-ENTRY (18)    TO WS-PL04-SEL-18.
127000     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
127100*
127200     MOVE MTQL-STORE             TO WS-PL04-STORE.
127300     MOVE MTQL-DBA-CITY          TO WS-PL04-ALPHA-1 (1:13).
127400     MOVE MTQL-DBA-COUNTRY-CODE  TO WS-PL04-ALPHA-1 (15:3).
127500     MOVE MTQL-MC-CATEGORY-CODE  TO WS-PL04-MCC.
127600     MOVE MTQL-MC-INTCHG-FLAG    TO WS-PL04-IND.
127700     MOVE MTQL-BRANCH            TO WS-PL04-BRANCH.
127800     MOVE MTQL-DATE-LAST-REVIEW  TO SS01WS-JULIAN.
127900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
128000                                 THRU SS26PD-NED-EXIT.
128100     MOVE SS01WS-XX-XX-YYYY      TO WS-PL04-1ST-DATE.
128200     MOVE MTQL-IMP-DEV-NBR (2)   TO SS95WS-IN-NBR.
128300     PERFORM SS95PD-NAP-ROUTINE
128400                                 THRU SS95PD-NAP-EXIT.
128500     MOVE SS95WS-OUT-NBR-L09     TO WS-PL04-NBR-1.
128600     MOVE MTQL-POS-DEV-NBR (2)   TO SS95WS-IN-NBR.
128700     PERFORM SS95PD-NAP-ROUTINE
128800                                 THRU SS95PD-NAP-EXIT.
128900     MOVE SS95WS-OUT-NBR-L09     TO WS-PL04-NBR-2.
129000     MOVE MTQL-STF-ENTRY (19)    TO WS-PL04-SEL-1.
129100     MOVE MTQL-STF-ENTRY (20)    TO WS-PL04-SEL-2.
129200     MOVE MTQL-STF-ENTRY (21)    TO WS-PL04-SEL-3.
129300     MOVE MTQL-STF-ENTRY (22)    TO WS-PL04-SEL-4.
129400     MOVE MTQL-STF-ENTRY (23)    TO WS-PL04-SEL-5.
129500     MOVE MTQL-STF-ENTRY (24)    TO WS-PL04-SEL-6.
129600     MOVE MTQL-STF-ENTRY (25)    TO WS-PL04-SEL-7.
129700     MOVE MTQL-STF-ENTRY (26)    TO WS-PL04-SEL-8.
129800     MOVE MTQL-STF-ENTRY (27)    TO WS-PL04-SEL-9.
129900     MOVE MTQL-STF-ENTRY (28)    TO WS-PL04-SEL-10.
130000     MOVE MTQL-STF-ENTRY (29)    TO WS-PL04-SEL-11.
130100     MOVE MTQL-STF-ENTRY (30)    TO WS-PL04-SEL-12.
130200     MOVE MTQL-STF-ENTRY (31)    TO WS-PL04-SEL-13.
130300     MOVE MTQL-STF-ENTRY (32)    TO WS-PL04-SEL-14.
130400     MOVE MTQL-STF-ENTRY (33)    TO WS-PL04-SEL-15.
130500     MOVE MTQL-STF-ENTRY (34)    TO WS-PL04-SEL-16.
130600     MOVE MTQL-STF-ENTRY (35)    TO WS-PL04-SEL-17.
130700     MOVE MTQL-STF-ENTRY (36)    TO WS-PL04-SEL-18.
130800     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
130900*
131000     MOVE MTQL-CONTACT           TO WS-PRINT-LINE-04(1:35).
131100     MOVE MTQL-GOVERNING-STATE   TO WS-PL04-GOV-STATE.
131200     MOVE MTQL-DATE-OPENED       TO SS01WS-JULIAN.
131300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
131400                                 THRU SS26PD-NED-EXIT.
131500     MOVE SS01WS-XX-XX-YYYY      TO WS-PL04-1ST-DATE.
131600     MOVE MTQL-IMP-DEV-NBR (3)   TO SS95WS-IN-NBR.
131700     PERFORM SS95PD-NAP-ROUTINE
131800                                 THRU SS95PD-NAP-EXIT.
131900     MOVE SS95WS-OUT-NBR-L09     TO WS-PL04-NBR-1.
132000     MOVE MTQL-POS-DEV-NBR (3)   TO SS95WS-IN-NBR.
132100     PERFORM SS95PD-NAP-ROUTINE
132200                                 THRU SS95PD-NAP-EXIT.
132300     MOVE SS95WS-OUT-NBR-L09     TO WS-PL04-NBR-2.
132400     MOVE MTQL-STF-ENTRY (37)    TO WS-PL04-SEL-1.
132500     MOVE MTQL-STF-ENTRY (38)    TO WS-PL04-SEL-2.
132600     MOVE MTQL-STF-ENTRY (39)    TO WS-PL04-SEL-3.
132700     MOVE MTQL-STF-ENTRY (40)    TO WS-PL04-SEL-4.
132800     MOVE MTQL-STF-ENTRY (41)    TO WS-PL04-SEL-5.
132900     MOVE MTQL-STF-ENTRY (42)    TO WS-PL04-SEL-6.
133000     MOVE MTQL-STF-ENTRY (43)    TO WS-PL04-SEL-7.
133100     MOVE MTQL-STF-ENTRY (44)    TO WS-PL04-SEL-8.
133200     MOVE MTQL-STF-ENTRY (45)    TO WS-PL04-SEL-9.
133300     MOVE MTQL-STF-ENTRY (46)    TO WS-PL04-SEL-10.
133400     MOVE MTQL-STF-ENTRY (47)    TO WS-PL04-SEL-11.
133500     MOVE MTQL-STF-ENTRY (48)    TO WS-PL04-SEL-12.
133600     MOVE MTQL-STF-ENTRY (49)    TO WS-PL04-SEL-13.
133700     MOVE MTQL-STF-ENTRY (50)    TO WS-PL04-SEL-14.
133800     MOVE MTQL-STF-ENTRY (51)    TO WS-PL04-SEL-15.
133900     MOVE MTQL-STF-ENTRY (52)    TO WS-PL04-SEL-16.
134000     MOVE MTQL-STF-ENTRY (53)    TO WS-PL04-SEL-17.
134100     MOVE MTQL-STF-ENTRY (54)    TO WS-PL04-SEL-18.
134200     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
134300*
134400     MOVE MTQL-CONTACT-PHONE     TO WS-PL05-ALPHA-1.
134500     MOVE MTQL-STORE-TYPE        TO WS-PL05-STORE-TYPE.
134600     MOVE MTQL-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
134700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
134800                                 THRU SS26PD-NED-EXIT.
134900     MOVE SS01WS-XX-XX-YYYY      TO WS-PL05-2ND-DATE.
135000     MOVE MTQL-STF-ENTRY (55)    TO WS-PL05-SEL-1.
135100     MOVE MTQL-STF-ENTRY (56)    TO WS-PL05-SEL-2.
135200     MOVE MTQL-STF-ENTRY (57)    TO WS-PL05-SEL-3.
135300     MOVE MTQL-STF-ENTRY (58)    TO WS-PL05-SEL-4.
135400     MOVE MTQL-STF-ENTRY (59)    TO WS-PL05-SEL-5.
135500     MOVE MTQL-STF-ENTRY (60)    TO WS-PL05-SEL-6.
135600     MOVE MTQL-STF-ENTRY (61)    TO WS-PL05-SEL-7.
135700     MOVE MTQL-STF-ENTRY (62)    TO WS-PL05-SEL-8.
135800     MOVE MTQL-STF-ENTRY (63)    TO WS-PL05-SEL-9.
135900     MOVE MTQL-STF-ENTRY (64)    TO WS-PL05-SEL-10.
136000     MOVE MTQL-STF-ENTRY (65)    TO WS-PL05-SEL-11.
136100     MOVE MTQL-STF-ENTRY (66)    TO WS-PL05-SEL-12.
136200     MOVE MTQL-STF-ENTRY (67)    TO WS-PL05-SEL-13.
136300     MOVE MTQL-STF-ENTRY (68)    TO WS-PL05-SEL-14.
136400     MOVE MTQL-STF-ENTRY (69)    TO WS-PL05-SEL-15.
136500     MOVE MTQL-STF-ENTRY (70)    TO WS-PL05-SEL-16.
136600     PERFORM MB20PD-PRINT-2-LINES
136700                                 THRU MB20PD-P2L-EXIT.
136800*
136900 C299-PS-EXIT.
137000     EXIT.
137100*
137200 C300-PROCESS-PRODUCTS.
137300*
137400     MOVE 6                      TO WS-LINES.
137500     PERFORM F010-CHECK-NBR-LINES
137600                                 THRU F099-CNL-EXIT.
137700*
137800     ADD  1                      TO WS-PROD-NBR-RECS.
137900*
138000     PERFORM
138100         VARYING X-MTQL-STF FROM 1 BY 1
138200         UNTIL X-MTQL-STF IS GREATER THAN 70
138300         SET X-WS-INDEX          TO X-MTQL-STF
138400         EVALUATE TRUE
138500           WHEN MTQL-STF-IS-TRUE (X-MTQL-STF)
138600             ADD 1               TO WS-TRUE-TOT (X-WS-INDEX)
138700           WHEN MTQL-STF-IS-FALSE (X-MTQL-STF)
138800             ADD 1               TO WS-FALSE-TOT (X-WS-INDEX)
138900         END-EVALUATE
139000     END-PERFORM.
139100*
139200     IF  WS-QUAL-LEVEL
139300     AND MMEX-QUAL-TOTAL-RPT
139400         GO TO C399-PP-EXIT.
139500*
139600     IF  WS-UNQUAL-LEVEL
139700     AND MMEX-UNQUAL-TOTAL-RPT
139800         GO TO C399-PP-EXIT.
139900*
140000     MOVE MTQL-ORG               TO WS-PL06-ORG.
140100     MOVE SPACES                 TO WS-PL06-REST-MERCH.
140200     MOVE MTQL-DBA-NAME          TO WS-PL06-ALPHA-1.
140300     MOVE MTQL-PRODUCT-DESC      TO WS-PL06-PROD-NAME.
140400     MOVE MTQL-PROD-SETTLE-FLAG  TO WS-PL06-FLAG.
140500     MOVE MTQL-PROD-USER-CODE    TO WS-PL06-ALPHA-2.
140600     MOVE MTQL-STF-ENTRY (1)     TO WS-PL06-SEL-1.
140700     MOVE MTQL-STF-ENTRY (2)     TO WS-PL06-SEL-2.
140800     MOVE MTQL-STF-ENTRY (3)     TO WS-PL06-SEL-3.
140900     MOVE MTQL-STF-ENTRY (4)     TO WS-PL06-SEL-4.
141000     MOVE MTQL-STF-ENTRY (5)     TO WS-PL06-SEL-5.
141100     MOVE MTQL-STF-ENTRY (6)     TO WS-PL06-SEL-6.
141200     MOVE MTQL-STF-ENTRY (7)     TO WS-PL06-SEL-7.
141300     MOVE MTQL-STF-ENTRY (8)     TO WS-PL06-SEL-8.
141400     MOVE MTQL-STF-ENTRY (9)     TO WS-PL06-SEL-9.
141500     MOVE MTQL-STF-ENTRY (10)    TO WS-PL06-SEL-10.
141600     MOVE MTQL-STF-ENTRY (11)    TO WS-PL06-SEL-11.
141700     MOVE MTQL-STF-ENTRY (12)    TO WS-PL06-SEL-12.
141800     MOVE MTQL-STF-ENTRY (13)    TO WS-PL06-SEL-13.
141900     MOVE MTQL-STF-ENTRY (14)    TO WS-PL06-SEL-14.
142000     MOVE MTQL-STF-ENTRY (15)    TO WS-PL06-SEL-15.
142100     MOVE MTQL-STF-ENTRY (16)    TO WS-PL06-SEL-16.
142200     MOVE MTQL-STF-ENTRY (17)    TO WS-PL06-SEL-17.
142300     MOVE MTQL-STF-ENTRY (18)    TO WS-PL06-SEL-18.
142400     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
142500*
142600     MOVE MTQL-MERCHANT          TO WS-PL06-MERCHANT.
142700     MOVE MTQL-DBA-CITY          TO WS-PL06-ALPHA-1 (1:13).
142800     MOVE MTQL-DBA-COUNTRY-CODE  TO WS-PL06-ALPHA-1 (15:3).
142900     MOVE MTQL-PRODUCT           TO WS-PL06-PROD-NBR.
143000     MOVE SPACES                 TO WS-PL06-REST-PROD-NAME.
143100     MOVE MTQL-PROD-STATUS       TO WS-PL06-FLAG.
143200     MOVE MTQL-PROD-SHORT-DESC   TO WS-PL06-ALPHA-2.
143300     MOVE MTQL-STF-ENTRY (19)    TO WS-PL06-SEL-1.
143400     MOVE MTQL-STF-ENTRY (20)    TO WS-PL06-SEL-2.
143500     MOVE MTQL-STF-ENTRY (21)    TO WS-PL06-SEL-3.
143600     MOVE MTQL-STF-ENTRY (22)    TO WS-PL06-SEL-4.
143700     MOVE MTQL-STF-ENTRY (23)    TO WS-PL06-SEL-5.
143800     MOVE MTQL-STF-ENTRY (24)    TO WS-PL06-SEL-6.
143900     MOVE MTQL-STF-ENTRY (25)    TO WS-PL06-SEL-7.
144000     MOVE MTQL-STF-ENTRY (26)    TO WS-PL06-SEL-8.
144100     MOVE MTQL-STF-ENTRY (27)    TO WS-PL06-SEL-9.
144200     MOVE MTQL-STF-ENTRY (28)    TO WS-PL06-SEL-10.
144300     MOVE MTQL-STF-ENTRY (29)    TO WS-PL06-SEL-11.
144400     MOVE MTQL-STF-ENTRY (30)    TO WS-PL06-SEL-12.
144500     MOVE MTQL-STF-ENTRY (31)    TO WS-PL06-SEL-13.
144600     MOVE MTQL-STF-ENTRY (32)    TO WS-PL06-SEL-14.
144700     MOVE MTQL-STF-ENTRY (33)    TO WS-PL06-SEL-15.
144800     MOVE MTQL-STF-ENTRY (34)    TO WS-PL06-SEL-16.
144900     MOVE MTQL-STF-ENTRY (35)    TO WS-PL06-SEL-17.
145000     MOVE MTQL-STF-ENTRY (36)    TO WS-PL06-SEL-18.
145100     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
145200*
145300     MOVE MTQL-CONTACT           TO WS-PRINT-LINE-07(1:35).
145400     MOVE MTQL-PROD-EFF-DATE     TO SS01WS-JULIAN.
145500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
145600                                 THRU SS26PD-NED-EXIT.
145700     MOVE SS01WS-XX-XX-YYYY      TO WS-PL07-1ST-DATE.
145800     MOVE MTQL-PROD-SOURCE       TO WS-PL07-SOURCE.
145900     MOVE MTQL-STF-ENTRY (37)    TO WS-PL07-SEL-1.
146000     MOVE MTQL-STF-ENTRY (38)    TO WS-PL07-SEL-2.
146100     MOVE MTQL-STF-ENTRY (39)    TO WS-PL07-SEL-3.
146200     MOVE MTQL-STF-ENTRY (40)    TO WS-PL07-SEL-4.
146300     MOVE MTQL-STF-ENTRY (41)    TO WS-PL07-SEL-5.
146400     MOVE MTQL-STF-ENTRY (42)    TO WS-PL07-SEL-6.
146500     MOVE MTQL-STF-ENTRY (43)    TO WS-PL07-SEL-7.
146600     MOVE MTQL-STF-ENTRY (44)    TO WS-PL07-SEL-8.
146700     MOVE MTQL-STF-ENTRY (45)    TO WS-PL07-SEL-9.
146800     MOVE MTQL-STF-ENTRY (46)    TO WS-PL07-SEL-10.
146900     MOVE MTQL-STF-ENTRY (47)    TO WS-PL07-SEL-11.
147000     MOVE MTQL-STF-ENTRY (48)    TO WS-PL07-SEL-12.
147100     MOVE MTQL-STF-ENTRY (49)    TO WS-PL07-SEL-13.
147200     MOVE MTQL-STF-ENTRY (50)    TO WS-PL07-SEL-14.
147300     MOVE MTQL-STF-ENTRY (51)    TO WS-PL07-SEL-15.
147400     MOVE MTQL-STF-ENTRY (52)    TO WS-PL07-SEL-16.
147500     MOVE MTQL-STF-ENTRY (53)    TO WS-PL07-SEL-17.
147600     MOVE MTQL-STF-ENTRY (54)    TO WS-PL07-SEL-18.
147700     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
147800*
147900     MOVE MTQL-CONTACT-PHONE     TO WS-PL07-ALPHA-1.
148000     MOVE MTQL-STF-ENTRY (55)    TO WS-PL07-SEL-1.
148100     MOVE MTQL-STF-ENTRY (56)    TO WS-PL07-SEL-2.
148200     MOVE MTQL-STF-ENTRY (57)    TO WS-PL07-SEL-3.
148300     MOVE MTQL-STF-ENTRY (58)    TO WS-PL07-SEL-4.
148400     MOVE MTQL-STF-ENTRY (59)    TO WS-PL07-SEL-5.
148500     MOVE MTQL-STF-ENTRY (60)    TO WS-PL07-SEL-6.
148600     MOVE MTQL-STF-ENTRY (61)    TO WS-PL07-SEL-7.
148700     MOVE MTQL-STF-ENTRY (62)    TO WS-PL07-SEL-8.
148800     MOVE MTQL-STF-ENTRY (63)    TO WS-PL07-SEL-9.
148900     MOVE MTQL-STF-ENTRY (64)    TO WS-PL07-SEL-10.
149000     MOVE MTQL-STF-ENTRY (65)    TO WS-PL07-SEL-11.
149100     MOVE MTQL-STF-ENTRY (66)    TO WS-PL07-SEL-12.
149200     MOVE MTQL-STF-ENTRY (67)    TO WS-PL07-SEL-13.
149300     MOVE MTQL-STF-ENTRY (68)    TO WS-PL07-SEL-14.
149400     MOVE MTQL-STF-ENTRY (69)    TO WS-PL07-SEL-15.
149500     MOVE MTQL-STF-ENTRY (70)    TO WS-PL07-SEL-16.
149600     PERFORM MB20PD-PRINT-2-LINES
149700                                 THRU MB20PD-P2L-EXIT.
149800*
149900*
150000 C399-PP-EXIT.
150100     EXIT.
150200*
150300 D100-MERCH-TOTALS.
150400*
150500     MOVE 'NUMBER OF RECORDS'    TO WS-PL09-DESC.
150600     MOVE WS-MERCH-NBR-RECS      TO SS95WS-IN-NBR.
150700     PERFORM SS95PD-NAP-ROUTINE
150800                                 THRU SS95PD-NAP-EXIT.
150900     MOVE SS95WS-OUT-NBR-L12     TO WS-PL09-TOT-NBR.
151000     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
151100*
151200     MOVE 'TOTAL SETTLEMENT BALANCE'
151300                                 TO WS-PL08-DESC.
151400     MOVE WS-MERCH-TOT-SETT      TO SS95WS-IN-AMT.
151500     PERFORM SS95PD-NAP-ROUTINE
151600                                 THRU SS95PD-NAP-EXIT.
151700     MOVE SS95WS-OUT-AMT-L23     TO WS-PL08-TOT-AMOUNT.
151800     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
151900*
152000     MOVE 'TOTAL RESERVE 1 BALANCE'
152100                                 TO WS-PL08-DESC.
152200     MOVE WS-MERCH-TOT-RESV-1    TO SS95WS-IN-AMT.
152300     PERFORM SS95PD-NAP-ROUTINE
152400                                 THRU SS95PD-NAP-EXIT.
152500     MOVE SS95WS-OUT-AMT-L23     TO WS-PL08-TOT-AMOUNT.
152600     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
152700*
152800     MOVE 'TOTAL RESERVE 2 BALANCE'
152900                                 TO WS-PL08-DESC.
153000     MOVE WS-MERCH-TOT-RESV-2    TO SS95WS-IN-AMT.
153100     PERFORM SS95PD-NAP-ROUTINE
153200                                 THRU SS95PD-NAP-EXIT.
153300     MOVE SS95WS-OUT-AMT-L23     TO WS-PL08-TOT-AMOUNT.
153400     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
153500*
153600     MOVE 'TOTAL RESERVE 3 BALANCE'
153700                                 TO WS-PL08-DESC.
153800     MOVE WS-MERCH-TOT-RESV-3    TO SS95WS-IN-AMT.
153900     PERFORM SS95PD-NAP-ROUTINE
154000                                 THRU SS95PD-NAP-EXIT.
154100     MOVE SS95WS-OUT-AMT-L23     TO WS-PL08-TOT-AMOUNT.
154200     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
154300*
154400     MOVE 'TOTAL RESERVE 4 BALANCE'
154500                                 TO WS-PL08-DESC.
154600     MOVE WS-MERCH-TOT-RESV-4    TO SS95WS-IN-AMT.
154700     PERFORM SS95PD-NAP-ROUTINE
154800                                 THRU SS95PD-NAP-EXIT.
154900     MOVE SS95WS-OUT-AMT-L23     TO WS-PL08-TOT-AMOUNT.
155000     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
155100*
155200     INITIALIZE                  WS-MERCH-TOTALS-AREA.
155300*
155400     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
155500     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
155600*
155700 D199-MT-EXIT.
155800     EXIT.
155900*
156000 D200-STORE-TOTALS.
156100*
156200     MOVE 'NUMBER OF RECORDS'    TO WS-PL09-DESC.
156300     MOVE WS-STORE-NBR-RECS      TO SS95WS-IN-NBR.
156400     PERFORM SS95PD-NAP-ROUTINE
156500                                 THRU SS95PD-NAP-EXIT.
156600     MOVE SS95WS-OUT-NBR-L12     TO WS-PL09-TOT-NBR.
156700     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
156800*
156900     MOVE 'TOTAL # IMP 1'        TO WS-PL09-DESC.
157000     MOVE WS-STORE-TOT-IMP-1     TO SS95WS-IN-NBR.
157100     PERFORM SS95PD-NAP-ROUTINE
157200                                 THRU SS95PD-NAP-EXIT.
157300     MOVE SS95WS-OUT-NBR-L12     TO WS-PL09-TOT-NBR.
157400     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
157500*
157600     MOVE 'TOTAL # IMP 2'        TO WS-PL09-DESC.
157700     MOVE WS-STORE-TOT-IMP-2     TO SS95WS-IN-NBR.
157800     PERFORM SS95PD-NAP-ROUTINE
157900                                 THRU SS95PD-NAP-EXIT.
158000     MOVE SS95WS-OUT-NBR-L12     TO WS-PL09-TOT-NBR.
158100     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
158200*
158300     MOVE 'TOTAL # IMP 3'        TO WS-PL09-DESC.
158400     MOVE WS-STORE-TOT-IMP-3     TO SS95WS-IN-NBR.
158500     PERFORM SS95PD-NAP-ROUTINE
158600                                 THRU SS95PD-NAP-EXIT.
158700     MOVE SS95WS-OUT-NBR-L12     TO WS-PL09-TOT-NBR.
158800     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
158900*
159000     MOVE 'TOTAL # POS 1'        TO WS-PL09-DESC.
159100     MOVE WS-STORE-TOT-POS-1     TO SS95WS-IN-NBR.
159200     PERFORM SS95PD-NAP-ROUTINE
159300                                 THRU SS95PD-NAP-EXIT.
159400     MOVE SS95WS-OUT-NBR-L12     TO WS-PL09-TOT-NBR.
159500     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
159600*
159700     MOVE 'TOTAL # POS 2'        TO WS-PL09-DESC.
159800     MOVE WS-STORE-TOT-POS-2     TO SS95WS-IN-NBR.
159900     PERFORM SS95PD-NAP-ROUTINE
160000                                 THRU SS95PD-NAP-EXIT.
160100     MOVE SS95WS-OUT-NBR-L12     TO WS-PL09-TOT-NBR.
160200     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
160300*
160400     MOVE 'TOTAL # POS 3'        TO WS-PL09-DESC.
160500     MOVE WS-STORE-TOT-POS-3     TO SS95WS-IN-NBR.
160600     PERFORM SS95PD-NAP-ROUTINE
160700                                 THRU SS95PD-NAP-EXIT.
160800     MOVE SS95WS-OUT-NBR-L12     TO WS-PL09-TOT-NBR.
160900     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
161000*
161100     INITIALIZE                  WS-STORE-TOTALS-AREA.
161200*
161300     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
161400     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
161500*
161600 D299-ST-EXIT.
161700     EXIT.
161800*
161900 D300-PROD-TOTALS.
162000*
162100     MOVE 'NUMBER OF RECORDS'    TO WS-PL09-DESC.
162200     MOVE WS-PROD-NBR-RECS       TO SS95WS-IN-NBR.
162300     PERFORM SS95PD-NAP-ROUTINE
162400                                 THRU SS95PD-NAP-EXIT.
162500     MOVE SS95WS-OUT-NBR-L12     TO WS-PL09-TOT-NBR.
162600     PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.
162700*
162800     INITIALIZE                  WS-PROD-TOTALS-AREA.
162900*
163000     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
163100     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
163200*
163300 D399-PT-EXIT.
163400     EXIT.
163500*
163600 F010-CHECK-NBR-LINES.
163700*
163800     COMPUTE MB20WS-LINES-REMAINING = MB20WS-LINE-LIMIT
163900                                    - MB20WS-LINE-COUNT.
164000*
164100     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-LINES
164200         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
164300*
164400 F099-CNL-EXIT.
164500     EXIT.
164600*
164700/
164800/
164900 9000-PERFORMED-ROUTINES-SECT SECTION.
165000*
165100/
165200     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
165300/
165400     COPY MMEXPX.
165500/
165600     COPY MB00PD REPLACING ==:MB00:== BY ==MTEX==.
165700/
165800     COPY MB00PD REPLACING ==:MB00:== BY ==MTQL==.
165900/
166000     COPY MB00PD REPLACING ==:MB00:== BY ==MTUQ==.
166100/
166200     COPY MB20PD.
166300/
166400     COPY SS95PD.
166500/
166600     COPY MB99PD.
166700/
166800     COPY SS02PD.
166900/
167000     COPY SS03PD.
167100/
167200     COPY SS04PD.
167300/
167400     COPY SS05PD.
167500/
167600     COPY SS06PD.
167700/
167800     COPY SS07PD.
167900/
168000     COPY SS08PD.
168100/
168200     COPY SS09PD.
168300/
168400     COPY SS10PD.
168500/
168600     COPY SS16PD.
168700/
168800     COPY SS18PD.
168900/
169000     COPY SS23PD.
169100/
169200     COPY SS26PD.
169300/
169400     COPY SS27PD.
169500*
169600 9995-END-SOURCE-STATEMENTS SECTION.
169700 9999-END-OF-PROGRAM.
169800     EXIT.
