000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU6MM03.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU6MM03 - BUILD MERCHANT NON-MONETARY FROM E.X.A.M. PAGE 03*
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MBMM03.
002600     COPY MBMM03R.
002700/
002800     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
002900/
003000     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS01WS.
003500/
003600     COPY SS02WS.
003700*
003800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003900/
004000 LINKAGE SECTION.
004100     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
004600/
004700     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUI==.
004800/
004900 PROCEDURE DIVISION              USING MMEX-RECORD
005000                                       MMMM-RECORD
005100                                       MMUO-RECORD
005200                                       MMUI-RECORD.
005300 A000-MAIN-LINE-SECT SECTION.
005400 A001-ML-BEGIN.
005500*
005600     MOVE LOW-VALUES             TO MMUO-RECORD.
005700     MOVE LOW-VALUES             TO MMUI-RECORD.
005800     MOVE LOW-VALUES             TO MBMM03I.
005900*
006000     PERFORM 0100-DATE-LAST-MEMB-FEE
006100        THRU 0199-DLMF-EXIT.
006200*
006300     PERFORM 0200-DATE-LAST-PART-VOL
006400        THRU 0299-DLPV-EXIT.
006500*
006600     PERFORM 0300-DEPOSIT-DETAIL-TYPE
006700        THRU 0399-DDT-EXIT.
006800*
006900     PERFORM 0400-RETAIN-DEPOSIT-DAYS
007000        THRU 0499-RDD-EXIT.
007100*
007200     PERFORM 0500-STMT-RPT-FAX-PRT
007300        THRU 0599-SRFP-EXIT.
007400*
007500     PERFORM 0600-STMT-RPT-DETAIL
007600        THRU 0699-SRD-EXIT.
007700*
007800     PERFORM 0700-STMT-TYPE
007900        THRU 0799-ST-EXIT.
008000*
008100     PERFORM 0800-STMT-CONTROL
008200        THRU 0899-SC-EXIT.
008300*
008400     PERFORM 0900-STMT-MSG-FLAG-1
008500        THRU 0999-SMF1-EXIT.
008600*
008700     PERFORM 1000-STMT-MSG-FLAG-2
008800        THRU 1099-SMF2-EXIT.
008900*
009000     PERFORM 1100-STMT-MSG-FLAG-3
009100        THRU 1199-SMF3-EXIT.
009200*
009300     PERFORM 1200-STMT-MSG-FLAG-4
009400        THRU 1299-SMF4-EXIT.
009500*
009600     PERFORM 1300-STMT-MSG-FLAG-5
009700        THRU 1399-SMF5-EXIT.
009800*
009900     PERFORM 1400-STMT-FREQ-1
010000        THRU 1499-SF1-EXIT.
010100*
010200     PERFORM 1500-STMT-FREQ-2
010300        THRU 1599-SF2-EXIT.
010400*
010500     PERFORM 1600-FEE-PERIOD-1
010600        THRU 1699-FP1-EXIT.
010700*
010800     PERFORM 1700-FEE-PERIOD-2
010900        THRU 1799-FP2-EXIT.
011000*
011100     PERFORM 1800-FEE-PERIOD-3
011200        THRU 1899-FP3-EXIT.
011300*
011400     PERFORM 1900-FEE-PERIOD-4
011500        THRU 1999-FP4-EXIT.
011600*
011700     PERFORM 2000-FEE-PERIOD-5
011800        THRU 2099-FP5-EXIT.
011900*
012000*****PERFORM 2100-FEE-PERIOD-6
012100*****   THRU 2199-FP6-EXIT.
012200*
012300     PERFORM 2200-MEMB-FEE-FREQ
012400        THRU 2299-MFF-EXIT.
012500*
012600     PERFORM 2300-SETUP-FEE-FLAG
012700        THRU 2399-SFF-EXIT.
012800*
012900     PERFORM 2400-INCOME-TABLE-NBR
013000        THRU 2499-ITN-EXIT.
013100*
013200     PERFORM 2500-EXPENSE-TABLE-NBR
013300        THRU 2599-ETN-EXIT.
013400*
013500     PERFORM 2600-MERCH-DISC-LEVEL
013600        THRU 2699-MDL-EXIT.
013700*
013800     PERFORM 2700-MERCH-DISC-RATE-TABLE
013900        THRU 2799-MDRT-EXIT.
014000*
014100     PERFORM 2800-MINIMUM-DISC-AMT
014200        THRU 2899-MDA-EXIT.
014300*
014400     PERFORM 2900-DISC-FEE-BASE
014500        THRU 2999-DFB-EXIT.
014600*
014700     PERFORM 3000-DISC-FREQ-1
014800        THRU 3099-DF1-EXIT.
014900*
015000     PERFORM 3100-DISC-FREQ-2
015100        THRU 3199-DF2-EXIT.
015200*
015300     PERFORM 3200-MERCH-PART-LEVEL
015400        THRU 3299-MPL-EXIT.
015500*
015600     PERFORM 3300-MERCH-PART-RATE-TABLE
015700        THRU 3399-MPRT-EXIT.
015800*
015900     PERFORM 3400-MINIMUM-PART-AMT
016000        THRU 3499-MPA-EXIT.
016100*
016200     PERFORM 3500-PART-FEE-BASE
016300        THRU 3599-PFB-EXIT.
016400*
016500     PERFORM 3600-PART-VOL-FREQ
016600        THRU 3699-PVF-EXIT.
016700*
016800     PERFORM 3700-PART-VOL-RATE-TABLE
016900        THRU 3799-PVRT-EXIT.
017000*
017100     PERFORM 3800-PART-FREQ-1
017200        THRU 3899-PF1-EXIT.
017300*
017400     PERFORM 3900-PART-FREQ-2
017500        THRU 3999-PF2-EXIT.
017600*
017700     PERFORM 4000-STMT-ADDR-CONTROL
017800        THRU 4099-SAC-EXIT.
017900*
018000     PERFORM 4100-EURO-REPORTING-FLAG
018100        THRU 4199-ERF-EXIT.
018200*
018300     PERFORM 4200-DUAL-REPORTING-ORG
018400        THRU 4299-DRO-EXIT.
018500*
018600     IF  MBMM03I IS EQUAL TO LOW-VALUES
018700         NEXT SENTENCE
018800     ELSE
018900         MOVE MBMM03I            TO MMUO-MAP-DATA
019000         MOVE 'MBMM'             TO MMUO-TRANID
019100         MOVE 03                 TO MMUO-CURRENT-PAGE
019200         MOVE MMMM-ORG           TO MMUO-MM-ORG
019300         MOVE MMMM-MERCHANT      TO MMUO-MM-MERCHANT
019400         MOVE LENGTH OF MBMM03I  TO MMUO-VAR-LENGTH
019500     END-IF.
019600*
019700     GO TO 9999-END-OF-PROGRAM.
019800*
019900 A999-ML-EXIT.
020000     EXIT.
020100/
020200 0000-MERCHANT-MAINT-PAGE-03 SECTION.
020300 0100-DATE-LAST-MEMB-FEE.
020400*
020500     SET X-MMEXTB                TO 77.
020600     PERFORM 8000-SEARCH-MMEX-MAINT
020700        THRU 8099-SMM-EXIT.
020800*
020900     IF  SS02WS-FS-NO-RECORD-FOUND
021000         GO TO 0199-DLMF-EXIT.
021100*
021200     PERFORM MBU600PD-EXTRACT-NUMERICS
021300        THRU MBU600PD-EN-EXIT.
021400*
021500     MOVE MMEXWS-NUMBER          TO MM03-DATE-LAST-MEMB.
021600     MOVE LENGTH OF MM03-DATE-LAST-MEMB
021700                                 TO MM03-DATE-LAST-MEMB-L.
021800*
021900 0199-DLMF-EXIT.
022000     EXIT.
022100/
022200 0200-DATE-LAST-PART-VOL.
022300*
022400     SET X-MMEXTB                TO 78.
022500     PERFORM 8000-SEARCH-MMEX-MAINT
022600        THRU 8099-SMM-EXIT.
022700*
022800     IF  SS02WS-FS-NO-RECORD-FOUND
022900         GO TO 0299-DLPV-EXIT.
023000*
023100     PERFORM MBU600PD-EXTRACT-NUMERICS
023200        THRU MBU600PD-EN-EXIT.
023300*
023400     MOVE MMEXWS-NUMBER          TO MM03-DATE-LAST-PART.
023500     MOVE LENGTH OF MM03-DATE-LAST-PART
023600                                 TO MM03-DATE-LAST-PART-L.
023700*
023800 0299-DLPV-EXIT.
023900     EXIT.
024000/
024100 0300-DEPOSIT-DETAIL-TYPE.
024200*
024300     SET X-MMEXTB                TO 127.
024400     PERFORM 8000-SEARCH-MMEX-MAINT
024500        THRU 8099-SMM-EXIT.
024600*
024700     IF  SS02WS-FS-NO-RECORD-FOUND
024800         GO TO 0399-DDT-EXIT.
024900*
025000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
025100                                 TO MM03-DEPOSIT-FLAG.
025200     MOVE LENGTH OF MM03-DEPOSIT-FLAG
025300                                 TO MM03-DEPOSIT-FLAG-L.
025400*
025500 0399-DDT-EXIT.
025600     EXIT.
025700/
025800 0400-RETAIN-DEPOSIT-DAYS.
025900*
026000     SET X-MMEXTB                TO 128.
026100     PERFORM 8000-SEARCH-MMEX-MAINT
026200        THRU 8099-SMM-EXIT.
026300*
026400     IF  SS02WS-FS-NO-RECORD-FOUND
026500         GO TO 0499-RDD-EXIT.
026600*
026700     PERFORM MBU600PD-EXTRACT-NUMERICS
026800        THRU MBU600PD-EN-EXIT.
026900*
027000     MOVE MMMM-RETAIN-DEPOSITS
027100                                 TO MMEXWS-F-S18V0.
027200     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
027300*
027400     EVALUATE TRUE
027500         WHEN MMEXWS-PERCENT-ON
027600             PERFORM MBU600PD-PERCENT-CHANGE
027700                THRU MBU600PD-PC-EXIT
027800         WHEN MMEXWS-SIGN-POSITIVE
027900             PERFORM MBU600PD-INCREASE-NUMERICS
028000                THRU MBU600PD-IN-EXIT
028100         WHEN MMEXWS-SIGN-NEGATIVE
028200             PERFORM MBU600PD-DECREASE-NUMERICS
028300                THRU MBU600PD-DN-EXIT
028400         WHEN OTHER
028500             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
028600     END-EVALUATE.
028700*
028800     MOVE MMEXWS-F-S18V0         TO MM03-RETAIN-DEPOSITS.
028900     MOVE LENGTH OF MM03-RETAIN-DEPOSITS
029000                                 TO MM03-RETAIN-DEPOSITS-L.
029100*
029200 0499-RDD-EXIT.
029300     EXIT.
029400/
029500 0500-STMT-RPT-FAX-PRT.
029600*
029700     SET X-MMEXTB                TO 131.
029800     PERFORM 8000-SEARCH-MMEX-MAINT
029900        THRU 8099-SMM-EXIT.
030000*
030100     IF  SS02WS-FS-NO-RECORD-FOUND
030200         GO TO 0599-SRFP-EXIT.
030300*
030400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
030500                                 TO MM03-STMT-RPT-FLAG.
030600     MOVE LENGTH OF MM03-STMT-RPT-FLAG
030700                                 TO MM03-STMT-RPT-FLAG-L.
030800*
030900 0599-SRFP-EXIT.
031000     EXIT.
031100/
031200 0600-STMT-RPT-DETAIL.
031300*
031400     SET X-MMEXTB                TO 132.
031500     PERFORM 8000-SEARCH-MMEX-MAINT
031600        THRU 8099-SMM-EXIT.
031700*
031800     IF  SS02WS-FS-NO-RECORD-FOUND
031900         GO TO 0699-SRD-EXIT.
032000*
032100     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
032200                                 TO MM03-STMT-DETAIL-FLAG.
032300     MOVE LENGTH OF MM03-STMT-DETAIL-FLAG
032400                                 TO MM03-STMT-DETAIL-FLAG-L.
032500*
032600 0699-SRD-EXIT.
032700     EXIT.
032800/
032900 0700-STMT-TYPE.
033000*
033100     SET X-MMEXTB                TO 133.
033200     PERFORM 8000-SEARCH-MMEX-MAINT
033300        THRU 8099-SMM-EXIT.
033400*
033500     IF  SS02WS-FS-NO-RECORD-FOUND
033600         GO TO 0799-ST-EXIT.
033700*
033800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
033900                                 TO MM03-STMT-TYPE.
034000     MOVE LENGTH OF MM03-STMT-TYPE
034100                                 TO MM03-STMT-TYPE-L.
034200*
034300 0799-ST-EXIT.
034400     EXIT.
034500/
034600 0800-STMT-CONTROL.
034700*
034800     SET X-MMEXTB                TO 134.
034900     PERFORM 8000-SEARCH-MMEX-MAINT
035000        THRU 8099-SMM-EXIT.
035100*
035200     IF  SS02WS-FS-NO-RECORD-FOUND
035300         GO TO 0899-SC-EXIT.
035400*
035500     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
035600                                 TO MM03-STMT-CONTROL.
035700     MOVE LENGTH OF MM03-STMT-CONTROL
035800                                 TO MM03-STMT-CONTROL-L.
035900*
036000 0899-SC-EXIT.
036100     EXIT.
036200/
036300 0900-STMT-MSG-FLAG-1.
036400*
036500     SET X-MMEXTB                TO 135.
036600     PERFORM 8000-SEARCH-MMEX-MAINT
036700        THRU 8099-SMM-EXIT.
036800*
036900     IF  SS02WS-FS-NO-RECORD-FOUND
037000         GO TO 0999-SMF1-EXIT.
037100*
037200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
037300                                 TO MM03-STMT-MSG-FLAG(1).
037400     MOVE LENGTH OF MM03-STMT-MSG-FLAG(1)
037500                                 TO MM03-STMT-MSG-FLAG-L(1).
037600*
037700 0999-SMF1-EXIT.
037800     EXIT.
037900/
038000 1000-STMT-MSG-FLAG-2.
038100*
038200     SET X-MMEXTB                TO 136.
038300     PERFORM 8000-SEARCH-MMEX-MAINT
038400        THRU 8099-SMM-EXIT.
038500*
038600     IF  SS02WS-FS-NO-RECORD-FOUND
038700         GO TO 1099-SMF2-EXIT.
038800*
038900     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
039000                                 TO MM03-STMT-MSG-FLAG(2).
039100     MOVE LENGTH OF MM03-STMT-MSG-FLAG(2)
039200                                 TO MM03-STMT-MSG-FLAG-L(2).
039300*
039400 1099-SMF2-EXIT.
039500     EXIT.
039600/
039700 1100-STMT-MSG-FLAG-3.
039800*
039900     SET X-MMEXTB                TO 137.
040000     PERFORM 8000-SEARCH-MMEX-MAINT
040100        THRU 8099-SMM-EXIT.
040200*
040300     IF  SS02WS-FS-NO-RECORD-FOUND
040400         GO TO 1199-SMF3-EXIT.
040500*
040600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
040700                                 TO MM03-STMT-MSG-FLAG(3).
040800     MOVE LENGTH OF MM03-STMT-MSG-FLAG(3)
040900                                 TO MM03-STMT-MSG-FLAG-L(3).
041000*
041100 1199-SMF3-EXIT.
041200     EXIT.
041300/
041400 1200-STMT-MSG-FLAG-4.
041500*
041600     SET X-MMEXTB                TO 138.
041700     PERFORM 8000-SEARCH-MMEX-MAINT
041800        THRU 8099-SMM-EXIT.
041900*
042000     IF  SS02WS-FS-NO-RECORD-FOUND
042100         GO TO 1299-SMF4-EXIT.
042200*
042300     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
042400                                 TO MM03-STMT-MSG-FLAG(4).
042500     MOVE LENGTH OF MM03-STMT-MSG-FLAG(4)
042600                                 TO MM03-STMT-MSG-FLAG-L(4).
042700*
042800 1299-SMF4-EXIT.
042900     EXIT.
043000/
043100 1300-STMT-MSG-FLAG-5.
043200*
043300     SET X-MMEXTB                TO 139.
043400     PERFORM 8000-SEARCH-MMEX-MAINT
043500        THRU 8099-SMM-EXIT.
043600*
043700     IF  SS02WS-FS-NO-RECORD-FOUND
043800         GO TO 1399-SMF5-EXIT.
043900*
044000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
044100                                 TO MM03-STMT-MSG-FLAG(5).
044200     MOVE LENGTH OF MM03-STMT-MSG-FLAG(5)
044300                                 TO MM03-STMT-MSG-FLAG-L(5).
044400*
044500 1399-SMF5-EXIT.
044600     EXIT.
044700/
044800 1400-STMT-FREQ-1.
044900*
045000     SET X-MMEXTB                TO 140.
045100     PERFORM 8000-SEARCH-MMEX-MAINT
045200        THRU 8099-SMM-EXIT.
045300*
045400     IF  SS02WS-FS-NO-RECORD-FOUND
045500         GO TO 1499-SF1-EXIT.
045600*
045700     PERFORM MBU600PD-EXTRACT-NUMERICS
045800        THRU MBU600PD-EN-EXIT.
045900*
046000     MOVE MMEXWS-NUMBER          TO MM03-STMT-FREQ-1.
046100     MOVE LENGTH OF MM03-STMT-FREQ-1
046200                                 TO MM03-STMT-FREQ-1-L.
046300*
046400 1499-SF1-EXIT.
046500     EXIT.
046600/
046700 1500-STMT-FREQ-2.
046800*
046900     SET X-MMEXTB                TO 141.
047000     PERFORM 8000-SEARCH-MMEX-MAINT
047100        THRU 8099-SMM-EXIT.
047200*
047300     IF  SS02WS-FS-NO-RECORD-FOUND
047400         GO TO 1599-SF2-EXIT.
047500*
047600     PERFORM MBU600PD-EXTRACT-NUMERICS
047700        THRU MBU600PD-EN-EXIT.
047800*
047900     MOVE MMEXWS-NUMBER          TO MM03-STMT-FREQ-2.
048000     MOVE LENGTH OF MM03-STMT-FREQ-2
048100                                 TO MM03-STMT-FREQ-2-L.
048200*
048300 1599-SF2-EXIT.
048400     EXIT.
048500/
048600 1600-FEE-PERIOD-1.
048700*
048800     SET X-MMEXTB                TO 142.
048900     PERFORM 8000-SEARCH-MMEX-MAINT
049000        THRU 8099-SMM-EXIT.
049100*
049200     IF  SS02WS-FS-NO-RECORD-FOUND
049300         GO TO 1699-FP1-EXIT.
049400*
049500     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
049600                                 TO MM03-FEE-PERIOD-1.
049700     MOVE LENGTH OF MM03-FEE-PERIOD-1
049800                                 TO MM03-FEE-PERIOD-1-L.
049900*
050000 1699-FP1-EXIT.
050100     EXIT.
050200/
050300 1700-FEE-PERIOD-2.
050400*
050500     SET X-MMEXTB                TO 143.
050600     PERFORM 8000-SEARCH-MMEX-MAINT
050700        THRU 8099-SMM-EXIT.
050800*
050900     IF  SS02WS-FS-NO-RECORD-FOUND
051000         GO TO 1799-FP2-EXIT.
051100*
051200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
051300                                 TO MM03-FEE-PERIOD-2.
051400     MOVE LENGTH OF MM03-FEE-PERIOD-2
051500                                 TO MM03-FEE-PERIOD-2-L.
051600*
051700 1799-FP2-EXIT.
051800     EXIT.
051900/
052000 1800-FEE-PERIOD-3.
052100*
052200     SET X-MMEXTB                TO 144.
052300     PERFORM 8000-SEARCH-MMEX-MAINT
052400        THRU 8099-SMM-EXIT.
052500*
052600     IF  SS02WS-FS-NO-RECORD-FOUND
052700         GO TO 1899-FP3-EXIT.
052800*
052900     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
053000                                 TO MM03-FEE-PERIOD-3.
053100     MOVE LENGTH OF MM03-FEE-PERIOD-3
053200                                 TO MM03-FEE-PERIOD-3-L.
053300*
053400 1899-FP3-EXIT.
053500     EXIT.
053600/
053700 1900-FEE-PERIOD-4.
053800*
053900     SET X-MMEXTB                TO 145.
054000     PERFORM 8000-SEARCH-MMEX-MAINT
054100        THRU 8099-SMM-EXIT.
054200*
054300     IF  SS02WS-FS-NO-RECORD-FOUND
054400         GO TO 1999-FP4-EXIT.
054500*
054600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
054700                                 TO MM03-FEE-PERIOD-4.
054800     MOVE LENGTH OF MM03-FEE-PERIOD-4
054900                                 TO MM03-FEE-PERIOD-4-L.
055000*
055100 1999-FP4-EXIT.
055200     EXIT.
055300/
055400 2000-FEE-PERIOD-5.
055500*
055600     SET X-MMEXTB                TO 146.
055700     PERFORM 8000-SEARCH-MMEX-MAINT
055800        THRU 8099-SMM-EXIT.
055900*
056000     IF  SS02WS-FS-NO-RECORD-FOUND
056100         GO TO 2099-FP5-EXIT.
056200*
056300     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
056400                                 TO MM03-FEE-PERIOD-5.
056500     MOVE LENGTH OF MM03-FEE-PERIOD-5
056600                                 TO MM03-FEE-PERIOD-5-L.
056700*
056800 2099-FP5-EXIT.
056900     EXIT.
057000/
057100*2100-FEE-PERIOD-6.
057200*
057300*****SET X-MMEXTB                TO ???.
057400*****PERFORM 8000-SEARCH-MMEX-MAINT
057500*****   THRU 8099-SMM-EXIT.
057600*
057700*****IF  SS02WS-FS-NO-RECORD-FOUND
057800*****    GO TO 2199-FP6-EXIT.
057900*
058000*****MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
058100*****                            TO MM03-FEE-PERIOD-6.
058200*****MOVE LENGTH OF MM03-FEE-PERIOD-6
058300*****                            TO MM03-FEE-PERIOD-6-L.
058400*
058500*2199-FP6-EXIT.
058600*****EXIT.
058700/
058800 2200-MEMB-FEE-FREQ.
058900*
059000     SET X-MMEXTB                TO 148.
059100     PERFORM 8000-SEARCH-MMEX-MAINT
059200        THRU 8099-SMM-EXIT.
059300*
059400     IF  SS02WS-FS-NO-RECORD-FOUND
059500         GO TO 2299-MFF-EXIT.
059600*
059700     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
059800                                 TO MM03-MEMB-FEE-FREQ.
059900     MOVE LENGTH OF MM03-MEMB-FEE-FREQ
060000                                 TO MM03-MEMB-FEE-FREQ-L.
060100*
060200 2299-MFF-EXIT.
060300     EXIT.
060400/
060500 2300-SETUP-FEE-FLAG.
060600*
060700     SET X-MMEXTB                TO 149.
060800     PERFORM 8000-SEARCH-MMEX-MAINT
060900        THRU 8099-SMM-EXIT.
061000*
061100     IF  SS02WS-FS-NO-RECORD-FOUND
061200         GO TO 2399-SFF-EXIT.
061300*
061400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
061500                                 TO MM03-SETUP-FEE-FLAG.
061600     MOVE LENGTH OF MM03-SETUP-FEE-FLAG
061700                                 TO MM03-SETUP-FEE-FLAG-L.
061800*
061900 2399-SFF-EXIT.
062000     EXIT.
062100/
062200 2400-INCOME-TABLE-NBR.
062300*
062400     SET X-MMEXTB                TO 150.
062500     PERFORM 8000-SEARCH-MMEX-MAINT
062600        THRU 8099-SMM-EXIT.
062700*
062800     IF  SS02WS-FS-NO-RECORD-FOUND
062900         GO TO 2499-ITN-EXIT.
063000*
063100     PERFORM MBU600PD-EXTRACT-NUMERICS
063200        THRU MBU600PD-EN-EXIT.
063300*
063400     MOVE MMEXWS-NUMBER          TO MM03-INCOME-TBL-NBR.
063500     MOVE LENGTH OF MM03-INCOME-TBL-NBR
063600                                 TO MM03-INCOME-TBL-NBR-L.
063700*
063800 2499-ITN-EXIT.
063900     EXIT.
064000/
064100 2500-EXPENSE-TABLE-NBR.
064200*
064300     SET X-MMEXTB                TO 151.
064400     PERFORM 8000-SEARCH-MMEX-MAINT
064500        THRU 8099-SMM-EXIT.
064600*
064700     IF  SS02WS-FS-NO-RECORD-FOUND
064800         GO TO 2599-ETN-EXIT.
064900*
065000     PERFORM MBU600PD-EXTRACT-NUMERICS
065100        THRU MBU600PD-EN-EXIT.
065200*
065300     MOVE MMEXWS-NUMBER          TO MM03-EXPENSE-TBL-NBR.
065400     MOVE LENGTH OF MM03-EXPENSE-TBL-NBR
065500                                 TO MM03-EXPENSE-TBL-NBR-L.
065600*
065700 2599-ETN-EXIT.
065800     EXIT.
065900/
066000 2600-MERCH-DISC-LEVEL.
066100*
066200     SET X-MMEXTB                TO 180.
066300     PERFORM 8000-SEARCH-MMEX-MAINT
066400        THRU 8099-SMM-EXIT.
066500*
066600     IF  SS02WS-FS-NO-RECORD-FOUND
066700         GO TO 2699-MDL-EXIT.
066800*
066900     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
067000                                 TO MM03-DISC-LEVEL.
067100     MOVE LENGTH OF MM03-DISC-LEVEL
067200                                 TO MM03-DISC-LEVEL-L.
067300*
067400 2699-MDL-EXIT.
067500     EXIT.
067600/
067700 2700-MERCH-DISC-RATE-TABLE.
067800*
067900     SET X-MMEXTB                TO 181.
068000     PERFORM 8000-SEARCH-MMEX-MAINT
068100        THRU 8099-SMM-EXIT.
068200*
068300     IF  SS02WS-FS-NO-RECORD-FOUND
068400         GO TO 2799-MDRT-EXIT.
068500*
068600     PERFORM MBU600PD-EXTRACT-NUMERICS
068700        THRU MBU600PD-EN-EXIT.
068800*
068900     MOVE MMEXWS-NUMBER          TO MM03-DISC-RATE-TABLE.
069000     MOVE LENGTH OF MM03-DISC-RATE-TABLE
069100                                 TO MM03-DISC-RATE-TABLE-L.
069200*
069300 2799-MDRT-EXIT.
069400     EXIT.
069500/
069600 2800-MINIMUM-DISC-AMT.
069700*
069800     SET X-MMEXTB                TO 182.
069900     PERFORM 8000-SEARCH-MMEX-MAINT
070000        THRU 8099-SMM-EXIT.
070100*
070200     IF  SS02WS-FS-NO-RECORD-FOUND
070300         GO TO 2899-MDA-EXIT.
070400*
070500     PERFORM MBU600PD-EXTRACT-NUMERICS
070600        THRU MBU600PD-EN-EXIT.
070700*
070800     MOVE MMMM-MIN-DISC-AMT
070900                                 TO MMEXWS-F-S16V2.
071000     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
071100*
071200     EVALUATE TRUE
071300         WHEN MMEXWS-PERCENT-ON
071400             PERFORM MBU600PD-PERCENT-CHANGE
071500                THRU MBU600PD-PC-EXIT
071600             PERFORM MBU600PD-AMOUNT-ROUNDING
071700                THRU MBU600PD-AR-EXIT
071800         WHEN MMEXWS-SIGN-POSITIVE
071900             PERFORM MBU600PD-INCREASE-NUMERICS
072000                THRU MBU600PD-IN-EXIT
072100         WHEN MMEXWS-SIGN-NEGATIVE
072200             PERFORM MBU600PD-DECREASE-NUMERICS
072300                THRU MBU600PD-DN-EXIT
072400         WHEN OTHER
072500             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
072600     END-EVALUATE.
072700*
072800     MOVE MMEXWS-F-S16V2         TO MM03-MIN-DISC-AMT.
072900     MOVE LENGTH OF MM03-MIN-DISC-AMT
073000                                 TO MM03-MIN-DISC-AMT-L.
073100*
073200 2899-MDA-EXIT.
073300     EXIT.
073400/
073500 2900-DISC-FEE-BASE.
073600*
073700     SET X-MMEXTB                TO 183.
073800     PERFORM 8000-SEARCH-MMEX-MAINT
073900        THRU 8099-SMM-EXIT.
074000*
074100     IF  SS02WS-FS-NO-RECORD-FOUND
074200         GO TO 2999-DFB-EXIT.
074300*
074400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
074500                                 TO MM03-DISC-FEE-BASE.
074600     MOVE LENGTH OF MM03-DISC-FEE-BASE
074700                                 TO MM03-DISC-FEE-BASE-L.
074800*
074900 2999-DFB-EXIT.
075000     EXIT.
075100/
075200 3000-DISC-FREQ-1.
075300*
075400     SET X-MMEXTB                TO 184.
075500     PERFORM 8000-SEARCH-MMEX-MAINT
075600        THRU 8099-SMM-EXIT.
075700*
075800     IF  SS02WS-FS-NO-RECORD-FOUND
075900         GO TO 3099-DF1-EXIT.
076000*
076100     PERFORM MBU600PD-EXTRACT-NUMERICS
076200        THRU MBU600PD-EN-EXIT.
076300*
076400     MOVE MMEXWS-NUMBER          TO MM03-DISC-FREQ-1.
076500     MOVE LENGTH OF MM03-DISC-FREQ-1
076600                                 TO MM03-DISC-FREQ-1-L.
076700*
076800 3099-DF1-EXIT.
076900     EXIT.
077000/
077100 3100-DISC-FREQ-2.
077200*
077300     SET X-MMEXTB                TO 185.
077400     PERFORM 8000-SEARCH-MMEX-MAINT
077500        THRU 8099-SMM-EXIT.
077600*
077700     IF  SS02WS-FS-NO-RECORD-FOUND
077800         GO TO 3199-DF2-EXIT.
077900*
078000     PERFORM MBU600PD-EXTRACT-NUMERICS
078100        THRU MBU600PD-EN-EXIT.
078200*
078300     MOVE MMEXWS-NUMBER          TO MM03-DISC-FREQ-2.
078400     MOVE LENGTH OF MM03-DISC-FREQ-2
078500                                 TO MM03-DISC-FREQ-2-L.
078600*
078700 3199-DF2-EXIT.
078800     EXIT.
078900/
079000 3200-MERCH-PART-LEVEL.
079100*
079200     SET X-MMEXTB                TO 186.
079300     PERFORM 8000-SEARCH-MMEX-MAINT
079400        THRU 8099-SMM-EXIT.
079500*
079600     IF  SS02WS-FS-NO-RECORD-FOUND
079700         GO TO 3299-MPL-EXIT.
079800*
079900     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
080000                                 TO MM03-PART-LEVEL.
080100     MOVE LENGTH OF MM03-PART-LEVEL
080200                                 TO MM03-PART-LEVEL-L.
080300*
080400 3299-MPL-EXIT.
080500     EXIT.
080600/
080700 3300-MERCH-PART-RATE-TABLE.
080800*
080900     SET X-MMEXTB                TO 187.
081000     PERFORM 8000-SEARCH-MMEX-MAINT
081100        THRU 8099-SMM-EXIT.
081200*
081300     IF  SS02WS-FS-NO-RECORD-FOUND
081400         GO TO 3399-MPRT-EXIT.
081500*
081600     PERFORM MBU600PD-EXTRACT-NUMERICS
081700        THRU MBU600PD-EN-EXIT.
081800*
081900     MOVE MMEXWS-NUMBER          TO MM03-PART-RATE-TABLE.
082000     MOVE LENGTH OF MM03-PART-RATE-TABLE
082100                                 TO MM03-PART-RATE-TABLE-L.
082200*
082300 3399-MPRT-EXIT.
082400     EXIT.
082500/
082600 3400-MINIMUM-PART-AMT.
082700*
082800     SET X-MMEXTB                TO 188.
082900     PERFORM 8000-SEARCH-MMEX-MAINT
083000        THRU 8099-SMM-EXIT.
083100*
083200     IF  SS02WS-FS-NO-RECORD-FOUND
083300         GO TO 3499-MPA-EXIT.
083400*
083500     PERFORM MBU600PD-EXTRACT-NUMERICS
083600        THRU MBU600PD-EN-EXIT.
083700*
083800     MOVE MMMM-MIN-PART-AMT
083900                                 TO MMEXWS-F-S16V2.
084000     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
084100*
084200     EVALUATE TRUE
084300         WHEN MMEXWS-PERCENT-ON
084400             PERFORM MBU600PD-PERCENT-CHANGE
084500                THRU MBU600PD-PC-EXIT
084600             PERFORM MBU600PD-AMOUNT-ROUNDING
084700                THRU MBU600PD-AR-EXIT
084800         WHEN MMEXWS-SIGN-POSITIVE
084900             PERFORM MBU600PD-INCREASE-NUMERICS
085000                THRU MBU600PD-IN-EXIT
085100         WHEN MMEXWS-SIGN-NEGATIVE
085200             PERFORM MBU600PD-DECREASE-NUMERICS
085300                THRU MBU600PD-DN-EXIT
085400         WHEN OTHER
085500             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
085600     END-EVALUATE.
085700*
085800     MOVE MMEXWS-F-S16V2         TO MM03-MIN-PART-AMT.
085900     MOVE LENGTH OF MM03-MIN-PART-AMT
086000                                 TO MM03-MIN-PART-AMT-L.
086100*
086200 3499-MPA-EXIT.
086300     EXIT.
086400/
086500 3500-PART-FEE-BASE.
086600*
086700     SET X-MMEXTB                TO 191.
086800     PERFORM 8000-SEARCH-MMEX-MAINT
086900        THRU 8099-SMM-EXIT.
087000*
087100     IF  SS02WS-FS-NO-RECORD-FOUND
087200         GO TO 3599-PFB-EXIT.
087300*
087400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
087500                                 TO MM03-PART-FEE-BASE.
087600     MOVE LENGTH OF MM03-PART-FEE-BASE
087700                                 TO MM03-PART-FEE-BASE-L.
087800*
087900 3599-PFB-EXIT.
088000     EXIT.
088100/
088200 3600-PART-VOL-FREQ.
088300*
088400     SET X-MMEXTB                TO 192.
088500     PERFORM 8000-SEARCH-MMEX-MAINT
088600        THRU 8099-SMM-EXIT.
088700*
088800     IF  SS02WS-FS-NO-RECORD-FOUND
088900         GO TO 3699-PVF-EXIT.
089000*
089100     PERFORM MBU600PD-EXTRACT-NUMERICS
089200        THRU MBU600PD-EN-EXIT.
089300*
089400     MOVE MMEXWS-NUMBER          TO MM03-PART-VOL-FREQ.
089500     MOVE LENGTH OF MM03-PART-VOL-FREQ
089600                                 TO MM03-PART-VOL-FREQ-L.
089700*
089800 3699-PVF-EXIT.
089900     EXIT.
090000/
090100 3700-PART-VOL-RATE-TABLE.
090200*
090300     SET X-MMEXTB                TO 193.
090400     PERFORM 8000-SEARCH-MMEX-MAINT
090500        THRU 8099-SMM-EXIT.
090600*
090700     IF  SS02WS-FS-NO-RECORD-FOUND
090800         GO TO 3799-PVRT-EXIT.
090900*
091000     PERFORM MBU600PD-EXTRACT-NUMERICS
091100        THRU MBU600PD-EN-EXIT.
091200*
091300     MOVE MMEXWS-NUMBER          TO MM03-PART-VOL-RATE-TBL.
091400     MOVE LENGTH OF MM03-PART-VOL-RATE-TBL
091500                                 TO MM03-PART-VOL-RATE-TBL-L.
091600*
091700 3799-PVRT-EXIT.
091800     EXIT.
091900/
092000 3800-PART-FREQ-1.
092100*
092200     SET X-MMEXTB                TO 194.
092300     PERFORM 8000-SEARCH-MMEX-MAINT
092400        THRU 8099-SMM-EXIT.
092500*
092600     IF  SS02WS-FS-NO-RECORD-FOUND
092700         GO TO 3899-PF1-EXIT.
092800*
092900     PERFORM MBU600PD-EXTRACT-NUMERICS
093000        THRU MBU600PD-EN-EXIT.
093100*
093200     MOVE MMEXWS-NUMBER          TO MM03-PART-FREQ-1.
093300     MOVE LENGTH OF MM03-PART-FREQ-1
093400                                 TO MM03-PART-FREQ-1-L.
093500*
093600 3899-PF1-EXIT.
093700     EXIT.
093800/
093900 3900-PART-FREQ-2.
094000*
094100     SET X-MMEXTB                TO 195.
094200     PERFORM 8000-SEARCH-MMEX-MAINT
094300        THRU 8099-SMM-EXIT.
094400*
094500     IF  SS02WS-FS-NO-RECORD-FOUND
094600         GO TO 3999-PF2-EXIT.
094700*
094800     PERFORM MBU600PD-EXTRACT-NUMERICS
094900        THRU MBU600PD-EN-EXIT.
095000*
095100     MOVE MMEXWS-NUMBER          TO MM03-PART-FREQ-2.
095200     MOVE LENGTH OF MM03-PART-FREQ-2
095300                                 TO MM03-PART-FREQ-2-L.
095400*
095500 3999-PF2-EXIT.
095600     EXIT.
095700/
095800 4000-STMT-ADDR-CONTROL.
095900*
096000     SET X-MMEXTB                TO 397.
096100     PERFORM 8000-SEARCH-MMEX-MAINT
096200        THRU 8099-SMM-EXIT.
096300*
096400     IF  SS02WS-FS-NO-RECORD-FOUND
096500         GO TO 4099-SAC-EXIT.
096600*
096700     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
096800                                 TO MM03-STMT-ADDR-CONTROL.
096900     MOVE LENGTH OF MM03-STMT-ADDR-CONTROL
097000                                 TO MM03-STMT-ADDR-CONTROL-L.
097100*
097200 4099-SAC-EXIT.
097300     EXIT.
097400/
097500 4100-EURO-REPORTING-FLAG.
097600*
097700     SET X-MMEXTB                TO 551.
097800     PERFORM 8000-SEARCH-MMEX-MAINT
097900        THRU 8099-SMM-EXIT.
098000*
098100     IF  SS02WS-FS-NO-RECORD-FOUND
098200         GO TO 4199-ERF-EXIT.
098300*
098400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
098500                                 TO MM03-EURO-RPT-FLAG.
098600     MOVE LENGTH OF MM03-EURO-RPT-FLAG
098700                                 TO MM03-EURO-RPT-FLAG-L.
098800     EXIT.
098900/
099000 4200-DUAL-REPORTING-ORG.
099100*
099200     SET X-MMEXTB                TO 552.
099300     PERFORM 8000-SEARCH-MMEX-MAINT
099400        THRU 8099-SMM-EXIT.
099500*
099600     IF  SS02WS-FS-NO-RECORD-FOUND
099700         GO TO 4299-DRO-EXIT.
099800*
099900     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
100000                                 TO MM03-DUAL-RPT-ORG.
100100     MOVE LENGTH OF MM03-DUAL-RPT-ORG
100200                                 TO MM03-DUAL-RPT-ORG-L.
100300 4299-DRO-EXIT.
100400     EXIT.
100500/
100600 8000-SEARCH-MMEX-MAINT SECTION.
100700 8001-SMM-BEGIN.
100800*
100900     SET X-MMEX-MAINT            TO 1.
101000     SEARCH MMEX-MAINT-CRITERIA VARYING X-MMEX-MAINT
101100         AT END
101200             SET SS02WS-FS-NO-RECORD-FOUND
101300                                 TO TRUE
101400         WHEN MMEX-MAINT-FILE-ID(X-MMEX-MAINT) IS EQUAL TO SPACES
101500             SET SS02WS-FS-NO-RECORD-FOUND
101600                                 TO TRUE
101700         WHEN MMEX-MAINT-FIELD-CODE (X-MMEX-MAINT)
101800              IS EQUAL TO MMEXTB-FIELD-CODE (X-MMEXTB)
101900             SET SS02WS-FS-SUCCESSFUL
102000                                 TO TRUE.
102100*
102200 8099-SMM-EXIT.
102300     EXIT.
102400/
102500 9000-PERFORMED-ROUTINES-SECT SECTION.
102600     COPY SS07PD.
102700/
102800     COPY SS08PD.
102900/
103000     COPY SS26PD.
103100/
103200     COPY SS27PD.
103300/
103400     COPY MBU600PD.
103500*
103600 9995-END-SOURCE-STATEMENTS SECTION.
103700 9999-END-OF-PROGRAM.
103800     GOBACK.
103900 4199-ERF-EXIT.
