000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU6MM07.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU6MM07 - BUILD MERCHANT NON-MONETARY FROM E.X.A.M. PAGE 07*
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MBMM07.
002600     COPY MBMM07R.
002700/
002800     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
002900/
003000     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS01WS.
003500/
003600     COPY SS02WS.
003700*
003800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003900/
004000 LINKAGE SECTION.
004100     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
004600/
004700     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUI==.
004800/
004900 PROCEDURE DIVISION              USING MMEX-RECORD
005000                                       MMMM-RECORD
005100                                       MMUO-RECORD
005200                                       MMUI-RECORD.
005300 A000-MAIN-LINE-SECT SECTION.
005400 A010-ML-BEGIN.
005500*
005600     MOVE LOW-VALUES             TO MMUO-RECORD.
005700     MOVE LOW-VALUES             TO MMUI-RECORD.
005800     MOVE LOW-VALUES             TO MBMM07I.
005900*
006000     PERFORM 0100-POST-REJ-FLAG
006100        THRU 0199-PRF-EXIT.
006200*
006300     PERFORM 0200-SETT-PRINT-FAX
006400        THRU 0299-SPF-EXIT.
006500*
006600     PERFORM 0300-SETT-DETAIL-TXNS
006700        THRU 0399-SDT-EXIT.
006800*
006900     PERFORM 0400-SETT-FREQ-1
007000        THRU 0499-SF1-EXIT.
007100*
007200     PERFORM 0500-SETT-FREQ-2
007300        THRU 0599-SF2-EXIT.
007400*
007500     PERFORM 0600-COMB-DEPOSIT-FLAG
007600        THRU 0699-CDF-EXIT.
007700*
007800     PERFORM 0700-TAT-ACCT-1
007900        THRU 0799-TA1-EXIT.
008000*
008100     PERFORM 0800-TAT-USER-CODE-1
008200        THRU 0899-TUC1-EXIT.
008300*
008400     PERFORM 0900-TAT-ACCT-2
008500        THRU 0999-TA2-EXIT.
008600*
008700     PERFORM 1000-TAT-USER-CODE-2
008800        THRU 1099-TUC2-EXIT.
008900*
009000     PERFORM 1100-TAT-ACCT-3
009100        THRU 1199-TA3-EXIT.
009200*
009300     PERFORM 1200-TAT-USER-CODE-3
009400        THRU 1299-TUC3-EXIT.
009500*
009600     PERFORM 1300-TAT-ACCT-4
009700        THRU 1399-TA4-EXIT.
009800*
009900     PERFORM 1400-TAT-USER-CODE-4
010000        THRU 1499-TUC4-EXIT.
010100*
010200     PERFORM 1500-TAT-ACCT-5
010300        THRU 1599-TA5-EXIT.
010400*
010500     PERFORM 1600-TAT-USER-CODE-5
010600        THRU 1699-TUC5-EXIT.
010700*
010800     PERFORM 1700-TAT-ACCT-6
010900        THRU 1799-TA6-EXIT.
011000*
011100     PERFORM 1800-TAT-USER-CODE-6
011200        THRU 1899-TUC6-EXIT.
011300*
011400     PERFORM 1900-TAT-ACCT-7
011500        THRU 1999-TA7-EXIT.
011600*
011700     PERFORM 2000-TAT-USER-CODE-7
011800        THRU 2099-TUC7-EXIT.
011900*
012000     PERFORM 2100-TAT-ACCT-8
012100        THRU 2199-TA8-EXIT.
012200*
012300     PERFORM 2200-TAT-USER-CODE-8
012400        THRU 2299-TUC8-EXIT.
012500*
012600     PERFORM 2300-TAT-ACCT-9
012700        THRU 2399-TA9-EXIT.
012800*
012900     PERFORM 2400-TAT-USER-CODE-9
013000        THRU 2499-TUC9-EXIT.
013100*
013200     PERFORM 2500-TAT-ACCT-10
013300        THRU 2599-TA10-EXIT.
013400*
013500     PERFORM 2600-TAT-USER-CODE-10
013600        THRU 2699-TUC10-EXIT.
013700*
013800     PERFORM 2700-TAT-ACCT-11
013900        THRU 2799-TA11-EXIT.
014000*
014100     PERFORM 2800-TAT-USER-CODE-11
014200        THRU 2899-TUC11-EXIT.
014300*
014400     PERFORM 2900-TAT-ACCT-12
014500        THRU 2999-TA12-EXIT.
014600*
014700     PERFORM 3000-TAT-USER-CODE-12
014800        THRU 3099-TUC12-EXIT.
014900*
015000     PERFORM 3100-TAT-ACCT-13
015100        THRU 3199-TA13-EXIT.
015200*
015300     PERFORM 3200-TAT-USER-CODE-13
015400        THRU 3299-TUC13-EXIT.
015500*
015600**** PERFORM 3300-TAT-ACCT-14
015700****    THRU 3399-TA14-EXIT.
015800*
015900*****PERFORM 3400-TAT-USER-CODE-14
016000*****   THRU 3499-TUC14-EXIT.
016100*
016200     PERFORM 3500-TAT-ACCT-15
016300        THRU 3599-TA15-EXIT.
016400*
016500     PERFORM 3600-TAT-USER-CODE-15
016600        THRU 3699-TUC15-EXIT.
016700*
016800     PERFORM 3700-TAT-ACCT-16
016900        THRU 3799-TA16-EXIT.
017000*
017100     PERFORM 3800-TAT-USER-CODE-16
017200        THRU 3899-TUC16-EXIT.
017300*
017400*
017500     IF  MBMM07I IS EQUAL TO LOW-VALUES
017600         NEXT SENTENCE
017700     ELSE
017800         MOVE MBMM07I            TO MMUO-MAP-DATA
017900         MOVE 'MBMM'             TO MMUO-TRANID
018000         MOVE 07                 TO MMUO-CURRENT-PAGE
018100         MOVE MMMM-ORG           TO MMUO-MM-ORG
018200         MOVE MMMM-MERCHANT      TO MMUO-MM-MERCHANT
018300         MOVE LENGTH OF MBMM07I  TO MMUO-VAR-LENGTH
018400     END-IF.
018500*
018600     GO TO 9999-END-OF-PROGRAM.
018700*
018800 A999-ML-EXIT.
018900     EXIT.
019000/
019100 0000-MERCHANT-MAINT-PAGE-07 SECTION.
019200 0100-POST-REJ-FLAG.
019300*
019400     SET X-MMEXTB                TO 418.
019500     PERFORM 8000-SEARCH-MMEX-MAINT
019600        THRU 8099-SMM-EXIT.
019700*
019800     IF  SS02WS-FS-NO-RECORD-FOUND
019900         GO TO 0199-PRF-EXIT.
020000*
020100     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
020200                                 TO MM07-POST-REJECTS-FLAG.
020300     MOVE LENGTH OF MM07-POST-REJECTS-FLAG
020400                                 TO MM07-POST-REJECTS-FLAG-L.
020500*
020600 0199-PRF-EXIT.
020700     EXIT.
020800/
020900 0200-SETT-PRINT-FAX.
021000*
021100     SET X-MMEXTB                TO 129.
021200     PERFORM 8000-SEARCH-MMEX-MAINT
021300        THRU 8099-SMM-EXIT.
021400*
021500     IF  SS02WS-FS-NO-RECORD-FOUND
021600         GO TO 0299-SPF-EXIT.
021700*
021800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
021900                                 TO MM07-PRINT-FAX.
022000     MOVE LENGTH OF MM07-PRINT-FAX
022100                                 TO MM07-PRINT-FAX-L.
022200*
022300 0299-SPF-EXIT.
022400     EXIT.
022500/
022600 0300-SETT-DETAIL-TXNS.
022700*
022800     SET X-MMEXTB                TO 130.
022900     PERFORM 8000-SEARCH-MMEX-MAINT
023000        THRU 8099-SMM-EXIT.
023100*
023200     IF  SS02WS-FS-NO-RECORD-FOUND
023300         GO TO 0399-SDT-EXIT.
023400*
023500     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
023600                                 TO MM07-DETAIL-TXNS.
023700     MOVE LENGTH OF MM07-DETAIL-TXNS
023800                                 TO MM07-DETAIL-TXNS-L.
023900*
024000 0399-SDT-EXIT.
024100     EXIT.
024200/
024300 0400-SETT-FREQ-1.
024400*
024500     SET X-MMEXTB                TO 196.
024600     PERFORM 8000-SEARCH-MMEX-MAINT
024700        THRU 8099-SMM-EXIT.
024800*
024900     IF  SS02WS-FS-NO-RECORD-FOUND
025000         GO TO 0499-SF1-EXIT.
025100*
025200     PERFORM MBU600PD-EXTRACT-NUMERICS
025300        THRU MBU600PD-EN-EXIT.
025400*
025500     MOVE MMEXWS-NUMBER          TO MM07-SETT-FREQ1.
025600     MOVE LENGTH OF MM07-SETT-FREQ1
025700                                 TO MM07-SETT-FREQ1-L.
025800 0499-SF1-EXIT.
025900     EXIT.
026000/
026100 0500-SETT-FREQ-2.
026200*
026300     SET X-MMEXTB                TO 197.
026400     PERFORM 8000-SEARCH-MMEX-MAINT
026500        THRU 8099-SMM-EXIT.
026600*
026700     IF  SS02WS-FS-NO-RECORD-FOUND
026800         GO TO 0599-SF2-EXIT.
026900*
027000     PERFORM MBU600PD-EXTRACT-NUMERICS
027100        THRU MBU600PD-EN-EXIT.
027200*
027300     MOVE MMEXWS-NUMBER          TO MM07-SETT-FREQ2.
027400     MOVE LENGTH OF MM07-SETT-FREQ2
027500                                 TO MM07-SETT-FREQ2-L.
027600 0599-SF2-EXIT.
027700     EXIT.
027800/
027900 0600-COMB-DEPOSIT-FLAG.
028000*
028100     SET X-MMEXTB                TO 198.
028200     PERFORM 8000-SEARCH-MMEX-MAINT
028300        THRU 8099-SMM-EXIT.
028400*
028500     IF  SS02WS-FS-NO-RECORD-FOUND
028600         GO TO 0699-CDF-EXIT.
028700*
028800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
028900                                 TO MM07-ACH-DEPOSIT.
029000     MOVE LENGTH OF MM07-ACH-DEPOSIT
029100                                 TO MM07-ACH-DEPOSIT-L.
029200 0699-CDF-EXIT.
029300     EXIT.
029400/
029500 0700-TAT-ACCT-1.
029600*
029700     SET X-MMEXTB                TO 203.
029800     PERFORM 8000-SEARCH-MMEX-MAINT
029900        THRU 8099-SMM-EXIT.
030000*
030100     IF  SS02WS-FS-NO-RECORD-FOUND
030200         GO TO 0799-TA1-EXIT.
030300*
030400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
030500                                 TO MM07-TAT-ACCOUNT (1).
030600     MOVE LENGTH OF MM07-TAT-ACCOUNT (1)
030700                                 TO MM07-TAT-ACCOUNT-L (1).
030800 0799-TA1-EXIT.
030900     EXIT.
031000/
031100 0800-TAT-USER-CODE-1.
031200*
031300     SET X-MMEXTB                TO 206.
031400     PERFORM 8000-SEARCH-MMEX-MAINT
031500        THRU 8099-SMM-EXIT.
031600*
031700     IF  SS02WS-FS-NO-RECORD-FOUND
031800         GO TO 0899-TUC1-EXIT.
031900*
032000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
032100                                 TO MM07-TAT-USER-CODE (1).
032200     MOVE LENGTH OF MM07-TAT-USER-CODE (1)
032300                                 TO MM07-TAT-USER-CODE-L (1).
032400 0899-TUC1-EXIT.
032500     EXIT.
032600/
032700 0900-TAT-ACCT-2.
032800*
032900     SET X-MMEXTB                TO 207.
033000     PERFORM 8000-SEARCH-MMEX-MAINT
033100        THRU 8099-SMM-EXIT.
033200*
033300     IF  SS02WS-FS-NO-RECORD-FOUND
033400         GO TO 0999-TA2-EXIT.
033500*
033600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
033700                                 TO MM07-TAT-ACCOUNT (2).
033800     MOVE LENGTH OF MM07-TAT-ACCOUNT (2)
033900                                 TO MM07-TAT-ACCOUNT-L (2).
034000 0999-TA2-EXIT.
034100     EXIT.
034200/
034300 1000-TAT-USER-CODE-2.
034400*
034500     SET X-MMEXTB                TO 210.
034600     PERFORM 8000-SEARCH-MMEX-MAINT
034700        THRU 8099-SMM-EXIT.
034800*
034900     IF  SS02WS-FS-NO-RECORD-FOUND
035000         GO TO 1099-TUC2-EXIT.
035100*
035200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
035300                                 TO MM07-TAT-USER-CODE (2).
035400     MOVE LENGTH OF MM07-TAT-USER-CODE (2)
035500                                 TO MM07-TAT-USER-CODE-L (2).
035600 1099-TUC2-EXIT.
035700     EXIT.
035800/
035900 1100-TAT-ACCT-3.
036000*
036100     SET X-MMEXTB                TO 211.
036200     PERFORM 8000-SEARCH-MMEX-MAINT
036300        THRU 8099-SMM-EXIT.
036400*
036500     IF  SS02WS-FS-NO-RECORD-FOUND
036600         GO TO 1199-TA3-EXIT.
036700*
036800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
036900                                 TO MM07-TAT-ACCOUNT (3).
037000     MOVE LENGTH OF MM07-TAT-ACCOUNT (3)
037100                                 TO MM07-TAT-ACCOUNT-L (3).
037200 1199-TA3-EXIT.
037300     EXIT.
037400/
037500 1200-TAT-USER-CODE-3.
037600*
037700     SET X-MMEXTB                TO 214.
037800     PERFORM 8000-SEARCH-MMEX-MAINT
037900        THRU 8099-SMM-EXIT.
038000*
038100     IF  SS02WS-FS-NO-RECORD-FOUND
038200         GO TO 1299-TUC3-EXIT.
038300*
038400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
038500                                 TO MM07-TAT-USER-CODE (3).
038600     MOVE LENGTH OF MM07-TAT-USER-CODE (3)
038700                                 TO MM07-TAT-USER-CODE-L (3).
038800 1299-TUC3-EXIT.
038900     EXIT.
039000/
039100 1300-TAT-ACCT-4.
039200*
039300     SET X-MMEXTB                TO 215.
039400     PERFORM 8000-SEARCH-MMEX-MAINT
039500        THRU 8099-SMM-EXIT.
039600*
039700     IF  SS02WS-FS-NO-RECORD-FOUND
039800         GO TO 1399-TA4-EXIT.
039900*
040000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
040100                                 TO MM07-TAT-ACCOUNT (4).
040200     MOVE LENGTH OF MM07-TAT-ACCOUNT (4)
040300                                 TO MM07-TAT-ACCOUNT-L (4).
040400 1399-TA4-EXIT.
040500     EXIT.
040600/
040700 1400-TAT-USER-CODE-4.
040800*
040900     SET X-MMEXTB                TO 218.
041000     PERFORM 8000-SEARCH-MMEX-MAINT
041100        THRU 8099-SMM-EXIT.
041200*
041300     IF  SS02WS-FS-NO-RECORD-FOUND
041400         GO TO 1499-TUC4-EXIT.
041500*
041600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
041700                                 TO MM07-TAT-USER-CODE (4).
041800     MOVE LENGTH OF MM07-TAT-USER-CODE (4)
041900                                 TO MM07-TAT-USER-CODE-L (4).
042000 1499-TUC4-EXIT.
042100     EXIT.
042200/
042300 1500-TAT-ACCT-5.
042400*
042500     SET X-MMEXTB                TO 219.
042600     PERFORM 8000-SEARCH-MMEX-MAINT
042700        THRU 8099-SMM-EXIT.
042800*
042900     IF  SS02WS-FS-NO-RECORD-FOUND
043000         GO TO 1599-TA5-EXIT.
043100*
043200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
043300                                 TO MM07-TAT-ACCOUNT (5).
043400     MOVE LENGTH OF MM07-TAT-ACCOUNT (5)
043500                                 TO MM07-TAT-ACCOUNT-L (5).
043600 1599-TA5-EXIT.
043700     EXIT.
043800/
043900 1600-TAT-USER-CODE-5.
044000*
044100     SET X-MMEXTB                TO 222.
044200     PERFORM 8000-SEARCH-MMEX-MAINT
044300        THRU 8099-SMM-EXIT.
044400*
044500     IF  SS02WS-FS-NO-RECORD-FOUND
044600         GO TO 1699-TUC5-EXIT.
044700*
044800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
044900                                 TO MM07-TAT-USER-CODE (5).
045000     MOVE LENGTH OF MM07-TAT-USER-CODE (5)
045100                                 TO MM07-TAT-USER-CODE-L (5).
045200 1699-TUC5-EXIT.
045300     EXIT.
045400/
045500 1700-TAT-ACCT-6.
045600*
045700     SET X-MMEXTB                TO 223.
045800     PERFORM 8000-SEARCH-MMEX-MAINT
045900        THRU 8099-SMM-EXIT.
046000*
046100     IF  SS02WS-FS-NO-RECORD-FOUND
046200         GO TO 1799-TA6-EXIT.
046300*
046400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
046500                                 TO MM07-TAT-ACCOUNT (6).
046600     MOVE LENGTH OF MM07-TAT-ACCOUNT (6)
046700                                 TO MM07-TAT-ACCOUNT-L (6).
046800 1799-TA6-EXIT.
046900     EXIT.
047000/
047100 1800-TAT-USER-CODE-6.
047200*
047300     SET X-MMEXTB                TO 226.
047400     PERFORM 8000-SEARCH-MMEX-MAINT
047500        THRU 8099-SMM-EXIT.
047600*
047700     IF  SS02WS-FS-NO-RECORD-FOUND
047800         GO TO 1899-TUC6-EXIT.
047900*
048000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
048100                                 TO MM07-TAT-USER-CODE (6).
048200     MOVE LENGTH OF MM07-TAT-USER-CODE (6)
048300                                 TO MM07-TAT-USER-CODE-L (6).
048400 1899-TUC6-EXIT.
048500     EXIT.
048600/
048700 1900-TAT-ACCT-7.
048800*
048900     SET X-MMEXTB                TO 227.
049000     PERFORM 8000-SEARCH-MMEX-MAINT
049100        THRU 8099-SMM-EXIT.
049200*
049300     IF  SS02WS-FS-NO-RECORD-FOUND
049400         GO TO 1999-TA7-EXIT.
049500*
049600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
049700                                 TO MM07-TAT-ACCOUNT (7).
049800     MOVE LENGTH OF MM07-TAT-ACCOUNT (7)
049900                                 TO MM07-TAT-ACCOUNT-L (7).
050000 1999-TA7-EXIT.
050100     EXIT.
050200/
050300 2000-TAT-USER-CODE-7.
050400*
050500     SET X-MMEXTB                TO 230.
050600     PERFORM 8000-SEARCH-MMEX-MAINT
050700        THRU 8099-SMM-EXIT.
050800*
050900     IF  SS02WS-FS-NO-RECORD-FOUND
051000         GO TO 2099-TUC7-EXIT.
051100*
051200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
051300                                 TO MM07-TAT-USER-CODE (7).
051400     MOVE LENGTH OF MM07-TAT-USER-CODE (7)
051500                                 TO MM07-TAT-USER-CODE-L (7).
051600 2099-TUC7-EXIT.
051700     EXIT.
051800/
051900 2100-TAT-ACCT-8.
052000*
052100     SET X-MMEXTB                TO 231.
052200     PERFORM 8000-SEARCH-MMEX-MAINT
052300        THRU 8099-SMM-EXIT.
052400*
052500     IF  SS02WS-FS-NO-RECORD-FOUND
052600         GO TO 2199-TA8-EXIT.
052700*
052800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
052900                                 TO MM07-TAT-ACCOUNT (8).
053000     MOVE LENGTH OF MM07-TAT-ACCOUNT (8)
053100                                 TO MM07-TAT-ACCOUNT-L (8).
053200 2199-TA8-EXIT.
053300     EXIT.
053400/
053500 2200-TAT-USER-CODE-8.
053600*
053700     SET X-MMEXTB                TO 234.
053800     PERFORM 8000-SEARCH-MMEX-MAINT
053900        THRU 8099-SMM-EXIT.
054000*
054100     IF  SS02WS-FS-NO-RECORD-FOUND
054200         GO TO 2299-TUC8-EXIT.
054300*
054400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
054500                                 TO MM07-TAT-USER-CODE (8).
054600     MOVE LENGTH OF MM07-TAT-USER-CODE (8)
054700                                 TO MM07-TAT-USER-CODE-L (8).
054800 2299-TUC8-EXIT.
054900     EXIT.
055000/
055100 2300-TAT-ACCT-9.
055200*
055300     SET X-MMEXTB                TO 235.
055400     PERFORM 8000-SEARCH-MMEX-MAINT
055500        THRU 8099-SMM-EXIT.
055600*
055700     IF  SS02WS-FS-NO-RECORD-FOUND
055800         GO TO 2399-TA9-EXIT.
055900*
056000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
056100                                 TO MM07-TAT-ACCOUNT (9).
056200     MOVE LENGTH OF MM07-TAT-ACCOUNT (9)
056300                                 TO MM07-TAT-ACCOUNT-L (9).
056400 2399-TA9-EXIT.
056500     EXIT.
056600/
056700 2400-TAT-USER-CODE-9.
056800*
056900     SET X-MMEXTB                TO 238.
057000     PERFORM 8000-SEARCH-MMEX-MAINT
057100        THRU 8099-SMM-EXIT.
057200*
057300     IF  SS02WS-FS-NO-RECORD-FOUND
057400         GO TO 2499-TUC9-EXIT.
057500*
057600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
057700                                 TO MM07-TAT-USER-CODE (9).
057800     MOVE LENGTH OF MM07-TAT-USER-CODE (9)
057900                                 TO MM07-TAT-USER-CODE-L (9).
058000 2499-TUC9-EXIT.
058100     EXIT.
058200/
058300 2500-TAT-ACCT-10.
058400*
058500     SET X-MMEXTB                TO 239.
058600     PERFORM 8000-SEARCH-MMEX-MAINT
058700        THRU 8099-SMM-EXIT.
058800*
058900     IF  SS02WS-FS-NO-RECORD-FOUND
059000         GO TO 2599-TA10-EXIT.
059100*
059200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
059300                                 TO MM07-TAT-ACCOUNT (10).
059400     MOVE LENGTH OF MM07-TAT-ACCOUNT (10)
059500                                 TO MM07-TAT-ACCOUNT-L (10).
059600 2599-TA10-EXIT.
059700     EXIT.
059800/
059900 2600-TAT-USER-CODE-10.
060000*
060100     SET X-MMEXTB                TO 242.
060200     PERFORM 8000-SEARCH-MMEX-MAINT
060300        THRU 8099-SMM-EXIT.
060400*
060500     IF  SS02WS-FS-NO-RECORD-FOUND
060600         GO TO 2699-TUC10-EXIT.
060700*
060800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
060900                                 TO MM07-TAT-USER-CODE (10).
061000     MOVE LENGTH OF MM07-TAT-USER-CODE (10)
061100                                 TO MM07-TAT-USER-CODE-L (10).
061200 2699-TUC10-EXIT.
061300     EXIT.
061400/
061500 2700-TAT-ACCT-11.
061600*
061700     SET X-MMEXTB                TO 243.
061800     PERFORM 8000-SEARCH-MMEX-MAINT
061900        THRU 8099-SMM-EXIT.
062000*
062100     IF  SS02WS-FS-NO-RECORD-FOUND
062200         GO TO 2799-TA11-EXIT.
062300*
062400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
062500                                 TO MM07-TAT-ACCOUNT (11).
062600     MOVE LENGTH OF MM07-TAT-ACCOUNT (11)
062700                                 TO MM07-TAT-ACCOUNT-L (11).
062800 2799-TA11-EXIT.
062900     EXIT.
063000/
063100 2800-TAT-USER-CODE-11.
063200*
063300     SET X-MMEXTB                TO 246.
063400     PERFORM 8000-SEARCH-MMEX-MAINT
063500        THRU 8099-SMM-EXIT.
063600*
063700     IF  SS02WS-FS-NO-RECORD-FOUND
063800         GO TO 2899-TUC11-EXIT.
063900*
064000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
064100                                 TO MM07-TAT-USER-CODE (11).
064200     MOVE LENGTH OF MM07-TAT-USER-CODE (11)
064300                                 TO MM07-TAT-USER-CODE-L (11).
064400 2899-TUC11-EXIT.
064500     EXIT.
064600/
064700 2900-TAT-ACCT-12.
064800*
064900     SET X-MMEXTB                TO 247.
065000     PERFORM 8000-SEARCH-MMEX-MAINT
065100        THRU 8099-SMM-EXIT.
065200*
065300     IF  SS02WS-FS-NO-RECORD-FOUND
065400         GO TO 2999-TA12-EXIT.
065500*
065600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
065700                                 TO MM07-TAT-ACCOUNT (12).
065800     MOVE LENGTH OF MM07-TAT-ACCOUNT (12)
065900                                 TO MM07-TAT-ACCOUNT-L (12).
066000 2999-TA12-EXIT.
066100     EXIT.
066200/
066300 3000-TAT-USER-CODE-12.
066400*
066500     SET X-MMEXTB                TO 250.
066600     PERFORM 8000-SEARCH-MMEX-MAINT
066700        THRU 8099-SMM-EXIT.
066800*
066900     IF  SS02WS-FS-NO-RECORD-FOUND
067000         GO TO 3099-TUC12-EXIT.
067100*
067200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
067300                                 TO MM07-TAT-USER-CODE (12).
067400     MOVE LENGTH OF MM07-TAT-USER-CODE (12)
067500                                 TO MM07-TAT-USER-CODE-L (12).
067600 3099-TUC12-EXIT.
067700     EXIT.
067800/
067900 3100-TAT-ACCT-13.
068000*
068100     SET X-MMEXTB                TO 251.
068200     PERFORM 8000-SEARCH-MMEX-MAINT
068300        THRU 8099-SMM-EXIT.
068400*
068500     IF  SS02WS-FS-NO-RECORD-FOUND
068600         GO TO 3199-TA13-EXIT.
068700*
068800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
068900                                 TO MM07-TAT-ACCOUNT (13).
069000     MOVE LENGTH OF MM07-TAT-ACCOUNT (13)
069100                                 TO MM07-TAT-ACCOUNT-L (13).
069200 3199-TA13-EXIT.
069300     EXIT.
069400/
069500 3200-TAT-USER-CODE-13.
069600*
069700     SET X-MMEXTB                TO 254.
069800     PERFORM 8000-SEARCH-MMEX-MAINT
069900        THRU 8099-SMM-EXIT.
070000*
070100     IF  SS02WS-FS-NO-RECORD-FOUND
070200         GO TO 3299-TUC13-EXIT.
070300*
070400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
070500                                 TO MM07-TAT-USER-CODE (13).
070600     MOVE LENGTH OF MM07-TAT-USER-CODE (13)
070700                                 TO MM07-TAT-USER-CODE-L (13).
070800 3299-TUC13-EXIT.
070900     EXIT.
071000/
071100*3300-TAT-ACCT-14.
071200*
071300**** SET X-MMEXTB                TO 255.
071400**** PERFORM 8000-SEARCH-MMEX-MAINT
071500****    THRU 8099-SMM-EXIT.
071600*
071700**** IF  SS02WS-FS-NO-RECORD-FOUND
071800****     GO TO 3399-TA14-EXIT.
071900*
072000**** MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
072100****                             TO MM07-TAT-ACCOUNT (14).
072200**** MOVE LENGTH OF MM07-TAT-ACCOUNT (14)
072300****                             TO MM07-TAT-ACCOUNT-L (14).
072400*3399-TA14-EXIT.
072500*    EXIT.
072600/
072700*3400-TAT-USER-CODE-14.
072800*
072900**** SET X-MMEXTB                TO 258.
073000**** PERFORM 8000-SEARCH-MMEX-MAINT
073100****    THRU 8099-SMM-EXIT.
073200*
073300**** IF  SS02WS-FS-NO-RECORD-FOUND
073400****     GO TO 3499-TUC14-EXIT.
073500*
073600**** MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
073700****                             TO MM07-TAT-USER-CODE (14).
073800**** MOVE LENGTH OF MM07-TAT-USER-CODE (14)
073900****                             TO MM07-TAT-USER-CODE-L (14).
074000*3499-TUC14-EXIT.
074100**** EXIT.
074200/
074300 3500-TAT-ACCT-15.
074400*
074500     SET X-MMEXTB                TO 259.
074600     PERFORM 8000-SEARCH-MMEX-MAINT
074700        THRU 8099-SMM-EXIT.
074800*
074900     IF  SS02WS-FS-NO-RECORD-FOUND
075000         GO TO 3599-TA15-EXIT.
075100*
075200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
075300                                 TO MM07-TAT-ACCOUNT (15).
075400     MOVE LENGTH OF MM07-TAT-ACCOUNT (15)
075500                                 TO MM07-TAT-ACCOUNT-L (15).
075600 3599-TA15-EXIT.
075700     EXIT.
075800/
075900 3600-TAT-USER-CODE-15.
076000*
076100     SET X-MMEXTB                TO 262.
076200     PERFORM 8000-SEARCH-MMEX-MAINT
076300        THRU 8099-SMM-EXIT.
076400*
076500     IF  SS02WS-FS-NO-RECORD-FOUND
076600         GO TO 3699-TUC15-EXIT.
076700*
076800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
076900                                 TO MM07-TAT-USER-CODE (15).
077000     MOVE LENGTH OF MM07-TAT-USER-CODE (15)
077100                                 TO MM07-TAT-USER-CODE-L (15).
077200 3699-TUC15-EXIT.
077300     EXIT.
077400/
077500 3700-TAT-ACCT-16.
077600*
077700     SET X-MMEXTB                TO 263.
077800     PERFORM 8000-SEARCH-MMEX-MAINT
077900        THRU 8099-SMM-EXIT.
078000*
078100     IF  SS02WS-FS-NO-RECORD-FOUND
078200         GO TO 3799-TA16-EXIT.
078300*
078400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
078500                                 TO MM07-TAT-ACCOUNT (16).
078600     MOVE LENGTH OF MM07-TAT-ACCOUNT (16)
078700                                 TO MM07-TAT-ACCOUNT-L (16).
078800 3799-TA16-EXIT.
078900     EXIT.
079000/
079100 3800-TAT-USER-CODE-16.
079200*
079300     SET X-MMEXTB                TO 266.
079400     PERFORM 8000-SEARCH-MMEX-MAINT
079500        THRU 8099-SMM-EXIT.
079600*
079700     IF  SS02WS-FS-NO-RECORD-FOUND
079800         GO TO 3899-TUC16-EXIT.
079900*
080000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
080100                                 TO MM07-TAT-USER-CODE (16).
080200     MOVE LENGTH OF MM07-TAT-USER-CODE (16)
080300                                 TO MM07-TAT-USER-CODE-L (16).
080400 3899-TUC16-EXIT.
080500     EXIT.
080600/
080700 8000-SEARCH-MMEX-MAINT SECTION.
080800 8001-SMM-BEGIN.
080900*
081000     SET X-MMEX-MAINT            TO 1.
081100     SEARCH MMEX-MAINT-CRITERIA VARYING X-MMEX-MAINT
081200         AT END
081300             SET SS02WS-FS-NO-RECORD-FOUND
081400                                 TO TRUE
081500         WHEN MMEX-MAINT-FILE-ID(X-MMEX-MAINT) IS EQUAL TO SPACES
081600             SET SS02WS-FS-NO-RECORD-FOUND
081700                                 TO TRUE
081800         WHEN MMEX-MAINT-FIELD-CODE (X-MMEX-MAINT)
081900              IS EQUAL TO MMEXTB-FIELD-CODE (X-MMEXTB)
082000             SET SS02WS-FS-SUCCESSFUL
082100                                 TO TRUE.
082200*
082300 8099-SMM-EXIT.
082400     EXIT.
082500/
082600 9000-PERFORMED-ROUTINES-SECT SECTION.
082700     COPY SS07PD.
082800/
082900     COPY SS08PD.
083000/
083100     COPY SS26PD.
083200/
083300     COPY SS27PD.
083400/
083500     COPY MBU600PD.
083600*
083700 9995-END-SOURCE-STATEMENTS SECTION.
083800 9999-END-OF-PROGRAM.
083900     GOBACK.
