000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU6MM09.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU6MM09 - BUILD MERCHANT NON-MONETARY FROM E.X.A.M. PAGE 09*
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MBMM09.
002600     COPY MBMM09R.
002700/
002800     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
002900/
003000     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS01WS.
003500/
003600     COPY SS02WS.
003700*
003800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003900/
004000 LINKAGE SECTION.
004100     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
004600/
004700     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUI==.
004800/
004900 PROCEDURE DIVISION              USING MMEX-RECORD
005000                                       MMMM-RECORD
005100                                       MMUO-RECORD
005200                                       MMUI-RECORD.
005300 A000-MAIN-LINE-SECT SECTION.
005400 A010-ML-BEGIN.
005500*
005600     MOVE LOW-VALUES             TO MMUO-RECORD.
005700     MOVE LOW-VALUES             TO MMUI-RECORD.
005800     MOVE LOW-VALUES             TO MBMM09I.
005900*
006000     PERFORM 0100-NBR-BULLETINS
006100        THRU 0199-NB-EXIT.
006200*
006300     PERFORM 0200-CHAIN-ID-1
006400        THRU 0299-CI1-EXIT.
006500*
006600     PERFORM 0300-CHAIN-ID-2
006700        THRU 0399-CI2-EXIT.
006800*
006900     PERFORM 0400-CHAIN-ID-3
007000        THRU 0499-CI3-EXIT.
007100*
007200     PERFORM 0500-CHAIN-ID-4
007300        THRU 0599-CI4-EXIT.
007400*
007500     PERFORM 0600-CHAIN-ID-5
007600        THRU 0699-CI5-EXIT.
007700*
007800     PERFORM 0700-CHAIN-ID-6
007900        THRU 0799-CI6-EXIT.
008000*
008100     PERFORM 0800-CHAIN-ID-7
008200        THRU 0899-CI7-EXIT.
008300*
008400     PERFORM 0900-CHAIN-ID-8
008500        THRU 0999-CI8-EXIT.
008600*
008700     PERFORM 1000-CHAIN-ID-9
008800        THRU 1099-CI9-EXIT.
008900*
009000     PERFORM 1100-CHAIN-ID-10
009100        THRU 1199-CI10-EXIT.
009200*
009300     PERFORM 1200-IMP-DEV-TITLE-1
009400        THRU 1299-IDT1-EXIT.
009500*
009600     PERFORM 1300-IMP-DEV-NBR-1
009700        THRU 1399-IDN1-EXIT.
009800*
009900     PERFORM 1400-IMP-DEV-TITLE-2
010000        THRU 1499-IDT2-EXIT.
010100*
010200     PERFORM 1500-IMP-DEV-NBR-2
010300        THRU 1599-IDN2-EXIT.
010400*
010500     PERFORM 1600-IMP-DEV-TITLE-3
010600        THRU 1699-IDT3-EXIT.
010700*
010800     PERFORM 1700-IMP-DEV-NBR-3
010900        THRU 1799-IDN3-EXIT.
011000*
011100     PERFORM 1800-POS-DEV-TITLE-1
011200        THRU 1899-PDT1-EXIT.
011300*
011400     PERFORM 1900-POS-DEV-NBR-1
011500        THRU 1999-PDN1-EXIT.
011600*
011700     PERFORM 2000-POS-DEV-TITLE-2
011800        THRU 2099-PDT2-EXIT.
011900*
012000     PERFORM 2100-POS-DEV-NBR-2
012100        THRU 2199-PDN2-EXIT.
012200*
012300     PERFORM 2200-POS-DEV-TITLE-3
012400        THRU 2299-PDT3-EXIT.
012500*
012600     PERFORM 2300-POS-DEV-NBR-3
012700        THRU 2399-PDN3-EXIT.
012800*
012900     PERFORM 2400-MEMO-1
013000        THRU 2499-M1-EXIT.
013100*
013200     PERFORM 2500-MEMO-2
013300        THRU 2599-M2-EXIT.
013400*
013500     PERFORM 2600-MEMO-3
013600        THRU 2699-M3-EXIT.
013700*
013800     PERFORM 2700-MEMO-4
013900        THRU 2799-M4-EXIT.
014000*
014100*
014200     IF  MBMM09I IS EQUAL TO LOW-VALUES
014300         NEXT SENTENCE
014400     ELSE
014500         MOVE MBMM09I            TO MMUO-MAP-DATA
014600         MOVE 'MBMM'             TO MMUO-TRANID
014700         MOVE 09                 TO MMUO-CURRENT-PAGE
014800         MOVE MMMM-ORG           TO MMUO-MM-ORG
014900         MOVE MMMM-MERCHANT      TO MMUO-MM-MERCHANT
015000         MOVE LENGTH OF MBMM09I  TO MMUO-VAR-LENGTH
015100     END-IF.
015200*
015300     GO TO 9999-END-OF-PROGRAM.
015400*
015500 A999-ML-EXIT.
015600     EXIT.
015700/
015800 0000-MERCHANT-MAINT-PAGE-09 SECTION.
015900 0100-NBR-BULLETINS.
016000*
016100     SET X-MMEXTB                TO 416.
016200     PERFORM 8000-SEARCH-MMEX-MAINT
016300        THRU 8099-SMM-EXIT.
016400*
016500     IF  SS02WS-FS-NO-RECORD-FOUND
016600         GO TO 0199-NB-EXIT.
016700*
016800     IF  MMMM-SINGLE-STORE-YES
016900         NEXT SENTENCE
017000     ELSE
017100         GO TO 0199-NB-EXIT.
017200*
017300     PERFORM MBU600PD-EXTRACT-NUMERICS
017400        THRU MBU600PD-EN-EXIT.
017500*
017600     MOVE MMMM-NBR-BULLETINS
017700                                 TO MMEXWS-F-S18V0.
017800     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
017900*
018000     EVALUATE TRUE
018100         WHEN MMEXWS-PERCENT-ON
018200             PERFORM MBU600PD-PERCENT-CHANGE
018300                THRU MBU600PD-PC-EXIT
018400         WHEN MMEXWS-SIGN-POSITIVE
018500             PERFORM MBU600PD-INCREASE-NUMERICS
018600                THRU MBU600PD-IN-EXIT
018700         WHEN MMEXWS-SIGN-NEGATIVE
018800             PERFORM MBU600PD-DECREASE-NUMERICS
018900                THRU MBU600PD-DN-EXIT
019000         WHEN OTHER
019100             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
019200     END-EVALUATE.
019300*
019400     MOVE MMEXWS-F-S18V0         TO MM09-NBR-BULLETINS.
019500     MOVE LENGTH OF MM09-NBR-BULLETINS
019600                                 TO MM09-NBR-BULLETINS-L.
019700 0199-NB-EXIT.
019800     EXIT.
019900/
020000 0200-CHAIN-ID-1.
020100*
020200     SET X-MMEXTB                TO 425.
020300     PERFORM 8000-SEARCH-MMEX-MAINT
020400        THRU 8099-SMM-EXIT.
020500*
020600     IF  SS02WS-FS-NO-RECORD-FOUND
020700         GO TO 0299-CI1-EXIT.
020800*
020900     PERFORM MBU600PD-EXTRACT-NUMERICS
021000        THRU MBU600PD-EN-EXIT.
021100*
021200     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (1).
021300     MOVE LENGTH OF MM09-CHAIN (01)
021400                                 TO MM09-CHAIN-L (01).
021500 0299-CI1-EXIT.
021600     EXIT.
021700/
021800 0300-CHAIN-ID-2.
021900*
022000     SET X-MMEXTB                TO 426.
022100     PERFORM 8000-SEARCH-MMEX-MAINT
022200        THRU 8099-SMM-EXIT.
022300*
022400     IF  SS02WS-FS-NO-RECORD-FOUND
022500         GO TO 0399-CI2-EXIT.
022600*
022700     PERFORM MBU600PD-EXTRACT-NUMERICS
022800        THRU MBU600PD-EN-EXIT.
022900*
023000     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (02).
023100     MOVE LENGTH OF MM09-CHAIN (02)
023200                                 TO MM09-CHAIN-L (02).
023300 0399-CI2-EXIT.
023400     EXIT.
023500/
023600 0400-CHAIN-ID-3.
023700*
023800     SET X-MMEXTB                TO 427.
023900     PERFORM 8000-SEARCH-MMEX-MAINT
024000        THRU 8099-SMM-EXIT.
024100*
024200     IF  SS02WS-FS-NO-RECORD-FOUND
024300         GO TO 0499-CI3-EXIT.
024400*
024500     PERFORM MBU600PD-EXTRACT-NUMERICS
024600        THRU MBU600PD-EN-EXIT.
024700*
024800     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (03).
024900     MOVE LENGTH OF MM09-CHAIN (03)
025000                                 TO MM09-CHAIN-L (03).
025100 0499-CI3-EXIT.
025200     EXIT.
025300/
025400 0500-CHAIN-ID-4.
025500*
025600     SET X-MMEXTB                TO 428.
025700     PERFORM 8000-SEARCH-MMEX-MAINT
025800        THRU 8099-SMM-EXIT.
025900*
026000     IF  SS02WS-FS-NO-RECORD-FOUND
026100         GO TO 0599-CI4-EXIT.
026200*
026300     PERFORM MBU600PD-EXTRACT-NUMERICS
026400        THRU MBU600PD-EN-EXIT.
026500*
026600     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (04).
026700     MOVE LENGTH OF MM09-CHAIN (04)
026800                                 TO MM09-CHAIN-L (04).
026900 0599-CI4-EXIT.
027000     EXIT.
027100/
027200 0600-CHAIN-ID-5.
027300*
027400     SET X-MMEXTB                TO 429.
027500     PERFORM 8000-SEARCH-MMEX-MAINT
027600        THRU 8099-SMM-EXIT.
027700*
027800     IF  SS02WS-FS-NO-RECORD-FOUND
027900         GO TO 0699-CI5-EXIT.
028000*
028100     PERFORM MBU600PD-EXTRACT-NUMERICS
028200        THRU MBU600PD-EN-EXIT.
028300*
028400     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (05).
028500     MOVE LENGTH OF MM09-CHAIN (05)
028600                                 TO MM09-CHAIN-L (05).
028700 0699-CI5-EXIT.
028800     EXIT.
028900/
029000 0700-CHAIN-ID-6.
029100*
029200     SET X-MMEXTB                TO 430.
029300     PERFORM 8000-SEARCH-MMEX-MAINT
029400        THRU 8099-SMM-EXIT.
029500*
029600     IF  SS02WS-FS-NO-RECORD-FOUND
029700         GO TO 0799-CI6-EXIT.
029800*
029900     PERFORM MBU600PD-EXTRACT-NUMERICS
030000        THRU MBU600PD-EN-EXIT.
030100*
030200     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (06).
030300     MOVE LENGTH OF MM09-CHAIN (06)
030400                                 TO MM09-CHAIN-L (06).
030500 0799-CI6-EXIT.
030600     EXIT.
030700/
030800 0800-CHAIN-ID-7.
030900*
031000     SET X-MMEXTB                TO 431.
031100     PERFORM 8000-SEARCH-MMEX-MAINT
031200        THRU 8099-SMM-EXIT.
031300*
031400     IF  SS02WS-FS-NO-RECORD-FOUND
031500         GO TO 0899-CI7-EXIT.
031600*
031700     PERFORM MBU600PD-EXTRACT-NUMERICS
031800        THRU MBU600PD-EN-EXIT.
031900*
032000     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (07).
032100     MOVE LENGTH OF MM09-CHAIN (07)
032200                                 TO MM09-CHAIN-L (07).
032300 0899-CI7-EXIT.
032400     EXIT.
032500/
032600 0900-CHAIN-ID-8.
032700*
032800     SET X-MMEXTB                TO 432.
032900     PERFORM 8000-SEARCH-MMEX-MAINT
033000        THRU 8099-SMM-EXIT.
033100*
033200     IF  SS02WS-FS-NO-RECORD-FOUND
033300         GO TO 0999-CI8-EXIT.
033400*
033500     PERFORM MBU600PD-EXTRACT-NUMERICS
033600        THRU MBU600PD-EN-EXIT.
033700*
033800     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (08).
033900     MOVE LENGTH OF MM09-CHAIN (08)
034000                                 TO MM09-CHAIN-L (08).
034100 0999-CI8-EXIT.
034200     EXIT.
034300/
034400 1000-CHAIN-ID-9.
034500*
034600     SET X-MMEXTB                TO 433.
034700     PERFORM 8000-SEARCH-MMEX-MAINT
034800        THRU 8099-SMM-EXIT.
034900*
035000     IF  SS02WS-FS-NO-RECORD-FOUND
035100         GO TO 1099-CI9-EXIT.
035200*
035300     PERFORM MBU600PD-EXTRACT-NUMERICS
035400        THRU MBU600PD-EN-EXIT.
035500*
035600     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (09).
035700     MOVE LENGTH OF MM09-CHAIN (09)
035800                                 TO MM09-CHAIN-L (09).
035900 1099-CI9-EXIT.
036000     EXIT.
036100/
036200 1100-CHAIN-ID-10.
036300*
036400     SET X-MMEXTB                TO 434.
036500     PERFORM 8000-SEARCH-MMEX-MAINT
036600        THRU 8099-SMM-EXIT.
036700*
036800     IF  SS02WS-FS-NO-RECORD-FOUND
036900         GO TO 1199-CI10-EXIT.
037000*
037100     PERFORM MBU600PD-EXTRACT-NUMERICS
037200        THRU MBU600PD-EN-EXIT.
037300*
037400     MOVE MMEXWS-NUMBER          TO MM09-CHAIN (10).
037500     MOVE LENGTH OF MM09-CHAIN (10)
037600                                 TO MM09-CHAIN-L (10).
037700 1199-CI10-EXIT.
037800     EXIT.
037900/
038000 1200-IMP-DEV-TITLE-1.
038100*
038200     SET X-MMEXTB                TO 445.
038300     PERFORM 8000-SEARCH-MMEX-MAINT
038400        THRU 8099-SMM-EXIT.
038500*
038600     IF  SS02WS-FS-NO-RECORD-FOUND
038700         GO TO 1299-IDT1-EXIT.
038800*
038900     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
039000                                 TO MM09-IMPRINTER-TITLE (1).
039100     MOVE LENGTH OF MM09-IMPRINTER-TITLE (1)
039200                                 TO MM09-IMPRINTER-TITLE-L (1).
039300 1299-IDT1-EXIT.
039400     EXIT.
039500/
039600 1300-IMP-DEV-NBR-1.
039700*
039800     SET X-MMEXTB                TO 446.
039900     PERFORM 8000-SEARCH-MMEX-MAINT
040000        THRU 8099-SMM-EXIT.
040100*
040200     IF  SS02WS-FS-NO-RECORD-FOUND
040300         GO TO 1399-IDN1-EXIT.
040400*
040500     IF  MMMM-SINGLE-STORE-YES
040600         NEXT SENTENCE
040700     ELSE
040800         GO TO 1399-IDN1-EXIT.
040900*
041000     PERFORM MBU600PD-EXTRACT-NUMERICS
041100        THRU MBU600PD-EN-EXIT.
041200*
041300     MOVE MMMM-IMP-DEV-NBR (1)
041400                                 TO MMEXWS-F-S18V0.
041500     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
041600*
041700     EVALUATE TRUE
041800         WHEN MMEXWS-PERCENT-ON
041900             PERFORM MBU600PD-PERCENT-CHANGE
042000                THRU MBU600PD-PC-EXIT
042100         WHEN MMEXWS-SIGN-POSITIVE
042200             PERFORM MBU600PD-INCREASE-NUMERICS
042300                THRU MBU600PD-IN-EXIT
042400         WHEN MMEXWS-SIGN-NEGATIVE
042500             PERFORM MBU600PD-DECREASE-NUMERICS
042600                THRU MBU600PD-DN-EXIT
042700         WHEN OTHER
042800             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
042900     END-EVALUATE.
043000*
043100     MOVE MMEXWS-F-S18V0         TO MM09-IMPRINTER-NBR (1).
043200     MOVE LENGTH OF MM09-IMPRINTER-NBR (1)
043300                                 TO MM09-IMPRINTER-NBR-L (1).
043400 1399-IDN1-EXIT.
043500     EXIT.
043600/
043700 1400-IMP-DEV-TITLE-2.
043800*
043900     SET X-MMEXTB                TO 447.
044000     PERFORM 8000-SEARCH-MMEX-MAINT
044100        THRU 8099-SMM-EXIT.
044200*
044300     IF  SS02WS-FS-NO-RECORD-FOUND
044400         GO TO 1499-IDT2-EXIT.
044500*
044600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
044700                                 TO MM09-IMPRINTER-TITLE (2).
044800     MOVE LENGTH OF MM09-IMPRINTER-TITLE (2)
044900                                 TO MM09-IMPRINTER-TITLE-L (2).
045000 1499-IDT2-EXIT.
045100     EXIT.
045200/
045300 1500-IMP-DEV-NBR-2.
045400*
045500     SET X-MMEXTB                TO 448.
045600     PERFORM 8000-SEARCH-MMEX-MAINT
045700        THRU 8099-SMM-EXIT.
045800*
045900     IF  SS02WS-FS-NO-RECORD-FOUND
046000         GO TO 1599-IDN2-EXIT.
046100*
046200     IF  MMMM-SINGLE-STORE-YES
046300         NEXT SENTENCE
046400     ELSE
046500         GO TO 1599-IDN2-EXIT.
046600*
046700     PERFORM MBU600PD-EXTRACT-NUMERICS
046800        THRU MBU600PD-EN-EXIT.
046900*
047000     MOVE MMMM-IMP-DEV-NBR (2)
047100                                 TO MMEXWS-F-S18V0.
047200     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
047300*
047400     EVALUATE TRUE
047500         WHEN MMEXWS-PERCENT-ON
047600             PERFORM MBU600PD-PERCENT-CHANGE
047700                THRU MBU600PD-PC-EXIT
047800         WHEN MMEXWS-SIGN-POSITIVE
047900             PERFORM MBU600PD-INCREASE-NUMERICS
048000                THRU MBU600PD-IN-EXIT
048100         WHEN MMEXWS-SIGN-NEGATIVE
048200             PERFORM MBU600PD-DECREASE-NUMERICS
048300                THRU MBU600PD-DN-EXIT
048400         WHEN OTHER
048500             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
048600     END-EVALUATE.
048700*
048800     MOVE MMEXWS-F-S18V0         TO MM09-IMPRINTER-NBR (2).
048900     MOVE LENGTH OF MM09-IMPRINTER-NBR (2)
049000                                 TO MM09-IMPRINTER-NBR-L (2).
049100*
049200 1599-IDN2-EXIT.
049300     EXIT.
049400/
049500 1600-IMP-DEV-TITLE-3.
049600*
049700     SET X-MMEXTB                TO 449.
049800     PERFORM 8000-SEARCH-MMEX-MAINT
049900        THRU 8099-SMM-EXIT.
050000*
050100     IF  SS02WS-FS-NO-RECORD-FOUND
050200         GO TO 1699-IDT3-EXIT.
050300*
050400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
050500                                 TO MM09-IMPRINTER-TITLE (3).
050600     MOVE LENGTH OF MM09-IMPRINTER-TITLE (3)
050700                                 TO MM09-IMPRINTER-TITLE-L (3).
050800 1699-IDT3-EXIT.
050900     EXIT.
051000/
051100 1700-IMP-DEV-NBR-3.
051200*
051300     SET X-MMEXTB                TO 450.
051400     PERFORM 8000-SEARCH-MMEX-MAINT
051500        THRU 8099-SMM-EXIT.
051600*
051700     IF  SS02WS-FS-NO-RECORD-FOUND
051800         GO TO 1799-IDN3-EXIT.
051900*
052000     IF  MMMM-SINGLE-STORE-YES
052100         NEXT SENTENCE
052200     ELSE
052300         GO TO 1799-IDN3-EXIT.
052400*
052500     PERFORM MBU600PD-EXTRACT-NUMERICS
052600        THRU MBU600PD-EN-EXIT.
052700*
052800     MOVE MMMM-IMP-DEV-NBR (3)
052900                                 TO MMEXWS-F-S18V0.
053000     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
053100*
053200     EVALUATE TRUE
053300         WHEN MMEXWS-PERCENT-ON
053400             PERFORM MBU600PD-PERCENT-CHANGE
053500                THRU MBU600PD-PC-EXIT
053600         WHEN MMEXWS-SIGN-POSITIVE
053700             PERFORM MBU600PD-INCREASE-NUMERICS
053800                THRU MBU600PD-IN-EXIT
053900         WHEN MMEXWS-SIGN-NEGATIVE
054000             PERFORM MBU600PD-DECREASE-NUMERICS
054100                THRU MBU600PD-DN-EXIT
054200         WHEN OTHER
054300             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
054400     END-EVALUATE.
054500*
054600     MOVE MMEXWS-F-S18V0         TO MM09-IMPRINTER-NBR (3).
054700     MOVE LENGTH OF MM09-IMPRINTER-NBR (3)
054800                                 TO MM09-IMPRINTER-NBR-L (3).
054900*
055000 1799-IDN3-EXIT.
055100     EXIT.
055200/
055300 1800-POS-DEV-TITLE-1.
055400*
055500     SET X-MMEXTB                TO 451.
055600     PERFORM 8000-SEARCH-MMEX-MAINT
055700        THRU 8099-SMM-EXIT.
055800*
055900     IF  SS02WS-FS-NO-RECORD-FOUND
056000         GO TO 1899-PDT1-EXIT.
056100*
056200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
056300                                 TO MM09-POS-TITLE (1).
056400     MOVE LENGTH OF MM09-POS-TITLE (1)
056500                                 TO MM09-POS-TITLE-L (1).
056600 1899-PDT1-EXIT.
056700     EXIT.
056800/
056900 1900-POS-DEV-NBR-1.
057000*
057100     SET X-MMEXTB                TO 452.
057200     PERFORM 8000-SEARCH-MMEX-MAINT
057300        THRU 8099-SMM-EXIT.
057400*
057500     IF  SS02WS-FS-NO-RECORD-FOUND
057600         GO TO 1999-PDN1-EXIT.
057700*
057800     IF  MMMM-SINGLE-STORE-YES
057900         NEXT SENTENCE
058000     ELSE
058100         GO TO 1999-PDN1-EXIT.
058200*
058300     PERFORM MBU600PD-EXTRACT-NUMERICS
058400        THRU MBU600PD-EN-EXIT.
058500*
058600     MOVE MMMM-POS-DEV-NBR (1)
058700                                 TO MMEXWS-F-S18V0.
058800     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
058900*
059000     EVALUATE TRUE
059100         WHEN MMEXWS-PERCENT-ON
059200             PERFORM MBU600PD-PERCENT-CHANGE
059300                THRU MBU600PD-PC-EXIT
059400         WHEN MMEXWS-SIGN-POSITIVE
059500             PERFORM MBU600PD-INCREASE-NUMERICS
059600                THRU MBU600PD-IN-EXIT
059700         WHEN MMEXWS-SIGN-NEGATIVE
059800             PERFORM MBU600PD-DECREASE-NUMERICS
059900                THRU MBU600PD-DN-EXIT
060000         WHEN OTHER
060100             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
060200     END-EVALUATE.
060300*
060400     MOVE MMEXWS-F-S18V0         TO MM09-POS-NBR (1).
060500     MOVE LENGTH OF MM09-POS-NBR (1)
060600                                 TO MM09-POS-NBR-L (1).
060700*
060800 1999-PDN1-EXIT.
060900     EXIT.
061000/
061100 2000-POS-DEV-TITLE-2.
061200*
061300     SET X-MMEXTB                TO 453.
061400     PERFORM 8000-SEARCH-MMEX-MAINT
061500        THRU 8099-SMM-EXIT.
061600*
061700     IF  SS02WS-FS-NO-RECORD-FOUND
061800         GO TO 2099-PDT2-EXIT.
061900*
062000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
062100                                 TO MM09-POS-TITLE (2).
062200     MOVE LENGTH OF MM09-POS-TITLE (2)
062300                                 TO MM09-POS-TITLE-L (2).
062400 2099-PDT2-EXIT.
062500     EXIT.
062600/
062700 2100-POS-DEV-NBR-2.
062800*
062900     SET X-MMEXTB                TO 454.
063000     PERFORM 8000-SEARCH-MMEX-MAINT
063100        THRU 8099-SMM-EXIT.
063200*
063300     IF  SS02WS-FS-NO-RECORD-FOUND
063400         GO TO 2199-PDN2-EXIT.
063500*
063600     IF  MMMM-SINGLE-STORE-YES
063700         NEXT SENTENCE
063800     ELSE
063900         GO TO 2199-PDN2-EXIT.
064000*
064100     PERFORM MBU600PD-EXTRACT-NUMERICS
064200        THRU MBU600PD-EN-EXIT.
064300*
064400     MOVE MMMM-POS-DEV-NBR (2)
064500                                 TO MMEXWS-F-S18V0.
064600     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
064700*
064800     EVALUATE TRUE
064900         WHEN MMEXWS-PERCENT-ON
065000             PERFORM MBU600PD-PERCENT-CHANGE
065100                THRU MBU600PD-PC-EXIT
065200         WHEN MMEXWS-SIGN-POSITIVE
065300             PERFORM MBU600PD-INCREASE-NUMERICS
065400                THRU MBU600PD-IN-EXIT
065500         WHEN MMEXWS-SIGN-NEGATIVE
065600             PERFORM MBU600PD-DECREASE-NUMERICS
065700                THRU MBU600PD-DN-EXIT
065800         WHEN OTHER
065900             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
066000     END-EVALUATE.
066100*
066200     MOVE MMEXWS-F-S18V0         TO MM09-POS-NBR (2).
066300     MOVE LENGTH OF MM09-POS-NBR (2)
066400                                 TO MM09-POS-NBR-L (2).
066500*
066600 2199-PDN2-EXIT.
066700     EXIT.
066800/
066900 2200-POS-DEV-TITLE-3.
067000*
067100     SET X-MMEXTB                TO 455.
067200     PERFORM 8000-SEARCH-MMEX-MAINT
067300        THRU 8099-SMM-EXIT.
067400*
067500     IF  SS02WS-FS-NO-RECORD-FOUND
067600         GO TO 2299-PDT3-EXIT.
067700*
067800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
067900                                 TO MM09-POS-TITLE (3).
068000     MOVE LENGTH OF MM09-POS-TITLE (3)
068100                                 TO MM09-POS-TITLE-L (3).
068200 2299-PDT3-EXIT.
068300     EXIT.
068400/
068500 2300-POS-DEV-NBR-3.
068600*
068700     SET X-MMEXTB                TO 456.
068800     PERFORM 8000-SEARCH-MMEX-MAINT
068900        THRU 8099-SMM-EXIT.
069000*
069100     IF  SS02WS-FS-NO-RECORD-FOUND
069200         GO TO 2399-PDN3-EXIT.
069300*
069400     IF  MMMM-SINGLE-STORE-YES
069500         NEXT SENTENCE
069600     ELSE
069700         GO TO 2399-PDN3-EXIT.
069800*
069900     PERFORM MBU600PD-EXTRACT-NUMERICS
070000        THRU MBU600PD-EN-EXIT.
070100*
070200     MOVE MMMM-POS-DEV-NBR (3)
070300                                 TO MMEXWS-F-S18V0.
070400     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
070500*
070600     EVALUATE TRUE
070700         WHEN MMEXWS-PERCENT-ON
070800             PERFORM MBU600PD-PERCENT-CHANGE
070900                THRU MBU600PD-PC-EXIT
071000         WHEN MMEXWS-SIGN-POSITIVE
071100             PERFORM MBU600PD-INCREASE-NUMERICS
071200                THRU MBU600PD-IN-EXIT
071300         WHEN MMEXWS-SIGN-NEGATIVE
071400             PERFORM MBU600PD-DECREASE-NUMERICS
071500                THRU MBU600PD-DN-EXIT
071600         WHEN OTHER
071700             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
071800     END-EVALUATE.
071900*
072000     MOVE MMEXWS-F-S18V0         TO MM09-POS-NBR (3).
072100     MOVE LENGTH OF MM09-POS-NBR (3)
072200                                 TO MM09-POS-NBR-L (3).
072300*
072400 2399-PDN3-EXIT.
072500     EXIT.
072600/
072700 2400-MEMO-1.
072800*
072900     SET X-MMEXTB                TO 457.
073000     PERFORM 8000-SEARCH-MMEX-MAINT
073100        THRU 8099-SMM-EXIT.
073200*
073300     IF  SS02WS-FS-NO-RECORD-FOUND
073400         GO TO 2499-M1-EXIT.
073500*
073600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
073700                                 TO MM09-USER-MEMO (1).
073800     MOVE LENGTH OF MM09-USER-MEMO (1)
073900                                 TO MM09-USER-MEMO-L (1).
074000 2499-M1-EXIT.
074100     EXIT.
074200/
074300 2500-MEMO-2.
074400*
074500     SET X-MMEXTB                TO 458.
074600     PERFORM 8000-SEARCH-MMEX-MAINT
074700        THRU 8099-SMM-EXIT.
074800*
074900     IF  SS02WS-FS-NO-RECORD-FOUND
075000         GO TO 2599-M2-EXIT.
075100*
075200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
075300                                 TO MM09-USER-MEMO (2).
075400     MOVE LENGTH OF MM09-USER-MEMO (2)
075500                                 TO MM09-USER-MEMO-L (2).
075600 2599-M2-EXIT.
075700     EXIT.
075800/
075900 2600-MEMO-3.
076000*
076100     SET X-MMEXTB                TO 459.
076200     PERFORM 8000-SEARCH-MMEX-MAINT
076300        THRU 8099-SMM-EXIT.
076400*
076500     IF  SS02WS-FS-NO-RECORD-FOUND
076600         GO TO 2699-M3-EXIT.
076700*
076800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
076900                                 TO MM09-USER-MEMO (3).
077000     MOVE LENGTH OF MM09-USER-MEMO (3)
077100                                 TO MM09-USER-MEMO-L (3).
077200 2699-M3-EXIT.
077300     EXIT.
077400/
077500 2700-MEMO-4.
077600*
077700     SET X-MMEXTB                TO 460.
077800     PERFORM 8000-SEARCH-MMEX-MAINT
077900        THRU 8099-SMM-EXIT.
078000*
078100     IF  SS02WS-FS-NO-RECORD-FOUND
078200         GO TO 2799-M4-EXIT.
078300*
078400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
078500                                 TO MM09-USER-MEMO (4).
078600     MOVE LENGTH OF MM09-USER-MEMO (4)
078700                                 TO MM09-USER-MEMO-L (4).
078800 2799-M4-EXIT.
078900     EXIT.
079000/
079100 8000-SEARCH-MMEX-MAINT SECTION.
079200 8001-SMM-BEGIN.
079300*
079400     SET X-MMEX-MAINT            TO 1.
079500     SEARCH MMEX-MAINT-CRITERIA VARYING X-MMEX-MAINT
079600         AT END
079700             SET SS02WS-FS-NO-RECORD-FOUND
079800                                 TO TRUE
079900         WHEN MMEX-MAINT-FILE-ID(X-MMEX-MAINT) IS EQUAL TO SPACES
080000             SET SS02WS-FS-NO-RECORD-FOUND
080100                                 TO TRUE
080200         WHEN MMEX-MAINT-FIELD-CODE (X-MMEX-MAINT)
080300              IS EQUAL TO MMEXTB-FIELD-CODE (X-MMEXTB)
080400             SET SS02WS-FS-SUCCESSFUL
080500                                 TO TRUE.
080600*
080700 8099-SMM-EXIT.
080800     EXIT.
080900/
081000 9000-PERFORMED-ROUTINES-SECT SECTION.
081100     COPY SS07PD.
081200/
081300     COPY SS08PD.
081400/
081500     COPY SS26PD.
081600/
081700     COPY SS27PD.
081800/
081900     COPY MBU600PD.
082000*
082100 9995-END-SOURCE-STATEMENTS SECTION.
082200 9999-END-OF-PROGRAM.
082300     GOBACK.
