000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU6MS03.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU6MS03 - BUILD STORE NON-MONETARY FROM E.X.A.M. PAGE 03   *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MBMS03.
002600     COPY MBMS03R.
002700/
002800     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
002900/
003000     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS01WS.
003500/
003600     COPY SS02WS.
003700*
003800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003900/
004000 LINKAGE SECTION.
004100     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMSMRL.
004600/
004700     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
004800/
004900     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUI==.
005000/
005100 PROCEDURE DIVISION              USING MMEX-RECORD
005200                                       MMMM-RECORD
005300                                       MMSM-RECORD
005400                                       MMUO-RECORD
005500                                       MMUI-RECORD.
005600 A000-MAIN-LINE-SECT SECTION.
005700 A010-ML-BEGIN.
005800*
005900     MOVE LOW-VALUES             TO MMUO-RECORD.
006000     MOVE LOW-VALUES             TO MMUI-RECORD.
006100     MOVE LOW-VALUES             TO MBMS03I.
006200*
006300     PERFORM 0100-CONTACT-1
006400        THRU 0199-C1-EXIT.
006500*
006600     PERFORM 0200-CONTACT-TITLE-1
006700        THRU 0299-CT1-EXIT.
006800*
006900     PERFORM 0300-CONTACT-PHONE-1
007000        THRU 0399-CP1-EXIT.
007100*
007200     PERFORM 0400-CONTACT-FAX-1
007300        THRU 0499-CF1-EXIT.
007400*
007500     PERFORM 0500-CONTACT-2
007600        THRU 0599-C2-EXIT.
007700*
007800     PERFORM 0600-CONTACT-TITLE-2
007900        THRU 0699-CT2-EXIT.
008000*
008100     PERFORM 0700-CONTACT-PHONE-2
008200        THRU 0799-CP2-EXIT.
008300*
008400     PERFORM 0800-CONTACT-FAX-2
008500        THRU 0899-CF2-EXIT.
008600*
008700     PERFORM 0900-CONTACT-3
008800        THRU 0999-C3-EXIT.
008900*
009000     PERFORM 1000-CONTACT-TITLE-3
009100        THRU 1099-CT3-EXIT.
009200*
009300     PERFORM 1100-CONTACT-PHONE-3
009400        THRU 1199-CP3-EXIT.
009500*
009600     PERFORM 1200-CONTACT-FAX-3
009700        THRU 1299-CF3-EXIT.
009800*
009900     PERFORM 1300-CONTACT-4
010000        THRU 1399-C4-EXIT.
010100*
010200     PERFORM 1400-CONTACT-TITLE-4
010300        THRU 1499-CT4-EXIT.
010400*
010500     PERFORM 1500-CONTACT-PHONE-4
010600        THRU 1599-CP4-EXIT.
010700*
010800     PERFORM 1600-CONTACT-FAX-4
010900        THRU 1699-CF4-EXIT.
011000*
011100     SET X-MMEXTB                TO 848.
011200*
011300     PERFORM 1700-MEMOS
011400        THRU 1799-M-EXIT
011500        VARYING X-MS03-MEMO FROM 1 BY 1
011600        UNTIL X-MS03-MEMO IS GREATER THAN 4.
011700*
011800*
011900     IF  MBMS03I IS EQUAL TO LOW-VALUES
012000         NEXT SENTENCE
012100     ELSE
012200         MOVE MBMS03I            TO MMUO-MAP-DATA
012300         MOVE 'MBMS'             TO MMUO-TRANID
012400         MOVE 03                 TO MMUO-CURRENT-PAGE
012500         MOVE MMSM-ORG           TO MMUO-MS-ORG
012600         MOVE MMSM-STORE         TO MMUO-MS-STORE
012700         MOVE LENGTH OF MBMS03I  TO MMUO-VAR-LENGTH
012800     END-IF.
012900*
013000     GO TO 9999-END-OF-PROGRAM.
013100*
013200 A999-ML-EXIT.
013300     EXIT.
013400/
013500 0000-MERCHANT-MAINT-PAGE-03 SECTION.
013600 0100-CONTACT-1.
013700*
013800     IF  MMSM-REC-SINGLE-STORE
013900         GO TO 0199-C1-EXIT.
014000*
014100     SET X-MMEXTB                TO 774.
014200     PERFORM 8000-SEARCH-MMEX-MAINT
014300        THRU 8099-SMM-EXIT.
014400*
014500     IF  SS02WS-FS-NO-RECORD-FOUND
014600         GO TO 0199-C1-EXIT.
014700*
014800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
014900                                 TO MS03-CONTACT-NAME (1).
015000     MOVE LENGTH OF MS03-CONTACT-NAME (1)
015100                                 TO MS03-CONTACT-NAME-L (1).
015200*
015300 0199-C1-EXIT.
015400     EXIT.
015500/
015600 0200-CONTACT-TITLE-1.
015700*
015800     IF  MMSM-REC-SINGLE-STORE
015900         GO TO 0299-CT1-EXIT.
016000*
016100     SET X-MMEXTB                TO 775.
016200     PERFORM 8000-SEARCH-MMEX-MAINT
016300        THRU 8099-SMM-EXIT.
016400*
016500     IF  SS02WS-FS-NO-RECORD-FOUND
016600         GO TO 0299-CT1-EXIT.
016700*
016800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
016900                                 TO MS03-CONTACT-TITLE (1).
017000     MOVE LENGTH OF MS03-CONTACT-TITLE (1)
017100                                 TO MS03-CONTACT-TITLE-L (1).
017200*
017300 0299-CT1-EXIT.
017400     EXIT.
017500/
017600 0300-CONTACT-PHONE-1.
017700*
017800     IF  MMSM-REC-SINGLE-STORE
017900         GO TO 0399-CP1-EXIT.
018000*
018100     SET X-MMEXTB                TO 776.
018200     PERFORM 8000-SEARCH-MMEX-MAINT
018300        THRU 8099-SMM-EXIT.
018400*
018500     IF  SS02WS-FS-NO-RECORD-FOUND
018600         GO TO 0399-CP1-EXIT.
018700*
018800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
018900                                 TO MS03-CONTACT-PHONE (1).
019000     MOVE LENGTH OF MS03-CONTACT-PHONE (1)
019100                                 TO MS03-CONTACT-PHONE-L (1).
019200*
019300 0399-CP1-EXIT.
019400     EXIT.
019500/
019600 0400-CONTACT-FAX-1.
019700*
019800     IF  MMSM-REC-SINGLE-STORE
019900         GO TO 0499-CF1-EXIT.
020000*
020100     SET X-MMEXTB                TO 777.
020200     PERFORM 8000-SEARCH-MMEX-MAINT
020300        THRU 8099-SMM-EXIT.
020400*
020500     IF  SS02WS-FS-NO-RECORD-FOUND
020600         GO TO 0499-CF1-EXIT.
020700*
020800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
020900                                 TO MS03-CONTACT-FAX (1).
021000     MOVE LENGTH OF MS03-CONTACT-FAX (1)
021100                                 TO MS03-CONTACT-FAX-L (1).
021200*
021300 0499-CF1-EXIT.
021400     EXIT.
021500/
021600 0500-CONTACT-2.
021700*
021800     IF  MMSM-REC-SINGLE-STORE
021900         GO TO 0599-C2-EXIT.
022000*
022100     SET X-MMEXTB                TO 778.
022200     PERFORM 8000-SEARCH-MMEX-MAINT
022300        THRU 8099-SMM-EXIT.
022400*
022500     IF  SS02WS-FS-NO-RECORD-FOUND
022600         GO TO 0599-C2-EXIT.
022700*
022800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
022900                                 TO MS03-CONTACT-NAME (2).
023000     MOVE LENGTH OF MS03-CONTACT-NAME (2)
023100                                 TO MS03-CONTACT-NAME-L (2).
023200*
023300 0599-C2-EXIT.
023400     EXIT.
023500/
023600 0600-CONTACT-TITLE-2.
023700*
023800     IF  MMSM-REC-SINGLE-STORE
023900         GO TO 0699-CT2-EXIT.
024000*
024100     SET X-MMEXTB                TO 779.
024200     PERFORM 8000-SEARCH-MMEX-MAINT
024300        THRU 8099-SMM-EXIT.
024400*
024500     IF  SS02WS-FS-NO-RECORD-FOUND
024600         GO TO 0699-CT2-EXIT.
024700*
024800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
024900                                 TO MS03-CONTACT-TITLE (2).
025000     MOVE LENGTH OF MS03-CONTACT-TITLE (2)
025100                                 TO MS03-CONTACT-TITLE-L (2).
025200*
025300 0699-CT2-EXIT.
025400     EXIT.
025500/
025600 0700-CONTACT-PHONE-2.
025700*
025800     IF  MMSM-REC-SINGLE-STORE
025900         GO TO 0799-CP2-EXIT.
026000*
026100     SET X-MMEXTB                TO 780.
026200     PERFORM 8000-SEARCH-MMEX-MAINT
026300        THRU 8099-SMM-EXIT.
026400*
026500     IF  SS02WS-FS-NO-RECORD-FOUND
026600         GO TO 0799-CP2-EXIT.
026700*
026800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
026900                                 TO MS03-CONTACT-PHONE (2).
027000     MOVE LENGTH OF MS03-CONTACT-PHONE (2)
027100                                 TO MS03-CONTACT-PHONE-L (2).
027200*
027300 0799-CP2-EXIT.
027400     EXIT.
027500/
027600 0800-CONTACT-FAX-2.
027700*
027800     IF  MMSM-REC-SINGLE-STORE
027900         GO TO 0899-CF2-EXIT.
028000*
028100     SET X-MMEXTB                TO 781.
028200     PERFORM 8000-SEARCH-MMEX-MAINT
028300        THRU 8099-SMM-EXIT.
028400*
028500     IF  SS02WS-FS-NO-RECORD-FOUND
028600         GO TO 0899-CF2-EXIT.
028700*
028800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
028900                                 TO MS03-CONTACT-FAX (2).
029000     MOVE LENGTH OF MS03-CONTACT-FAX (2)
029100                                 TO MS03-CONTACT-FAX-L (2).
029200*
029300 0899-CF2-EXIT.
029400     EXIT.
029500/
029600 0900-CONTACT-3.
029700*
029800     SET X-MMEXTB                TO 782.
029900     PERFORM 8000-SEARCH-MMEX-MAINT
030000        THRU 8099-SMM-EXIT.
030100*
030200     IF  SS02WS-FS-NO-RECORD-FOUND
030300         GO TO 0999-C3-EXIT.
030400*
030500     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
030600                                 TO MS03-CONTACT-NAME (3).
030700     MOVE LENGTH OF MS03-CONTACT-NAME (3)
030800                                 TO MS03-CONTACT-NAME-L (3).
030900*
031000 0999-C3-EXIT.
031100     EXIT.
031200/
031300 1000-CONTACT-TITLE-3.
031400*
031500     SET X-MMEXTB                TO 783.
031600     PERFORM 8000-SEARCH-MMEX-MAINT
031700        THRU 8099-SMM-EXIT.
031800*
031900     IF  SS02WS-FS-NO-RECORD-FOUND
032000         GO TO 1099-CT3-EXIT.
032100*
032200     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
032300                                 TO MS03-CONTACT-TITLE (3).
032400     MOVE LENGTH OF MS03-CONTACT-TITLE (3)
032500                                 TO MS03-CONTACT-TITLE-L (3).
032600*
032700 1099-CT3-EXIT.
032800     EXIT.
032900/
033000 1100-CONTACT-PHONE-3.
033100*
033200     SET X-MMEXTB                TO 784.
033300     PERFORM 8000-SEARCH-MMEX-MAINT
033400        THRU 8099-SMM-EXIT.
033500*
033600     IF  SS02WS-FS-NO-RECORD-FOUND
033700         GO TO 1199-CP3-EXIT.
033800*
033900     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
034000                                 TO MS03-CONTACT-PHONE (3).
034100     MOVE LENGTH OF MS03-CONTACT-PHONE (3)
034200                                 TO MS03-CONTACT-PHONE-L (3).
034300*
034400 1199-CP3-EXIT.
034500     EXIT.
034600/
034700 1200-CONTACT-FAX-3.
034800*
034900     SET X-MMEXTB                TO 785.
035000     PERFORM 8000-SEARCH-MMEX-MAINT
035100        THRU 8099-SMM-EXIT.
035200*
035300     IF  SS02WS-FS-NO-RECORD-FOUND
035400         GO TO 1299-CF3-EXIT.
035500*
035600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
035700                                 TO MS03-CONTACT-FAX (3).
035800     MOVE LENGTH OF MS03-CONTACT-FAX (3)
035900                                 TO MS03-CONTACT-FAX-L (3).
036000*
036100 1299-CF3-EXIT.
036200     EXIT.
036300/
036400 1300-CONTACT-4.
036500*
036600     SET X-MMEXTB                TO 786.
036700     PERFORM 8000-SEARCH-MMEX-MAINT
036800        THRU 8099-SMM-EXIT.
036900*
037000     IF  SS02WS-FS-NO-RECORD-FOUND
037100         GO TO 1399-C4-EXIT.
037200*
037300     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
037400                                 TO MS03-CONTACT-NAME (4).
037500     MOVE LENGTH OF MS03-CONTACT-NAME (4)
037600                                 TO MS03-CONTACT-NAME-L (4).
037700*
037800 1399-C4-EXIT.
037900     EXIT.
038000/
038100 1400-CONTACT-TITLE-4.
038200*
038300     SET X-MMEXTB                TO 787.
038400     PERFORM 8000-SEARCH-MMEX-MAINT
038500        THRU 8099-SMM-EXIT.
038600*
038700     IF  SS02WS-FS-NO-RECORD-FOUND
038800         GO TO 1499-CT4-EXIT.
038900*
039000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
039100                                 TO MS03-CONTACT-TITLE (4).
039200     MOVE LENGTH OF MS03-CONTACT-TITLE (4)
039300                                 TO MS03-CONTACT-TITLE-L (4).
039400*
039500 1499-CT4-EXIT.
039600     EXIT.
039700/
039800 1500-CONTACT-PHONE-4.
039900*
040000     SET X-MMEXTB                TO 788.
040100     PERFORM 8000-SEARCH-MMEX-MAINT
040200        THRU 8099-SMM-EXIT.
040300*
040400     IF  SS02WS-FS-NO-RECORD-FOUND
040500         GO TO 1599-CP4-EXIT.
040600*
040700     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
040800                                 TO MS03-CONTACT-PHONE (4).
040900     MOVE LENGTH OF MS03-CONTACT-PHONE (4)
041000                                 TO MS03-CONTACT-PHONE-L (4).
041100*
041200 1599-CP4-EXIT.
041300     EXIT.
041400/
041500 1600-CONTACT-FAX-4.
041600*
041700     SET X-MMEXTB                TO 789.
041800     PERFORM 8000-SEARCH-MMEX-MAINT
041900        THRU 8099-SMM-EXIT.
042000*
042100     IF  SS02WS-FS-NO-RECORD-FOUND
042200         GO TO 1699-CF4-EXIT.
042300*
042400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
042500                                 TO MS03-CONTACT-FAX (4).
042600     MOVE LENGTH OF MS03-CONTACT-FAX (4)
042700                                 TO MS03-CONTACT-FAX-L (4).
042800*
042900 1699-CF4-EXIT.
043000     EXIT.
043100/
043200 1700-MEMOS.
043300*
043400     PERFORM 8000-SEARCH-MMEX-MAINT
043500        THRU 8099-SMM-EXIT.
043600*
043700     IF  SS02WS-FS-NO-RECORD-FOUND
043800         SET X-MMEXTB            UP BY 1
043900         GO TO 1799-M-EXIT.
044000*
044100     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
044200                                 TO MS03-MEMO (X-MS03-MEMO).
044300     MOVE LENGTH OF MS03-MEMO (X-MS03-MEMO)
044400                                 TO MS03-MEMO-L (X-MS03-MEMO).
044500*
044600     SET X-MMEXTB                UP BY 1.
044700*
044800 1799-M-EXIT.
044900     EXIT.
045000/
045100 8000-SEARCH-MMEX-MAINT SECTION.
045200 8001-SMM-BEGIN.
045300*
045400     SET X-MMEX-MAINT            TO 1.
045500     SEARCH MMEX-MAINT-CRITERIA VARYING X-MMEX-MAINT
045600         AT END
045700             SET SS02WS-FS-NO-RECORD-FOUND
045800                                 TO TRUE
045900         WHEN MMEX-MAINT-FILE-ID(X-MMEX-MAINT) IS EQUAL TO SPACES
046000             SET SS02WS-FS-NO-RECORD-FOUND
046100                                 TO TRUE
046200         WHEN MMEX-MAINT-FIELD-CODE (X-MMEX-MAINT)
046300              IS EQUAL TO MMEXTB-FIELD-CODE (X-MMEXTB)
046400             SET SS02WS-FS-SUCCESSFUL
046500                                 TO TRUE.
046600*
046700 8099-SMM-EXIT.
046800     EXIT.
046900/
047000 9000-PERFORMED-ROUTINES-SECT SECTION.
047100     COPY SS07PD.
047200/
047300     COPY SS08PD.
047400/
047500     COPY SS26PD.
047600/
047700     COPY SS27PD.
047800/
047900     COPY MBU600PD.
048000*
048100 9995-END-SOURCE-STATEMENTS SECTION.
048200 9999-END-OF-PROGRAM.
048300     GOBACK.
