000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU6MS09.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU6MS09 - BUILD STORE NON-MONETARY FROM E.X.A.M. PAGE 09   *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MBMS09.
002600     COPY MBMS09R.
002700/
002800     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
002900/
003000     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS01WS.
003500/
003600     COPY SS02WS.
003700*
003800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003900/
004000 LINKAGE SECTION.
004100     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMSMRL.
004600/
004700     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
004800/
004900     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUI==.
005000/
005100 PROCEDURE DIVISION              USING MMEX-RECORD
005200                                       MMMM-RECORD
005300                                       MMSM-RECORD
005400                                       MMUO-RECORD
005500                                       MMUI-RECORD.
005600 A000-MAIN-LINE-SECT SECTION.
005700 A010-ML-BEGIN.
005800*
005900     MOVE LOW-VALUES             TO MMUO-RECORD.
006000     MOVE LOW-VALUES             TO MMUI-RECORD.
006100     MOVE LOW-VALUES             TO MBMS09I.
006200*
006300     PERFORM 0100-DUP-SALES-NBR-DAY
006400        THRU 0199-DSND-EXIT.
006500*
006600     PERFORM 0200-DUP-AUTHS-NBR-DAY
006700        THRU 0299-DAND-EXIT.
006800*
006900     PERFORM 0300-DUP-SALES-AMT
007000        THRU 0399-DSA-EXIT.
007100*
007200     PERFORM 0400-DUP-AUTHS-AMT
007300        THRU 0499-DAA-EXIT.
007400*
007500     PERFORM 0500-DUP-SALES-NBR-DAY-BIN
007600        THRU 0599-DSNDB-EXIT.
007700*
007800     PERFORM 0600-DUP-AUTHS-NBR-DAY-BIN
007900        THRU 0699-DANDB-EXIT.
008000*
008100     PERFORM 0700-DUP-SALES-AMT-BIN
008200        THRU 0799-DSAB-EXIT.
008300*
008400     PERFORM 0800-DUP-AUTHS-AMT-BIN
008500        THRU 0899-DAAB-EXIT.
008600*
008700     PERFORM 0900-AUTHS-BELOW-VI
008800        THRU 0999-ABV-EXIT.
008900*
009000     PERFORM 1000-AUTHS-BELOW-MC
009100        THRU 1099-ABM-EXIT.
009200*
009300     PERFORM 1100-AUTHS-BELOW-PL
009400        THRU 1199-ABP-EXIT.
009500*
009600*
009700     IF  MBMS09I IS EQUAL TO LOW-VALUES
009800         NEXT SENTENCE
009900     ELSE
010000         MOVE MBMS09I            TO MMUO-MAP-DATA
010100         MOVE 'MBMS'             TO MMUO-TRANID
010200         MOVE 09                 TO MMUO-CURRENT-PAGE
010300         MOVE MMSM-ORG           TO MMUO-MS-ORG
010400         MOVE MMSM-STORE         TO MMUO-MS-STORE
010500         MOVE LENGTH OF MBMS09I  TO MMUO-VAR-LENGTH
010600     END-IF.
010700*
010800     GO TO 9999-END-OF-PROGRAM.
010900*
011000 A999-ML-EXIT.
011100     EXIT.
011200/
011300 0000-STORE-MAINT-PAGE-09 SECTION.
011400 0100-DUP-SALES-NBR-DAY.
011500*
011600     SET X-MMEXTB                TO 326.
011700     PERFORM 8000-SEARCH-MMEX-MAINT
011800        THRU 8099-SMM-EXIT.
011900*
012000     IF  SS02WS-FS-NO-RECORD-FOUND
012100         GO TO 0199-DSND-EXIT.
012200*
012300     PERFORM MBU600PD-EXTRACT-NUMERICS
012400        THRU MBU600PD-EN-EXIT.
012500*
012600     MOVE MMSM-DUP-SALES-DAY-NBR-C-H
012700                                 TO MMEXWS-F-S18V0.
012800     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
012900*
013000     EVALUATE TRUE
013100         WHEN MMEXWS-PERCENT-ON
013200             PERFORM MBU600PD-PERCENT-CHANGE
013300                THRU MBU600PD-PC-EXIT
013400         WHEN MMEXWS-SIGN-POSITIVE
013500             PERFORM MBU600PD-INCREASE-NUMERICS
013600                THRU MBU600PD-IN-EXIT
013700         WHEN MMEXWS-SIGN-NEGATIVE
013800             PERFORM MBU600PD-DECREASE-NUMERICS
013900                THRU MBU600PD-DN-EXIT
014000         WHEN OTHER
014100             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
014200     END-EVALUATE.
014300*
014400     MOVE MMEXWS-F-S18V0         TO MS09-DUP-SALES-DAY-CH.
014500     MOVE LENGTH OF MS09-DUP-SALES-DAY-CH
014600                                 TO MS09-DUP-SALES-DAY-CH.
014700*
014800 0199-DSND-EXIT.
014900     EXIT.
015000/
015100 0200-DUP-AUTHS-NBR-DAY.
015200*
015300     SET X-MMEXTB                TO 330.
015400     PERFORM 8000-SEARCH-MMEX-MAINT
015500        THRU 8099-SMM-EXIT.
015600*
015700     IF  SS02WS-FS-NO-RECORD-FOUND
015800         GO TO 0299-DAND-EXIT.
015900*
016000     PERFORM MBU600PD-EXTRACT-NUMERICS
016100        THRU MBU600PD-EN-EXIT.
016200*
016300     MOVE MMSM-DUP-AUTHS-DAY-NBR-C-H
016400                                 TO MMEXWS-F-S18V0.
016500     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
016600*
016700     EVALUATE TRUE
016800         WHEN MMEXWS-PERCENT-ON
016900             PERFORM MBU600PD-PERCENT-CHANGE
017000                THRU MBU600PD-PC-EXIT
017100         WHEN MMEXWS-SIGN-POSITIVE
017200             PERFORM MBU600PD-INCREASE-NUMERICS
017300                THRU MBU600PD-IN-EXIT
017400         WHEN MMEXWS-SIGN-NEGATIVE
017500             PERFORM MBU600PD-DECREASE-NUMERICS
017600                THRU MBU600PD-DN-EXIT
017700         WHEN OTHER
017800             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
017900     END-EVALUATE.
018000*
018100     MOVE MMEXWS-F-S18V0         TO MS09-DUP-AUTHS-DAY-CH.
018200     MOVE LENGTH OF MS09-DUP-AUTHS-DAY-CH
018300                                 TO MS09-DUP-AUTHS-DAY-CH.
018400*
018500 0299-DAND-EXIT.
018600     EXIT.
018700/
018800 0300-DUP-SALES-AMT.
018900*
019000     SET X-MMEXTB                TO 327.
019100     PERFORM 8000-SEARCH-MMEX-MAINT
019200        THRU 8099-SMM-EXIT.
019300*
019400     IF  SS02WS-FS-NO-RECORD-FOUND
019500         GO TO 0399-DSA-EXIT.
019600*
019700     PERFORM MBU600PD-EXTRACT-NUMERICS
019800        THRU MBU600PD-EN-EXIT.
019900*
020000     MOVE MMSM-DUP-SALES-DAY-AMT-C-H
020100                                 TO MMEXWS-F-S16V2.
020200     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
020300*
020400     EVALUATE TRUE
020500         WHEN MMEXWS-PERCENT-ON
020600             PERFORM MBU600PD-PERCENT-CHANGE
020700                THRU MBU600PD-PC-EXIT
020800             PERFORM MBU600PD-AMOUNT-ROUNDING
020900                THRU MBU600PD-AR-EXIT
021000         WHEN MMEXWS-SIGN-POSITIVE
021100             PERFORM MBU600PD-INCREASE-NUMERICS
021200                THRU MBU600PD-IN-EXIT
021300         WHEN MMEXWS-SIGN-NEGATIVE
021400             PERFORM MBU600PD-DECREASE-NUMERICS
021500                THRU MBU600PD-DN-EXIT
021600         WHEN OTHER
021700             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
021800     END-EVALUATE.
021900*
022000     MOVE MMEXWS-F-S16V2         TO MS09-DUP-SALES-AMT-CH.
022100     MOVE LENGTH OF MS09-DUP-SALES-AMT-CH
022200                                 TO MS09-DUP-SALES-AMT-CH.
022300*
022400 0399-DSA-EXIT.
022500     EXIT.
022600/
022700 0400-DUP-AUTHS-AMT.
022800*
022900     SET X-MMEXTB                TO 331.
023000     PERFORM 8000-SEARCH-MMEX-MAINT
023100        THRU 8099-SMM-EXIT.
023200*
023300     IF  SS02WS-FS-NO-RECORD-FOUND
023400         GO TO 0499-DAA-EXIT.
023500*
023600     PERFORM MBU600PD-EXTRACT-NUMERICS
023700        THRU MBU600PD-EN-EXIT.
023800*
023900     MOVE MMSM-DUP-AUTHS-DAY-AMT-C-H
024000                                 TO MMEXWS-F-S16V2.
024100     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
024200*
024300     EVALUATE TRUE
024400         WHEN MMEXWS-PERCENT-ON
024500             PERFORM MBU600PD-PERCENT-CHANGE
024600                THRU MBU600PD-PC-EXIT
024700             PERFORM MBU600PD-AMOUNT-ROUNDING
024800                THRU MBU600PD-AR-EXIT
024900         WHEN MMEXWS-SIGN-POSITIVE
025000             PERFORM MBU600PD-INCREASE-NUMERICS
025100                THRU MBU600PD-IN-EXIT
025200         WHEN MMEXWS-SIGN-NEGATIVE
025300             PERFORM MBU600PD-DECREASE-NUMERICS
025400                THRU MBU600PD-DN-EXIT
025500         WHEN OTHER
025600             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
025700     END-EVALUATE.
025800*
025900     MOVE MMEXWS-F-S16V2         TO MS09-DUP-AUTHS-AMT-CH.
026000     MOVE LENGTH OF MS09-DUP-AUTHS-AMT-CH
026100                                 TO MS09-DUP-AUTHS-AMT-CH.
026200*
026300 0499-DAA-EXIT.
026400     EXIT.
026500*
026600 0500-DUP-SALES-NBR-DAY-BIN.
026700*
026800     SET X-MMEXTB                TO 328.
026900     PERFORM 8000-SEARCH-MMEX-MAINT
027000        THRU 8099-SMM-EXIT.
027100*
027200     IF  SS02WS-FS-NO-RECORD-FOUND
027300         GO TO 0599-DSNDB-EXIT.
027400*
027500     PERFORM MBU600PD-EXTRACT-NUMERICS
027600        THRU MBU600PD-EN-EXIT.
027700*
027800     MOVE MMSM-DUP-SALES-DAY-NBR-BIN
027900                                 TO MMEXWS-F-S18V0.
028000     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
028100*
028200     EVALUATE TRUE
028300         WHEN MMEXWS-PERCENT-ON
028400             PERFORM MBU600PD-PERCENT-CHANGE
028500                THRU MBU600PD-PC-EXIT
028600         WHEN MMEXWS-SIGN-POSITIVE
028700             PERFORM MBU600PD-INCREASE-NUMERICS
028800                THRU MBU600PD-IN-EXIT
028900         WHEN MMEXWS-SIGN-NEGATIVE
029000             PERFORM MBU600PD-DECREASE-NUMERICS
029100                THRU MBU600PD-DN-EXIT
029200         WHEN OTHER
029300             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
029400     END-EVALUATE.
029500*
029600     MOVE MMEXWS-F-S18V0         TO MS09-DUP-SALES-DAY-BIN.
029700     MOVE LENGTH OF MS09-DUP-SALES-DAY-BIN
029800                                 TO MS09-DUP-SALES-DAY-BIN.
029900*
030000 0599-DSNDB-EXIT.
030100     EXIT.
030200*
030300 0600-DUP-AUTHS-NBR-DAY-BIN.
030400*
030500     SET X-MMEXTB                TO 332.
030600     PERFORM 8000-SEARCH-MMEX-MAINT
030700        THRU 8099-SMM-EXIT.
030800*
030900     IF  SS02WS-FS-NO-RECORD-FOUND
031000         GO TO 0699-DANDB-EXIT.
031100*
031200     PERFORM MBU600PD-EXTRACT-NUMERICS
031300        THRU MBU600PD-EN-EXIT.
031400*
031500     MOVE MMSM-DUP-AUTHS-DAY-NBR-BIN
031600                                 TO MMEXWS-F-S18V0.
031700     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
031800*
031900     EVALUATE TRUE
032000         WHEN MMEXWS-PERCENT-ON
032100             PERFORM MBU600PD-PERCENT-CHANGE
032200                THRU MBU600PD-PC-EXIT
032300         WHEN MMEXWS-SIGN-POSITIVE
032400             PERFORM MBU600PD-INCREASE-NUMERICS
032500                THRU MBU600PD-IN-EXIT
032600         WHEN MMEXWS-SIGN-NEGATIVE
032700             PERFORM MBU600PD-DECREASE-NUMERICS
032800                THRU MBU600PD-DN-EXIT
032900         WHEN OTHER
033000             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
033100     END-EVALUATE.
033200*
033300     MOVE MMEXWS-F-S18V0         TO MS09-DUP-AUTHS-DAY-BIN.
033400     MOVE LENGTH OF MS09-DUP-AUTHS-DAY-BIN
033500                                 TO MS09-DUP-AUTHS-DAY-BIN.
033600*
033700 0699-DANDB-EXIT.
033800     EXIT.
033900*
034000 0700-DUP-SALES-AMT-BIN.
034100*
034200     SET X-MMEXTB                TO 329.
034300     PERFORM 8000-SEARCH-MMEX-MAINT
034400        THRU 8099-SMM-EXIT.
034500*
034600     IF  SS02WS-FS-NO-RECORD-FOUND
034700         GO TO 0799-DSAB-EXIT.
034800*
034900     PERFORM MBU600PD-EXTRACT-NUMERICS
035000        THRU MBU600PD-EN-EXIT.
035100*
035200     MOVE MMSM-DUP-SALES-DAY-AMT-BIN
035300                                 TO MMEXWS-F-S16V2.
035400     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
035500*
035600     EVALUATE TRUE
035700         WHEN MMEXWS-PERCENT-ON
035800             PERFORM MBU600PD-PERCENT-CHANGE
035900                THRU MBU600PD-PC-EXIT
036000             PERFORM MBU600PD-AMOUNT-ROUNDING
036100                THRU MBU600PD-AR-EXIT
036200         WHEN MMEXWS-SIGN-POSITIVE
036300             PERFORM MBU600PD-INCREASE-NUMERICS
036400                THRU MBU600PD-IN-EXIT
036500         WHEN MMEXWS-SIGN-NEGATIVE
036600             PERFORM MBU600PD-DECREASE-NUMERICS
036700                THRU MBU600PD-DN-EXIT
036800         WHEN OTHER
036900             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
037000     END-EVALUATE.
037100*
037200     MOVE MMEXWS-F-S16V2         TO MS09-DUP-SALES-AMT-BIN.
037300     MOVE LENGTH OF MS09-DUP-SALES-AMT-BIN
037400                                 TO MS09-DUP-SALES-AMT-BIN.
037500*
037600 0799-DSAB-EXIT.
037700     EXIT.
037800*
037900 0800-DUP-AUTHS-AMT-BIN.
038000*
038100     SET X-MMEXTB                TO 333.
038200     PERFORM 8000-SEARCH-MMEX-MAINT
038300        THRU 8099-SMM-EXIT.
038400*
038500     IF  SS02WS-FS-NO-RECORD-FOUND
038600         GO TO 0899-DAAB-EXIT.
038700*
038800     PERFORM MBU600PD-EXTRACT-NUMERICS
038900        THRU MBU600PD-EN-EXIT.
039000*
039100     MOVE MMSM-DUP-AUTHS-DAY-AMT-BIN
039200                                 TO MMEXWS-F-S16V2.
039300     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
039400*
039500     EVALUATE TRUE
039600         WHEN MMEXWS-PERCENT-ON
039700             PERFORM MBU600PD-PERCENT-CHANGE
039800                THRU MBU600PD-PC-EXIT
039900             PERFORM MBU600PD-AMOUNT-ROUNDING
040000                THRU MBU600PD-AR-EXIT
040100         WHEN MMEXWS-SIGN-POSITIVE
040200             PERFORM MBU600PD-INCREASE-NUMERICS
040300                THRU MBU600PD-IN-EXIT
040400         WHEN MMEXWS-SIGN-NEGATIVE
040500             PERFORM MBU600PD-DECREASE-NUMERICS
040600                THRU MBU600PD-DN-EXIT
040700         WHEN OTHER
040800             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
040900     END-EVALUATE.
041000*
041100     MOVE MMEXWS-F-S16V2         TO MS09-DUP-AUTHS-AMT-BIN.
041200     MOVE LENGTH OF MS09-DUP-AUTHS-AMT-BIN
041300                                 TO MS09-DUP-AUTHS-AMT-BIN.
041400*
041500 0899-DAAB-EXIT.
041600     EXIT.
041700*
041800 0900-AUTHS-BELOW-VI.
041900*
042000     SET X-MMEXTB                TO 323.
042100     PERFORM 8000-SEARCH-MMEX-MAINT
042200        THRU 8099-SMM-EXIT.
042300*
042400     IF  SS02WS-FS-NO-RECORD-FOUND
042500         GO TO 0999-ABV-EXIT.
042600*
042700     PERFORM MBU600PD-EXTRACT-NUMERICS
042800        THRU MBU600PD-EN-EXIT.
042900*
043000     MOVE MMSM-AUTHS-BELOW-FLOOR-VI
043100                                 TO MMEXWS-F-S18V0.
043200     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
043300*
043400     EVALUATE TRUE
043500         WHEN MMEXWS-PERCENT-ON
043600             PERFORM MBU600PD-PERCENT-CHANGE
043700                THRU MBU600PD-PC-EXIT
043800         WHEN MMEXWS-SIGN-POSITIVE
043900             PERFORM MBU600PD-INCREASE-NUMERICS
044000                THRU MBU600PD-IN-EXIT
044100         WHEN MMEXWS-SIGN-NEGATIVE
044200             PERFORM MBU600PD-DECREASE-NUMERICS
044300                THRU MBU600PD-DN-EXIT
044400         WHEN OTHER
044500             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
044600     END-EVALUATE.
044700*
044800     MOVE MMEXWS-F-S18V0         TO MS09-VISA-LIMIT.
044900     MOVE LENGTH OF MS09-VISA-LIMIT
045000                                 TO MS09-VISA-LIMIT.
045100*
045200 0999-ABV-EXIT.
045300     EXIT.
045400*
045500 1000-AUTHS-BELOW-MC.
045600*
045700     SET X-MMEXTB                TO 324.
045800     PERFORM 8000-SEARCH-MMEX-MAINT
045900        THRU 8099-SMM-EXIT.
046000*
046100     IF  SS02WS-FS-NO-RECORD-FOUND
046200         GO TO 1099-ABM-EXIT.
046300*
046400     PERFORM MBU600PD-EXTRACT-NUMERICS
046500        THRU MBU600PD-EN-EXIT.
046600*
046700     MOVE MMSM-AUTHS-BELOW-FLOOR-MC
046800                                 TO MMEXWS-F-S18V0.
046900     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
047000*
047100     EVALUATE TRUE
047200         WHEN MMEXWS-PERCENT-ON
047300             PERFORM MBU600PD-PERCENT-CHANGE
047400                THRU MBU600PD-PC-EXIT
047500         WHEN MMEXWS-SIGN-POSITIVE
047600             PERFORM MBU600PD-INCREASE-NUMERICS
047700                THRU MBU600PD-IN-EXIT
047800         WHEN MMEXWS-SIGN-NEGATIVE
047900             PERFORM MBU600PD-DECREASE-NUMERICS
048000                THRU MBU600PD-DN-EXIT
048100         WHEN OTHER
048200             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
048300     END-EVALUATE.
048400*
048500     MOVE MMEXWS-F-S18V0         TO MS09-EURO-MASTER-LIMIT.
048600     MOVE LENGTH OF MS09-EURO-MASTER-LIMIT
048700                                 TO MS09-EURO-MASTER-LIMIT.
048800*
048900 1099-ABM-EXIT.
049000     EXIT.
049100*
049200 1100-AUTHS-BELOW-PL.
049300*
049400     SET X-MMEXTB                TO 325.
049500     PERFORM 8000-SEARCH-MMEX-MAINT
049600        THRU 8099-SMM-EXIT.
049700*
049800     IF  SS02WS-FS-NO-RECORD-FOUND
049900         GO TO 1199-ABP-EXIT.
050000*
050100     PERFORM MBU600PD-EXTRACT-NUMERICS
050200        THRU MBU600PD-EN-EXIT.
050300*
050400     MOVE MMSM-AUTHS-BELOW-FLOOR-PL
050500                                 TO MMEXWS-F-S18V0.
050600     MOVE MMEXWS-NUMBER          TO MMEXWS-E-S18V0.
050700*
050800     EVALUATE TRUE
050900         WHEN MMEXWS-PERCENT-ON
051000             PERFORM MBU600PD-PERCENT-CHANGE
051100                THRU MBU600PD-PC-EXIT
051200         WHEN MMEXWS-SIGN-POSITIVE
051300             PERFORM MBU600PD-INCREASE-NUMERICS
051400                THRU MBU600PD-IN-EXIT
051500         WHEN MMEXWS-SIGN-NEGATIVE
051600             PERFORM MBU600PD-DECREASE-NUMERICS
051700                THRU MBU600PD-DN-EXIT
051800         WHEN OTHER
051900             MOVE MMEXWS-NUMBER  TO MMEXWS-F-S18V0
052000     END-EVALUATE.
052100*
052200     MOVE MMEXWS-F-S18V0         TO MS09-PRIVATE-LABEL-LIMIT.
052300     MOVE LENGTH OF MS09-PRIVATE-LABEL-LIMIT
052400                                 TO MS09-PRIVATE-LABEL-LIMIT.
052500*
052600 1199-ABP-EXIT.
052700     EXIT.
052800/
052900 8000-SEARCH-MMEX-MAINT SECTION.
053000 8001-SMM-BEGIN.
053100*
053200     SET X-MMEX-MAINT            TO 1.
053300     SEARCH MMEX-MAINT-CRITERIA VARYING X-MMEX-MAINT
053400         AT END
053500             SET SS02WS-FS-NO-RECORD-FOUND
053600                                 TO TRUE
053700         WHEN MMEX-MAINT-FILE-ID(X-MMEX-MAINT) IS EQUAL TO SPACES
053800             SET SS02WS-FS-NO-RECORD-FOUND
053900                                 TO TRUE
054000         WHEN MMEX-MAINT-FIELD-CODE (X-MMEX-MAINT)
054100              IS EQUAL TO MMEXTB-FIELD-CODE (X-MMEXTB)
054200             SET SS02WS-FS-SUCCESSFUL
054300                                 TO TRUE.
054400*
054500 8099-SMM-EXIT.
054600     EXIT.
054700/
054800 9000-PERFORMED-ROUTINES-SECT SECTION.
054900     COPY SS07PD.
055000/
055100     COPY SS08PD.
055200/
055300     COPY SS26PD.
055400/
055500     COPY SS27PD.
055600/
055700     COPY MBU600PD.
055800*
055900 9995-END-SOURCE-STATEMENTS SECTION.
056000 9999-END-OF-PROGRAM.
056100     GOBACK.
