000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID.     MBU760.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*                MBU760 - BUILD A CSF CONVERTED STATEMENT FILE  *
000800*                                                               *
000900*****************************************************************
001000*
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000*
002100 DATA DIVISION.
002200 FILE SECTION.
002300*
002400     COPY MS1SSD.
002500*
002600 01  SORT-RECORD.
002700     03  SORT-SORT-KEY.
002800         05  SORT-S-RPT-NBR  PIC  9(02).
002900         05  SORT-S-FORM     PIC  9(02).
003000         05  SORT-S-ORG      PIC  9(03).
003100         05  SORT-S-MC-1     PIC  9(09).
003200         05  SORT-S-MC-2     PIC  9(09).
003300         05  SORT-S-STORE    PIC  9(09).
003400         05  SORT-S-RECORD-ID
003500                             PIC  X(04).
003600         05  SORT-S-REC-TYPE PIC  9(01).
003700         05  SORT-S-SUMM-DTL PIC  X(01).
003800         05  SORT-S-POSTAL-CODE
003900                             PIC  X(10).
004000         05  SORT-S-REC-ID-SEQ
004100                             PIC S9(09)     COMP-3.
004200*
004300     03  DEPOSIT-HISTORY-SORT-KEY REDEFINES SORT-SORT-KEY.
004400         05  DHIST-SORT-S-RPT-NBR
004500                             PIC  9(02).
004600         05  DHIST-SORT-S-FORM
004700                             PIC  9(02).
004800         05  DHIST-SORT-S-ORG
004900                             PIC  9(03).
005000         05  DHIST-SORT-S-MC-1
005100                             PIC  9(09).
005200         05  DHIST-SORT-S-MC-2
005300                             PIC  9(09).
005400         05  DHIST-SORT-S-STORE
005500                             PIC  9(09).
005600         05  DHIST-SORT-S-RECORD-ID
005700                             PIC  X(04).
005800         05  DHIST-SORT-S-BATCH-DATE
005900                             PIC S9(07)      COMP-3.
006000         05  DHIST-SORT-S-BATCH-SOURCE
006100                             PIC S9(05)      COMP-3.
006200         05  DHIST-SORT-S-BATCH-NBR
006300                             PIC S9(05)      COMP-3.
006400         05  DHIST-SORT-S-BATCH-SEQ
006500                             PIC S9(08)      BINARY.
006600         05  FILLER          PIC  X(03).
006700*
006800     03  SORT-DATA-AREA      PIC  X(950).
006900/
007000 WORKING-STORAGE SECTION.
007100*
007200 01  FILLER                  PIC  X(30)      VALUE
007300         '*** WS STARTS HERE MBU760 ***'.
007400*
007500 01  W01-MISC-AREAS.
007600     03  W01-FILE-SW         PIC  X(01)      VALUE  ' '.
007700         88 END-OF-INPUT                     VALUE  'X'.
007800*
007900     03  W01-PROD-DESC-TBL   OCCURS  99  TIMES.
008000         05  W01-PROD-DESC   PIC  X(16).
008100     03  WS-SAVE-CURRENCY    PIC  X(03)      VALUE ZEROS.
008200     03  WS-SAVE-CURRENCY-NOD
008300                             PIC  X(01)      VALUE ZEROS.
008400     03  WS-SAVE-PERCENT-NOD PIC  X(01)      VALUE SPACES.
008500*
008600     03  MTEDWS-X            PIC S9(03)      COMP-3
008700                                             VALUE ZEROS.
008800     03  MTEDWS-Y            PIC S9(03)      COMP-3
008900                                             VALUE ZEROS.
009000/
009100     COPY MB00RB REPLACING ==:MB00:== BY ==MTRF==.
009200/
009300     COPY MTRFIO REPLACING ==:MTRF:== BY ==MTRF==.
009400*
009500     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
009600/
009700     COPY MTSERL REPLACING ==:MTSE:== BY ==MTSE==.
009800/
009900     COPY MTSEIO REPLACING ==:MTSE:== BY ==MTSE==.
010000/
010100     COPY MB00RB REPLACING ==:MB00:== BY ==MTSE==.
010200/
010300     COPY MTSEIR REPLACING ==:MTSE:== BY ==MTSE==.
010400/
010500     COPY MTEDRL REPLACING ==:MTED:== BY ==MTED==.
010600/
010700     COPY MTEDIO REPLACING ==:MTED:== BY ==MTED==.
010800/
010900     COPY MB00RB REPLACING ==:MB00:== BY ==MTED==.
011000/
011100     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMSH==.
011200/
011300     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD3==.
011400/
011500     COPY MTSEWS.
011600/
011700     COPY SMCURL.
011800/
011900     COPY SMCUWS.
012000/
012100     COPY SC00WS.
012200/
012300     COPY SS00WS.
012400/
012500     COPY SS01WS.
012600/
012700     COPY SS02WS.
012800/
012900     COPY SS95WS.
013000/
013100     COPY MB00WS.
013200/
013300     COPY MMGDTB.
013400/
013500 PROCEDURE DIVISION.
013600 A000-MAIN-LINE-SECT SECTION.
013700 0000-MAIN-LINE-PROCESSING.
013800*
013900     PERFORM  0100-INITIALIZATION
014000                                 THRU  0100-EXIT.
014100*
014200     SET SS95WS-FUNCTION-INITIALIZE
014300                                 TO TRUE
014400     PERFORM SS95PD-NAP-ROUTINE
014500        THRU SS95PD-NAP-EXIT.
014600*
014700     SORT  MS1S-SORT-FILE
014800           ON ASCENDING KEY      SORT-SORT-KEY
014900           INPUT PROCEDURE IS    1000-REFORMAT-INPUT
015000                                 THRU  3999-EXIT
015100           OUTPUT PROCEDURE IS   6000-WRITE-OUTPUT
015200                                 THRU  6999-EXIT.
015300*
015400     PERFORM SS98PD-VERIFY-SORT-RETURN
015500        THRU SS98PD-VSR-EXIT.
015600*
015700     PERFORM  0200-PROCESS-DEFAULT
015800                                 THRU  0200-EXIT.
015900*
016000     PERFORM  0300-CLOSE-FILES   THRU  0300-EXIT.
016100     GOBACK.
016200*
016300 0100-INITIALIZATION    SECTION.
016400*
016500     MOVE 'MBU760'               TO  SS02WS-ABEND-PROG-ID.
016600     MOVE SS02WS-END-OF-FILE     TO  MTRFRB-PERM-STATUS-1.
016700*
016800     PERFORM  0600-CLEAR-PROD-DESC
016900                                 THRU  0600-EXIT
017000              VARYING  MTSEWS-X  FROM 1 BY 1
017100              UNTIL  MTSEWS-X    IS GREATER THAN  99.
017200*
017300     MOVE 'MERCHANT LEVEL'       TO  W01-PROD-DESC (1).
017400*
017500     MOVE 'RF01'                 TO  SS02WS-ABEND-LOCATION.
017600     SET MTRFRB-OPEN-INPUT       TO  TRUE.
017700     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
017800*
017900     PERFORM  3000-READ-MTRF     THRU  3000-EXIT.
018000*
018100     IF  END-OF-INPUT
018200         MOVE 76001              TO  SS02WS-ABEND-CODE
018300         MOVE '- EMPTY MBS REPORT FILE INPUT'
018400                                 TO  SS02WS-ABENDMSG8
018500         PERFORM  SS02PD-ABEND   THRU  SS02PD-ABEND-EXIT
018600     ELSE
018700         MOVE MTRFIO-RECORD      TO  MTRF-RECORD.
018800*
018900     MOVE 'SE01'                 TO  SS02WS-ABEND-LOCATION.
019000     SET MTSERB-OPEN-OUTPUT      TO  TRUE.
019100     PERFORM MB00PD-MTSE-ACCESS  THRU MB00PD-MTSE-ACCESS-EXIT.
019200*
019300     MOVE 'ST01'                 TO  SS02WS-ABEND-LOCATION.
019400     SET MTEDRB-OPEN-OUTPUT      TO  TRUE.
019500     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
019600*
019700*
019800 0100-EXIT.
019900     EXIT.
020000*
020100 0200-PROCESS-DEFAULT    SECTION.
020200*
020300     PERFORM  0400-LOAD-DESC-TABLE
020400                                 THRU  0400-EXIT
020500              VARYING  MTEDWS-X   FROM 1 BY 1
020600              UNTIL  MTEDWS-X   IS GREATER THAN  495.
020700*
020800     PERFORM  0500-LOAD-DESC-TABLE
020900                                 THRU  0500-EXIT
021000              VARYING  MTEDWS-X   FROM 1 BY 1
021100              UNTIL  MTEDWS-X   IS GREATER THAN  495.
021200*
021300     MOVE 'ST03'                 TO  SS02WS-ABEND-LOCATION.
021400     SET MTEDRB-CLOSE            TO  TRUE.
021500     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
021600*
021700 0200-EXIT.
021800     EXIT.
021900*
022000 0300-CLOSE-FILES    SECTION.
022100*
022200     MOVE 'RF03'                 TO  SS02WS-ABEND-LOCATION.
022300     SET MTRFRB-CLOSE            TO  TRUE.
022400     PERFORM  MB00PD-MTRF-ACCESS THRU MB00PD-MTRF-ACCESS-EXIT.
022500*
022600     MOVE 'SE03'                 TO  SS02WS-ABEND-LOCATION.
022700     SET MTSERB-CLOSE            TO  TRUE.
022800     PERFORM MB00PD-MTSE-ACCESS  THRU MB00PD-MTSE-ACCESS-EXIT.
022900*
023000 0300-EXIT.
023100     EXIT.
023200*
023300 0400-LOAD-DESC-TABLE    SECTION.
023400*
023500*****************************************************************
023600*    OUTPUT THE DEFAULT TABLE ENTRIES FOR USER FEE TITLES.  ORG *
023700*    IS SET TO 000.                                             *
023800*****************************************************************
023900*
024000     IF  MTEDWS-X   GREATER THAN 75
024100     AND MTEDWS-X LESS THAN 86
024200         MOVE SPACES             TO  MTED-RECORD-UF
024300         MOVE 11                 TO  MTED-DEF-TABLE-ID-UF
024400         MOVE 00                 TO  MTED-DEF-RPT-NBR-UF
024500         MOVE 00                 TO  MTED-DEF-FORM-UF
024600         MOVE 000                TO  MTED-DEF-ORG-UF
024700*
024800         MOVE MMGDTB-DT-LM (MTEDWS-X)
024900                                 TO  MTED-DEF-LM-UF
025000         MOVE MMGDTB-DT-DESC (MTEDWS-X)
025100                                 TO  MTED-DEF-DESC-UF
025200         MOVE '('                TO  MTED-DEF-LEFT-PAREN-UF
025300         MOVE ')'                TO  MTED-DEF-RGT-PAREN-UF
025400         MOVE MMGDTB-DT-RPT-DESC  (MTEDWS-X)
025500                                 TO  MTED-DEF-TITLE-UF
025600         PERFORM  2032-WRITE-UF  THRU  2032-EXIT
025700         GO TO 0400-EXIT
025800     END-IF.
025900*
026000     MOVE SPACES                 TO  MTED-RECORD.
026100     MOVE 11                     TO  MTED-DEF-TABLE-ID.
026200     MOVE 00                     TO  MTED-DEF-RPT-NBR.
026300     MOVE 00                     TO  MTED-DEF-FORM.
026400     MOVE 000                    TO  MTED-DEF-ORG.
026500     MOVE MMGDTB-DT-LM (MTEDWS-X)
026600                                 TO  MTED-DEF-LM.
026700     MOVE MMGDTB-DT-DESC (MTEDWS-X)
026800                                 TO  MTED-DEF-DESC.
026900     IF  MTED-DEF-DESC   =  SPACES
027000         MOVE 'UNDEFINED TRANSACTION'
027100                                 TO  MTED-DEF-DESC.
027200*
027300     MOVE 'ST02'                 TO  SS02WS-ABEND-LOCATION.
027400     MOVE MTED-RECORD            TO  MTEDIO-RECORD.
027500     SET MTEDRB-WRITE            TO  TRUE.
027600     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
027700*
027800 0400-EXIT.
027900     EXIT.
028000*
028100 0500-LOAD-DESC-TABLE    SECTION.
028200*
028300******************************************************************
028400*    DON'T OUTPUT THE GEN TABLE ENTRIES FOR USER FEE TITLES. THEY*
028500*    ARE OUTPUT AS SEPARATE RECORDS ELSEWHERE.                   *
028600******************************************************************
028700*
028800     IF  MTEDWS-X   GREATER THAN 90
028900     AND MTEDWS-X LESS THAN 101
029000           GO TO 0500-EXIT
029100     END-IF.
029200*
029300     MOVE SPACES                 TO  MTED-RECORD.
029400     MOVE 11                     TO  MTED-DEF-TABLE-ID.
029500     MOVE 00                     TO  MTED-DEF-RPT-NBR.
029600     MOVE 00                     TO  MTED-DEF-FORM.
029700     MOVE 000                    TO  MTED-DEF-ORG.
029800     MOVE MMGDTB-GT-LM (MTEDWS-X)
029900                                 TO  MTED-DEF-LM.
030000     MOVE MMGDTB-GT-DESC (MTEDWS-X)
030100                                 TO  MTED-DEF-DESC.
030200     IF  MTED-DEF-DESC   =  SPACES
030300         MOVE 'UNDEFINED TRANSACTION'
030400                                 TO  MTED-DEF-DESC.
030500*
030600     MOVE 'ST02'                 TO  SS02WS-ABEND-LOCATION.
030700     MOVE MTED-RECORD            TO  MTEDIO-RECORD.
030800     SET MTEDRB-WRITE            TO  TRUE.
030900     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
031000*
031100 0500-EXIT.
031200     EXIT.
031300*
031400 0600-CLEAR-PROD-DESC    SECTION.
031500     MOVE 'UNDEFINED PROD.'      TO  W01-PROD-DESC (MTSEWS-X).
031600*
031700 0600-EXIT.
031800     EXIT.
031900/
032000 1000-REFORMAT-INPUT    SECTION.
032100*
032200     PERFORM  1010-MAIN-LINE     THRU  1010-EXIT
032300                                 UNTIL  END-OF-INPUT.
032400     GO TO  3999-EXIT.
032500*
032600 1010-MAIN-LINE.
032700*
032800     IF  MTRF-K1-RT-HEADER
032900         MOVE MTRF-HD-CURRENCY-CODE
033000                                 TO WS-SAVE-CURRENCY
033100         MOVE MTRF-HD-CURRENCY-NOD
033200                                 TO WS-SAVE-CURRENCY-NOD
033300         MOVE MTRF-HD-PERCENT-NOD
033400                                 TO WS-SAVE-PERCENT-NOD.
033500*
033600     IF  MTRF-K1-RPT-NBR  =  50
033700     OR  MTRF-K1-RPT-NBR  =  52
033800         PERFORM  1100-BUILD-RECORDS
033900                                 THRU  1100-EXIT.
034000*
034100     PERFORM  3000-READ-MTRF     THRU  3000-EXIT.
034200*
034300 1010-EXIT.
034400     EXIT.
034500/
034600 1100-BUILD-RECORDS.
034700*
034800*     CLEAR COMMON OUTPUT RECORD AREA
034900*
035000     MOVE MTSEIR-SORT-KEY        TO  MTSE-SORT-KEY.
035100     MOVE MTSEIR-STATIC-DATA     TO  MTSE-STATIC-DATA.
035200     MOVE MTRF-K1-RPT-NBR        TO  MTSE-S-RPT-NBR.
035300     MOVE MTRF-K1-FORM           TO  MTSE-S-FORM.
035400     MOVE MTRF-K1-REC-TYPE       TO  MTSE-S-REC-TYPE.
035500     MOVE MTRF-K1-SUMMARY-DETAIL TO  MTSE-S-SUMM-DTL.
035600     MOVE MTRF-K1-ORG            TO  MTSE-S-ORG.
035700     MOVE MTRF-K2-O50-MERCHANT   TO  MTSE-S-MERCHANT.
035800     MOVE MTRF-STORE             TO  MTSE-S-STORE.
035900     MOVE MTRF-CHAIN             TO  MTSE-S-CHAIN.
036000     MOVE MTRF-BLOCK-CODE        TO MTSE-BLOCK-CODE.
036100     MOVE MTRF-REC-STATUS        TO MTSE-REC-STATUS.
036200     MOVE MTRF-GNA-NBR           TO MTSE-GNA-NBR.
036300     MOVE MTRF-NA-OVERFLOW-SW    TO MTSE-NA-OVERFLOW-SW.
036400     MOVE MTRF-NAME              TO MTSE-NAME.
036500     MOVE MTRF-STATE             TO MTSE-STATE.
036600     MOVE MTRF-COUNTRY           TO MTSE-COUNTRY.
036700     MOVE MTRF-STMT-FREQ-1       TO MTSE-STMT-FREQ-1.
036800     MOVE MTRF-STMT-FREQ-2       TO MTSE-STMT-FREQ-2.
036900     MOVE MTRF-DISC-FREQ-1       TO MTSE-DISC-FREQ-1.
037000     MOVE MTRF-DISC-FREQ-2       TO MTSE-DISC-FREQ-2.
037100     MOVE MTRF-PART-FREQ-1       TO MTSE-PART-FREQ-1.
037200     MOVE MTRF-PART-FREQ-2       TO MTSE-PART-FREQ-2.
037300     MOVE MTRF-SETT-FREQ-1       TO MTSE-SETT-FREQ-1.
037400     MOVE MTRF-SETT-FREQ-2       TO MTSE-SETT-FREQ-2.
037500     MOVE MTRF-CLOSE-REASON      TO MTSE-CLOSE-REASON.
037600     MOVE MTRF-K2-O50-POSTAL-CODE
037700                                 TO  MTSE-S-POSTAL-CODE.
037800     MOVE WS-SAVE-CURRENCY       TO  MTSE-CURRENCY-CODE
037900                                     SS95WS-CURRENCY-CODE.
038000     MOVE WS-SAVE-CURRENCY-NOD   TO  MTSE-CURRENCY-NOD.
038100*
038200     MOVE WS-SAVE-CURRENCY       TO SMCUWS-CURRENCY-CODE.
038300     PERFORM SMCUPXB-OBTAIN-CURRENCY-DATA
038400                                 THRU SMCUPXB-OCD-EXIT.
038500*
038600     IF  SMCUWS-RC-CURRENCY-FOUND
038700         MOVE SMCUWS-RECORD      TO SMCU-RECORD
038800         MOVE SMCU-CURRENCY-NAME TO MTSE-CURRENCY-DESC
038900     ELSE
039000         MOVE SPACES             TO MTSE-CURRENCY-DESC
039100     END-IF.
039200*
039300     IF  MTRF-K1-RPT-NBR  =  52
039400         IF  MTRF-K2-O50-MERCH-SUMMARY
039500             MOVE MTRF-K2-O50-REC-ID-SEQ
039600                                 TO  MTSE-S-MERCHANT
039700             MOVE MTRF-K2-O50-MERCHANT
039800                                 TO  MTSE-S-CHAIN
039900         ELSE
040000             MOVE MTRF-K2-O50-MERCHANT
040100                                 TO  MTSE-S-CHAIN
040200             MOVE ZEROS          TO  MTSE-S-MERCHANT
040300         END-IF
040400     END-IF.
040500*
040600     IF  MTRF-K2-O50-CORR-NA-RECORD
040700         PERFORM  2000-BUILD-PROCESSOR
040800                                 THRU  2000-EXIT.
040900*
041000     IF  MTRF-K2-O50-NA-RECORD
041100         PERFORM  2010-BUILD-DEMO-DATA
041200                                 THRU  2010-EXIT.
041300*
041400     IF  MTRF-K2-O50-STMT-MSG-1
041500     OR  MTRF-K2-O50-STMT-MSG-2
041600     OR  MTRF-K2-O50-STMT-MSG-3
041700     OR  MTRF-K2-O50-STMT-MSG-4
041800     OR  MTRF-K2-O50-STMT-MSG-5
041900         PERFORM  2020-BUILD-STMT-MSG
042000                                 THRU  2020-EXIT.
042100*
042200     IF  MTRF-K2-O50-USER-FEE-TITLES
042300         PERFORM  2030-BUILD-FEE-TITLES
042400                                 THRU  2030-EXIT.
042500*
042600     IF  MTRF-K2-O50-PROD-DESC-RECORD
042700         PERFORM  2040-BUILD-PROD-DESC
042800                                 THRU  2040-EXIT.
042900*
043000     IF  MTRF-K2-O50-BALANCE-SUMMARY
043100     OR  MTRF-K2-O50-MERCH-SUMMARY
043200         PERFORM  2050-BUILD-BAL-SUMMARY
043300                                 THRU  2050-EXIT.
043400*
043500     IF  MTRF-K2-O50-RESERVE-SUMMARY
043600         PERFORM  2060-BUILD-RESERVE-SUMM
043700                                 THRU  2060-EXIT.
043800*
043900     IF  MTRF-K2-O50-RECOVERY-ADJ
044000         PERFORM  2070-BUILD-RECOV-ADJ
044100                                 THRU  2070-EXIT.
044200*
044300     IF  MTRF-K2-O50-ADJ-SUMMARY
044400         PERFORM  2080-BUILD-ADJ-SUMMARY
044500                                 THRU  2080-EXIT.
044600*
044700     IF  MTRF-K2-O50-USER-CR-SUMMARY
044800         PERFORM  2090-BUILD-USER-CR-SUMM
044900                                 THRU  2090-EXIT.
045000*
045100     IF  MTRF-K2-O50-FEE-SUMMARY
045200         PERFORM  2100-BUILD-FEE-SUMMARY
045300                                 THRU  2100-EXIT.
045400*
045500     IF  MTRF-K2-O50-SETT-DISTRIB
045600         PERFORM  2110-BUILD-DISBURSE-ACT
045700                                 THRU  2110-EXIT.
045800*
045900     IF  MTRF-K2-O50-SETT-TOTALS
046000         PERFORM  2120-BUILD-DISBURSE-TOT
046100                                 THRU  2120-EXIT.
046200*
046300     IF  MTRF-K2-O50-PRODUCT-SUMMARY
046400         PERFORM  2130-BUILD-PROD-SUMMARY
046500                                 THRU  2130-EXIT.
046600*
046700     IF  MTRF-K2-O50-STORE-SUMMARY
046800         PERFORM  2140-BUILD-STORE-SUMM
046900                                 THRU  2140-EXIT.
047000*
047100     IF  MTRF-K2-O50-DETAIL-TRANS
047200         PERFORM  2150-BUILD-HISTORY
047300                                 THRU  2150-EXIT.
047400*
047500     IF  MTRF-K2-O50-DEPOSIT-TRANS
047600         PERFORM  2160-BUILD-DEPOSIT-HIST
047700                                 THRU  2160-EXIT.
047800*
047900 1100-EXIT.
048000     EXIT.
048100/
048200 2000-BUILD-PROCESSOR.
048300*
048400     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
048500     MOVE MTSEIR-PROC-DEMO       TO  MTSE-PROC-DEMO.
048600     MOVE MTRF-O50-R0006-NAME-ADDR (1)
048700                                 TO  MTSE-PD-NAME-ADDR1.
048800     MOVE MTRF-O50-R0006-NAME-ADDR (2)
048900                                 TO  MTSE-PD-NAME-ADDR2.
049000     MOVE MTRF-O50-R0006-NAME-ADDR (3)
049100                                 TO  MTSE-PD-NAME-ADDR3.
049200     MOVE MTRF-O50-R0006-NAME-ADDR (4)
049300                                 TO  MTSE-PD-NAME-ADDR4.
049400     MOVE MTRF-O50-R0006-NAME-ADDR (5)
049500                                 TO  MTSE-PD-NAME-ADDR5.
049600     MOVE MTRF-O50-CORR-PHONE    TO  MTSE-PD-CORR-PHONE.
049700     MOVE MTRF-O50-CORR-FAX      TO  MTSE-PD-CORR-FAX.
049800     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
049900*
050000 2000-EXIT.
050100     EXIT.
050200*
050300 2010-BUILD-DEMO-DATA.
050400*
050500     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
050600     MOVE MTSEIR-DEMO-DATA       TO  MTSE-DEMO-DATA.
050700     MOVE MTRF-O50-POSTAL-CODE   TO  MTSE-DD-POSTAL-CODE.
050800     MOVE MTRF-O50-R0000-NAME-ADDR (1)
050900                                 TO  MTSE-DD-NAME-ADDR1.
051000     MOVE MTRF-O50-R0000-NAME-ADDR (2)
051100                                 TO  MTSE-DD-NAME-ADDR2.
051200     MOVE MTRF-O50-R0000-NAME-ADDR (3)
051300                                 TO  MTSE-DD-NAME-ADDR3.
051400     MOVE MTRF-O50-R0000-NAME-ADDR (4)
051500                                 TO  MTSE-DD-NAME-ADDR4.
051600     MOVE MTRF-O50-R0000-NAME-ADDR (5)
051700                                 TO  MTSE-DD-NAME-ADDR5.
051800*
051900     MOVE MTRF-O50-BEG-STMT-DATE TO  SS01WS-JULIAN.
052000     MOVE 1                      TO  SS01WS-FREQ.
052100     MOVE 'D'                    TO  SS01WS-PERIOD.
052200     PERFORM SS03PD-FUTURE-DATE
052300                                 THRU SS03PD-FD-EXIT.
052400     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
052500     MOVE SS01WS-MM              TO  MTSEWS-MM.
052600     MOVE SS01WS-DD              TO  MTSEWS-DD.
052700     MOVE MTSEWS-DATE            TO  MTSE-DD-BEG-STMT-DATE.
052800*
052900     MOVE MTRF-O50-END-STMT-DATE TO  SS01WS-JULIAN.
053000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
053100     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
053200     MOVE SS01WS-MM              TO  MTSEWS-MM.
053300     MOVE SS01WS-DD              TO  MTSEWS-DD.
053400     MOVE MTSEWS-DATE            TO  MTSE-DD-END-STMT-DATE.
053500*
053600     MOVE MTRF-O50-IMP-DEV-TITLE (1)
053700                                 TO  MTSE-DD-IMP-DEV-TITLE1.
053800     MOVE MTRF-O50-IMP-DEV-TITLE (2)
053900                                 TO  MTSE-DD-IMP-DEV-TITLE2.
054000     MOVE MTRF-O50-IMP-DEV-TITLE (3)
054100                                 TO  MTSE-DD-IMP-DEV-TITLE3.
054200     MOVE MTRF-O50-POS-DEV-TITLE (1)
054300                                 TO  MTSE-DD-POS-DEV-TITLE1.
054400     MOVE MTRF-O50-POS-DEV-TITLE (2)
054500                                 TO  MTSE-DD-POS-DEV-TITLE2.
054600     MOVE MTRF-O50-POS-DEV-TITLE (3)
054700                                 TO  MTSE-DD-POS-DEV-TITLE3.
054800     MOVE MTRF-O50-EURO-REPORTING-FLAG
054900                                 TO  MTSE-DD-EURO-RPT-FLAG.
055000     MOVE MTRF-O50-DUAL-CURRENCY-ORG
055100                                 TO  MTSE-DD-DUAL-CURR-ORG.
055200     MOVE MTRF-O50-DEST-CURRENCY
055300                                 TO  MTSE-DD-DEST-CURR.
055400     MOVE MTRF-O50-OOB-FLAG      TO  MTSE-OOB-FLAG.
055500     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
055600*
055700 2010-EXIT.
055800     EXIT.
055900*
056000 2020-BUILD-STMT-MSG.
056100*
056200     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
056300     MOVE MTSEIR-STMNT-MSG       TO  MTSE-STMNT-MSG.
056400     MOVE MTRF-O50-STMT-MSG-LINE (1)
056500                                 TO  MTSE-STMT-MSG-LINE1.
056600     MOVE MTRF-O50-STMT-MSG-LINE (2)
056700                                 TO  MTSE-STMT-MSG-LINE2.
056800     MOVE MTRF-O50-STMT-MSG-LINE (3)
056900                                 TO  MTSE-STMT-MSG-LINE3.
057000     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
057100*
057200 2020-EXIT.
057300     EXIT.
057400*
057500 2030-BUILD-FEE-TITLES.
057600*
057700     MOVE SPACES                 TO  MTED-RECORD-UF.
057800     MOVE 11                     TO  MTED-DEF-TABLE-ID-UF.
057900     MOVE MTRF-K1-FORM           TO  MTED-DEF-FORM-UF.
058000     MOVE MTRF-K1-RPT-NBR        TO  MTED-DEF-RPT-NBR-UF.
058100     MOVE MTRF-K1-ORG            TO  MTED-DEF-ORG-UF.
058200*
058300     MOVE MMGDTB-GT-LM (91)
058400                                 TO  MTED-DEF-LM-UF.
058500     MOVE MMGDTB-G-091-2
058600                                 TO  MTED-DEF-DESC-UF.
058700     MOVE MTRF-UFT-TITLES-DESC (1)
058800                                 TO  MTED-DEF-TITLE-UF.
058900     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
059000*
059100     MOVE MMGDTB-GT-LM (92)
059200                                 TO  MTED-DEF-LM-UF.
059300     MOVE MMGDTB-G-092-2
059400                                 TO  MTED-DEF-DESC-UF.
059500     MOVE MTRF-UFT-TITLES-DESC (2)
059600                                 TO  MTED-DEF-TITLE-UF.
059700     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
059800*
059900     MOVE MMGDTB-GT-LM (93)
060000                                 TO  MTED-DEF-LM-UF.
060100     MOVE MMGDTB-G-093-2
060200                                 TO  MTED-DEF-DESC-UF.
060300     MOVE MTRF-UFT-TITLES-DESC (3)
060400                                 TO  MTED-DEF-TITLE-UF.
060500     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
060600*
060700     MOVE MMGDTB-GT-LM (94)
060800                                 TO  MTED-DEF-LM-UF.
060900     MOVE MMGDTB-G-094-2
061000                                 TO  MTED-DEF-DESC-UF.
061100     MOVE MTRF-UFT-TITLES-DESC (4)
061200                                 TO  MTED-DEF-TITLE-UF.
061300     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
061400*
061500     MOVE MMGDTB-GT-LM (95)
061600                                 TO  MTED-DEF-LM-UF.
061700     MOVE MMGDTB-G-095-2
061800                                 TO  MTED-DEF-DESC-UF.
061900     MOVE MTRF-UFT-TITLES-DESC (5)
062000                                 TO  MTED-DEF-TITLE-UF.
062100     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
062200*
062300     MOVE MMGDTB-GT-LM (96)
062400                                 TO  MTED-DEF-LM-UF.
062500     MOVE MMGDTB-G-096-2
062600                                 TO  MTED-DEF-DESC-UF.
062700     MOVE MTRF-UFT-TITLES-DESC (6)
062800                                 TO  MTED-DEF-TITLE-UF.
062900     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
063000*
063100     MOVE MMGDTB-GT-LM (97)
063200                                 TO  MTED-DEF-LM-UF.
063300     MOVE MMGDTB-G-097-2
063400                                 TO  MTED-DEF-DESC-UF.
063500     MOVE MTRF-UFT-TITLES-DESC (7)
063600                                 TO  MTED-DEF-TITLE-UF.
063700     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
063800*
063900     MOVE MMGDTB-GT-LM (98)
064000                                 TO  MTED-DEF-LM-UF.
064100     MOVE MMGDTB-G-098-2
064200                                 TO  MTED-DEF-DESC-UF.
064300     MOVE MTRF-UFT-TITLES-DESC (8)
064400                                 TO  MTED-DEF-TITLE-UF.
064500     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
064600*
064700     MOVE MMGDTB-GT-LM (99)
064800                                 TO  MTED-DEF-LM-UF.
064900     MOVE MMGDTB-G-099-2
065000                                 TO  MTED-DEF-DESC-UF.
065100     MOVE MTRF-UFT-TITLES-DESC (9)
065200                                 TO  MTED-DEF-TITLE-UF.
065300     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
065400*
065500     MOVE MMGDTB-GT-LM (100)
065600                                 TO  MTED-DEF-LM-UF.
065700     MOVE MMGDTB-G-100-2
065800                                 TO  MTED-DEF-DESC-UF.
065900     MOVE MTRF-UFT-TITLES-DESC (10)
066000                                 TO  MTED-DEF-TITLE-UF.
066100     PERFORM  2032-WRITE-UF      THRU  2032-EXIT.
066200*
066300 2030-EXIT.
066400     EXIT.
066500*
066600 2032-WRITE-UF.
066700*
066800     IF  MTED-DEF-DESC-UF   =  SPACES
066900         MOVE 'UNDEFINED TRANSACTION'
067000                                 TO  MTED-DEF-DESC-UF.
067100*
067200     MOVE '('                    TO  MTED-DEF-LEFT-PAREN-UF.
067300     MOVE ')'                    TO  MTED-DEF-RGT-PAREN-UF.
067400*
067500     MOVE 'ST02'                 TO  SS02WS-ABEND-LOCATION.
067600     MOVE MTED-RECORD-UF         TO  MTEDIO-RECORD.
067700     SET MTEDRB-WRITE            TO  TRUE.
067800     PERFORM MB00PD-MTED-ACCESS  THRU MB00PD-MTED-ACCESS-EXIT.
067900*
068000 2032-EXIT.
068100*
068200 2040-BUILD-PROD-DESC.
068300*
068400     ADD  1                      TO  MTRF-PD-BEG-INDEX.
068500*
068600     IF  MTRF-PD-BEG-INDEX  IS NUMERIC    AND
068700         MTRF-PD-BEG-INDEX  IS GREATER THAN  ZERO
068800         MOVE MTRF-PD-BEG-INDEX  TO  MTSEWS-X
068900     ELSE
069000         MOVE 99                 TO  MTSEWS-X.
069100*
069200     PERFORM  2045-MOVE-PROD-DESC
069300                                 THRU  2045-EXIT
069400              VARYING  MTSEWS-Y   FROM 1 BY 1
069500              UNTIL  MTSEWS-Y   IS GREATER THAN  11
069600              OR     MTSEWS-X   IS GREATER THAN  99.
069700*
069800 2040-EXIT.
069900     EXIT.
070000*
070100 2045-MOVE-PROD-DESC.
070200*
070300     MOVE MTRF-PD-PROD-DESC (MTSEWS-Y)
070400                                 TO  W01-PROD-DESC (MTSEWS-X).
070500     ADD  1                      TO  MTSEWS-X.
070600*
070700 2045-EXIT.
070800     EXIT.
070900*
071000 2050-BUILD-BAL-SUMMARY.
071100*
071200     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
071300*
071400     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
071500     MOVE MTSEIR-BAL-SUMMARY     TO  MTSE-BAL-SUMMARY.
071600*
071700     COMPUTE SS95WS-IN-AMT        = MTRF-O50-BAL-SETT-CR-AMT
071800                                  + MTRF-O50-BAL-SETT-DR-AMT
071900                                  + MTRF-O50-BAL-HOLDOVER-AMT.
072000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
072100     MOVE SS95WS-OUT-AMT-L21     TO MTSE-BS-NET-SETT-AMT.
072200*
072300     MOVE MTRF-O50-BAL-CURR-HOLDOVER-AMT
072400                                 TO SS95WS-IN-AMT.
072500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
072600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-CURR-HOLDOVER-AMT.
072700*
072800     MOVE MTRF-O50-BAL-BEG-BALANCE
072900                                 TO SS95WS-IN-AMT.
073000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
073100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-BEG-BALANCE.
073200*
073300     MOVE MTRF-O50-BAL-END-BALANCE
073400                                 TO SS95WS-IN-AMT.
073500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
073600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-END-BALANCE.
073700*
073800     MOVE MTRF-O50-BAL-BATCH-HEADER-NBR
073900                                 TO  MTSE-BS-BATCH-HEADER-NBR.
074000*
074100     MOVE MTRF-O50-BAL-BATCH-HEADER-AMT
074200                                 TO SS95WS-IN-AMT.
074300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
074400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-BATCH-HEADER-AMT.
074500*
074600     MOVE MTRF-O50-BAL-RESV-TO-SETT-NBR
074700                                 TO  MTSE-BS-RESV-TO-SETT-NBR.
074800*
074900     MOVE MTRF-O50-BAL-RESV-TO-SETT-AMT
075000                                 TO SS95WS-IN-AMT.
075100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
075200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-RESV-TO-SETT-AMT.
075300*
075400     MOVE MTRF-O50-BAL-REFUND-NBR
075500                                 TO  MTSE-BS-REFUND-NBR.
075600*
075700     MOVE MTRF-O50-BAL-REFUND-AMT
075800                                 TO SS95WS-IN-AMT.
075900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
076000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-REFUND-AMT.
076100*
076200     MOVE MTRF-O50-BAL-PART-CR-NBR
076300                                 TO  MTSE-BS-PART-CR-NBR.
076400*
076500     MOVE MTRF-O50-BAL-PART-CR-AMT
076600                                 TO SS95WS-IN-AMT.
076700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
076800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-PART-CR-AMT.
076900*
077000     MOVE MTRF-O50-BAL-ADJ-CR-NBR
077100                                 TO  MTSE-BS-ADJ-CR-NBR.
077200*
077300     MOVE MTRF-O50-BAL-ADJ-CR-AMT
077400                                 TO SS95WS-IN-AMT.
077500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
077600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-ADJ-CR-AMT.
077700*
077800     MOVE MTRF-O50-BAL-REC-ADJ-CR-NBR
077900                                 TO  MTSE-BS-REC-ADJ-CR-NBR.
078000*
078100     MOVE MTRF-O50-BAL-REC-ADJ-CR-AMT
078200                                 TO SS95WS-IN-AMT.
078300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
078400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-REC-ADJ-CR-AMT.
078500*
078600     MOVE MTRF-O50-BAL-USER-CR-NBR
078700                                 TO  MTSE-BS-USER-CR-NBR.
078800*
078900     MOVE MTRF-O50-BAL-USER-CR-AMT
079000                                 TO SS95WS-IN-AMT.
079100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
079200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-USER-CR-AMT.
079300*
079400     MOVE MTRF-O50-BAL-RESV-FUNDING-NBR
079500                                 TO  MTSE-BS-RESV-FUNDING-NBR.
079600*
079700     MOVE MTRF-O50-BAL-RESV-FUNDING-AMT
079800                                 TO SS95WS-IN-AMT.
079900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
080000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-RESV-FUNDING-AMT.
080100*
080200     MOVE MTRF-O50-BAL-DISCOUNT-NBR
080300                                 TO  MTSE-BS-DISCOUNT-NBR.
080400*
080500     MOVE MTRF-O50-BAL-DISCOUNT-AMT
080600                                 TO SS95WS-IN-AMT.
080700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
080800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-DISCOUNT-AMT.
080900*
081000     MOVE MTRF-O50-BAL-PART-DR-NBR
081100                                 TO  MTSE-BS-PART-DR-NBR.
081200*
081300     MOVE MTRF-O50-BAL-PART-DR-AMT
081400                                 TO SS95WS-IN-AMT.
081500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
081600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-PART-DR-AMT.
081700*
081800     MOVE MTRF-O50-BAL-ADJ-DR-NBR
081900                                 TO  MTSE-BS-ADJ-DR-NBR.
082000*
082100     MOVE MTRF-O50-BAL-ADJ-DR-AMT
082200                                 TO SS95WS-IN-AMT.
082300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
082400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-ADJ-DR-AMT.
082500*
082600     MOVE MTRF-O50-BAL-REC-ADJ-DR-NBR
082700                                 TO  MTSE-BS-REC-ADJ-DR-NBR.
082800*
082900     MOVE MTRF-O50-BAL-REC-ADJ-DR-AMT
083000                                 TO SS95WS-IN-AMT.
083100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
083200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-REC-ADJ-DR-AMT.
083300*
083400     MOVE MTRF-O50-BAL-USER-FEES-NBR
083500                                 TO  MTSE-BS-USER-FEES-NBR.
083600*
083700     MOVE MTRF-O50-BAL-USER-FEES-AMT
083800                                 TO SS95WS-IN-AMT.
083900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
084000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-USER-FEES-AMT.
084100*
084200     MOVE MTRF-O50-BAL-SYSTEM-FEES-NBR
084300                                 TO  MTSE-BS-SYSTEM-FEES-NBR.
084400*
084500     MOVE MTRF-O50-BAL-SYSTEM-FEES-AMT
084600                                 TO SS95WS-IN-AMT.
084700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
084800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-SYSTEM-FEES-AMT.
084900*
085000     MOVE MTRF-O50-BAL-INTCHG-FEES-NBR
085100                                 TO  MTSE-BS-INTCHG-FEES-NBR.
085200*
085300     MOVE MTRF-O50-BAL-INTCHG-FEES-AMT
085400                                 TO SS95WS-IN-AMT.
085500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
085600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-INTCHG-FEES-AMT.
085700*
085800     MOVE MTRF-O50-BAL-TRANSFER-NBR
085900                                 TO  MTSE-BS-TRANSFER-NBR.
086000*
086100     MOVE MTRF-O50-BAL-TRANSFER-AMT
086200                                 TO SS95WS-IN-AMT.
086300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
086400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-TRANSFER-AMT.
086500*
086600     MOVE MTRF-O50-BAL-HOLDOVER-NBR
086700                                 TO  MTSE-BS-HOLDOVER-NBR.
086800*
086900     MOVE MTRF-O50-BAL-HOLDOVER-AMT
087000                                 TO SS95WS-IN-AMT.
087100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
087200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-HOLDOVER-AMT.
087300*
087400     MOVE MTRF-O50-BAL-SETT-CR-NBR
087500                                 TO  MTSE-BS-SETT-CR-NBR.
087600*
087700     MOVE MTRF-O50-BAL-SETT-CR-AMT
087800                                 TO SS95WS-IN-AMT.
087900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
088000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-SETT-CR-AMT.
088100*
088200     MOVE MTRF-O50-BAL-SETT-DR-NBR
088300                                 TO  MTSE-BS-SETT-DR-NBR.
088400*
088500     MOVE MTRF-O50-BAL-SETT-DR-AMT
088600                                 TO SS95WS-IN-AMT.
088700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
088800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-BS-SETT-DR-AMT.
088900*
089000     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
089100*
089200 2050-EXIT.
089300     EXIT.
089400*
089500 2060-BUILD-RESERVE-SUMM.
089600*
089700     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
089800*
089900     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
090000     MOVE MTSEIR-RESERVE-SUMM    TO  MTSE-RESERVE-SUMM.
090100     MOVE MTRF-O50-RESV-1-DESC   TO  MTSE-RS-DESC.
090200*
090300     MOVE MTRF-O50-RESV-1-BEG-BAL
090400                                 TO SS95WS-IN-AMT.
090500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
090600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-BEG-BAL.
090700*
090800     MOVE MTRF-O50-RESV-1-END-BAL
090900                                 TO SS95WS-IN-AMT.
091000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
091100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-END-BAL.
091200*
091300     MOVE MTRF-O50-RESV-1-FUNDING-LM
091400                                 TO  MTSE-RS-FUNDING-LM.
091500     MOVE MTRF-O50-RESV-1-FUNDING-NBR
091600                                 TO  MTSE-RS-FUNDING-NBR.
091700*
091800     MOVE MTRF-O50-RESV-1-FUNDING-AMT
091900                                 TO SS95WS-IN-AMT.
092000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
092100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-FUNDING-AMT.
092200*
092300     MOVE MTRF-O50-RESV-1-INCREASE-LM
092400                                 TO  MTSE-RS-INCREASE-LM.
092500     MOVE MTRF-O50-RESV-1-INCREASE-NBR
092600                                 TO  MTSE-RS-INCREASE-NBR.
092700*
092800     MOVE MTRF-O50-RESV-1-INCREASE-AMT
092900                                 TO SS95WS-IN-AMT.
093000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
093100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-INCREASE-AMT.
093200*
093300     MOVE MTRF-O50-RESV-1-TO-SETT-LM
093400                                 TO  MTSE-RS-TO-SETT-LM.
093500     MOVE MTRF-O50-RESV-1-TO-SETT-NBR
093600                                 TO  MTSE-RS-TO-SETT-NBR.
093700*
093800     MOVE MTRF-O50-RESV-1-TO-SETT-AMT
093900                                 TO SS95WS-IN-AMT.
094000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
094100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-TO-SETT-AMT.
094200*
094300     MOVE MTRF-O50-RESV-1-TO-PROC-LM
094400                                 TO  MTSE-RS-TO-PROC-LM.
094500     MOVE MTRF-O50-RESV-1-TO-PROC-NBR
094600                                 TO  MTSE-RS-TO-PROC-NBR.
094700*
094800     MOVE MTRF-O50-RESV-1-TO-PROC-AMT
094900                                 TO SS95WS-IN-AMT.
095000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
095100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RS-TO-PROC-AMT.
095200*
095300     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
095400*
095500 2060-EXIT.
095600     EXIT.
095700*
095800 2070-BUILD-RECOV-ADJ.
095900*
096000     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
096100*
096200     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
096300     MOVE MTSEIR-RECOVERY-ADJ    TO  MTSE-RECOVERY-ADJ.
096400     MOVE MTRF-O50-REC-ADJ-LM (1)
096500                                 TO  MTSE-RA-LM1.
096600     MOVE MTRF-O50-REC-ADJ-NBR (1)
096700                                 TO  MTSE-RA-NBR1.
096800*
096900     MOVE MTRF-O50-REC-ADJ-AMT (1)
097000                                 TO SS95WS-IN-AMT.
097100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
097200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT1.
097300*
097400     MOVE MTRF-O50-REC-ADJ-LM (2)
097500                                 TO  MTSE-RA-LM2.
097600     MOVE MTRF-O50-REC-ADJ-NBR (2)
097700                                 TO  MTSE-RA-NBR2.
097800*
097900     MOVE MTRF-O50-REC-ADJ-AMT (2)
098000                                 TO SS95WS-IN-AMT.
098100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
098200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT2.
098300*
098400     MOVE MTRF-O50-REC-ADJ-LM (3)
098500                                 TO  MTSE-RA-LM3.
098600     MOVE MTRF-O50-REC-ADJ-NBR (3)
098700                                 TO  MTSE-RA-NBR3.
098800*
098900     MOVE MTRF-O50-REC-ADJ-AMT (3)
099000                                 TO SS95WS-IN-AMT.
099100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
099200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT3.
099300*
099400     MOVE MTRF-O50-REC-ADJ-LM (4)
099500                                 TO  MTSE-RA-LM4.
099600     MOVE MTRF-O50-REC-ADJ-NBR (4)
099700                                 TO  MTSE-RA-NBR4.
099800*
099900     MOVE MTRF-O50-REC-ADJ-AMT (4)
100000                                 TO SS95WS-IN-AMT.
100100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
100200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT4.
100300*
100400     MOVE MTRF-O50-REC-ADJ-LM (5)
100500                                 TO  MTSE-RA-LM5.
100600     MOVE MTRF-O50-REC-ADJ-NBR (5)
100700                                 TO  MTSE-RA-NBR5.
100800*
100900     MOVE MTRF-O50-REC-ADJ-AMT (5)
101000                                 TO SS95WS-IN-AMT.
101100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
101200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT5.
101300*
101400     MOVE MTRF-O50-REC-ADJ-LM (6)
101500                                 TO  MTSE-RA-LM6.
101600     MOVE MTRF-O50-REC-ADJ-NBR (6)
101700                                 TO  MTSE-RA-NBR6.
101800*
101900     MOVE MTRF-O50-REC-ADJ-AMT (6)
102000                                 TO SS95WS-IN-AMT.
102100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
102200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT6.
102300*
102400     MOVE MTRF-O50-REC-ADJ-LM (7)
102500                                 TO  MTSE-RA-LM7.
102600     MOVE MTRF-O50-REC-ADJ-NBR (7)
102700                                 TO  MTSE-RA-NBR7.
102800*
102900     MOVE MTRF-O50-REC-ADJ-AMT (7)
103000                                 TO SS95WS-IN-AMT.
103100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
103200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT7.
103300*
103400     MOVE MTRF-O50-REC-ADJ-LM (8)
103500                                 TO  MTSE-RA-LM8.
103600     MOVE MTRF-O50-REC-ADJ-NBR (8)
103700                                 TO  MTSE-RA-NBR8.
103800*
103900     MOVE MTRF-O50-REC-ADJ-AMT (8)
104000                                 TO SS95WS-IN-AMT.
104100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
104200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT8.
104300*
104400     MOVE MTRF-O50-REC-ADJ-LM (9)
104500                                 TO  MTSE-RA-LM9.
104600     MOVE MTRF-O50-REC-ADJ-NBR (9)
104700                                 TO  MTSE-RA-NBR9.
104800*
104900     MOVE MTRF-O50-REC-ADJ-AMT (9)
105000                                 TO SS95WS-IN-AMT.
105100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
105200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT9.
105300*
105400     MOVE MTRF-O50-REC-ADJ-LM (10)
105500                                 TO  MTSE-RA-LM10.
105600     MOVE MTRF-O50-REC-ADJ-NBR (10)
105700                                 TO  MTSE-RA-NBR10.
105800*
105900     MOVE MTRF-O50-REC-ADJ-AMT (10)
106000                                 TO SS95WS-IN-AMT.
106100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
106200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-RA-AMT10.
106300*
106400     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
106500*
106600 2070-EXIT.
106700     EXIT.
106800*
106900 2080-BUILD-ADJ-SUMMARY.
107000*
107100     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
107200*
107300     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
107400     MOVE MTSEIR-ADJ-SUMMARY     TO  MTSE-ADJ-SUMMARY.
107500     MOVE MTRF-O50-ADJ-LM (1)    TO  MTSE-AS-LM1.
107600     MOVE MTRF-O50-ADJ-NBR (1)   TO  MTSE-AS-NBR1.
107700*
107800     MOVE MTRF-O50-ADJ-AMT (1)   TO SS95WS-IN-AMT.
107900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
108000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT1.
108100*
108200     MOVE MTRF-O50-ADJ-LM (2)    TO  MTSE-AS-LM2.
108300     MOVE MTRF-O50-ADJ-NBR (2)   TO  MTSE-AS-NBR2.
108400*
108500     MOVE MTRF-O50-ADJ-AMT (2)   TO  SS95WS-IN-AMT.
108600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
108700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT2.
108800*
108900     MOVE MTRF-O50-ADJ-LM (3)    TO  MTSE-AS-LM3.
109000     MOVE MTRF-O50-ADJ-NBR (3)   TO  MTSE-AS-NBR3.
109100*
109200     MOVE MTRF-O50-ADJ-AMT (3)   TO  SS95WS-IN-AMT.
109300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
109400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT3.
109500*
109600     MOVE MTRF-O50-ADJ-LM (4)    TO  MTSE-AS-LM4.
109700     MOVE MTRF-O50-ADJ-NBR (4)   TO  MTSE-AS-NBR4.
109800*
109900     MOVE MTRF-O50-ADJ-AMT (4)   TO  SS95WS-IN-AMT.
110000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
110100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT4.
110200*
110300     MOVE MTRF-O50-ADJ-LM (5)    TO  MTSE-AS-LM5.
110400     MOVE MTRF-O50-ADJ-NBR (5)   TO  MTSE-AS-NBR5.
110500*
110600     MOVE MTRF-O50-ADJ-AMT (5)   TO  SS95WS-IN-AMT.
110700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
110800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT5.
110900*
111000     MOVE MTRF-O50-ADJ-LM (6)    TO  MTSE-AS-LM6.
111100     MOVE MTRF-O50-ADJ-NBR (6)   TO  MTSE-AS-NBR6.
111200*
111300     MOVE MTRF-O50-ADJ-AMT (6)   TO  SS95WS-IN-AMT.
111400     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
111500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT6.
111600*
111700     MOVE MTRF-O50-ADJ-LM (7)    TO  MTSE-AS-LM7.
111800     MOVE MTRF-O50-ADJ-NBR (7)   TO  MTSE-AS-NBR7.
111900*
112000     MOVE MTRF-O50-ADJ-AMT (7)   TO  SS95WS-IN-AMT.
112100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
112200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT7.
112300*
112400     MOVE MTRF-O50-ADJ-LM (8)    TO  MTSE-AS-LM8.
112500     MOVE MTRF-O50-ADJ-NBR (8)   TO  MTSE-AS-NBR8.
112600*
112700     MOVE MTRF-O50-ADJ-AMT (8)   TO  SS95WS-IN-AMT.
112800     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
112900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT8.
113000*
113100     MOVE MTRF-O50-ADJ-LM (9)    TO  MTSE-AS-LM9.
113200     MOVE MTRF-O50-ADJ-NBR (9)   TO  MTSE-AS-NBR9.
113300*
113400     MOVE MTRF-O50-ADJ-AMT (9)   TO  SS95WS-IN-AMT.
113500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
113600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT9.
113700*
113800     MOVE MTRF-O50-ADJ-LM (10)   TO  MTSE-AS-LM10.
113900     MOVE MTRF-O50-ADJ-NBR (10)  TO  MTSE-AS-NBR10.
114000*
114100     MOVE MTRF-O50-ADJ-AMT (10)  TO  SS95WS-IN-AMT.
114200     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
114300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT10.
114400*
114500     MOVE MTRF-O50-ADJ-LM (11)   TO  MTSE-AS-LM11.
114600     MOVE MTRF-O50-ADJ-NBR (11)  TO  MTSE-AS-NBR11.
114700*
114800     MOVE MTRF-O50-ADJ-AMT (11)  TO  SS95WS-IN-AMT.
114900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
115000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT11.
115100*
115200     MOVE MTRF-O50-ADJ-LM (12)   TO  MTSE-AS-LM12.
115300     MOVE MTRF-O50-ADJ-NBR (12)  TO  MTSE-AS-NBR12.
115400*
115500     MOVE MTRF-O50-ADJ-AMT (12)  TO  SS95WS-IN-AMT.
115600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
115700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT12.
115800*
115900     MOVE MTRF-O50-ADJ-LM (13)   TO  MTSE-AS-LM13.
116000     MOVE MTRF-O50-ADJ-NBR (13)  TO  MTSE-AS-NBR13.
116100*
116200     MOVE MTRF-O50-ADJ-AMT (13)  TO  SS95WS-IN-AMT.
116300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
116400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT13.
116500*
116600     MOVE MTRF-O50-ADJ-LM (14)   TO  MTSE-AS-LM14.
116700     MOVE MTRF-O50-ADJ-NBR (14)  TO  MTSE-AS-NBR14.
116800*
116900     MOVE MTRF-O50-ADJ-AMT (14)  TO  SS95WS-IN-AMT.
117000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
117100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT14.
117200*
117300     MOVE MTRF-O50-ADJ-LM (15)   TO  MTSE-AS-LM15.
117400     MOVE MTRF-O50-ADJ-NBR (15)  TO  MTSE-AS-NBR15.
117500*
117600     MOVE MTRF-O50-ADJ-AMT (15)  TO  SS95WS-IN-AMT.
117700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
117800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT15.
117900*
118000     MOVE MTRF-O50-ADJ-LM (16)   TO  MTSE-AS-LM16.
118100     MOVE MTRF-O50-ADJ-NBR (16)  TO  MTSE-AS-NBR16.
118200*
118300     MOVE MTRF-O50-ADJ-AMT (16)  TO  SS95WS-IN-AMT.
118400     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
118500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT16.
118600*
118700     MOVE MTRF-O50-ADJ-LM (17)   TO  MTSE-AS-LM17.
118800     MOVE MTRF-O50-ADJ-NBR (17)  TO  MTSE-AS-NBR17.
118900*
119000     MOVE MTRF-O50-ADJ-AMT (17)  TO  SS95WS-IN-AMT.
119100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
119200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT17.
119300*
119400     MOVE MTRF-O50-ADJ-LM (18)   TO  MTSE-AS-LM18.
119500     MOVE MTRF-O50-ADJ-NBR (18)  TO  MTSE-AS-NBR18.
119600*
119700     MOVE MTRF-O50-ADJ-AMT (18)  TO  SS95WS-IN-AMT.
119800     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
119900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT18.
120000*
120100     MOVE MTRF-O50-ADJ-LM (19)   TO  MTSE-AS-LM19.
120200     MOVE MTRF-O50-ADJ-NBR (19)  TO  MTSE-AS-NBR19.
120300*
120400     MOVE MTRF-O50-ADJ-AMT (19)  TO  SS95WS-IN-AMT.
120500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
120600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT19.
120700*
120800     MOVE MTRF-O50-ADJ-LM (20)   TO  MTSE-AS-LM20.
120900     MOVE MTRF-O50-ADJ-NBR (20)  TO  MTSE-AS-NBR20.
121000*
121100     MOVE MTRF-O50-ADJ-AMT (20)  TO  SS95WS-IN-AMT.
121200     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
121300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-AS-AMT20.
121400*
121500     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
121600*
121700 2080-EXIT.
121800     EXIT.
121900*
122000 2090-BUILD-USER-CR-SUMM.
122100*
122200     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
122300*
122400     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
122500     MOVE MTSEIR-USER-CREDIT     TO  MTSE-USER-CREDIT.
122600     MOVE MTRF-O50-USER-CR-LM (1)
122700                                 TO  MTSE-UC-LM1.
122800     MOVE MTRF-O50-USER-CR-NBR (1)
122900                                 TO  MTSE-UC-NBR1.
123000*
123100     MOVE MTRF-O50-USER-CR-AMT (1)
123200                                 TO  SS95WS-IN-AMT.
123300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
123400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT1.
123500*
123600     MOVE MTRF-O50-USER-CR-LM (2)
123700                                 TO  MTSE-UC-LM2.
123800     MOVE MTRF-O50-USER-CR-NBR (2)
123900                                 TO  MTSE-UC-NBR2.
124000*
124100     MOVE MTRF-O50-USER-CR-AMT (2)
124200                                 TO  SS95WS-IN-AMT.
124300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
124400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT2.
124500*
124600     MOVE MTRF-O50-USER-CR-LM (3)
124700                                 TO  MTSE-UC-LM3.
124800     MOVE MTRF-O50-USER-CR-NBR (3)
124900                                 TO  MTSE-UC-NBR3.
125000*
125100     MOVE MTRF-O50-USER-CR-AMT (3)
125200                                 TO  SS95WS-IN-AMT.
125300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
125400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT3.
125500*
125600     MOVE MTRF-O50-USER-CR-LM (4)
125700                                 TO  MTSE-UC-LM4.
125800     MOVE MTRF-O50-USER-CR-NBR (4)
125900                                 TO  MTSE-UC-NBR4.
126000*
126100     MOVE MTRF-O50-USER-CR-AMT (4)
126200                                 TO  SS95WS-IN-AMT.
126300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
126400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT4.
126500*
126600     MOVE MTRF-O50-USER-CR-LM (5)
126700                                 TO  MTSE-UC-LM5.
126800     MOVE MTRF-O50-USER-CR-NBR (5)
126900                                 TO  MTSE-UC-NBR5.
127000*
127100     MOVE MTRF-O50-USER-CR-AMT (5)
127200                                 TO  SS95WS-IN-AMT.
127300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
127400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT5.
127500*
127600     MOVE MTRF-O50-USER-CR-LM (6)
127700                                 TO  MTSE-UC-LM6.
127800     MOVE MTRF-O50-USER-CR-NBR (6)
127900                                 TO  MTSE-UC-NBR6.
128000*
128100     MOVE MTRF-O50-USER-CR-AMT (6)
128200                                 TO  SS95WS-IN-AMT.
128300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
128400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT6.
128500*
128600     MOVE MTRF-O50-USER-CR-LM (7)
128700                                 TO  MTSE-UC-LM7.
128800     MOVE MTRF-O50-USER-CR-NBR (7)
128900                                 TO  MTSE-UC-NBR7.
129000*
129100     MOVE MTRF-O50-USER-CR-AMT (7)
129200                                 TO  SS95WS-IN-AMT.
129300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
129400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT7.
129500*
129600     MOVE MTRF-O50-USER-CR-LM (8)
129700                                 TO  MTSE-UC-LM8.
129800     MOVE MTRF-O50-USER-CR-NBR (8)
129900                                 TO  MTSE-UC-NBR8.
130000*
130100     MOVE MTRF-O50-USER-CR-AMT (8)
130200                                 TO  SS95WS-IN-AMT.
130300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
130400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT8.
130500*
130600     MOVE MTRF-O50-USER-CR-LM (9)
130700                                 TO  MTSE-UC-LM9.
130800     MOVE MTRF-O50-USER-CR-NBR (9)
130900                                 TO  MTSE-UC-NBR9.
131000*
131100     MOVE MTRF-O50-USER-CR-AMT (9)
131200                                 TO  SS95WS-IN-AMT.
131300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
131400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT9.
131500*
131600     MOVE MTRF-O50-USER-CR-LM (10)
131700                                 TO  MTSE-UC-LM10.
131800     MOVE MTRF-O50-USER-CR-NBR (10)
131900                                 TO  MTSE-UC-NBR10.
132000*
132100     MOVE MTRF-O50-USER-CR-AMT (10)
132200                                 TO  SS95WS-IN-AMT.
132300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
132400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-UC-AMT10.
132500*
132600     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
132700*
132800 2090-EXIT.
132900     EXIT.
133000*
133100 2100-BUILD-FEE-SUMMARY.
133200*
133300     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
133400*
133500     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
133600     MOVE MTSEIR-FEE-SUMMARY     TO  MTSE-FEE-SUMMARY.
133700     MOVE MTRF-O50-FEE-LM (1)    TO  MTSE-FS-LM1.
133800     MOVE MTRF-O50-FEE-NBR (1)   TO  MTSE-FS-NBR1.
133900*
134000     MOVE MTRF-O50-FEE-AMT (1)   TO  SS95WS-IN-AMT.
134100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
134200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT1.
134300*
134400     MOVE MTRF-O50-FEE-LM (2)    TO  MTSE-FS-LM2.
134500     MOVE MTRF-O50-FEE-NBR (2)   TO  MTSE-FS-NBR2.
134600*
134700     MOVE MTRF-O50-FEE-AMT (2)   TO  SS95WS-IN-AMT.
134800     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
134900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT2.
135000*
135100     MOVE MTRF-O50-FEE-LM (3)    TO  MTSE-FS-LM3.
135200     MOVE MTRF-O50-FEE-NBR (3)   TO  MTSE-FS-NBR3.
135300*
135400     MOVE MTRF-O50-FEE-AMT (3)   TO  SS95WS-IN-AMT.
135500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
135600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT3.
135700*
135800     MOVE MTRF-O50-FEE-LM (4)    TO  MTSE-FS-LM4.
135900     MOVE MTRF-O50-FEE-NBR (4)   TO  MTSE-FS-NBR4.
136000*
136100     MOVE MTRF-O50-FEE-AMT (4)   TO  SS95WS-IN-AMT.
136200     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
136300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT4.
136400*
136500     MOVE MTRF-O50-FEE-LM (5)    TO  MTSE-FS-LM5.
136600     MOVE MTRF-O50-FEE-NBR (5)   TO  MTSE-FS-NBR5.
136700*
136800     MOVE MTRF-O50-FEE-AMT (5)   TO  SS95WS-IN-AMT.
136900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
137000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT5.
137100*
137200     MOVE MTRF-O50-FEE-LM (6)    TO  MTSE-FS-LM6.
137300     MOVE MTRF-O50-FEE-NBR (6)   TO  MTSE-FS-NBR6.
137400*
137500     MOVE MTRF-O50-FEE-AMT (6)   TO  SS95WS-IN-AMT.
137600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
137700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT6.
137800*
137900     MOVE MTRF-O50-FEE-LM (7)    TO  MTSE-FS-LM7.
138000     MOVE MTRF-O50-FEE-NBR (7)   TO  MTSE-FS-NBR7.
138100*
138200     MOVE MTRF-O50-FEE-AMT (7)   TO  SS95WS-IN-AMT.
138300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
138400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT7.
138500*
138600     MOVE MTRF-O50-FEE-LM (8)    TO  MTSE-FS-LM8.
138700     MOVE MTRF-O50-FEE-NBR (8)   TO  MTSE-FS-NBR8.
138800*
138900     MOVE MTRF-O50-FEE-AMT (8)   TO  SS95WS-IN-AMT.
139000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
139100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT8.
139200*
139300     MOVE MTRF-O50-FEE-LM (9)    TO  MTSE-FS-LM9.
139400     MOVE MTRF-O50-FEE-NBR (9)   TO  MTSE-FS-NBR9.
139500*
139600     MOVE MTRF-O50-FEE-AMT (9)   TO  SS95WS-IN-AMT.
139700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
139800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT9.
139900*
140000     MOVE MTRF-O50-FEE-LM (10)   TO  MTSE-FS-LM10.
140100     MOVE MTRF-O50-FEE-NBR (10)  TO  MTSE-FS-NBR10.
140200*
140300     MOVE MTRF-O50-FEE-AMT (10)  TO  SS95WS-IN-AMT.
140400     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
140500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT10.
140600*
140700     MOVE MTRF-O50-FEE-LM (11)   TO  MTSE-FS-LM11.
140800     MOVE MTRF-O50-FEE-NBR (11)  TO  MTSE-FS-NBR11.
140900*
141000     MOVE MTRF-O50-FEE-AMT (11)  TO  SS95WS-IN-AMT.
141100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
141200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT11.
141300*
141400     MOVE MTRF-O50-FEE-LM (12)   TO  MTSE-FS-LM12.
141500     MOVE MTRF-O50-FEE-NBR (12)  TO  MTSE-FS-NBR12.
141600*
141700     MOVE MTRF-O50-FEE-AMT (12)  TO  SS95WS-IN-AMT.
141800     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
141900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT12.
142000*
142100     MOVE MTRF-O50-FEE-LM (13)   TO  MTSE-FS-LM13.
142200     MOVE MTRF-O50-FEE-NBR (13)  TO  MTSE-FS-NBR13.
142300*
142400     MOVE MTRF-O50-FEE-AMT (13)  TO  SS95WS-IN-AMT.
142500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
142600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT13.
142700*
142800     MOVE MTRF-O50-FEE-LM (14)   TO  MTSE-FS-LM14.
142900     MOVE MTRF-O50-FEE-NBR (14)  TO  MTSE-FS-NBR14.
143000*
143100     MOVE MTRF-O50-FEE-AMT (14)  TO  SS95WS-IN-AMT.
143200     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
143300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT14.
143400*
143500     MOVE MTRF-O50-FEE-LM (15)   TO  MTSE-FS-LM15.
143600     MOVE MTRF-O50-FEE-NBR (15)  TO  MTSE-FS-NBR15.
143700*
143800     MOVE MTRF-O50-FEE-AMT (15)  TO  SS95WS-IN-AMT.
143900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
144000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT15.
144100*
144200     MOVE MTRF-O50-FEE-LM (16)   TO  MTSE-FS-LM16.
144300     MOVE MTRF-O50-FEE-NBR (16)  TO  MTSE-FS-NBR16.
144400*
144500     MOVE MTRF-O50-FEE-AMT (16)  TO  SS95WS-IN-AMT.
144600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
144700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT16.
144800*
144900     MOVE MTRF-O50-FEE-LM (17)   TO  MTSE-FS-LM17.
145000     MOVE MTRF-O50-FEE-NBR (17)  TO  MTSE-FS-NBR17.
145100*
145200     MOVE MTRF-O50-FEE-AMT (17)  TO  SS95WS-IN-AMT.
145300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
145400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT17.
145500*
145600     MOVE MTRF-O50-FEE-LM (18)   TO  MTSE-FS-LM18.
145700     MOVE MTRF-O50-FEE-NBR (18)  TO  MTSE-FS-NBR18.
145800*
145900     MOVE MTRF-O50-FEE-AMT (18)  TO  SS95WS-IN-AMT.
146000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
146100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT18.
146200*
146300     MOVE MTRF-O50-FEE-LM (19)   TO  MTSE-FS-LM19.
146400     MOVE MTRF-O50-FEE-NBR (19)  TO  MTSE-FS-NBR19.
146500*
146600     MOVE MTRF-O50-FEE-AMT (19)  TO  SS95WS-IN-AMT.
146700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
146800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT19.
146900*
147000     MOVE MTRF-O50-FEE-LM (20)   TO  MTSE-FS-LM20.
147100     MOVE MTRF-O50-FEE-NBR (20)  TO  MTSE-FS-NBR20.
147200*
147300     MOVE MTRF-O50-FEE-AMT (20)  TO  SS95WS-IN-AMT.
147400     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
147500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-FS-AMT20.
147600*
147700     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
147800*
147900 2100-EXIT.
148000     EXIT.
148100*
148200 2110-BUILD-DISBURSE-ACT.
148300*
148400     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
148500*
148600     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
148700     MOVE MTSEIR-DISBURSE-ACTIVITY
148800                                 TO  MTSE-DISBURSE-ACTIVITY.
148900     MOVE MTRF-O50-SETT-ACCT-METHOD (1)
149000                                 TO  MTSE-DA-METHOD1.
149100*
149200     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
149300     MOVE MTRF-O50-SA-DR-RT (1)  TO SS95WS-IN-PCT.
149400     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
149500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
149600     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-DR-RT1.
149700*
149800     MOVE MTRF-O50-SA-DR-ACCT (1)
149900                                 TO  MTSE-DA-DR-ACCT1.
150000     MOVE MTRF-O50-SA-DR-ACCT-TYPE (1)
150100                                 TO  MTSE-DA-DR-ACCT-TYPE1.
150200*
150300     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
150400     MOVE MTRF-O50-SA-CR-RT (1)  TO SS95WS-IN-PCT.
150500     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
150600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
150700     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-CR-RT1.
150800*
150900     MOVE MTRF-O50-SA-CR-ACCT (1)
151000                                 TO  MTSE-DA-CR-ACCT1.
151100     MOVE MTRF-O50-SA-CR-ACCT-TYPE (1)
151200                                 TO  MTSE-DA-CR-ACCT-TYPE1.
151300     MOVE MTRF-O50-BILLING-ORG (1)
151400                                 TO  MTSE-DA-BILL-ORG1.
151500     MOVE MTRF-O50-BILLING-ACCT (1)
151600                                 TO  MTSE-DA-BILL-ACCT1.
151700     MOVE MTRF-O50-SETT-ACCT-METHOD (2)
151800                                 TO  MTSE-DA-METHOD2.
151900*
152000     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
152100     MOVE MTRF-O50-SA-DR-RT (2)  TO SS95WS-IN-PCT.
152200     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
152300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
152400     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-DR-RT2.
152500*
152600     MOVE MTRF-O50-SA-DR-ACCT (2)
152700                                 TO  MTSE-DA-DR-ACCT2.
152800     MOVE MTRF-O50-SA-DR-ACCT-TYPE (2)
152900                                 TO  MTSE-DA-DR-ACCT-TYPE2.
153000*
153100     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
153200     MOVE MTRF-O50-SA-CR-RT (2)  TO SS95WS-IN-PCT.
153300     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
153400     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
153500     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-CR-RT2.
153600*
153700     MOVE MTRF-O50-SA-CR-ACCT (2)
153800                                 TO  MTSE-DA-CR-ACCT2.
153900     MOVE MTRF-O50-SA-CR-ACCT-TYPE (2)
154000                                 TO  MTSE-DA-CR-ACCT-TYPE2.
154100     MOVE MTRF-O50-BILLING-ORG (2)
154200                                 TO  MTSE-DA-BILL-ORG2.
154300     MOVE MTRF-O50-BILLING-ACCT (2)
154400                                 TO  MTSE-DA-BILL-ACCT2.
154500     MOVE MTRF-O50-SETT-ACCT-METHOD (3)
154600                                 TO  MTSE-DA-METHOD3.
154700*
154800     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
154900     MOVE MTRF-O50-SA-DR-RT (3)  TO SS95WS-IN-PCT.
155000     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
155100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
155200     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-DR-RT3.
155300*
155400     MOVE MTRF-O50-SA-DR-ACCT (3)
155500                                 TO  MTSE-DA-DR-ACCT3.
155600     MOVE MTRF-O50-SA-DR-ACCT-TYPE (3)
155700                                 TO  MTSE-DA-DR-ACCT-TYPE3.
155800*
155900     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
156000     MOVE MTRF-O50-SA-CR-RT (3)  TO SS95WS-IN-PCT.
156100     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
156200     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
156300     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-CR-RT3.
156400*
156500     MOVE MTRF-O50-SA-CR-ACCT (3)
156600                                 TO  MTSE-DA-CR-ACCT3.
156700     MOVE MTRF-O50-SA-CR-ACCT-TYPE (3)
156800                                 TO  MTSE-DA-CR-ACCT-TYPE3.
156900     MOVE MTRF-O50-BILLING-ORG (3)
157000                                 TO  MTSE-DA-BILL-ORG3.
157100     MOVE MTRF-O50-BILLING-ACCT (3)
157200                                 TO  MTSE-DA-BILL-ACCT3.
157300     MOVE MTRF-O50-SETT-ACCT-METHOD (4)
157400                                 TO  MTSE-DA-METHOD4.
157500*
157600     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
157700     MOVE MTRF-O50-SA-DR-RT (4)  TO SS95WS-IN-PCT.
157800     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
157900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
158000     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-DR-RT4.
158100*
158200     MOVE MTRF-O50-SA-DR-ACCT (4)
158300                                 TO  MTSE-DA-DR-ACCT4.
158400     MOVE MTRF-O50-SA-DR-ACCT-TYPE (4)
158500                                 TO  MTSE-DA-DR-ACCT-TYPE4.
158600*
158700     SET SS95WS-NAP-IND-IS-PCT   TO TRUE.
158800     MOVE MTRF-O50-SA-CR-RT (4)  TO SS95WS-IN-PCT.
158900     MOVE WS-SAVE-PERCENT-NOD    TO SS95WS-IN-PCT-NOD.
159000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
159100     MOVE SS95WS-OUT-PCT-L10     TO MTSE-DA-CR-RT4.
159200*
159300     MOVE MTRF-O50-SA-CR-ACCT (4)
159400                                 TO  MTSE-DA-CR-ACCT4.
159500     MOVE MTRF-O50-SA-CR-ACCT-TYPE (4)
159600                                 TO  MTSE-DA-CR-ACCT-TYPE4.
159700     MOVE MTRF-O50-BILLING-ORG (4)
159800                                 TO  MTSE-DA-BILL-ORG4.
159900     MOVE MTRF-O50-BILLING-ACCT (4)
160000                                 TO  MTSE-DA-BILL-ACCT4.
160100     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
160200*
160300 2110-EXIT.
160400     EXIT.
160500*
160600 2120-BUILD-DISBURSE-TOT.
160700*
160800     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
160900*
161000     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
161100     MOVE MTSEIR-DISBURSEMENT-TOTS
161200                                 TO  MTSE-DISBURSEMENT-TOTS.
161300*
161400     MOVE MTRF-O50-SAMT-CR-AMT (1)
161500                                 TO  SS95WS-IN-AMT.
161600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
161700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-CR-AMT1.
161800*
161900     MOVE MTRF-O50-SAMT-DR-AMT (1)
162000                                 TO  SS95WS-IN-AMT.
162100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
162200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-DR-AMT1.
162300*
162400     MOVE MTRF-O50-SAMT-NET-CR-AMT (1)
162500                                 TO  SS95WS-IN-AMT.
162600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
162700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-CR-AMT1.
162800*
162900     MOVE MTRF-O50-SAMT-NET-DR-AMT (1)
163000                                 TO  SS95WS-IN-AMT.
163100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
163200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-DR-AMT1.
163300*
163400     MOVE MTRF-O50-SAMT-HOLDOVER (1)
163500                                 TO  SS95WS-IN-AMT.
163600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
163700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-HOLDOVER-AMT1.
163800*
163900     MOVE MTRF-O50-SAMT-XFER-INV (1)
164000                                 TO  SS95WS-IN-AMT.
164100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
164200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-XFER-INV-AMT1.
164300*
164400     MOVE MTRF-O50-SAMT-CR-AMT (2)
164500                                 TO  SS95WS-IN-AMT.
164600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
164700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-CR-AMT2.
164800*
164900     MOVE MTRF-O50-SAMT-DR-AMT (2)
165000                                 TO  SS95WS-IN-AMT.
165100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
165200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-DR-AMT2.
165300*
165400     MOVE MTRF-O50-SAMT-NET-CR-AMT (2)
165500                                 TO  SS95WS-IN-AMT.
165600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
165700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-CR-AMT2.
165800*
165900     MOVE MTRF-O50-SAMT-NET-DR-AMT (2)
166000                                 TO  SS95WS-IN-AMT.
166100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
166200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-DR-AMT2.
166300*
166400     MOVE MTRF-O50-SAMT-HOLDOVER (2)
166500                                 TO  SS95WS-IN-AMT.
166600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
166700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-HOLDOVER-AMT2.
166800*
166900     MOVE MTRF-O50-SAMT-XFER-INV (2)
167000                                 TO  SS95WS-IN-AMT.
167100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
167200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-XFER-INV-AMT2.
167300*
167400     MOVE MTRF-O50-SAMT-CR-AMT (3)
167500                                 TO  SS95WS-IN-AMT.
167600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
167700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-CR-AMT3.
167800*
167900     MOVE MTRF-O50-SAMT-DR-AMT (3)
168000                                 TO  SS95WS-IN-AMT.
168100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
168200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-DR-AMT3.
168300*
168400     MOVE MTRF-O50-SAMT-NET-CR-AMT (3)
168500                                 TO  SS95WS-IN-AMT.
168600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
168700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-CR-AMT3.
168800*
168900     MOVE MTRF-O50-SAMT-NET-DR-AMT (3)
169000                                 TO  SS95WS-IN-AMT.
169100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
169200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-DR-AMT3.
169300*
169400     MOVE MTRF-O50-SAMT-HOLDOVER (3)
169500                                 TO  SS95WS-IN-AMT.
169600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
169700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-HOLDOVER-AMT3.
169800*
169900     MOVE MTRF-O50-SAMT-XFER-INV (3)
170000                                 TO  SS95WS-IN-AMT.
170100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
170200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-XFER-INV-AMT3.
170300*
170400     MOVE MTRF-O50-SAMT-CR-AMT (4)
170500                                 TO  SS95WS-IN-AMT.
170600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
170700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-CR-AMT4.
170800*
170900     MOVE MTRF-O50-SAMT-DR-AMT (4)
171000                                 TO  SS95WS-IN-AMT.
171100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
171200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-DR-AMT4.
171300*
171400     MOVE MTRF-O50-SAMT-NET-CR-AMT (4)
171500                                 TO  SS95WS-IN-AMT.
171600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
171700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-CR-AMT4.
171800*
171900     MOVE MTRF-O50-SAMT-NET-DR-AMT (4)
172000                                 TO  SS95WS-IN-AMT.
172100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
172200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-NET-DR-AMT4.
172300*
172400     MOVE MTRF-O50-SAMT-HOLDOVER (4)
172500                                 TO  SS95WS-IN-AMT.
172600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
172700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-HOLDOVER-AMT4.
172800*
172900     MOVE MTRF-O50-SAMT-XFER-INV (4)
173000                                 TO  SS95WS-IN-AMT.
173100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
173200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DTA-XFER-INV-AMT4.
173300*
173400     MOVE MTRF-O50-SBT-AMT (1)   TO  SS95WS-IN-AMT.
173500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
173600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-BILL-AMT1.
173700*
173800     MOVE MTRF-O50-SBT-AMT (2)   TO  SS95WS-IN-AMT.
173900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
174000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-BILL-AMT2.
174100*
174200     MOVE MTRF-O50-SBT-AMT (3)   TO  SS95WS-IN-AMT.
174300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
174400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-BILL-AMT3.
174500*
174600     MOVE MTRF-O50-SBT-AMT (4)   TO  SS95WS-IN-AMT.
174700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
174800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-BILL-AMT4.
174900*
175000     MOVE MTRF-O50-WINDOW-AMT    TO  SS95WS-IN-AMT.
175100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
175200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-WINDOW-AMT.
175300*
175400     MOVE MTRF-O50-DISTRIB-HOLDOVER-AMT
175500                                 TO  SS95WS-IN-AMT.
175600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
175700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DT-DIST-HOLDOVER-AMT.
175800*
175900     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
176000*
176100 2120-EXIT.
176200     EXIT.
176300*
176400 2130-BUILD-PROD-SUMMARY.
176500*
176600     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
176700*
176800     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
176900     MOVE MTSEIR-PRODUCT-SUMMARY
177000                                 TO  MTSE-PRODUCT-SUMMARY.
177100     MOVE MTRF-O50-PROD-LM (1)   TO  MTSE-PS-LM1.
177200     MOVE MTRF-O50-PROD-NBR (1)  TO  MTSE-PS-NBR1.
177300*
177400     MOVE MTRF-O50-PROD-AMT (1)  TO  SS95WS-IN-AMT.
177500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
177600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT1.
177700*
177800     MOVE MTRF-O50-PROD-LM (2)   TO  MTSE-PS-LM2.
177900     MOVE MTRF-O50-PROD-NBR (2)  TO  MTSE-PS-NBR2.
178000*
178100     MOVE MTRF-O50-PROD-AMT (2)  TO  SS95WS-IN-AMT.
178200     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
178300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT2.
178400*
178500     MOVE MTRF-O50-PROD-LM (3)   TO  MTSE-PS-LM3.
178600     MOVE MTRF-O50-PROD-NBR (3)  TO  MTSE-PS-NBR3.
178700*
178800     MOVE MTRF-O50-PROD-AMT (3)  TO  SS95WS-IN-AMT.
178900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
179000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT3.
179100*
179200     MOVE MTRF-O50-PROD-LM (4)   TO  MTSE-PS-LM4.
179300     MOVE MTRF-O50-PROD-NBR (4)  TO  MTSE-PS-NBR4.
179400*
179500     MOVE MTRF-O50-PROD-AMT (4)  TO  SS95WS-IN-AMT.
179600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
179700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT4.
179800*
179900     MOVE MTRF-O50-PROD-LM (5)   TO  MTSE-PS-LM5.
180000     MOVE MTRF-O50-PROD-NBR (5)  TO  MTSE-PS-NBR5.
180100*
180200     MOVE MTRF-O50-PROD-AMT (5)  TO  SS95WS-IN-AMT.
180300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
180400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT5.
180500*
180600     MOVE MTRF-O50-PROD-LM (6)   TO  MTSE-PS-LM6.
180700     MOVE MTRF-O50-PROD-NBR (6)  TO  MTSE-PS-NBR6.
180800*
180900     MOVE MTRF-O50-PROD-AMT (6)  TO  SS95WS-IN-AMT.
181000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
181100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT6.
181200*
181300     MOVE MTRF-O50-PROD-LM (7)   TO  MTSE-PS-LM7.
181400     MOVE MTRF-O50-PROD-NBR (7)  TO  MTSE-PS-NBR7.
181500*
181600     MOVE MTRF-O50-PROD-AMT (7)  TO  SS95WS-IN-AMT.
181700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
181800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT7.
181900*
182000     MOVE MTRF-O50-PROD-LM (8)   TO  MTSE-PS-LM8.
182100     MOVE MTRF-O50-PROD-NBR (8)  TO  MTSE-PS-NBR8.
182200*
182300     MOVE MTRF-O50-PROD-AMT (8)  TO  SS95WS-IN-AMT.
182400     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
182500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT8.
182600*
182700     MOVE MTRF-O50-PROD-LM (9)   TO  MTSE-PS-LM9.
182800     MOVE MTRF-O50-PROD-NBR (9)  TO  MTSE-PS-NBR9.
182900*
183000     MOVE MTRF-O50-PROD-AMT (9)  TO  SS95WS-IN-AMT.
183100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
183200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT9.
183300*
183400     MOVE MTRF-O50-PROD-LM (10)  TO  MTSE-PS-LM10.
183500     MOVE MTRF-O50-PROD-NBR (10) TO  MTSE-PS-NBR10.
183600*
183700     MOVE MTRF-O50-PROD-AMT (10) TO  SS95WS-IN-AMT.
183800     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
183900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT10.
184000*
184100     MOVE MTRF-O50-PROD-LM (11)  TO  MTSE-PS-LM11.
184200     MOVE MTRF-O50-PROD-NBR (11) TO  MTSE-PS-NBR11.
184300*
184400     MOVE MTRF-O50-PROD-AMT (11) TO  SS95WS-IN-AMT.
184500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
184600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT11.
184700*
184800     MOVE MTRF-O50-PROD-LM (12)  TO  MTSE-PS-LM12.
184900     MOVE MTRF-O50-PROD-NBR (12) TO  MTSE-PS-NBR12.
185000*
185100     MOVE MTRF-O50-PROD-AMT (12) TO  SS95WS-IN-AMT.
185200     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
185300     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT12.
185400*
185500     MOVE MTRF-O50-PROD-LM (13)  TO  MTSE-PS-LM13.
185600     MOVE MTRF-O50-PROD-NBR (13) TO  MTSE-PS-NBR13.
185700*
185800     MOVE MTRF-O50-PROD-AMT (13) TO  SS95WS-IN-AMT.
185900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
186000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT13.
186100*
186200     MOVE MTRF-O50-PROD-LM (14)  TO  MTSE-PS-LM14.
186300     MOVE MTRF-O50-PROD-NBR (14) TO  MTSE-PS-NBR14.
186400*
186500     MOVE MTRF-O50-PROD-AMT (14) TO  SS95WS-IN-AMT.
186600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
186700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT14.
186800*
186900     MOVE MTRF-O50-PROD-LM (15)  TO  MTSE-PS-LM15.
187000     MOVE MTRF-O50-PROD-NBR (15) TO  MTSE-PS-NBR15.
187100*
187200     MOVE MTRF-O50-PROD-AMT (15) TO  SS95WS-IN-AMT.
187300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
187400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT15.
187500*
187600     MOVE MTRF-O50-PROD-LM (16)  TO  MTSE-PS-LM16.
187700     MOVE MTRF-O50-PROD-NBR (16) TO  MTSE-PS-NBR16.
187800*
187900     MOVE MTRF-O50-PROD-AMT (16) TO  SS95WS-IN-AMT.
188000     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
188100     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT16.
188200*
188300     MOVE MTRF-O50-PROD-LM (17)  TO  MTSE-PS-LM17.
188400     MOVE MTRF-O50-PROD-NBR (17) TO  MTSE-PS-NBR17.
188500*
188600     MOVE MTRF-O50-PROD-AMT (17) TO  SS95WS-IN-AMT.
188700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
188800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT17.
188900*
189000     MOVE MTRF-O50-PROD-LM (18)  TO  MTSE-PS-LM18.
189100     MOVE MTRF-O50-PROD-NBR (18) TO  MTSE-PS-NBR18.
189200*
189300     MOVE MTRF-O50-PROD-AMT (18) TO  SS95WS-IN-AMT.
189400     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
189500     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT18.
189600*
189700     MOVE MTRF-O50-PROD-LM (19)  TO  MTSE-PS-LM19.
189800     MOVE MTRF-O50-PROD-NBR (19) TO  MTSE-PS-NBR19.
189900*
190000     MOVE MTRF-O50-PROD-AMT (19) TO  SS95WS-IN-AMT.
190100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
190200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT19.
190300*
190400     MOVE MTRF-O50-PROD-LM (20)  TO  MTSE-PS-LM20.
190500     MOVE MTRF-O50-PROD-NBR (20) TO  MTSE-PS-NBR20.
190600*
190700     MOVE MTRF-O50-PROD-AMT (20) TO  SS95WS-IN-AMT.
190800     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
190900     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-PS-AMT20.
191000*
191100     MOVE MTSE-S-REC-ID-99       TO  MTSEWS-X.
191200     ADD  1                      TO  MTSEWS-X.
191300*
191400     IF  MTSEWS-X   IS NUMERIC    AND
191500         MTSEWS-X   IS GREATER THAN  ZERO
191600         MOVE W01-PROD-DESC (MTSEWS-X)
191700                                 TO  MTSE-PS-PRD-DESC
191800     ELSE
191900         MOVE W01-PROD-DESC (99) TO  MTSE-PS-PRD-DESC.
192000*
192100     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
192200*
192300 2130-EXIT.
192400     EXIT.
192500*
192600 2140-BUILD-STORE-SUMM.
192700*
192800     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
192900*
193000     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
193100     MOVE MTSEIR-STORE-SUMMARY   TO  MTSE-STORE-SUMMARY.
193200     MOVE MTRF-O50-STORE-SALES-NBR
193300                                 TO  MTSE-SS-SALES-NBR.
193400*
193500     MOVE MTRF-O50-STORE-SALES-AMT
193600                                 TO SS95WS-IN-AMT.
193700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
193800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-SS-SALES-AMT.
193900*
194000     MOVE MTRF-O50-STORE-RETURNS-NBR
194100                                 TO  MTSE-SS-RETURNS-NBR.
194200*
194300     MOVE MTRF-O50-STORE-RETURNS-AMT
194400                                 TO SS95WS-IN-AMT.
194500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
194600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-SS-RETURNS-AMT.
194700*
194800     MOVE MTRF-O50-STORE-OTHER-CR-NBR
194900                                 TO  MTSE-SS-OTHER-CR-NBR.
195000*
195100     MOVE MTRF-O50-STORE-OTHER-CR-AMT
195200                                 TO SS95WS-IN-AMT.
195300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
195400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-SS-OTHER-CR-AMT.
195500*
195600     MOVE MTRF-O50-STORE-OTHER-DR-NBR
195700                                 TO  MTSE-SS-OTHER-DR-NBR.
195800*
195900     MOVE MTRF-O50-STORE-OTHER-DR-AMT
196000                                 TO SS95WS-IN-AMT.
196100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT.
196200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-SS-OTHER-DR-AMT.
196300*
196400     MOVE MTRF-O50-STORE-DBA-NAME
196500                                 TO  MTSE-SS-DBA-NAME.
196600     MOVE MTRF-O50-STORE-DBA-CITY
196700                                 TO  MTSE-SS-DBA-CITY.
196800     MOVE MTRF-O50-STORE-DBA-COUNTRY
196900                                 TO  MTSE-SS-DBA-COUNTRY.
197000     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
197100*
197200 2140-EXIT.
197300     EXIT.
197400*
197500 2150-BUILD-HISTORY.
197600*
197700     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
197800*
197900     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
198000     MOVE MTRF-SH-RECORD         TO  MMSH-RECORD.
198100     MOVE MTSEIR-HISTORY-DATA    TO  MTSE-HISTORY-DATA.
198200     MOVE MMSH-ORG               TO  MTSE-H-ORG.
198300     MOVE MMSH-MERCHANT          TO  MTSE-H-MERCHANT.
198400     MOVE MMSH-SEQ-NBR           TO  MTSE-H-SEQ-NBR.
198500*
198600     IF  MMSH-STORE  IS NUMERIC
198700         MOVE MMSH-STORE         TO  MTSE-H-STORE.
198800*
198900     IF  MMSH-PRODUCT-X  IS NUMERIC
199000         MOVE MMSH-PRODUCT       TO  MTSE-H-PRODUCT.
199100*
199200     IF  MMSH-PLAN-X  IS NUMERIC
199300         MOVE MMSH-PLAN          TO  MTSE-H-PLAN.
199400*
199500     IF  MMSH-LOGIC-MODULE  IS NUMERIC
199600         MOVE MMSH-LOGIC-MODULE  TO  MTSE-H-LOGIC-MODULE.
199700*
199800     IF  MMSH-QUAL-LEVEL-X  IS NUMERIC
199900         MOVE MMSH-QUAL-LEVEL    TO  MTSE-H-QUAL-LEVEL.
200000*
200100     IF  MMSH-TRANS-CODE  IS NUMERIC
200200         MOVE MMSH-TRANS-CODE    TO  MTSE-H-TRANS-CODE.
200300*
200400     MOVE MMSH-TRANS-FLAG        TO  MTSE-H-TRANS-FLAG.
200500     MOVE MMSH-NBR-ITEMS         TO  MTSE-H-NBR-ITMS.
200600*
200700     IF  MMSH-AMOUNT  IS NUMERIC
200800         MOVE MMSH-AMOUNT        TO SS95WS-IN-AMT
200900         PERFORM SS95PD-NAP-ROUTINE
201000                                 THRU SS95PD-NAP-EXIT
201100         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-AMT.
201200*
201300     MOVE MMSH-POST-DATE         TO  SS01WS-JULIAN.
201400     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
201500     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
201600     MOVE SS01WS-MM              TO  MTSEWS-MM.
201700     MOVE SS01WS-DD              TO  MTSEWS-DD.
201800     MOVE MTSEWS-DATE            TO  MTSE-H-POST-DATE.
201900*
202000     MOVE MMSH-ENTRY-DATE        TO  SS01WS-JULIAN.
202100     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
202200     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
202300     MOVE SS01WS-MM              TO  MTSEWS-MM.
202400     MOVE SS01WS-DD              TO  MTSEWS-DD.
202500     MOVE MTSEWS-DATE            TO  MTSE-H-ENTRY-DATE.
202600*
202700     MOVE MMSH-STMT-FLAG         TO  MTSE-H-STMT-FLAG.
202800     MOVE MMSH-SETT-FLAG         TO  MTSE-H-SETT-FLAG.
202900     MOVE MMSH-SETT-ACCT         TO  MTSE-H-SETT-ACCT.
203000*
203100     MOVE MMSH-SETT-DATE         TO  SS01WS-JULIAN.
203200     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
203300     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
203400     MOVE SS01WS-MM              TO  MTSEWS-MM.
203500     MOVE SS01WS-DD              TO  MTSEWS-DD.
203600     MOVE MTSEWS-DATE            TO  MTSE-H-SETT-DATE.
203700*
203800     MOVE MMSH-BATCH-DATE        TO  SS01WS-JULIAN.
203900     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
204000     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
204100     MOVE SS01WS-MM              TO  MTSEWS-MM.
204200     MOVE SS01WS-DD              TO  MTSEWS-DD.
204300     MOVE MTSEWS-DATE            TO  MTSE-H-BATCH-DATE.
204400*
204500     IF  MMSH-BATCH-SOURCE  IS NUMERIC
204600         MOVE MMSH-BATCH-SOURCE  TO  MTSE-H-BATCH-SOURCE.
204700*
204800     IF  MMSH-BATCH-NBR  IS NUMERIC
204900         MOVE MMSH-BATCH-NBR     TO  MTSE-H-BATCH-NBR.
205000*
205100     MOVE MMSH-BATCH-SEQ         TO  MTSE-H-BATCH-SEQ.
205200*
205300     MOVE MMSH-REF-BATCH-DATE    TO  SS01WS-JULIAN.
205400     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
205500     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
205600     MOVE SS01WS-MM              TO  MTSEWS-MM.
205700     MOVE SS01WS-DD              TO  MTSEWS-DD.
205800     MOVE MTSEWS-DATE            TO  MTSE-H-REF-BATCH-DATE.
205900*
206000     IF  MMSH-REF-BATCH-SOURCE  IS NUMERIC
206100         MOVE MMSH-REF-BATCH-SOURCE
206200                                 TO  MTSE-H-REF-BATCH-SOURCE.
206300*
206400     IF  MMSH-REF-BATCH-NBR  IS NUMERIC
206500         MOVE MMSH-REF-BATCH-NBR TO  MTSE-H-REF-BATCH-NBR.
206600*
206700     MOVE MMSH-REF-BATCH-SEQ     TO  MTSE-H-REF-BATCH-SEQ.
206800     MOVE MMSH-REF-NBR           TO  MTSE-H-REF-NBR.
206900*
207000     IF  MMSH-REF-AMOUNT-1  IS NUMERIC
207100         MOVE MMSH-REF-AMOUNT-1  TO SS95WS-IN-AMT
207200         PERFORM SS95PD-NAP-ROUTINE
207300                                 THRU SS95PD-NAP-EXIT
207400         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-REF-AMT-1.
207500*
207600     IF  MMSH-REF-AMOUNT-2  IS NUMERIC
207700         MOVE MMSH-REF-AMOUNT-2  TO  SS95WS-IN-AMT
207800         PERFORM SS95PD-NAP-ROUTINE
207900                                 THRU SS95PD-NAP-EXIT
208000         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-REF-AMT-2.
208100*
208200     MOVE MMSH-REF-NBR-ITEMS     TO  MTSE-H-REF-NBR-ITMS.
208300*
208400     IF  MMSH-REF-PRODUCT  IS NUMERIC
208500         MOVE MMSH-REF-PRODUCT   TO  MTSE-H-REF-PRODUCT.
208600*
208700     IF  MMSH-REF-PLAN  IS NUMERIC
208800         MOVE MMSH-REF-PLAN      TO  MTSE-H-REF-PLAN.
208900*
209000     IF  MMSH-REF-QUAL-LEVEL  IS NUMERIC
209100         MOVE MMSH-REF-QUAL-LEVEL
209200                                 TO  MTSE-H-REF-QUAL-LEVEL.
209300*
209400     MOVE MMSH-ORIG-GL-SOURCE    TO  MTSE-H-ORIG-GL-SOURCE.
209500     MOVE MMSH-GL-SOURCE         TO  MTSE-H-GL-SOURCE.
209600     MOVE MMSH-TRANS-STATUS      TO  MTSE-H-TRANS-STATUS.
209700     MOVE MMSH-QUAL-INDICATOR    TO  MTSE-H-QUAL-INDICATOR.
209800     MOVE MMSH-DATA-ENTRY-MODE   TO  MTSE-H-DATA-ENTRY-MODE.
209900     MOVE MMSH-REJECT-REENTRY-FLAG
210000                                 TO  MTSE-H-REJECT-REENTRY-FLAG.
210100     MOVE MMSH-AR-CURR-INPUT-SOURCE
210200                                 TO  MTSE-H-AR-CURR-INP-SOURCE.
210300     MOVE MMSH-AR-MT-TYPE        TO  MTSE-H-AR-MT-TYPE.
210400     MOVE MMSH-STORE-DUP-IND     TO  MTSE-H-STORE-DUP-IND.        RG800902
210500     MOVE MMSH-MERCH-DUP-IND     TO  MTSE-H-MERCH-DUP-IND.        RG800902
210600     MOVE MMSH-ORIG-OPERATOR     TO  MTSE-H-ORIG-OPERATOR.
210700     MOVE MMSH-LAST-OPERATOR     TO  MTSE-H-LAST-OPERATOR.
210800     MOVE MMSH-GOVERNING-STATE   TO  MTSE-H-GOVERNING-STATE.
210900     MOVE MMSH-LOGO              TO  MTSE-H-LOGO.
211000     MOVE MMSH-SKU-NBR           TO  MTSE-H-SKU-NBR.
211100     MOVE MMSH-DEPT-CODE         TO  MTSE-H-DEPT-CODE.
211200     MOVE MMSH-DESC              TO  MTSE-H-DESC.
211300     MOVE MMSH-RPT-DESC          TO  MTSE-H-RPT-DESC.
211310     MOVE MMSH-CARD-PROD-TYPE    TO  MTSE-H-CARD-PROD-TYPE.       RG800902
211312     MOVE MMSH-CATEGORY-CODE     TO  MTSE-H-CATEGORY-CODE.        RG800902
211400     MOVE MMSH-USER-FILLER       TO  MTSE-H-USER-FILLER.
211500     MOVE MMSH-POST-FLAG         TO  MTSE-H-POST-FLAG.
211600     MOVE MMSH-VAR-DATA-IND      TO  MTSE-H-VAR-DATA-IND.
211700     MOVE MMSH-VARIABLE-DATA     TO  MTSE-H-VARIABLE-DATA.
211800*
211900     EVALUATE TRUE
212000         WHEN MTSE-H-VDI-DEP-DATA
212100             PERFORM  2151-BUILD-HIST-DEP
212200                                 THRU  2151-EXIT
212300         WHEN MTSE-H-VDI-FEE-DATA
212400             PERFORM  2152-BUILD-HIST-FEE
212500                                 THRU  2152-EXIT
212600         WHEN MTSE-H-VDI-HDR-DATA
212700             PERFORM  2153-BUILD-HIST-HDR
212800                                 THRU  2153-EXIT
212900     END-EVALUATE.
213000*
213100     MOVE MTSE-H-PRODUCT         TO  MTSEWS-X.
213200     ADD  1                      TO  MTSEWS-X.
213300*
213400     IF  MTSEWS-X   IS NUMERIC
213500     AND MTSEWS-X   IS GREATER THAN  ZERO
213600         MOVE W01-PROD-DESC (MTSEWS-X)
213700                                 TO  MTSE-H-PROD-DESC
213800     ELSE
213900         MOVE W01-PROD-DESC (99) TO  MTSE-H-PROD-DESC
214000     END-IF.
214100*
214200     MOVE MTSE-H-REF-PRODUCT     TO  MTSEWS-X.
214300     ADD  1                      TO  MTSEWS-X.
214400*
214500     IF  MTSEWS-X   IS NUMERIC
214600     AND MTSEWS-X   IS GREATER THAN  ZERO
214700         MOVE W01-PROD-DESC (MTSEWS-X)
214800                                 TO  MTSE-H-REF-PROD-DESC
214900     ELSE
215000         MOVE W01-PROD-DESC (99) TO  MTSE-H-REF-PROD-DESC.
215100*
215200     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
215300*
215400 2150-EXIT.
215500     EXIT.
215600*
215700 2151-BUILD-HIST-DEP.
215800*
215900     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
216000*
216100     MOVE MTSEIR-HISTORY-DEP-DATA
216200                                 TO  MTSE-H-VD-DEP-DATA.
216300     MOVE MMSH-INDIV-DISC-FLAG   TO  MTSE-H-INDV-DISC-FLAG.
216400*
216500     IF  MMSH-INDIV-DISC-AMT  IS NUMERIC
216600         MOVE MMSH-INDIV-DISC-AMT
216700                                 TO  SS95WS-IN-AMT
216800         PERFORM SS95PD-NAP-ROUTINE
216900                                 THRU SS95PD-NAP-EXIT
217000         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-INDV-DISC-AMT.
217100*
217200     MOVE MMSH-INDIV-DISC-IND    TO  MTSE-H-INDV-DISC-IND.
217300*
217400     IF  MMSH-INDIV-DISC-RATE  IS NUMERIC
217500         SET SS95WS-NAP-IND-IS-PCT
217600                                 TO TRUE
217700         MOVE MMSH-INDIV-DISC-RATE
217800                                 TO SS95WS-IN-PCT
217900         MOVE WS-SAVE-PERCENT-NOD
218000                                 TO SS95WS-IN-PCT-NOD
218100         PERFORM SS95PD-NAP-ROUTINE
218200                                 THRU SS95PD-NAP-EXIT
218300         MOVE SS95WS-OUT-PCT-L10 TO  MTSE-H-INDV-DISC-RT.
218400*
218500     IF  MMSH-INDIV-DISC-ADJ-RATE  IS NUMERIC
218600         SET SS95WS-NAP-IND-IS-PCT
218700                                 TO TRUE
218800         MOVE MMSH-INDIV-DISC-ADJ-RATE
218900                                 TO SS95WS-IN-PCT
219000         MOVE WS-SAVE-PERCENT-NOD
219100                                 TO SS95WS-IN-PCT-NOD
219200         PERFORM SS95PD-NAP-ROUTINE
219300                                 THRU SS95PD-NAP-EXIT
219400         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-INDV-DISC-ADJ-RT.
219500*
219600     MOVE MMSH-INDIV-PART-FLAG   TO  MTSE-H-INDV-PART-FLAG.
219700*
219800     IF  MMSH-INDIV-PART-AMT  IS NUMERIC
219900         SET SS95WS-NAP-IND-IS-AMT
220000                                 TO TRUE
220100         MOVE MMSH-INDIV-PART-AMT
220200                                 TO  SS95WS-IN-AMT
220300         PERFORM SS95PD-NAP-ROUTINE
220400                                 THRU SS95PD-NAP-EXIT
220500         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-INDV-PART-AMT.
220600*
220700     MOVE MMSH-INDIV-PART-IND    TO  MTSE-H-INDV-PART-IND.
220800*
220900     IF  MMSH-INDIV-PART-RATE  IS NUMERIC
221000         SET SS95WS-NAP-IND-IS-PCT
221100                                 TO TRUE
221200         MOVE MMSH-INDIV-PART-RATE
221300                                 TO SS95WS-IN-PCT
221400         MOVE WS-SAVE-PERCENT-NOD
221500                                 TO SS95WS-IN-PCT-NOD
221600         PERFORM SS95PD-NAP-ROUTINE
221700                                 THRU SS95PD-NAP-EXIT
221800         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-INDV-PART-RT.
221900*
222000     IF  MMSH-INDIV-PART-ADJ-RATE  IS NUMERIC
222100         SET SS95WS-NAP-IND-IS-PCT
222200                                 TO TRUE
222300         MOVE MMSH-INDIV-PART-ADJ-RATE
222400                                 TO SS95WS-IN-PCT
222500         MOVE WS-SAVE-PERCENT-NOD
222600                                 TO SS95WS-IN-PCT-NOD
222700         PERFORM SS95PD-NAP-ROUTINE
222800                                 THRU SS95PD-NAP-EXIT
222900         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-INDV-PART-ADJ-RT.
223000*
223100     MOVE MMSH-AR-ORG            TO  MTSE-H-AR-ORG.
223200     MOVE MMSH-AR-ACCT           TO  MTSE-H-AR-ACCT.
223300     MOVE MMSH-AR-TRANS-CODE     TO  MTSE-H-AR-TRANS-CODE.
223400     MOVE MMSH-AR-LOGIC-MODULE   TO  MTSE-H-AR-LOGIC-MODULE.
223500     MOVE MMSH-AR-POST-FLAG      TO  MTSE-H-AR-POST-FLAG.
223600     MOVE MMSH-AR-AUTH-CODE      TO  MTSE-H-AR-AUTH-CODE.
223700*
223800 2151-EXIT.
223900     EXIT.
224000*
224100 2152-BUILD-HIST-FEE.
224200*
224300     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
224400*
224500     MOVE MTSEIR-HISTORY-FEE-DATA
224600                                 TO  MTSE-H-VD-FEE-DATA.
224700     MOVE MMSH-AR-ORG            TO  MTSE-H-AR-ORG
224800     MOVE MMSH-AR-ACCT           TO  MTSE-H-AR-ACCT
224900     MOVE MMSH-AR-TRANS-CODE     TO  MTSE-H-AR-TRANS-CODE
225000     MOVE MMSH-AR-LOGIC-MODULE   TO  MTSE-H-AR-LOGIC-MODULE
225100     MOVE MMSH-AR-POST-FLAG      TO  MTSE-H-AR-POST-FLAG.
225200*
225300     IF  MMSH-FEE-FACTOR-NBR  IS NUMERIC
225400         MOVE  MMSH-FEE-FACTOR-NBR
225500                                 TO  MTSE-H-FEE-FACTOR-NBR.
225600*
225700     IF  MMSH-FEE-FACTOR-AMT  IS NUMERIC
225800         MOVE MMSH-FEE-FACTOR-AMT
225900                                 TO  SS95WS-IN-AMT
226000         PERFORM SS95PD-NAP-ROUTINE
226100                                 THRU SS95PD-NAP-EXIT
226200         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-FEE-FACTOR-AMT.
226300*
226400     IF  MMSH-FEE-INC-PER-ITEM  IS NUMERIC
226500         MOVE MMSH-FEE-INC-PER-ITEM
226600                                 TO  MTSE-H-FEE-INC-PER-ITM.
226700*
226800     IF  MMSH-FEE-INC-RATE  IS NUMERIC
226900         SET SS95WS-NAP-IND-IS-PCT
227000                                 TO TRUE
227100         MOVE MMSH-FEE-INC-RATE
227200                                 TO SS95WS-IN-PCT
227300         MOVE WS-SAVE-PERCENT-NOD
227400                                 TO SS95WS-IN-PCT-NOD
227500         PERFORM SS95PD-NAP-ROUTINE
227600                                 THRU SS95PD-NAP-EXIT
227700         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-FEE-INC-RT.
227800*
227900     IF  MMSH-FEE-EXP-PER-ITEM  IS NUMERIC
228000         MOVE MMSH-FEE-EXP-PER-ITEM
228100                                 TO  MTSE-H-FEE-EXP-PER-ITM.
228200*
228300     IF  MMSH-FEE-EXP-RATE  IS NUMERIC
228400         SET SS95WS-NAP-IND-IS-PCT
228500                                 TO TRUE
228600         MOVE MMSH-FEE-EXP-RATE
228700                                 TO SS95WS-IN-PCT
228800         MOVE WS-SAVE-PERCENT-NOD
228900                                 TO SS95WS-IN-PCT-NOD
229000         PERFORM SS95PD-NAP-ROUTINE
229100                                 THRU SS95PD-NAP-EXIT
229200         MOVE SS95WS-OUT-PCT-L10 TO MTSE-H-FEE-EXP-RT.
229300*
229400     IF  MMSH-FEE-EXP-AMOUNT  IS NUMERIC
229500         SET SS95WS-NAP-IND-IS-AMT
229600                                 TO TRUE
229700         MOVE MMSH-FEE-EXP-AMOUNT
229800                                 TO  SS95WS-IN-AMT
229900         PERFORM SS95PD-NAP-ROUTINE
230000                                 THRU SS95PD-NAP-EXIT
230100         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-H-FEE-EXP-AMT.
230200*
230300 2152-EXIT.
230400     EXIT.
230500*
230600 2153-BUILD-HIST-HDR.
230700*
230800     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
230900*
231000     MOVE MTSEIR-HISTORY-HDR-DATA
231100                                 TO  MTSE-H-VD-HDR-DATA.
231200     MOVE MMSH-SALES-NBR         TO  MTSE-H-SALES-NBR.
231300*
231400     MOVE MMSH-SALES-AMT         TO  SS95WS-IN-AMT
231500     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT
231600     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-SALES-AMT.
231700*
231800     MOVE MMSH-SALES-REV-NBR     TO  MTSE-H-SALES-REV-NBR.
231900*
232000     MOVE MMSH-SALES-REV-AMT     TO  SS95WS-IN-AMT.
232100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT
232200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-SALES-REV-AMT.
232300*
232400     MOVE MMSH-RETURNS-NBR       TO  MTSE-H-RETURNS-NBR.
232500*
232600     MOVE MMSH-RETURNS-AMT       TO  SS95WS-IN-AMT.
232700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT
232800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-RETURNS-AMT.
232900*
233000     MOVE MMSH-RETURNS-REV-NBR   TO  MTSE-H-RETURNS-REV-NBR.
233100*
233200     MOVE MMSH-RETURNS-REV-AMT   TO  SS95WS-IN-AMT.
233300     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT
233400     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-RETURNS-REV-AMT.
233500*
233600     MOVE MMSH-MEMO-NBR          TO  MTSE-H-MEMO-NBR.
233700*
233800     MOVE MMSH-MEMO-AMT          TO  SS95WS-IN-AMT.
233900     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT
234000     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-H-MEMO-AMT.
234100*
234200 2153-EXIT.
234300     EXIT.
234400*
234500 2160-BUILD-DEPOSIT-HIST.
234600*
234700     SET SS95WS-NAP-IND-IS-AMT   TO TRUE.
234800*
234900     MOVE MTRF-K2-O50-RECORD-ID  TO  MTSE-S-RECORD-ID.
235000     MOVE MTSEIR-DEPOSIT-HISTORY
235100                                 TO  MTSE-DEPOSIT-HISTORY.
235200     MOVE MTRF-D3-RECORD         TO  MMD3-RECORD.
235300     MOVE MMD3-ORG               TO  MTSE-DH-ORG.
235400     MOVE MMD3-MERCHANT          TO  MTSE-DH-MERCHANT.
235500     MOVE MMD3-STORE             TO  MTSE-DH-STORE.
235600*
235700     MOVE MMD3-BATCH-DATE        TO  SS01WS-JULIAN.
235800     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
235900     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
236000     MOVE SS01WS-MM              TO  MTSEWS-MM.
236100     MOVE SS01WS-DD              TO  MTSEWS-DD.
236200     MOVE MTSEWS-DATE            TO  MTSE-DH-BATCH-DATE.
236300*
236400     MOVE MMD3-BATCH-SOURCE      TO  MTSE-DH-BATCH-SOURCE.
236500     MOVE MMD3-BATCH-NBR         TO  MTSE-DH-BATCH-NBR.
236600     MOVE MMD3-BATCH-SEQ         TO  MTSE-DH-BATCH-SEQ.
236700     MOVE MMD3-SEQ-NBR           TO  MTSE-DH-SEQ-NBR.
236800     MOVE MMD3-PRODUCT           TO  MTSE-DH-PRODUCT.
236900     MOVE MMD3-PLAN              TO  MTSE-DH-PLAN.
237000     MOVE MMD3-LOGIC-MODULE      TO  MTSE-DH-LOGIC-MODULE.
237100     MOVE MMD3-QUAL-LEVEL        TO  MTSE-DH-QUAL-LEVEL.
237200     MOVE MMD3-TRANS-CODE        TO  MTSE-DH-TRANS-CODE.
237300     MOVE MMD3-TRANS-FLAG        TO  MTSE-DH-TRANS-FLAG.
237400     MOVE MMD3-NBR-ITEMS         TO  MTSE-DH-NBR-ITEMS.
237500     MOVE MMD3-AMOUNT            TO  SS95WS-IN-AMT.
237600     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT
237700     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DH-AMOUNT.
237800*
237900     MOVE MMD3-POST-DATE         TO  SS01WS-JULIAN.
238000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
238100     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
238200     MOVE SS01WS-MM              TO  MTSEWS-MM.
238300     MOVE SS01WS-DD              TO  MTSEWS-DD.
238400     MOVE MTSEWS-DATE            TO  MTSE-DH-POST-DATE.
238500*
238600     MOVE MMD3-ENTRY-DATE        TO  SS01WS-JULIAN.
238700     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
238800     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
238900     MOVE SS01WS-MM              TO  MTSEWS-MM.
239000     MOVE SS01WS-DD              TO  MTSEWS-DD.
239100     MOVE MTSEWS-DATE            TO  MTSE-DH-ENTRY-DATE.
239200*
239300     MOVE MMD3-STMT-FLAG         TO  MTSE-DH-STMT-FLAG.
239400     MOVE MMD3-SETT-FLAG         TO  MTSE-DH-SETT-FLAG.
239500     MOVE MMD3-SETT-ACCT         TO  MTSE-DH-SETT-ACCT.
239600*
239700     MOVE MMD3-SETT-DATE         TO  SS01WS-JULIAN.
239800     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
239900     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
240000     MOVE SS01WS-MM              TO  MTSEWS-MM.
240100     MOVE SS01WS-DD              TO  MTSEWS-DD.
240200     MOVE MTSEWS-DATE            TO  MTSE-DH-SETT-DATE.
240300*
240400     MOVE MMD3-REF-BATCH-DATE    TO  SS01WS-JULIAN.
240500     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
240600     MOVE SS01WS-JULYR           TO  MTSEWS-YYYY.
240700     MOVE SS01WS-MM              TO  MTSEWS-MM.
240800     MOVE SS01WS-DD              TO  MTSEWS-DD.
240900     MOVE MTSEWS-DATE            TO  MTSE-DH-REF-BATCH-DATE.
241000*
241100     MOVE MMD3-REF-BATCH-SOURCE  TO  MTSE-DH-REF-BATCH-SOURCE.
241200     MOVE MMD3-REF-BATCH-NBR     TO  MTSE-DH-REF-BATCH-NBR.
241300     MOVE MMD3-REF-BATCH-SEQ     TO  MTSE-DH-REF-BATCH-SEQ.
241400     MOVE MMD3-REF-NBR           TO  MTSE-DH-REF-NBR.
241500*
241600     MOVE MMD3-REF-AMOUNT-1      TO  SS95WS-IN-AMT.
241700     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT
241800     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DH-REF-AMOUNT-1.
241900*
242000     MOVE MMD3-REF-AMOUNT-2      TO  SS95WS-IN-AMT.
242100     PERFORM SS95PD-NAP-ROUTINE  THRU SS95PD-NAP-EXIT
242200     MOVE SS95WS-OUT-AMT-L21     TO  MTSE-DH-REF-AMOUNT-2.
242300*
242400     MOVE MMD3-REF-NBR-ITEMS     TO  MTSE-DH-REF-NBR-ITEMS.
242500     MOVE MMD3-REF-PRODUCT       TO  MTSE-DH-REF-PRODUCT.
242600     MOVE MMD3-REF-PLAN          TO  MTSE-DH-REF-PLAN.
242700     MOVE MMD3-REF-QUAL-LEVEL    TO  MTSE-DH-REF-QUAL-LEVEL.
242800     MOVE MMD3-ORIG-GL-SOURCE    TO  MTSE-DH-ORIG-GL-SOURCE.
242900     MOVE MMD3-GL-SOURCE         TO  MTSE-DH-GL-SOURCE.
243000     MOVE MMD3-TRANS-STATUS      TO  MTSE-DH-TRANS-STATUS.
243100     MOVE MMD3-QUAL-INDICATOR    TO  MTSE-DH-QUAL-INDICATOR.
243200     MOVE MMD3-DATA-ENTRY-MODE   TO  MTSE-DH-DATA-ENTRY-MODE.
243300     MOVE MMD3-REJECT-REENTRY-FLAG
243400                                 TO  MTSE-DH-REJECT-REENTRY-FLAG.
243500     MOVE MMD3-AR-CURR-INPUT-SOURCE
243600                                 TO  MTSE-DH-AR-CURR-INP-SOURCE.
243700     MOVE MMD3-AR-MT-TYPE        TO  MTSE-DH-AR-MT-TYPE.
243800     MOVE MMD3-STORE-DUP-IND     TO  MTSE-DH-STORE-DUP-IND.       RG800902
243900     MOVE MMD3-MERCH-DUP-IND     TO  MTSE-DH-MERCH-DUP-IND.       RG800902
244000     MOVE MMD3-ORIG-OPERATOR     TO  MTSE-DH-ORIG-OPERATOR.
244100     MOVE MMD3-LAST-OPERATOR     TO  MTSE-DH-LAST-OPERATOR.
244200     MOVE MMD3-GOVERNING-STATE   TO  MTSE-DH-GOVERNING-STATE.
244300     MOVE MMD3-LOGO              TO  MTSE-DH-LOGO.
244400     MOVE MMD3-SKU-NBR           TO  MTSE-DH-SKU-NBR.
244500     MOVE MMD3-DEPT-CODE         TO  MTSE-DH-DEPT-CODE.
244600     MOVE MMD3-DESC              TO  MTSE-DH-DESC.
244700     MOVE MMD3-RPT-DESC          TO  MTSE-DH-RPT-DESC.
244710     MOVE MMD3-CARD-PROD-TYPE    TO  MTSE-DH-CARD-PROD-TYPE.      RG800902
244712     MOVE MMD3-CATEGORY-CODE     TO  MTSE-DH-CATEGORY-CODE.       RG800902
244800     MOVE MMD3-USER-FILLER       TO  MTSE-DH-USER-FILLER.
244900     MOVE MMD3-POST-FLAG         TO  MTSE-DH-POST-FLAG.
245000     MOVE MMD3-VAR-DATA-IND      TO  MTSE-DH-VAR-DATA-IND.
245100     MOVE MMD3-VARIABLE-DATA     TO  MTSE-DH-VARIABLE-DATA.
245200*
245300     IF  MTSE-DH-VDI-DEPOSIT-DATA
245400         PERFORM  2161-BUILD-DEPHIST-DEP
245500                                 THRU  2161-EXIT
245600     ELSE
245700         IF  MTSE-DH-VDI-FEE-DATA
245800             PERFORM  2162-BUILD-DEPHIST-FEE
245900                                 THRU  2162-EXIT.
246000*
246100     MOVE MTSE-DH-PRODUCT        TO  MTSEWS-X.
246200     ADD  1                      TO  MTSEWS-X.
246300*
246400     IF  MTSEWS-X   IS NUMERIC    AND
246500         MTSEWS-X   IS GREATER THAN  ZERO
246600         MOVE W01-PROD-DESC (MTSEWS-X)
246700                                 TO  MTSE-DH-PROD-DESC
246800     ELSE
246900         MOVE W01-PROD-DESC (99) TO  MTSE-DH-PROD-DESC.
247000*
247100     MOVE MTSE-DH-REF-PRODUCT    TO  MTSEWS-X.
247200     ADD  1                      TO  MTSEWS-X.
247300*
247400     IF  MTSEWS-X   IS NUMERIC
247500     AND MTSEWS-X   IS GREATER THAN  ZERO
247600         MOVE W01-PROD-DESC (MTSEWS-X)
247700                                 TO  MTSE-DH-REF-PROD-DESC
247800     ELSE
247900         MOVE W01-PROD-DESC (99) TO  MTSE-DH-REF-PROD-DESC.
248000*
248100     PERFORM  3010-RELEASE-MTSE  THRU   3010-EXIT.
248200*
248300 2160-EXIT.
248400     EXIT.
248500*
248600 2161-BUILD-DEPHIST-DEP.
248700*
248800     MOVE MTSEIR-DEPHIST-DEP-DATA
248900                                 TO  MTSE-DH-VD-DEPOSIT-DATA.
249000     MOVE MMD3-INDIV-DISC-FLAG   TO  MTSE-DH-INDIV-DISC-FLAG.
249100*
249200     IF  MMD3-INDIV-DISC-AMT  IS NUMERIC
249300         MOVE MMD3-INDIV-DISC-AMT
249400                                 TO  SS95WS-IN-AMT
249500         PERFORM SS95PD-NAP-ROUTINE
249600                                 THRU SS95PD-NAP-EXIT
249700         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-DH-INDIV-DISC-AMT.
249800*
249900     MOVE MMD3-INDIV-DISC-IND    TO  MTSE-DH-INDIV-DISC-IND.
250000*
250100     IF  MMD3-INDIV-DISC-RATE  IS NUMERIC
250200         SET SS95WS-NAP-IND-IS-PCT
250300                                 TO TRUE
250400         MOVE MMD3-INDIV-DISC-RATE
250500                                 TO SS95WS-IN-PCT
250600         MOVE WS-SAVE-PERCENT-NOD
250700                                 TO SS95WS-IN-PCT-NOD
250800         PERFORM SS95PD-NAP-ROUTINE
250900                                 THRU SS95PD-NAP-EXIT
251000         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-INDIV-DISC-RATE.
251100*
251200     IF  MMD3-INDIV-DISC-ADJ-RATE  IS NUMERIC
251300         SET SS95WS-NAP-IND-IS-PCT
251400                                 TO TRUE
251500         MOVE MMD3-INDIV-DISC-ADJ-RATE
251600                                 TO SS95WS-IN-PCT
251700         MOVE WS-SAVE-PERCENT-NOD
251800                                 TO SS95WS-IN-PCT-NOD
251900         PERFORM SS95PD-NAP-ROUTINE
252000                                 THRU SS95PD-NAP-EXIT
252100         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-INDIV-DISC-ADJ-RT.
252200*
252300     MOVE MMD3-INDIV-PART-FLAG   TO  MTSE-DH-INDIV-PART-FLAG.
252400*
252500     IF  MMD3-INDIV-PART-AMT  IS NUMERIC
252600         SET SS95WS-NAP-IND-IS-AMT
252700                                 TO TRUE
252800         MOVE MMD3-INDIV-PART-AMT
252900                                 TO  SS95WS-IN-AMT
253000         PERFORM SS95PD-NAP-ROUTINE
253100                                 THRU SS95PD-NAP-EXIT
253200         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-DH-INDIV-PART-AMT.
253300*
253400     MOVE MMD3-INDIV-PART-IND    TO  MTSE-DH-INDIV-PART-IND.
253500*
253600     IF  MMD3-INDIV-PART-RATE  IS NUMERIC
253700         SET SS95WS-NAP-IND-IS-PCT
253800                                 TO TRUE
253900         MOVE MMD3-INDIV-PART-RATE
254000                                 TO SS95WS-IN-PCT
254100         MOVE WS-SAVE-PERCENT-NOD
254200                                 TO SS95WS-IN-PCT-NOD
254300         PERFORM SS95PD-NAP-ROUTINE
254400                                 THRU SS95PD-NAP-EXIT
254500         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-INDIV-PART-RATE.
254600*
254700     IF  MMD3-INDIV-PART-ADJ-RATE  IS NUMERIC
254800         SET SS95WS-NAP-IND-IS-PCT
254900                                 TO TRUE
255000         MOVE MMD3-INDIV-PART-ADJ-RATE
255100                                 TO SS95WS-IN-PCT
255200         MOVE WS-SAVE-PERCENT-NOD
255300                                 TO SS95WS-IN-PCT-NOD
255400         PERFORM SS95PD-NAP-ROUTINE
255500                                 THRU SS95PD-NAP-EXIT
255600         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-INDIV-PART-ADJ-RT.
255700*
255800     IF  MMD3-AR-ORG  IS NUMERIC
255900         MOVE MMD3-AR-ORG        TO  MTSE-DH-AR-ORG.
256000*
256100     MOVE MMD3-AR-ACCT           TO  MTSE-DH-AR-ACCT.
256200*
256300     IF  MMD3-AR-TRANS-CODE  IS NUMERIC
256400         MOVE MMD3-AR-TRANS-CODE TO  MTSE-DH-AR-TRANS-CODE.
256500*
256600     IF  MMD3-AR-LOGIC-MODULE  IS NUMERIC
256700         MOVE MMD3-AR-LOGIC-MODULE
256800                                 TO  MTSE-DH-AR-LOGIC-MODULE.
256900*
257000     IF  MMD3-AR-POST-FLAG  IS NUMERIC
257100         MOVE MMD3-AR-POST-FLAG  TO  MTSE-DH-AR-POST-FLAG.
257200*
257300     MOVE MMD3-AR-AUTH-CODE      TO  MTSE-DH-AR-AUTH-CODE.
257400*
257500 2161-EXIT.
257600     EXIT.
257700*
257800 2162-BUILD-DEPHIST-FEE.
257900*
258000     MOVE MTSEIR-DEPHIST-FEE-DATA
258100                                 TO  MTSE-DH-VD-FEE-DATA.
258200*
258300     IF  MMD3-FEE-FACTOR-NBR  IS NUMERIC
258400         MOVE MMD3-FEE-FACTOR-NBR
258500                                 TO  MTSE-DH-FEE-FACTOR-NBR.
258600*
258700     IF  MMD3-FEE-FACTOR-AMT  IS NUMERIC
258800         MOVE MMD3-FEE-FACTOR-AMT
258900                                 TO  SS95WS-IN-AMT
259000         PERFORM SS95PD-NAP-ROUTINE
259100                                 THRU SS95PD-NAP-EXIT
259200         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-DH-FEE-FACTOR-AMT.
259300*
259400     IF  MMD3-FEE-INC-PER-ITEM  IS NUMERIC
259500         MOVE MMD3-FEE-INC-PER-ITEM
259600                                 TO  MTSE-DH-FEE-INC-PER-ITEM.
259700*
259800     IF  MMD3-FEE-INC-RATE  IS NUMERIC
259900         SET SS95WS-NAP-IND-IS-PCT
260000                                 TO TRUE
260100         MOVE MMD3-FEE-INC-RATE
260200                                 TO SS95WS-IN-PCT
260300         MOVE WS-SAVE-PERCENT-NOD
260400                                 TO SS95WS-IN-PCT-NOD
260500         PERFORM SS95PD-NAP-ROUTINE
260600                                 THRU SS95PD-NAP-EXIT
260700         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-FEE-INC-RATE.
260800*
260900     IF  MMD3-FEE-EXP-PER-ITEM  IS NUMERIC
261000         MOVE MMD3-FEE-EXP-PER-ITEM
261100                                 TO  MTSE-DH-FEE-EXP-PER-ITEM.
261200*
261300     IF  MMD3-FEE-EXP-RATE  IS NUMERIC
261400         SET SS95WS-NAP-IND-IS-PCT
261500                                 TO TRUE
261600         MOVE MMD3-FEE-EXP-RATE
261700                                 TO SS95WS-IN-PCT
261800         MOVE WS-SAVE-PERCENT-NOD
261900                                 TO SS95WS-IN-PCT-NOD
262000         PERFORM SS95PD-NAP-ROUTINE
262100                                 THRU SS95PD-NAP-EXIT
262200         MOVE SS95WS-OUT-PCT-L10 TO MTSE-DH-FEE-EXP-RATE.
262300*
262400     IF  MMD3-FEE-EXP-AMOUNT IS NUMERIC
262500         SET SS95WS-NAP-IND-IS-AMT
262600                                 TO TRUE
262700         MOVE MMD3-FEE-EXP-AMOUNT
262800                                 TO  SS95WS-IN-AMT
262900         PERFORM SS95PD-NAP-ROUTINE
263000                                 THRU SS95PD-NAP-EXIT
263100         MOVE SS95WS-OUT-AMT-L21 TO  MTSE-DH-FEE-EXP-AMOUNT.
263200*
263300 2162-EXIT.
263400     EXIT.
263500/
263600 3000-READ-MTRF.
263700*
263800     MOVE 'RF02'                 TO  SS02WS-ABEND-LOCATION.
263900     SET MTRFRB-READ-SEQ         TO  TRUE.
264000     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
264100*
264200     IF  SS02WS-FS-END-OF-FILE
264300         MOVE 'X'                TO  W01-FILE-SW
264400     ELSE
264500         MOVE MTRFIO-RECORD      TO  MTRF-RECORD.
264600*
264700 3000-EXIT.
264800     EXIT.
264900*
265000 3010-RELEASE-MTSE.
265100*
265200*    SET HIGH ORDER SORT CODE
265300*
265400     IF  MTSE-S-DEPOSIT-TRANS
265500         MOVE ZEROS              TO  DEPOSIT-HISTORY-SORT-KEY
265600         MOVE MTSE-S-RPT-NBR     TO  DHIST-SORT-S-RPT-NBR
265700         MOVE MTSE-S-FORM        TO  DHIST-SORT-S-FORM
265800         MOVE MTSE-DH-ORG        TO  DHIST-SORT-S-ORG
265900         IF  MTSE-S-MERCHANT-DATA
266000             MOVE MTSE-S-MERCHANT
266100                                 TO  DHIST-SORT-S-MC-1
266200             MOVE MTSE-S-CHAIN   TO  DHIST-SORT-S-MC-2
266300         END-IF
266400         IF  MTSE-S-CHAIN-DATA
266500             MOVE MTSE-S-CHAIN   TO  DHIST-SORT-S-MC-1
266600             MOVE MTSE-S-MERCHANT
266700                                 TO  DHIST-SORT-S-MC-2
266800         END-IF
266900         MOVE MTSE-DH-STORE      TO  DHIST-SORT-S-STORE
267000         MOVE MTSE-S-RECORD-ID   TO  DHIST-SORT-S-RECORD-ID
267100         MOVE MTSE-DH-BATCH-DATE TO  DHIST-SORT-S-BATCH-DATE
267200         MOVE MTSE-DH-BATCH-NBR  TO  DHIST-SORT-S-BATCH-NBR
267300         MOVE MTSE-DH-BATCH-SOURCE
267400                                 TO  DHIST-SORT-S-BATCH-SOURCE
267500         MOVE MTSE-DH-BATCH-SEQ  TO  DHIST-SORT-S-BATCH-SEQ
267600     ELSE
267700         MOVE MTSE-S-RPT-NBR     TO  SORT-S-RPT-NBR
267800         MOVE MTSE-S-FORM        TO  SORT-S-FORM
267900         MOVE MTSE-S-ORG         TO  SORT-S-ORG
268000         MOVE MTSE-S-STORE       TO  SORT-S-STORE
268100         MOVE MTSE-S-REC-TYPE    TO  SORT-S-REC-TYPE
268200         MOVE MTSE-S-RECORD-ID   TO  SORT-S-RECORD-ID
268300*
268400*    CHANGE SORT KEY TO MAKE DISBURSEMENT TOTAL RECORD
268500*    APPEAR BEFORE DISBURSEMENT ACTIVITY SUMMARY RECORDS
268600*
268700         IF  MTSE-S-DISBURSE-TOTALS
268800             MOVE '07  '         TO  SORT-S-RECORD-ID
268900         END-IF
269000*
269100         MOVE MTSE-S-SUMM-DTL    TO  SORT-S-SUMM-DTL
269200         MOVE MTSE-S-POSTAL-CODE TO  SORT-S-POSTAL-CODE
269300         MOVE MTSE-S-REC-ID-SEQ  TO  SORT-S-REC-ID-SEQ
269400*
269500         IF  MTSE-S-MERCHANT-DATA
269600             MOVE MTSE-S-MERCHANT
269700                                 TO  SORT-S-MC-1
269800             MOVE MTSE-S-CHAIN   TO  SORT-S-MC-2
269900         END-IF
270000*
270100         IF  MTSE-S-CHAIN-DATA
270200             MOVE MTSE-S-CHAIN   TO  SORT-S-MC-1
270300             MOVE MTSE-S-MERCHANT
270400                                 TO  SORT-S-MC-2
270500         END-IF
270600*
270700     END-IF.
270800*
270900     MOVE MTSE-RECORD            TO  SORT-DATA-AREA.
271000     RELEASE  SORT-RECORD.
271100*
271200 3010-EXIT.
271300     EXIT.
271400*
271500 3999-EXIT.
271600     EXIT.
271700/
271800 6000-WRITE-OUTPUT    SECTION.
271900*
272000     MOVE ' '                    TO  W01-FILE-SW.
272100     PERFORM  6010-WRITE-MTSE    THRU  6010-EXIT
272200                                 UNTIL  END-OF-INPUT.
272300     GO TO  6999-EXIT.
272400*
272500 6010-WRITE-MTSE.
272600*
272700     RETURN  MS1S-SORT-FILE
272800             AT END
272900             MOVE 'X'            TO  W01-FILE-SW.
273000*
273100     IF  END-OF-INPUT
273200         GO TO  6010-EXIT.
273300*
273400     MOVE SORT-DATA-AREA         TO  MTSE-RECORD.
273500     MOVE 'SE02'                 TO  SS02WS-ABEND-LOCATION.
273600     MOVE MTSE-RECORD            TO  MTSEIO-RECORD.
273700     SET MTSERB-WRITE            TO  TRUE.
273800     PERFORM MB00PD-MTSE-ACCESS  THRU MB00PD-MTSE-ACCESS-EXIT.
273900*
274000 6010-EXIT.
274100     EXIT.
274200*
274300 6999-EXIT.
274400     EXIT.
274500/
274600 9999-END-OF-PROG    SECTION.
274700*
274800******************************************************************
274900*         THE FOLLOWING ROUTINES ARE COPIED INTO THE PROGRAM     *
275000******************************************************************
275100/
275200     COPY MB00PD REPLACING ==:MB00:== BY ==MTRF==.
275300/
275400     COPY MB00PD REPLACING ==:MB00:== BY ==MTSE==.
275500/
275600     COPY MB00PD REPLACING ==:MB00:== BY ==MTED==.
275700/
275800     COPY SS02PD.
275900/
276000     COPY SS03PD.
276100/
276200     COPY SS07PD.
276300/
276400     COPY SS08PD.
276500/
276600     COPY SS95PD.
276700/
276800     COPY SS98PD.
276900/
277000     COPY SMCUPXB.
