000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU904.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBU904 - ACTIVITY RECAP MASTER FILE DISPLAY (MMAM)      * FX800042
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMAM==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMAMRL REPLACING ==:MMAM:== BY ==MMAM==.
003700/
003800     COPY MBMFRL.
003900/
004000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004100/
004200     COPY MMSCIO.
004300/
004400     COPY MMAMIO REPLACING ==:MMAM:== BY ==MMAM==.
004500/
004600     COPY MBMFIO.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB99WS.
005300/
005400     COPY SS00WS.
005500/
005600     COPY SS01WS.
005700/
005800     COPY SS02WS.
005900/
006000 01  WS-WORK-AREAS.
006100     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU904'.
006200     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006300*
006400     03  WS-MMAM-BEG-KEY.
006500         05  WS-MMAM-BEG-ORG-MER
006600                             PIC 9(12).
006700         05  WS-MMAM-BEG-TXN-CODE
006800                             PIC 9(04)       VALUE ZEROS.
006900*
007000     03  WS-MMAM-END-KEY.
007100         05  WS-MMAM-END-ORG-MER
007200                             PIC 9(12).
007300         05  WS-MMAM-END-TXN-CODE
007400                             PIC 9(04)       VALUE ZEROS.
007500*
007600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
007700         88  WS-BACKUP                       VALUE 'BACKUP'.
007800         88  WS-MASTER                       VALUE 'MASTER'.
007900*
008000     03  WS-TOTALS-DESC-AREA.
008100         05  WS-TOTALS-LIT-X.
008200             07  FILLER      PIC  X(44)      VALUE
008300                 'ROLLING 12 ACTV, 1-MTH PRIOR TO CURR MTH 01 '.
008400             07  FILLER      PIC  X(44)      VALUE
008500                 'ROLLING 12 ACTV, 2-MTH PRIOR TO CURR MTH 02 '.
008600             07  FILLER      PIC  X(44)      VALUE
008700                 'ROLLING 12 ACTV, 3-MTH PRIOR TO CURR MTH 03 '.
008800             07  FILLER      PIC  X(44)      VALUE
008900                 'ROLLING 12 ACTV, 4-MTH PRIOR TO CURR MTH 04 '.
009000             07  FILLER      PIC  X(44)      VALUE
009100                 'ROLLING 12 ACTV, 5-MTH PRIOR TO CURR MTH 05 '.
009200             07  FILLER      PIC  X(44)      VALUE
009300                 'ROLLING 12 ACTV, 6-MTH PRIOR TO CURR MTH 06 '.
009400             07  FILLER      PIC  X(44)      VALUE
009500                 'ROLLING 12 ACTV, 7-MTH PRIOR TO CURR MTH 07 '.
009600             07  FILLER      PIC  X(44)      VALUE
009700                 'ROLLING 12 ACTV, 8-MTH PRIOR TO CURR MTH 08 '.
009800             07  FILLER      PIC  X(44)      VALUE
009900                 'ROLLING 12 ACTV, 9-MTH PRIOR TO CURR MTH 09 '.
010000             07  FILLER      PIC  X(44)      VALUE
010100                 'ROLLING 12 ACTV,10-MTH PRIOR TO CURR MTH 10 '.
010200             07  FILLER      PIC  X(44)      VALUE
010300                 'ROLLING 12 ACTV,11-MTH PRIOR TO CURR MTH 11 '.
010400             07  FILLER      PIC  X(44)      VALUE
010500                 'ROLLING 12 ACTV,12-MTH PRIOR TO CURR MTH 12 '.
010600             07  FILLER      PIC  X(44)      VALUE
010700                 'CURRENT DAY ACTV (PROCESSED YESTERDAY)   13 '.
010800             07  FILLER      PIC  X(44)      VALUE
010900                 'QUARTER-TO-DATE ACTIVITY                 14 '.
011000             07  FILLER      PIC  X(44)      VALUE
011100                 'MONTH-TO-DATE ACTIVITY                   15 '.
011200             07  FILLER      PIC  X(44)      VALUE
011300                 'YEAR-TO-DATE ACTIVITY                    16 '.
011400             07  FILLER      PIC  X(44)      VALUE
011500                 'ROLLING QTR 1 ACTV, PREV QTR             17 '.
011600             07  FILLER      PIC  X(44)      VALUE
011700                 'ROLLING QTR 2 ACTV, PREV QTR MINUS 1     18 '.
011800             07  FILLER      PIC  X(44)      VALUE
011900                 'ROLLING QTR 3 ACTV, PREV QTR MINUS 2     19 '.
012000             07  FILLER      PIC  X(44)      VALUE
012100                 'ROLLING QTR 4 ACTV, PREV QTR MINUS 3     20 '.
012200             07  FILLER      PIC  X(44)      VALUE
012300                 'ROLLING QTR 5 ACTV, PREV QTR MINUS 4     21 '.
012400             07  FILLER      PIC  X(44)      VALUE
012500                 'ROLLING QTR 6 ACTV, PREV QTR MINUS 5     22 '.
012600             07  FILLER      PIC  X(44)      VALUE
012700                 'ROLLING QTR 7 ACTV, PREV QTR MINUS 6     23 '.
012800             07  FILLER      PIC  X(44)      VALUE
012900                 'PREV YEAR-TO-DATE ACTV                   24 '.
013000             07  FILLER      PIC  X(44)      VALUE
013100                 'RESERVED FOR FUTURE USE                  25 '.
013200         05  WS-TOTALS-LIT-R REDEFINES WS-TOTALS-LIT-X.
013300             07  WS-TOTALS-LIT
013400                             PIC  X(44)      OCCURS 25 TIMES
013500                                             INDEXED BY
013600                                             X-WS-MMAM-TOT.
013700/
013800     COPY MB21WS.
013900*
014000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014100/
014200 PROCEDURE DIVISION.
014300*
014400 A000-DRIVER.
014500*
014600     MOVE 'MBU904'               TO SS02WS-ABEND-PROG-ID
014700                                    MBU999WS-PROGRAM-ID.
014800*
014900     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
015000*
015100     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
015200     MOVE 'T904'                 TO MB20WS-SH-INTERNAL-RPT-ID.
015300     MOVE '  ACTIVITY RECAP FILE DISPLAY '
015400                                 TO MB20WS-SH-RPT-NAME.
015500     MOVE SPACES                 TO MB20WS-SH-LIT-1
015600                                    MB20WS-SH-LIT-5
015700                                    MB20WS-SH-L4
015800                                    MB20WS-SH-L5
015900                                    MB20WS-SH-L6.
016000     PERFORM MB21PD-PAP-RESET-INDEXES
016100                                 THRU MB21PD-PAP-EXIT.
016200*
016300 A100-OPEN-FILES.
016400*
016500     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
016600     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
016700     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
016800     SET MTCCRB-OPEN-INPUT       TO TRUE.
016900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
017000*
017100     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
017200     SET MMSCRB-OPEN-INPUT       TO TRUE.
017300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
017400*
017500     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
017600     SET  MMSCRB-READ-SEQ        TO TRUE.
017700     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
017800*
017900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
018000*
018100     IF  MMSCIO-HEADER
018200         NEXT SENTENCE
018300     ELSE
018400         PERFORM MB99PD-MISSING-HEADER-ABEND
018500            THRU MB99PD-MHA-EXIT.
018600*
018700     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
018710     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
018800     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
018900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
019000     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
019100     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
019200     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
019300                                 THRU SS27PD-NET-EXIT.
019400     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME .
019500*
019600     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
019700     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
019800     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
019900     MOVE 99                     TO MB20WS-LINE-LIMIT.
020000     COMPUTE MB21WS-LIN-LIMIT
020100                                 =  MMSC-LINES-PER-PAGE - 4.
020200     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
020400*
020500     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
020600     SET MTCCRB-READ-SEQ         TO TRUE.
020700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
020800*
020900     IF  SS02WS-FS-END-OF-FILE
021000         GO TO A400-CHECK-READ-SWITCH.
021100*
021200     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
021300         GO TO A200-PROGRAM-CONTROL
021400     END-IF.
021500*
021600     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
021700*
021800     IF  MTCC-MBU9XX-BACKUP
021900         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
022000         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
022100         SET MBMFRB-OPEN-INPUT   TO TRUE
022200         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
022300         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
022400         SET MBMFRB-READ-SEQ     TO TRUE
022500         MOVE SS02WS-NO-RECORD-FOUND
022600                                 TO MBMFRB-PERM-STATUS-3
022700         MOVE SS02WS-END-OF-FILE
022800                                 TO MBMFRB-PERM-STATUS-4
022900         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
023000     ELSE
023100         MOVE 'O1AM'             TO SS02WS-ABEND-LOCATION
023200         SET MMAMRB-OPEN-INPUT   TO TRUE
023300         PERFORM MB00PD-MMAM-ACCESS THRU MB00PD-MMAM-ACCESS-EXIT
023400         MOVE 'R1AM'             TO SS02WS-ABEND-LOCATION
023500         SET MMAMRB-READ-SEQ     TO TRUE
023600         MOVE SS02WS-NO-RECORD-FOUND
023700                                 TO MMAMRB-PERM-STATUS-3
023800         MOVE SS02WS-END-OF-FILE
023900                                 TO MMAMRB-PERM-STATUS-4
024000         PERFORM MB00PD-MMAM-ACCESS THRU MB00PD-MMAM-ACCESS-EXIT
024100         GO TO A130-PRINT-HR-RECORD.
024200*
024300     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
024400*
024500     IF  MBMFIO-FILE-IS-HEADER
024600         NEXT SENTENCE
024700     ELSE
024800         PERFORM MB99PD-MISSING-HEADER-ABEND
024900            THRU MB99PD-MHA-EXIT.
025000*
025100     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
025200*
025300     SET X-MBMF-FILE             TO 1.
025400*
025500 A110-SEARCH-HEADER-TABLE-LOOP.
025600*
025700     IF  X-MBMF-FILE IS GREATER THAN 75
025800         MOVE 'MMAM'             TO MB99WS-FILE-ID
025900         PERFORM MB99PD-NOT-ON-BACKUP
026000            THRU MB99PD-NOB-EXIT.
026100*
026200     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'AM'
026300         CONTINUE
026400     ELSE
026500         SET X-MBMF-FILE         UP BY 1
026600         GO TO A110-SEARCH-HEADER-TABLE-LOOP
026700     END-IF.
026800*
026900 A120-READ-MBMF-LOOP.
027000*
027100     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
027200     SET MBMFRB-READ-SEQ         TO TRUE.
027300     MOVE SS02WS-NO-RECORD-FOUND
027400                                 TO MBMFRB-PERM-STATUS-3.
027500     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
027600     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
027700*
027800     IF  SS02WS-FS-END-OF-FILE
027900         GO TO A200-PROGRAM-CONTROL
028000     END-IF.
028100*
028200     IF  MBMFIO-FILE-IS-MMAM
028300         CONTINUE
028400     ELSE
028500         GO TO A120-READ-MBMF-LOOP
028600     END-IF.
028700*
028800 A130-PRINT-HR-RECORD.
028900*
029000     IF  WS-BACKUP
029100         MOVE MBMFIO-VAR-DATA    TO MMAMIO-RECORD
029200     END-IF.
029300*
029400     MOVE 'MMAM'                 TO MB99WS-FILE-ID.
029500*
029600     IF  MMAMIO-HEADER
029700         NEXT SENTENCE
029800     ELSE
029900         PERFORM MB99PD-MISSING-HEADER-ABEND
030000            THRU MB99PD-MHA-EXIT.
030100*
030200     MOVE MMAMIO-RECORD          TO MMAM-RECORD.
030300*
030400     IF  MMAMIO-HEADER
030500         PERFORM B200-PRINT-HEADER
030600                                 THRU B200-PH-EXIT
030700     END-IF.
030800*
030900 A200-PROGRAM-CONTROL.
031000*
031100     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
031200         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
031300     ELSE
031400         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
031500             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
031600             GO TO A210-PC-BY-FIRST-READ.
031700*
031800     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
031900     SET MTCCRB-READ-SEQ         TO TRUE.
032000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
032100*
032200     IF  SS02WS-FS-END-OF-FILE
032300         GO TO A400-CHECK-READ-SWITCH
032400     END-IF.
032500*
032600 A210-PC-BY-FIRST-READ.
032700*
032800     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
032900         GO TO A200-PROGRAM-CONTROL
033000     END-IF.
033100*
033200     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
033300*
033400 A300-RANGE-CARD.
033500*
033600     MOVE 'Y'                    TO WS-CARD-READ-SW.
033700     INSPECT MTCC-MBU904-BEG-X   REPLACING ALL SPACE BY ZERO.
033800*
033900     IF  MTCC-MBU904-END-X IS EQUAL TO SPACES
034000         MOVE MTCC-MBU904-BEG-X  TO MTCC-MBU904-END-X
034100     END-IF.
034200*
034300     INSPECT MTCC-MBU904-END-X   REPLACING ALL SPACE BY ZERO.
034400*
034500     MOVE MTCC-MBU904-BEG-X      TO WS-MMAM-BEG-KEY.
034600     MOVE ZEROES                 TO WS-MMAM-BEG-TXN-CODE.
034700*
034800     MOVE MTCC-MBU904-END-X      TO WS-MMAM-END-KEY.
034900     MOVE 9999                   TO WS-MMAM-END-TXN-CODE.
035000*
035100     IF  WS-BACKUP
035200         GO TO A350-READ-NEXT-MBMF
035300     END-IF.
035400*
035500     MOVE WS-MMAM-BEG-KEY        TO MMAMIO-KEY.
035600*
035700     MOVE 'S1AM'                 TO SS02WS-ABEND-LOCATION.
035800     SET  MMAMRB-START-GTE       TO TRUE.
035900     PERFORM MB00PD-MMAM-ACCESS  THRU MB00PD-MMAM-ACCESS-EXIT.
036000*
036100     IF  SS02WS-FS-NO-RECORD-FOUND
036200         GO TO A500-CONTROL-CARD-ERROR
036300     END-IF.
036400*
036500 A350-READ-NEXT.
036600*
036700     MOVE 'R2AM'                 TO SS02WS-ABEND-LOCATION.
036800     SET  MMAMRB-READ-SEQ        TO TRUE.
036900     PERFORM MB00PD-MMAM-ACCESS  THRU MB00PD-MMAM-ACCESS-EXIT.
037000*
037100     IF  SS02WS-FS-END-OF-FILE
037200         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
037300             GO TO A200-PROGRAM-CONTROL
037400         ELSE
037500             PERFORM MB21PD-PRINT-A-PAGE
037600                                 THRU MB21PD-PAP-EXIT
037700             GO TO A200-PROGRAM-CONTROL.
037800*
037900     IF  MMAMIO-KEY IS GREATER THAN WS-MMAM-END-KEY
038000         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
038100             GO TO A200-PROGRAM-CONTROL
038200         ELSE
038300             PERFORM MB21PD-PRINT-A-PAGE
038400                                 THRU MB21PD-PAP-EXIT
038500             GO TO A200-PROGRAM-CONTROL.
038600*
038700     IF  MMAMIO-HEADER
038800     OR  MMAMIO-TRAILER
038900         GO TO A350-READ-NEXT.
039000*
039100     MOVE MMAMIO-RECORD          TO MMAM-RECORD.
039200*
039300     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
039400     GO TO A350-READ-NEXT.
039500*
039600 A350-READ-NEXT-MBMF.
039700*
039800     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
039900     SET  MBMFRB-READ-SEQ        TO TRUE.
040000     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
040100*
040200     IF  SS02WS-FS-NO-RECORD-FOUND
040300         GO TO A500-CONTROL-CARD-ERROR
040400     END-IF.
040500*
040600     IF  SS02WS-FS-END-OF-FILE
040700         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
040800             GO TO A200-PROGRAM-CONTROL
040900         ELSE
041000             PERFORM MB21PD-PRINT-A-PAGE
041100                                 THRU MB21PD-PAP-EXIT
041200             GO TO A200-PROGRAM-CONTROL.
041300*
041400     IF  MBMFIO-FILE-IS-MMAM
041500         CONTINUE
041600     ELSE
041700         GO TO A350-READ-NEXT-MBMF
041800     END-IF.
041900*
042000     MOVE MBMFIO-VAR-DATA        TO MMAM-RECORD.
042100*
042200     IF  MMAM-KEY IS LESS THAN WS-MMAM-BEG-KEY
042300         GO TO A350-READ-NEXT-MBMF
042400     END-IF.
042500*
042600     IF  MMAM-KEY IS GREATER  THAN WS-MMAM-END-KEY
042700         PERFORM MB21PD-PRINT-A-PAGE
042800                                 THRU MB21PD-PAP-EXIT
042900         GO TO A200-PROGRAM-CONTROL
043000     END-IF.
043100*
043200     IF  MMAM-ORG IS EQUAL TO 999
043300         GO TO A350-READ-NEXT-MBMF.
043400*
043500     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
043600     GO TO A350-READ-NEXT-MBMF.
043700*
043800 A400-CHECK-READ-SWITCH.
043900*
044000     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
044100         MOVE '*** NO CONTROL CARDS ***'
044200                                 TO MB21WS-PP-COL44 (5 1)
044300         PERFORM MB21PD-PRINT-A-PAGE
044400                                 THRU MB21PD-PAP-EXIT.
044500*
044600     GO TO A600-CLOSE-FILES.
044700*
044800 A500-CONTROL-CARD-ERROR.
044900*
045000     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
045100     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
045200     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
045300     MOVE SPACE                  TO MB21WS-PP-LINE (4).
045400     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
045500     GO TO A200-PROGRAM-CONTROL.
045600*
045700 A600-CLOSE-FILES.
045800*
045900     EVALUATE TRUE
046000         WHEN  WS-BACKUP
046100             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
046200             SET MBMFRB-CLOSE    TO TRUE
046300             PERFORM MB00PD-MBMF-ACCESS
046400                                 THRU MB00PD-MBMF-ACCESS-EXIT
046500         WHEN  WS-MASTER
046600             MOVE 'C1AM'         TO SS02WS-ABEND-LOCATION
046700             SET MMAMRB-CLOSE    TO TRUE
046800             PERFORM MB00PD-MMAM-ACCESS
046900                                 THRU MB00PD-MMAM-ACCESS-EXIT
047000         WHEN  OTHER
047100             CONTINUE
047200     END-EVALUATE.
047300*
047400     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
047500     SET MTCCRB-CLOSE            TO TRUE.
047600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
047700*
047800     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
047900     SET MMSCRB-CLOSE            TO TRUE.
048000     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
048100*
048200     PERFORM MB20PD-CLOSE-PRINT-FILES
048300                                 THRU MB20PD-CPF-EXIT.
048400*
048500     STOP RUN.
048600*
048700 B100-PRT-BEGIN.
048800*
048900     MOVE 'ACTIVITY RECAP RECORD (MMAM)'
049000                                 TO MB21WS-PRINT-WORK-AREA.
049100     PERFORM MB21PD-INSERT-A-COLUMN
049200                                 THRU MB21PD-IAC-EXIT.
049300*
049400     MOVE 'ORG'                  TO MB21WS-NAME.
049500     MOVE MMAM-ORG               TO MB21WS-3V0.
049600     PERFORM MB21PD-INSERT-A-COLUMN
049700                                 THRU MB21PD-IAC-EXIT.
049800*
049900     MOVE 'MERCHANT'             TO MB21WS-NAME.
050000     MOVE MMAM-MERCHANT          TO MB21WS-9V0.
050100     PERFORM MB21PD-INSERT-A-COLUMN
050200                                 THRU MB21PD-IAC-EXIT.
050300*
050400     MOVE 'TXN CODE PREFIX'      TO MB21WS-NAME.
050500     MOVE MMAM-TC-PREFIX         TO MB21WS-1V0.
050600     PERFORM MB21PD-INSERT-A-COLUMN
050700                                 THRU MB21PD-IAC-EXIT.
050800*
050900     MOVE 'TXN CODE NBR'         TO MB21WS-NAME.
051000     MOVE MMAM-TC-NBR            TO MB21WS-3V0.
051100     PERFORM MB21PD-INSERT-A-COLUMN
051200                                 THRU MB21PD-IAC-EXIT.
051300*
051400     MOVE 'STATUS'               TO MB21WS-NAME.
051500     MOVE MMAM-STATUS            TO MB21WS-1V0.
051600     PERFORM MB21PD-INSERT-A-COLUMN
051700                                 THRU MB21PD-IAC-EXIT.
051800*
051900     MOVE 'TYPE'                 TO MB21WS-NAME.
052000     MOVE MMAM-TYPE              TO MB21WS-X.
052100     PERFORM MB21PD-INSERT-A-COLUMN
052200                                 THRU MB21PD-IAC-EXIT.
052300*
052400     MOVE 'RPT-DESC'             TO MB21WS-NAME.
052500     MOVE MMAM-RPT-DESC          TO MB21WS-15X.
052600     PERFORM MB21PD-INSERT-A-COLUMN
052700                                 THRU MB21PD-IAC-EXIT.
052800*
052900     MOVE 'BAL-DIFF'             TO MB21WS-NAME.
053000     MOVE MMAM-BAL-DIFF          TO MB21WS-17V0.
053100     PERFORM MB21PD-INSERT-A-COLUMN
053200                                 THRU MB21PD-IAC-EXIT 2 TIMES.
053300*
053400     MOVE '*------------- TOTALS TABLE --------------*'
053500                                 TO MB21WS-PRINT-WORK-AREA.
053600     PERFORM MB21PD-INSERT-A-COLUMN
053700                                 THRU MB21PD-IAC-EXIT.
053800*
053900     PERFORM VARYING X-MMAM FROM 1 BY 1
054000         UNTIL X-MMAM GREATER THAN 25
054100         SET X-WS-MMAM-TOT       TO X-MMAM
054200         MOVE WS-TOTALS-LIT (X-WS-MMAM-TOT)
054300                                 TO MB21WS-PRINT-WORK-AREA
054400         PERFORM MB21PD-INSERT-A-COLUMN
054500                                 THRU MB21PD-IAC-EXIT 2 TIMES
054600         MOVE 'OCCURRENCE-ID'    TO MB21WS-NAME
054700         MOVE MMAM-OCCURRENCE-ID (X-MMAM)
054800                                 TO MB21WS-3X
054900         PERFORM MB21PD-INSERT-A-COLUMN
055000                                 THRU MB21PD-IAC-EXIT
055100         MOVE 'OCCURRENCE-YEAR'  TO MB21WS-NAME
055200         MOVE MMAM-OCCURRENCE-YEAR (X-MMAM)
055300                                 TO MB21WS-4V0
055400         PERFORM MB21PD-INSERT-A-COLUMN
055500                                 THRU MB21PD-IAC-EXIT
055600         MOVE 'NUMBER'           TO MB21WS-NAME
055700         MOVE MMAM-NUMBER(X-MMAM)
055800                                 TO MB21WS-9V0
055900         PERFORM MB21PD-INSERT-A-COLUMN
056000                                 THRU MB21PD-IAC-EXIT
056100         MOVE 'AMOUNT'           TO MB21WS-NAME
056200         MOVE MMAM-AMOUNT(X-MMAM)
056300                                 TO MB21WS-17V0
056400         PERFORM MB21PD-INSERT-A-COLUMN
056500                                 THRU MB21PD-IAC-EXIT 2 TIMES
056600     END-PERFORM.
056700*
056800 B999-PRT-EXIT.
056900     EXIT.
057000*
057100 B200-PRINT-HEADER.
057200*
057300     MOVE 'ACTIVITY RECAP HDR REC(MMAM)'
057400                                 TO MB21WS-NAME.
057500     PERFORM MB21PD-INSERT-A-COLUMN
057600                                 THRU MB21PD-IAC-EXIT.
057700*
057800     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
057900     MOVE 'ORG'                  TO MB21WS-NAME.
058000     MOVE MMAMIO-ORG             TO MB21WS-3V0.
058100     PERFORM MB21PD-INSERT-A-COLUMN
058200                                 THRU MB21PD-IAC-EXIT.
058300*
058400     MOVE 'MERCHANT'             TO MB21WS-NAME.
058500     MOVE MMAMIO-MERCHANT        TO MB21WS-9V0.
058600     PERFORM MB21PD-INSERT-A-COLUMN
058700                                 THRU MB21PD-IAC-EXIT.
058800*
058900     MOVE 'TC-PREFIX'            TO MB21WS-NAME.
059000     MOVE MMAMIO-TC-PREFIX       TO MB21WS-1V0.
059100     PERFORM MB21PD-INSERT-A-COLUMN
059200                                 THRU MB21PD-IAC-EXIT.
059300*
059400     MOVE 'TC-NBR'               TO MB21WS-NAME.
059500     MOVE MMAMIO-TC-PREFIX       TO MB21WS-3V0.
059600     PERFORM MB21PD-INSERT-A-COLUMN
059700                                 THRU MB21PD-IAC-EXIT.
059800*
059900     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
060000     MOVE MMAMIO-DATE-STAMP      TO SS01WS-JULIAN.
060100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
060200     MOVE MMAMIO-DATE-STAMP      TO MB21WS-JULIAN.
060300     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
060400     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
060500     PERFORM MB21PD-INSERT-A-COLUMN
060600                                 THRU MB21PD-IAC-EXIT.
060700*
060800     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
060900     MOVE MMAMIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
061000     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
061100                                 THRU SS27PD-NET-EXIT.
061200     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
061300     PERFORM MB21PD-INSERT-A-COLUMN
061400                                 THRU MB21PD-IAC-EXIT.
061500*
061600     PERFORM MB21PD-PRINT-A-PAGE
061700                                 THRU MB21PD-PAP-EXIT.
061800*
061900 B200-PH-EXIT.
062000     EXIT.
062100/
062200* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
062300*                          COMMON ROUTINES                      *
062400* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
062500*
062600     COPY SS02PD.
062700/
062800     COPY SS08PD.
062900/
063000     COPY SS16PD.
063100/
063200     COPY SS26PD.
063300/
063400     COPY SS27PD.
063500/
063600     COPY MB20PD.
063700/
063800     COPY MB21PD.
063900/
064000     COPY MB99PD.
064100/
064200     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
064300/
064400     COPY MB00PD REPLACING ==:MB00:== BY ==MMAM==.
064500/
064600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
064700/
064800     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
