000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU910.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBU910 - GENERATED AND DEFAULT TRANSACTION              *
000600*                CODE ASSIGNMENT TABLE FILE (MMGD)              *
000700*                                                               *
000800*****************************************************************
000900 ENVIRONMENT DIVISION.
001000 CONFIGURATION SECTION.
001100 SOURCE-COMPUTER.   IBM-4341.
001200 OBJECT-COMPUTER.   IBM-4341.
001300/
001400 INPUT-OUTPUT SECTION.
001500 FILE-CONTROL.
001600/
001700 DATA DIVISION.
001800 FILE SECTION.
001900 WORKING-STORAGE SECTION.
002000*
002100 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002200*
002300     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002400/
002500     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002600/
002700     COPY MB00RB REPLACING ==:MB00:== BY ==MMGD==.
002800/
002900     COPY MBU999WS.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003200/
003300     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003400/
003500     COPY MMSCRL.
003600/
003700     COPY MMGDRL.
003800/
003900     COPY MBMFRL.
004000/
004100     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004200/
004300     COPY MMSCIO.
004400/
004500     COPY MMGDIO.
004600/
004700     COPY MBMFIO.
004800/
004900     COPY MB00WS.
005000/
005100     COPY MB20WS.
005200/
005300     COPY MB99WS.
005400/
005500     COPY SS00WS.
005600/
005700     COPY SS01WS.
005800/
005900     COPY SS02WS.
006000/
006100 01  WS-WORK-AREAS.
006200     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU910'.
006300     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006400     03  WS-COUNT            PIC S9(04)      BINARY VALUE ZEROS.
006500*
006600     03  WS-MMGD-BEG-KEY.
006700         05  WS-MMGD-BEG-ORG PIC  9(03).
006800*
006900     03  WS-MMGD-END-KEY.
007000         05  WS-MMGD-END-ORG PIC  9(03).
007100*
007200     03  WS-GT-SETT-LIT.
007300         05                  PIC  X(21)      VALUE
007400             'GT-TC-SETT  (OCCUR - '.
007500         05  WS-GT-SETT-CNT  PIC  ZZZZ9.
007600         05                  PIC  X(01)      VALUE ')'.
007700*
007800     03  WS-GT-BILL-LIT.
007900         05                  PIC  X(21)      VALUE
008000             'GT-TC-BILL  (OCCUR - '.
008100         05  WS-GT-BILL-CNT  PIC  ZZZZ9.
008200         05                  PIC  X(01)      VALUE ')'.
008300*
008400     03  WS-GT-WAIVE-LIT.
008500         05                  PIC  X(21)      VALUE
008600             'GT-TC-WAIVE (OCCUR - '.
008700         05  WS-GT-WAIVE-CNT PIC  ZZZZ9.
008800         05                  PIC  X(01)      VALUE ')'.
008900*
009000     03  WS-DT-TC-LIT.
009100         05                  PIC  X(15)      VALUE
009200             'DT-TC (OCCUR - '.
009300         05  WS-DT-TC-CNT    PIC  ZZZZ9.
009400         05                  PIC  X(01)      VALUE ')'.
009500*
009600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
009700         88  WS-BACKUP                       VALUE 'BACKUP'.
009800         88  WS-MASTER                       VALUE 'MASTER'.
009900/
010000     COPY MB21WS.
010100*
010200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010300/
010400 PROCEDURE DIVISION.
010500*
010600 A000-DRIVER.
010700*
010800     MOVE 'MBU910'               TO SS02WS-ABEND-PROG-ID
010900                                    MBU999WS-PROGRAM-ID.
011000*
011100     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
011200*
011300     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
011400     MOVE 'T910'                 TO MB20WS-SH-INTERNAL-RPT-ID.
011500     MOVE 'GENERATED & DEFAULT TRANS FILE'
011600                                 TO MB20WS-SH-RPT-NAME.
011700     MOVE SPACES                 TO MB20WS-SH-LIT-1
011800                                    MB20WS-SH-LIT-5
011900                                    MB20WS-SH-L4
012000                                    MB20WS-SH-L5
012100                                    MB20WS-SH-L6.
012200     PERFORM MB21PD-PAP-RESET-INDEXES
012300                                 THRU MB21PD-PAP-EXIT.
012400*
012500 A100-OPEN-FILES.
012600*
012700     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
012800     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
012900     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
013000     SET MTCCRB-OPEN-INPUT       TO TRUE.
013100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
013200*
013300     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
013400     SET MMSCRB-OPEN-INPUT       TO TRUE.
013500     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
013600*
013700     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
013800     SET  MMSCRB-READ-SEQ        TO TRUE.
013900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
014000*
014100     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
014200*
014300     IF  MMSCIO-HEADER
014400         NEXT SENTENCE
014500     ELSE
014600         PERFORM MB99PD-MISSING-HEADER-ABEND
014700            THRU MB99PD-MHA-EXIT.
014800*
014900     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
015000*
015010     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
015100     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
015200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
015300     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
015400     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
015500     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
015600                                 THRU SS27PD-NET-EXIT.
015700     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME .
015800*
015900     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
016000     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
016100     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
016200     MOVE 99                     TO MB20WS-LINE-LIMIT.
016300     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
016400     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
016600*
016700     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
016800     SET MTCCRB-READ-SEQ         TO TRUE.
016900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
017000*
017100     IF  SS02WS-FS-END-OF-FILE
017200         GO TO A400-CHECK-READ-SWITCH
017300     END-IF.
017400*
017500     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
017600         GO TO A200-PROGRAM-CONTROL
017700     END-IF.
017800*
017900     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
018000*
018100     IF  MTCC-MBU9XX-BACKUP
018200         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
018300         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
018400         SET MBMFRB-OPEN-INPUT   TO TRUE
018500         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
018600         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
018700         SET MBMFRB-READ-SEQ     TO TRUE
018800         MOVE SS02WS-NO-RECORD-FOUND
018900                                 TO MBMFRB-PERM-STATUS-3
019000         MOVE SS02WS-END-OF-FILE
019100                                 TO MBMFRB-PERM-STATUS-4
019200         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
019300     ELSE
019400         MOVE 'O1GD'             TO SS02WS-ABEND-LOCATION
019500         SET MMGDRB-OPEN-INPUT   TO TRUE
019600         PERFORM MB00PD-MMGD-ACCESS THRU MB00PD-MMGD-ACCESS-EXIT
019700         MOVE 'R1GD'             TO SS02WS-ABEND-LOCATION
019800         SET MMGDRB-READ-SEQ     TO TRUE
019900         MOVE SS02WS-NO-RECORD-FOUND
020000                                 TO MMGDRB-PERM-STATUS-3
020100         MOVE SS02WS-END-OF-FILE
020200                                 TO MMGDRB-PERM-STATUS-4
020300         PERFORM MB00PD-MMGD-ACCESS THRU MB00PD-MMGD-ACCESS-EXIT
020400         GO TO A130-PRINT-HR-RECORD
020500     END-IF.
020600*
020700     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
020800*
020900     IF  MBMFIO-FILE-IS-HEADER
021000         NEXT SENTENCE
021100     ELSE
021200         PERFORM MB99PD-MISSING-HEADER-ABEND
021300            THRU MB99PD-MHA-EXIT.
021400*
021500     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
021600*
021700     SET X-MBMF-FILE             TO 1.
021800*
021900 A110-SEARCH-HEADER-TABLE-LOOP.
022000*
022100     IF  X-MBMF-FILE IS GREATER THAN 75
022200         MOVE 'MMGD'             TO MB99WS-FILE-ID
022300         PERFORM MB99PD-NOT-ON-BACKUP
022400            THRU MB99PD-NOB-EXIT.
022500*
022600     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'GD'
022700         CONTINUE
022800     ELSE
022900         SET X-MBMF-FILE         UP BY 1
023000         GO TO A110-SEARCH-HEADER-TABLE-LOOP
023100     END-IF.
023200*
023300 A120-READ-MBMF-LOOP.
023400*
023500     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
023600     SET MBMFRB-READ-SEQ         TO TRUE.
023700     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
023800*
023900     IF  SS02WS-FS-END-OF-FILE
024000         GO TO A200-PROGRAM-CONTROL
024100     END-IF.
024200*
024300     IF  MBMFIO-FILE-IS-MMGD
024400         CONTINUE
024500     ELSE
024600         GO TO A120-READ-MBMF-LOOP
024700     END-IF.
024800*
024900 A130-PRINT-HR-RECORD.
025000*
025100     IF  WS-BACKUP
025200         MOVE MBMFIO-VAR-DATA    TO MMGDIO-RECORD
025300     END-IF.
025400*
025500     MOVE 'MMGD'                 TO MB99WS-FILE-ID.
025600*
025700     IF  MMGDIO-HEADER
025800         NEXT SENTENCE
025900     ELSE
026000         PERFORM MB99PD-MISSING-HEADER-ABEND
026100            THRU MB99PD-MHA-EXIT.
026200*
026300     MOVE MMGDIO-RECORD          TO MMGD-RECORD.
026400*
026500     IF  MMGDIO-HEADER
026600         PERFORM B200-PRINT-HEADER
026700                                 THRU B200-PH-EXIT
026800     END-IF.
026900*
027000 A200-PROGRAM-CONTROL.
027100*
027200     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
027300         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
027400     ELSE
027500         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
027600             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
027700             GO TO A210-PC-BY-FIRST-READ.
027800*
027900     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
028000     SET MTCCRB-READ-SEQ         TO TRUE.
028100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
028200*
028300     IF  SS02WS-FS-END-OF-FILE
028400         GO TO A400-CHECK-READ-SWITCH
028500     END-IF.
028600*
028700 A210-PC-BY-FIRST-READ.
028800*
028900     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
029000         GO TO A200-PROGRAM-CONTROL
029100     END-IF.
029200*
029300     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
029400*
029500 A300-RANGE-CARD.
029600*
029700     MOVE 'Y'                    TO WS-CARD-READ-SW.
029800     INSPECT MTCC-MBU910-BEG-X   REPLACING ALL SPACE BY ZERO.
029900*
030000     IF  MTCC-MBU910-END-X IS EQUAL TO SPACES
030100         MOVE MTCC-MBU910-BEG-X  TO MTCC-MBU910-END-X
030200     END-IF.
030300*
030400     INSPECT MTCC-MBU910-END-X   REPLACING ALL SPACE BY ZERO.
030500*
030600     MOVE MTCC-MBU910-BEG-ORG    TO WS-MMGD-BEG-ORG.
030700*
030800     MOVE MTCC-MBU910-END-ORG    TO WS-MMGD-END-ORG.
030900*
031000     IF  WS-BACKUP
031100         GO TO A350-READ-NEXT-MBMF
031200     END-IF.
031300*
031400     MOVE WS-MMGD-BEG-KEY        TO MMGDIO-KEY.
031500*
031600     MOVE 'S1GD'                 TO SS02WS-ABEND-LOCATION.
031700     SET  MMGDRB-START-GTE       TO TRUE.
031800     PERFORM MB00PD-MMGD-ACCESS  THRU MB00PD-MMGD-ACCESS-EXIT.
031900*
032000     IF  SS02WS-FS-NO-RECORD-FOUND
032100         GO TO A500-CONTROL-CARD-ERROR
032200     END-IF.
032300*
032400 A350-READ-NEXT.
032500*
032600     MOVE 'R2GD'                 TO SS02WS-ABEND-LOCATION.
032700     SET  MMGDRB-READ-SEQ        TO TRUE.
032800     PERFORM MB00PD-MMGD-ACCESS  THRU MB00PD-MMGD-ACCESS-EXIT.
032900*
033000     IF  SS02WS-FS-END-OF-FILE
033100         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
033200             GO TO A200-PROGRAM-CONTROL
033300         ELSE
033400             PERFORM MB21PD-PRINT-A-PAGE
033500                                 THRU MB21PD-PAP-EXIT
033600             GO TO A200-PROGRAM-CONTROL.
033700*
033800     IF  MMGDIO-KEY IS GREATER THAN WS-MMGD-END-KEY
033900         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
034000             GO TO A200-PROGRAM-CONTROL
034100         ELSE
034200             PERFORM MB21PD-PRINT-A-PAGE
034300                                 THRU MB21PD-PAP-EXIT
034400             GO TO A200-PROGRAM-CONTROL.
034500*
034600     IF  MMGDIO-HEADER
034700     OR  MMGDIO-TRAILER
034800         GO TO A350-READ-NEXT.
034900*
035000     MOVE MMGDIO-RECORD          TO MMGD-RECORD.
035100*
035200     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
035300     GO TO A350-READ-NEXT.
035400*
035500 A350-READ-NEXT-MBMF.
035600*
035700     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
035800     SET  MBMFRB-READ-SEQ        TO TRUE.
035900     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
036000*
036100     IF  SS02WS-FS-NO-RECORD-FOUND
036200         GO TO A500-CONTROL-CARD-ERROR
036300     END-IF.
036400*
036500     IF  SS02WS-FS-END-OF-FILE
036600         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
036700             GO TO A200-PROGRAM-CONTROL
036800         ELSE
036900             PERFORM MB21PD-PRINT-A-PAGE
037000                                 THRU MB21PD-PAP-EXIT
037100             GO TO A200-PROGRAM-CONTROL.
037200*
037300     IF  MBMFIO-FILE-IS-MMGD
037400         CONTINUE
037500     ELSE
037600         GO TO A350-READ-NEXT-MBMF
037700     END-IF.
037800*
037900     MOVE MBMFIO-VAR-DATA        TO MMGD-RECORD.
038000*
038100     IF  MMGD-KEY IS LESS THAN WS-MMGD-BEG-KEY
038200         GO TO A350-READ-NEXT-MBMF
038300     END-IF.
038400*
038500     IF  MMGD-KEY IS GREATER THAN WS-MMGD-END-KEY
038600         PERFORM MB21PD-PRINT-A-PAGE
038700                                 THRU MB21PD-PAP-EXIT
038800         GO TO A200-PROGRAM-CONTROL
038900     END-IF.
039000*
039100     IF  MMGD-ORG IS EQUAL TO 999
039200         GO TO A350-READ-NEXT-MBMF.
039300*
039400     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
039500     GO TO A350-READ-NEXT-MBMF.
039600*
039700 A400-CHECK-READ-SWITCH.
039800*
039900     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
040000         MOVE '*** NO CONTROL CARDS ***'
040100                                 TO MB21WS-PP-COL44 (5 1)
040200         PERFORM MB21PD-PRINT-A-PAGE
040300                                 THRU MB21PD-PAP-EXIT.
040400*
040500     GO TO A600-CLOSE-FILES.
040600*
040700 A500-CONTROL-CARD-ERROR.
040800*
040900     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
041000     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
041100     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
041200     MOVE SPACE                  TO MB21WS-PP-LINE (4).
041300     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
041400     GO TO A200-PROGRAM-CONTROL.
041500*
041600 A600-CLOSE-FILES.
041700*
041800     EVALUATE TRUE
041900         WHEN  WS-BACKUP
042000             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
042100             SET MBMFRB-CLOSE    TO TRUE
042200             PERFORM MB00PD-MBMF-ACCESS
042300                                 THRU MB00PD-MBMF-ACCESS-EXIT
042400         WHEN  WS-MASTER
042500             MOVE 'C1GD'         TO SS02WS-ABEND-LOCATION
042600             SET MMGDRB-CLOSE    TO TRUE
042700             PERFORM MB00PD-MMGD-ACCESS
042800                                 THRU MB00PD-MMGD-ACCESS-EXIT
042900         WHEN  OTHER
043000             CONTINUE
043100     END-EVALUATE.
043200*
043300     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
043400     SET MTCCRB-CLOSE            TO TRUE.
043500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
043600*
043700     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
043800     SET MMSCRB-CLOSE            TO TRUE.
043900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
044000*
044100     PERFORM MB20PD-CLOSE-PRINT-FILES
044200                                 THRU MB20PD-CPF-EXIT.
044300*
044400     STOP RUN.
044500*
044600 B100-PRT-BEGIN.
044700*
044800     MOVE 'GENERATED & DEFAULT TRANS REC (MMGD)'
044900                                 TO MB21WS-PRINT-WORK-AREA.
045000     PERFORM MB21PD-INSERT-A-COLUMN
045100                                 THRU MB21PD-IAC-EXIT.
045200*
045300     MOVE 'ORG'                  TO MB21WS-NAME.
045400     MOVE MMGD-ORG               TO MB21WS-3V0.
045500     PERFORM MB21PD-INSERT-A-COLUMN
045600                                 THRU MB21PD-IAC-EXIT.
045700*
045800     MOVE '*-----  MMGD STATUS INFORMATION  ------*'
045900                                 TO MB21WS-PRINT-WORK-AREA.
046000     PERFORM MB21PD-INSERT-A-COLUMN
046100                                 THRU MB21PD-IAC-EXIT.
046200*
046300     MOVE 'REC-STATUS'           TO MB21WS-NAME.
046400     MOVE MMGD-REC-STATUS        TO MB21WS-1V0.
046500     PERFORM MB21PD-INSERT-A-COLUMN
046600                                 THRU MB21PD-IAC-EXIT.
046700*
046800     MOVE 'ONLINE-STATUS'        TO MB21WS-NAME.
046900     MOVE MMGD-ONLINE-STATUS     TO MB21WS-2V0.
047000     PERFORM MB21PD-INSERT-A-COLUMN
047100                                 THRU MB21PD-IAC-EXIT.
047200*
047300     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
047400     MOVE MMGD-LAST-MAINT-DATE   TO SS01WS-JULIAN.
047500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
047600     MOVE MMGD-LAST-MAINT-DATE   TO MB21WS-JULIAN.
047700     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
047800     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
047900     PERFORM MB21PD-INSERT-A-COLUMN
048000                                 THRU MB21PD-IAC-EXIT.
048100*
048200     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
048300     MOVE MMGD-LAST-MAINT-OPER   TO MB21WS-3X.
048400     PERFORM MB21PD-INSERT-A-COLUMN
048500                                 THRU MB21PD-IAC-EXIT 2 TIMES.
048600*
048700     MOVE '*------  GENERATED TRANSACTIONS  -----*    '
048800                                 TO MB21WS-PRINT-WORK-AREA.
048900     PERFORM MB21PD-INSERT-A-COLUMN
049000                                 THRU MB21PD-IAC-EXIT.
049100*
049200     MOVE ZEROS                  TO WS-COUNT.
049300*
049400     PERFORM VARYING X-MMGD-GT FROM 1 BY 1
049500             UNTIL   X-MMGD-GT GREATER THAN 495
049600         ADD 1                   TO WS-COUNT
049700         MOVE WS-COUNT           TO WS-GT-SETT-CNT
049800                                    WS-GT-BILL-CNT
049900                                    WS-GT-WAIVE-CNT
050000         MOVE WS-GT-SETT-LIT     TO MB21WS-NAME
050100         MOVE MMGD-GT-TC-SETT (X-MMGD-GT)
050200                                 TO MB21WS-3V0
050300         PERFORM MB21PD-INSERT-A-COLUMN
050400                                 THRU MB21PD-IAC-EXIT
050500         MOVE WS-GT-BILL-LIT     TO MB21WS-NAME
050600         MOVE MMGD-GT-TC-BILL (X-MMGD-GT)
050700                                 TO MB21WS-3V0
050800         PERFORM MB21PD-INSERT-A-COLUMN
050900                                 THRU MB21PD-IAC-EXIT
051000         MOVE WS-GT-WAIVE-LIT    TO MB21WS-NAME
051100         MOVE MMGD-GT-TC-WAIVE (X-MMGD-GT)
051200                                 TO MB21WS-3V0
051300         PERFORM MB21PD-INSERT-A-COLUMN
051400                                 THRU MB21PD-IAC-EXIT 2 TIMES
051500     END-PERFORM.
051600*
051700     MOVE '*-------  DEFAULT TRANSACTIONS  ------*    '
051800                                 TO MB21WS-PRINT-WORK-AREA.
051900     PERFORM MB21PD-INSERT-A-COLUMN
052000                                 THRU MB21PD-IAC-EXIT.
052100*
052200     MOVE ZEROS                  TO WS-COUNT.
052300*
052400     PERFORM VARYING X-MMGD-DT FROM 1 BY 1
052500             UNTIL   X-MMGD-DT GREATER THAN 495
052600         ADD 1                   TO WS-COUNT
052700         MOVE WS-COUNT           TO WS-DT-TC-CNT
052800         MOVE WS-DT-TC-LIT       TO MB21WS-NAME
052900         MOVE MMGD-DT-TC (X-MMGD-DT)
053000                                 TO MB21WS-3V0
053100         PERFORM MB21PD-INSERT-A-COLUMN
053200                                 THRU MB21PD-IAC-EXIT
053300     END-PERFORM.
053400*
053500     PERFORM MB21PD-INSERT-A-COLUMN
053600                                 THRU MB21PD-IAC-EXIT.
053700*
053800 B999-PRT-EXIT.
053900     EXIT.
054000*
054100 B200-PRINT-HEADER.
054200*
054300     MOVE 'GENERATED & DEFAULT TRANS HDR(MMGD)'
054400                                 TO MB21WS-PRINT-WORK-AREA.
054500     PERFORM MB21PD-INSERT-A-COLUMN
054600                                 THRU MB21PD-IAC-EXIT.
054700*
054800     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
054900     MOVE 'ORG'                  TO MB21WS-NAME.
055000     MOVE MMGDIO-ORG             TO MB21WS-3V0.
055100     PERFORM MB21PD-INSERT-A-COLUMN
055200                                 THRU MB21PD-IAC-EXIT.
055300*
055400     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
055500     MOVE MMGDIO-DATE-STAMP      TO SS01WS-JULIAN.
055600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
055700     MOVE MMGDIO-DATE-STAMP      TO MB21WS-JULIAN.
055800     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
055900     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
056000     PERFORM MB21PD-INSERT-A-COLUMN
056100                                 THRU MB21PD-IAC-EXIT.
056200*
056300     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
056400     MOVE MMGDIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
056500     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
056600                                 THRU SS27PD-NET-EXIT.
056700     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
056800     PERFORM MB21PD-INSERT-A-COLUMN
056900                                 THRU MB21PD-IAC-EXIT.
057000*
057100     PERFORM MB21PD-PRINT-A-PAGE
057200                                 THRU MB21PD-PAP-EXIT.
057300*
057400 B200-PH-EXIT.
057500     EXIT.
057600/
057700* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
057800*                          COMMON ROUTINES                      *
057900* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
058000*
058100     COPY SS02PD.
058200/
058300     COPY SS08PD.
058400/
058500     COPY SS16PD.
058600/
058700     COPY SS26PD.
058800/
058900     COPY SS27PD.
059000/
059100     COPY MB20PD.
059200/
059300     COPY MB21PD.
059400/
059500     COPY MB99PD.
059600/
059700     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
059800/
059900     COPY MB00PD REPLACING ==:MB00:== BY ==MMGD==.
060000/
060100     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
060200/
060300     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
