000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU911.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*        MBU911 -   INVENTORY  FILE  DISPLAY  -   (MMIC)        *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002500/
002600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002700/
002800     COPY MBMFIO.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MBMFRL.
003300/
003400     COPY MMSCIO.
003500/
003600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003700/
003800     COPY MMSCRL.
003900/
004000     COPY MMICIO.
004100/
004200     COPY MB00RB REPLACING ==:MB00:== BY ==MMIC==.
004300/
004400     COPY MMICRL.
004500/
004600     COPY MBU999WS.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB21WS.
005300/
005400     COPY MB99WS.
005500/
005600     COPY SS00WS.
005700/
005800     COPY SS01WS.
005900/
006000     COPY SS02WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU911'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500*
006600     03  WS-MMIC-BEG-KEY.
006700         05  WS-BEG-ORG-MERCHANT.
006800             07  WS-BEG-ORG  PIC  9(03).
006900             07  WS-BEG-MERCHANT
007000                             PIC  9(09).
007100         05  WS-BEG-TYPE     PIC  X(01)      VALUE ' '.
007200*
007300     03  WS-MMIC-END-KEY.
007400         05  WS-END-ORG-MERCHANT.
007500             07  WS-END-ORG  PIC  9(03).
007600             07  WS-END-MERCHANT
007700                             PIC  9(09).
007800         05  WS-END-TYPE     PIC  X(01)      VALUE '9'.
007900*
008000     03  WS-NAME-ADDR-INFO.
008100         05  FILLER          PIC  X(30)      VALUE
008200             '******* NAME AND ADDRESS INFO '.
008300         05  WS-NAME-ADDR-NBR
008400                             PIC  9(01).
008500         05  FILLER          PIC  X(08)      VALUE
008600             ' *******'.
008700*
008800     03  WS-NAME-ADDR-LINES.
008900         05  FILLER          PIC  X(15)      VALUE
009000             'NAME/ADDR LINE '.
009100         05  WS-NAME-ADDR-LINE-NBR
009200                             PIC  9(01).
009300*
009400     03  WS-INV-CONTROL-LINES.
009500         05  FILLER          PIC  X(24)      VALUE
009600             '***** INVENTORY CONTROL '.
009700         05  WS-INV-CONTROL-NBR
009800                             PIC  9(02).
009900         05  FILLER          PIC  X(06)      VALUE
010000             ' *****'.
010100*
010200     03  WS-OTHER-ASSOC-LINES.
010300         05  FILLER          PIC  X(30)      VALUE
010400             '***** OTHER ASSOCIATIONS DATA '.
010500         05  WS-OTHER-ASSOC-NBR
010600                             PIC  9(02).
010700         05  FILLER          PIC  X(06)      VALUE
010800             ' *****'.
010900*
011000     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
011100         88  WS-BACKUP                       VALUE 'BACKUP'.
011200         88  WS-MASTER                       VALUE 'MASTER'.
011300*
011400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011500/
011600 PROCEDURE DIVISION.
011700*
011800 A000-DRIVER.
011900*
012000     MOVE 'MBU911'               TO SS02WS-ABEND-PROG-ID
012100                                    MBU999WS-PROGRAM-ID.
012200*
012300     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
012400*
012500     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
012600     MOVE 'T911'                 TO MB20WS-SH-INTERNAL-RPT-ID.
012700     MOVE '    INVENTORY FILE DISPLAY    '
012800                                 TO MB20WS-SH-RPT-NAME.
012900     MOVE SPACES                 TO MB20WS-SH-LIT-1
013000                                    MB20WS-SH-LIT-5
013100                                    MB20WS-SH-L4
013200                                    MB20WS-SH-L5
013300                                    MB20WS-SH-L6.
013400     PERFORM MB21PD-PAP-RESET-INDEXES
013500                                 THRU MB21PD-PAP-EXIT.
013600*
013700 A100-OPEN-FILES.
013800*
013900     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
014000     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
014100     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
014200     SET  MTCCRB-OPEN-INPUT      TO TRUE.
014300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
014400*
014500     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
014600     SET MMSCRB-OPEN-INPUT       TO TRUE.
014700     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
014800*
014900     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
015000     SET MMSCRB-READ-SEQ         TO TRUE.
015100     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
015200*
015300     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
015400*
015500     IF  MMSCIO-HEADER
015600         NEXT SENTENCE
015700     ELSE
015800         PERFORM MB99PD-MISSING-HEADER-ABEND
015900            THRU MB99PD-MHA-EXIT.
016000*
016100     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
016200*
016210     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
016300     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
016400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
016500     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
016600     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
016700     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
016800                                 THRU SS27PD-NET-EXIT.
016900     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
017000*
017100     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
017200     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
017300     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
017400     MOVE 99                     TO MB20WS-LINE-LIMIT.
017500     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
017600     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
017800*
017900     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
018000     SET MTCCRB-READ-SEQ         TO TRUE.
018100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
018200*
018300     IF  SS02WS-FS-END-OF-FILE
018400         GO TO A400-CHECK-READ-SWITCH
018500     END-IF.
018600*
018700     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
018800         GO TO A200-PROGRAM-CONTROL
018900     END-IF.
019000*
019100     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
019200*
019300     IF  MTCC-MBU9XX-BACKUP
019400         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
019500         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
019600         SET MBMFRB-OPEN-INPUT   TO TRUE
019700         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
019800         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
019900         SET MBMFRB-READ-SEQ     TO TRUE
020000         MOVE SS02WS-NO-RECORD-FOUND
020100                                 TO MBMFRB-PERM-STATUS-3
020200         MOVE SS02WS-END-OF-FILE
020300                                 TO MBMFRB-PERM-STATUS-4
020400         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
020500     ELSE
020600         MOVE 'O1IC'             TO SS02WS-ABEND-LOCATION
020700         SET MMICRB-OPEN-INPUT   TO TRUE
020800         PERFORM MB00PD-MMIC-ACCESS THRU MB00PD-MMIC-ACCESS-EXIT
020900         MOVE 'R1IC'             TO SS02WS-ABEND-LOCATION
021000         SET MMICRB-READ-SEQ     TO TRUE
021100         MOVE SS02WS-NO-RECORD-FOUND
021200                                 TO MMICRB-PERM-STATUS-3
021300         MOVE SS02WS-END-OF-FILE
021400                                 TO MMICRB-PERM-STATUS-4
021500         PERFORM MB00PD-MMIC-ACCESS THRU MB00PD-MMIC-ACCESS-EXIT
021600         GO TO A130-PRINT-HR-RECORD
021700     END-IF.
021800*
021900     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
022000*
022100     IF  MBMFIO-FILE-IS-HEADER
022200         NEXT SENTENCE
022300     ELSE
022400         PERFORM MB99PD-MISSING-HEADER-ABEND
022500            THRU MB99PD-MHA-EXIT.
022600*
022700     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
022800*
022900     SET X-MBMF-FILE             TO 1.
023000*
023100 A110-SEARCH-HEADER-TABLE-LOOP.
023200*
023300     IF  X-MBMF-FILE IS GREATER THAN 75
023400         MOVE 'MMIC'             TO MB99WS-FILE-ID
023500         PERFORM MB99PD-NOT-ON-BACKUP
023600            THRU MB99PD-NOB-EXIT.
023700*
023800     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'IC'
023900         CONTINUE
024000     ELSE
024100         SET X-MBMF-FILE         UP BY 1
024200         GO TO A110-SEARCH-HEADER-TABLE-LOOP
024300     END-IF.
024400*
024500 A120-READ-MBMF-LOOP.
024600*
024700     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
024800     SET MBMFRB-READ-SEQ         TO TRUE.
024900     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
025000*
025100     IF  SS02WS-FS-END-OF-FILE
025200         GO TO A200-PROGRAM-CONTROL
025300     END-IF.
025400*
025500     IF  MBMFIO-FILE-IS-MMIC
025600         CONTINUE
025700     ELSE
025800         GO TO A120-READ-MBMF-LOOP
025900     END-IF.
026000*
026100 A130-PRINT-HR-RECORD.
026200*
026300     IF  WS-BACKUP
026400         MOVE MBMFIO-VAR-DATA    TO MMICIO-RECORD
026500     END-IF.
026600*
026700     MOVE 'MMIC'                 TO MB99WS-FILE-ID.
026800*
026900     IF  MMICIO-HEADER
027000         NEXT SENTENCE
027100     ELSE
027200         PERFORM MB99PD-MISSING-HEADER-ABEND
027300            THRU MB99PD-MHA-EXIT.
027400*
027500     MOVE MMICIO-RECORD          TO MMIC-RECORD.
027600*
027700     IF  MMICIO-HEADER
027800         PERFORM B200-PRINT-HEADER
027900                                 THRU B200-PH-EXIT
028000     END-IF.
028100*
028200 A200-PROGRAM-CONTROL.
028300*
028400     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
028500         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
028600     ELSE
028700         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
028800             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
028900             GO TO A210-PC-BY-FIRST-READ.
029000*
029100     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
029200     SET MTCCRB-READ-SEQ         TO TRUE.
029300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
029400*
029500     IF  SS02WS-FS-END-OF-FILE
029600         GO TO A400-CHECK-READ-SWITCH
029700     END-IF.
029800*
029900 A210-PC-BY-FIRST-READ.
030000*
030100     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
030200         GO TO A200-PROGRAM-CONTROL
030300     END-IF.
030400*
030500     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
030600*
030700 A300-CHECK-RANGES.
030800*
030900     MOVE 'Y'                    TO WS-CARD-READ-SW.
031000     INSPECT MTCC-MBU911-BEG-X   REPLACING ALL SPACE BY ZERO.
031100*
031200     IF  MTCC-MBU911-END-X IS EQUAL TO SPACES
031300         MOVE MTCC-MBU911-BEG-X  TO MTCC-MBU911-END-X
031400     END-IF.
031500*
031600     INSPECT MTCC-MBU911-END-X   REPLACING ALL SPACE BY ZERO.
031700*
031800     MOVE MTCC-MBU911-BEG-X      TO WS-BEG-ORG-MERCHANT.
031900*
032000     MOVE MTCC-MBU911-END-X      TO WS-END-ORG-MERCHANT.
032100*
032200     IF  WS-BACKUP
032300         GO TO A350-READ-NEXT-MBMF
032400     END-IF.
032500*
032600     MOVE WS-MMIC-BEG-KEY        TO MMICIO-KEY.
032700*
032800     MOVE 'S1IC'                 TO SS02WS-ABEND-LOCATION.
032900     SET  MMICRB-START-GTE       TO TRUE.
033000     PERFORM MB00PD-MMIC-ACCESS  THRU MB00PD-MMIC-ACCESS-EXIT.
033100*
033200     IF  SS02WS-FS-NO-RECORD-FOUND
033300         GO TO A500-CONTROL-CARD-ERROR
033400     END-IF.
033500*
033600 A350-READ-NEXT.
033700*
033800     MOVE 'R2IC'                 TO SS02WS-ABEND-LOCATION.
033900     SET  MMICRB-READ-SEQ        TO TRUE.
034000     PERFORM MB00PD-MMIC-ACCESS  THRU MB00PD-MMIC-ACCESS-EXIT.
034100*
034200     IF  SS02WS-FS-END-OF-FILE
034300         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
034400             GO TO A200-PROGRAM-CONTROL
034500         ELSE
034600             PERFORM MB21PD-PRINT-A-PAGE
034700                                 THRU MB21PD-PAP-EXIT
034800             GO TO A200-PROGRAM-CONTROL.
034900*
035000     IF  MMICIO-KEY IS GREATER THAN WS-MMIC-END-KEY
035100         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
035200             GO TO A200-PROGRAM-CONTROL
035300         ELSE
035400             PERFORM MB21PD-PRINT-A-PAGE
035500                                 THRU MB21PD-PAP-EXIT
035600             GO TO A200-PROGRAM-CONTROL.
035700*
035800     IF  MMICIO-HEADER
035900     OR  MMICIO-TRAILER
036000         GO TO A350-READ-NEXT.
036100*
036200     MOVE MMICIO-RECORD          TO MMIC-RECORD.
036300*
036400     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
036500     GO TO A350-READ-NEXT.
036600*
036700 A350-READ-NEXT-MBMF.
036800*
036900     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
037000     SET  MBMFRB-READ-SEQ        TO TRUE.
037100     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
037200*
037300     IF  SS02WS-FS-NO-RECORD-FOUND
037400         GO TO A500-CONTROL-CARD-ERROR
037500     END-IF.
037600*
037700     IF  SS02WS-FS-END-OF-FILE
037800         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
037900             GO TO A200-PROGRAM-CONTROL
038000         ELSE
038100             PERFORM MB21PD-PRINT-A-PAGE
038200                                 THRU MB21PD-PAP-EXIT
038300             GO TO A200-PROGRAM-CONTROL.
038400*
038500     IF  MBMFIO-FILE-IS-MMIC
038600         CONTINUE
038700     ELSE
038800         GO TO A350-READ-NEXT-MBMF
038900     END-IF.
039000*
039100     MOVE MBMFIO-VAR-DATA        TO MMIC-RECORD.
039200*
039300     IF  MMIC-KEY IS LESS THAN WS-MMIC-BEG-KEY
039400         GO TO A350-READ-NEXT-MBMF
039500     END-IF.
039600*
039700     IF  MMIC-KEY IS GREATER THAN WS-MMIC-END-KEY
039800         PERFORM MB21PD-PRINT-A-PAGE
039900                                 THRU MB21PD-PAP-EXIT
040000         GO TO A200-PROGRAM-CONTROL
040100     END-IF.
040200*
040300     IF  MMIC-ORG IS EQUAL TO 999
040400         GO TO A350-READ-NEXT-MBMF.
040500*
040600     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
040700     GO TO A350-READ-NEXT-MBMF.
040800*
040900 A400-CHECK-READ-SWITCH.
041000*
041100     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
041200         MOVE '*** NO CONTROL CARDS ***'
041300                                 TO MB21WS-PP-COL44 (5 1)
041400         PERFORM MB21PD-PRINT-A-PAGE
041500                                 THRU MB21PD-PAP-EXIT.
041600*
041700     GO TO A600-CLOSE-FILES.
041800*
041900 A500-CONTROL-CARD-ERROR.
042000*
042100     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
042200     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
042300     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
042400     MOVE SPACE                  TO MB21WS-PP-LINE (4).
042500     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
042600     GO TO A200-PROGRAM-CONTROL.
042700*
042800 A600-CLOSE-FILES.
042900*
043000     EVALUATE TRUE
043100         WHEN  WS-BACKUP
043200             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
043300             SET MBMFRB-CLOSE    TO TRUE
043400             PERFORM MB00PD-MBMF-ACCESS
043500                                 THRU MB00PD-MBMF-ACCESS-EXIT
043600         WHEN  WS-MASTER
043700             MOVE 'C1IC'         TO SS02WS-ABEND-LOCATION
043800             SET MMICRB-CLOSE    TO TRUE
043900             PERFORM MB00PD-MMIC-ACCESS
044000                                 THRU MB00PD-MMIC-ACCESS-EXIT
044100         WHEN  OTHER
044200             CONTINUE
044300     END-EVALUATE.
044400*
044500     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
044600     SET MTCCRB-CLOSE            TO TRUE.
044700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
044800*
044900     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
045000     SET MMSCRB-CLOSE            TO TRUE.
045100     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
045200*
045300     PERFORM MB20PD-CLOSE-PRINT-FILES
045400                                 THRU MB20PD-CPF-EXIT.
045500*
045600     STOP RUN.
045700*
045800 B100-PRT-BEGIN.
045900*
046000     MOVE '*----INVENTORY  REC (MMIC)------*'
046100                                 TO MB21WS-PRINT-WORK-AREA.
046200     PERFORM MB21PD-INSERT-A-COLUMN
046300                                 THRU MB21PD-IAC-EXIT 2 TIMES.
046400*
046500     MOVE 'ORG'                  TO MB21WS-NAME.
046600     MOVE MMIC-ORG               TO MB21WS-3V0.
046700     PERFORM MB21PD-INSERT-A-COLUMN
046800                                 THRU MB21PD-IAC-EXIT.
046900*
047000     MOVE 'MERCHANT'             TO MB21WS-NAME.
047100     MOVE MMIC-MERCHANT          TO MB21WS-9V0.
047200     PERFORM MB21PD-INSERT-A-COLUMN
047300                                 THRU MB21PD-IAC-EXIT.
047400*
047500     MOVE 'TYPE'                 TO MB21WS-NAME.
047600     MOVE MMIC-TYPE              TO MB21WS-X.
047700     PERFORM MB21PD-INSERT-A-COLUMN
047800                                 THRU MB21PD-IAC-EXIT.
047900*
048000     MOVE 'REC-STATUS'           TO MB21WS-NAME.
048100     MOVE MMIC-REC-STATUS        TO MB21WS-1V0.
048200     PERFORM MB21PD-INSERT-A-COLUMN
048300                                 THRU MB21PD-IAC-EXIT.
048400*
048500     MOVE 'ONLINE-STATUS'        TO MB21WS-NAME.
048600     MOVE MMIC-ONLINE-STATUS     TO MB21WS-2V0.
048700     PERFORM MB21PD-INSERT-A-COLUMN
048800                                 THRU MB21PD-IAC-EXIT.
048900*
049000     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
049100     MOVE MMIC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
049200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
049300     MOVE MMIC-LAST-MAINT-DATE   TO MB21WS-JULIAN.
049400     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
049500     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
049600     PERFORM MB21PD-INSERT-A-COLUMN
049700                                 THRU MB21PD-IAC-EXIT.
049800*
049900     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
050000     MOVE MMIC-LAST-MAINT-OPER   TO MB21WS-3X.
050100     PERFORM MB21PD-INSERT-A-COLUMN
050200                                 THRU MB21PD-IAC-EXIT.
050300*
050400     MOVE 'DATE-FIRST-SHIPMENT'  TO MB21WS-NAME.
050500     MOVE MMIC-DATE-FIRST-SHIPMENT
050600                                 TO SS01WS-JULIAN.
050700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
050800     MOVE MMIC-DATE-FIRST-SHIPMENT
050900                                 TO MB21WS-JULIAN.
051000     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
051100     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
051200     PERFORM MB21PD-INSERT-A-COLUMN
051300                                 THRU MB21PD-IAC-EXIT.
051400*
051500     MOVE 'DATE-LAST-SHIPMENT'   TO MB21WS-NAME.
051600     MOVE MMIC-DATE-LAST-SHIPMENT
051700                                 TO SS01WS-JULIAN.
051800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
051900     MOVE MMIC-DATE-LAST-SHIPMENT
052000                                 TO MB21WS-JULIAN.
052100     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
052200     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
052300     PERFORM MB21PD-INSERT-A-COLUMN
052400                                 THRU MB21PD-IAC-EXIT.
052500*
052600     MOVE 'DATE-NEXT-SHIPMENT'   TO MB21WS-NAME.
052700     MOVE MMIC-DATE-NEXT-SHIPMENT
052800                                 TO SS01WS-JULIAN.
052900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
053000     MOVE MMIC-DATE-NEXT-SHIPMENT
053100                                 TO MB21WS-JULIAN.
053200     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
053300     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
053400     PERFORM MB21PD-INSERT-A-COLUMN
053500                                 THRU MB21PD-IAC-EXIT 2 TIMES.
053600*
053700     MOVE '*------ DEMOGRAPHICS-CONTROL -------------*'
053800                                 TO MB21WS-PRINT-WORK-AREA.
053900     PERFORM MB21PD-INSERT-A-COLUMN
054000                                 THRU MB21PD-IAC-EXIT.
054100*
054200     PERFORM
054300         VARYING X-MMIC-DEMOGRAPHICS FROM +1 BY +1
054400         UNTIL   X-MMIC-DEMOGRAPHICS IS GREATER THAN +2
054500             SET WS-NAME-ADDR-NBR
054600                                 TO X-MMIC-DEMOGRAPHICS
054700             MOVE WS-NAME-ADDR-INFO
054800                                 TO MB21WS-DATA-NAME
054900             PERFORM MB21PD-INSERT-A-COLUMN
055000                                 THRU MB21PD-IAC-EXIT
055100             MOVE 'GNA-NUMBER'   TO MB21WS-NAME
055200             MOVE MMIC-GNA-NBR (X-MMIC-DEMOGRAPHICS)
055300                                 TO MB21WS-19X
055400             PERFORM MB21PD-INSERT-A-COLUMN
055500                                 THRU MB21PD-IAC-EXIT
055600             PERFORM
055700                 VARYING X-MMIC-NA FROM +1 BY +1
055800                 UNTIL   X-MMIC-NA IS GREATER THAN +5
055900                 SET WS-NAME-ADDR-LINE-NBR
056000                                 TO X-MMIC-NA
056100                 MOVE WS-NAME-ADDR-LINES
056200                                 TO MB21WS-DATA-NAME
056300                 PERFORM MB21PD-INSERT-A-COLUMN
056400                                 THRU MB21PD-IAC-EXIT
056500                 MOVE MMIC-NA-LINE (X-MMIC-DEMOGRAPHICS
056600                                    X-MMIC-NA)
056700                                 TO MB21WS-X40
056800                 PERFORM MB21PD-INSERT-A-COLUMN
056900                                 THRU MB21PD-IAC-EXIT
057000             END-PERFORM
057100             MOVE 'NA-OVERFLOW-SW'
057200                                 TO MB21WS-NAME
057300             MOVE MMIC-NA-OVERFLOW-SW (X-MMIC-DEMOGRAPHICS)
057400                                 TO MB21WS-X
057500             PERFORM MB21PD-INSERT-A-COLUMN
057600                                 THRU MB21PD-IAC-EXIT
057700             MOVE 'COUNTRY-CODE' TO MB21WS-NAME
057800             MOVE MMIC-COUNTRY-CODE (X-MMIC-DEMOGRAPHICS)
057900                                 TO MB21WS-3X
058000             PERFORM MB21PD-INSERT-A-COLUMN
058100                                 THRU MB21PD-IAC-EXIT
058200             MOVE 'STATE-CODE'   TO MB21WS-NAME
058300             MOVE MMIC-STATE-CODE (X-MMIC-DEMOGRAPHICS)
058400                                 TO MB21WS-3X
058500             PERFORM MB21PD-INSERT-A-COLUMN
058600                                 THRU MB21PD-IAC-EXIT
058700             MOVE 'POSTAL-CODE'  TO MB21WS-NAME
058800             MOVE MMIC-POSTAL-CODE (X-MMIC-DEMOGRAPHICS)
058900                                 TO MB21WS-10X
059000             PERFORM MB21PD-INSERT-A-COLUMN
059100                                 THRU MB21PD-IAC-EXIT
059200             MOVE 'PHONE'        TO MB21WS-NAME
059300             MOVE MMIC-PHONE (X-MMIC-DEMOGRAPHICS)
059400                                 TO MB21WS-20X
059500             PERFORM MB21PD-INSERT-A-COLUMN
059600                                 THRU MB21PD-IAC-EXIT
059700             MOVE 'FAX'          TO MB21WS-NAME
059800             MOVE MMIC-FAX (X-MMIC-DEMOGRAPHICS)
059900                                 TO MB21WS-20X
060000             PERFORM MB21PD-INSERT-A-COLUMN
060100                                 THRU MB21PD-IAC-EXIT 2 TIMES
060200     END-PERFORM.
060300*
060400     MOVE 'STMT-ADDR-CONTROL'    TO MB21WS-NAME.
060500     MOVE MMIC-STMT-ADDR-CONTROL TO MB21WS-X.
060600     PERFORM MB21PD-INSERT-A-COLUMN
060700                                 THRU MB21PD-IAC-EXIT 2 TIMES.
060800*
060900     MOVE '*---------INVENTORY INFORMATION ----------*'
061000                                 TO MB21WS-PRINT-WORK-AREA.
061100     PERFORM MB21PD-INSERT-A-COLUMN
061200                                 THRU MB21PD-IAC-EXIT.
061300*
061400     MOVE 'INV-USED-FLAG'        TO MB21WS-NAME.
061500     MOVE MMIC-INVENTORY-USED-FLAG
061600                                 TO MB21WS-X.
061700     PERFORM MB21PD-INSERT-A-COLUMN
061800                                 THRU MB21PD-IAC-EXIT 2 TIMES.
061900*
062000     PERFORM
062100         VARYING X-MMIC-INVENTORY FROM +1 BY +1
062200         UNTIL   X-MMIC-INVENTORY IS GREATER THAN +18
062300             SET WS-INV-CONTROL-NBR
062400                                 TO X-MMIC-INVENTORY
062500             MOVE WS-INV-CONTROL-LINES
062600                                 TO MB21WS-DATA-NAME
062700             PERFORM MB21PD-INSERT-A-COLUMN
062800                                 THRU MB21PD-IAC-EXIT
062900             MOVE 'ITEM-CODE'    TO MB21WS-NAME
063000             MOVE MMIC-ITEM-CODE (X-MMIC-INVENTORY)
063100                                 TO MB21WS-15X
063200             PERFORM MB21PD-INSERT-A-COLUMN
063300                                 THRU MB21PD-IAC-EXIT
063400             MOVE 'ITEM-DESC'    TO MB21WS-NAME
063500             PERFORM MB21PD-INSERT-A-COLUMN
063600                                 THRU MB21PD-IAC-EXIT
063700             MOVE MMIC-ITEM-DESC (X-MMIC-INVENTORY)
063800                                 TO MB21WS-30X
063900             PERFORM MB21PD-INSERT-A-COLUMN
064000                                 THRU MB21PD-IAC-EXIT
064100             MOVE 'BUNDLE-AMT'   TO MB21WS-NAME
064200             MOVE MMIC-BUNDLE-AMT (X-MMIC-INVENTORY)
064300                                 TO MB21WS-7V0
064400             PERFORM MB21PD-INSERT-A-COLUMN
064500                                 THRU MB21PD-IAC-EXIT
064600             MOVE 'BUNDLE-QTY'   TO MB21WS-NAME
064700             MOVE MMIC-BUNDLE-QTY (X-MMIC-INVENTORY)
064800                                 TO MB21WS-7V0
064900             PERFORM MB21PD-INSERT-A-COLUMN
065000                                 THRU MB21PD-IAC-EXIT
065100             MOVE 'QTY-ON-HAND'  TO MB21WS-NAME
065200             MOVE MMIC-QTY-ON-HAND (X-MMIC-INVENTORY)
065300                                 TO MB21WS-7V0
065400             PERFORM MB21PD-INSERT-A-COLUMN
065500                                 THRU MB21PD-IAC-EXIT
065600             MOVE 'NORM-SHIPMENT-QTY'
065700                                 TO MB21WS-NAME
065800             MOVE MMIC-NORM-SHIPMENT-QTY (X-MMIC-INVENTORY)
065900                                 TO MB21WS-7V0
066000             PERFORM MB21PD-INSERT-A-COLUMN
066100                                 THRU MB21PD-IAC-EXIT
066200             MOVE 'NORM-SHIPMENT-FREQ'
066300                                 TO MB21WS-NAME
066400             MOVE MMIC-NORM-SHIPMENT-FREQ (X-MMIC-INVENTORY)
066500                                 TO MB21WS-2V0
066600             PERFORM MB21PD-INSERT-A-COLUMN
066700                                 THRU MB21PD-IAC-EXIT
066800             MOVE 'NEXT-SHIPMENT-QTY'
066900                                 TO MB21WS-NAME
067000             MOVE MMIC-NEXT-SHIPMENT-QTY (X-MMIC-INVENTORY)
067100                                 TO MB21WS-7V0
067200             PERFORM MB21PD-INSERT-A-COLUMN
067300                                 THRU MB21PD-IAC-EXIT
067400             MOVE 'NEXT-SHIPMENT-OPER'
067500                                 TO MB21WS-NAME
067600             MOVE MMIC-NEXT-SHIPMENT-OPER (X-MMIC-INVENTORY)
067700                                 TO MB21WS-3X
067800             PERFORM MB21PD-INSERT-A-COLUMN
067900                                 THRU MB21PD-IAC-EXIT
068000             MOVE 'NEXT-SHIPMENT-DATE'
068100                                 TO MB21WS-NAME
068200             MOVE MMIC-NEXT-SHIPMENT-DATE (X-MMIC-INVENTORY)
068300                                 TO SS01WS-JULIAN
068400             PERFORM SS26PD-NUMERICALLY-EDIT-DATE
068500                                 THRU SS26PD-NED-EXIT
068600             MOVE MMIC-NEXT-SHIPMENT-DATE (X-MMIC-INVENTORY)
068700                                 TO MB21WS-JULIAN
068800             MOVE SS01WS-XX-XX-YYYY TO MB21WS-GREG
068900             INSPECT MB21WS-JULIAN
069000                                 REPLACING ALL ',' BY '-'
069100             PERFORM MB21PD-INSERT-A-COLUMN
069200                                 THRU MB21PD-IAC-EXIT
069300             MOVE 'LAST-SHIPMENT-QTY'
069400                                 TO MB21WS-NAME
069500             MOVE MMIC-LAST-SHIPMENT-QTY (X-MMIC-INVENTORY)
069600                                 TO MB21WS-7V0
069700             PERFORM MB21PD-INSERT-A-COLUMN
069800                                 THRU MB21PD-IAC-EXIT
069900             MOVE 'LAST-SHIPMENT-OPER'
070000                                 TO MB21WS-NAME
070100             MOVE MMIC-LAST-SHIPMENT-OPER (X-MMIC-INVENTORY)
070200                                 TO MB21WS-3X
070300             PERFORM MB21PD-INSERT-A-COLUMN
070400                                 THRU MB21PD-IAC-EXIT
070500             MOVE 'LAST-SHIPMENT-DATE'
070600                                 TO MB21WS-NAME
070700             MOVE MMIC-LAST-SHIPMENT-DATE (X-MMIC-INVENTORY)
070800                                 TO SS01WS-JULIAN
070900             PERFORM SS26PD-NUMERICALLY-EDIT-DATE
071000                                 THRU SS26PD-NED-EXIT
071100             MOVE MMIC-LAST-SHIPMENT-DATE (X-MMIC-INVENTORY)
071200                                 TO MB21WS-JULIAN
071300             MOVE SS01WS-XX-XX-YYYY TO MB21WS-GREG
071400             INSPECT MB21WS-JULIAN
071500                                 REPLACING ALL ',' BY '-'
071600             PERFORM MB21PD-INSERT-A-COLUMN
071700                                 THRU MB21PD-IAC-EXIT 2 TIMES
071800     END-PERFORM.
071900*
072000     MOVE '*--------- OTHER ASSOC INFO --------------*'
072100                                 TO MB21WS-PRINT-WORK-AREA.
072200     PERFORM MB21PD-INSERT-A-COLUMN
072300                                 THRU MB21PD-IAC-EXIT.
072400*
072500     PERFORM
072600         VARYING X-MMIC-OTHER-ASSOC FROM +1 BY +1
072700         UNTIL   X-MMIC-OTHER-ASSOC IS GREATER THAN +35
072800             SET WS-OTHER-ASSOC-NBR
072900                                 TO X-MMIC-OTHER-ASSOC
073000             MOVE WS-OTHER-ASSOC-LINES
073100                                 TO MB21WS-DATA-NAME
073200             PERFORM MB21PD-INSERT-A-COLUMN
073300                                 THRU MB21PD-IAC-EXIT
073400             MOVE 'OTHER-ASSOC-ID'
073500                                 TO MB21WS-NAME
073600             MOVE MMIC-OTHER-ASSOC-ID (X-MMIC-OTHER-ASSOC)
073700                                 TO MB21WS-9V0
073800             PERFORM MB21PD-INSERT-A-COLUMN
073900                                 THRU MB21PD-IAC-EXIT
074000             MOVE 'OTHER-ASSOC-TYPE'
074100                                 TO MB21WS-NAME
074200             MOVE MMIC-OTHER-ASSOC-TYPE (X-MMIC-OTHER-ASSOC)
074300                                 TO MB21WS-X
074400             PERFORM MB21PD-INSERT-A-COLUMN
074500                                 THRU MB21PD-IAC-EXIT
074600     END-PERFORM.
074700*
074800 B999-PRT-EXIT.
074900     EXIT.
075000*
075100 B200-PRINT-HEADER.
075200*
075300     MOVE 'HEADER RECORD (MMIC-)'
075400                                 TO MB21WS-NAME.
075500     PERFORM MB21PD-INSERT-A-COLUMN
075600                                 THRU MB21PD-IAC-EXIT.
075700*
075800     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
075900     MOVE 'ORG'                  TO MB21WS-NAME.
076000     MOVE MMICIO-ORG             TO MB21WS-3V0.
076100     PERFORM MB21PD-INSERT-A-COLUMN
076200                                 THRU MB21PD-IAC-EXIT.
076300*
076400     MOVE 'MERCHANT'             TO MB21WS-NAME.
076500     MOVE MMICIO-MERCHANT        TO MB21WS-9V0.
076600     PERFORM MB21PD-INSERT-A-COLUMN
076700                                 THRU MB21PD-IAC-EXIT.
076800*
076900     MOVE 'TYPE'                 TO MB21WS-NAME.
077000     MOVE MMICIO-TYPE            TO MB21WS-X.
077100     PERFORM MB21PD-INSERT-A-COLUMN
077200                                 THRU MB21PD-IAC-EXIT.
077300*
077400     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
077500     MOVE MMICIO-DATE-STAMP      TO SS01WS-JULIAN.
077600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
077700     MOVE MMICIO-DATE-STAMP      TO MB21WS-JULIAN.
077800     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
077900     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
078000     PERFORM MB21PD-INSERT-A-COLUMN
078100                                 THRU MB21PD-IAC-EXIT.
078200*
078300     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
078400     MOVE MMICIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
078500     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
078600                                 THRU SS27PD-NET-EXIT.
078700     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
078800     PERFORM MB21PD-INSERT-A-COLUMN
078900                                 THRU MB21PD-IAC-EXIT.
079000*
079100     PERFORM MB21PD-PRINT-A-PAGE
079200                                 THRU MB21PD-PAP-EXIT.
079300*
079400 B200-PH-EXIT.
079500     EXIT.
079600/
079700* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
079800*                          COMMON ROUTINES                      *
079900* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
080000*
080100     COPY SS02PD.
080200/
080300     COPY SS08PD.
080400/
080500     COPY SS16PD.
080600/
080700     COPY SS26PD.
080800/
080900     COPY SS27PD.
081000/
081100     COPY MB20PD.
081200/
081300     COPY MB21PD.
081400/
081500     COPY MB99PD.
081600/
081700     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
081800/
081900     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
082000/
082100     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
082200/
082300     COPY MB00PD REPLACING ==:MB00:== BY ==MMIC==.
082400
