000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU925.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*        MBU925 -   PLATE FILE DISPLAY  -   (MMPF)              *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002500/
002600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002700/
002800     COPY MBMFIO.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MBMFRL.
003300/
003400     COPY MMSCIO.
003500/
003600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003700/
003800     COPY MMSCRL.
003900/
004000     COPY MMPFIO.
004100/
004200     COPY MB00RB REPLACING ==:MB00:== BY ==MMPF==.
004300/
004400     COPY MMPFRL.
004500/
004600     COPY MBU999WS.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB21WS.
005300/
005400     COPY MB99WS.
005500/
005600     COPY SS00WS.
005700/
005800     COPY SS01WS.
005900/
006000     COPY SS02WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU925'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500*
006600     03  WS-MMPF-BEG-KEY.
006700         05  WS-BEG-ORG-MERCHANT.
006800             07  WS-BEG-ORG  PIC  9(03).
006900             07  WS-BEG-MERCHANT
007000                             PIC  9(09).
007100         05  WS-BEG-TYPE     PIC  X(01)      VALUE 'M'.
007200*
007300     03  WS-MMPF-END-KEY.
007400         05  WS-END-ORG-MERCHANT.
007500             07  WS-END-ORG  PIC  9(03).
007600             07  WS-END-MERCHANT
007700                             PIC  9(09).
007800         05  WS-END-TYPE     PIC  X(01)      VALUE 'S'.
007900*
008000     03  WS-PLATE-REQUEST-LINES.
008100         05  FILLER          PIC  X(25)      VALUE
008200             '***** PLATE REQUEST DATA '.
008300         05  WS-PLATE-REQUEST-NBR
008400                             PIC  9(02).
008500         05  FILLER          PIC  X(06)      VALUE
008600             ' *****'.
008700*
008800     03  WS-NAME-ADDR-INFO.
008900         05  FILLER          PIC  X(30)      VALUE
009000             '******* NAME AND ADDRESS INFO '.
009100         05  WS-NAME-ADDR-NBR
009200                             PIC  9(01).
009300         05  FILLER          PIC  X(08)      VALUE
009400             ' *******'.
009500*
009600     03  WS-NAME-ADDR-LINES.
009700         05  FILLER          PIC  X(15)      VALUE
009800             'NAME/ADDR LINE '.
009900         05  WS-NAME-ADDR-LINE-NBR
010000                             PIC  9(01).
010100*
010200     03  WS-IMPRINTER-LINES.
010300         05  FILLER          PIC  X(28)      VALUE
010400             '***** IMPRINTER INFORMATION '.
010500         05  WS-IMPRINTER-LINE-NBR
010600                             PIC  9(01).
010700         05  FILLER          PIC  X(06)      VALUE
010800             ' *****'.
010900*
011000     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
011100         88  WS-BACKUP                       VALUE 'BACKUP'.
011200         88  WS-MASTER                       VALUE 'MASTER'.
011300*
011400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011500/
011600 PROCEDURE DIVISION.
011700*
011800 A000-DRIVER.
011900*
012000     MOVE 'MBU925'               TO SS02WS-ABEND-PROG-ID
012100                                    MBU999WS-PROGRAM-ID.
012200*
012300     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
012400*
012500     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
012600     MOVE 'T925'                 TO MB20WS-SH-INTERNAL-RPT-ID.
012700     MOVE '      PLATE FILE DISPLAY      '
012800                                 TO MB20WS-SH-RPT-NAME.
012900     MOVE SPACES                 TO MB20WS-SH-LIT-1
013000                                    MB20WS-SH-LIT-5
013100                                    MB20WS-SH-L4
013200                                    MB20WS-SH-L5
013300                                    MB20WS-SH-L6.
013400     PERFORM MB21PD-PAP-RESET-INDEXES
013500                                 THRU MB21PD-PAP-EXIT.
013600*
013700 A100-OPEN-FILES.
013800*
013900     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
014000     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
014100     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
014200     SET  MTCCRB-OPEN-INPUT      TO TRUE.
014300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
014400*
014500     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
014600     SET MMSCRB-OPEN-INPUT       TO TRUE.
014700     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
014800*
014900     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
015000     SET MMSCRB-READ-SEQ         TO TRUE.
015100     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
015200     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
015300*
015400     IF  MMSCIO-HEADER
015500         NEXT SENTENCE
015600     ELSE
015700         PERFORM MB99PD-MISSING-HEADER-ABEND
015800            THRU MB99PD-MHA-EXIT.
015900*
016000*
016100     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
016110     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
016200     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
016300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
016400     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
016500     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
016600     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
016700                                 THRU SS27PD-NET-EXIT.
016800     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
016900*
017000     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
017100     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
017200     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
017300     MOVE 99                     TO MB20WS-LINE-LIMIT.
017400     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
017500     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
017700*
017800     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
017900     SET MTCCRB-READ-SEQ         TO TRUE.
018000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
018100*
018200     IF  SS02WS-FS-END-OF-FILE
018300         GO TO A400-CHECK-READ-SWITCH
018400     END-IF.
018500*
018600     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
018700         GO TO A200-PROGRAM-CONTROL
018800     END-IF.
018900*
019000     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
019100*
019200     IF  MTCC-MBU9XX-BACKUP
019300         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
019400         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
019500         SET MBMFRB-OPEN-INPUT   TO TRUE
019600         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
019700         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
019800         SET MBMFRB-READ-SEQ     TO TRUE
019900         MOVE SS02WS-NO-RECORD-FOUND
020000                                 TO MBMFRB-PERM-STATUS-3
020100         MOVE SS02WS-END-OF-FILE
020200                                 TO MBMFRB-PERM-STATUS-4
020300         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
020400     ELSE
020500         MOVE 'O1PF'             TO SS02WS-ABEND-LOCATION
020600         SET MMPFRB-OPEN-INPUT   TO TRUE
020700         PERFORM MB00PD-MMPF-ACCESS THRU MB00PD-MMPF-ACCESS-EXIT
020800         MOVE 'R1PF'             TO SS02WS-ABEND-LOCATION
020900         SET MMPFRB-READ-SEQ     TO TRUE
021000         MOVE SS02WS-NO-RECORD-FOUND
021100                                 TO MMPFRB-PERM-STATUS-3
021200         MOVE SS02WS-END-OF-FILE
021300                                 TO MMPFRB-PERM-STATUS-4
021400         PERFORM MB00PD-MMPF-ACCESS THRU MB00PD-MMPF-ACCESS-EXIT
021500         GO TO A130-PRINT-HR-RECORD
021600     END-IF.
021700*
021800     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
021900*
022000     IF  MBMFIO-FILE-IS-HEADER
022100         NEXT SENTENCE
022200     ELSE
022300         PERFORM MB99PD-MISSING-HEADER-ABEND
022400            THRU MB99PD-MHA-EXIT.
022500*
022600     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
022700*
022800     SET X-MBMF-FILE             TO 1.
022900*
023000 A110-SEARCH-HEADER-TABLE-LOOP.
023100*
023200     IF  X-MBMF-FILE IS GREATER THAN 75
023300         MOVE 'MMPF'             TO MB99WS-FILE-ID
023400         PERFORM MB99PD-NOT-ON-BACKUP
023500            THRU MB99PD-NOB-EXIT.
023600*
023700     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'PF'
023800         CONTINUE
023900     ELSE
024000         SET X-MBMF-FILE         UP BY 1
024100         GO TO A110-SEARCH-HEADER-TABLE-LOOP
024200     END-IF.
024300*
024400 A120-READ-MBMF-LOOP.
024500*
024600     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
024700     SET MBMFRB-READ-SEQ         TO TRUE.
024800     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
024900*
025000     IF  SS02WS-FS-END-OF-FILE
025100         GO TO A200-PROGRAM-CONTROL
025200     END-IF.
025300*
025400     IF  MBMFIO-FILE-IS-MMPF
025500         CONTINUE
025600     ELSE
025700         GO TO A120-READ-MBMF-LOOP
025800     END-IF.
025900*
026000 A130-PRINT-HR-RECORD.
026100*
026200     IF  WS-BACKUP
026300         MOVE MBMFIO-VAR-DATA    TO MMPFIO-RECORD
026400     END-IF.
026500*
026600     MOVE 'MMPF'                 TO MB99WS-FILE-ID.
026700*
026800     IF  MMPFIO-HEADER
026900         PERFORM B200-PRINT-HEADER
027000                                 THRU B200-PH-EXIT
027100     ELSE
027200         PERFORM MB99PD-MISSING-HEADER-ABEND
027300            THRU MB99PD-MHA-EXIT.
027400*
027500     MOVE MMPFIO-RECORD          TO MMPF-RECORD.
027600*
027700 A200-PROGRAM-CONTROL.
027800*
027900     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
028000         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
028100     ELSE
028200         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
028300             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
028400             GO TO A210-PC-BY-FIRST-READ.
028500*
028600     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
028700     SET MTCCRB-READ-SEQ         TO TRUE.
028800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
028900*
029000     IF  SS02WS-FS-END-OF-FILE
029100         GO TO A400-CHECK-READ-SWITCH
029200     END-IF.
029300*
029400 A210-PC-BY-FIRST-READ.
029500*
029600     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
029700         GO TO A200-PROGRAM-CONTROL
029800     END-IF.
029900*
030000     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
030100*
030200 A300-CHECK-RANGES.
030300*
030400     MOVE 'Y'                    TO WS-CARD-READ-SW.
030500     INSPECT MTCC-MBU925-BEG-X   REPLACING ALL SPACE BY ZERO.
030600*
030700     IF  MTCC-MBU925-END-X IS EQUAL TO SPACES
030800         MOVE MTCC-MBU925-BEG-X  TO MTCC-MBU925-END-X
030900     END-IF.
031000*
031100     INSPECT MTCC-MBU925-END-X   REPLACING ALL SPACE BY ZERO.
031200*
031300     MOVE MTCC-MBU925-BEG-X      TO WS-BEG-ORG-MERCHANT.
031400*
031500     MOVE MTCC-MBU925-END-X      TO WS-END-ORG-MERCHANT.
031600*
031700     IF  WS-BACKUP
031800         GO TO A350-READ-NEXT-MBMF
031900     END-IF.
032000*
032100     MOVE WS-MMPF-BEG-KEY        TO MMPFIO-KEY.
032200*
032300     MOVE 'S1IC'                 TO SS02WS-ABEND-LOCATION.
032400     SET  MMPFRB-START-GTE       TO TRUE.
032500     PERFORM MB00PD-MMPF-ACCESS  THRU MB00PD-MMPF-ACCESS-EXIT.
032600*
032700     IF  SS02WS-FS-NO-RECORD-FOUND
032800         GO TO A500-CONTROL-CARD-ERROR
032900     END-IF.
033000*
033100 A350-READ-NEXT.
033200*
033300     MOVE 'R2PF'                 TO SS02WS-ABEND-LOCATION.
033400     SET  MMPFRB-READ-SEQ        TO TRUE.
033500     PERFORM MB00PD-MMPF-ACCESS  THRU MB00PD-MMPF-ACCESS-EXIT.
033600*
033700     IF  SS02WS-FS-END-OF-FILE
033800         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
033900             GO TO A200-PROGRAM-CONTROL
034000         ELSE
034100             PERFORM MB21PD-PRINT-A-PAGE
034200                                 THRU MB21PD-PAP-EXIT
034300             GO TO A200-PROGRAM-CONTROL.
034400*
034500     IF  MMPFIO-KEY IS GREATER THAN WS-MMPF-END-KEY
034600         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
034700             GO TO A200-PROGRAM-CONTROL
034800         ELSE
034900             PERFORM MB21PD-PRINT-A-PAGE
035000                                 THRU MB21PD-PAP-EXIT
035100             GO TO A200-PROGRAM-CONTROL.
035200*
035300     IF  MMPFIO-HEADER
035400     OR  MMPFIO-TRAILER
035500         GO TO A350-READ-NEXT.
035600*
035700     MOVE MMPFIO-RECORD          TO MMPF-RECORD.
035800*
035900     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
036000     GO TO A350-READ-NEXT.
036100*
036200 A350-READ-NEXT-MBMF.
036300*
036400     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
036500     SET  MBMFRB-READ-SEQ        TO TRUE.
036600     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
036700*
036800     IF  SS02WS-FS-NO-RECORD-FOUND
036900         GO TO A500-CONTROL-CARD-ERROR
037000     END-IF.
037100*
037200     IF  SS02WS-FS-END-OF-FILE
037300         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
037400             GO TO A200-PROGRAM-CONTROL
037500         ELSE
037600             PERFORM MB21PD-PRINT-A-PAGE
037700                                 THRU MB21PD-PAP-EXIT
037800             GO TO A200-PROGRAM-CONTROL.
037900*
038000     IF  MBMFIO-FILE-IS-MMPF
038100         CONTINUE
038200     ELSE
038300         GO TO A350-READ-NEXT-MBMF
038400     END-IF.
038500*
038600     MOVE MBMFIO-VAR-DATA        TO MMPF-RECORD.
038700*
038800     IF  MMPF-KEY IS LESS THAN WS-MMPF-BEG-KEY
038900         GO TO A350-READ-NEXT-MBMF
039000     END-IF.
039100*
039200     IF  MMPF-KEY IS GREATER THAN WS-MMPF-END-KEY
039300         PERFORM MB21PD-PRINT-A-PAGE
039400                                 THRU MB21PD-PAP-EXIT
039500         GO TO A200-PROGRAM-CONTROL
039600     END-IF.
039700*
039800     IF  MMPF-ORG IS EQUAL TO 999
039900         GO TO A350-READ-NEXT-MBMF.
040000*
040100     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
040200     GO TO A350-READ-NEXT-MBMF.
040300*
040400 A400-CHECK-READ-SWITCH.
040500*
040600     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
040700         MOVE '*** NO CONTROL CARDS ***'
040800                                 TO MB21WS-PP-COL44 (5 1)
040900         PERFORM MB21PD-PRINT-A-PAGE
041000                                 THRU MB21PD-PAP-EXIT.
041100*
041200     GO TO A600-CLOSE-FILES.
041300*
041400 A500-CONTROL-CARD-ERROR.
041500*
041600     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
041700     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
041800     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
041900     MOVE SPACE                  TO MB21WS-PP-LINE (4).
042000     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
042100     GO TO A200-PROGRAM-CONTROL.
042200*
042300 A600-CLOSE-FILES.
042400*
042500     EVALUATE TRUE
042600         WHEN  WS-BACKUP
042700             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
042800             SET MBMFRB-CLOSE    TO TRUE
042900             PERFORM MB00PD-MBMF-ACCESS
043000                                 THRU MB00PD-MBMF-ACCESS-EXIT
043100         WHEN  WS-MASTER
043200             MOVE 'C1PF'         TO SS02WS-ABEND-LOCATION
043300             SET MMPFRB-CLOSE    TO TRUE
043400             PERFORM MB00PD-MMPF-ACCESS
043500                                 THRU MB00PD-MMPF-ACCESS-EXIT
043600         WHEN  OTHER
043700             CONTINUE
043800     END-EVALUATE.
043900*
044000     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
044100     SET MTCCRB-CLOSE            TO TRUE.
044200     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
044300*
044400     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
044500     SET MMSCRB-CLOSE            TO TRUE.
044600     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
044700*
044800     PERFORM MB20PD-CLOSE-PRINT-FILES
044900                                 THRU MB20PD-CPF-EXIT.
045000*
045100     STOP RUN.
045200*
045300 B100-PRT-BEGIN.
045400*
045500     MOVE '*----PLATE FILE REC (MMPF)------*'
045600                                 TO MB21WS-PRINT-WORK-AREA.
045700     PERFORM MB21PD-INSERT-A-COLUMN
045800                                 THRU MB21PD-IAC-EXIT 2 TIMES.
045900*
046000     MOVE 'ORG'                  TO MB21WS-NAME.
046100     MOVE MMPF-ORG               TO MB21WS-3V0.
046200     PERFORM MB21PD-INSERT-A-COLUMN
046300                                 THRU MB21PD-IAC-EXIT.
046400*
046500     MOVE 'MERCHANT'             TO MB21WS-NAME.
046600     MOVE MMPF-MERCHANT          TO MB21WS-9V0.
046700     PERFORM MB21PD-INSERT-A-COLUMN
046800                                 THRU MB21PD-IAC-EXIT.
046900*
047000     MOVE 'TYPE'                 TO MB21WS-NAME.
047100     MOVE MMPF-TYPE              TO MB21WS-X.
047200     PERFORM MB21PD-INSERT-A-COLUMN
047300                                 THRU MB21PD-IAC-EXIT.
047400*
047500     MOVE 'REC-STATUS'           TO MB21WS-NAME.
047600     MOVE MMPF-REC-STATUS        TO MB21WS-1V0.
047700     PERFORM MB21PD-INSERT-A-COLUMN
047800                                 THRU MB21PD-IAC-EXIT.
047900*
048000     MOVE 'ONLINE-STATUS'        TO MB21WS-NAME.
048100     MOVE MMPF-ONLINE-STATUS     TO MB21WS-2V0.
048200     PERFORM MB21PD-INSERT-A-COLUMN
048300                                 THRU MB21PD-IAC-EXIT.
048400*
048500     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
048600     MOVE MMPF-LAST-MAINT-DATE   TO SS01WS-JULIAN.
048700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
048800     MOVE MMPF-LAST-MAINT-DATE   TO MB21WS-JULIAN.
048900     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
049000     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
049100     PERFORM MB21PD-INSERT-A-COLUMN
049200                                 THRU MB21PD-IAC-EXIT.
049300*
049400     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
049500     MOVE MMPF-LAST-MAINT-OPER   TO MB21WS-3X.
049600     PERFORM MB21PD-INSERT-A-COLUMN
049700                                 THRU MB21PD-IAC-EXIT 2 TIMES.
049800*
049900     MOVE '*------------- PLATE DATA -------------*'
050000                                 TO MB21WS-PRINT-WORK-AREA.
050100     PERFORM MB21PD-INSERT-A-COLUMN
050200                                 THRU MB21PD-IAC-EXIT.
050300*
050400     MOVE 'STMT-ADDR-CONTROL'    TO MB21WS-NAME.
050500     MOVE MMPF-STMT-ADDR-CONTROL TO MB21WS-X.
050600     PERFORM MB21PD-INSERT-A-COLUMN
050700                                 THRU MB21PD-IAC-EXIT.
050800*
050900     PERFORM
051000         VARYING X-MMPF-PRD FROM +1 BY +1
051100         UNTIL   X-MMPF-PRD IS GREATER THAN +4
051200             SET WS-PLATE-REQUEST-NBR
051300                                 TO X-MMPF-PRD
051400             MOVE WS-PLATE-REQUEST-LINES
051500                                 TO MB21WS-DATA-NAME
051600             PERFORM MB21PD-INSERT-A-COLUMN
051700                                 THRU MB21PD-IAC-EXIT
051800             MOVE 'NBR-PLATES-REQ'
051900                                 TO MB21WS-NAME
052000             MOVE MMPF-NBR-PLATES-REQ (X-MMPF-PRD)
052100                                 TO MB21WS-5V0
052200             PERFORM MB21PD-INSERT-A-COLUMN
052300                                 THRU MB21PD-IAC-EXIT
052400             MOVE 'PLATE-TYPE'   TO MB21WS-NAME
052500             MOVE MMPF-PLATE-TYPE (X-MMPF-PRD)
052600                                 TO MB21WS-2X
052700             PERFORM MB21PD-INSERT-A-COLUMN
052800                                 THRU MB21PD-IAC-EXIT
052900     END-PERFORM.
053000*
053100     PERFORM MB21PD-INSERT-A-COLUMN
053200                                 THRU MB21PD-IAC-EXIT.
053300*
053400     MOVE 'MERCHANT-ID'          TO MB21WS-NAME.
053500     MOVE MMPF-MERCHANT-ID       TO MB21WS-9V0.
053600     PERFORM MB21PD-INSERT-A-COLUMN
053700                                 THRU MB21PD-IAC-EXIT.
053800*
053900     MOVE 'ACTIVE-DR-RT'         TO MB21WS-NAME.
054000     MOVE MMPF-ACTIVE-DR-RT      TO MB21WS-9V0.
054100     PERFORM MB21PD-INSERT-A-COLUMN
054200                                 THRU MB21PD-IAC-EXIT.
054300*
054400     MOVE 'ACTIVE-DR-ACCT'       TO MB21WS-NAME.
054500     MOVE MMPF-ACTIVE-DR-ACCT    TO MB21WS-17X.
054600     PERFORM MB21PD-INSERT-A-COLUMN
054700                                 THRU MB21PD-IAC-EXIT.
054800*
054900     MOVE 'ACTIVE-DR-ACCT-TYPE'  TO MB21WS-NAME.
055000     MOVE MMPF-ACTIVE-DR-ACCT-TYPE
055100                                 TO MB21WS-X.
055200     PERFORM MB21PD-INSERT-A-COLUMN
055300                                 THRU MB21PD-IAC-EXIT.
055400*
055500     MOVE 'USER-DATA'            TO MB21WS-NAME.
055600     MOVE MMPF-USER-DATA         TO MB21WS-17X.
055700     PERFORM MB21PD-INSERT-A-COLUMN
055800                                 THRU MB21PD-IAC-EXIT.
055900*
056000     MOVE 'USER-CODE'            TO MB21WS-NAME.
056100     MOVE MMPF-USER-CODE         TO MB21WS-3X.
056200     PERFORM MB21PD-INSERT-A-COLUMN
056300                                 THRU MB21PD-IAC-EXIT.
056400*
056500     MOVE 'USER-PHONE'           TO MB21WS-NAME.
056600     MOVE MMPF-USER-PHONE        TO MB21WS-20X.
056700     PERFORM MB21PD-INSERT-A-COLUMN
056800                                 THRU MB21PD-IAC-EXIT.
056900*
057000     MOVE 'USER-NAME'            TO MB21WS-NAME.
057100     MOVE MMPF-USER-NAME         TO MB21WS-30X.
057200     PERFORM MB21PD-INSERT-A-COLUMN
057300                                 THRU MB21PD-IAC-EXIT.
057400*
057500     MOVE 'USER-NBR-1'           TO MB21WS-NAME.
057600     MOVE MMPF-USER-NBR-1        TO MB21WS-9V0.
057700     PERFORM MB21PD-INSERT-A-COLUMN
057800                                 THRU MB21PD-IAC-EXIT.
057900*
058000     MOVE 'USER-NBR-2'           TO MB21WS-NAME.
058100     MOVE MMPF-USER-NBR-2        TO MB21WS-9V0.
058200     PERFORM MB21PD-INSERT-A-COLUMN
058300                                 THRU MB21PD-IAC-EXIT.
058400*
058500     MOVE 'AGENT-BANK'           TO MB21WS-NAME.
058600     MOVE MMPF-AGENT-BANK        TO MB21WS-5V0.
058700     PERFORM MB21PD-INSERT-A-COLUMN
058800                                 THRU MB21PD-IAC-EXIT.
058900*
059000     MOVE 'BRANCH'               TO MB21WS-NAME.
059100     MOVE MMPF-BRANCH            TO MB21WS-9V0.
059200     PERFORM MB21PD-INSERT-A-COLUMN
059300                                 THRU MB21PD-IAC-EXIT 2 TIMES.
059400*
059500     MOVE '* MERCHANT DEMOGRAPHICS/IMPRINTER DATA *'
059600                                 TO MB21WS-PRINT-WORK-AREA.
059700     PERFORM MB21PD-INSERT-A-COLUMN
059800                                 THRU MB21PD-IAC-EXIT.
059900*
060000     PERFORM
060100         VARYING X-MMPF-M-PRIMARY FROM +1 BY +1
060200         UNTIL   X-MMPF-M-PRIMARY IS GREATER THAN +2
060300             SET WS-NAME-ADDR-NBR
060400                                 TO X-MMPF-M-PRIMARY
060500             MOVE WS-NAME-ADDR-INFO
060600                                 TO MB21WS-DATA-NAME
060700             PERFORM MB21PD-INSERT-A-COLUMN
060800                                 THRU MB21PD-IAC-EXIT
060900             MOVE 'M-GNA-NUMBER' TO MB21WS-NAME
061000             MOVE MMPF-M-GNA-NBR (X-MMPF-M-PRIMARY)
061100                                 TO MB21WS-19X
061200             PERFORM MB21PD-INSERT-A-COLUMN
061300                                 THRU MB21PD-IAC-EXIT
061400             PERFORM
061500                 VARYING X-MMPF-M-NA FROM +1 BY +1
061600                 UNTIL   X-MMPF-M-NA IS GREATER THAN +5
061700                 SET WS-NAME-ADDR-LINE-NBR
061800                                 TO X-MMPF-M-NA
061900                 MOVE WS-NAME-ADDR-LINES
062000                                 TO MB21WS-DATA-NAME
062100                 PERFORM MB21PD-INSERT-A-COLUMN
062200                                 THRU MB21PD-IAC-EXIT
062300                 MOVE MMPF-M-NA-LINE (X-MMPF-M-PRIMARY
062400                                    X-MMPF-M-NA)
062500                                 TO MB21WS-X40
062600                 PERFORM MB21PD-INSERT-A-COLUMN
062700                                 THRU MB21PD-IAC-EXIT
062800             END-PERFORM
062900             MOVE 'M-NA-OVERFLOW-SW'
063000                                 TO MB21WS-NAME
063100             MOVE MMPF-M-NA-OVERFLOW-SW (X-MMPF-M-PRIMARY)
063200                                 TO MB21WS-X
063300             PERFORM MB21PD-INSERT-A-COLUMN
063400                                 THRU MB21PD-IAC-EXIT
063500             MOVE 'M-COUNTRY-CODE'
063600                                 TO MB21WS-NAME
063700             MOVE MMPF-M-COUNTRY-CODE (X-MMPF-M-PRIMARY)
063800                                 TO MB21WS-3X
063900             PERFORM MB21PD-INSERT-A-COLUMN
064000                                 THRU MB21PD-IAC-EXIT
064100             MOVE 'M-STATE-CODE' TO MB21WS-NAME
064200             MOVE MMPF-M-STATE-CODE (X-MMPF-M-PRIMARY)
064300                                 TO MB21WS-3X
064400             PERFORM MB21PD-INSERT-A-COLUMN
064500                                 THRU MB21PD-IAC-EXIT
064600             MOVE 'M-POSTAL-CODE'
064700                                 TO MB21WS-NAME
064800             MOVE MMPF-M-POSTAL-CODE (X-MMPF-M-PRIMARY)
064900                                 TO MB21WS-10X
065000             PERFORM MB21PD-INSERT-A-COLUMN
065100                                 THRU MB21PD-IAC-EXIT
065200             MOVE 'M-PHONE'      TO MB21WS-NAME
065300             MOVE MMPF-M-PHONE (X-MMPF-M-PRIMARY)
065400                                 TO MB21WS-20X
065500             PERFORM MB21PD-INSERT-A-COLUMN
065600                                 THRU MB21PD-IAC-EXIT
065700             MOVE 'M-FAX'        TO MB21WS-NAME
065800             MOVE MMPF-M-FAX (X-MMPF-M-PRIMARY)
065900                                 TO MB21WS-20X
066000             PERFORM MB21PD-INSERT-A-COLUMN
066100                                 THRU MB21PD-IAC-EXIT 2 TIMES
066200     END-PERFORM.
066300*
066400     MOVE 'M-DBA-NAME'           TO MB21WS-NAME.
066500     MOVE MMPF-M-DBA-NAME        TO MB21WS-25X.
066600     PERFORM MB21PD-INSERT-A-COLUMN
066700                                 THRU MB21PD-IAC-EXIT.
066800*
066900     MOVE 'M-DBA-CITY'           TO MB21WS-NAME.
067000     MOVE MMPF-M-DBA-CITY        TO MB21WS-25X.
067100     PERFORM MB21PD-INSERT-A-COLUMN
067200                                 THRU MB21PD-IAC-EXIT.
067300*
067400     MOVE 'M-DBA-COUNTRY-CODE'   TO MB21WS-NAME.
067500     MOVE MMPF-M-DBA-COUNTRY-CODE
067600                                 TO MB21WS-3X.
067700     PERFORM MB21PD-INSERT-A-COLUMN
067800                                 THRU MB21PD-IAC-EXIT 2 TIMES.
067900*
068000     PERFORM
068100         VARYING X-MMPF-M-IMP FROM +1 BY +1
068200         UNTIL   X-MMPF-M-IMP IS GREATER THAN +3
068300             SET WS-IMPRINTER-LINE-NBR
068400                                 TO X-MMPF-M-IMP
068500             MOVE WS-IMPRINTER-LINES
068600                                 TO MB21WS-DATA-NAME
068700             PERFORM MB21PD-INSERT-A-COLUMN
068800                                 THRU MB21PD-IAC-EXIT
068900             MOVE 'M-IMP-DEV-TITLE'
069000                                 TO MB21WS-NAME
069100             MOVE MMPF-M-IMP-DEV-TITLE (X-MMPF-M-IMP)
069200                                 TO MB21WS-15X
069300             PERFORM MB21PD-INSERT-A-COLUMN
069400                                 THRU MB21PD-IAC-EXIT
069500             MOVE 'M-IMP-DEV-NBR'
069600                                 TO MB21WS-NAME
069700             MOVE MMPF-M-IMP-DEV-NBR (X-MMPF-M-IMP)
069800                                 TO MB21WS-5V0
069900             PERFORM MB21PD-INSERT-A-COLUMN
070000                                 THRU MB21PD-IAC-EXIT
070100     END-PERFORM.
070200*
070300     PERFORM MB21PD-INSERT-A-COLUMN
070400                                 THRU MB21PD-IAC-EXIT.
070500*
070600     MOVE '*-- STORE DEMOGRAPHICS/IMPRINTER DATA -*'
070700                                 TO MB21WS-PRINT-WORK-AREA.
070800     PERFORM MB21PD-INSERT-A-COLUMN
070900                                 THRU MB21PD-IAC-EXIT.
071000*
071100     PERFORM
071200         VARYING X-MMPF-S-PRIMARY FROM +1 BY +1
071300         UNTIL   X-MMPF-S-PRIMARY IS GREATER THAN +2
071400             SET WS-NAME-ADDR-NBR
071500                                 TO X-MMPF-S-PRIMARY
071600             MOVE WS-NAME-ADDR-INFO
071700                                 TO MB21WS-DATA-NAME
071800             PERFORM MB21PD-INSERT-A-COLUMN
071900                                 THRU MB21PD-IAC-EXIT
072000             MOVE 'S-GNA-NUMBER' TO MB21WS-NAME
072100             MOVE MMPF-S-GNA-NBR (X-MMPF-S-PRIMARY)
072200                                 TO MB21WS-19X
072300             PERFORM MB21PD-INSERT-A-COLUMN
072400                                 THRU MB21PD-IAC-EXIT
072500             PERFORM
072600                 VARYING X-MMPF-S-NA FROM +1 BY +1
072700                 UNTIL   X-MMPF-S-NA IS GREATER THAN +5
072800                 SET WS-NAME-ADDR-LINE-NBR
072900                                 TO X-MMPF-S-NA
073000                 MOVE WS-NAME-ADDR-LINES
073100                                 TO MB21WS-DATA-NAME
073200                 PERFORM MB21PD-INSERT-A-COLUMN
073300                                 THRU MB21PD-IAC-EXIT
073400                 MOVE MMPF-S-NA-LINE (X-MMPF-S-PRIMARY
073500                                    X-MMPF-S-NA)
073600                                 TO MB21WS-X40
073700                 PERFORM MB21PD-INSERT-A-COLUMN
073800                                 THRU MB21PD-IAC-EXIT
073900             END-PERFORM
074000             MOVE 'S-NA-OVERFLOW-SW'
074100                                 TO MB21WS-NAME
074200             MOVE MMPF-S-NA-OVERFLOW-SW (X-MMPF-S-PRIMARY)
074300                                 TO MB21WS-X
074400             PERFORM MB21PD-INSERT-A-COLUMN
074500                                 THRU MB21PD-IAC-EXIT
074600             MOVE 'S-COUNTRY-CODE'
074700                                 TO MB21WS-NAME
074800             MOVE MMPF-S-COUNTRY-CODE (X-MMPF-S-PRIMARY)
074900                                 TO MB21WS-3X
075000             PERFORM MB21PD-INSERT-A-COLUMN
075100                                 THRU MB21PD-IAC-EXIT
075200             MOVE 'S-STATE-CODE' TO MB21WS-NAME
075300             MOVE MMPF-S-STATE-CODE (X-MMPF-S-PRIMARY)
075400                                 TO MB21WS-3X
075500             PERFORM MB21PD-INSERT-A-COLUMN
075600                                 THRU MB21PD-IAC-EXIT
075700             MOVE 'S-POSTAL-CODE'
075800                                 TO MB21WS-NAME
075900             MOVE MMPF-S-POSTAL-CODE (X-MMPF-S-PRIMARY)
076000                                 TO MB21WS-10X
076100             PERFORM MB21PD-INSERT-A-COLUMN
076200                                 THRU MB21PD-IAC-EXIT
076300             MOVE 'S-PHONE'      TO MB21WS-NAME
076400             MOVE MMPF-S-PHONE (X-MMPF-S-PRIMARY)
076500                                 TO MB21WS-20X
076600             PERFORM MB21PD-INSERT-A-COLUMN
076700                                 THRU MB21PD-IAC-EXIT
076800             MOVE 'S-FAX'        TO MB21WS-NAME
076900             MOVE MMPF-S-FAX (X-MMPF-S-PRIMARY)
077000                                 TO MB21WS-20X
077100             PERFORM MB21PD-INSERT-A-COLUMN
077200                                 THRU MB21PD-IAC-EXIT 2 TIMES
077300     END-PERFORM.
077400*
077500     MOVE 'S-DBA-NAME'           TO MB21WS-NAME.
077600     MOVE MMPF-S-DBA-NAME        TO MB21WS-25X.
077700     PERFORM MB21PD-INSERT-A-COLUMN
077800                                 THRU MB21PD-IAC-EXIT.
077900*
078000     MOVE 'S-DBA-CITY'           TO MB21WS-NAME.
078100     MOVE MMPF-S-DBA-CITY        TO MB21WS-25X.
078200     PERFORM MB21PD-INSERT-A-COLUMN
078300                                 THRU MB21PD-IAC-EXIT.
078400*
078500     MOVE 'S-DBA-COUNTRY-CODE'   TO MB21WS-NAME.
078600     MOVE MMPF-S-DBA-COUNTRY-CODE
078700                                 TO MB21WS-3X.
078800     PERFORM MB21PD-INSERT-A-COLUMN
078900                                 THRU MB21PD-IAC-EXIT 2 TIMES.
079000*
079100     PERFORM
079200         VARYING X-MMPF-S-IMP FROM +1 BY +1
079300         UNTIL   X-MMPF-S-IMP IS GREATER THAN +3
079400             SET WS-IMPRINTER-LINE-NBR
079500                                 TO X-MMPF-S-IMP
079600             MOVE WS-IMPRINTER-LINES
079700                                 TO MB21WS-DATA-NAME
079800             PERFORM MB21PD-INSERT-A-COLUMN
079900                                 THRU MB21PD-IAC-EXIT
080000             MOVE 'S-IMP-DEV-TITLE'
080100                                 TO MB21WS-NAME
080200             MOVE MMPF-S-IMP-DEV-TITLE (X-MMPF-S-IMP)
080300                                 TO MB21WS-15X
080400             PERFORM MB21PD-INSERT-A-COLUMN
080500                                 THRU MB21PD-IAC-EXIT
080600             MOVE 'S-IMP-DEV-NBR'
080700                                 TO MB21WS-NAME
080800             MOVE MMPF-S-IMP-DEV-NBR (X-MMPF-S-IMP)
080900                                 TO MB21WS-5V0
081000             PERFORM MB21PD-INSERT-A-COLUMN
081100                                 THRU MB21PD-IAC-EXIT
081200     END-PERFORM.
081300*
081400     PERFORM MB21PD-INSERT-A-COLUMN
081500                                 THRU MB21PD-IAC-EXIT.
081600*
081700 B999-PRT-EXIT.
081800     EXIT.
081900*
082000 B200-PRINT-HEADER.
082100*
082200     MOVE 'HEADER RECORD (MMPF-)'
082300                                 TO MB21WS-NAME.
082400     PERFORM MB21PD-INSERT-A-COLUMN
082500                                 THRU MB21PD-IAC-EXIT.
082600*
082700     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
082800     MOVE 'ORG'                  TO MB21WS-NAME.
082900     MOVE MMPFIO-ORG             TO MB21WS-3V0.
083000     PERFORM MB21PD-INSERT-A-COLUMN
083100                                 THRU MB21PD-IAC-EXIT.
083200*
083300     MOVE 'MERCHANT'             TO MB21WS-NAME.
083400     MOVE MMPFIO-MERCHANT        TO MB21WS-9V0.
083500     PERFORM MB21PD-INSERT-A-COLUMN
083600                                 THRU MB21PD-IAC-EXIT.
083700*
083800     MOVE 'TYPE'                 TO MB21WS-NAME.
083900     MOVE MMPFIO-TYPE            TO MB21WS-X.
084000     PERFORM MB21PD-INSERT-A-COLUMN
084100                                 THRU MB21PD-IAC-EXIT.
084200*
084300     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
084400     MOVE MMPFIO-DATE-STAMP      TO SS01WS-JULIAN.
084500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
084600     MOVE MMPFIO-DATE-STAMP      TO MB21WS-JULIAN.
084700     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
084800     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
084900     PERFORM MB21PD-INSERT-A-COLUMN
085000                                 THRU MB21PD-IAC-EXIT.
085100*
085200     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
085300     MOVE MMPFIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
085400     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
085500                                 THRU SS27PD-NET-EXIT.
085600     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
085700     PERFORM MB21PD-INSERT-A-COLUMN
085800                                 THRU MB21PD-IAC-EXIT.
085900*
086000     PERFORM MB21PD-PRINT-A-PAGE
086100                                 THRU MB21PD-PAP-EXIT.
086200*
086300 B200-PH-EXIT.
086400     EXIT.
086500/
086600* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
086700*                          COMMON ROUTINES                      *
086800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
086900*
087000     COPY SS02PD.
087100/
087200     COPY SS08PD.
087300/
087400     COPY SS16PD.
087500/
087600     COPY SS26PD.
087700/
087800     COPY SS27PD.
087900/
088000     COPY MB20PD.
088100/
088200     COPY MB21PD.
088300/
088400     COPY MB99PD.
088500/
088600     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
088700/
088800     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
088900/
089000     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
089100/
089200     COPY MB00PD REPLACING ==:MB00:== BY ==MMPF==.
089300
