000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU936.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*        MBU936 - MERCHANT OUTGOING INTERCHANGE                 *
000600*                 STATISTICS FILE (MMOI)                        *
000700*                                                               *
000800*****************************************************************
000900 ENVIRONMENT DIVISION.
001000 CONFIGURATION SECTION.
001100 SOURCE-COMPUTER.   IBM-4341.
001200 OBJECT-COMPUTER.   IBM-4341.
001300/
001400 INPUT-OUTPUT SECTION.
001500 FILE-CONTROL.
001600/
001700 DATA DIVISION.
001800 FILE SECTION.
001900 WORKING-STORAGE SECTION.
002000*
002100 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002200*
002300     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
002400/
002500     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002600/
002700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002800/
002900     COPY MBMFIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003200/
003300     COPY MBMFRL.
003400/
003500     COPY MMSCIO.
003600/
003700     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003800/
003900     COPY MMSCRL.
004000/
004100     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOI==.
004200/
004300     COPY MB00RB REPLACING ==:MB00:== BY ==MMOI==.
004400/
004500     COPY MMPARL REPLACING ==:MMPA:== BY ==MMOI==.
004600/
004700     COPY MBU999WS.
004800/
004900     COPY MB00WS.
005000/
005100     COPY MB20WS.
005200/
005300     COPY MB21WS.
005400/
005500     COPY MB99WS.
005600/
005700     COPY SS00WS.
005800/
005900     COPY SS01WS.
006000/
006100     COPY SS02WS.
006200/
006300 01  WS-WORK-AREAS.
006400     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU936'.
006500     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006600*
006700     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
006800         88  WS-BACKUP                       VALUE 'BACKUP'.
006900         88  WS-MASTER                       VALUE 'MASTER'.
007000*
007100     03  WS-MMOI-BEG-KEY.
007200         05  WS-MMOI-BEG-KEY-X.
007300             07  WS-BEG-ORG-MERCHANT.
007400                 09  WS-BEG-ORG
007500                             PIC  9(03).
007600                 09  WS-BEG-MERCHANT
007700                             PIC  9(09).
007800             07  WS-BEG-REC-TYPE
007900                             PIC  9(01).
008000             07  WS-BEG-PRODUCT
008100                             PIC  9(02).
008200             07  WS-BEG-QUAL-LEVEL
008300                             PIC  9(02).
008400         05  WS-BEG-LOGIC-MODULE
008500                             PIC  9(03)      VALUE ZEROES.
008600*
008700     03  WS-MMOI-END-KEY.
008800         05  WS-MMOI-END-KEY-X.
008900             07  WS-END-ORG-MERCHANT.
009000                 09  WS-END-ORG
009100                             PIC  9(03).
009200                 09  WS-END-MERCHANT
009300                             PIC  9(09).
009400             07  WS-END-REC-TYPE
009500                             PIC  9(01).
009600             07  WS-END-PRODUCT
009700                             PIC  9(02).
009800             07  WS-END-QUAL-LEVEL
009900                             PIC  9(02).
010000         05  WS-END-LOGIC-MODULE
010100                             PIC  9(03)      VALUE 999.
010200*
010300     03  WS-TOTALS-DESC-AREA.
010400         05  WS-TOTALS-LIT-X.
010500             07  FILLER      PIC  X(40)      VALUE
010600                 'ROLLING 12 STATS, 1-MTH PRIOR (OCCUR 01)'.
010700             07  FILLER      PIC  X(40)      VALUE
010800                 'ROLLING 12 STATS, 2-MTH PRIOR (OCCUR 02)'.
010900             07  FILLER      PIC  X(40)      VALUE
011000                 'ROLLING 12 STATS, 3-MTH PRIOR (OCCUR 03)'.
011100             07  FILLER      PIC  X(40)      VALUE
011200                 'ROLLING 12 STATS, 4-MTH PRIOR (OCCUR 04)'.
011300             07  FILLER      PIC  X(40)      VALUE
011400                 'ROLLING 12 STATS, 5-MTH PRIOR (OCCUR 05)'.
011500             07  FILLER      PIC  X(40)      VALUE
011600                 'ROLLING 12 STATS, 6-MTH PRIOR (OCCUR 06)'.
011700             07  FILLER      PIC  X(40)      VALUE
011800                 'ROLLING 12 STATS, 7-MTH PRIOR (OCCUR 07)'.
011900             07  FILLER      PIC  X(40)      VALUE
012000                 'ROLLING 12 STATS, 8-MTH PRIOR (OCCUR 08)'.
012100             07  FILLER      PIC  X(40)      VALUE
012200                 'ROLLING 12 STATS, 9-MTH PRIOR (OCCUR 09)'.
012300             07  FILLER      PIC  X(40)      VALUE
012400                 'ROLLING 12 STATS,10-MTH PRIOR (OCCUR 10)'.
012500             07  FILLER      PIC  X(40)      VALUE
012600                 'ROLLING 12 STATS,11-MTH PRIOR (OCCUR 11)'.
012700             07  FILLER      PIC  X(40)      VALUE
012800                 'ROLLING 12 STATS,12-MTH PRIOR (OCCUR 12)'.
012900             07  FILLER      PIC  X(40)      VALUE
013000                 'CURRENT DAY STATS             (OCCUR 13)'.
013100             07  FILLER      PIC  X(40)      VALUE
013200                 'MONTH-TO-DATE STATS           (OCCUR 14)'.
013300             07  FILLER      PIC  X(40)      VALUE
013400                 'YEAR-TO-DATE STATS            (OCCUR 15)'.
013500             07  FILLER      PIC  X(40)      VALUE
013600                 'STATEMENT CYCLE-TO-DATE STATS (OCCUR 16)'.
013700             07  FILLER      PIC  X(40)      VALUE
013800                 'DISCOUNT-TO-DATE STATS        (OCCUR 17)'.
013900             07  FILLER      PIC  X(40)      VALUE
014000                 'PARTICIPATION-TO-DATE STATS   (OCCUR 18)'.
014100         05  WS-TOTALS-LIT-R REDEFINES WS-TOTALS-LIT-X.
014200             07  WS-TOTALS-LIT
014300                             PIC  X(40)      OCCURS 18 TIMES
014400                                             INDEXED BY
014500                                             X-WS-MMOI-INDEX.
014600*
014700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014800/
014900 PROCEDURE DIVISION.
015000*
015100 A000-DRIVER.
015200*
015300     MOVE 'MBU936'               TO SS02WS-ABEND-PROG-ID
015400                                    MBU999WS-PROGRAM-ID.
015500*
015600     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
015700*
015800     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
015900     MOVE 'T936'                 TO MB20WS-SH-INTERNAL-RPT-ID.
016000     MOVE '  OUTGOING INTERCHANGE STATS  '
016100                                 TO MB20WS-SH-RPT-NAME.
016200     MOVE SPACES                 TO MB20WS-SH-LIT-1
016300                                    MB20WS-SH-LIT-5
016400                                    MB20WS-SH-L4
016500                                    MB20WS-SH-L5
016600                                    MB20WS-SH-L6.
016700     PERFORM MB21PD-PAP-RESET-INDEXES
016800                                 THRU MB21PD-PAP-EXIT.
016900*
017000 A100-OPEN-FILES.
017100*
017200     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
017300     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
017400     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
017500     SET MTCCRB-OPEN-INPUT       TO TRUE.
017600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
017700*
017800     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
017900     SET MMSCRB-OPEN-INPUT       TO TRUE.
018000     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
018100*
018200     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
018300     SET MMSCRB-READ-SEQ         TO TRUE.
018400     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
018500     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
018600*
018700     IF  MMSCIO-HEADER
018800         NEXT SENTENCE
018900     ELSE
019000         PERFORM MB99PD-MISSING-HEADER-ABEND
019100            THRU MB99PD-MHA-EXIT.
019200*
019300     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
019400*
019410     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
019500     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
019600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
019700     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
019800     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
019900     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
020000                                 THRU SS27PD-NET-EXIT.
020100     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
020200*
020300     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
020400     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
020500     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
020600     MOVE 99                     TO MB20WS-LINE-LIMIT.
020700     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
020800     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
021000*
021100     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION
021200     SET MTCCRB-READ-SEQ         TO TRUE
021300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT
021400*
021500     IF  SS02WS-FS-END-OF-FILE
021600         GO TO A400-CHECK-READ-SWITCH
021700     END-IF.
021800*
021900     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
022000         GO TO A200-PROGRAM-CONTROL
022100     END-IF.
022200*
022300     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
022400*
022500     IF  MTCC-MBU9XX-BACKUP
022600         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
022700         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
022800         SET MBMFRB-OPEN-INPUT   TO TRUE
022900         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
023000         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
023100         SET MBMFRB-READ-SEQ     TO TRUE
023200         MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MBMFRB-PERM-STATUS-3
023400         MOVE SS02WS-END-OF-FILE
023500                                 TO MBMFRB-PERM-STATUS-4
023600         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
023700     ELSE
023800         MOVE 'O1OI'             TO SS02WS-ABEND-LOCATION
023900         SET MMOIRB-OPEN-INPUT   TO TRUE
024000         PERFORM MB00PD-MMOI-ACCESS THRU MB00PD-MMOI-ACCESS-EXIT
024100         MOVE 'R1OI'             TO SS02WS-ABEND-LOCATION
024200         SET MMOIRB-READ-SEQ     TO TRUE
024300         MOVE SS02WS-NO-RECORD-FOUND
024400                                 TO MMOIRB-PERM-STATUS-3
024500         MOVE SS02WS-END-OF-FILE
024600                                 TO MMOIRB-PERM-STATUS-4
024700         PERFORM MB00PD-MMOI-ACCESS THRU MB00PD-MMOI-ACCESS-EXIT
024800         GO TO A130-PRINT-HR-RECORD
024900     END-IF.
025000*
025100     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
025200*
025300     IF  MBMFIO-FILE-IS-HEADER
025400         NEXT SENTENCE
025500     ELSE
025600         PERFORM MB99PD-MISSING-HEADER-ABEND
025700            THRU MB99PD-MHA-EXIT.
025800*
025900     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
026000*
026100     SET X-MBMF-FILE             TO 1.
026200*
026300 A110-SEARCH-HEADER-TABLE-LOOP.
026400*
026500     IF  X-MBMF-FILE IS GREATER THAN 75
026600         MOVE 'MMOI'             TO MB99WS-FILE-ID
026700         PERFORM MB99PD-NOT-ON-BACKUP
026800            THRU MB99PD-NOB-EXIT.
026900*
027000     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'OI'
027100         CONTINUE
027200     ELSE
027300         SET X-MBMF-FILE         UP BY 1
027400         GO TO A110-SEARCH-HEADER-TABLE-LOOP
027500     END-IF.
027600*
027700 A120-READ-MBMF-LOOP.
027800*
027900     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
028000     SET MBMFRB-READ-SEQ         TO TRUE.
028100     MOVE SS02WS-NO-RECORD-FOUND
028200                                 TO MBMFRB-PERM-STATUS-3.
028300     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
028400     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
028500*
028600     IF  SS02WS-FS-END-OF-FILE
028700         GO TO A200-PROGRAM-CONTROL
028800     END-IF.
028900*
029000     IF  MBMFIO-FILE-IS-MMOI
029100         CONTINUE
029200     ELSE
029300         GO TO A120-READ-MBMF-LOOP
029400     END-IF.
029500*
029600 A130-PRINT-HR-RECORD.
029700*
029800     IF  WS-BACKUP
029900         MOVE MBMFIO-VAR-DATA    TO MMOIIO-RECORD
030000     END-IF.
030100*
030200     MOVE 'MMOI'                 TO MB99WS-FILE-ID.
030300*
030400     IF  MMOIIO-HEADER
030500         PERFORM B200-PRINT-HEADER
030600                                 THRU B200-PH-EXIT
030700     ELSE
030800         PERFORM MB99PD-MISSING-HEADER-ABEND
030900            THRU MB99PD-MHA-EXIT.
031000*
031100     MOVE MMOIIO-RECORD          TO MMOI-RECORD.
031200*
031300 A200-PROGRAM-CONTROL.
031400*
031500     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
031600         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
031700     ELSE
031800         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
031900             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
032000             GO TO A210-PC-BY-FIRST-READ.
032100*
032200     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
032300     SET MTCCRB-READ-SEQ         TO TRUE.
032400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
032500*
032600     IF  SS02WS-FS-END-OF-FILE
032700         GO TO A400-CHECK-READ-SWITCH
032800     END-IF.
032900*
033000 A210-PC-BY-FIRST-READ.
033100*
033200     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
033300         GO TO A200-PROGRAM-CONTROL
033400     END-IF.
033500*
033600     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
033700*
033800 A300-RANGE-CARD.
033900*
034000     MOVE 'Y'                    TO WS-CARD-READ-SW.
034100     INSPECT MTCC-MBU936-BEG-X   REPLACING ALL SPACE BY ZERO.
034200*
034300     IF  MTCC-MBU936-END-X IS EQUAL TO SPACES
034400         MOVE MTCC-MBU936-BEG-X  TO MTCC-MBU936-END-X
034500     END-IF.
034600*
034700     INSPECT MTCC-MBU936-END-X   REPLACING ALL SPACE BY ZERO.
034800*
034900     MOVE MTCC-MBU936-BEG-X      TO WS-MMOI-BEG-KEY-X.
035000*
035100     MOVE MTCC-MBU936-END-X      TO WS-MMOI-END-KEY-X.
035200*
035300     IF  WS-BACKUP
035400         GO TO A350-READ-NEXT-MBMF
035500     END-IF.
035600*
035700     MOVE WS-MMOI-BEG-KEY        TO MMOIIO-KEY.
035800*
035900     MOVE 'S1OI'                 TO SS02WS-ABEND-LOCATION.
036000     SET  MMOIRB-START-GTE       TO TRUE.
036100     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
036200*
036300     IF  SS02WS-FS-NO-RECORD-FOUND
036400         GO TO A500-CONTROL-CARD-ERROR
036500     END-IF.
036600*
036700 A350-READ-NEXT.
036800*
036900     MOVE 'R2OI'                 TO SS02WS-ABEND-LOCATION.
037000     SET  MMOIRB-READ-SEQ        TO TRUE.
037100     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
037200*
037300     IF  SS02WS-FS-END-OF-FILE
037400         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
037500             GO TO A200-PROGRAM-CONTROL
037600         ELSE
037700             PERFORM MB21PD-PRINT-A-PAGE
037800                                 THRU MB21PD-PAP-EXIT
037900             GO TO A200-PROGRAM-CONTROL.
038000*
038100     IF  MMOIIO-KEY IS GREATER THAN WS-MMOI-END-KEY
038200         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
038300             GO TO A200-PROGRAM-CONTROL
038400         ELSE
038500             PERFORM MB21PD-PRINT-A-PAGE
038600                                 THRU MB21PD-PAP-EXIT
038700             GO TO A200-PROGRAM-CONTROL.
038800*
038900     IF  MMOIIO-HEADER
039000     OR  MMOIIO-TRAILER
039100         GO TO A350-READ-NEXT.
039200*
039300     MOVE MMOIIO-RECORD          TO MMOI-RECORD.
039400*
039500     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
039600     GO TO A350-READ-NEXT.
039700*
039800 A350-READ-NEXT-MBMF.
039900*
040000     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
040100     SET  MBMFRB-READ-SEQ        TO TRUE.
040200     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
040300*
040400     IF  SS02WS-FS-NO-RECORD-FOUND
040500         GO TO A500-CONTROL-CARD-ERROR
040600     END-IF.
040700*
040800     IF  SS02WS-FS-END-OF-FILE
040900         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
041000             GO TO A200-PROGRAM-CONTROL
041100         ELSE
041200             PERFORM MB21PD-PRINT-A-PAGE
041300                                 THRU MB21PD-PAP-EXIT
041400             GO TO A200-PROGRAM-CONTROL.
041500*
041600     IF  MBMFIO-FILE-IS-MMOI
041700         CONTINUE
041800     ELSE
041900         GO TO A350-READ-NEXT-MBMF
042000     END-IF.
042100*
042200     MOVE MBMFIO-VAR-DATA        TO MMOI-RECORD.
042300*
042400     IF  MMOI-KEY IS LESS THAN WS-MMOI-BEG-KEY
042500         GO TO A350-READ-NEXT-MBMF
042600     END-IF.
042700*
042800     IF  MMOI-KEY IS GREATER THAN WS-MMOI-END-KEY
042900         PERFORM MB21PD-PRINT-A-PAGE
043000                                 THRU MB21PD-PAP-EXIT
043100         GO TO A200-PROGRAM-CONTROL
043200     END-IF.
043300*
043400     IF  MMOI-ORG IS EQUAL TO 999
043500         GO TO A350-READ-NEXT-MBMF.
043600*
043700     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
043800     GO TO A350-READ-NEXT-MBMF.
043900*
044000 A400-CHECK-READ-SWITCH.
044100*
044200     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
044300         MOVE '*** NO CONTROL CARDS ***'
044400                                 TO MB21WS-PP-COL44 (5 1)
044500         PERFORM MB21PD-PRINT-A-PAGE
044600                                 THRU MB21PD-PAP-EXIT.
044700*
044800     GO TO A600-CLOSE-FILES.
044900*
045000 A500-CONTROL-CARD-ERROR.
045100*
045200     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
045300     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
045400     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
045500     MOVE SPACE                  TO MB21WS-PP-LINE (4).
045600     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
045700     GO TO A200-PROGRAM-CONTROL.
045800*
045900 A600-CLOSE-FILES.
046000*
046100     EVALUATE TRUE
046200         WHEN  WS-BACKUP
046300             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
046400             SET MBMFRB-CLOSE    TO TRUE
046500             PERFORM MB00PD-MBMF-ACCESS
046600                                 THRU MB00PD-MBMF-ACCESS-EXIT
046700         WHEN  WS-MASTER
046800             MOVE 'C1OI'         TO SS02WS-ABEND-LOCATION
046900             SET MMOIRB-CLOSE    TO TRUE
047000             PERFORM MB00PD-MMOI-ACCESS
047100                                 THRU MB00PD-MMOI-ACCESS-EXIT
047200         WHEN  OTHER
047300             CONTINUE
047400     END-EVALUATE.
047500*
047600     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
047700     SET MTCCRB-CLOSE            TO TRUE.
047800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
047900*
048000     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
048100     SET MMSCRB-CLOSE            TO TRUE.
048200     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
048300*
048400     PERFORM MB20PD-CLOSE-PRINT-FILES
048500                                 THRU MB20PD-CPF-EXIT.
048600*
048700     STOP RUN.
048800/
048900 B100-PRT-BEGIN.
049000*
049100     MOVE '*  OUTGOING INTERCHANGE STATS REC (MMOI)  *'
049200                                 TO MB21WS-PRINT-WORK-AREA.
049300     PERFORM MB21PD-INSERT-A-COLUMN
049400                                 THRU MB21PD-IAC-EXIT.
049500*
049600     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
049700     MOVE 'ORG'                  TO MB21WS-NAME.
049800     MOVE MMOI-ORG               TO MB21WS-3V0.
049900     PERFORM MB21PD-INSERT-A-COLUMN
050000                                 THRU MB21PD-IAC-EXIT.
050100*
050200     MOVE 'MERCHANT'             TO MB21WS-NAME.
050300     MOVE MMOI-ACCT              TO MB21WS-9V0.
050400     PERFORM MB21PD-INSERT-A-COLUMN
050500                                 THRU MB21PD-IAC-EXIT.
050600*
050700     MOVE 'REC-TYPE'             TO MB21WS-NAME.
050800     MOVE MMOI-REC-TYPE          TO MB21WS-1V0.
050900     PERFORM MB21PD-INSERT-A-COLUMN
051000                                 THRU MB21PD-IAC-EXIT.
051100*
051200     MOVE 'PRODUCT'              TO MB21WS-NAME.
051300     MOVE MMOI-PRODUCT           TO MB21WS-2V0.
051400     PERFORM MB21PD-INSERT-A-COLUMN
051500                                 THRU MB21PD-IAC-EXIT.
051600*
051700     MOVE 'QUAL-LEVEL'           TO MB21WS-NAME.
051800     MOVE MMOI-QUAL-LEVEL        TO MB21WS-2V0.
051900     PERFORM MB21PD-INSERT-A-COLUMN
052000                                 THRU MB21PD-IAC-EXIT.
052100*
052200     MOVE 'LOGIC-MODULE'         TO MB21WS-NAME.
052300     MOVE MMOI-LOGIC-MODULE      TO MB21WS-3V0.
052400     PERFORM MB21PD-INSERT-A-COLUMN
052500                                 THRU MB21PD-IAC-EXIT.
052600*
052700     MOVE 'REC-STATUS'           TO MB21WS-NAME.
052800     MOVE MMOI-REC-STATUS        TO MB21WS-1V0.
052900     PERFORM MB21PD-INSERT-A-COLUMN
053000                                 THRU MB21PD-IAC-EXIT 2 TIMES.
053100*
053200     MOVE '*--------- TOTALS DATA AREA -----------*'
053300                                 TO MB21WS-PRINT-WORK-AREA.
053400     PERFORM MB21PD-INSERT-A-COLUMN
053500                                 THRU MB21PD-IAC-EXIT.
053600*
053700     PERFORM
053800         VARYING X-MMOI FROM +1 BY +1
053900         UNTIL   X-MMOI IS GREATER THAN +18
054000         SET X-WS-MMOI-INDEX     TO X-MMOI
054100         MOVE WS-TOTALS-LIT (X-WS-MMOI-INDEX)
054200                                 TO MB21WS-PRINT-WORK-AREA
054300         PERFORM MB21PD-INSERT-A-COLUMN
054400                                 THRU MB21PD-IAC-EXIT
054500         MOVE 'NUMBER'           TO MB21WS-NAME
054600         MOVE MMOI-NBR (X-MMOI)  TO MB21WS-9V0
054700         PERFORM MB21PD-INSERT-A-COLUMN
054800                                 THRU MB21PD-IAC-EXIT
054900         MOVE 'AMOUNT'           TO MB21WS-NAME
055000         MOVE MMOI-AMT (X-MMOI)  TO MB21WS-17V0
055100         PERFORM MB21PD-INSERT-A-COLUMN
055200                                 THRU MB21PD-IAC-EXIT
055300     END-PERFORM.
055400*
055500     PERFORM MB21PD-INSERT-A-COLUMN
055600                                 THRU MB21PD-IAC-EXIT.
055700*
055800 B999-PRT-EXIT.
055900     EXIT.
056000*
056100 B200-PRINT-HEADER.
056200*
056300     MOVE 'HEADER RECORD (MMOI-)'
056400                                 TO MB21WS-NAME.
056500     PERFORM MB21PD-INSERT-A-COLUMN
056600                                 THRU MB21PD-IAC-EXIT.
056700*
056800     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
056900     MOVE 'ORG'                  TO MB21WS-NAME.
057000     MOVE MMOIIO-ORG             TO MB21WS-3V0.
057100     PERFORM MB21PD-INSERT-A-COLUMN
057200                                 THRU MB21PD-IAC-EXIT.
057300*
057400     MOVE 'MERCHANT NBR'         TO MB21WS-NAME.
057500     MOVE MMOIIO-ACCT            TO MB21WS-9V0.
057600     PERFORM MB21PD-INSERT-A-COLUMN
057700                                 THRU MB21PD-IAC-EXIT.
057800*
057900     MOVE 'REC-TYPE'             TO MB21WS-NAME.
058000     MOVE MMOIIO-REC-TYPE        TO MB21WS-1V0.
058100     PERFORM MB21PD-INSERT-A-COLUMN
058200                                 THRU MB21PD-IAC-EXIT.
058300*
058400     MOVE 'PRODUCT'              TO MB21WS-NAME.
058500     MOVE MMOIIO-PRODUCT         TO MB21WS-2V0.
058600     PERFORM MB21PD-INSERT-A-COLUMN
058700                                 THRU MB21PD-IAC-EXIT.
058800*
058900     MOVE 'QUAL-LEVEL'           TO MB21WS-NAME.
059000     MOVE MMOIIO-QUAL-LEVEL      TO MB21WS-2V0.
059100     PERFORM MB21PD-INSERT-A-COLUMN
059200                                 THRU MB21PD-IAC-EXIT.
059300*
059400     MOVE 'LOGIC-MODULE'         TO MB21WS-NAME.
059500     MOVE MMOIIO-LOGIC-MODULE    TO MB21WS-3V0.
059600     PERFORM MB21PD-INSERT-A-COLUMN
059700                                 THRU MB21PD-IAC-EXIT.
059800*
059900     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
060000     MOVE MMOIIO-DATE-STAMP      TO SS01WS-JULIAN.
060100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
060200     MOVE MMOIIO-DATE-STAMP      TO MB21WS-JULIAN.
060300     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
060400     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
060500     PERFORM MB21PD-INSERT-A-COLUMN
060600                                 THRU MB21PD-IAC-EXIT.
060700*
060800     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
060900     MOVE MMOIIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
061000     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
061100                                 THRU SS27PD-NET-EXIT.
061200     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
061300     PERFORM MB21PD-INSERT-A-COLUMN
061400                                 THRU MB21PD-IAC-EXIT.
061500*
061600     PERFORM MB21PD-PRINT-A-PAGE
061700                                 THRU MB21PD-PAP-EXIT.
061800*
061900 B200-PH-EXIT.
062000     EXIT.
062100/
062200* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
062300*                          COMMON ROUTINES                      *
062400* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
062500*
062600     COPY SS02PD.
062700/
062800     COPY SS08PD.
062900/
063000     COPY SS16PD.
063100/
063200     COPY SS26PD.
063300/
063400     COPY SS27PD.
063500/
063600     COPY MB20PD.
063700/
063800     COPY MB21PD.
063900/
064000     COPY MB99PD.
064100/
064200     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
064300/
064400     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
064500/
064600     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
064700/
064800     COPY MB00PD REPLACING ==:MB00:== BY ==MMOI==.
