000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU942.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*        MBU942 - STORE PRODUCT CREDIT PLAN                     *
000600*                 STATISTICS FILE (MMLG)                        *
000700*                                                               *
000800*****************************************************************
000900 ENVIRONMENT DIVISION.
001000 CONFIGURATION SECTION.
001100 SOURCE-COMPUTER.   IBM-4341.
001200 OBJECT-COMPUTER.   IBM-4341.
001300/
001400 INPUT-OUTPUT SECTION.
001500 FILE-CONTROL.
001600/
001700 DATA DIVISION.
001800 FILE SECTION.
001900 WORKING-STORAGE SECTION.
002000*
002100 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002200*
002300     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
002400/
002500     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002600/
002700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002800/
002900     COPY MMSCIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003200/
003300     COPY MMSCRL.
003400/
003500     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMLG==.
003600/
003700     COPY MB00RB REPLACING ==:MB00:== BY ==MMLG==.
003800/
003900     COPY MMPARL REPLACING ==:MMPA:== BY ==MMLG==.
004000/
004100     COPY MBU999WS.
004200/
004300     COPY MB00WS.
004400/
004500     COPY MB20WS.
004600/
004700     COPY MB21WS.
004800/
004900     COPY MB99WS.
005000/
005100     COPY SS00WS.
005200/
005300     COPY SS01WS.
005400/
005500     COPY SS02WS.
005600/
005700 01  WS-WORK-AREAS.
005800     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU942'.
005900     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006000*
006100     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
006200         88  WS-BACKUP                       VALUE 'BACKUP'.
006300         88  WS-MASTER                       VALUE 'MASTER'.
006400*
006500     03  WS-MMLG-BEG-KEY.
006600         05  WS-MMLG-BEG-KEY-X.
006700             07  WS-BEG-ORG-CHAIN.
006800                 09  WS-BEG-ORG
006900                             PIC  9(03).
007000                 09  WS-BEG-CHAIN
007100                             PIC  9(09).
007200             07  WS-BEG-REC-TYPE
007300                             PIC  9(01).
007400             07  WS-BEG-PRODUCT
007500                             PIC  9(02).
007600             07  WS-BEG-PLAN PIC  9(05).
007700         05  WS-BEG-LOGIC-MODULE
007800                             PIC  9(03)      VALUE ZEROES.
007900*
008000     03  WS-MMLG-END-KEY.
008100         05  WS-MMLG-END-KEY-X.
008200             07  WS-END-ORG-CHAIN.
008300                 09  WS-END-ORG
008400                             PIC  9(03).
008500                 09  WS-END-CHAIN
008600                             PIC  9(09).
008700             07  WS-END-REC-TYPE
008800                             PIC  9(01).
008900             07  WS-END-PRODUCT
009000                             PIC  9(02).
009100             07  WS-END-PLAN PIC  9(05).
009200         05  WS-END-LOGIC-MODULE
009300                             PIC  9(03)      VALUE 999.
009400*
009500     03  WS-TOTALS-DESC-AREA.
009600         05  WS-TOTALS-LIT-X.
009700             07  FILLER      PIC  X(40)      VALUE
009800                 'ROLLING 12 STATS, 1-MTH PRIOR (OCCUR 01)'.
009900             07  FILLER      PIC  X(40)      VALUE
010000                 'ROLLING 12 STATS, 2-MTH PRIOR (OCCUR 02)'.
010100             07  FILLER      PIC  X(40)      VALUE
010200                 'ROLLING 12 STATS, 3-MTH PRIOR (OCCUR 03)'.
010300             07  FILLER      PIC  X(40)      VALUE
010400                 'ROLLING 12 STATS, 4-MTH PRIOR (OCCUR 04)'.
010500             07  FILLER      PIC  X(40)      VALUE
010600                 'ROLLING 12 STATS, 5-MTH PRIOR (OCCUR 05)'.
010700             07  FILLER      PIC  X(40)      VALUE
010800                 'ROLLING 12 STATS, 6-MTH PRIOR (OCCUR 06)'.
010900             07  FILLER      PIC  X(40)      VALUE
011000                 'ROLLING 12 STATS, 7-MTH PRIOR (OCCUR 07)'.
011100             07  FILLER      PIC  X(40)      VALUE
011200                 'ROLLING 12 STATS, 8-MTH PRIOR (OCCUR 08)'.
011300             07  FILLER      PIC  X(40)      VALUE
011400                 'ROLLING 12 STATS, 9-MTH PRIOR (OCCUR 09)'.
011500             07  FILLER      PIC  X(40)      VALUE
011600                 'ROLLING 12 STATS,10-MTH PRIOR (OCCUR 10)'.
011700             07  FILLER      PIC  X(40)      VALUE
011800                 'ROLLING 12 STATS,11-MTH PRIOR (OCCUR 11)'.
011900             07  FILLER      PIC  X(40)      VALUE
012000                 'ROLLING 12 STATS,12-MTH PRIOR (OCCUR 12)'.
012100             07  FILLER      PIC  X(40)      VALUE
012200                 'CURRENT DAY STATS             (OCCUR 13)'.
012300             07  FILLER      PIC  X(40)      VALUE
012400                 'MONTH-TO-DATE STATS           (OCCUR 14)'.
012500             07  FILLER      PIC  X(40)      VALUE
012600                 'YEAR-TO-DATE STATS            (OCCUR 15)'.
012700             07  FILLER      PIC  X(40)      VALUE
012800                 'STATEMENT CYCLE-TO-DATE STATS (OCCUR 16)'.
012900             07  FILLER      PIC  X(40)      VALUE
013000                 'DISCOUNT-TO-DATE STATS        (OCCUR 17)'.
013100             07  FILLER      PIC  X(40)      VALUE
013200                 'PARTICIPATION-TO-DATE STATS   (OCCUR 18)'.
013300         05  WS-TOTALS-LIT-R REDEFINES WS-TOTALS-LIT-X.
013400             07  WS-TOTALS-LIT
013500                             PIC  X(40)      OCCURS 18 TIMES
013600                                             INDEXED BY
013700                                             X-WS-MMLG-INDEX.
013800*
013900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014000/
014100 PROCEDURE DIVISION.
014200*
014300 A000-DRIVER.
014400*
014500     MOVE 'MBU942'               TO SS02WS-ABEND-PROG-ID
014600                                    MBU999WS-PROGRAM-ID.
014700*
014800     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
014900*
015000     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
015100     MOVE 'T942'                 TO MB20WS-SH-INTERNAL-RPT-ID.
015200     MOVE ' STORE PROD/CREDIT PLAN STATS '
015300                                 TO MB20WS-SH-RPT-NAME.
015400     MOVE SPACES                 TO MB20WS-SH-LIT-1
015500                                    MB20WS-SH-LIT-5
015600                                    MB20WS-SH-L4
015700                                    MB20WS-SH-L5
015800                                    MB20WS-SH-L6.
015900     PERFORM MB21PD-PAP-RESET-INDEXES
016000                                 THRU MB21PD-PAP-EXIT.
016100*
016200 A100-OPEN-FILES.
016300*
016400     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
016500     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
016600     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
016700     SET MTCCRB-OPEN-INPUT       TO TRUE.
016800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
016900*
017000     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
017100     SET MMSCRB-OPEN-INPUT       TO TRUE.
017200     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
017300*
017400     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
017500     SET MMSCRB-READ-SEQ         TO TRUE.
017600     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
017700     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
017800*
017900     IF  MMSCIO-HEADER
018000         NEXT SENTENCE
018100     ELSE
018200         PERFORM MB99PD-MISSING-HEADER-ABEND
018300            THRU MB99PD-MHA-EXIT.
018400*
018500     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
018600*
018610     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
018700     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
018800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
018900     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
019000     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
019100     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
019200                                 THRU SS27PD-NET-EXIT.
019300     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
019400*
019500     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
019600     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
019700     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
019800     MOVE 99                     TO MB20WS-LINE-LIMIT.
019900     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
020000     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
020200*
020300     MOVE 'O1LG'                 TO SS02WS-ABEND-LOCATION.
020400     SET MMLGRB-OPEN-INPUT       TO TRUE.
020500     PERFORM MB00PD-MMLG-ACCESS  THRU MB00PD-MMLG-ACCESS-EXIT.
020600*
020700     MOVE 'R1LG'                 TO SS02WS-ABEND-LOCATION.
020800     SET MMLGRB-READ-SEQ         TO TRUE.
020900     MOVE SS02WS-NO-RECORD-FOUND
021000                                 TO MMLGRB-PERM-STATUS-3.
021100     MOVE SS02WS-END-OF-FILE     TO MMLGRB-PERM-STATUS-4.
021200     PERFORM MB00PD-MMLG-ACCESS  THRU MB00PD-MMLG-ACCESS-EXIT.
021300     MOVE 'MMLG'                 TO MB99WS-FILE-ID.
021400*
021500     IF  MMLGIO-HEADER
021600         PERFORM B200-PRINT-HEADER
021700                                 THRU B200-PH-EXIT
021800     ELSE
021900         PERFORM MB99PD-MISSING-HEADER-ABEND
022000            THRU MB99PD-MHA-EXIT.
022100*
022200 A200-PROGRAM-CONTROL.
022300*
022400     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
022500     SET MTCCRB-READ-SEQ         TO TRUE.
022600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
022700*
022800     IF  SS02WS-FS-END-OF-FILE
022900         GO TO A400-CHECK-READ-SWITCH
023000     END-IF.
023100*
023200     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
023300         GO TO A200-PROGRAM-CONTROL
023400     END-IF.
023500*
023600     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
023700*
023800 A300-RANGE-CARD.
023900*
024000     MOVE 'Y'                    TO WS-CARD-READ-SW.
024100     INSPECT MTCC-MBU942-BEG-X   REPLACING ALL SPACE BY ZERO.
024200*
024300     IF  MTCC-MBU942-END-X IS EQUAL TO SPACES
024400         MOVE MTCC-MBU942-BEG-X  TO MTCC-MBU942-END-X
024500     END-IF.
024600*
024700     INSPECT MTCC-MBU942-END-X   REPLACING ALL SPACE BY ZERO.
024800*
024900     MOVE MTCC-MBU942-BEG-X      TO WS-MMLG-BEG-KEY-X.
025000*
025100     MOVE MTCC-MBU942-END-X      TO WS-MMLG-END-KEY-X.
025200*
025300     MOVE WS-MMLG-BEG-KEY        TO MMLGIO-KEY.
025400*
025500     MOVE 'S1LG'                 TO SS02WS-ABEND-LOCATION.
025600     SET  MMLGRB-START-GTE       TO TRUE.
025700     PERFORM MB00PD-MMLG-ACCESS  THRU MB00PD-MMLG-ACCESS-EXIT.
025800*
025900     IF  SS02WS-FS-NO-RECORD-FOUND
026000         GO TO A500-CONTROL-CARD-ERROR
026100     END-IF.
026200*
026300 A350-READ-NEXT.
026400*
026500     MOVE 'R2LG'                 TO SS02WS-ABEND-LOCATION.
026600     SET  MMLGRB-READ-SEQ        TO TRUE.
026700     PERFORM MB00PD-MMLG-ACCESS  THRU MB00PD-MMLG-ACCESS-EXIT.
026800*
026900     IF  SS02WS-FS-END-OF-FILE
027000         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
027100             GO TO A200-PROGRAM-CONTROL
027200         ELSE
027300             PERFORM MB21PD-PRINT-A-PAGE
027400                                 THRU MB21PD-PAP-EXIT
027500             GO TO A200-PROGRAM-CONTROL.
027600*
027700     IF  MMLGIO-KEY IS GREATER THAN WS-MMLG-END-KEY
027800         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
027900             GO TO A200-PROGRAM-CONTROL
028000         ELSE
028100             PERFORM MB21PD-PRINT-A-PAGE
028200                                 THRU MB21PD-PAP-EXIT
028300             GO TO A200-PROGRAM-CONTROL.
028400*
028500     IF  MMLGIO-HEADER
028600     OR  MMLGIO-TRAILER
028700         GO TO A350-READ-NEXT.
028800*
028900     MOVE MMLGIO-RECORD          TO MMLG-RECORD.
029000*
029100     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
029200     GO TO A350-READ-NEXT.
029300*
029400 A400-CHECK-READ-SWITCH.
029500*
029600     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
029700         MOVE '*** NO CONTROL CARDS ***'
029800                                 TO MB21WS-PP-COL44 (5 1)
029900         PERFORM MB21PD-PRINT-A-PAGE
030000                                 THRU MB21PD-PAP-EXIT.
030100*
030200     GO TO A600-CLOSE-FILES.
030300*
030400 A500-CONTROL-CARD-ERROR.
030500*
030600     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
030700     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
030800     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
030900     MOVE SPACE                  TO MB21WS-PP-LINE (4).
031000     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
031100     GO TO A200-PROGRAM-CONTROL.
031200*
031300 A600-CLOSE-FILES.
031400*
031500     MOVE 'C1LG'                 TO SS02WS-ABEND-LOCATION.
031600     SET MMLGRB-CLOSE            TO TRUE.
031700     PERFORM MB00PD-MMLG-ACCESS  THRU MB00PD-MMLG-ACCESS-EXIT.
031800*
031900     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
032000     SET MTCCRB-CLOSE            TO TRUE.
032100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
032200*
032300     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
032400     SET MMSCRB-CLOSE            TO TRUE.
032500     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
032600*
032700     PERFORM MB20PD-CLOSE-PRINT-FILES
032800                                 THRU MB20PD-CPF-EXIT.
032900*
033000     STOP RUN.
033100/
033200 B100-PRT-BEGIN.
033300*
033400     MOVE '*-STORE PROD/CREDIT PLAN STATS REC (MMLG) -*'
033500                                 TO MB21WS-PRINT-WORK-AREA.
033600     PERFORM MB21PD-INSERT-A-COLUMN
033700                                 THRU MB21PD-IAC-EXIT.
033800*
033900     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
034000     MOVE 'ORG'                  TO MB21WS-NAME.
034100     MOVE MMLG-ORG               TO MB21WS-3V0.
034200     PERFORM MB21PD-INSERT-A-COLUMN
034300                                 THRU MB21PD-IAC-EXIT.
034400*
034500     MOVE 'CHAIN'                TO MB21WS-NAME.
034600     MOVE MMLG-ACCT              TO MB21WS-9V0.
034700     PERFORM MB21PD-INSERT-A-COLUMN
034800                                 THRU MB21PD-IAC-EXIT.
034900*
035000     MOVE 'REC-TYPE'             TO MB21WS-NAME.
035100     MOVE MMLG-REC-TYPE          TO MB21WS-1V0.
035200     PERFORM MB21PD-INSERT-A-COLUMN
035300                                 THRU MB21PD-IAC-EXIT.
035400*
035500     MOVE 'PRODUCT'              TO MB21WS-NAME.
035600     MOVE MMLG-PRODUCT           TO MB21WS-2V0.
035700     PERFORM MB21PD-INSERT-A-COLUMN
035800                                 THRU MB21PD-IAC-EXIT.
035900*
036000     MOVE 'PLAN'                 TO MB21WS-NAME.
036100     MOVE MMLG-PLAN              TO MB21WS-5V0.
036200     PERFORM MB21PD-INSERT-A-COLUMN
036300                                 THRU MB21PD-IAC-EXIT.
036400*
036500     MOVE 'LOGIC-MODULE'         TO MB21WS-NAME.
036600     MOVE MMLG-LOGIC-MODULE      TO MB21WS-3V0.
036700     PERFORM MB21PD-INSERT-A-COLUMN
036800                                 THRU MB21PD-IAC-EXIT.
036900*
037000     MOVE 'REC-STATUS'           TO MB21WS-NAME.
037100     MOVE MMLG-REC-STATUS        TO MB21WS-1V0.
037200     PERFORM MB21PD-INSERT-A-COLUMN
037300                                 THRU MB21PD-IAC-EXIT 2 TIMES.
037400*
037500     MOVE '*--------- TOTALS DATA AREA -----------*'
037600                                 TO MB21WS-PRINT-WORK-AREA.
037700     PERFORM MB21PD-INSERT-A-COLUMN
037800                                 THRU MB21PD-IAC-EXIT.
037900*
038000     PERFORM
038100         VARYING X-MMLG FROM +1 BY +1
038200         UNTIL   X-MMLG IS GREATER THAN +18
038300         SET X-WS-MMLG-INDEX     TO X-MMLG
038400         MOVE WS-TOTALS-LIT (X-WS-MMLG-INDEX)
038500                                 TO MB21WS-PRINT-WORK-AREA
038600         PERFORM MB21PD-INSERT-A-COLUMN
038700                                 THRU MB21PD-IAC-EXIT
038800         MOVE 'NUMBER'           TO MB21WS-NAME
038900         MOVE MMLG-NBR (X-MMLG)  TO MB21WS-9V0
039000         PERFORM MB21PD-INSERT-A-COLUMN
039100                                 THRU MB21PD-IAC-EXIT
039200         MOVE 'AMOUNT'           TO MB21WS-NAME
039300         MOVE MMLG-AMT (X-MMLG)  TO MB21WS-17V0
039400         PERFORM MB21PD-INSERT-A-COLUMN
039500                                 THRU MB21PD-IAC-EXIT
039600     END-PERFORM.
039700*
039800     PERFORM MB21PD-INSERT-A-COLUMN
039900                                 THRU MB21PD-IAC-EXIT.
040000*
040100 B999-PRT-EXIT.
040200     EXIT.
040300*
040400 B200-PRINT-HEADER.
040500*
040600     MOVE 'HEADER RECORD (MMLG-)'
040700                                 TO MB21WS-NAME.
040800     PERFORM MB21PD-INSERT-A-COLUMN
040900                                 THRU MB21PD-IAC-EXIT.
041000*
041100     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
041200     MOVE 'ORG'                  TO MB21WS-NAME.
041300     MOVE MMLGIO-ORG             TO MB21WS-3V0.
041400     PERFORM MB21PD-INSERT-A-COLUMN
041500                                 THRU MB21PD-IAC-EXIT.
041600*
041700     MOVE 'CHAIN NBR'            TO MB21WS-NAME.
041800     MOVE MMLGIO-ACCT            TO MB21WS-9V0.
041900     PERFORM MB21PD-INSERT-A-COLUMN
042000                                 THRU MB21PD-IAC-EXIT.
042100*
042200     MOVE 'REC-TYPE'             TO MB21WS-NAME.
042300     MOVE MMLGIO-REC-TYPE        TO MB21WS-1V0.
042400     PERFORM MB21PD-INSERT-A-COLUMN
042500                                 THRU MB21PD-IAC-EXIT.
042600*
042700     MOVE 'PRODUCT'              TO MB21WS-NAME.
042800     MOVE MMLGIO-PRODUCT         TO MB21WS-2V0.
042900     PERFORM MB21PD-INSERT-A-COLUMN
043000                                 THRU MB21PD-IAC-EXIT.
043100*
043200     MOVE 'PLAN'                 TO MB21WS-NAME.
043300     MOVE MMLGIO-PLAN            TO MB21WS-5V0.
043400     PERFORM MB21PD-INSERT-A-COLUMN
043500                                 THRU MB21PD-IAC-EXIT.
043600*
043700     MOVE 'LOGIC-MODULE'         TO MB21WS-NAME.
043800     MOVE MMLGIO-LOGIC-MODULE    TO MB21WS-3V0.
043900     PERFORM MB21PD-INSERT-A-COLUMN
044000                                 THRU MB21PD-IAC-EXIT.
044100*
044200     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
044300     MOVE MMLGIO-DATE-STAMP      TO SS01WS-JULIAN.
044400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
044500     MOVE MMLGIO-DATE-STAMP      TO MB21WS-JULIAN.
044600     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
044700     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
044800     PERFORM MB21PD-INSERT-A-COLUMN
044900                                 THRU MB21PD-IAC-EXIT.
045000*
045100     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
045200     MOVE MMLGIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
045300     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
045400                                 THRU SS27PD-NET-EXIT.
045500     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
045600     PERFORM MB21PD-INSERT-A-COLUMN
045700                                 THRU MB21PD-IAC-EXIT.
045800*
045900     PERFORM MB21PD-PRINT-A-PAGE
046000                                 THRU MB21PD-PAP-EXIT.
046100*
046200 B200-PH-EXIT.
046300     EXIT.
046400/
046500* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
046600*                          COMMON ROUTINES                      *
046700* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
046800*
046900     COPY SS02PD.
047000/
047100     COPY SS08PD.
047200/
047300     COPY SS16PD.
047400/
047500     COPY SS26PD.
047600/
047700     COPY SS27PD.
047800/
047900     COPY MB20PD.
048000/
048100     COPY MB21PD.
048200/
048300     COPY MB99PD.
048400/
048500     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
048600/
048700     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
048800/
048900     COPY MB00PD REPLACING ==:MB00:== BY ==MMLG==.
