000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU966.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*     MBU966 - CEMEA VISA QUARTERLY FILE DISPLAY (MMQ6)         *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ6==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMQ6RL.
003700/
003800     COPY MBMFRL.
003900/
004000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004100/
004200     COPY MMSCIO.
004300/
004400     COPY MMQ6IO.
004500/
004600     COPY MBMFIO.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB99WS.
005300/
005400     COPY SS00WS.
005500/
005600     COPY SS01WS.
005700/
005800     COPY SS02WS.
005900*
006000 01  WS-WORK-AREAS.
006100     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU966'.
006200     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006300     03  X-WS-INDEX          PIC S9(04)      COMP.
006400     03  X-WS-TEMP-INDEX     PIC  9(01).
006500     03  X-WS-MON-INDEX      PIC  9(01).
006600     03  WS-WORK-DATE        PIC  9(08).
006700     03  WS-WORK-DATE-R      REDEFINES WS-WORK-DATE.
006800         05  WS-WK-DTE-MDY   PIC  9(06).
006900         05  WS-WK-DTE-MDY-R REDEFINES WS-WK-DTE-MDY.
007000             07  WS-WORK-DATE-MM
007100                             PIC  9(02).
007200             07  WS-WORK-DATE-DD
007300                             PIC  9(02).
007400             07  WS-WORK-DATE-XX
007500                             PIC  9(02).
007600         05  WS-WORK-DATE-YY PIC  9(02).
007700*
007800     03  WS-MMQ6-BEG-KEY     PIC  9(03)      VALUE ZEROES.
007900     03  WS-MMQ6-END-KEY     PIC  9(03)      VALUE ZEROES.
008000*
008100     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
008200         88  WS-BACKUP                       VALUE 'BACKUP'.
008300         88  WS-MASTER                       VALUE 'MASTER'.
008400*
008500     03  WS-END-OF-PERFORM-SW
008600                             PIC  X(01)      VALUE SPACES.
008700         88  WS-END-OF-PERFORM               VALUE 'Y'.
008800         88  WS-NOT-END-OF-PERFORM           VALUE 'N'.
008900/
009000     COPY MB21WS.
009100*
009200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009300/
009400 PROCEDURE DIVISION.
009500*
009600 A000-DRIVER.
009700*
009800     MOVE 'MBU966'               TO SS02WS-ABEND-PROG-ID
009900                                    MBU999WS-PROGRAM-ID.
010000*
010100     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
010200*
010300     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
010400     MOVE 'T966'                 TO MB20WS-SH-INTERNAL-RPT-ID.
010500     MOVE '   CEMEA MASTER FILE          '
010600                                 TO MB20WS-SH-RPT-NAME.
010700     MOVE SPACES                 TO MB20WS-SH-LIT-1
010800                                    MB20WS-SH-LIT-5
010900                                    MB20WS-SH-L4
011000                                    MB20WS-SH-L5
011100                                    MB20WS-SH-L6.
011200     PERFORM MB21PD-PAP-RESET-INDEXES
011300                                 THRU MB21PD-PAP-EXIT.
011400*
011500 A100-OPEN-FILES.
011600*
011700     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
011800     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
011900     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
012000     SET MTCCRB-OPEN-INPUT       TO TRUE.
012100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
012200*
012300     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
012400     SET MMSCRB-OPEN-INPUT       TO TRUE.
012500     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012600*
012700     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
012800     SET MMSCRB-READ-SEQ         TO TRUE.
012900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
013000*
013100     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
013200*
013300     IF  MMSCIO-HEADER
013400         NEXT SENTENCE
013500     ELSE
013600         PERFORM MB99PD-MISSING-HEADER-ABEND
013700            THRU MB99PD-MHA-EXIT.
013800*
013900     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
014000     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
014100     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
014200     MOVE SS01WS-DATE-L6         TO MB20WS-SH-FILE-DATE.
014300     MOVE MMSC-TIME-STAMP        TO MB20WS-SH-PROC-TIME .
014400     INSPECT MB20WS-SH-PROC-TIME REPLACING ALL SPACE BY '.'.
014500*
014600     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
014700     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
014800     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
014900     MOVE 99                     TO MB20WS-LINE-LIMIT.
015000     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
015100     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
015200     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
015300*
015400     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
015500     SET MTCCRB-READ-SEQ         TO TRUE.
015600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
015700*
015800     IF  SS02WS-FS-END-OF-FILE
015900         GO TO A400-CHECK-READ-SWITCH.
016000*
016100     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
016200         GO TO A200-PROGRAM-CONTROL.
016300*
016400     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
016500*
016600     IF  MTCC-MBU9XX-BACKUP
016700         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
016800         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
016900         SET MBMFRB-OPEN-INPUT   TO TRUE
017000         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017100         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
017200         SET MBMFRB-READ-SEQ     TO TRUE
017300         MOVE SS02WS-NO-RECORD-FOUND
017400                                 TO MBMFRB-PERM-STATUS-3
017500         MOVE SS02WS-END-OF-FILE
017600                                 TO MBMFRB-PERM-STATUS-4
017700         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017800     ELSE
017900         MOVE 'O1Q6'             TO SS02WS-ABEND-LOCATION
018000         SET MMQ6RB-OPEN-INPUT   TO TRUE
018100         PERFORM MB00PD-MMQ6-ACCESS THRU MB00PD-MMQ6-ACCESS-EXIT
018200         MOVE 'R1Q6'             TO SS02WS-ABEND-LOCATION
018300         SET MMQ6RB-READ-SEQ     TO TRUE
018400         MOVE SS02WS-NO-RECORD-FOUND
018500                                 TO MMQ6RB-PERM-STATUS-3
018600         MOVE SS02WS-END-OF-FILE
018700                                 TO MMQ6RB-PERM-STATUS-4
018800         PERFORM MB00PD-MMQ6-ACCESS THRU MB00PD-MMQ6-ACCESS-EXIT
018900         GO TO A130-PRINT-HR-RECORD.
019000*
019100     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
019200*
019300     IF  MBMFIO-FILE-IS-HEADER
019400         NEXT SENTENCE
019500     ELSE
019600         PERFORM MB99PD-MISSING-HEADER-ABEND
019700            THRU MB99PD-MHA-EXIT.
019800*
019900     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
020000*
020100     SET X-MBMF-FILE             TO 1.
020200*
020300 A110-SEARCH-HEADER-TABLE-LOOP.
020400*
020500     IF  X-MBMF-FILE IS GREATER THAN 75
020600         MOVE 'MMQ6'             TO MB99WS-FILE-ID
020700         PERFORM MB99PD-NOT-ON-BACKUP
020800            THRU MB99PD-NOB-EXIT.
020900*
021000     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'Q6'
021100         CONTINUE
021200     ELSE
021300         SET X-MBMF-FILE         UP BY 1
021400         GO TO A110-SEARCH-HEADER-TABLE-LOOP
021500     END-IF.
021600*
021700 A120-READ-MBMF-LOOP.
021800*
021900     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
022000     SET MBMFRB-READ-SEQ         TO TRUE.
022100     MOVE SS02WS-NO-RECORD-FOUND
022200                                 TO MBMFRB-PERM-STATUS-3.
022300     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
022400     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
022500*
022600     IF  SS02WS-FS-END-OF-FILE
022700         GO TO A200-PROGRAM-CONTROL
022800     END-IF.
022900*
023000     IF  MBMFIO-FILE IS NOT EQUAL TO 'Q6'
023100         GO TO A120-READ-MBMF-LOOP
023200     END-IF.
023300*
023400 A130-PRINT-HR-RECORD.
023500*
023600     IF  WS-BACKUP
023700         MOVE MBMFIO-VAR-DATA    TO MMQ6IO-RECORD
023800     END-IF.
023900*
024000     MOVE 'MMQ6'                 TO MB99WS-FILE-ID.
024100*
024200     IF  MMQ6IO-HEADER
024300         NEXT SENTENCE
024400     ELSE
024500         PERFORM MB99PD-MISSING-HEADER-ABEND
024600            THRU MB99PD-MHA-EXIT.
024700*
024800     MOVE MMQ6IO-RECORD          TO MMQ6-RECORD.
024900*
025000     IF  MMQ6IO-HEADER
025100         PERFORM B200-PRINT-HEADER
025200                                 THRU B200-PH-EXIT
025300     END-IF.
025400*
025500 A200-PROGRAM-CONTROL.
025600*
025700     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
025800         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
025900     ELSE
026000         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
026100             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
026200             GO TO A210-PC-BY-FIRST-READ.
026300*
026400     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
026500     SET MTCCRB-READ-SEQ         TO TRUE.
026600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
026700*
026800     IF  SS02WS-FS-END-OF-FILE
026900         GO TO A400-CHECK-READ-SWITCH
027000     END-IF.
027100*
027200 A210-PC-BY-FIRST-READ.
027300*
027400     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
027500         GO TO A200-PROGRAM-CONTROL.
027600*
027700     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
027800*
027900 A300-RANGE-CARD.
028000*
028100     MOVE 'Y'                    TO WS-CARD-READ-SW.
028200     INSPECT MTCC-MBU966-BEG-X   REPLACING ALL SPACE BY ZERO.
028300*
028400     IF  MTCC-MBU966-END-X IS EQUAL TO SPACES
028500         MOVE MTCC-MBU966-BEG-X  TO MTCC-MBU966-END-X
028600     END-IF.
028700*
028800     INSPECT MTCC-MBU966-END-X   REPLACING ALL SPACE BY ZERO.
028900*
029000     MOVE MTCC-MBU966-BEG-ORG    TO WS-MMQ6-BEG-KEY
029100*
029200     MOVE MTCC-MBU966-END-ORG    TO WS-MMQ6-END-KEY.
029300*
029400     IF  WS-BACKUP
029500         GO TO A350-READ-NEXT-MBMF.
029600*
029700     MOVE MTCC-MBU966-BEG-X      TO MMQ6IO-KEY.
029800*
029900     MOVE 'S1Q6'                 TO SS02WS-ABEND-LOCATION.
030000     SET  MMQ6RB-START-GTE       TO TRUE.
030100     PERFORM MB00PD-MMQ6-ACCESS  THRU MB00PD-MMQ6-ACCESS-EXIT.
030200*
030300     IF  SS02WS-FS-NO-RECORD-FOUND
030400         GO TO A500-CONTROL-CARD-ERROR.
030500*
030600 A350-READ-NEXT.
030700*
030800     MOVE 'R2Q6'                 TO SS02WS-ABEND-LOCATION.
030900     SET  MMQ6RB-READ-SEQ        TO TRUE.
031000     PERFORM MB00PD-MMQ6-ACCESS  THRU MB00PD-MMQ6-ACCESS-EXIT.
031100*
031200     IF  SS02WS-FS-END-OF-FILE
031300         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
031400             GO TO A200-PROGRAM-CONTROL
031500         ELSE
031600             PERFORM MB21PD-PRINT-A-PAGE
031700                                 THRU MB21PD-PAP-EXIT
031800             GO TO A200-PROGRAM-CONTROL.
031900*
032000     IF  MMQ6IO-KEY IS GREATER THAN WS-MMQ6-END-KEY
032100         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
032200             GO TO A200-PROGRAM-CONTROL
032300         ELSE
032400             PERFORM MB21PD-PRINT-A-PAGE
032500                                 THRU MB21PD-PAP-EXIT
032600             GO TO A200-PROGRAM-CONTROL.
032700*
032800     IF  MMQ6IO-HEADER
032900     OR  MMQ6IO-TRAILER
033000         GO TO A350-READ-NEXT.
033100*
033200     MOVE MMQ6IO-RECORD          TO MMQ6-RECORD.
033300*
033400     IF  MMQ6-ADD-COMPLETED
033500         PERFORM B100-PRT-BEGIN  THRU B999-PRT-EXIT
033600         GO TO A350-READ-NEXT
033700     ELSE
033800         GO TO A350-READ-NEXT.
033900*
034000 A350-READ-NEXT-MBMF.
034100*
034200     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
034300     SET  MBMFRB-READ-SEQ        TO TRUE.
034400     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
034500*
034600     IF  SS02WS-FS-NO-RECORD-FOUND
034700         GO TO A500-CONTROL-CARD-ERROR.
034800*
034900     IF  SS02WS-FS-END-OF-FILE
035000         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
035100             GO TO A200-PROGRAM-CONTROL
035200         ELSE
035300             PERFORM MB21PD-PRINT-A-PAGE
035400                                 THRU MB21PD-PAP-EXIT
035500             GO TO A200-PROGRAM-CONTROL.
035600*
035700     IF  MBMFIO-FILE-IS-MMQ6
035800         CONTINUE
035900     ELSE
036000         GO TO A350-READ-NEXT-MBMF.
036100*
036200     MOVE MBMFIO-VAR-DATA        TO MMQ6-RECORD.
036300*
036400     IF  MMQ6-KEY IS LESS THAN WS-MMQ6-BEG-KEY
036500         GO TO A350-READ-NEXT-MBMF.
036600*
036700     IF  MMQ6-KEY IS GREATER THAN WS-MMQ6-END-KEY
036800         PERFORM MB21PD-PRINT-A-PAGE
036900                                 THRU MB21PD-PAP-EXIT
037000         GO TO A200-PROGRAM-CONTROL.
037100*
037200     IF  MMQ6-ORG IS EQUAL TO 999
037300         GO TO A350-READ-NEXT-MBMF.
037400*
037500     IF  MMQ6-ADD-COMPLETED
037600         NEXT SENTENCE
037700     ELSE
037800         GO TO A350-READ-NEXT-MBMF.
037900*
038000     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
038100     GO TO A350-READ-NEXT-MBMF.
038200*
038300 A400-CHECK-READ-SWITCH.
038400*
038500     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
038600         MOVE '*** NO CONTROL CARDS ***'
038700                                 TO MB21WS-PP-COL44 (5 1)
038800         PERFORM MB21PD-PRINT-A-PAGE
038900                                 THRU MB21PD-PAP-EXIT.
039000*
039100     GO TO A600-CLOSE-FILES.
039200*
039300 A500-CONTROL-CARD-ERROR.
039400*
039500     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
039600     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
039700     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
039800     MOVE SPACE                  TO MB21WS-PP-LINE (4).
039900     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
040000     GO TO A200-PROGRAM-CONTROL.
040100*
040200 A600-CLOSE-FILES.
040300*
040400     EVALUATE TRUE
040500         WHEN  WS-BACKUP
040600             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
040700             SET MBMFRB-CLOSE    TO TRUE
040800             PERFORM MB00PD-MBMF-ACCESS
040900                                 THRU MB00PD-MBMF-ACCESS-EXIT
041000         WHEN  WS-MASTER
041100             MOVE 'C1Q6'         TO SS02WS-ABEND-LOCATION
041200             SET MMQ6RB-CLOSE    TO TRUE
041300             PERFORM MB00PD-MMQ6-ACCESS
041400                                 THRU MB00PD-MMQ6-ACCESS-EXIT
041500         WHEN  OTHER
041600             CONTINUE
041700     END-EVALUATE.
041800*
041900     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
042000     SET MTCCRB-CLOSE            TO TRUE.
042100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
042200*
042300     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
042400     SET MMSCRB-CLOSE            TO TRUE.
042500     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
042600*
042700     PERFORM MB20PD-CLOSE-PRINT-FILES
042800                                 THRU MB20PD-CPF-EXIT.
042900*
043000     STOP RUN.
043100*
043200 B100-PRT-BEGIN.
043300*
043400     MOVE 'CEMEA RPT RECORD(MMQ6)'
043500                                 TO MB21WS-NAME.
043600     PERFORM MB21PD-INSERT-A-COLUMN
043700                                 THRU MB21PD-IAC-EXIT.
043800*
043900     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
044000     MOVE 'ORG'                  TO MB21WS-NAME.
044100     MOVE MMQ6-ORG               TO MB21WS-3V0.
044200     PERFORM MB21PD-INSERT-A-COLUMN
044300                                 THRU MB21PD-IAC-EXIT.
044400*
044500     MOVE 'REC-STATUS'           TO MB21WS-NAME.
044600     MOVE MMQ6-REC-STATUS        TO MB21WS-1V0.
044700     PERFORM MB21PD-INSERT-A-COLUMN
044800                                 THRU MB21PD-IAC-EXIT 2 TIMES.
044900*
045000     MOVE 'ADD-STATUS'           TO MB21WS-NAME.
045100     MOVE MMQ6-ONLINE-STATUS     TO MB21WS-2V0.
045200     PERFORM MB21PD-INSERT-A-COLUMN
045300                                 THRU MB21PD-IAC-EXIT 2 TIMES.
045400*
045500     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
045600     MOVE MMQ6-LAST-MAINT-DATE   TO SS01WS-JULIAN.
045700     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
045800     MOVE MMQ6-LAST-MAINT-DATE   TO MB21WS-JULIAN.
045900     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
046000     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
046100     PERFORM MB21PD-INSERT-A-COLUMN
046200                                 THRU MB21PD-IAC-EXIT.
046300*
046400     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
046500     MOVE MMQ6-LAST-MAINT-OPER   TO MB21WS-3X.
046600     PERFORM MB21PD-INSERT-A-COLUMN
046700                                 THRU MB21PD-IAC-EXIT 2 TIMES.
046800*
046900     SET X-MMQ6-VI               TO 1.
047000*
047100*
047200 B100-LOOP.
047300*
047400*
047500     MOVE '* CEMEA (VISA) QUARTLY REPORT TOTALS *'
047600                                 TO MB21WS-PRINT-WORK-AREA.
047700     PERFORM MB21PD-INSERT-A-COLUMN
047800                                 THRU MB21PD-IAC-EXIT.
047900*
048000     MOVE 'QTR-BEG-DATE'         TO MB21WS-NAME.
048100     SET WS-NOT-END-OF-PERFORM   TO TRUE
048200     PERFORM
048300         VARYING X-WS-INDEX
048400         FROM 30 BY -1
048500         UNTIL X-WS-INDEX IS EQUAL TO 1
048600         OR WS-END-OF-PERFORM
048700         IF  MB21WS-NAME (X-WS-INDEX:1)
048800                                 IS NOT EQUAL TO SPACES
048900             ADD 1               TO X-WS-INDEX
049000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
049100             ADD 1               TO X-WS-INDEX
049200             SET X-WS-TEMP-INDEX
049300                                 TO X-MMQ6-VI
049400             MOVE X-WS-TEMP-INDEX
049500                                 TO MB21WS-NAME (X-WS-INDEX:2)
049600             ADD 2               TO X-WS-INDEX
049700             SET X-WS-MON-INDEX TO X-MMQ6-VI-MON
049800             MOVE X-WS-MON-INDEX
049900                                 TO MB21WS-NAME (X-WS-INDEX:2)
050000             ADD 1               TO X-WS-INDEX
050100             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
050200             SET WS-END-OF-PERFORM
050300                                 TO TRUE
050400         END-IF
050500     END-PERFORM.
050600     MOVE MMQ6-QTR-BEG-DATE (X-MMQ6-VI)
050700                                 TO SS01WS-JULIAN.
050800     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
050900     MOVE MMQ6-QTR-BEG-DATE (X-MMQ6-VI)
051000                                 TO MB21WS-JULIAN.
051100     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
051200     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
051300     PERFORM MB21PD-INSERT-A-COLUMN
051400                                 THRU MB21PD-IAC-EXIT.
051500*
051600     MOVE 'QTR-END-DATE'         TO MB21WS-NAME.
051700     SET WS-NOT-END-OF-PERFORM   TO TRUE
051800     PERFORM
051900         VARYING X-WS-INDEX
052000         FROM 30 BY -1
052100         UNTIL X-WS-INDEX IS EQUAL TO 1
052200         OR WS-END-OF-PERFORM
052300         IF  MB21WS-NAME (X-WS-INDEX:1)
052400                                 IS NOT EQUAL TO SPACES
052500             ADD 1               TO X-WS-INDEX
052600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
052700             ADD 1               TO X-WS-INDEX
052800             SET X-WS-TEMP-INDEX
052900                                 TO X-MMQ6-VI
053000             MOVE X-WS-TEMP-INDEX
053100                                 TO MB21WS-NAME (X-WS-INDEX:2)
053200             ADD 2               TO X-WS-INDEX
053300             SET X-WS-MON-INDEX TO X-MMQ6-VI-MON
053400             MOVE X-WS-MON-INDEX
053500                                 TO MB21WS-NAME (X-WS-INDEX:2)
053600             ADD 1               TO X-WS-INDEX
053700             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
053800             SET WS-END-OF-PERFORM
053900                                 TO TRUE
054000         END-IF
054100     END-PERFORM.
054200     MOVE MMQ6-QTR-END-DATE (X-MMQ6-VI)
054300                                 TO SS01WS-JULIAN.
054400     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
054500     MOVE MMQ6-QTR-END-DATE (X-MMQ6-VI)
054600                                 TO MB21WS-JULIAN.
054700     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
054800     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
054900     PERFORM MB21PD-INSERT-A-COLUMN
055000                                 THRU MB21PD-IAC-EXIT.
055100*
055200     MOVE 'VI-NBR-MERCHANTS'     TO MB21WS-NAME.
055300     SET WS-NOT-END-OF-PERFORM   TO TRUE
055400     PERFORM
055500         VARYING X-WS-INDEX
055600         FROM 30 BY -1
055700         UNTIL X-WS-INDEX IS EQUAL TO 1
055800         OR WS-END-OF-PERFORM
055900         IF  MB21WS-NAME (X-WS-INDEX:1)
056000                                 IS NOT EQUAL TO SPACES
056100             ADD 1               TO X-WS-INDEX
056200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
056300             ADD 1               TO X-WS-INDEX
056400             SET X-WS-TEMP-INDEX
056500                                 TO X-MMQ6-VI
056600             MOVE X-WS-TEMP-INDEX
056700                                 TO MB21WS-NAME (X-WS-INDEX:2)
056800             ADD 1               TO X-WS-INDEX
056900             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
057000             SET WS-END-OF-PERFORM
057100                                 TO TRUE
057200         END-IF
057300     END-PERFORM.
057400     MOVE MMQ6-VI-NBR-MERCHANTS (X-MMQ6-VI)
057500                                 TO MB21WS-9V0Z.
057600     PERFORM MB21PD-INSERT-A-COLUMN
057700                                 THRU MB21PD-IAC-EXIT.
057800*
057900     MOVE 'VI-NBR-ELECTRON-MERCH'
058000                                 TO MB21WS-NAME.
058100     SET WS-NOT-END-OF-PERFORM   TO TRUE
058200     PERFORM
058300         VARYING X-WS-INDEX
058400         FROM 30 BY -1
058500         UNTIL X-WS-INDEX IS EQUAL TO 1
058600         OR WS-END-OF-PERFORM
058700         IF  MB21WS-NAME (X-WS-INDEX:1)
058800                                 IS NOT EQUAL TO SPACES
058900             ADD 1               TO X-WS-INDEX
059000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
059100             ADD 1               TO X-WS-INDEX
059200             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
059300             MOVE X-WS-TEMP-INDEX
059400                                 TO MB21WS-NAME (X-WS-INDEX:2)
059500             ADD 1               TO X-WS-INDEX
059600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
059700             SET WS-END-OF-PERFORM
059800                                 TO TRUE
059900         END-IF
060000     END-PERFORM.
060100     MOVE MMQ6-VI-NBR-ELECTRON-MERCH (X-MMQ6-VI)
060200                                 TO MB21WS-9V0Z.
060300     PERFORM MB21PD-INSERT-A-COLUMN
060400                                 THRU MB21PD-IAC-EXIT.
060500*
060600     MOVE 'VI-NBR-STORES'        TO MB21WS-NAME.
060700     SET WS-NOT-END-OF-PERFORM   TO TRUE
060800     PERFORM
060900         VARYING X-WS-INDEX
061000         FROM 30 BY -1
061100         UNTIL X-WS-INDEX IS EQUAL TO 1
061200         OR WS-END-OF-PERFORM
061300         IF  MB21WS-NAME (X-WS-INDEX:1)
061400                                 IS NOT EQUAL TO SPACES
061500             ADD 1               TO X-WS-INDEX
061600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
061700             ADD 1               TO X-WS-INDEX
061800             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
061900             MOVE X-WS-TEMP-INDEX
062000                                 TO MB21WS-NAME (X-WS-INDEX:2)
062100             ADD 1               TO X-WS-INDEX
062200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
062300             SET WS-END-OF-PERFORM
062400                                 TO TRUE
062500         END-IF
062600     END-PERFORM.
062700     MOVE MMQ6-VI-NBR-STORES (X-MMQ6-VI)
062800                                 TO MB21WS-9V0Z.
062900     PERFORM MB21PD-INSERT-A-COLUMN
063000                                 THRU MB21PD-IAC-EXIT.
063100*
063200     MOVE 'VI-NBR-ELECTRON-STORES'
063300                                 TO MB21WS-NAME.
063400     SET WS-NOT-END-OF-PERFORM   TO TRUE
063500     PERFORM
063600         VARYING X-WS-INDEX
063700         FROM 30 BY -1
063800         UNTIL X-WS-INDEX IS EQUAL TO 1
063900         OR WS-END-OF-PERFORM
064000         IF  MB21WS-NAME (X-WS-INDEX:1)
064100                                 IS NOT EQUAL TO SPACES
064200             ADD 1               TO X-WS-INDEX
064300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
064400             ADD 1               TO X-WS-INDEX
064500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
064600             MOVE X-WS-TEMP-INDEX
064700                                 TO MB21WS-NAME (X-WS-INDEX:2)
064800             ADD 1               TO X-WS-INDEX
064900             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
065000             SET WS-END-OF-PERFORM
065100                                 TO TRUE
065200         END-IF
065300     END-PERFORM.
065400     MOVE MMQ6-VI-NBR-ELECTRON-STORES (X-MMQ6-VI)
065500                                 TO MB21WS-9V0Z.
065600     PERFORM MB21PD-INSERT-A-COLUMN
065700                                 THRU MB21PD-IAC-EXIT.
065800*
065900     MOVE 'VI-NBR-CASH-BRANCHES'
066000                                 TO MB21WS-NAME.
066100     SET WS-NOT-END-OF-PERFORM   TO TRUE
066200     PERFORM
066300         VARYING X-WS-INDEX
066400         FROM 30 BY -1
066500         UNTIL X-WS-INDEX IS EQUAL TO 1
066600         OR WS-END-OF-PERFORM
066700         IF  MB21WS-NAME (X-WS-INDEX:1)
066800                                 IS NOT EQUAL TO SPACES
066900             ADD 1               TO X-WS-INDEX
067000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
067100             ADD 1               TO X-WS-INDEX
067200             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
067300             MOVE X-WS-TEMP-INDEX
067400                                 TO MB21WS-NAME (X-WS-INDEX:2)
067500             ADD 1               TO X-WS-INDEX
067600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
067700             SET WS-END-OF-PERFORM
067800                                 TO TRUE
067900         END-IF
068000     END-PERFORM.
068100     MOVE MMQ6-VI-NBR-CASH-BRANCHES (X-MMQ6-VI)
068200                                 TO MB21WS-9V0Z.
068300     PERFORM MB21PD-INSERT-A-COLUMN
068400                                 THRU MB21PD-IAC-EXIT.
068500*
068600     MOVE 'VI-NBR-ATM'           TO MB21WS-NAME.
068700     SET WS-NOT-END-OF-PERFORM   TO TRUE
068800     PERFORM
068900         VARYING X-WS-INDEX
069000         FROM 30 BY -1
069100         UNTIL X-WS-INDEX IS EQUAL TO 1
069200         OR WS-END-OF-PERFORM
069300         IF  MB21WS-NAME (X-WS-INDEX:1)
069400                                 IS NOT EQUAL TO SPACES
069500             ADD 1               TO X-WS-INDEX
069600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
069700             ADD 1               TO X-WS-INDEX
069800             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
069900             MOVE X-WS-TEMP-INDEX
070000                                 TO MB21WS-NAME (X-WS-INDEX:2)
070100             ADD 1               TO X-WS-INDEX
070200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
070300             SET WS-END-OF-PERFORM
070400                                 TO TRUE
070500         END-IF
070600     END-PERFORM.
070700     MOVE MMQ6-VI-NBR-ATM (X-MMQ6-VI)
070800                                 TO MB21WS-9V0Z.
070900     PERFORM MB21PD-INSERT-A-COLUMN
071000                                 THRU MB21PD-IAC-EXIT.
071100*
071200*
071300*
071400     SET X-MMQ6-VI-MON           TO 1.
071500*
071600*
071700 B110-LOOP.
071800*
071900*
072000     MOVE 'VI-MONTH'             TO MB21WS-NAME.
072100     SET WS-NOT-END-OF-PERFORM   TO TRUE
072200     PERFORM
072300         VARYING X-WS-INDEX
072400         FROM 30 BY -1
072500         UNTIL X-WS-INDEX IS EQUAL TO 1
072600         OR WS-END-OF-PERFORM
072700         IF  MB21WS-NAME (X-WS-INDEX:1)
072800                                 IS NOT EQUAL TO SPACES
072900             ADD 1               TO X-WS-INDEX
073000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
073100             ADD 1               TO X-WS-INDEX
073200             SET X-WS-TEMP-INDEX
073300                                 TO X-MMQ6-VI
073400             MOVE X-WS-TEMP-INDEX
073500                                 TO MB21WS-NAME (X-WS-INDEX:2)
073600             ADD 2               TO X-WS-INDEX
073700             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
073800             MOVE X-WS-MON-INDEX
073900                                 TO MB21WS-NAME (X-WS-INDEX:2)
074000             ADD 2               TO X-WS-INDEX
074100             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
074200             SET WS-END-OF-PERFORM
074300                                 TO TRUE
074400         END-IF
074500     END-PERFORM.
074600     MOVE MMQ6-VI-MONTH (X-MMQ6-VI X-MMQ6-VI-MON)
074700                                 TO MB21WS-2V0.
074800     PERFORM MB21PD-INSERT-A-COLUMN
074900                                 THRU MB21PD-IAC-EXIT.
075000*
075100     MOVE 'VI-YEAR'              TO MB21WS-NAME.
075200     SET WS-NOT-END-OF-PERFORM   TO TRUE
075300     PERFORM
075400         VARYING X-WS-INDEX
075500         FROM 30 BY -1
075600         UNTIL X-WS-INDEX IS EQUAL TO 1
075700         OR WS-END-OF-PERFORM
075800         IF  MB21WS-NAME (X-WS-INDEX:1)
075900                                 IS NOT EQUAL TO SPACES
076000             ADD 1               TO X-WS-INDEX
076100             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
076200             ADD 1               TO X-WS-INDEX
076300             SET X-WS-TEMP-INDEX
076400                                 TO X-MMQ6-VI
076500             MOVE X-WS-TEMP-INDEX
076600                                 TO MB21WS-NAME (X-WS-INDEX:2)
076700             ADD 2               TO X-WS-INDEX
076800             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
076900             MOVE X-WS-MON-INDEX
077000                                 TO MB21WS-NAME (X-WS-INDEX:2)
077100             ADD 2               TO X-WS-INDEX
077200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
077300             SET WS-END-OF-PERFORM
077400                                 TO TRUE
077500         END-IF
077600     END-PERFORM.
077700     MOVE MMQ6-VI-YEAR (X-MMQ6-VI X-MMQ6-VI-MON)
077800                                 TO MB21WS-4V0.
077900     PERFORM MB21PD-INSERT-A-COLUMN
078000                                 THRU MB21PD-IAC-EXIT.
078100*
078200*
078300     MOVE 'VI-VISA-NBR'          TO MB21WS-NAME.
078400     SET WS-NOT-END-OF-PERFORM   TO TRUE
078500     PERFORM
078600         VARYING X-WS-INDEX
078700         FROM 30 BY -1
078800         UNTIL X-WS-INDEX IS EQUAL TO 1
078900         OR WS-END-OF-PERFORM
079000         IF  MB21WS-NAME (X-WS-INDEX:1)
079100                                 IS NOT EQUAL TO SPACES
079200             ADD 1               TO X-WS-INDEX
079300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
079400             ADD 1               TO X-WS-INDEX
079500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
079600             MOVE X-WS-TEMP-INDEX
079700                                 TO MB21WS-NAME (X-WS-INDEX:2)
079800             ADD 2               TO X-WS-INDEX
079900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
080000             MOVE X-WS-MON-INDEX
080100                                 TO MB21WS-NAME (X-WS-INDEX:2)
080200             ADD 2               TO X-WS-INDEX
080300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
080400             SET WS-END-OF-PERFORM
080500                                 TO TRUE
080600         END-IF
080700     END-PERFORM.
080800     MOVE MMQ6-VI-VISA-NBR (X-MMQ6-VI X-MMQ6-VI-MON)
080900                                 TO MB21WS-9V0Z.
081000     PERFORM MB21PD-INSERT-A-COLUMN
081100                                 THRU MB21PD-IAC-EXIT.
081200*
081300     MOVE 'VI-VISA-AMT'          TO MB21WS-NAME.
081400     SET WS-NOT-END-OF-PERFORM   TO TRUE
081500     PERFORM
081600         VARYING X-WS-INDEX
081700         FROM 30 BY -1
081800         UNTIL X-WS-INDEX IS EQUAL TO 1
081900         OR WS-END-OF-PERFORM
082000         IF  MB21WS-NAME (X-WS-INDEX:1)
082100                                 IS NOT EQUAL TO SPACES
082200             ADD 1               TO X-WS-INDEX
082300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
082400             ADD 1               TO X-WS-INDEX
082500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
082600             MOVE X-WS-TEMP-INDEX
082700                                 TO MB21WS-NAME (X-WS-INDEX:2)
082800             ADD 2               TO X-WS-INDEX
082900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
083000             MOVE X-WS-MON-INDEX
083100                                 TO MB21WS-NAME (X-WS-INDEX:2)
083200             ADD 2               TO X-WS-INDEX
083300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
083400             SET WS-END-OF-PERFORM
083500                                 TO TRUE
083600         END-IF
083700     END-PERFORM.
083800     MOVE MMQ6-VI-VISA-AMT (X-MMQ6-VI X-MMQ6-VI-MON)
083900                                 TO MB21WS-15V2.
084000     PERFORM MB21PD-INSERT-A-COLUMN
084100                                 THRU MB21PD-IAC-EXIT.
084200*
084300     MOVE 'VI-ELECTRON-NBR'      TO MB21WS-NAME.
084400     SET WS-NOT-END-OF-PERFORM   TO TRUE
084500     PERFORM
084600         VARYING X-WS-INDEX
084700         FROM 30 BY -1
084800         UNTIL X-WS-INDEX IS EQUAL TO 1
084900         OR WS-END-OF-PERFORM
085000         IF  MB21WS-NAME (X-WS-INDEX:1)
085100                                 IS NOT EQUAL TO SPACES
085200             ADD 1               TO X-WS-INDEX
085300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
085400             ADD 1               TO X-WS-INDEX
085500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
085600             MOVE X-WS-TEMP-INDEX
085700                                 TO MB21WS-NAME (X-WS-INDEX:2)
085800             ADD 2               TO X-WS-INDEX
085900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
086000             MOVE X-WS-MON-INDEX
086100                                 TO MB21WS-NAME (X-WS-INDEX:2)
086200             ADD 2               TO X-WS-INDEX
086300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
086400             SET WS-END-OF-PERFORM
086500                                 TO TRUE
086600         END-IF
086700     END-PERFORM.
086800     MOVE MMQ6-VI-ELECTRON-NBR (X-MMQ6-VI X-MMQ6-VI-MON)
086900                                 TO MB21WS-9V0Z.
087000     PERFORM MB21PD-INSERT-A-COLUMN
087100                                 THRU MB21PD-IAC-EXIT.
087200*
087300     MOVE 'VI-ELECTRON-AMT'      TO MB21WS-NAME.
087400     SET WS-NOT-END-OF-PERFORM   TO TRUE
087500     PERFORM
087600         VARYING X-WS-INDEX
087700         FROM 30 BY -1
087800         UNTIL X-WS-INDEX IS EQUAL TO 1
087900         OR WS-END-OF-PERFORM
088000         IF  MB21WS-NAME (X-WS-INDEX:1)
088100                                 IS NOT EQUAL TO SPACES
088200             ADD 1               TO X-WS-INDEX
088300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
088400             ADD 1               TO X-WS-INDEX
088500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
088600             MOVE X-WS-TEMP-INDEX
088700                                 TO MB21WS-NAME (X-WS-INDEX:2)
088800             ADD 2               TO X-WS-INDEX
088900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
089000             MOVE X-WS-MON-INDEX
089100                                 TO MB21WS-NAME (X-WS-INDEX:2)
089200             ADD 2               TO X-WS-INDEX
089300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
089400             SET WS-END-OF-PERFORM
089500                                 TO TRUE
089600         END-IF
089700     END-PERFORM.
089800     MOVE MMQ6-VI-ELECTRON-AMT (X-MMQ6-VI X-MMQ6-VI-MON)
089900                                 TO MB21WS-15V2.
090000     PERFORM MB21PD-INSERT-A-COLUMN
090100                                 THRU MB21PD-IAC-EXIT.
090200*
090300     MOVE 'VI-CASH-ADV-NBR'      TO MB21WS-NAME.
090400     SET WS-NOT-END-OF-PERFORM   TO TRUE
090500     PERFORM
090600         VARYING X-WS-INDEX
090700         FROM 30 BY -1
090800         UNTIL X-WS-INDEX IS EQUAL TO 1
090900         OR WS-END-OF-PERFORM
091000         IF  MB21WS-NAME (X-WS-INDEX:1)
091100                                 IS NOT EQUAL TO SPACES
091200             ADD 1               TO X-WS-INDEX
091300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
091400             ADD 1               TO X-WS-INDEX
091500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
091600             MOVE X-WS-TEMP-INDEX
091700                                 TO MB21WS-NAME (X-WS-INDEX:2)
091800             ADD 2               TO X-WS-INDEX
091900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
092000             MOVE X-WS-MON-INDEX
092100                                 TO MB21WS-NAME (X-WS-INDEX:2)
092200             ADD 2               TO X-WS-INDEX
092300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
092400             SET WS-END-OF-PERFORM
092500                                 TO TRUE
092600         END-IF
092700     END-PERFORM.
092800     MOVE MMQ6-VI-CASH-ADV-NBR (X-MMQ6-VI X-MMQ6-VI-MON)
092900                                 TO MB21WS-9V0Z.
093000     PERFORM MB21PD-INSERT-A-COLUMN
093100                                 THRU MB21PD-IAC-EXIT.
093200*
093300     MOVE 'VI-CASH-ADV-AMT'      TO MB21WS-NAME.
093400     SET WS-NOT-END-OF-PERFORM   TO TRUE
093500     PERFORM
093600         VARYING X-WS-INDEX
093700         FROM 30 BY -1
093800         UNTIL X-WS-INDEX IS EQUAL TO 1
093900         OR WS-END-OF-PERFORM
094000         IF  MB21WS-NAME (X-WS-INDEX:1)
094100                                 IS NOT EQUAL TO SPACES
094200             ADD 1               TO X-WS-INDEX
094300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
094400             ADD 1               TO X-WS-INDEX
094500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
094600             MOVE X-WS-TEMP-INDEX
094700                                 TO MB21WS-NAME (X-WS-INDEX:2)
094800             ADD 2               TO X-WS-INDEX
094900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
095000             MOVE X-WS-MON-INDEX
095100                                 TO MB21WS-NAME (X-WS-INDEX:2)
095200             ADD 2               TO X-WS-INDEX
095300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
095400             SET WS-END-OF-PERFORM
095500                                 TO TRUE
095600         END-IF
095700     END-PERFORM.
095800     MOVE MMQ6-VI-CASH-ADV-AMT (X-MMQ6-VI X-MMQ6-VI-MON)
095900                                 TO MB21WS-15V2.
096000     PERFORM MB21PD-INSERT-A-COLUMN
096100                                 THRU MB21PD-IAC-EXIT.
096200*
096300     MOVE 'VI-ATM-NBR'          TO MB21WS-NAME.
096400     SET WS-NOT-END-OF-PERFORM   TO TRUE
096500     PERFORM
096600         VARYING X-WS-INDEX
096700         FROM 30 BY -1
096800         UNTIL X-WS-INDEX IS EQUAL TO 1
096900         OR WS-END-OF-PERFORM
097000         IF  MB21WS-NAME (X-WS-INDEX:1)
097100                                 IS NOT EQUAL TO SPACES
097200             ADD 1               TO X-WS-INDEX
097300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
097400             ADD 1               TO X-WS-INDEX
097500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
097600             MOVE X-WS-TEMP-INDEX
097700                                 TO MB21WS-NAME (X-WS-INDEX:2)
097800             ADD 2               TO X-WS-INDEX
097900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
098000             MOVE X-WS-MON-INDEX
098100                                 TO MB21WS-NAME (X-WS-INDEX:2)
098200             ADD 2               TO X-WS-INDEX
098300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
098400             SET WS-END-OF-PERFORM
098500                                 TO TRUE
098600         END-IF
098700     END-PERFORM.
098800     MOVE MMQ6-VI-ATM-NBR (X-MMQ6-VI X-MMQ6-VI-MON)
098900                                 TO MB21WS-9V0Z.
099000     PERFORM MB21PD-INSERT-A-COLUMN
099100                                 THRU MB21PD-IAC-EXIT.
099200*
099300     MOVE 'VI-ATM-AMT'          TO MB21WS-NAME.
099400     SET WS-NOT-END-OF-PERFORM   TO TRUE
099500     PERFORM
099600         VARYING X-WS-INDEX
099700         FROM 30 BY -1
099800         UNTIL X-WS-INDEX IS EQUAL TO 1
099900         OR WS-END-OF-PERFORM
100000         IF  MB21WS-NAME (X-WS-INDEX:1)
100100                                 IS NOT EQUAL TO SPACES
100200             ADD 1               TO X-WS-INDEX
100300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
100400             ADD 1               TO X-WS-INDEX
100500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
100600             MOVE X-WS-TEMP-INDEX
100700                                 TO MB21WS-NAME (X-WS-INDEX:2)
100800             ADD 2               TO X-WS-INDEX
100900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
101000             MOVE X-WS-MON-INDEX
101100                                 TO MB21WS-NAME (X-WS-INDEX:2)
101200             ADD 2               TO X-WS-INDEX
101300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
101400             SET WS-END-OF-PERFORM
101500                                 TO TRUE
101600         END-IF
101700     END-PERFORM.
101800     MOVE MMQ6-VI-ATM-AMT (X-MMQ6-VI X-MMQ6-VI-MON)
101900                                 TO MB21WS-15V2.
102000     PERFORM MB21PD-INSERT-A-COLUMN
102100                                 THRU MB21PD-IAC-EXIT.
102200*
102300     MOVE 'VI-REFUND-NBR'        TO MB21WS-NAME.
102400     SET WS-NOT-END-OF-PERFORM   TO TRUE
102500     PERFORM
102600         VARYING X-WS-INDEX
102700         FROM 30 BY -1
102800         UNTIL X-WS-INDEX IS EQUAL TO 1
102900         OR WS-END-OF-PERFORM
103000         IF  MB21WS-NAME (X-WS-INDEX:1)
103100                                 IS NOT EQUAL TO SPACES
103200             ADD 1               TO X-WS-INDEX
103300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
103400             ADD 1               TO X-WS-INDEX
103500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
103600             MOVE X-WS-TEMP-INDEX
103700                                 TO MB21WS-NAME (X-WS-INDEX:2)
103800             ADD 2               TO X-WS-INDEX
103900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
104000             MOVE X-WS-MON-INDEX
104100                                 TO MB21WS-NAME (X-WS-INDEX:2)
104200             ADD 2               TO X-WS-INDEX
104300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
104400             SET WS-END-OF-PERFORM
104500                                 TO TRUE
104600         END-IF
104700     END-PERFORM.
104800     MOVE MMQ6-VI-REFUND-NBR (X-MMQ6-VI X-MMQ6-VI-MON)
104900                                 TO MB21WS-9V0Z.
105000     PERFORM MB21PD-INSERT-A-COLUMN
105100                                 THRU MB21PD-IAC-EXIT.
105200*
105300     MOVE 'VI-REFUND-AMT'        TO MB21WS-NAME.
105400     SET WS-NOT-END-OF-PERFORM   TO TRUE
105500     PERFORM
105600         VARYING X-WS-INDEX
105700         FROM 30 BY -1
105800         UNTIL X-WS-INDEX IS EQUAL TO 1
105900         OR WS-END-OF-PERFORM
106000         IF  MB21WS-NAME (X-WS-INDEX:1)
106100                                 IS NOT EQUAL TO SPACES
106200             ADD 1               TO X-WS-INDEX
106300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
106400             ADD 1               TO X-WS-INDEX
106500             SET X-WS-TEMP-INDEX TO X-MMQ6-VI
106600             MOVE X-WS-TEMP-INDEX
106700                                 TO MB21WS-NAME (X-WS-INDEX:2)
106800             ADD 2               TO X-WS-INDEX
106900             SET X-WS-MON-INDEX  TO X-MMQ6-VI-MON
107000             MOVE X-WS-MON-INDEX
107100                                 TO MB21WS-NAME (X-WS-INDEX:2)
107200             ADD 2               TO X-WS-INDEX
107300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
107400             SET WS-END-OF-PERFORM
107500                                 TO TRUE
107600         END-IF
107700     END-PERFORM.
107800     MOVE MMQ6-VI-REFUND-AMT (X-MMQ6-VI X-MMQ6-VI-MON)
107900                                 TO MB21WS-15V2.
108000     PERFORM MB21PD-INSERT-A-COLUMN
108100                                 THRU MB21PD-IAC-EXIT.
108200*
108300     IF  X-MMQ6-VI-MON IS EQUAL TO 3
108400         PERFORM MB21PD-INSERT-A-COLUMN
108500                                 THRU MB21PD-IAC-EXIT 2 TIMES
108600     ELSE
108700         PERFORM MB21PD-INSERT-A-COLUMN
108800                                 THRU MB21PD-IAC-EXIT.
108900*
109000     IF  X-MMQ6-VI-MON IS LESS THAN 3
109100         SET X-MMQ6-VI-MON UP BY 1
109200         GO TO B110-LOOP.
109300*
109400*
109500     IF  X-MMQ6-VI IS LESS THAN 4
109600         SET X-MMQ6-VI   UP BY 1
109700         GO TO B100-LOOP.
109800*
109900 B999-PRT-EXIT.
110000     EXIT.
110100*
110200 B200-PRINT-HEADER.
110300*
110400     MOVE 'ORG HEADER RECORD(MMQ6)'
110500                                 TO MB21WS-NAME.
110600     PERFORM MB21PD-INSERT-A-COLUMN
110700                                 THRU MB21PD-IAC-EXIT.
110800*
110900     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
111000     MOVE 'ORG'                  TO MB21WS-NAME.
111100     MOVE MMQ6IO-ORG             TO MB21WS-3V0.
111200     PERFORM MB21PD-INSERT-A-COLUMN
111300                                 THRU MB21PD-IAC-EXIT.
111400*
111500     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
111600     MOVE MMQ6IO-DATE-STAMP      TO SS01WS-JULIAN.
111700     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
111800     MOVE MMQ6IO-DATE-STAMP      TO MB21WS-JULIAN.
111900     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
112000     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
112100     PERFORM MB21PD-INSERT-A-COLUMN
112200                                 THRU MB21PD-IAC-EXIT.
112300*
112400     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
112500     MOVE MMQ6IO-TIME-STAMP      TO MB21WS-TIME.
112600     INSPECT MB21WS-TIME         REPLACING ALL SPACE BY '.'.
112700     PERFORM MB21PD-INSERT-A-COLUMN
112800                                 THRU MB21PD-IAC-EXIT.
112900*
113000     PERFORM MB21PD-PRINT-A-PAGE
113100                                 THRU MB21PD-PAP-EXIT.
113200*
113300 B200-PH-EXIT.
113400     EXIT.
113500/
113600* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
113700*                          COMMON ROUTINES                      *
113800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
113900*
114000     COPY SS02PD.
114100/
114200     COPY SS08PD.
114300/
114400     COPY SS16PD.
114500/
114600     COPY SS26PD.
114700/
114800     COPY SS27PD.
114900/
115000     COPY MB20PD.
115100/
115200     COPY MB21PD.
115300/
115400     COPY MB99PD.
115500/
115600     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
115700/
115800     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ6==.
115900/
116000     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
116100/
116200     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
