000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU990.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU990 - CREATE MB3O OR MB4O INITIAL FILE               *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700/
001800 DATA DIVISION.
001900 FILE SECTION.
002000 WORKING-STORAGE SECTION.
002100*
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*
002400     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB3O==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MB3O==.
002700/
002800     COPY MB00WS.
002900/
003000     COPY MB99WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS02WS.
003500*
003600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003700/
003800 PROCEDURE DIVISION.
003900 A000-MAIN-LINE-SECT SECTION.
004000 A010-ML-BEGIN.
004100*
004200     MOVE 'MBU990'               TO SS02WS-ABEND-PROG-ID.
004300*
004400     MOVE 'O13O'                 TO SS02WS-ABEND-LOCATION.
004500     SET MB3ORB-OPEN-OUTPUT      TO TRUE.
004600     PERFORM MB00PD-MB3O-ACCESS
004700        THRU MB00PD-MB3O-ACCESS-EXIT.
004800*
004900     MOVE SPACES                 TO MB3OIO-RECORD.
005000     SET MB3OIO-HEADER           TO TRUE.
005100     MOVE ZERO                   TO MB3OIO-STORE.
005200     MOVE ZERO                   TO MB3OIO-BATCH-DATE.
005300     MOVE ZERO                   TO MB3OIO-BATCH-SOURCE.
005400     MOVE ZERO                   TO MB3OIO-BATCH-NBR.
005500     MOVE ZERO                   TO MB3OIO-BATCH-SEQ.
005600     MOVE ZERO                   TO MB3OIO-SEQ-NBR.
005700     MOVE ZERO                   TO MB3OIO-DATE-STAMP.
005800     MOVE ZERO                   TO MB3OIO-TIME-STAMP.
005900*
006000     MOVE 'W13O'                 TO SS02WS-ABEND-LOCATION.
006100     SET MB3ORB-WRITE            TO TRUE.
006200     PERFORM MB00PD-MB3O-ACCESS
006300        THRU MB00PD-MB3O-ACCESS-EXIT.
006400*
006500     MOVE SPACES                 TO MB3OIO-RECORD.
006600     SET MB3OIO-TRAILER          TO TRUE.
006700     MOVE ZERO                   TO MB3OIO-STORE.
006800     MOVE ZERO                   TO MB3OIO-BATCH-DATE.
006900     MOVE ZERO                   TO MB3OIO-BATCH-SOURCE.
007000     MOVE ZERO                   TO MB3OIO-BATCH-NBR.
007100     MOVE ZERO                   TO MB3OIO-BATCH-SEQ.
007200     MOVE ZERO                   TO MB3OIO-SEQ-NBR.
007300     MOVE ZERO                   TO MB3OIO-DATE-STAMP.
007400     MOVE ZERO                   TO MB3OIO-TIME-STAMP.
007500*
007600     MOVE 'W93O'                 TO SS02WS-ABEND-LOCATION.
007700     SET MB3ORB-WRITE            TO TRUE.
007800     PERFORM MB00PD-MB3O-ACCESS
007900        THRU MB00PD-MB3O-ACCESS-EXIT.
008000*
008100*
008200*
008300     MOVE 'C13O'                 TO SS02WS-ABEND-LOCATION.
008400     SET MB3ORB-CLOSE            TO TRUE.
008500     PERFORM MB00PD-MB3O-ACCESS
008600        THRU MB00PD-MB3O-ACCESS-EXIT.
008700*
008800     GO TO 9999-END-OF-PROGRAM.
008900*
009000 A099-ML-EXIT.
009100     EXIT.
009200/
009300 9000-PERFORMED-ROUTINES SECTION.
009400     COPY MB00PD REPLACING ==:MB00:== BY ==MB3O==.
009500/
009600     COPY MB99PD.
009700/
009800     COPY SS02PD.
009900*
010000 9995-END-SOURCE-STATEMENTS SECTION.
010100 9999-END-OF-PROGRAM.
010200     STOP RUN.
