000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500****************************************************************
000600****************************************************************
000700****************************************************************
000800*    MB53WS - SETTLEMENT NOTICE WORK AREAS.                    *
000900****************************************************************
001000****************************************************************
001100****************************************************************
001200*                                                              *
001300 01  MB53WS-REC-ID-AREAS.
001400     03  MB53WS-REC-ID-DATA.
001500         05  MB53WS-DATA.
001600             07  MB53WS-REC-ID-0000.
001700                 09  MB53WS-POSTAL-CODE
001800                             PIC  X(10).
001900                 09  MB53WS-R0000-NAME-ADDR
002000                                             OCCURS 5 TIMES
002100                                             INDEXED BY
002200                                             X-MB53WS-R0000-NA
002300                             PIC  X(40).
002400                 09  MB53WS-NOTICE-DATE
002500                             PIC S9(07)      COMP-3.
002600                 09  MB53WS-SETT-HEADING-FLAG
002700                             PIC  X(01).
002800                     88  MB53WS-SETT-HEADING-FAX
002900                                             VALUE 'F'.
003000                     88  MB53WS-SETT-HEADING-PRINT
003100                                             VALUE 'P'.
003200                 09  MB53WS-SETT-NOTICE-RPT-FLAG
003300                             PIC  X(01).
003400                     88  MB53WS-SETT-NOTICE-PRINT
003500                                             VALUE 'P' 'B'.
003600                     88  MB53WS-SETT-NOTICE-NO-PRINT
003700                                             VALUE 'F'.
003800                     88  MB53WS-SETT-NOTICE-FAX
003900                                             VALUE 'F' 'B'.
004000                     88  MB53WS-SETT-NOTICE-NO-FAX
004100                                             VALUE 'P'.
004200                 09  MB53WS-FAX
004300                             PIC  X(20).
004400*
004500             07  MB53WS-REC-ID-0006.
004600                 09  MB53WS-R0006-NAME-ADDR
004700                                             OCCURS 5 TIMES
004800                                             INDEXED BY
004900                                             X-MB53WS-R0006-NA
005000                             PIC  X(40).
005100                 09  MB53WS-CORR-PHONE
005200                             PIC  X(20).
005300                 09  MB53WS-CORR-FAX
005400                             PIC  X(20).
005500*
005600             07  MB53WS-REC-ID-0007.
005700                 09  MB53WS-SETT-ACCOUNTS.
005800                     11  MB53WS-SETT-ACCT    OCCURS 4 TIMES
005900                                             INDEXED BY
006000                                             X-MB53WS-SETT-ACCT.
006100                         13  MB53WS-SETT-ACCT-METHOD
006200                             PIC  X(02).
006300                             88  MB53WS-SETT-ACCT-SKIP
006400                                             VALUE 'N0'.
006500                             88  MB53WS-SETT-ACCT-ACH
006600                                             VALUE 'A1' 'A2'
006700                                                   'A3' 'A4'.
006800                             88  MB53WS-SETT-ACCT-MANUAL
006900                                             VALUE 'M1' 'M2'
007000                                                   'M3' 'M4'.
007100                             88  MB53WS-SETT-ACCT-CHECK
007200                                             VALUE 'C2'.
007300                             88  MB53WS-SETT-ACCT-WIRE
007400                                             VALUE 'W2'.
007500                             88  MB53WS-SETT-NET-SETTLEMENT
007600                                             VALUE 'A1' 'A2' 'A3'
007700                                                   'M1' 'M2' 'M3'
007800                                                   'C2' 'W2'.
007900                             88  MB53WS-SETT-NO-HOLDOVER
008000                                             VALUE 'A1' 'M1'.
008100                             88  MB53WS-SETT-HOLDOVER-NORM
008200                                             VALUE 'A2' 'M2'
008300                                                   'C2' 'W2'.
008400                             88  MB53WS-SETT-HOLDOVER-BILLED
008500                                             VALUE 'A3' 'M3'.
008600                         13  MB53WS-SA-DR-RT
008700                             PIC S9(09)      COMP-3.
008800                         13  MB53WS-SA-DR-ACCT
008900                             PIC  X(17).
009000                         13  MB53WS-SA-DR-ACCT-TYPE
009100                             PIC  X(01).
009200                             88  MB53WS-DR-ACCT-DDA
009300                                             VALUE 'D'.
009400                             88  MB53WS-DR-ACCT-SAV
009500                                             VALUE 'S'.
009600                             88  MB53WS-VALID-DR-ACCT-TYPE
009700                                             VALUE 'D' 'S'.
009800                         13  MB53WS-SA-CR-RT
009900                             PIC S9(09)      COMP-3.
010000                         13  MB53WS-SA-CR-ACCT
010100                             PIC  X(17).
010200                         13  MB53WS-SA-CR-ACCT-TYPE
010300                             PIC  X(01).
010400                             88  MB53WS-CR-ACCT-DDA
010500                                             VALUE 'D'.
010600                             88  MB53WS-CR-ACCT-SAV
010700                                             VALUE 'S'.
010800                             88  MB53WS-VALID-CR-ACCT-TYPE
010900                                             VALUE 'D' 'S'.
011000                         13  MB53WS-SETT-SW
011100                             PIC  X(01).
011200                             88  MB53WS-SETT-DEST-ACTIVITY
011300                                             VALUE 'Y'.
011400                             88  MB53WS-SETT-DEST-NO-ACTIVITY
011500                                             VALUE 'N' SPACE.
011600                         13  MB53WS-BILL-USE-FLAG
011700                             PIC  X(01).
011800                             88  MB53WS-BUF-ACTIVE
011900                                             VALUE 'Y' 'H'.
012000                             88  MB53WS-BUF-HOLDOVER-TO-XFER
012100                                             VALUE 'H'.
012200                             88  MB53WS-BUF-NOT-ACTIVE
012300                                             VALUE 'N'.
012400                             88  MB53WS-BUF-VALID
012500                                             VALUE 'Y' 'N' 'H'.
012600                         13  MB53WS-BILLING-ORG
012700                             PIC  9(03).
012800                         13  MB53WS-BILLING-ACCT
012900                             PIC  X(19).
013000                         13  MB53WS-BILL-SW
013100                             PIC  X(01).
013200                             88  MB53WS-BILL-DEST-ACTIVITY
013300                                             VALUE 'Y'.
013400                             88  MB53WS-BILL-DEST-NO-ACTIVITY
013500                                             VALUE 'N' SPACE.
013600                     11  MB53WS-WINDOW-SW
013700                             PIC  X(01).
013800                         88  MB53WS-WINDOW-ACTIVITY
013900                                             VALUE 'Y'.
014000                         88  MB53WS-WINDOW-NO-ACTIVITY
014100                                             VALUE 'N' SPACE.
014200*
014300             07  MB53WS-REC-ID-0008.
014400                 09  MB53WS-SETT-TOTALS.
014500                     11  MB53WS-SETT-ACH-MAN-TABLE
014600                                             OCCURS 4 TIMES
014700                                             INDEXED BY
014800                                             X-MB53WS-SAMT.
014900                         13  MB53WS-SAMT-CR-AMT
015000                             PIC S9(17)      COMP-3.
015100                         13  MB53WS-SAMT-DR-AMT
015200                             PIC S9(17)      COMP-3.
015300                         13  MB53WS-SAMT-NET-CR-AMT
015400                             PIC S9(17)      COMP-3.
015500                         13  MB53WS-SAMT-NET-DR-AMT
015600                             PIC S9(17)      COMP-3.
015700                         13  MB53WS-SAMT-HOLDOVER
015800                             PIC S9(17)      COMP-3.
015900                         13  MB53WS-SAMT-XFER-INV
016000                             PIC S9(17)      COMP-3.
016100                     11  MB53WS-SETT-BILLING-TABLE
016200                                             OCCURS 4 TIMES
016300                                             INDEXED BY
016400                                             X-MB53WS-SBT.
016500                         13  MB53WS-SBT-AMT
016600                             PIC S9(17)      COMP-3.
016700                     11  MB53WS-WINDOW-AMT
016800                             PIC S9(17)      COMP-3.
016900                     11  MB53WS-DISTRIB-HOLDOVER-AMT
017000                             PIC S9(17)      COMP-3.
017100*
017200             07  MB53WS-SETT-TRAILER.
017300                 09  MB53WS-ST-CR-TOTAL-NBR
017400                             PIC S9(09)      COMP-3.
017500                 09  MB53WS-ST-CR-TOTAL-AMT
017600                             PIC S9(17)      COMP-3.
017700                 09  MB53WS-ST-DR-TOTAL-NBR
017800                             PIC S9(09)      COMP-3.
017900                 09  MB53WS-ST-DR-TOTAL-AMT
018000                             PIC S9(17)      COMP-3.
018100*
018200 01  MB53WS-TOTALS.
018300     03  MB53WS-TOTALS-TABLE-X.
018400*****************************************************************
018500*                                                               *
018600*    INDEX 1 --- 1=SETTLEMENT 2=BILLED/INVOICE 3=WINDOW         *
018700*                                                               *
018800*    INDEX 2 --- SETTLEMENT/INVOICE ACCOUNT 1, 2, 3 AND 4       *
018900*                WINDOW SETTLEMENT 1 --- INDEXES 2, 3, AND 4    *
019000*                                        ON WINDOW ARE NOT USED.*
019100*                                                               *
019200*****************************************************************
019300         05  MB53WS-TOTALS-TABLE             OCCURS 3 TIMES
019400                                             INDEXED BY
019500                                             X-MB53WS-TT-DEST.
019600             07  MB53WS-TT-NBR-AMT           OCCURS 4 TIMES
019700                                             INDEXED BY
019800                                             X-MB53WS-TT-ACCT.
019900                 09  MB53WS-TT-DEPOSITS-AMT
020000                             PIC S9(17)      COMP-3.
020100                 09  MB53WS-TT-WITHDRAWAL-AMT
020200                             PIC S9(17)      COMP-3.
020300                 09  MB53WS-TT-RESV-CR-AMT
020400                             PIC S9(17)      COMP-3.
020500                 09  MB53WS-TT-RESV-DR-AMT
020600                             PIC S9(17)      COMP-3.
020700                 09  MB53WS-TT-DISC-AMT
020800                             PIC S9(17)      COMP-3.
020900                 09  MB53WS-TT-REFUND-AMT
021000                             PIC S9(17)      COMP-3.
021100                 09  MB53WS-TT-PART-CR-AMT
021200                             PIC S9(17)      COMP-3.
021300                 09  MB53WS-TT-PART-DR-AMT
021400                             PIC S9(17)      COMP-3.
021500                 09  MB53WS-TT-ADJ-CR-AMT
021600                             PIC S9(17)      COMP-3.
021700                 09  MB53WS-TT-ADJ-DR-AMT
021800                             PIC S9(17)      COMP-3.
021900                 09  MB53WS-TT-REC-ADJ-CR-AMT
022000                             PIC S9(17)      COMP-3.
022100                 09  MB53WS-TT-REC-ADJ-DR-AMT
022200                             PIC S9(17)      COMP-3.
022300                 09  MB53WS-TT-SYSTEM-FEES-CR-AMT
022400                             PIC S9(17)      COMP-3.
022500                 09  MB53WS-TT-SYSTEM-FEES-DR-AMT
022600                             PIC S9(17)      COMP-3.
022700                 09  MB53WS-TT-USER-FEES-CR-AMT
022800                             PIC S9(17)      COMP-3.
022900                 09  MB53WS-TT-USER-FEES-DR-AMT
023000                             PIC S9(17)      COMP-3.
023100                 09  MB53WS-TT-INTCHG-FEES-CR-AMT
023200                             PIC S9(17)      COMP-3.
023300                 09  MB53WS-TT-INTCHG-FEES-DR-AMT
023400                             PIC S9(17)      COMP-3.
023500                 09  MB53WS-TT-USER-CR-AMT
023600                             PIC S9(17)      COMP-3.
023700                 09  MB53WS-TT-USER-DR-AMT
023800                             PIC S9(17)      COMP-3.
023900                 09  MB53WS-TT-HOLDOVER-AMT
024000                             PIC S9(17)      COMP-3.
024100                 09  MB53WS-TT-XFER-INV-AMT
024200                             PIC S9(17)      COMP-3.
024300                 09  MB53WS-TT-DEPOSITS-NBR
024400                             PIC S9(09)      COMP-3.
024500                 09  MB53WS-TT-WITHDRAWAL-NBR
024600                             PIC S9(09)      COMP-3.
024700                 09  MB53WS-TT-RESV-CR-NBR
024800                             PIC S9(09)      COMP-3.
024900                 09  MB53WS-TT-RESV-DR-NBR
025000                             PIC S9(09)      COMP-3.
025100                 09  MB53WS-TT-DISC-NBR
025200                             PIC S9(09)      COMP-3.
025300                 09  MB53WS-TT-REFUND-NBR
025400                             PIC S9(09)      COMP-3.
025500                 09  MB53WS-TT-PART-CR-NBR
025600                             PIC S9(09)      COMP-3.
025700                 09  MB53WS-TT-PART-DR-NBR
025800                             PIC S9(09)      COMP-3.
025900                 09  MB53WS-TT-ADJ-CR-NBR
026000                             PIC S9(09)      COMP-3.
026100                 09  MB53WS-TT-ADJ-DR-NBR
026200                             PIC S9(09)      COMP-3.
026300                 09  MB53WS-TT-REC-ADJ-CR-NBR
026400                             PIC S9(09)      COMP-3.
026500                 09  MB53WS-TT-REC-ADJ-DR-NBR
026600                             PIC S9(09)      COMP-3.
026700                 09  MB53WS-TT-SYSTEM-FEES-CR-NBR
026800                             PIC S9(09)      COMP-3.
026900                 09  MB53WS-TT-SYSTEM-FEES-DR-NBR
027000                             PIC S9(09)      COMP-3.
027100                 09  MB53WS-TT-USER-FEES-CR-NBR
027200                             PIC S9(09)      COMP-3.
027300                 09  MB53WS-TT-USER-FEES-DR-NBR
027400                             PIC S9(09)      COMP-3.
027500                 09  MB53WS-TT-INTCHG-FEES-CR-NBR
027600                             PIC S9(09)      COMP-3.
027700                 09  MB53WS-TT-INTCHG-FEES-DR-NBR
027800                             PIC S9(09)      COMP-3.
027900                 09  MB53WS-TT-USER-CR-NBR
028000                             PIC S9(09)      COMP-3.
028100                 09  MB53WS-TT-USER-DR-NBR
028200                             PIC S9(09)      COMP-3.
028300                 09  MB53WS-TT-HOLDOVER-NBR
028400                             PIC S9(09)      COMP-3.
028500                 09  MB53WS-TT-XFER-INV-NBR
028600                             PIC S9(09)      COMP-3.
028700*
028800*       ***************************************************
028900*       *              END OF COPYBOOK MB53WS             *
029000*       ***************************************************
