000100 R100-REPORT-10 SECTION.
000200 R101-R10-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 10.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R109-R10-EXIT.
000900*
001000     IF  MMTCWS-LM-VALID-INTERNAL
001100     OR  MMTCWS-LM-ADJ-HDR
001200         GO TO R109-R10-EXIT.
001300*
001400     IF  MMTCWS-LM-VALID-CREDIT
001500     OR  MMTCWS-LM-VALID-DEBIT
001600     OR  MMTCWS-LM-STATS-CREDIT
001700     OR  MMTCWS-LM-STATS-DEBIT
001800     OR  MMTCWS-LM-VALID-MEMO
001900         NEXT SENTENCE
002000     ELSE
002100         GO TO R109-R10-EXIT.
002200*
002300     MOVE 2                      TO WS-D200-RPT-REC-TYPE.
002400     MOVE MTPT-PRODUCT           TO MTRF-K2-O10-PRODUCT.
002500     MOVE MTPT-MERCHANT          TO MTRF-K2-O10-MERCHANT.
002600     MOVE MTPT-STORE             TO MTRF-K2-O10-STORE.
002700     MOVE MTPT-BATCH             TO MTRF-K2-O10-BATCH.
002800     MOVE MTPT-RECORD            TO MTRF-MT-TRANSACTION.
002900     SET WS-D200-O10-ACTIVITY    TO TRUE.
003000*
003100     PERFORM R980-WRITE-REPORT-FILE
003200        THRU R989-WRF-EXIT.
003300*
003400 R109-R10-EXIT.
003500     EXIT.
003600/
003700 R100-REPORT-10-PROD-DESC SECTION.
003800 R109-R10-PD-BEGIN.
003900*
004000     SET X-MTRFWS-ORT            TO 10.
004100*
004200     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
004300     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
004400         GO TO R109-R10-PD-EXIT.
004500*
004600     IF  WS-D200-O10-NO-ACTIVITY
004700         GO TO R109-R10-PD-EXIT.
004800*
004900     SET X-MTRF-PD               TO 1.
005000*
005100     PERFORM
005200         VARYING X-MMOC-PROD FROM 1 BY 1
005300         UNTIL   X-MMOC-PROD IS GREATER THAN 99
005400         MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
005500                                 TO MTRF-PD-PROD-DESC (X-MTRF-PD)
005600         IF  X-MTRF-PD IS NOT LESS THAN 11
005700             MOVE 2              TO WS-D200-RPT-REC-TYPE
005800             MOVE ZERO           TO MTRF-K2-O10-PRODUCT
005900             MOVE ZERO           TO MTRF-K2-O10-MERCHANT
006000             MOVE ZERO           TO MTRF-K2-O10-STORE
006100             INITIALIZE             MTRF-K2-O10-BATCH
006200             SET MTRF-K2-O10-BATCH-SEQ
006300                                 TO X-MMOC-PROD
006400             SET MTRF-PD-BEG-INDEX
006500                                 TO X-MMOC-PROD
006600             SUBTRACT 10       FROM MTRF-PD-BEG-INDEX
006700             PERFORM R980-WRITE-REPORT-FILE
006800                THRU R989-WRF-EXIT
006900             SET X-MTRF-PD       TO 1
007000         ELSE
007100             SET X-MTRF-PD       UP BY 1
007200         END-IF
007300     END-PERFORM.
007400*
007500 R109-R10-PD-EXIT.
007600     EXIT.
