000100 R300-REPORT-30 SECTION.
000200 R301-R30-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 30.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R309-R30-EXIT
000900     END-IF.
001000*
001100******************************************************************
001200*    DAILY SALES AMOUNT FRAUD CHECK (OVER)                       *
001300******************************************************************
001400*
001500     COMPUTE WS-D200-WORK-AMT    =  WS-D200-SRA-SALES-AMT (13)
001600                                 -  WS-D200-SRA-SALES-REV-AMT(13).
001700*
001800     SET X-MMFP-FRAUD            TO 1.
001900*
002000     IF  WS-D200-NORM-SALES-AMT = ZERO
002100         MOVE 10000.0000         TO WS-D200-VARIANCE
002200     ELSE
002300         COMPUTE WS-D200-VARIANCE ROUNDED
002400                                 =  WS-D200-WORK-AMT
002500                                 /  WS-D200-NORM-SALES-AMT
002600     END-IF.
002700*
002800     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
002900                                (X-MMFP-FRAUD)
003000     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
003100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
003200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
003300         SET  MTRF-K2-O30-KT-MERCHANT
003400                                 TO TRUE
003500         SET  MTRF-K2-O30-FRAUD-INDEX
003600                                 TO X-MMFP-FRAUD
003700         SET  MTRF-O30-OVER      TO TRUE
003800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
003900         MOVE MMMM-DATE-LAST-STMT
004000                                 TO MTRF-O30-DATE-LAST-STMT
004100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
004200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
004300                                 TO MTRF-O30-AVG-NBR-MONTHS
004400         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
004500         MOVE WS-D200-NORM-SALES-AMT
004600                                 TO MTRF-O30-ALLOWED-ACTIVITY
004700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
004800         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
004900                                 TO MTRF-O30-FP-VARIANCE
005000         PERFORM R980-WRITE-REPORT-FILE
005100            THRU R989-WRF-EXIT
005200     END-IF.
005300*
005400******************************************************************
005500*    DAILY SALES AMOUNT FRAUD CHECK (UNDER)                      *
005600******************************************************************
005700*
005800     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
005900                                (X-MMFP-FRAUD)
006000     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
006100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
006200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
006300         SET  MTRF-K2-O30-KT-MERCHANT
006400                                 TO TRUE
006500         SET  MTRF-K2-O30-FRAUD-INDEX
006600                                 TO X-MMFP-FRAUD
006700         SET  MTRF-O30-UNDER     TO TRUE
006800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
006900         MOVE MMMM-DATE-LAST-STMT
007000                                 TO MTRF-O30-DATE-LAST-STMT
007100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
007200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
007300                                 TO MTRF-O30-AVG-NBR-MONTHS
007400         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
007500         MOVE WS-D200-NORM-SALES-AMT
007600                                 TO MTRF-O30-ALLOWED-ACTIVITY
007700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
007800         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
007900                                 TO MTRF-O30-FP-VARIANCE
008000         PERFORM R980-WRITE-REPORT-FILE
008100            THRU R989-WRF-EXIT
008200     END-IF.
008300*
008400*
008500*
008600******************************************************************
008700*    DAILY SALES NUMBER FRAUD CHECK (OVER)                       *
008800******************************************************************
008900*
009000     COMPUTE WS-D200-WORK-NBR    =  WS-D200-SRA-SALES-NBR (13)
009100                                 -  WS-D200-SRA-SALES-REV-NBR(13).
009200*
009300*
009400     SET X-MMFP-FRAUD            TO 2.
009500*
009600     IF  WS-D200-NORM-SALES-NBR = ZERO
009700         MOVE 10000.0000         TO WS-D200-VARIANCE
009800     ELSE
009900         COMPUTE WS-D200-VARIANCE ROUNDED
010000                                 =  WS-D200-WORK-NBR
010100                                 /  WS-D200-NORM-SALES-NBR
010200     END-IF.
010300*
010400     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
010500                                (X-MMFP-FRAUD)
010600     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
010700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
010800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
010900         SET  MTRF-K2-O30-KT-MERCHANT
011000                                 TO TRUE
011100         SET  MTRF-K2-O30-FRAUD-INDEX
011200                                 TO X-MMFP-FRAUD
011300         SET  MTRF-O30-OVER      TO TRUE
011400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
011500         MOVE MMMM-DATE-LAST-STMT
011600                                 TO MTRF-O30-DATE-LAST-STMT
011700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
011800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
011900                                 TO MTRF-O30-AVG-NBR-MONTHS
012000         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
012100         MOVE WS-D200-NORM-SALES-NBR
012200                                 TO MTRF-O30-ALLOWED-ACTIVITY
012300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
012400         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
012500                                 TO MTRF-O30-FP-VARIANCE
012600         PERFORM R980-WRITE-REPORT-FILE
012700            THRU R989-WRF-EXIT
012800     END-IF.
012900*
013000******************************************************************
013100*    DAILY SALES NUMBER FRAUD CHECK (UNDER)                      *
013200******************************************************************
013300*
013400     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
013500                                (X-MMFP-FRAUD)
013600     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
013700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
013800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
013900         SET  MTRF-K2-O30-KT-MERCHANT
014000                                 TO TRUE
014100         SET  MTRF-K2-O30-FRAUD-INDEX
014200                                 TO X-MMFP-FRAUD
014300         SET  MTRF-O30-UNDER     TO TRUE
014400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
014500         MOVE MMMM-DATE-LAST-STMT
014600                                 TO MTRF-O30-DATE-LAST-STMT
014700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
014800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
014900                                 TO MTRF-O30-AVG-NBR-MONTHS
015000         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
015100         MOVE WS-D200-NORM-SALES-NBR
015200                                 TO MTRF-O30-ALLOWED-ACTIVITY
015300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
015400         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
015500                                 TO MTRF-O30-FP-VARIANCE
015600         PERFORM R980-WRITE-REPORT-FILE
015700            THRU R989-WRF-EXIT
015800     END-IF.
015900*
016000*
016100*
016200******************************************************************
016300*    DAILY RETURNS AMOUNT FRAUD CHECK (OVER)                     *
016400******************************************************************
016500     COMPUTE WS-D200-WORK-AMT    =  WS-D200-SRA-RETURNS-AMT (13)
016600                                 -  WS-D200-SRA-RETURNS-REV-AMT
016700                                                            (13).
016800*
016900     SET X-MMFP-FRAUD            TO 3.
017000*
017100     IF  WS-D200-NORM-RETURNS-AMT = ZERO
017200         MOVE 10000.0000         TO WS-D200-VARIANCE
017300     ELSE
017400         COMPUTE WS-D200-VARIANCE ROUNDED
017500                                 =  WS-D200-WORK-AMT
017600                                 /  WS-D200-NORM-RETURNS-AMT
017700     END-IF.
017800*
017900     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
018000                                (X-MMFP-FRAUD)
018100     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
018200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
018300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
018400         SET  MTRF-K2-O30-KT-MERCHANT
018500                                 TO TRUE
018600         SET  MTRF-K2-O30-FRAUD-INDEX
018700                                 TO X-MMFP-FRAUD
018800         SET  MTRF-O30-OVER      TO TRUE
018900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
019000         MOVE MMMM-DATE-LAST-STMT
019100                                 TO MTRF-O30-DATE-LAST-STMT
019200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
019300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
019400                                 TO MTRF-O30-AVG-NBR-MONTHS
019500         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
019600         MOVE WS-D200-NORM-RETURNS-AMT
019700                                 TO MTRF-O30-ALLOWED-ACTIVITY
019800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
019900         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
020000                                 TO MTRF-O30-FP-VARIANCE
020100         PERFORM R980-WRITE-REPORT-FILE
020200            THRU R989-WRF-EXIT
020300     END-IF.
020400*
020500******************************************************************
020600*    DAILY RETURNS AMOUNT FRAUD CHECK (UNDER)                    *
020700******************************************************************
020800*
020900     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
021000                                (X-MMFP-FRAUD)
021100     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
021200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
021300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
021400         SET  MTRF-K2-O30-KT-MERCHANT
021500                                 TO TRUE
021600         SET  MTRF-K2-O30-FRAUD-INDEX
021700                                 TO X-MMFP-FRAUD
021800         SET  MTRF-O30-UNDER     TO TRUE
021900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
022000         MOVE MMMM-DATE-LAST-STMT
022100                                 TO MTRF-O30-DATE-LAST-STMT
022200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
022300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
022400                                 TO MTRF-O30-AVG-NBR-MONTHS
022500         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
022600         MOVE WS-D200-NORM-RETURNS-AMT
022700                                 TO MTRF-O30-ALLOWED-ACTIVITY
022800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
022900         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
023000                                 TO MTRF-O30-FP-VARIANCE
023100         PERFORM R980-WRITE-REPORT-FILE
023200            THRU R989-WRF-EXIT
023300     END-IF.
023400*
023500*
023600*
023700******************************************************************
023800*    DAILY RETURNS NUMBER FRAUD CHECK (OVER)                     *
023900******************************************************************
024000*
024100     COMPUTE WS-D200-WORK-NBR    =  WS-D200-SRA-RETURNS-NBR (13)
024200                                 -  WS-D200-SRA-RETURNS-REV-NBR
024300                                                            (13).
024400*
024500     SET X-MMFP-FRAUD            TO 4.
024600*
024700     IF  WS-D200-NORM-RETURNS-NBR = ZERO
024800         MOVE 10000.0000         TO WS-D200-VARIANCE
024900     ELSE
025000         COMPUTE WS-D200-VARIANCE ROUNDED
025100                                 =  WS-D200-WORK-NBR
025200                                 /  WS-D200-NORM-RETURNS-NBR
025300     END-IF.
025400*
025500     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
025600                                (X-MMFP-FRAUD)
025700     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
025800         MOVE 1                  TO WS-D200-RPT-REC-TYPE
025900         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
026000         SET  MTRF-K2-O30-KT-MERCHANT
026100                                 TO TRUE
026200         SET  MTRF-K2-O30-FRAUD-INDEX
026300                                 TO X-MMFP-FRAUD
026400         SET  MTRF-O30-OVER      TO TRUE
026500         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
026600         MOVE MMMM-DATE-LAST-STMT
026700                                 TO MTRF-O30-DATE-LAST-STMT
026800         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
026900         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
027000                                 TO MTRF-O30-AVG-NBR-MONTHS
027100         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
027200         MOVE WS-D200-NORM-RETURNS-NBR
027300                                 TO MTRF-O30-ALLOWED-ACTIVITY
027400         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
027500         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
027600                                 TO MTRF-O30-FP-VARIANCE
027700         PERFORM R980-WRITE-REPORT-FILE
027800            THRU R989-WRF-EXIT
027900     END-IF.
028000*
028100******************************************************************
028200*    DAILY RETURNS NUMBER FRAUD CHECK (UNDER)                    *
028300******************************************************************
028400*
028500     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
028600                                (X-MMFP-FRAUD)
028700     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
028800         MOVE 1                  TO WS-D200-RPT-REC-TYPE
028900         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
029000         SET  MTRF-K2-O30-KT-MERCHANT
029100                                 TO TRUE
029200         SET  MTRF-K2-O30-FRAUD-INDEX
029300                                 TO X-MMFP-FRAUD
029400         SET  MTRF-O30-UNDER     TO TRUE
029500         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
029600         MOVE MMMM-DATE-LAST-STMT
029700                                 TO MTRF-O30-DATE-LAST-STMT
029800         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
029900         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
030000                                 TO MTRF-O30-AVG-NBR-MONTHS
030100         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
030200         MOVE WS-D200-NORM-RETURNS-NBR
030300                                 TO MTRF-O30-ALLOWED-ACTIVITY
030400         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
030500         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
030600                                 TO MTRF-O30-FP-VARIANCE
030700         PERFORM R980-WRITE-REPORT-FILE
030800            THRU R989-WRF-EXIT
030900     END-IF.
031000*
031100*
031200*
031300******************************************************************
031400*    DAILY CHGBACK CR AMOUNT FRAUD CHECK (OVER)                  *
031500******************************************************************
031600*
031700     MOVE WS-D200-SRA-CHGBACK-CR-AMT (13)
031800                                  TO WS-D200-WORK-AMT.
031900*
032000     SET X-MMFP-FRAUD            TO 7.
032100*
032200     IF  WS-D200-NORM-CHGBACK-CR-AMT = ZERO
032300         MOVE 10000.0000         TO WS-D200-VARIANCE
032400     ELSE
032500         COMPUTE WS-D200-VARIANCE ROUNDED
032600                                 =  WS-D200-WORK-AMT
032700                                 /  WS-D200-NORM-CHGBACK-CR-AMT
032800     END-IF.
032900*
033000     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
033100                                (X-MMFP-FRAUD)
033200     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
033300         MOVE 1                  TO WS-D200-RPT-REC-TYPE
033400         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
033500         SET  MTRF-K2-O30-KT-MERCHANT
033600                                 TO TRUE
033700         SET  MTRF-K2-O30-FRAUD-INDEX
033800                                 TO X-MMFP-FRAUD
033900         SET  MTRF-O30-OVER      TO TRUE
034000         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
034100         MOVE MMMM-DATE-LAST-STMT
034200                                 TO MTRF-O30-DATE-LAST-STMT
034300         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
034400         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
034500                                 TO MTRF-O30-AVG-NBR-MONTHS
034600         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
034700         MOVE WS-D200-NORM-CHGBACK-CR-AMT
034800                                 TO MTRF-O30-ALLOWED-ACTIVITY
034900         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
035000         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
035100                                 TO MTRF-O30-FP-VARIANCE
035200         PERFORM R980-WRITE-REPORT-FILE
035300            THRU R989-WRF-EXIT
035400     END-IF.
035500*
035600******************************************************************
035700*    DAILY CHGBACK CR AMOUNT FRAUD CHECK (UNDER)                 *
035800******************************************************************
035900*
036000     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
036100                                (X-MMFP-FRAUD)
036200     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
036300         MOVE 1                  TO WS-D200-RPT-REC-TYPE
036400         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
036500         SET  MTRF-K2-O30-KT-MERCHANT
036600                                 TO TRUE
036700         SET  MTRF-K2-O30-FRAUD-INDEX
036800                                 TO X-MMFP-FRAUD
036900         SET  MTRF-O30-UNDER     TO TRUE
037000         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
037100         MOVE MMMM-DATE-LAST-STMT
037200                                 TO MTRF-O30-DATE-LAST-STMT
037300         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
037400         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
037500                                 TO MTRF-O30-AVG-NBR-MONTHS
037600         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
037700         MOVE WS-D200-NORM-CHGBACK-CR-AMT
037800                                 TO MTRF-O30-ALLOWED-ACTIVITY
037900         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
038000         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
038100                                 TO MTRF-O30-FP-VARIANCE
038200         PERFORM R980-WRITE-REPORT-FILE
038300            THRU R989-WRF-EXIT
038400     END-IF.
038500*
038600*
038700*
038800******************************************************************
038900*    DAILY CHGBACK NUMBER FRAUD CHECK (OVER)                     *
039000******************************************************************
039100*
039200     COMPUTE WS-D200-WORK-NBR     =  WS-D200-SRA-CHGBACK-CR-NBR
039300                                                            (13)
039400                                  +  WS-D200-SRA-CHGBACK-DR-NBR
039500                                                            (13)
039600                                  +  WS-D200-SRA-CHGBACK-MEMO-NBR
039700                                                            (13).
039800*
039900     SET X-MMFP-FRAUD            TO 8.
040000*
040100     IF  WS-D200-NORM-CHGBACK-NBR = ZERO
040200         MOVE 10000.0000         TO WS-D200-VARIANCE
040300     ELSE
040400         COMPUTE WS-D200-VARIANCE ROUNDED
040500                                 =  WS-D200-WORK-NBR
040600                                 /  WS-D200-NORM-CHGBACK-NBR
040700     END-IF.
040800*
040900     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
041000                                (X-MMFP-FRAUD)
041100     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
041200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
041300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
041400         SET  MTRF-K2-O30-KT-MERCHANT
041500                                 TO TRUE
041600         SET  MTRF-K2-O30-FRAUD-INDEX
041700                                 TO X-MMFP-FRAUD
041800         SET  MTRF-O30-OVER      TO TRUE
041900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
042000         MOVE MMMM-DATE-LAST-STMT
042100                                 TO MTRF-O30-DATE-LAST-STMT
042200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
042300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
042400                                 TO MTRF-O30-AVG-NBR-MONTHS
042500         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
042600         MOVE WS-D200-NORM-CHGBACK-NBR
042700                                 TO MTRF-O30-ALLOWED-ACTIVITY
042800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
042900         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
043000                                 TO MTRF-O30-FP-VARIANCE
043100         PERFORM R980-WRITE-REPORT-FILE
043200            THRU R989-WRF-EXIT
043300     END-IF.
043400*
043500******************************************************************
043600*    DAILY CHGBACK NUMBER FRAUD CHECK (UNDER)                    *
043700******************************************************************
043800*
043900     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
044000                                (X-MMFP-FRAUD)
044100     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
044200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
044300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
044400         SET  MTRF-K2-O30-KT-MERCHANT
044500                                 TO TRUE
044600         SET  MTRF-K2-O30-FRAUD-INDEX
044700                                 TO X-MMFP-FRAUD
044800         SET  MTRF-O30-UNDER     TO TRUE
044900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
045000         MOVE MMMM-DATE-LAST-STMT
045100                                 TO MTRF-O30-DATE-LAST-STMT
045200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
045300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
045400                                 TO MTRF-O30-AVG-NBR-MONTHS
045500         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
045600         MOVE WS-D200-NORM-CHGBACK-NBR
045700                                 TO MTRF-O30-ALLOWED-ACTIVITY
045800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
045900         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
046000                                 TO MTRF-O30-FP-VARIANCE
046100         PERFORM R980-WRITE-REPORT-FILE
046200            THRU R989-WRF-EXIT
046300     END-IF.
046400*
046500*
046600*
046700******************************************************************
046800*    DAILY RETRIEVAL REQUESTS AMOUNT FRAUD CHECK (OVER)          *
046900******************************************************************
047000*
047100     MOVE WS-D200-SRA-RETRIEVAL-AMT (13)
047200                                 TO WS-D200-WORK-AMT.
047300*
047400     SET X-MMFP-FRAUD            TO 9.
047500*
047600     IF  WS-D200-NORM-RETRIEVAL-AMT = ZERO
047700         MOVE 10000.0000         TO WS-D200-VARIANCE
047800     ELSE
047900         COMPUTE WS-D200-VARIANCE ROUNDED
048000                                 =  WS-D200-WORK-AMT
048100                                 /  WS-D200-NORM-RETRIEVAL-AMT
048200     END-IF.
048300*
048400     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
048500                                (X-MMFP-FRAUD)
048600     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
048700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
048800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
048900         SET  MTRF-K2-O30-KT-MERCHANT
049000                                 TO TRUE
049100         SET  MTRF-K2-O30-FRAUD-INDEX
049200                                 TO X-MMFP-FRAUD
049300         SET  MTRF-O30-OVER      TO TRUE
049400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
049500         MOVE MMMM-DATE-LAST-STMT
049600                                 TO MTRF-O30-DATE-LAST-STMT
049700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
049800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
049900                                 TO MTRF-O30-AVG-NBR-MONTHS
050000         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
050100         MOVE WS-D200-NORM-RETRIEVAL-AMT
050200                                 TO MTRF-O30-ALLOWED-ACTIVITY
050300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
050400         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
050500                                 TO MTRF-O30-FP-VARIANCE
050600         PERFORM R980-WRITE-REPORT-FILE
050700            THRU R989-WRF-EXIT
050800     END-IF.
050900*
051000******************************************************************
051100*    DAILY RETRIEVAL REQUESTS AMOUNT FRAUD CHECK (UNDER)         *
051200******************************************************************
051300*
051400     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
051500                                (X-MMFP-FRAUD)
051600     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
051700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
051800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
051900         SET  MTRF-K2-O30-KT-MERCHANT
052000                                 TO TRUE
052100         SET  MTRF-K2-O30-FRAUD-INDEX
052200                                 TO X-MMFP-FRAUD
052300         SET  MTRF-O30-UNDER     TO TRUE
052400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
052500         MOVE MMMM-DATE-LAST-STMT
052600                                 TO MTRF-O30-DATE-LAST-STMT
052700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
052800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
052900                                 TO MTRF-O30-AVG-NBR-MONTHS
053000         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
053100         MOVE WS-D200-NORM-RETRIEVAL-AMT
053200                                 TO MTRF-O30-ALLOWED-ACTIVITY
053300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
053400         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
053500                                 TO MTRF-O30-FP-VARIANCE
053600         PERFORM R980-WRITE-REPORT-FILE
053700            THRU R989-WRF-EXIT
053800     END-IF.
053900*
054000*
054100*
054200******************************************************************
054300*    DAILY RETRIEVAL REQUESTS NUMBER FRAUD CHECK (OVER)          *
054400******************************************************************
054500*
054600     MOVE WS-D200-SRA-RETRIEVAL-NBR (13)
054700                                 TO WS-D200-WORK-NBR.
054800*
054900     SET X-MMFP-FRAUD            TO 10.
055000*
055100     IF  WS-D200-NORM-RETRIEVAL-NBR = ZERO
055200         MOVE 10000.0000         TO WS-D200-VARIANCE
055300     ELSE
055400         COMPUTE WS-D200-VARIANCE ROUNDED
055500                                 =  WS-D200-WORK-NBR
055600                                 /  WS-D200-NORM-RETRIEVAL-NBR
055700     END-IF.
055800*
055900     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
056000                                (X-MMFP-FRAUD)
056100     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
056200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
056300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
056400         SET  MTRF-K2-O30-KT-MERCHANT
056500                                 TO TRUE
056600         SET  MTRF-K2-O30-FRAUD-INDEX
056700                                 TO X-MMFP-FRAUD
056800         SET  MTRF-O30-OVER      TO TRUE
056900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
057000         MOVE MMMM-DATE-LAST-STMT
057100                                 TO MTRF-O30-DATE-LAST-STMT
057200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
057300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
057400                                 TO MTRF-O30-AVG-NBR-MONTHS
057500         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
057600         MOVE WS-D200-NORM-RETRIEVAL-NBR
057700                                 TO MTRF-O30-ALLOWED-ACTIVITY
057800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
057900         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
058000                                 TO MTRF-O30-FP-VARIANCE
058100         PERFORM R980-WRITE-REPORT-FILE
058200            THRU R989-WRF-EXIT
058300     END-IF.
058400*
058500******************************************************************
058600*    DAILY RETRIEVAL REQUESTS NUMBER FRAUD CHECK (UNDER)         *
058700******************************************************************
058800*
058900     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
059000                                (X-MMFP-FRAUD)
059100     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
059200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
059300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
059400         SET  MTRF-K2-O30-KT-MERCHANT
059500                                 TO TRUE
059600         SET  MTRF-K2-O30-FRAUD-INDEX
059700                                 TO X-MMFP-FRAUD
059800         SET  MTRF-O30-UNDER     TO TRUE
059900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
060000         MOVE MMMM-DATE-LAST-STMT
060100                                 TO MTRF-O30-DATE-LAST-STMT
060200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
060300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
060400                                 TO MTRF-O30-AVG-NBR-MONTHS
060500         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
060600         MOVE WS-D200-NORM-RETRIEVAL-NBR
060700                                 TO MTRF-O30-ALLOWED-ACTIVITY
060800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
060900         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
061000                                 TO MTRF-O30-FP-VARIANCE
061100         PERFORM R980-WRITE-REPORT-FILE
061200            THRU R989-WRF-EXIT
061300     END-IF.
061400*
061500*
061600*
061700******************************************************************
061800*    DAILY AVERAGE TICKET FRAUD CHECK (OVER)                     *
061900******************************************************************
062000*
062100     MOVE WS-D200-SRA-SALES-NBR (13)
062200                                  TO WS-D200-WORK-NBR.
062300*
062400     SET X-MMFP-FRAUD            TO 11.
062500*
062600     IF  WS-D200-WORK-NBR NOT > ZERO
062700         MOVE ZERO                TO WS-D200-WORK-AMT
062800     ELSE
062900         COMPUTE WS-D200-WORK-AMT ROUNDED
063000                                  =  WS-D200-SRA-SALES-AMT (13)
063100                                  /  WS-D200-WORK-NBR
063200     END-IF.
063300*
063400     IF  WS-D200-NORM-AVG-TKT-AMT = ZERO
063500         MOVE 10000.0000         TO WS-D200-VARIANCE
063600     ELSE
063700         COMPUTE WS-D200-VARIANCE ROUNDED
063800                                 =  WS-D200-WORK-AMT
063900                                 /  WS-D200-NORM-AVG-TKT-AMT
064000     END-IF.
064100*
064200     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
064300                                (X-MMFP-FRAUD)
064400     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
064500         MOVE 1                  TO WS-D200-RPT-REC-TYPE
064600         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
064700         SET  MTRF-K2-O30-KT-MERCHANT
064800                                 TO TRUE
064900         SET  MTRF-K2-O30-FRAUD-INDEX
065000                                 TO X-MMFP-FRAUD
065100         SET  MTRF-O30-OVER      TO TRUE
065200         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
065300         MOVE MMMM-DATE-LAST-STMT
065400                                 TO MTRF-O30-DATE-LAST-STMT
065500         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
065600         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
065700                                 TO MTRF-O30-AVG-NBR-MONTHS
065800         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
065900         MOVE WS-D200-NORM-AVG-TKT-AMT
066000                                 TO MTRF-O30-ALLOWED-ACTIVITY
066100         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
066200         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
066300                                 TO MTRF-O30-FP-VARIANCE
066400         PERFORM R980-WRITE-REPORT-FILE
066500            THRU R989-WRF-EXIT
066600     END-IF.
066700*
066800******************************************************************
066900*    DAILY AVERAGE TICKET FRAUD CHECK (UNDER)                    *
067000******************************************************************
067100*
067200     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
067300                                (X-MMFP-FRAUD)
067400     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
067500         MOVE 1                  TO WS-D200-RPT-REC-TYPE
067600         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
067700         SET  MTRF-K2-O30-KT-MERCHANT
067800                                 TO TRUE
067900         SET  MTRF-K2-O30-FRAUD-INDEX
068000                                 TO X-MMFP-FRAUD
068100         SET  MTRF-O30-UNDER     TO TRUE
068200         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
068300         MOVE MMMM-DATE-LAST-STMT
068400                                 TO MTRF-O30-DATE-LAST-STMT
068500         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
068600         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
068700                                 TO MTRF-O30-AVG-NBR-MONTHS
068800         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
068900         MOVE WS-D200-NORM-AVG-TKT-AMT
069000                                 TO MTRF-O30-ALLOWED-ACTIVITY
069100         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
069200         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
069300                                 TO MTRF-O30-FP-VARIANCE
069400         PERFORM R980-WRITE-REPORT-FILE
069500            THRU R989-WRF-EXIT
069600     END-IF.
069700*
069800******************************************************************
069900*    DAILY TRANS NUMBER FRAUD CHECK (OVER)                       *
070000******************************************************************
070100*
070200     COMPUTE WS-D200-WORK-NBR    =  WS-D200-SRA-SALES-NBR (13)
070300                                 +  WS-D200-SRA-SALES-REV-NBR (13)
070400                                 +  WS-D200-SRA-RETURNS-NBR(13)
070500                                 +  WS-D200-SRA-RETURNS-REV-NBR
070600                                                           (13).
070700*
070800     SET X-MMFP-FRAUD            TO 12.
070900*
071000     IF  WS-D200-NORM-TRANS-NBR = ZERO
071100         MOVE 10000.0000         TO WS-D200-VARIANCE
071200     ELSE
071300         COMPUTE WS-D200-VARIANCE ROUNDED
071400                                 =  WS-D200-WORK-NBR
071500                                 /  WS-D200-NORM-TRANS-NBR
071600     END-IF.
071700*
071800     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
071900                                (X-MMFP-FRAUD)
072000     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
072100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
072200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
072300         SET  MTRF-K2-O30-KT-MERCHANT
072400                                 TO TRUE
072500         SET  MTRF-K2-O30-FRAUD-INDEX
072600                                 TO X-MMFP-FRAUD
072700         SET  MTRF-O30-OVER      TO TRUE
072800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
072900         MOVE MMMM-DATE-LAST-STMT
073000                                 TO MTRF-O30-DATE-LAST-STMT
073100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
073200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
073300                                 TO MTRF-O30-AVG-NBR-MONTHS
073400         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
073500         MOVE WS-D200-NORM-TRANS-NBR
073600                                 TO MTRF-O30-ALLOWED-ACTIVITY
073700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
073800         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
073900                                 TO MTRF-O30-FP-VARIANCE
074000         PERFORM R980-WRITE-REPORT-FILE
074100            THRU R989-WRF-EXIT
074200     END-IF.
074300*
074400******************************************************************
074500*    DAILY TRANS NUMBER FRAUD CHECK (UNDER)                      *
074600******************************************************************
074700*
074800     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
074900                                (X-MMFP-FRAUD)
075000     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
075100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
075200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
075300         SET  MTRF-K2-O30-KT-MERCHANT
075400                                 TO TRUE
075500         SET  MTRF-K2-O30-FRAUD-INDEX
075600                                 TO X-MMFP-FRAUD
075700         SET  MTRF-O30-UNDER     TO TRUE
075800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
075900         MOVE MMMM-DATE-LAST-STMT
076000                                 TO MTRF-O30-DATE-LAST-STMT
076100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
076200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
076300                                 TO MTRF-O30-AVG-NBR-MONTHS
076400         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
076500         MOVE WS-D200-NORM-TRANS-NBR
076600                                 TO MTRF-O30-ALLOWED-ACTIVITY
076700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
076800         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
076900                                 TO MTRF-O30-FP-VARIANCE
077000         PERFORM R980-WRITE-REPORT-FILE
077100            THRU R989-WRF-EXIT
077200     END-IF.
077300*
077400*
077500*
077600******************************************************************
077700*    DAILY MERCHANT DEPOSIT AMOUNT FRAUD CHECK (OVER)            *
077800******************************************************************
077900*
078000     MOVE WS-D200-SRA-MER-DEP-AMT (13)
078100                                  TO WS-D200-WORK-AMT.
078200*
078300     SET X-MMFP-FRAUD            TO 13.
078400*
078500     IF  WS-D200-NORM-MER-DEP-AMT = ZERO
078600         MOVE 10000.0000         TO WS-D200-VARIANCE
078700     ELSE
078800         COMPUTE WS-D200-VARIANCE ROUNDED
078900                                 =  WS-D200-WORK-AMT
079000                                 /  WS-D200-NORM-MER-DEP-AMT
079100     END-IF.
079200*
079300     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
079400                                (X-MMFP-FRAUD)
079500     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
079600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
079700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
079800         SET  MTRF-K2-O30-KT-MERCHANT
079900                                 TO TRUE
080000         SET  MTRF-K2-O30-FRAUD-INDEX
080100                                 TO X-MMFP-FRAUD
080200         SET  MTRF-O30-OVER      TO TRUE
080300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
080400         MOVE MMMM-DATE-LAST-STMT
080500                                 TO MTRF-O30-DATE-LAST-STMT
080600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
080700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
080800                                 TO MTRF-O30-AVG-NBR-MONTHS
080900         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
081000         MOVE WS-D200-NORM-MER-DEP-AMT
081100                                 TO MTRF-O30-ALLOWED-ACTIVITY
081200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
081300         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
081400                                 TO MTRF-O30-FP-VARIANCE
081500         PERFORM R980-WRITE-REPORT-FILE
081600            THRU R989-WRF-EXIT
081700     END-IF.
081800*
081900******************************************************************
082000*    DAILY MERCHANT DEPOSIT AMOUNT FRAUD CHECK (UNDER)           *
082100******************************************************************
082200*
082300     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
082400                                (X-MMFP-FRAUD)
082500     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
082600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
082700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
082800         SET  MTRF-K2-O30-KT-MERCHANT
082900                                 TO TRUE
083000         SET  MTRF-K2-O30-FRAUD-INDEX
083100                                 TO X-MMFP-FRAUD
083200         SET  MTRF-O30-UNDER     TO TRUE
083300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
083400         MOVE MMMM-DATE-LAST-STMT
083500                                 TO MTRF-O30-DATE-LAST-STMT
083600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
083700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
083800                                 TO MTRF-O30-AVG-NBR-MONTHS
083900         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
084000         MOVE WS-D200-NORM-MER-DEP-AMT
084100                                 TO MTRF-O30-ALLOWED-ACTIVITY
084200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
084300         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
084400                                 TO MTRF-O30-FP-VARIANCE
084500         PERFORM R980-WRITE-REPORT-FILE
084600            THRU R989-WRF-EXIT
084700     END-IF.
084800*
084900*
085000*
085100******************************************************************
085200*    DAILY MERCHANT DEPOSIT NUMBER FRAUD CHECK (OVER)            *
085300******************************************************************
085400*
085500     MOVE WS-D200-SRA-MER-DEP-NBR (13)
085600                                  TO WS-D200-WORK-NBR.
085700*
085800     SET X-MMFP-FRAUD            TO 14.
085900*
086000     IF  WS-D200-NORM-MER-DEP-NBR = ZERO
086100         MOVE 10000.0000         TO WS-D200-VARIANCE
086200     ELSE
086300         COMPUTE WS-D200-VARIANCE ROUNDED
086400                                 =  WS-D200-WORK-NBR
086500                                 /  WS-D200-NORM-MER-DEP-NBR
086600     END-IF.
086700*
086800     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
086900                                (X-MMFP-FRAUD)
087000     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
087100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
087200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
087300         SET  MTRF-K2-O30-KT-MERCHANT
087400                                 TO TRUE
087500         SET  MTRF-K2-O30-FRAUD-INDEX
087600                                 TO X-MMFP-FRAUD
087700         SET  MTRF-O30-OVER      TO TRUE
087800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
087900         MOVE MMMM-DATE-LAST-STMT
088000                                 TO MTRF-O30-DATE-LAST-STMT
088100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
088200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
088300                                 TO MTRF-O30-AVG-NBR-MONTHS
088400         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
088500         MOVE WS-D200-NORM-MER-DEP-NBR
088600                                 TO MTRF-O30-ALLOWED-ACTIVITY
088700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
088800         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
088900                                 TO MTRF-O30-FP-VARIANCE
089000         PERFORM R980-WRITE-REPORT-FILE
089100            THRU R989-WRF-EXIT
089200     END-IF.
089300*
089400******************************************************************
089500*    DAILY MERCHANT DEPOSIT NUMBER FRAUD CHECK (UNDER)           *
089600******************************************************************
089700*
089800     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
089900                                (X-MMFP-FRAUD)
090000     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
090100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
090200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
090300         SET  MTRF-K2-O30-KT-MERCHANT
090400                                 TO TRUE
090500         SET  MTRF-K2-O30-FRAUD-INDEX
090600                                 TO X-MMFP-FRAUD
090700         SET  MTRF-O30-UNDER     TO TRUE
090800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
090900         MOVE MMMM-DATE-LAST-STMT
091000                                 TO MTRF-O30-DATE-LAST-STMT
091100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
091200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
091300                                 TO MTRF-O30-AVG-NBR-MONTHS
091400         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
091500         MOVE WS-D200-NORM-MER-DEP-NBR
091600                                 TO MTRF-O30-ALLOWED-ACTIVITY
091700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
091800         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
091900                                 TO MTRF-O30-FP-VARIANCE
092000         PERFORM R980-WRITE-REPORT-FILE
092100            THRU R989-WRF-EXIT
092200     END-IF.
092300*
092400*
092500*
092600******************************************************************
092700*    DAILY KEYED DEPOSIT AMOUNT FRAUD CHECK (OVER)               *
092800******************************************************************
092900*
093000     COMPUTE WS-D200-WORK-AMT    =  MMFA-KEYED-SALES-AMT(13)
093100                                 -  MMFA-KEYED-SALES-REV-AMT(13)
093200                                 -  MMFA-KEYED-RETURNS-AMT(13)
093300                                 +  MMFA-KEYED-RETURNS-REV-AMT(13)
093400     END-COMPUTE.
093500*
093600     SET X-MMFP-FRAUD            TO 15.
093700*
093800     IF  WS-D200-NORM-KEYED-SALES-AMT = ZERO
093900         MOVE 10000.0000         TO WS-D200-VARIANCE
094000     ELSE
094100         COMPUTE WS-D200-VARIANCE ROUNDED
094200                                 =  WS-D200-WORK-AMT
094300                                 /  WS-D200-NORM-KEYED-SALES-AMT
094400     END-IF.
094500*
094600     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
094700                                (X-MMFP-FRAUD)
094800     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
094900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
095000         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
095100         SET  MTRF-K2-O30-KT-MERCHANT
095200                                 TO TRUE
095300         SET  MTRF-K2-O30-FRAUD-INDEX
095400                                 TO X-MMFP-FRAUD
095500         SET  MTRF-O30-OVER      TO TRUE
095600         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
095700         MOVE MMMM-DATE-LAST-STMT
095800                                 TO MTRF-O30-DATE-LAST-STMT
095900         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
096000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
096100                                 TO MTRF-O30-AVG-NBR-MONTHS
096200         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
096300         MOVE WS-D200-NORM-KEYED-SALES-AMT
096400                                 TO MTRF-O30-ALLOWED-ACTIVITY
096500         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
096600         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
096700                                 TO MTRF-O30-FP-VARIANCE
096800         PERFORM R980-WRITE-REPORT-FILE
096900            THRU R989-WRF-EXIT
097000     END-IF.
097100*
097200******************************************************************
097300*    DAILY KEYED DEPOSIT AMOUNT FRAUD CHECK (UNDER)              *
097400******************************************************************
097500*
097600     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
097700                                (X-MMFP-FRAUD)
097800     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
097900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
098000         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
098100         SET  MTRF-K2-O30-KT-MERCHANT
098200                                 TO TRUE
098300         SET  MTRF-K2-O30-FRAUD-INDEX
098400                                 TO X-MMFP-FRAUD
098500         SET  MTRF-O30-UNDER     TO TRUE
098600         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
098700         MOVE MMMM-DATE-LAST-STMT
098800                                 TO MTRF-O30-DATE-LAST-STMT
098900         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
099000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
099100                                 TO MTRF-O30-AVG-NBR-MONTHS
099200         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
099300         MOVE WS-D200-NORM-KEYED-SALES-AMT
099400                                 TO MTRF-O30-ALLOWED-ACTIVITY
099500         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
099600         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
099700                                 TO MTRF-O30-FP-VARIANCE
099800         PERFORM R980-WRITE-REPORT-FILE
099900            THRU R989-WRF-EXIT
100000     END-IF.
100100*
100200*
100300*
100400******************************************************************
100500*    DAILY KEYED DEPOSIT NUMBER FRAUD CHECK (OVER)               *
100600******************************************************************
100700*
100800     COMPUTE WS-D200-WORK-NBR    =  MMFA-KEYED-SALES-NBR(13)
100900                                 -  MMFA-KEYED-SALES-REV-NBR(13)
101000                                 -  MMFA-KEYED-RETURNS-NBR(13)
101100                                 +  MMFA-KEYED-RETURNS-REV-NBR(13)
101200     END-COMPUTE.
101300*
101400     SET X-MMFP-FRAUD            TO 16.
101500*
101600     IF  WS-D200-NORM-KEYED-SALES-NBR = ZERO
101700         MOVE 10000.0000         TO WS-D200-VARIANCE
101800     ELSE
101900         COMPUTE WS-D200-VARIANCE ROUNDED
102000                                 =  WS-D200-WORK-NBR
102100                                 /  WS-D200-NORM-KEYED-SALES-NBR
102200     END-IF.
102300*
102400     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
102500                                (X-MMFP-FRAUD)
102600     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
102700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
102800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
102900         SET  MTRF-K2-O30-KT-MERCHANT
103000                                 TO TRUE
103100         SET  MTRF-K2-O30-FRAUD-INDEX
103200                                 TO X-MMFP-FRAUD
103300         SET  MTRF-O30-OVER      TO TRUE
103400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
103500         MOVE MMMM-DATE-LAST-STMT
103600                                 TO MTRF-O30-DATE-LAST-STMT
103700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
103800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
103900                                 TO MTRF-O30-AVG-NBR-MONTHS
104000         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
104100         MOVE WS-D200-NORM-KEYED-SALES-NBR
104200                                 TO MTRF-O30-ALLOWED-ACTIVITY
104300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
104400         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
104500                                 TO MTRF-O30-FP-VARIANCE
104600         PERFORM R980-WRITE-REPORT-FILE
104700            THRU R989-WRF-EXIT
104800     END-IF.
104900*
105000******************************************************************
105100*    DAILY KEYED DEPOSIT NUMBER FRAUD CHECK (UNDER)              *
105200******************************************************************
105300*
105400     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
105500                                (X-MMFP-FRAUD)
105600     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
105700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
105800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
105900         SET  MTRF-K2-O30-KT-MERCHANT
106000                                 TO TRUE
106100         SET  MTRF-K2-O30-FRAUD-INDEX
106200                                 TO X-MMFP-FRAUD
106300         SET  MTRF-O30-UNDER     TO TRUE
106400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
106500         MOVE MMMM-DATE-LAST-STMT
106600                                 TO MTRF-O30-DATE-LAST-STMT
106700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
106800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
106900                                 TO MTRF-O30-AVG-NBR-MONTHS
107000         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
107100         MOVE WS-D200-NORM-KEYED-SALES-NBR
107200                                 TO MTRF-O30-ALLOWED-ACTIVITY
107300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
107400         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
107500                                 TO MTRF-O30-FP-VARIANCE
107600         PERFORM R980-WRITE-REPORT-FILE
107700            THRU R989-WRF-EXIT
107800     END-IF.
107900*
108000*
108100*
108200******************************************************************
108300*    WEEKLY SALES AMOUNT FRAUD CHECK (OVER)                      *
108400******************************************************************
108500*
108600     SET X-MMFP-FRAUD            TO 31.
108700*
108800     IF  WS-D200-NORM-WTD-SALES-AMT = ZERO
108900         MOVE 10000.0000         TO WS-D200-VARIANCE
109000     ELSE
109100         COMPUTE WS-D200-VARIANCE ROUNDED
109200                                 = (MMFA-WTD-SALES-AMT (1)
109300                                 -  MMFA-WTD-SALES-REV-AMT (1))
109400                                 /  WS-D200-NORM-WTD-SALES-AMT
109500     END-IF.
109600*
109700     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
109800                                (X-MMFP-FRAUD)
109900     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
110000         MOVE 1                  TO WS-D200-RPT-REC-TYPE
110100         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
110200         SET  MTRF-K2-O30-KT-MERCHANT
110300                                 TO TRUE
110400         SET  MTRF-K2-O30-FRAUD-INDEX
110500                                 TO X-MMFP-FRAUD
110600         SET  MTRF-O30-OVER      TO TRUE
110700         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
110800         MOVE MMMM-DATE-LAST-STMT
110900                                 TO MTRF-O30-DATE-LAST-STMT
111000         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
111100         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
111200                                 TO MTRF-O30-AVG-NBR-MONTHS
111300         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
111400                                 =  MMFA-WTD-SALES-AMT (1)
111500                                 -  MMFA-WTD-SALES-REV-AMT (1)
111600         MOVE WS-D200-NORM-WTD-SALES-AMT
111700                                 TO MTRF-O30-ALLOWED-ACTIVITY
111800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
111900         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
112000                                 TO MTRF-O30-FP-VARIANCE
112100         PERFORM R980-WRITE-REPORT-FILE
112200            THRU R989-WRF-EXIT
112300     END-IF.
112400*
112500******************************************************************
112600*    WEEKLY SALES AMOUNT FRAUD CHECK (UNDER)                     *
112700******************************************************************
112800*
112900     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
113000                                (X-MMFP-FRAUD)
113100     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
113200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
113300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
113400         SET  MTRF-K2-O30-KT-MERCHANT
113500                                 TO TRUE
113600         SET  MTRF-K2-O30-FRAUD-INDEX
113700                                 TO X-MMFP-FRAUD
113800         SET  MTRF-O30-UNDER     TO TRUE
113900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
114000         MOVE MMMM-DATE-LAST-STMT
114100                                 TO MTRF-O30-DATE-LAST-STMT
114200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
114300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
114400                                 TO MTRF-O30-AVG-NBR-MONTHS
114500         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
114600                                 =  MMFA-WTD-SALES-AMT (1)
114700                                 -  MMFA-WTD-SALES-REV-AMT (1)
114800         MOVE WS-D200-NORM-WTD-SALES-AMT
114900                                 TO MTRF-O30-ALLOWED-ACTIVITY
115000         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
115100         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
115200                                 TO MTRF-O30-FP-VARIANCE
115300         PERFORM R980-WRITE-REPORT-FILE
115400            THRU R989-WRF-EXIT
115500     END-IF.
115600*
115700*
115800*
115900******************************************************************
116000*    WEEKLY SALES NUMBER FRAUD CHECK (OVER)                      *
116100******************************************************************
116200*
116300     SET X-MMFP-FRAUD            TO 32.
116400*
116500     IF  WS-D200-NORM-WTD-SALES-NBR = ZERO
116600         MOVE 10000.0000         TO WS-D200-VARIANCE
116700     ELSE
116800         COMPUTE WS-D200-VARIANCE ROUNDED
116900                                 = (MMFA-WTD-SALES-NBR (1)
117000                                 -  MMFA-WTD-SALES-REV-NBR (1))
117100                                 /  WS-D200-NORM-WTD-SALES-NBR
117200     END-IF.
117300*
117400     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
117500                                (X-MMFP-FRAUD)
117600     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
117700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
117800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
117900         SET  MTRF-K2-O30-KT-MERCHANT
118000                                 TO TRUE
118100         SET  MTRF-K2-O30-FRAUD-INDEX
118200                                 TO X-MMFP-FRAUD
118300         SET  MTRF-O30-OVER      TO TRUE
118400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
118500         MOVE MMMM-DATE-LAST-STMT
118600                                 TO MTRF-O30-DATE-LAST-STMT
118700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
118800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
118900                                 TO MTRF-O30-AVG-NBR-MONTHS
119000         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
119100                                 =  MMFA-WTD-SALES-NBR (1)
119200                                 -  MMFA-WTD-SALES-REV-NBR (1)
119300         MOVE WS-D200-NORM-WTD-SALES-NBR
119400                                 TO MTRF-O30-ALLOWED-ACTIVITY
119500         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
119600         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
119700                                 TO MTRF-O30-FP-VARIANCE
119800         PERFORM R980-WRITE-REPORT-FILE
119900            THRU R989-WRF-EXIT
120000     END-IF.
120100*
120200******************************************************************
120300*    WEEKLY SALES NUMBER FRAUD CHECK (UNDER)                     *
120400******************************************************************
120500*
120600     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
120700                                (X-MMFP-FRAUD)
120800     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
120900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
121000         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
121100         SET  MTRF-K2-O30-KT-MERCHANT
121200                                 TO TRUE
121300         SET  MTRF-K2-O30-FRAUD-INDEX
121400                                 TO X-MMFP-FRAUD
121500         SET  MTRF-O30-UNDER     TO TRUE
121600         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
121700         MOVE MMMM-DATE-LAST-STMT
121800                                 TO MTRF-O30-DATE-LAST-STMT
121900         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
122000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
122100                                 TO MTRF-O30-AVG-NBR-MONTHS
122200         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
122300                                 =  MMFA-WTD-SALES-NBR (1)
122400                                 -  MMFA-WTD-SALES-REV-NBR (1)
122500         MOVE WS-D200-NORM-WTD-SALES-NBR
122600                                 TO MTRF-O30-ALLOWED-ACTIVITY
122700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
122800         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
122900                                 TO MTRF-O30-FP-VARIANCE
123000         PERFORM R980-WRITE-REPORT-FILE
123100            THRU R989-WRF-EXIT
123200     END-IF.
123300*
123400*
123500*
123600******************************************************************
123700*    WEEKLY DEPOSIT AMOUNT FRAUD CHECK (OVER)                    *
123800******************************************************************
123900*
124000     SET X-MMFP-FRAUD            TO 33.
124100*
124200     IF  WS-D200-NORM-WTD-DEPOSIT-AMT = ZERO
124300         MOVE 10000.0000         TO WS-D200-VARIANCE
124400     ELSE
124500         COMPUTE WS-D200-VARIANCE ROUNDED
124600                                 =  MMFA-WTD-DEPOSITS-AMT (1)
124700                                 /  WS-D200-NORM-WTD-DEPOSIT-AMT
124800     END-IF.
124900*
125000     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
125100                                (X-MMFP-FRAUD)
125200     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
125300         MOVE 1                  TO WS-D200-RPT-REC-TYPE
125400         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
125500         SET  MTRF-K2-O30-KT-MERCHANT
125600                                 TO TRUE
125700         SET  MTRF-K2-O30-FRAUD-INDEX
125800                                 TO X-MMFP-FRAUD
125900         SET  MTRF-O30-OVER      TO TRUE
126000         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
126100         MOVE MMMM-DATE-LAST-STMT
126200                                 TO MTRF-O30-DATE-LAST-STMT
126300         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
126400         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
126500                                 TO MTRF-O30-AVG-NBR-MONTHS
126600         MOVE MMFA-WTD-DEPOSITS-AMT (1)
126700                                 TO MTRF-O30-ACTUAL-ACTIVITY
126800         MOVE WS-D200-NORM-WTD-DEPOSIT-AMT
126900                                 TO MTRF-O30-ALLOWED-ACTIVITY
127000         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
127100         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
127200                                 TO MTRF-O30-FP-VARIANCE
127300         PERFORM R980-WRITE-REPORT-FILE
127400            THRU R989-WRF-EXIT
127500     END-IF.
127600*
127700******************************************************************
127800*    WEEKLY DEPOSIT AMOUNT FRAUD CHECK (UNDER)                   *
127900******************************************************************
128000*
128100     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
128200                                (X-MMFP-FRAUD)
128300     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
128400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
128500         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
128600         SET  MTRF-K2-O30-KT-MERCHANT
128700                                 TO TRUE
128800         SET  MTRF-K2-O30-FRAUD-INDEX
128900                                 TO X-MMFP-FRAUD
129000         SET  MTRF-O30-UNDER     TO TRUE
129100         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
129200         MOVE MMMM-DATE-LAST-STMT
129300                                 TO MTRF-O30-DATE-LAST-STMT
129400         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
129500         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
129600                                 TO MTRF-O30-AVG-NBR-MONTHS
129700         MOVE MMFA-WTD-DEPOSITS-AMT (1)
129800                                 TO MTRF-O30-ACTUAL-ACTIVITY
129900         MOVE WS-D200-NORM-WTD-DEPOSIT-AMT
130000                                 TO MTRF-O30-ALLOWED-ACTIVITY
130100         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
130200         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
130300                                 TO MTRF-O30-FP-VARIANCE
130400         PERFORM R980-WRITE-REPORT-FILE
130500            THRU R989-WRF-EXIT
130600     END-IF.
130700*
130800*
130900*
131000******************************************************************
131100*    WEEKLY DEPOSIT NUMBER FRAUD CHECK (OVER)                    *
131200******************************************************************
131300*
131400     SET X-MMFP-FRAUD            TO 34.
131500*
131600     IF  WS-D200-NORM-WTD-DEPOSIT-NBR = ZERO
131700         MOVE 10000.0000         TO WS-D200-VARIANCE
131800     ELSE
131900         COMPUTE WS-D200-VARIANCE ROUNDED
132000                                 =  MMFA-WTD-DEPOSITS-NBR (1)
132100                                 /  WS-D200-NORM-WTD-DEPOSIT-NBR
132200     END-IF.
132300*
132400     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
132500                                (X-MMFP-FRAUD)
132600     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
132700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
132800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
132900         SET  MTRF-K2-O30-KT-MERCHANT
133000                                 TO TRUE
133100         SET  MTRF-K2-O30-FRAUD-INDEX
133200                                 TO X-MMFP-FRAUD
133300         SET  MTRF-O30-OVER      TO TRUE
133400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
133500         MOVE MMMM-DATE-LAST-STMT
133600                                 TO MTRF-O30-DATE-LAST-STMT
133700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
133800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
133900                                 TO MTRF-O30-AVG-NBR-MONTHS
134000         MOVE MMFA-WTD-DEPOSITS-NBR (1)
134100                                 TO MTRF-O30-ACTUAL-ACTIVITY
134200         MOVE WS-D200-NORM-WTD-DEPOSIT-NBR
134300                                 TO MTRF-O30-ALLOWED-ACTIVITY
134400         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
134500         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
134600                                 TO MTRF-O30-FP-VARIANCE
134700         PERFORM R980-WRITE-REPORT-FILE
134800            THRU R989-WRF-EXIT
134900     END-IF.
135000*
135100******************************************************************
135200*    WEEKLY DEPOSIT NUMBER FRAUD CHECK (UNDER)                   *
135300******************************************************************
135400*
135500     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
135600                                (X-MMFP-FRAUD)
135700     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
135800         MOVE 1                  TO WS-D200-RPT-REC-TYPE
135900         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
136000         SET  MTRF-K2-O30-KT-MERCHANT
136100                                 TO TRUE
136200         SET  MTRF-K2-O30-FRAUD-INDEX
136300                                 TO X-MMFP-FRAUD
136400         SET  MTRF-O30-UNDER     TO TRUE
136500         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
136600         MOVE MMMM-DATE-LAST-STMT
136700                                 TO MTRF-O30-DATE-LAST-STMT
136800         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
136900         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
137000                                 TO MTRF-O30-AVG-NBR-MONTHS
137100         MOVE MMFA-WTD-DEPOSITS-NBR (1)
137200                                 TO MTRF-O30-ACTUAL-ACTIVITY
137300         MOVE WS-D200-NORM-WTD-DEPOSIT-NBR
137400                                 TO MTRF-O30-ALLOWED-ACTIVITY
137500         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
137600         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
137700                                 TO MTRF-O30-FP-VARIANCE
137800         PERFORM R980-WRITE-REPORT-FILE
137900            THRU R989-WRF-EXIT
138000     END-IF.
138100*
138200*
138300*
138400******************************************************************
138500*    WEEKLY RETURNS AMOUNT FRAUD CHECK (OVER)                    *
138600******************************************************************
138700*
138800     SET X-MMFP-FRAUD            TO 35.
138900*
139000     IF  WS-D200-NORM-WTD-RETURNS-AMT = ZERO
139100         MOVE 10000.0000         TO WS-D200-VARIANCE
139200     ELSE
139300         COMPUTE WS-D200-VARIANCE ROUNDED
139400                                 = (MMFA-WTD-RETURNS-AMT (1)
139500                                 -  MMFA-WTD-RETURNS-REV-AMT (1))
139600                                 /  WS-D200-NORM-WTD-RETURNS-AMT
139700     END-IF.
139800*
139900     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
140000                                (X-MMFP-FRAUD)
140100     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
140200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
140300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
140400         SET  MTRF-K2-O30-KT-MERCHANT
140500                                 TO TRUE
140600         SET  MTRF-K2-O30-FRAUD-INDEX
140700                                 TO X-MMFP-FRAUD
140800         SET  MTRF-O30-OVER      TO TRUE
140900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
141000         MOVE MMMM-DATE-LAST-STMT
141100                                 TO MTRF-O30-DATE-LAST-STMT
141200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
141300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
141400                                 TO MTRF-O30-AVG-NBR-MONTHS
141500         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
141600                                 =  MMFA-WTD-RETURNS-AMT (1)
141700                                 -  MMFA-WTD-RETURNS-REV-AMT (1)
141800         MOVE WS-D200-NORM-WTD-RETURNS-AMT
141900                                 TO MTRF-O30-ALLOWED-ACTIVITY
142000         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
142100         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
142200                                 TO MTRF-O30-FP-VARIANCE
142300         PERFORM R980-WRITE-REPORT-FILE
142400            THRU R989-WRF-EXIT
142500     END-IF.
142600*
142700******************************************************************
142800*    WEEKLY RETURNS AMOUNT FRAUD CHECK (UNDER)                   *
142900******************************************************************
143000*
143100     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
143200                                (X-MMFP-FRAUD)
143300     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
143400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
143500         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
143600         SET  MTRF-K2-O30-KT-MERCHANT
143700                                 TO TRUE
143800         SET  MTRF-K2-O30-FRAUD-INDEX
143900                                 TO X-MMFP-FRAUD
144000         SET  MTRF-O30-UNDER     TO TRUE
144100         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
144200         MOVE MMMM-DATE-LAST-STMT
144300                                 TO MTRF-O30-DATE-LAST-STMT
144400         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
144500         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
144600                                 TO MTRF-O30-AVG-NBR-MONTHS
144700         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
144800                                 =  MMFA-WTD-RETURNS-AMT (1)
144900                                 -  MMFA-WTD-RETURNS-REV-AMT (1)
145000         MOVE WS-D200-NORM-WTD-RETURNS-AMT
145100                                 TO MTRF-O30-ALLOWED-ACTIVITY
145200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
145300         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
145400                                 TO MTRF-O30-FP-VARIANCE
145500         PERFORM R980-WRITE-REPORT-FILE
145600            THRU R989-WRF-EXIT
145700     END-IF.
145800*
145900*
146000*
146100******************************************************************
146200*    WEEKLY RETURNS NUMBER FRAUD CHECK (OVER)                    *
146300******************************************************************
146400*
146500     SET X-MMFP-FRAUD            TO 36.
146600*
146700     IF  WS-D200-NORM-WTD-RETURNS-NBR = ZERO
146800         MOVE 10000.0000         TO WS-D200-VARIANCE
146900     ELSE
147000         COMPUTE WS-D200-VARIANCE ROUNDED
147100                                 = (MMFA-WTD-RETURNS-NBR (1)
147200                                 -  MMFA-WTD-RETURNS-REV-NBR (1))
147300                                 /  WS-D200-NORM-WTD-RETURNS-NBR
147400     END-IF.
147500*
147600     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
147700                                (X-MMFP-FRAUD)
147800     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
147900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
148000         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
148100         SET  MTRF-K2-O30-KT-MERCHANT
148200                                 TO TRUE
148300         SET  MTRF-K2-O30-FRAUD-INDEX
148400                                 TO X-MMFP-FRAUD
148500         SET  MTRF-O30-OVER      TO TRUE
148600         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
148700         MOVE MMMM-DATE-LAST-STMT
148800                                 TO MTRF-O30-DATE-LAST-STMT
148900         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
149000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
149100                                 TO MTRF-O30-AVG-NBR-MONTHS
149200         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
149300                                 =  MMFA-WTD-RETURNS-NBR (1)
149400                                 -  MMFA-WTD-RETURNS-REV-NBR (1)
149500         MOVE WS-D200-NORM-WTD-RETURNS-NBR
149600                                 TO MTRF-O30-ALLOWED-ACTIVITY
149700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
149800         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
149900                                 TO MTRF-O30-FP-VARIANCE
150000         PERFORM R980-WRITE-REPORT-FILE
150100            THRU R989-WRF-EXIT
150200     END-IF.
150300*
150400******************************************************************
150500*    WEEKLY RETURNS NUMBER FRAUD CHECK (UNDER)                   *
150600******************************************************************
150700*
150800     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
150900                                (X-MMFP-FRAUD)
151000     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
151100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
151200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
151300         SET  MTRF-K2-O30-KT-MERCHANT
151400                                 TO TRUE
151500         SET  MTRF-K2-O30-FRAUD-INDEX
151600                                 TO X-MMFP-FRAUD
151700         SET  MTRF-O30-UNDER     TO TRUE
151800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
151900         MOVE MMMM-DATE-LAST-STMT
152000                                 TO MTRF-O30-DATE-LAST-STMT
152100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
152200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
152300                                 TO MTRF-O30-AVG-NBR-MONTHS
152400         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
152500                                 =  MMFA-WTD-RETURNS-NBR (1)
152600                                 -  MMFA-WTD-RETURNS-REV-NBR (1)
152700         MOVE WS-D200-NORM-WTD-RETURNS-NBR
152800                                 TO MTRF-O30-ALLOWED-ACTIVITY
152900         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
153000         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
153100                                 TO MTRF-O30-FP-VARIANCE
153200         PERFORM R980-WRITE-REPORT-FILE
153300            THRU R989-WRF-EXIT
153400     END-IF.
153500*
153600*
153700*
153800******************************************************************
153900*    WEEKLY CHGBACK AMOUNT FRAUD CHECK (OVER)                    *
154000******************************************************************
154100*
154200     SET X-MMFP-FRAUD            TO 37.
154300*
154400     IF  WS-D200-NORM-WTD-CHGBACK-AMT = ZERO
154500         MOVE 10000.0000         TO WS-D200-VARIANCE
154600     ELSE
154700         COMPUTE WS-D200-VARIANCE ROUNDED
154800                                 =  MMFA-WTD-CHGBACK-AMT (1)
154900                                 /  WS-D200-NORM-WTD-CHGBACK-AMT
155000     END-IF.
155100*
155200     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
155300                                (X-MMFP-FRAUD)
155400     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
155500         MOVE 1                  TO WS-D200-RPT-REC-TYPE
155600         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
155700         SET  MTRF-K2-O30-KT-MERCHANT
155800                                 TO TRUE
155900         SET  MTRF-K2-O30-FRAUD-INDEX
156000                                 TO X-MMFP-FRAUD
156100         SET  MTRF-O30-OVER      TO TRUE
156200         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
156300         MOVE MMMM-DATE-LAST-STMT
156400                                 TO MTRF-O30-DATE-LAST-STMT
156500         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
156600         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
156700                                 TO MTRF-O30-AVG-NBR-MONTHS
156800         MOVE MMFA-WTD-CHGBACK-AMT (1)
156900                                 TO MTRF-O30-ACTUAL-ACTIVITY
157000         MOVE WS-D200-NORM-WTD-CHGBACK-AMT
157100                                 TO MTRF-O30-ALLOWED-ACTIVITY
157200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
157300         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
157400                                 TO MTRF-O30-FP-VARIANCE
157500         PERFORM R980-WRITE-REPORT-FILE
157600            THRU R989-WRF-EXIT
157700     END-IF.
157800*
157900******************************************************************
158000*    WEEKLY CHGBACK AMOUNT FRAUD CHECK (UNDER)                   *
158100******************************************************************
158200*
158300     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
158400                                (X-MMFP-FRAUD)
158500     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
158600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
158700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
158800         SET  MTRF-K2-O30-KT-MERCHANT
158900                                 TO TRUE
159000         SET  MTRF-K2-O30-FRAUD-INDEX
159100                                 TO X-MMFP-FRAUD
159200         SET  MTRF-O30-UNDER     TO TRUE
159300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
159400         MOVE MMMM-DATE-LAST-STMT
159500                                 TO MTRF-O30-DATE-LAST-STMT
159600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
159700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
159800                                 TO MTRF-O30-AVG-NBR-MONTHS
159900         MOVE MMFA-WTD-CHGBACK-AMT (1)
160000                                 TO MTRF-O30-ACTUAL-ACTIVITY
160100         MOVE WS-D200-NORM-WTD-CHGBACK-AMT
160200                                 TO MTRF-O30-ALLOWED-ACTIVITY
160300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
160400         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
160500                                 TO MTRF-O30-FP-VARIANCE
160600         PERFORM R980-WRITE-REPORT-FILE
160700            THRU R989-WRF-EXIT
160800     END-IF.
160900*
161000*
161100*
161200******************************************************************
161300*    WEEKLY CHGBACK NUMBER FRAUD CHECK (OVER)                    *
161400******************************************************************
161500*
161600     SET X-MMFP-FRAUD            TO 38.
161700*
161800     IF  WS-D200-NORM-WTD-CHGBACK-NBR = ZERO
161900         MOVE 10000.0000         TO WS-D200-VARIANCE
162000     ELSE
162100         COMPUTE WS-D200-VARIANCE ROUNDED
162200                                 =  MMFA-WTD-CHGBACK-NBR (1)
162300                                 /  WS-D200-NORM-WTD-CHGBACK-NBR
162400     END-IF.
162500*
162600     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
162700                                (X-MMFP-FRAUD)
162800     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
162900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
163000         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
163100         SET  MTRF-K2-O30-KT-MERCHANT
163200                                 TO TRUE
163300         SET  MTRF-K2-O30-FRAUD-INDEX
163400                                 TO X-MMFP-FRAUD
163500         SET  MTRF-O30-OVER      TO TRUE
163600         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
163700         MOVE MMMM-DATE-LAST-STMT
163800                                 TO MTRF-O30-DATE-LAST-STMT
163900         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
164000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
164100                                 TO MTRF-O30-AVG-NBR-MONTHS
164200         MOVE MMFA-WTD-CHGBACK-NBR (1)
164300                                 TO MTRF-O30-ACTUAL-ACTIVITY
164400         MOVE WS-D200-NORM-WTD-CHGBACK-NBR
164500                                 TO MTRF-O30-ALLOWED-ACTIVITY
164600         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
164700         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
164800                                 TO MTRF-O30-FP-VARIANCE
164900         PERFORM R980-WRITE-REPORT-FILE
165000            THRU R989-WRF-EXIT
165100     END-IF.
165200*
165300******************************************************************
165400*    WEEKLY CHGBACK NUMBER FRAUD CHECK (UNDER)                   *
165500******************************************************************
165600*
165700     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
165800                                (X-MMFP-FRAUD)
165900     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
166000         MOVE 1                  TO WS-D200-RPT-REC-TYPE
166100         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
166200         SET  MTRF-K2-O30-KT-MERCHANT
166300                                 TO TRUE
166400         SET  MTRF-K2-O30-FRAUD-INDEX
166500                                 TO X-MMFP-FRAUD
166600         SET  MTRF-O30-UNDER     TO TRUE
166700         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
166800         MOVE MMMM-DATE-LAST-STMT
166900                                 TO MTRF-O30-DATE-LAST-STMT
167000         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
167100         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
167200                                 TO MTRF-O30-AVG-NBR-MONTHS
167300         MOVE MMFA-WTD-CHGBACK-NBR (1)
167400                                 TO MTRF-O30-ACTUAL-ACTIVITY
167500         MOVE WS-D200-NORM-WTD-CHGBACK-NBR
167600                                 TO MTRF-O30-ALLOWED-ACTIVITY
167700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
167800         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
167900                                 TO MTRF-O30-FP-VARIANCE
168000         PERFORM R980-WRITE-REPORT-FILE
168100            THRU R989-WRF-EXIT
168200     END-IF.
168300*
168400*
168500*
168600******************************************************************
168700*    MONTH-TO-DATE CHGBACK-MEMO AMOUNT FRAUD CHECK (OVER)        *
168800******************************************************************
168900*
169000     SET X-MMFP-FRAUD            TO 41.
169100*
169200     MOVE WS-D200-SRA-CHGBACK-MEMO-AMT (14)
169300                                  TO WS-D200-WORK-AMT.
169400*
169500     IF  WS-D200-NORM-MTD-CHGBACK-M-AMT = ZERO
169600         MOVE 10000.0000         TO WS-D200-VARIANCE
169700     ELSE
169800         COMPUTE WS-D200-VARIANCE ROUNDED
169900                                =  WS-D200-WORK-AMT
170000                                /  WS-D200-NORM-MTD-CHGBACK-M-AMT
170100     END-IF.
170200*
170300     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
170400                                (X-MMFP-FRAUD)
170500     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
170600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
170700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
170800         SET  MTRF-K2-O30-KT-MERCHANT
170900                                 TO TRUE
171000         SET  MTRF-K2-O30-FRAUD-INDEX
171100                                 TO X-MMFP-FRAUD
171200         SET  MTRF-O30-OVER      TO TRUE
171300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
171400         MOVE MMMM-DATE-LAST-STMT
171500                                 TO MTRF-O30-DATE-LAST-STMT
171600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
171700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
171800                                 TO MTRF-O30-AVG-NBR-MONTHS
171900         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
172000         MOVE WS-D200-NORM-MTD-CHGBACK-M-AMT
172100                                 TO MTRF-O30-ALLOWED-ACTIVITY
172200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
172300         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
172400                                 TO MTRF-O30-FP-VARIANCE
172500         PERFORM R980-WRITE-REPORT-FILE
172600            THRU R989-WRF-EXIT
172700     END-IF.
172800*
172900******************************************************************
173000*    MONTH-TO-DATE CHGBACK-MEMO AMOUNT FRAUD CHECK (UNDER)       *
173100******************************************************************
173200*
173300     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
173400                                (X-MMFP-FRAUD)
173500     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
173600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
173700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
173800         SET  MTRF-K2-O30-KT-MERCHANT
173900                                 TO TRUE
174000         SET  MTRF-K2-O30-FRAUD-INDEX
174100                                 TO X-MMFP-FRAUD
174200         SET  MTRF-O30-UNDER     TO TRUE
174300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
174400         MOVE MMMM-DATE-LAST-STMT
174500                                 TO MTRF-O30-DATE-LAST-STMT
174600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
174700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
174800                                 TO MTRF-O30-AVG-NBR-MONTHS
174900         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
175000         MOVE WS-D200-NORM-MTD-CHGBACK-M-AMT
175100                                 TO MTRF-O30-ALLOWED-ACTIVITY
175200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
175300         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
175400                                 TO MTRF-O30-FP-VARIANCE
175500         PERFORM R980-WRITE-REPORT-FILE
175600            THRU R989-WRF-EXIT
175700     END-IF.
175800*
175900*
176000*
176100******************************************************************
176200*    MONTH-TO-DATE CHGBACK-MEMO NUMBER FRAUD CHECK (OVER)        *
176300******************************************************************
176400*
176500     SET X-MMFP-FRAUD            TO 42.
176600*
176700     MOVE WS-D200-SRA-CHGBACK-MEMO-NBR (14)
176800                                  TO WS-D200-WORK-NBR.
176900*
177000     IF  WS-D200-NORM-MTD-CHGBACK-M-NBR = ZERO
177100         MOVE 10000.0000         TO WS-D200-VARIANCE
177200     ELSE
177300         COMPUTE WS-D200-VARIANCE ROUNDED
177400                                =  WS-D200-WORK-NBR
177500                                /  WS-D200-NORM-MTD-CHGBACK-M-NBR
177600     END-IF.
177700*
177800     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
177900                                (X-MMFP-FRAUD)
178000     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
178100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
178200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
178300         SET  MTRF-K2-O30-KT-MERCHANT
178400                                 TO TRUE
178500         SET  MTRF-K2-O30-FRAUD-INDEX
178600                                 TO X-MMFP-FRAUD
178700         SET  MTRF-O30-OVER      TO TRUE
178800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
178900         MOVE MMMM-DATE-LAST-STMT
179000                                 TO MTRF-O30-DATE-LAST-STMT
179100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
179200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
179300                                 TO MTRF-O30-AVG-NBR-MONTHS
179400         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
179500         MOVE WS-D200-NORM-MTD-CHGBACK-M-NBR
179600                                 TO MTRF-O30-ALLOWED-ACTIVITY
179700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
179800         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
179900                                 TO MTRF-O30-FP-VARIANCE
180000         PERFORM R980-WRITE-REPORT-FILE
180100            THRU R989-WRF-EXIT
180200     END-IF.
180300*
180400******************************************************************
180500*    MONTH-TO-DATE CHGBACK-MEMO NUMBER FRAUD CHECK (UNDER)       *
180600******************************************************************
180700*
180800     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
180900                                (X-MMFP-FRAUD)
181000     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
181100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
181200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
181300         SET  MTRF-K2-O30-KT-MERCHANT
181400                                 TO TRUE
181500         SET  MTRF-K2-O30-FRAUD-INDEX
181600                                 TO X-MMFP-FRAUD
181700         SET  MTRF-O30-UNDER     TO TRUE
181800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
181900         MOVE MMMM-DATE-LAST-STMT
182000                                 TO MTRF-O30-DATE-LAST-STMT
182100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
182200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
182300                                 TO MTRF-O30-AVG-NBR-MONTHS
182400         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
182500         MOVE WS-D200-NORM-MTD-CHGBACK-M-NBR
182600                                 TO MTRF-O30-ALLOWED-ACTIVITY
182700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
182800         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
182900                                 TO MTRF-O30-FP-VARIANCE
183000         PERFORM R980-WRITE-REPORT-FILE
183100            THRU R989-WRF-EXIT
183200     END-IF.
183300*
183400*
183500*
183600******************************************************************
183700*    MONTH-TO-DATE SALES FRAUD CHECK (OVER)                      *
183800******************************************************************
183900*
184000     SET X-MMFP-FRAUD            TO 43.
184100*
184200     COMPUTE WS-D200-WORK-AMT    =  WS-D200-SRA-SALES-AMT(14)
184300                                 -  WS-D200-SRA-SALES-REV-AMT(14).
184400*
184500     IF  WS-D200-NORM-MTD-SALES-AMT = ZERO
184600         MOVE 10000.0000         TO WS-D200-VARIANCE
184700     ELSE
184800         COMPUTE WS-D200-VARIANCE ROUNDED
184900                                 =  WS-D200-WORK-AMT
185000                                 /  WS-D200-NORM-MTD-SALES-AMT
185100     END-IF.
185200*
185300     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
185400                                (X-MMFP-FRAUD)
185500     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
185600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
185700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
185800         SET  MTRF-K2-O30-KT-MERCHANT
185900                                 TO TRUE
186000         SET  MTRF-K2-O30-FRAUD-INDEX
186100                                 TO X-MMFP-FRAUD
186200         SET  MTRF-O30-OVER      TO TRUE
186300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
186400         MOVE MMMM-DATE-LAST-STMT
186500                                 TO MTRF-O30-DATE-LAST-STMT
186600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
186700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
186800                                 TO MTRF-O30-AVG-NBR-MONTHS
186900         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
187000         MOVE WS-D200-NORM-MTD-SALES-AMT
187100                                 TO MTRF-O30-ALLOWED-ACTIVITY
187200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
187300         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
187400                                 TO MTRF-O30-FP-VARIANCE
187500         PERFORM R980-WRITE-REPORT-FILE
187600            THRU R989-WRF-EXIT
187700     END-IF.
187800*
187900******************************************************************
188000*    MONTH-TO-DATE SALES FRAUD CHECK (UNDER)                     *
188100******************************************************************
188200*
188300     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
188400                                (X-MMFP-FRAUD)
188500     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
188600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
188700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
188800         SET  MTRF-K2-O30-KT-MERCHANT
188900                                 TO TRUE
189000         SET  MTRF-K2-O30-FRAUD-INDEX
189100                                 TO X-MMFP-FRAUD
189200         SET  MTRF-O30-UNDER     TO TRUE
189300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
189400         MOVE MMMM-DATE-LAST-STMT
189500                                 TO MTRF-O30-DATE-LAST-STMT
189600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
189700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
189800                                 TO MTRF-O30-AVG-NBR-MONTHS
189900         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
190000         MOVE WS-D200-NORM-MTD-SALES-AMT
190100                                 TO MTRF-O30-ALLOWED-ACTIVITY
190200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
190300         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
190400                                 TO MTRF-O30-FP-VARIANCE
190500         PERFORM R980-WRITE-REPORT-FILE
190600            THRU R989-WRF-EXIT
190700     END-IF.
190800*
190900*
191000*
191100******************************************************************
191200*    MONTH-TO-DATE RETURNS FRAUD CHECK (OVER)                    *
191300******************************************************************
191400*
191500     SET X-MMFP-FRAUD            TO 44.
191600*
191700     COMPUTE WS-D200-WORK-AMT    =  WS-D200-SRA-RETURNS-AMT(14)
191800                                 -  WS-D200-SRA-RETURNS-REV-AMT
191900                                                           (14).
192000*
192100     IF  WS-D200-NORM-MTD-RETURNS-AMT = ZERO
192200         MOVE 10000.0000         TO WS-D200-VARIANCE
192300     ELSE
192400         COMPUTE WS-D200-VARIANCE ROUNDED
192500                                 =  WS-D200-WORK-AMT
192600                                 /  WS-D200-NORM-MTD-RETURNS-AMT
192700     END-IF.
192800*
192900     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
193000                                (X-MMFP-FRAUD)
193100     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
193200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
193300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
193400         SET  MTRF-K2-O30-KT-MERCHANT
193500                                 TO TRUE
193600         SET  MTRF-K2-O30-FRAUD-INDEX
193700                                 TO X-MMFP-FRAUD
193800         SET  MTRF-O30-OVER      TO TRUE
193900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
194000         MOVE MMMM-DATE-LAST-STMT
194100                                 TO MTRF-O30-DATE-LAST-STMT
194200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
194300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
194400                                 TO MTRF-O30-AVG-NBR-MONTHS
194500         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
194600         MOVE WS-D200-NORM-MTD-RETURNS-AMT
194700                                 TO MTRF-O30-ALLOWED-ACTIVITY
194800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
194900         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
195000                                 TO MTRF-O30-FP-VARIANCE
195100         PERFORM R980-WRITE-REPORT-FILE
195200            THRU R989-WRF-EXIT
195300     END-IF.
195400*
195500******************************************************************
195600*    MONTH-TO-DATE RETURNS FRAUD CHECK (UNDER)                   *
195700******************************************************************
195800*
195900     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
196000                                (X-MMFP-FRAUD)
196100     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
196200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
196300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
196400         SET  MTRF-K2-O30-KT-MERCHANT
196500                                 TO TRUE
196600         SET  MTRF-K2-O30-FRAUD-INDEX
196700                                 TO X-MMFP-FRAUD
196800         SET  MTRF-O30-UNDER     TO TRUE
196900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
197000         MOVE MMMM-DATE-LAST-STMT
197100                                 TO MTRF-O30-DATE-LAST-STMT
197200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
197300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
197400                                 TO MTRF-O30-AVG-NBR-MONTHS
197500         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
197600         MOVE WS-D200-NORM-MTD-RETURNS-AMT
197700                                 TO MTRF-O30-ALLOWED-ACTIVITY
197800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
197900         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
198000                                 TO MTRF-O30-FP-VARIANCE
198100         PERFORM R980-WRITE-REPORT-FILE
198200            THRU R989-WRF-EXIT
198300     END-IF.
198400*
198500*
198600*
198700******************************************************************
198800*    MONTH-TO-DATE REFUND FRAUD CHECK (OVER)                     *
198900******************************************************************
199000*
199100     SET X-MMFP-FRAUD            TO 45.
199200*
199300     MOVE WS-D200-SRA-REFUND-AMT (14)
199400                                  TO WS-D200-WORK-AMT.
199500*
199600     IF  WS-D200-NORM-MTD-REFUND-AMT = ZERO
199700         MOVE 10000.0000         TO WS-D200-VARIANCE
199800     ELSE
199900         COMPUTE WS-D200-VARIANCE ROUNDED
200000                                 =  WS-D200-WORK-AMT
200100                                 /  WS-D200-NORM-MTD-REFUND-AMT
200200     END-IF.
200300*
200400     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
200500                                (X-MMFP-FRAUD)
200600     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
200700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
200800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
200900         SET  MTRF-K2-O30-KT-MERCHANT
201000                                 TO TRUE
201100         SET  MTRF-K2-O30-FRAUD-INDEX
201200                                 TO X-MMFP-FRAUD
201300         SET  MTRF-O30-OVER      TO TRUE
201400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
201500         MOVE MMMM-DATE-LAST-STMT
201600                                 TO MTRF-O30-DATE-LAST-STMT
201700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
201800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
201900                                 TO MTRF-O30-AVG-NBR-MONTHS
202000         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
202100         MOVE WS-D200-NORM-MTD-REFUND-AMT
202200                                 TO MTRF-O30-ALLOWED-ACTIVITY
202300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
202400         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
202500                                 TO MTRF-O30-FP-VARIANCE
202600         PERFORM R980-WRITE-REPORT-FILE
202700            THRU R989-WRF-EXIT
202800     END-IF.
202900*
203000******************************************************************
203100*    MONTH-TO-DATE REFUND FRAUD CHECK (UNDER)                    *
203200******************************************************************
203300*
203400     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
203500                                (X-MMFP-FRAUD)
203600     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
203700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
203800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
203900         SET  MTRF-K2-O30-KT-MERCHANT
204000                                 TO TRUE
204100         SET  MTRF-K2-O30-FRAUD-INDEX
204200                                 TO X-MMFP-FRAUD
204300         SET  MTRF-O30-UNDER     TO TRUE
204400         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
204500         MOVE MMMM-DATE-LAST-STMT
204600                                 TO MTRF-O30-DATE-LAST-STMT
204700         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
204800         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
204900                                 TO MTRF-O30-AVG-NBR-MONTHS
205000         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
205100         MOVE WS-D200-NORM-MTD-REFUND-AMT
205200                                 TO MTRF-O30-ALLOWED-ACTIVITY
205300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
205400         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
205500                                 TO MTRF-O30-FP-VARIANCE
205600         PERFORM R980-WRITE-REPORT-FILE
205700            THRU R989-WRF-EXIT
205800     END-IF.
205900*
206000*
206100*
206200******************************************************************
206300*    MONTH-TO-DATE CHGBACKS NUMBER FRAUD CHECK (OVER)            *
206400******************************************************************
206500*
206600     SET X-MMFP-FRAUD            TO 46.
206700*
206800     COMPUTE WS-D200-WORK-NBR     =  WS-D200-SRA-CHGBACK-CR-NBR
206900                                                            (14)
207000                                  +  WS-D200-SRA-CHGBACK-DR-NBR
207100                                                            (14)
207200                                  +  WS-D200-SRA-CHGBACK-MEMO-NBR
207300                                                            (14).
207400*
207500     IF  WS-D200-NORM-MTD-CHGBACK-NBR = ZERO
207600         MOVE 10000.0000         TO WS-D200-VARIANCE
207700     ELSE
207800         COMPUTE WS-D200-VARIANCE ROUNDED
207900                                 =  WS-D200-WORK-NBR
208000                                 /  WS-D200-NORM-MTD-CHGBACK-NBR
208100     END-IF.
208200*
208300     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
208400                                (X-MMFP-FRAUD)
208500     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
208600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
208700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
208800         SET  MTRF-K2-O30-KT-MERCHANT
208900                                 TO TRUE
209000         SET  MTRF-K2-O30-FRAUD-INDEX
209100                                 TO X-MMFP-FRAUD
209200         SET  MTRF-O30-OVER      TO TRUE
209300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
209400         MOVE MMMM-DATE-LAST-STMT
209500                                 TO MTRF-O30-DATE-LAST-STMT
209600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
209700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
209800                                 TO MTRF-O30-AVG-NBR-MONTHS
209900         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
210000         MOVE WS-D200-NORM-MTD-CHGBACK-NBR
210100                                 TO MTRF-O30-ALLOWED-ACTIVITY
210200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
210300         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
210400                                 TO MTRF-O30-FP-VARIANCE
210500         PERFORM R980-WRITE-REPORT-FILE
210600            THRU R989-WRF-EXIT
210700     END-IF.
210800*
210900******************************************************************
211000*    MONTH-TO-DATE CHGBACKS NUMBER FRAUD CHECK (UNDER)           *
211100******************************************************************
211200*
211300     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
211400                                (X-MMFP-FRAUD)
211500     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
211600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
211700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
211800         SET  MTRF-K2-O30-KT-MERCHANT
211900                                 TO TRUE
212000         SET  MTRF-K2-O30-FRAUD-INDEX
212100                                 TO X-MMFP-FRAUD
212200         SET  MTRF-O30-UNDER     TO TRUE
212300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
212400         MOVE MMMM-DATE-LAST-STMT
212500                                 TO MTRF-O30-DATE-LAST-STMT
212600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
212700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
212800                                 TO MTRF-O30-AVG-NBR-MONTHS
212900         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
213000         MOVE WS-D200-NORM-MTD-CHGBACK-NBR
213100                                 TO MTRF-O30-ALLOWED-ACTIVITY
213200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
213300         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
213400                                 TO MTRF-O30-FP-VARIANCE
213500         PERFORM R980-WRITE-REPORT-FILE
213600            THRU R989-WRF-EXIT
213700     END-IF.
213800*
213900*
214000*
214100******************************************************************
214200*    CHARGEBACKS TO SALES RATIO FRAUD CHECK (OVER)               *
214300******************************************************************
214400*
214500     MOVE WS-D200-SRA-SALES-NBR (13)
214600                                  TO WS-D200-WORK-NBR.
214700*
214800     SET X-MMFP-FRAUD            TO 49.
214900*
215000     IF  WS-D200-WORK-NBR = ZERO
215100         MOVE 10000.0000         TO WS-D200-VARIANCE
215200     ELSE
215300         COMPUTE WS-D200-VARIANCE ROUNDED
215400                                 = (WS-D200-SRA-CHGBACK-CR-NBR
215500                                                           (13)
215600                                 +  WS-D200-SRA-CHGBACK-DR-NBR
215700                                                           (13)
215800                                 +  WS-D200-SRA-CHGBACK-MEMO-NBR
215900                                                           (13))
216000                                 /  WS-D200-WORK-NBR
216100     END-IF.
216200*
216300     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
216400                                (X-MMFP-FRAUD)
216500     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
216600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
216700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
216800         SET  MTRF-K2-O30-KT-MERCHANT
216900                                 TO TRUE
217000         SET  MTRF-K2-O30-FRAUD-INDEX
217100                                 TO X-MMFP-FRAUD
217200         SET  MTRF-O30-OVER      TO TRUE
217300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
217400         MOVE MMMM-DATE-LAST-STMT
217500                                 TO MTRF-O30-DATE-LAST-STMT
217600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
217700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
217800                                 TO MTRF-O30-AVG-NBR-MONTHS
217900         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
218000         COMPUTE MTRF-O30-ALLOWED-ACTIVITY
218100                                  =  WS-D200-SRA-CHGBACK-CR-NBR
218200                                                            (13)
218300                                  +  WS-D200-SRA-CHGBACK-DR-NBR
218400                                                            (13)
218500                                  +  WS-D200-SRA-CHGBACK-MEMO-NBR
218600                                                            (13)
218700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
218800         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
218900                                 TO MTRF-O30-FP-VARIANCE
219000         PERFORM R980-WRITE-REPORT-FILE
219100            THRU R989-WRF-EXIT
219200     END-IF.
219300*
219400******************************************************************
219500*    CHARGEBACKS TO SALES RATIO FRAUD CHECK (UNDER)              *
219600******************************************************************
219700*
219800     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
219900                                (X-MMFP-FRAUD)
220000     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
220100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
220200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
220300         SET  MTRF-K2-O30-KT-MERCHANT
220400                                 TO TRUE
220500         SET  MTRF-K2-O30-FRAUD-INDEX
220600                                 TO X-MMFP-FRAUD
220700         SET  MTRF-O30-UNDER     TO TRUE
220800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
220900         MOVE MMMM-DATE-LAST-STMT
221000                                 TO MTRF-O30-DATE-LAST-STMT
221100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
221200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
221300                                 TO MTRF-O30-AVG-NBR-MONTHS
221400         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
221500                                  =  WS-D200-SRA-CHGBACK-CR-NBR
221600                                                            (13)
221700                                  +  WS-D200-SRA-CHGBACK-DR-NBR
221800                                                            (13)
221900                                  +  WS-D200-SRA-CHGBACK-MEMO-NBR
222000                                                            (13)
222100         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ALLOWED-ACTIVITY
222200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
222300         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
222400                                 TO MTRF-O30-FP-VARIANCE
222500         PERFORM R980-WRITE-REPORT-FILE
222600            THRU R989-WRF-EXIT
222700     END-IF.
222800*
222900*
223000*
223100******************************************************************
223200*    RETURNS TO SALES RATIO FRAUD CHECK (OVER)                   *
223300******************************************************************
223400*
223500     MOVE WS-D200-SRA-SALES-NBR (13)
223600                                  TO WS-D200-WORK-NBR.
223700*
223800     SET X-MMFP-FRAUD            TO 50.
223900*
224000     IF  WS-D200-WORK-NBR = ZERO
224100         MOVE 10000.0000         TO WS-D200-VARIANCE
224200     ELSE
224300         COMPUTE WS-D200-VARIANCE ROUNDED
224400                                 =  WS-D200-SRA-RETURNS-NBR (13)
224500                                 /  WS-D200-WORK-NBR
224600     END-IF.
224700*
224800     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
224900                                (X-MMFP-FRAUD)
225000     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
225100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
225200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
225300         SET  MTRF-K2-O30-KT-MERCHANT
225400                                 TO TRUE
225500         SET  MTRF-K2-O30-FRAUD-INDEX
225600                                 TO X-MMFP-FRAUD
225700         SET  MTRF-O30-OVER      TO TRUE
225800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
225900         MOVE MMMM-DATE-LAST-STMT
226000                                 TO MTRF-O30-DATE-LAST-STMT
226100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
226200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
226300                                 TO MTRF-O30-AVG-NBR-MONTHS
226400         MOVE WS-D200-SRA-RETURNS-NBR(13)
226500                                 TO MTRF-O30-ACTUAL-ACTIVITY
226600         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ALLOWED-ACTIVITY
226700         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
226800         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
226900                                 TO MTRF-O30-FP-VARIANCE
227000         PERFORM R980-WRITE-REPORT-FILE
227100            THRU R989-WRF-EXIT
227200     END-IF.
227300*
227400******************************************************************
227500*    RETURNS TO SALES RATIO FRAUD CHECK (UNDER)                  *
227600******************************************************************
227700*
227800     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
227900                                (X-MMFP-FRAUD)
228000     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
228100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
228200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
228300         SET  MTRF-K2-O30-KT-MERCHANT
228400                                 TO TRUE
228500         SET  MTRF-K2-O30-FRAUD-INDEX
228600                                 TO X-MMFP-FRAUD
228700         SET  MTRF-O30-UNDER     TO TRUE
228800         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
228900         MOVE MMMM-DATE-LAST-STMT
229000                                 TO MTRF-O30-DATE-LAST-STMT
229100         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
229200         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
229300                                 TO MTRF-O30-AVG-NBR-MONTHS
229400         MOVE WS-D200-SRA-RETURNS-NBR(13)
229500                                 TO MTRF-O30-ACTUAL-ACTIVITY
229600         MOVE WS-D200-SRA-SALES-NBR (13)
229700                                 TO MTRF-O30-ALLOWED-ACTIVITY
229800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
229900         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
230000                                 TO MTRF-O30-FP-VARIANCE
230100         PERFORM R980-WRITE-REPORT-FILE
230200            THRU R989-WRF-EXIT
230300     END-IF.
230400*
230500*
230600*
230700******************************************************************
230800*    KEYED-TO-SWIPED SALES RATIO FRAUD CHECK (OVER)              *
230900******************************************************************
231000*
231100     COMPUTE WS-D200-WORK-NBR    =  MMFA-SWIPED-SALES-NBR(13)
231200                                 -  MMFA-SWIPED-SALES-REV-NBR(13).
231300*
231400     SET X-MMFP-FRAUD            TO 51.
231500*
231600     IF  WS-D200-WORK-NBR = ZERO
231700         MOVE 10000.0000         TO WS-D200-VARIANCE
231800     ELSE
231900         COMPUTE WS-D200-VARIANCE ROUNDED
232000                                 = (MMFA-KEYED-SALES-NBR (13)
232100                                 -  MMFA-KEYED-SALES-REV-NBR(13))
232200                                 /  WS-D200-WORK-NBR
232300     END-IF.
232400*
232500     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
232600                                (X-MMFP-FRAUD)
232700     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
232800         MOVE 1                  TO WS-D200-RPT-REC-TYPE
232900         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
233000         SET  MTRF-K2-O30-KT-MERCHANT
233100                                 TO TRUE
233200         SET  MTRF-K2-O30-FRAUD-INDEX
233300                                 TO X-MMFP-FRAUD
233400         SET  MTRF-O30-OVER      TO TRUE
233500         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
233600         MOVE MMMM-DATE-LAST-STMT
233700                                 TO MTRF-O30-DATE-LAST-STMT
233800         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
233900         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
234000                                 TO MTRF-O30-AVG-NBR-MONTHS
234100         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
234200                                 =  MMFA-KEYED-SALES-NBR (13)
234300                                 -  MMFA-KEYED-SALES-REV-NBR(13)
234400         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ALLOWED-ACTIVITY
234500         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
234600         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
234700                                 TO MTRF-O30-FP-VARIANCE
234800         PERFORM R980-WRITE-REPORT-FILE
234900            THRU R989-WRF-EXIT
235000     END-IF.
235100*
235200******************************************************************
235300*    KEYED-TO-SWIPED SALES RATIO FRAUD CHECK (UNDER)             *
235400******************************************************************
235500*
235600     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
235700                                (X-MMFP-FRAUD)
235800     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
235900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
236000         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
236100         SET  MTRF-K2-O30-KT-MERCHANT
236200                                 TO TRUE
236300         SET  MTRF-K2-O30-FRAUD-INDEX
236400                                 TO X-MMFP-FRAUD
236500         SET  MTRF-O30-UNDER     TO TRUE
236600         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
236700         MOVE MMMM-DATE-LAST-STMT
236800                                 TO MTRF-O30-DATE-LAST-STMT
236900         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
237000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
237100                                 TO MTRF-O30-AVG-NBR-MONTHS
237200         COMPUTE MTRF-O30-ACTUAL-ACTIVITY
237300                                 =  MMFA-KEYED-SALES-NBR (13)
237400                                 -  MMFA-KEYED-SALES-REV-NBR(13)
237500         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ALLOWED-ACTIVITY
237600         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
237700         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
237800                                 TO MTRF-O30-FP-VARIANCE
237900         PERFORM R980-WRITE-REPORT-FILE
238000            THRU R989-WRF-EXIT
238100     END-IF.
238200*
238300*
238400*
238500******************************************************************
238600*    SALES BELOW FLOOR LIMIT RATIO FRAUD CHECK (OVER)            *
238700******************************************************************
238800*
238900     MOVE WS-D200-SRA-SALES-AMT (13)
239000                                 TO WS-D200-WORK-AMT.
239100*
239200     SET X-MMFP-FRAUD            TO 52.
239300*
239400     IF  WS-D200-WORK-AMT = ZERO
239500         MOVE 10000.0000         TO WS-D200-VARIANCE
239600     ELSE
239700         COMPUTE WS-D200-VARIANCE ROUNDED
239800                                 =  MMFA-SALES-BELOW-FLOOR-AMT(13)
239900                                 /  WS-D200-WORK-AMT
240000     END-IF.
240100*
240200     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
240300                                (X-MMFP-FRAUD)
240400     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
240500         MOVE 1                  TO WS-D200-RPT-REC-TYPE
240600         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
240700         SET  MTRF-K2-O30-KT-MERCHANT
240800                                 TO TRUE
240900         SET  MTRF-K2-O30-FRAUD-INDEX
241000                                 TO X-MMFP-FRAUD
241100         SET  MTRF-O30-OVER      TO TRUE
241200         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
241300         MOVE MMMM-DATE-LAST-STMT
241400                                 TO MTRF-O30-DATE-LAST-STMT
241500         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
241600         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
241700                                 TO MTRF-O30-AVG-NBR-MONTHS
241800         MOVE MMFA-SALES-BELOW-FLOOR-AMT (13)
241900                                 TO MTRF-O30-ACTUAL-ACTIVITY
242000         MOVE WS-D200-SRA-SALES-AMT (13)
242100                                 TO MTRF-O30-ALLOWED-ACTIVITY
242200         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
242300         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
242400                                 TO MTRF-O30-FP-VARIANCE
242500         PERFORM R980-WRITE-REPORT-FILE
242600            THRU R989-WRF-EXIT
242700     END-IF.
242800*
242900******************************************************************
243000*    TRANS BELOW FLOOR LIMIT RATIO FRAUD CHECK (UNDER)           *
243100******************************************************************
243200*
243300     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
243400                                (X-MMFP-FRAUD)
243500     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
243600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
243700         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
243800         SET  MTRF-K2-O30-KT-MERCHANT
243900                                 TO TRUE
244000         SET  MTRF-K2-O30-FRAUD-INDEX
244100                                 TO X-MMFP-FRAUD
244200         SET  MTRF-O30-UNDER     TO TRUE
244300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
244400         MOVE MMMM-DATE-LAST-STMT
244500                                 TO MTRF-O30-DATE-LAST-STMT
244600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
244700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
244800                                 TO MTRF-O30-AVG-NBR-MONTHS
244900         MOVE MMFA-SALES-BELOW-FLOOR-AMT (13)
245000                                 TO MTRF-O30-ACTUAL-ACTIVITY
245100         MOVE WS-D200-SRA-SALES-AMT (13)
245200                                 TO MTRF-O30-ALLOWED-ACTIVITY
245300         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
245400         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
245500                                 TO MTRF-O30-FP-VARIANCE
245600         PERFORM R980-WRITE-REPORT-FILE
245700            THRU R989-WRF-EXIT
245800     END-IF.
245900*
246000*
246100*
246200******************************************************************
246300*    RETRIEVAL REQUEST TO SALES RATIO FRAUD CHECK (OVER)         *
246400******************************************************************
246500*
246600     COMPUTE WS-D200-WORK-AMT    =  WS-D200-SRA-SALES-AMT(13)
246700                                 -  WS-D200-SRA-SALES-REV-AMT(13).
246800*
246900     SET X-MMFP-FRAUD            TO 54.
247000*
247100     IF  WS-D200-WORK-AMT = ZERO
247200         MOVE 10000.0000         TO WS-D200-VARIANCE
247300     ELSE
247400         COMPUTE WS-D200-VARIANCE ROUNDED
247500                                 =  WS-D200-SRA-RETRIEVAL-AMT(13)
247600                                 /  WS-D200-WORK-AMT
247700     END-IF.
247800*
247900     IF  WS-D200-VARIANCE NOT < MMFP-FRAUD-VARIANCE-OVER
248000                                (X-MMFP-FRAUD)
248100     AND MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD) > ZERO
248200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
248300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
248400         SET  MTRF-K2-O30-KT-MERCHANT
248500                                 TO TRUE
248600         SET  MTRF-K2-O30-FRAUD-INDEX
248700                                 TO X-MMFP-FRAUD
248800         SET  MTRF-O30-OVER      TO TRUE
248900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
249000         MOVE MMMM-DATE-LAST-STMT
249100                                 TO MTRF-O30-DATE-LAST-STMT
249200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
249300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
249400                                 TO MTRF-O30-AVG-NBR-MONTHS
249500         MOVE WS-D200-SRA-RETRIEVAL-AMT(13)
249600                                 TO MTRF-O30-ACTUAL-ACTIVITY
249700         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ALLOWED-ACTIVITY
249800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
249900         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
250000                                 TO MTRF-O30-FP-VARIANCE
250100         PERFORM R980-WRITE-REPORT-FILE
250200            THRU R989-WRF-EXIT
250300     END-IF.
250400*
250500******************************************************************
250600*    RETRIEVAL REQUEST TO SALES RATIO FRAUD CHECK (UNDER)        *
250700******************************************************************
250800*
250900     IF  WS-D200-VARIANCE NOT > MMFP-FRAUD-VARIANCE-UNDER
251000                                (X-MMFP-FRAUD)
251100     AND MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD) > ZERO
251200         MOVE 1                  TO WS-D200-RPT-REC-TYPE
251300         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
251400         SET  MTRF-K2-O30-KT-MERCHANT
251500                                 TO TRUE
251600         SET  MTRF-K2-O30-FRAUD-INDEX
251700                                 TO X-MMFP-FRAUD
251800         SET  MTRF-O30-UNDER     TO TRUE
251900         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
252000         MOVE MMMM-DATE-LAST-STMT
252100                                 TO MTRF-O30-DATE-LAST-STMT
252200         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
252300         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
252400                                 TO MTRF-O30-AVG-NBR-MONTHS
252500         MOVE WS-D200-SRA-RETRIEVAL-AMT(13)
252600                                 TO MTRF-O30-ACTUAL-ACTIVITY
252700         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ALLOWED-ACTIVITY
252800         MOVE WS-D200-VARIANCE   TO MTRF-O30-VARIANCE
252900         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
253000                                 TO MTRF-O30-FP-VARIANCE
253100         PERFORM R980-WRITE-REPORT-FILE
253200            THRU R989-WRF-EXIT
253300     END-IF.
253400*
253500*
253600*
253700******************************************************************
253800*    DUPLICATE SALES BY BATCH FRAUD CHECK (OVER ONLY)            *
253900******************************************************************
254000*
254100     IF  WS-D200-SALES-DUP-IN-BATCH NOT <
254200                                 MMMM-DUP-SALES-BATCH-NBR-C-H
254300     AND MMMM-DUP-SALES-BATCH-NBR-C-H > ZERO
254400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
254500         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
254600         SET  MTRF-K2-O30-KT-MERCHANT
254700                                 TO TRUE
254800         MOVE 71                 TO MTRF-K2-O30-FRAUD-INDEX
254900         SET  MTRF-O30-OVER      TO TRUE
255000         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
255100         MOVE MMMM-DATE-LAST-STMT
255200                                 TO MTRF-O30-DATE-LAST-STMT
255300         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
255400         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
255500                                 TO MTRF-O30-AVG-NBR-MONTHS
255600         MOVE WS-D200-SALES-DUP-IN-BATCH
255700                                 TO MTRF-O30-ACTUAL-ACTIVITY
255800         MOVE MMMM-DUP-SALES-BATCH-NBR-C-H
255900                                 TO MTRF-O30-ALLOWED-ACTIVITY
256000         COMPUTE MTRF-O30-VARIANCE ROUNDED
256100                                 =  WS-D200-SALES-DUP-IN-BATCH
256200                                 /  MMMM-DUP-SALES-BATCH-NBR-C-H
256300         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
256400         PERFORM R980-WRITE-REPORT-FILE
256500            THRU R989-WRF-EXIT
256600     END-IF.
256700*
256800*
256900*
257000******************************************************************
257100*    DUPLICATE SALES BY DAY FRAUD CHECK (OVER ONLY)              *
257200******************************************************************
257300*
257400     IF  WS-D200-SALES-DUP-BY-DAY NOT <
257500                                 MMMM-DUP-SALES-DAY-NBR-C-H
257600     AND MMMM-DUP-SALES-DAY-NBR-C-H > ZERO
257700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
257800         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
257900         SET  MTRF-K2-O30-KT-MERCHANT
258000                                 TO TRUE
258100         MOVE 72                 TO MTRF-K2-O30-FRAUD-INDEX
258200         SET  MTRF-O30-OVER      TO TRUE
258300         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
258400         MOVE MMMM-DATE-LAST-STMT
258500                                 TO MTRF-O30-DATE-LAST-STMT
258600         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
258700         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
258800                                 TO MTRF-O30-AVG-NBR-MONTHS
258900         MOVE WS-D200-SALES-DUP-BY-DAY
259000                                 TO MTRF-O30-ACTUAL-ACTIVITY
259100         MOVE MMMM-DUP-SALES-DAY-NBR-C-H
259200                                 TO MTRF-O30-ALLOWED-ACTIVITY
259300         COMPUTE MTRF-O30-VARIANCE ROUNDED
259400                                 =  WS-D200-SALES-DUP-BY-DAY
259500                                 /  MMMM-DUP-SALES-DAY-NBR-C-H
259600         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
259700         PERFORM R980-WRITE-REPORT-FILE
259800            THRU R989-WRF-EXIT
259900     END-IF.
260000*
260100*
260200*
260300******************************************************************
260400*    DUPLICATE SALES AMOUNT FRAUD CHECK (OVER ONLY)              *
260500******************************************************************
260600*
260700     IF  WS-D200-SALES-DUP-AMT NOT <
260800                                 MMMM-DUP-SALES-DAY-AMT-C-H
260900     AND MMMM-DUP-SALES-DAY-AMT-C-H > ZERO
261000         MOVE 1                  TO WS-D200-RPT-REC-TYPE
261100         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
261200         SET  MTRF-K2-O30-KT-MERCHANT
261300                                 TO TRUE
261400         MOVE 79                 TO MTRF-K2-O30-FRAUD-INDEX
261500         SET  MTRF-O30-OVER      TO TRUE
261600         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
261700         MOVE MMMM-DATE-LAST-STMT
261800                                 TO MTRF-O30-DATE-LAST-STMT
261900         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
262000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
262100                                 TO MTRF-O30-AVG-NBR-MONTHS
262200         MOVE WS-D200-SALES-DUP-AMT
262300                                 TO MTRF-O30-ACTUAL-ACTIVITY
262400         MOVE MMMM-DUP-SALES-DAY-AMT-C-H
262500                                 TO MTRF-O30-ALLOWED-ACTIVITY
262600         COMPUTE MTRF-O30-VARIANCE ROUNDED
262700                                 =  WS-D200-SALES-DUP-AMT
262800                                 /  MMMM-DUP-SALES-DAY-AMT-C-H
262900         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
263000         PERFORM R980-WRITE-REPORT-FILE
263100            THRU R989-WRF-EXIT
263200     END-IF.
263300*
263400*
263500*
263600******************************************************************
263700*    VISA AVG ELAPSED DAYS FRAUD CHECK (OVER ONLY)               *
263800******************************************************************
263900*
264000     IF  WS-D200-VISA-NBR-TRANS > ZERO
264100         COMPUTE WS-D200-VISA-AVG-ELAP-DAYS
264200                                 =  WS-D200-VISA-TOT-ELAP-DAYS
264300                                 /  WS-D200-VISA-NBR-TRANS
264400         IF  WS-D200-VISA-AVG-ELAP-DAYS > MMFP-FRAUD-AVG-ELAP-DAYS
264500         AND MMFP-FRAUD-AVG-ELAP-DAYS > ZERO
264600             MOVE 1              TO WS-D200-RPT-REC-TYPE
264700             MOVE MMMM-MERCHANT  TO MTRF-K2-O30-MERCHANT
264800             SET  MTRF-K2-O30-KT-MERCHANT
264900                                 TO TRUE
265000             MOVE 69             TO MTRF-K2-O30-FRAUD-INDEX
265100             SET  MTRF-O30-OVER  TO TRUE
265200             MOVE MMMM-DATE-OPENED
265300                                 TO MTRF-O30-DATE-OPENED
265400             MOVE MMMM-DATE-LAST-STMT
265500                                 TO MTRF-O30-DATE-LAST-STMT
265600             MOVE MMFP-TABLE-NBR TO MTRF-O30-FRAUD-TABLE
265700             MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
265800                                 TO MTRF-O30-AVG-NBR-MONTHS
265900             MOVE WS-D200-VISA-AVG-ELAP-DAYS
266000                                 TO MTRF-O30-ACTUAL-ACTIVITY
266100             MOVE MMFP-FRAUD-AVG-ELAP-DAYS
266200                                 TO MTRF-O30-ALLOWED-ACTIVITY
266300             COMPUTE MTRF-O30-VARIANCE ROUNDED
266400                                 =  WS-D200-VISA-AVG-ELAP-DAYS
266500                                 /  MMFP-FRAUD-AVG-ELAP-DAYS
266600             MOVE ZERO           TO MTRF-O30-FP-VARIANCE
266700             PERFORM R980-WRITE-REPORT-FILE
266800                THRU R989-WRF-EXIT
266900         END-IF
267000     END-IF.
267100*
267200*
267300*
267400******************************************************************
267500*    MC AVG ELAPSED DAYS FRAUD CHECK (OVER ONLY)                 *
267600******************************************************************
267700*
267800     IF  WS-D200-MC-NBR-TRANS > ZERO
267900         COMPUTE WS-D200-MC-AVG-ELAP-DAYS
268000                                 =  WS-D200-MC-TOT-ELAP-DAYS
268100                                 /  WS-D200-MC-NBR-TRANS
268200*
268300         IF  WS-D200-MC-AVG-ELAP-DAYS > MMFP-FRAUD-AVG-ELAP-DAYS
268400         AND MMFP-FRAUD-AVG-ELAP-DAYS > ZERO
268500             MOVE 1              TO WS-D200-RPT-REC-TYPE
268600             MOVE MMMM-MERCHANT  TO MTRF-K2-O30-MERCHANT
268700             SET  MTRF-K2-O30-KT-MERCHANT
268800                                 TO TRUE
268900             MOVE 70             TO MTRF-K2-O30-FRAUD-INDEX
269000             SET  MTRF-O30-OVER  TO TRUE
269100             MOVE MMMM-DATE-OPENED
269200                                 TO MTRF-O30-DATE-OPENED
269300             MOVE MMMM-DATE-LAST-STMT
269400                                 TO MTRF-O30-DATE-LAST-STMT
269500             MOVE MMFP-TABLE-NBR TO MTRF-O30-FRAUD-TABLE
269600             MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
269700                                 TO MTRF-O30-AVG-NBR-MONTHS
269800             MOVE WS-D200-MC-AVG-ELAP-DAYS
269900                                 TO MTRF-O30-ACTUAL-ACTIVITY
270000             MOVE MMFP-FRAUD-AVG-ELAP-DAYS
270100                                 TO MTRF-O30-ALLOWED-ACTIVITY
270200             COMPUTE MTRF-O30-VARIANCE ROUNDED
270300                                 =  WS-D200-MC-AVG-ELAP-DAYS
270400                                 /  MMFP-FRAUD-AVG-ELAP-DAYS
270500             MOVE ZERO           TO MTRF-O30-FP-VARIANCE
270600             PERFORM R980-WRITE-REPORT-FILE
270700                THRU R989-WRF-EXIT
270800         END-IF
270900     END-IF.
271000*
271100*
271200*
271300******************************************************************
271400*    INDIVIDUAL SALE AMOUNT EXCEEDED FRAUD CHECK (OVER ONLY)     *
271500******************************************************************
271600*
271700     IF  WS-D200-O30-AMT-EXCEEDED-YES
271800     AND MMFP-FRAUD-SALE-EXCESS-AMT > ZERO
271900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
272000         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
272100         SET  MTRF-K2-O30-KT-MERCHANT
272200                                 TO TRUE
272300         MOVE 61                 TO MTRF-K2-O30-FRAUD-INDEX
272400         SET  MTRF-O30-OVER      TO TRUE
272500         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
272600         MOVE MMMM-DATE-LAST-STMT
272700                                 TO MTRF-O30-DATE-LAST-STMT
272800         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
272900         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
273000                                 TO MTRF-O30-AVG-NBR-MONTHS
273100         MOVE ZERO               TO MTRF-O30-ACTUAL-ACTIVITY
273200         MOVE MMFP-FRAUD-SALE-EXCESS-AMT
273300                                 TO MTRF-O30-ALLOWED-ACTIVITY
273400         MOVE 100                TO MTRF-O30-VARIANCE
273500         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
273600         PERFORM R980-WRITE-REPORT-FILE
273700            THRU R989-WRF-EXIT
273800     END-IF.
273900*
274000*
274100*
274200******************************************************************
274300*    NUMBER OF DAYS SINCE LAST DEPOSIT FRAUD CHECK (OVER ONLY)   *
274400******************************************************************
274500*
274600     MOVE 1                      TO SS01WS-DOW.
274700     MOVE MMMM-DATE-LAST-ACTIVE  TO SS01WS-DATE-1.
274800     MOVE MMMM-DATE-PREV-ACTIVE  TO SS01WS-DATE-2.
274900     PERFORM SS04PD-ELAPSED-DAYS
275000        THRU SS04PD-ED-EXIT.
275100*
275200     IF  SS01WS-RESULT > MMFP-FRAUD-LAST-DEP-EXCESS
275300     AND MMFP-FRAUD-LAST-DEP-EXCESS > ZERO
275400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
275500         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
275600         SET  MTRF-K2-O30-KT-MERCHANT
275700                                 TO TRUE
275800         MOVE 63                 TO MTRF-K2-O30-FRAUD-INDEX
275900         SET  MTRF-O30-OVER      TO TRUE
276000         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
276100         MOVE MMMM-DATE-LAST-STMT
276200                                 TO MTRF-O30-DATE-LAST-STMT
276300         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
276400         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
276500                                 TO MTRF-O30-AVG-NBR-MONTHS
276600         MOVE SS01WS-RESULT      TO MTRF-O30-ACTUAL-ACTIVITY
276700         MOVE MMFP-FRAUD-LAST-DEP-EXCESS
276800                                 TO MTRF-O30-ALLOWED-ACTIVITY
276900         COMPUTE MTRF-O30-VARIANCE
277000                                 =  SS01WS-RESULT
277100                                 -  MMFP-FRAUD-LAST-DEP-EXCESS
277200         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
277300         PERFORM R980-WRITE-REPORT-FILE
277400            THRU R989-WRF-EXIT
277500     END-IF.
277600*
277700*
277800*
277900******************************************************************
278000*    MONTHLY NUMBER OF CHGBACKS EXCEEDED FRAUD CHECK (OVER ONLY) *
278100******************************************************************
278200*
278300     COMPUTE WS-D200-WORK-NBR    =  WS-D200-SRA-CHGBACK-CR-NBR(14)
278400                                 +  WS-D200-SRA-CHGBACK-DR-NBR(14)
278500                                 +  WS-D200-SRA-CHGBACK-MEMO-NBR
278600                                                              (14)
278700                                 -  WS-D200-SRA-RETRIEVAL-NBR(14).
278800*
278900     IF  WS-D200-WORK-NBR > MMFP-FRAUD-CHGBACK-EXCESS
279000     AND MMFP-FRAUD-CHGBACK-EXCESS > ZERO
279100         MOVE 1                  TO WS-D200-RPT-REC-TYPE
279200         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
279300         SET  MTRF-K2-O30-KT-MERCHANT
279400                                 TO TRUE
279500         MOVE 64                 TO MTRF-K2-O30-FRAUD-INDEX
279600         SET  MTRF-O30-OVER      TO TRUE
279700         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
279800         MOVE MMMM-DATE-LAST-STMT
279900                                 TO MTRF-O30-DATE-LAST-STMT
280000         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
280100         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
280200                                 TO MTRF-O30-AVG-NBR-MONTHS
280300         MOVE WS-D200-WORK-NBR   TO MTRF-O30-ACTUAL-ACTIVITY
280400         MOVE MMFP-FRAUD-CHGBACK-EXCESS
280500                                 TO MTRF-O30-ALLOWED-ACTIVITY
280600         COMPUTE MTRF-O30-VARIANCE
280700                                 =  WS-D200-WORK-NBR
280800                                 /  MMFP-FRAUD-CHGBACK-EXCESS
280900         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
281000         PERFORM R980-WRITE-REPORT-FILE
281100            THRU R989-WRF-EXIT
281200     END-IF.
281300*
281400*
281500*
281600******************************************************************
281700*    WEEKLY GROSS SALES AMOUNT EXCEEDED FRAUD CHECK (OVER ONLY)  *
281800******************************************************************
281900*
282000     COMPUTE WS-D200-WORK-AMT    =  MMFA-WTD-SALES-AMT (1)
282100                                 +  MMFA-WTD-SALES-AMT (2)
282200                                 +  MMFA-WTD-SALES-AMT (3)
282300                                 +  MMFA-WTD-SALES-AMT (4)
282400                                 +  MMFA-WTD-SALES-AMT (5)
282500                                 +  MMFA-WTD-SALES-AMT (6)
282600                                 +  MMFA-WTD-SALES-AMT (7).
282700*
282800     IF  WS-D200-WORK-AMT > MMFP-FRAUD-WEEK-EXCESS-SALES
282900     AND MMFP-FRAUD-WEEK-EXCESS-SALES > ZERO
283000         MOVE 1                  TO WS-D200-RPT-REC-TYPE
283100         MOVE MMMM-MERCHANT      TO MTRF-K2-O30-MERCHANT
283200         SET  MTRF-K2-O30-KT-MERCHANT
283300                                 TO TRUE
283400         MOVE 65                 TO MTRF-K2-O30-FRAUD-INDEX
283500         SET  MTRF-O30-OVER      TO TRUE
283600         MOVE MMMM-DATE-OPENED   TO MTRF-O30-DATE-OPENED
283700         MOVE MMMM-DATE-LAST-STMT
283800                                 TO MTRF-O30-DATE-LAST-STMT
283900         MOVE MMFP-TABLE-NBR     TO MTRF-O30-FRAUD-TABLE
284000         MOVE WS-D200-FRAUD-AVG-NBR-MONTHS
284100                                 TO MTRF-O30-AVG-NBR-MONTHS
284200         MOVE WS-D200-WORK-AMT   TO MTRF-O30-ACTUAL-ACTIVITY
284300         MOVE MMFP-FRAUD-WEEK-EXCESS-SALES
284400                                 TO MTRF-O30-ALLOWED-ACTIVITY
284500         COMPUTE MTRF-O30-VARIANCE
284600                                 =  WS-D200-WORK-AMT
284700                                 /  MMFP-FRAUD-WEEK-EXCESS-SALES
284800         MOVE ZERO               TO MTRF-O30-FP-VARIANCE
284900         PERFORM R980-WRITE-REPORT-FILE
285000            THRU R989-WRF-EXIT
285100     END-IF.
285200*
285300*
285400*
285500 R309-R30-EXIT.
285600     EXIT.
285700/
285800 R300-REPORT-30-39-COMMON-LOGIC SECTION.
285900 R301-R30-39-CL-BEGIN.
286000*
286100******************************************************************
286200*                                                                *
286300*    CALCULATE NORMAL NUMBERS AND AMOUNTS FOR SALES, RETURNS,    *
286400*    CHARGEBACK CREDITS, CHARGEBACK NUMBER, AUTHORIZATIONS,      *
286500*    AND AVERAGE TICKET FOR THE DAILY FRAUD CALCULATIONS.        *
286600*                                                                *
286700******************************************************************
286800     MOVE ZERO                   TO WS-D200-FRAUD-AVG-NBR-MONTHS.
286900     MOVE ZERO                   TO WS-D200-VISA-AVG-ELAP-DAYS.
287000     MOVE ZERO                   TO WS-D200-MC-AVG-ELAP-DAYS.
287100     MOVE ZERO                   TO WS-D200-WORK-NBR.
287200     MOVE ZERO                   TO WS-D200-WORK-AMT.
287300     MOVE ZERO                   TO WS-D200-FRAUD-DAYS.
287400     MOVE ZERO                   TO WS-D200-TREND-SALES-AMT.
287500     MOVE ZERO                   TO WS-D200-TREND-SALES-NBR.
287600     MOVE ZERO                   TO WS-D200-TREND-RETURNS-AMT.
287700     MOVE ZERO                   TO WS-D200-TREND-RETURNS-NBR.
287800     MOVE ZERO                   TO WS-D200-TREND-AUTH-AMT.
287900     MOVE ZERO                   TO WS-D200-TREND-AUTH-NBR.
288000     MOVE ZERO                   TO WS-D200-TREND-CHGBACK-CR-AMT.
288100     MOVE ZERO                   TO WS-D200-TREND-RETRIEVAL-AMT.
288200     MOVE ZERO                   TO WS-D200-TREND-RETRIEVAL-NBR.
288300     MOVE ZERO                   TO WS-D200-TREND-MER-DEP-AMT.
288400     MOVE ZERO                   TO WS-D200-TREND-MER-DEP-NBR.
288500     MOVE ZERO                   TO WS-D200-TREND-KEYED-SALES-AMT.
288600     MOVE ZERO                   TO WS-D200-TREND-KEYED-SALES-NBR.
288700     MOVE ZERO                   TO WS-D200-TREND-KEYED-AUTH-AMT.
288800     MOVE ZERO                   TO WS-D200-TREND-KEYED-AUTH-NBR.
288900     MOVE ZERO                   TO WS-D200-TREND-CHGBACK-NBR.
289000     MOVE ZERO                  TO WS-D200-TREND-CHGBACK-MEMO-AMT.
289100     MOVE ZERO                  TO WS-D200-TREND-CHGBACK-MEMO-NBR.
289200     MOVE ZERO                   TO WS-D200-TREND-REFUND-AMT.
289300*
289400     IF  MMMM-FRAUD-AVG-NBR-MONTHS > ZERO
289500     AND MMMM-FRAUD-AVG-NBR-MONTHS < 13
289600         MOVE MMMM-FRAUD-AVG-NBR-MONTHS
289700                                 TO WS-D200-FRAUD-AVG-NBR-MONTHS
289800     ELSE
289900         IF  MMFP-FRAUD-AVG-NBR-MONTHS > ZERO
290000         AND MMFP-FRAUD-AVG-NBR-MONTHS < 13
290100             MOVE MMFP-FRAUD-AVG-NBR-MONTHS
290200                                 TO WS-D200-FRAUD-AVG-NBR-MONTHS
290300         ELSE
290400             MOVE 3              TO WS-D200-FRAUD-AVG-NBR-MONTHS
290500         END-IF
290600     END-IF.
290700*
290800     PERFORM
290900         VARYING X-WS-D200-SRA FROM 1 BY 1
291000         UNTIL   X-WS-D200-SRA > WS-D200-FRAUD-AVG-NBR-MONTHS
291100            OR   X-WS-D200-SRA > 12
291200         SET X-MMMM              TO X-WS-D200-SRA
291300         SET X-MMFA              TO X-WS-D200-SRA
291400         EVALUATE TRUE
291500             WHEN MMMM-OID-JAN (X-MMMM)
291600                 SET X-SS01WS-DV-MON TO 1
291700             WHEN MMMM-OID-FEB (X-MMMM)
291800                 SET X-SS01WS-DV-MON TO 2
291900                 COMPUTE SS01WS-WORK
292000                                 =  MMMM-OCCURRENCE-YEAR (X-MMMM)
292100                                 *  250
292200                 END-COMPUTE
292300                 IF  SS01WS-RMDR > ZERO
292400                 OR  SS01WS-SPECIAL-LEAP-YEAR-SKIP
292500                     CONTINUE
292600                 ELSE
292700                     MOVE 29     TO SS01WS-DV-MON (2)
292800                 END-IF
292900             WHEN MMMM-OID-MAR (X-MMMM)
293000                 SET X-SS01WS-DV-MON TO 3
293100             WHEN MMMM-OID-APR (X-MMMM)
293200                 SET X-SS01WS-DV-MON TO 4
293300             WHEN MMMM-OID-MAY (X-MMMM)
293400                 SET X-SS01WS-DV-MON TO 5
293500             WHEN MMMM-OID-JUN (X-MMMM)
293600                 SET X-SS01WS-DV-MON TO 6
293700             WHEN MMMM-OID-JUL (X-MMMM)
293800                 SET X-SS01WS-DV-MON TO 7
293900             WHEN MMMM-OID-AUG (X-MMMM)
294000                 SET X-SS01WS-DV-MON TO 8
294100             WHEN MMMM-OID-SEP (X-MMMM)
294200                 SET X-SS01WS-DV-MON TO 9
294300             WHEN MMMM-OID-OCT (X-MMMM)
294400                 SET X-SS01WS-DV-MON TO 10
294500             WHEN MMMM-OID-NOV (X-MMMM)
294600                 SET X-SS01WS-DV-MON TO 11
294700             WHEN MMMM-OID-DEC (X-MMMM)
294800                 SET X-SS01WS-DV-MON TO 12
294900             WHEN OTHER
295000                 SET X-SS01WS-DV-MON TO 1
295100         END-EVALUATE
295200         ADD  SS01WS-DV-MON (X-SS01WS-DV-MON)
295300                                 TO WS-D200-FRAUD-DAYS
295400         MOVE 28                 TO SS01WS-DV-MON (2)
295500*
295600         MOVE WS-D200-SRA-SALES-AMT (X-WS-D200-SRA)
295700                                 TO WS-D200-WORK-AMT
295800         SUBTRACT WS-D200-SRA-SALES-REV-AMT (X-WS-D200-SRA)
295900                               FROM WS-D200-WORK-AMT
296000         IF  WS-D200-WORK-AMT = ZERO
296100             MOVE MMMM-PROJ-SALES-AMT
296200                                 TO WS-D200-WORK-AMT
296300         END-IF
296400         ADD  WS-D200-WORK-AMT   TO WS-D200-TREND-SALES-AMT
296500         MOVE WS-D200-SRA-SALES-NBR (X-WS-D200-SRA)
296600                                 TO WS-D200-WORK-NBR
296700         SUBTRACT WS-D200-SRA-SALES-REV-NBR (X-WS-D200-SRA)
296800                               FROM WS-D200-WORK-NBR
296900         IF  WS-D200-WORK-NBR = ZERO
297000             MOVE MMMM-PROJ-SALES-NBR
297100                                 TO WS-D200-WORK-NBR
297200         END-IF
297300         ADD  WS-D200-WORK-NBR   TO WS-D200-TREND-SALES-NBR
297400*
297500         MOVE WS-D200-SRA-RETURNS-AMT (X-WS-D200-SRA)
297600                                 TO WS-D200-WORK-AMT
297700         SUBTRACT WS-D200-SRA-RETURNS-AMT (X-WS-D200-SRA)
297800                               FROM WS-D200-WORK-AMT
297900         IF  WS-D200-WORK-AMT = ZERO
298000             MOVE MMMM-PROJ-RETURNS-AMT
298100                                 TO WS-D200-WORK-AMT
298200         END-IF
298300         ADD  WS-D200-WORK-AMT   TO WS-D200-TREND-RETURNS-AMT
298400         MOVE WS-D200-SRA-RETURNS-NBR (X-WS-D200-SRA)
298500                                 TO WS-D200-WORK-NBR
298600         SUBTRACT WS-D200-SRA-RETURNS-NBR (X-WS-D200-SRA)
298700                               FROM WS-D200-WORK-NBR
298800         IF  WS-D200-WORK-NBR = ZERO
298900             MOVE MMMM-PROJ-RETURNS-NBR
299000                                 TO WS-D200-WORK-NBR
299100         END-IF
299200         ADD  WS-D200-WORK-NBR   TO WS-D200-TREND-RETURNS-NBR
299300*
299400         MOVE WS-D200-SRA-AUTH-AMT (X-WS-D200-SRA)
299500                                 TO WS-D200-WORK-AMT
299600         IF  WS-D200-WORK-AMT = ZERO
299700             MOVE MMMM-PROJ-AUTH-AMT
299800                                 TO WS-D200-WORK-AMT
299900         END-IF
300000         ADD  WS-D200-WORK-AMT   TO WS-D200-TREND-AUTH-AMT
300100         MOVE WS-D200-SRA-AUTH-NBR (X-WS-D200-SRA)
300200                                 TO WS-D200-WORK-NBR
300300         IF  WS-D200-WORK-NBR = ZERO
300400             MOVE MMMM-PROJ-AUTH-NBR
300500                                 TO WS-D200-WORK-NBR
300600         END-IF
300700         ADD  WS-D200-WORK-NBR   TO WS-D200-TREND-AUTH-NBR
300800*
300900         MOVE WS-D200-SRA-CHGBACK-CR-AMT (X-WS-D200-SRA)
301000                                 TO WS-D200-WORK-AMT
301100         IF  WS-D200-WORK-AMT = ZERO
301200             MOVE MMMM-PROJ-CHGBACK-AMT
301300                                 TO WS-D200-WORK-AMT
301400         END-IF
301500         ADD  WS-D200-WORK-AMT   TO WS-D200-TREND-CHGBACK-CR-AMT
301600         COMPUTE WS-D200-WORK-NBR
301700                                 =  WS-D200-SRA-CHGBACK-CR-NBR
301800                                    (X-WS-D200-SRA)
301900                                 +  WS-D200-SRA-CHGBACK-DR-NBR
302000                                    (X-WS-D200-SRA)
302100                                 +  WS-D200-SRA-CHGBACK-MEMO-NBR
302200                                    (X-WS-D200-SRA)
302300         END-COMPUTE
302400         IF  WS-D200-WORK-NBR = ZERO
302500             MOVE MMMM-PROJ-CHGBACK-NBR
302600                                 TO WS-D200-WORK-NBR
302700         END-IF
302800         ADD  WS-D200-WORK-NBR   TO WS-D200-TREND-CHGBACK-NBR
302900*
303000         MOVE WS-D200-SRA-CHGBACK-MEMO-AMT (X-WS-D200-SRA)
303100                                 TO WS-D200-WORK-AMT
303200         IF  WS-D200-WORK-AMT = ZERO
303300             MOVE MMMM-PROJ-CHGBACK-MEMO-AMT
303400                                 TO WS-D200-WORK-AMT
303500         END-IF
303600         ADD  WS-D200-WORK-AMT   TO WS-D200-TREND-CHGBACK-MEMO-AMT
303700         MOVE WS-D200-SRA-CHGBACK-MEMO-NBR (X-WS-D200-SRA)
303800                                 TO WS-D200-WORK-NBR
303900         IF  WS-D200-WORK-NBR = ZERO
304000             MOVE MMMM-PROJ-CHGBACK-MEMO-NBR
304100                                 TO WS-D200-WORK-NBR
304200         END-IF
304300         ADD  WS-D200-WORK-NBR   TO WS-D200-TREND-CHGBACK-MEMO-NBR
304400*
304500         ADD  WS-D200-SRA-REFUND-AMT (X-WS-D200-SRA)
304600                                 TO WS-D200-TREND-REFUND-AMT
304700*
304800         ADD  WS-D200-SRA-RETRIEVAL-AMT (X-WS-D200-SRA)
304900                                 TO WS-D200-TREND-RETRIEVAL-AMT
305000*
305100         ADD  WS-D200-SRA-RETRIEVAL-NBR (X-WS-D200-SRA)
305200                                 TO WS-D200-TREND-RETRIEVAL-NBR
305300*
305400         ADD  WS-D200-SRA-MER-DEP-AMT (X-WS-D200-SRA)
305500                                 TO WS-D200-TREND-MER-DEP-AMT
305600*
305700         ADD  WS-D200-SRA-MER-DEP-NBR (X-WS-D200-SRA)
305800                                 TO WS-D200-TREND-MER-DEP-NBR
305900*
306000         COMPUTE WS-D200-TREND-KEYED-SALES-AMT
306100                                 =  WS-D200-TREND-KEYED-SALES-AMT
306200                                 +  MMFA-KEYED-SALES-AMT
306300                                    (X-MMFA)
306400                                 -  MMFA-KEYED-SALES-REV-AMT
306500                                    (X-MMFA)
306600                                 -  MMFA-KEYED-RETURNS-AMT
306700                                    (X-MMFA)
306800                                 +  MMFA-KEYED-RETURNS-REV-AMT
306900                                    (X-MMFA)
307000         END-COMPUTE
307100*
307200         COMPUTE WS-D200-TREND-KEYED-SALES-NBR
307300                                 =  WS-D200-TREND-KEYED-SALES-NBR
307400                                 +  MMFA-KEYED-SALES-NBR
307500                                    (X-MMFA)
307600                                 -  MMFA-KEYED-SALES-REV-NBR
307700                                    (X-MMFA)
307800                                 -  MMFA-KEYED-RETURNS-NBR
307900                                    (X-MMFA)
308000                                 +  MMFA-KEYED-RETURNS-REV-NBR
308100                                    (X-MMFA)
308200         END-COMPUTE
308300*
308400         ADD  MMFA-KEYED-AUTHS-AMT (X-MMFA)
308500                                 TO WS-D200-TREND-KEYED-AUTH-AMT
308600*
308700         ADD  MMFA-KEYED-AUTHS-NBR (X-MMFA)
308800                                 TO WS-D200-TREND-KEYED-AUTH-NBR
308900     END-PERFORM.
309000*
309100*
309200*
309300     IF  WS-D200-FRAUD-DAYS = ZERO
309400         MOVE ZERO               TO WS-D200-NORM-SALES-AMT
309500         MOVE ZERO               TO WS-D200-NORM-RETURNS-AMT
309600         MOVE ZERO               TO WS-D200-NORM-AUTH-AMT
309700         MOVE ZERO               TO WS-D200-NORM-CHGBACK-CR-AMT
309800         MOVE ZERO               TO WS-D200-NORM-CHGBACK-MEMO-AMT
309900         MOVE ZERO               TO WS-D200-NORM-RETRIEVAL-AMT
310000         MOVE ZERO               TO WS-D200-NORM-MER-DEP-AMT
310100         MOVE ZERO               TO WS-D200-NORM-KEYED-SALES-AMT
310200         MOVE ZERO               TO WS-D200-NORM-KEYED-AUTH-AMT
310300     ELSE
310400         COMPUTE WS-D200-NORM-SALES-AMT ROUNDED
310500                                 =  WS-D200-TREND-SALES-AMT
310600                                 /  WS-D200-FRAUD-DAYS
310700         COMPUTE WS-D200-NORM-RETURNS-AMT ROUNDED
310800                                 =  WS-D200-TREND-RETURNS-AMT
310900                                 /  WS-D200-FRAUD-DAYS
311000         COMPUTE WS-D200-NORM-AUTH-AMT ROUNDED
311100                                 =  WS-D200-TREND-AUTH-AMT
311200                                 /  WS-D200-FRAUD-DAYS
311300         COMPUTE WS-D200-NORM-CHGBACK-CR-AMT ROUNDED
311400                                 =  WS-D200-TREND-CHGBACK-CR-AMT
311500                                 /  WS-D200-FRAUD-DAYS
311600         COMPUTE WS-D200-NORM-CHGBACK-MEMO-AMT ROUNDED
311700                                 =  WS-D200-TREND-CHGBACK-MEMO-AMT
311800                                 /  WS-D200-FRAUD-DAYS
311900         COMPUTE WS-D200-NORM-RETRIEVAL-AMT ROUNDED
312000                                 =  WS-D200-TREND-RETRIEVAL-AMT
312100                                 /  WS-D200-FRAUD-DAYS
312200         COMPUTE WS-D200-NORM-MER-DEP-AMT ROUNDED
312300                                 =  WS-D200-TREND-MER-DEP-AMT
312400                                 /  WS-D200-FRAUD-DAYS
312500         COMPUTE WS-D200-NORM-KEYED-SALES-AMT ROUNDED
312600                                 =  WS-D200-TREND-KEYED-SALES-AMT
312700                                 /  WS-D200-FRAUD-DAYS
312800         COMPUTE WS-D200-NORM-KEYED-AUTH-AMT ROUNDED
312900                                 =  WS-D200-TREND-KEYED-AUTH-AMT
313000                                 /  WS-D200-FRAUD-DAYS
313100     END-IF.
313200*
313300     COMPUTE WS-D200-NORM-MTD-SALES-AMT ROUNDED
313400                                 =  WS-D200-TREND-SALES-AMT
313500                                 /  WS-D200-FRAUD-AVG-NBR-MONTHS.
313600     COMPUTE WS-D200-NORM-MTD-RETURNS-AMT ROUNDED
313700                                 =  WS-D200-TREND-RETURNS-AMT
313800                                 /  WS-D200-FRAUD-AVG-NBR-MONTHS.
313900     COMPUTE WS-D200-NORM-MTD-REFUND-AMT ROUNDED
314000                                 =  WS-D200-TREND-REFUND-AMT
314100                                 /  WS-D200-FRAUD-AVG-NBR-MONTHS.
314200     COMPUTE WS-D200-NORM-MTD-CHGBACK-NBR ROUNDED
314300                                 =  WS-D200-TREND-CHGBACK-NBR
314400                                 /  WS-D200-FRAUD-AVG-NBR-MONTHS.
314500     COMPUTE WS-D200-NORM-MTD-CHGBACK-M-NBR ROUNDED
314600                                 =  WS-D200-TREND-CHGBACK-MEMO-NBR
314700                                 /  WS-D200-FRAUD-AVG-NBR-MONTHS.
314800     COMPUTE WS-D200-NORM-MTD-CHGBACK-M-AMT ROUNDED
314900                                 =  WS-D200-TREND-CHGBACK-MEMO-AMT
315000                                 /  WS-D200-FRAUD-AVG-NBR-MONTHS.
315100*
315200     IF  WS-D200-TREND-SALES-NBR NOT > ZERO
315300         MOVE ZERO               TO WS-D200-NORM-AVG-TKT-AMT
315400     ELSE
315500         COMPUTE WS-D200-NORM-AVG-TKT-AMT ROUNDED
315600                                 =  WS-D200-TREND-SALES-AMT
315700                                 /  WS-D200-TREND-SALES-NBR
315800     END-IF.
315900*
316000     IF  WS-D200-FRAUD-DAYS = ZERO
316100         MOVE ZERO               TO WS-D200-NORM-SALES-NBR
316200         MOVE ZERO               TO WS-D200-NORM-RETURNS-NBR
316300         MOVE ZERO               TO WS-D200-NORM-AUTH-NBR
316400         MOVE ZERO               TO WS-D200-NORM-CHGBACK-NBR
316500         MOVE ZERO               TO WS-D200-NORM-CHGBACK-MEMO-NBR
316600         MOVE ZERO               TO WS-D200-NORM-RETRIEVAL-NBR
316700         MOVE ZERO               TO WS-D200-NORM-MER-DEP-NBR
316800         MOVE ZERO               TO WS-D200-NORM-KEYED-SALES-NBR
316900         MOVE ZERO               TO WS-D200-NORM-KEYED-AUTH-NBR
317000         MOVE ZERO               TO WS-D200-NORM-TRANS-NBR
317100     ELSE
317200         COMPUTE WS-D200-NORM-SALES-NBR ROUNDED
317300                                 =  WS-D200-TREND-SALES-NBR
317400                                 /  WS-D200-FRAUD-DAYS
317500         COMPUTE WS-D200-NORM-RETURNS-NBR ROUNDED
317600                                 =  WS-D200-TREND-RETURNS-NBR
317700                                 /  WS-D200-FRAUD-DAYS
317800         COMPUTE WS-D200-NORM-AUTH-NBR ROUNDED
317900                                 =  WS-D200-TREND-AUTH-NBR
318000                                 /  WS-D200-FRAUD-DAYS
318100         COMPUTE WS-D200-NORM-CHGBACK-NBR ROUNDED
318200                                 =  WS-D200-TREND-CHGBACK-NBR
318300                                 /  WS-D200-FRAUD-DAYS
318400         COMPUTE WS-D200-NORM-CHGBACK-MEMO-NBR ROUNDED
318500                                 =  WS-D200-TREND-CHGBACK-MEMO-NBR
318600                                 /  WS-D200-FRAUD-DAYS
318700         COMPUTE WS-D200-NORM-RETRIEVAL-NBR ROUNDED
318800                                 =  WS-D200-TREND-RETRIEVAL-NBR
318900                                 /  WS-D200-FRAUD-DAYS
319000         COMPUTE WS-D200-NORM-MER-DEP-NBR ROUNDED
319100                                 =  WS-D200-TREND-MER-DEP-NBR
319200                                 /  WS-D200-FRAUD-DAYS
319300         COMPUTE WS-D200-NORM-KEYED-SALES-NBR ROUNDED
319400                                 =  WS-D200-TREND-KEYED-SALES-NBR
319500                                 /  WS-D200-FRAUD-DAYS
319600         COMPUTE WS-D200-NORM-KEYED-AUTH-NBR ROUNDED
319700                                 =  WS-D200-TREND-KEYED-AUTH-NBR
319800                                 /  WS-D200-FRAUD-DAYS
319900         COMPUTE WS-D200-NORM-TRANS-NBR ROUNDED
320000                                 = (WS-D200-TREND-SALES-NBR
320100                                 +  WS-D200-TREND-RETURNS-NBR)
320200                                 /  WS-D200-FRAUD-DAYS
320300     END-IF.
320400*
320500*
320600*
320700 R309-R30-39-CL-EXIT.
320800     EXIT.
