000100 R310-REPORT-31 SECTION.
000200 R311-R31-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 31.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R319-R31-EXIT
000900     END-IF.
001000*
001100     IF  MTPTWS-MERCH-DUP-IN-BATCH
001200         CONTINUE
001300     ELSE
001400         GO TO R319-R31-EXIT
001500     END-IF.
001600*
001700     EVALUATE TRUE
001800         WHEN MMTCWS-LM-SALE
001900         WHEN MMTCWS-LM-RETURN
002000         WHEN MMTCWS-LM-RETURN-REV
002100         WHEN MMTCWS-LM-SALE-REV
002200             PERFORM R310-REPORT-31-SALES-BATCH-C-H
002300                THRU R319-R31-SB-C-H-EXIT
002400         WHEN MMTCWS-LM-AUTH-APPROVED
002500         WHEN MMTCWS-LM-AUTH-DECLINED
002600             PERFORM R310-REPORT-31-AUTHS-BATCH-C-H
002700                THRU R319-R31-AB-C-H-EXIT
002800     END-EVALUATE.
002900*
003000 R319-R31-EXIT.
003100     EXIT.
003200/
003300 R310-REPORT-31-SALES-BATCH-C-H SECTION.
003400 R311-R31-SB-C-H-BEGIN.
003500*
003600     IF  MMMM-DUP-SALES-BATCH-NBR-C-H = ZERO
003700         GO TO R319-R31-SB-C-H-EXIT
003800     END-IF.
003900*
004000     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
004100     SET  WS-D200-O31-ACTIVITY   TO TRUE.
004200     SET  MTRF-K2-O31-KT-MERCHANT
004300                                 TO TRUE.
004400     MOVE MTPT-MERCHANT          TO MTRF-K2-O31-MERCHANT.
004500     SET  MTRF-K2-O31-D-SALES-BATCH-C-H
004600                                 TO TRUE.
004700     MOVE MTPT-AR-ACCT           TO MTRF-K2-O31-AR-ACCT.
004800     MOVE MTPT-REF-BATCH-SORT    TO MTRF-K2-O31-BATCH-SORT.
004900*
005000     MOVE MTPT-RECORD            TO MTRF-MT-TRANSACTION.
005100*
005200     PERFORM R980-WRITE-REPORT-FILE
005300        THRU R989-WRF-EXIT.
005400*
005500 R319-R31-SB-C-H-EXIT.
005600     EXIT.
005700*
005800*
005900*
006000 R310-REPORT-31-AUTHS-BATCH-C-H SECTION.
006100 R311-R31-AB-C-H-BEGIN.
006200*
006300     IF  MMMM-DUP-AUTHS-BATCH-NBR-C-H = ZERO
006400         GO TO R319-R31-AB-C-H-EXIT
006500     END-IF.
006600*
006700     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
006800     SET  WS-D200-O31-ACTIVITY   TO TRUE.
006900     SET  MTRF-K2-O31-KT-MERCHANT
007000                                 TO TRUE.
007100     MOVE MTPT-MERCHANT          TO MTRF-K2-O31-MERCHANT.
007200     SET  MTRF-K2-O31-D-AUTHS-BATCH-C-H
007300                                 TO TRUE.
007400     MOVE MTPT-AR-ACCT           TO MTRF-K2-O31-AR-ACCT.
007500     MOVE MTPT-REF-BATCH-SORT    TO MTRF-K2-O31-BATCH-SORT.
007600*
007700     MOVE MTPT-RECORD            TO MTRF-MT-TRANSACTION.
007800*
007900     PERFORM R980-WRITE-REPORT-FILE
008000        THRU R989-WRF-EXIT.
008100*
008200 R319-R31-AB-C-H-EXIT.
008300     EXIT.
008400/
008500 R310-REPORT-31-TOTALS SECTION.
008600 R311-R31-TOTALS-BEGIN.
008700*
008800     IF  WS-D200-O31-NO-ACTIVITY
008900         GO TO R319-R31-TOTALS-EXIT
009000     END-IF.
009100*
009200     SET X-MTRFWS-ORT            TO 31.
009300*
009400     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
009500     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
009600         GO TO R319-R31-TOTALS-EXIT
009700     END-IF.
009800*
009900*
010000*
010100     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
010200     SET  MTRF-K2-O31-KT-MERCHANT
010300                                 TO TRUE.
010400     MOVE MMMM-MERCHANT          TO MTRF-K2-O31-MERCHANT.
010500     SET  MTRF-K2-O31-H-SALES-BATCH-C-H
010600                                 TO TRUE.
010700     MOVE SPACES                 TO MTRF-K2-O31-AR-ACCT.
010800     INITIALIZE                     MTRF-K2-O31-BATCH-SORT.
010900     MOVE MMMM-DBA-NAME          TO MTRF-O31-DBA-NAME.
011000     MOVE MMMM-DATE-OPENED       TO MTRF-O31-DATE-OPENED.
011100     MOVE MMMM-DATE-LAST-STMT    TO MTRF-O31-DATE-LAST-STMT.
011200     MOVE MMMM-DUP-SALES-BATCH-NBR-C-H
011300                                 TO MTRF-O31-DUP-ALLOWED.
011400     MOVE WS-D200-SALES-DUP-IN-BATCH
011500                                 TO MTRF-O31-DUP-ACTUAL.
011600*
011700     IF  MMMM-DUP-SALES-BATCH-NBR-C-H = ZERO
011800     OR  WS-D200-SALES-DUP-IN-BATCH   = ZERO
011900         MOVE SPACES             TO MTRF-RECORD
012000     ELSE
012100         PERFORM R980-WRITE-REPORT-FILE
012200            THRU R989-WRF-EXIT
012300     END-IF.
012400*
012500*
012600*
012700     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
012800     SET  MTRF-K2-O31-KT-MERCHANT
012900                                 TO TRUE.
013000     MOVE MMMM-MERCHANT          TO MTRF-K2-O31-MERCHANT.
013100     SET  MTRF-K2-O31-H-AUTHS-BATCH-C-H
013200                                 TO TRUE.
013300     MOVE SPACES                 TO MTRF-K2-O31-AR-ACCT.
013400     INITIALIZE                     MTRF-K2-O31-BATCH-SORT.
013500     MOVE MMMM-DBA-NAME          TO MTRF-O31-DBA-NAME.
013600     MOVE MMMM-DATE-OPENED       TO MTRF-O31-DATE-OPENED.
013700     MOVE MMMM-DATE-LAST-STMT    TO MTRF-O31-DATE-LAST-STMT.
013800     MOVE MMMM-DUP-AUTHS-BATCH-NBR-C-H
013900                                 TO MTRF-O31-DUP-ALLOWED.
014000     MOVE WS-D200-AUTHS-DUP-IN-BATCH
014100                                 TO MTRF-O31-DUP-ACTUAL.
014200*
014300     IF  MMMM-DUP-AUTHS-BATCH-NBR-C-H = ZERO
014400     OR  WS-D200-AUTHS-DUP-IN-BATCH   = ZERO
014500         MOVE SPACES             TO MTRF-RECORD
014600     ELSE
014700         PERFORM R980-WRITE-REPORT-FILE
014800            THRU R989-WRF-EXIT
014900     END-IF.
015000*
015100*
015200*
015300 R319-R31-TOTALS-EXIT.
015400     EXIT.
