000100 R440-REPORT-44 SECTION.
000200 R441-R44-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 44.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R449-R44-EXIT.
000900*
001000     MOVE MMMM-DBA-NAME          TO MTRF-K2-O44-DBA-NAME.
001100     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
001200*
001300     MOVE MMMM-DBA-NAME          TO MTRF-O44-DBA-NAME.
001400     MOVE MMMM-DBA-CITY          TO MTRF-O44-DBA-CITY.
001500     MOVE MMMM-DBA-COUNTRY-CODE  TO MTRF-O44-DBA-COUNTRY-CODE.
001600     MOVE MMMM-PHONE (1)         TO MTRF-O44-PHONE.
001700     MOVE MMMM-CONTACT (1)       TO MTRF-O44-CONTACT.
001800     MOVE MMMM-CONTACT-PHONE (1) TO MTRF-O44-CONTACT-PHONE.
001900     MOVE MMMM-AGENT-BANK        TO MTRF-O44-AGENT-BANK.
002000     MOVE MMMM-BRANCH            TO MTRF-O44-BRANCH.
002100     MOVE MMMM-DATE-LAST-VISIT   TO MTRF-O44-DATE-LAST-VISIT.
002200     MOVE MMMM-DATE-LAST-REVIEW  TO MTRF-O44-DATE-LAST-REVIEW.
002300     MOVE MMMM-DATE-OPENED       TO MTRF-O44-DATE-OPENED.
002400     MOVE MMMM-DATE-LAST-ACTIVE  TO MTRF-O44-DATE-LAST-ACTIVE.
002500     MOVE WS-D200-SRA-SALES-NBR (14)
002600                                 TO MTRF-O44-MTD-SALES-NBR.
002700     MOVE WS-D200-SRA-SALES-AMT (14)
002800                                 TO MTRF-O44-MTD-SALES-AMT.
002900*
003000     IF  WS-D200-SRA-SALES-NBR (14) IS EQUAL TO ZERO
003100         MOVE ZERO               TO MTRF-O44-MTD-AVG-TKT
003200     ELSE
003300         COMPUTE MTRF-O44-MTD-AVG-TKT ROUNDED
003400                                 =  WS-D200-SRA-SALES-AMT (14)
003500                                 /  WS-D200-SRA-SALES-NBR (14).
003600*
003700     IF  MTRF-O44-MTD-AVG-TKT IS LESS THAN ZERO
003800         MOVE ZERO               TO MTRF-O44-MTD-AVG-TKT.
003900*
004000     MOVE WS-D200-SRA-SALES-NBR (15)
004100                                 TO MTRF-O44-YTD-SALES-NBR.
004200     MOVE WS-D200-SRA-SALES-AMT (15)
004300                                 TO MTRF-O44-YTD-SALES-AMT.
004400*
004500     IF  WS-D200-SRA-SALES-NBR (15) IS EQUAL TO ZERO
004600         MOVE ZERO               TO MTRF-O44-YTD-AVG-TKT
004700     ELSE
004800         COMPUTE MTRF-O44-YTD-AVG-TKT ROUNDED
004900                                 =  WS-D200-SRA-SALES-AMT (15)
005000                                 /  WS-D200-SRA-SALES-NBR (15).
005100*
005200     IF  MTRF-O44-YTD-AVG-TKT IS LESS THAN ZERO
005300         MOVE ZERO               TO MTRF-O44-YTD-AVG-TKT.
005400*
005500     MOVE MMMM-NBR-STORES        TO MTRF-O44-NBR-STORES.
005600*
005700     PERFORM R980-WRITE-REPORT-FILE
005800        THRU R989-WRF-EXIT.
005900*
006000 R449-R44-EXIT.
006100     EXIT.
