000100 R500-REPORT-50 SECTION.
000200 R501-R50-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 50.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R509-R50-EXIT.
000900*
001000     IF  WS-D200-NO-STMT-TODAY
001100         GO TO R509-R50-EXIT.
001200*
001300     SET WS-D200-O50-ACTIVITY    TO TRUE.
001400     SET X-WS-D200-O55-SE        TO 1.
001500*
001600     PERFORM R500-REPORT-50-REC-0000
001700        THRU R509-R50-REC-0000-EXIT.
001800*
001900     PERFORM R500-REPORT-50-REC-0001-5
002000        THRU R509-R50-REC-0001-5-EXIT
002100        VARYING X-MMMM-STMT-MSG-FLAG FROM 1 BY 1
002200        UNTIL   X-MMMM-STMT-MSG-FLAG IS GREATER THAN 5.
002300*
002400     PERFORM R500-REPORT-50-REC-0006
002500        THRU R509-R50-REC-0006-EXIT.
002600*
002700     PERFORM R500-REPORT-50-REC-0100
002800        THRU R509-R50-REC-0100-EXIT.
002900*
003000     PERFORM R500-REPORT-50-REC-0201-0204
003100        THRU R509-R50-REC-0201-0204-EXIT.
003200*
003300     PERFORM R500-REPORT-50-REC-0300
003400        THRU R509-R50-REC-0300-EXIT.
003500*
003600     PERFORM R500-REPORT-50-REC-0400
003700        THRU R509-R50-REC-0400-EXIT.
003800*
003900     PERFORM R500-REPORT-50-REC-0500
004000        THRU R509-R50-REC-0500-EXIT.
004100*
004200     PERFORM R500-REPORT-50-REC-0600
004300        THRU R509-R50-REC-0600-EXIT.
004400*
004500     PERFORM R500-REPORT-50-REC-0700
004600        THRU R509-R50-REC-0700-EXIT.
004700*
004800     PERFORM R500-REPORT-50-REC-0701
004900        THRU R509-R50-REC-0701-EXIT.
005000*
005100     MOVE SPACES                 TO WS-D200-O50-PROD-TABLE-X.
005200*
005300     PERFORM
005400         VARYING X-MMPATB FROM 1 BY 1
005500         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
005600         OR      MMPATB-END-OF-TABLE (X-MMPATB)
005700         MOVE MMPATB-RECORD (X-MMPATB)
005800                                 TO MMPA-RECORD
005900         IF  MMPA-PRODUCT IS GREATER THAN ZERO
006000             SET X-WS-D200-O50-PT
006100                                 TO MMPA-PRODUCT
006200             SET WS-D200-O50-PROD-ACTIVITY (X-WS-D200-O50-PT)
006300                                 TO TRUE
006400         END-IF
006500     END-PERFORM.
006600*
006700     MOVE ZERO                   TO WS-D200-O50-PROD.
006800     PERFORM R500-REPORT-50-REC-0800
006900        THRU R509-R50-REC-0800-EXIT.
007000*
007100     PERFORM
007200         VARYING X-WS-D200-O50-PT FROM 1 BY 1
007300         UNTIL   X-WS-D200-O50-PT IS GREATER THAN 99
007400         IF  WS-D200-O50-PROD-ACTIVITY (X-WS-D200-O50-PT)
007500             SET WS-D200-O50-PROD
007600                                 TO X-WS-D200-O50-PT
007700             PERFORM R500-REPORT-50-REC-0800
007800                THRU R509-R50-REC-0800-EXIT
007900         END-IF
008000     END-PERFORM.
008100*
008200     MOVE MWRF-RECORD            TO MTRF-RECORD.
008300     COMPUTE WS-D200-WORK-AMT    =  MB50WS-BAL-BEG-BALANCE
008400                                 +  MB50WS-BAL-BATCH-HEADER-AMT
008500                                 +  MB50WS-BAL-RESV-TO-SETT-AMT
008600                                 +  MB50WS-BAL-REFUND-AMT
008700                                 +  MB50WS-BAL-PART-CR-AMT
008800                                 +  MB50WS-BAL-ADJ-CR-AMT
008900                                 +  MB50WS-BAL-REC-ADJ-CR-AMT
009000                                 +  MB50WS-BAL-USER-CR-AMT
009100                                 +  MB50WS-BAL-RESV-FUNDING-AMT
009200                                 +  MB50WS-BAL-DISCOUNT-AMT
009300                                 +  MB50WS-BAL-PART-DR-AMT
009400                                 +  MB50WS-BAL-ADJ-DR-AMT
009500                                 +  MB50WS-BAL-REC-ADJ-DR-AMT
009600                                 +  MB50WS-BAL-USER-FEES-AMT
009700                                 +  MB50WS-BAL-SYSTEM-FEES-AMT
009800                                 +  MB50WS-BAL-INTCHG-FEES-AMT
009900                                 +  MB50WS-BAL-SETT-CR-AMT
010000                                 +  MB50WS-BAL-SETT-DR-AMT
010100                                 +  MB50WS-BAL-HOLDOVER-AMT
010200                                 +  MB50WS-BAL-TRANSFER-AMT.
010300*
010400     IF  WS-D200-WORK-AMT IS NOT EQUAL TO MB50WS-BAL-END-BALANCE
010500         SET MTRF-O50-OUT-OF-BAL TO TRUE
010600         MOVE 'OUT-OF-BALANCE        '
010700                                 TO WS-D200-O55-STMT-EXCEPTION
010800                                    (X-WS-D200-O55-SE)
010900         SET X-WS-D200-O55-SE    UP BY 1
011000         MOVE '999999994'        TO MTRF-O50-POSTAL-CODE.
011100*
011200     PERFORM R980-WRITE-REPORT-FILE
011300        THRU R989-WRF-EXIT.
011400*
011500 R509-R50-EXIT.
011600     EXIT.
011700/
011800 R500-REPORT-50-REC-0000 SECTION.
011900 R501-R50-REC-0000-BEGIN.
012000*
012100     MOVE SPACES                 TO MTRF-K2-O50-POSTAL-CODE.
012200     MOVE MMMM-MERCHANT          TO MTRF-K2-O50-MERCHANT.
012300     SET MTRF-K2-O50-NA-RECORD   TO TRUE.
012400     MOVE ZERO                   TO MTRF-K2-O50-REC-ID-SEQ.
012500     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
012600*
012700     MOVE SPACES                 TO SS12WS-NAME-ADDR-GROUP.
012800     MOVE SPACES                 TO MTRF-O50-POSTAL-CODE.
012900*
013000     IF  MMMM-SAC-USE-SECONDARY
013100         MOVE MMMM-POSTAL-CODE (2)
013200                                 TO MTRF-O50-POSTAL-CODE
013300         MOVE MMMM-FAX     (2)   TO MTRF-O50-FAX
013400         MOVE MMMM-NA-LINE (2 1) TO SS12WS-NAME-ADDR (1)
013500         MOVE MMMM-NA-LINE (2 2) TO SS12WS-NAME-ADDR (2)
013600         MOVE MMMM-NA-LINE (2 3) TO SS12WS-NAME-ADDR (3)
013700         MOVE MMMM-NA-LINE (2 4) TO SS12WS-NAME-ADDR (4)
013800         MOVE MMMM-NA-LINE (2 5) TO SS12WS-NAME-ADDR (5)
013900         MOVE MMMM-POSTAL-CODE(2)
014000                                 TO SS12WS-POSTAL-CODE
014100         MOVE MMMM-STATE-CODE(2) TO SS12WS-STATE-CODE
014200         MOVE MMMM-COUNTRY-CODE(2)
014300                                 TO SS12WS-COUNTRY-CODE
014400     ELSE
014500         MOVE MMMM-POSTAL-CODE (1)
014600                                 TO MTRF-O50-POSTAL-CODE
014700         MOVE MMMM-FAX     (1)   TO MTRF-O50-FAX
014800         MOVE MMMM-NA-LINE (1 1) TO SS12WS-NAME-ADDR (1)
014900         MOVE MMMM-NA-LINE (1 2) TO SS12WS-NAME-ADDR (2)
015000         MOVE MMMM-NA-LINE (1 3) TO SS12WS-NAME-ADDR (3)
015100         MOVE MMMM-NA-LINE (1 4) TO SS12WS-NAME-ADDR (4)
015200         MOVE MMMM-NA-LINE (1 5) TO SS12WS-NAME-ADDR (5)
015300         MOVE MMMM-POSTAL-CODE(1)
015400                                 TO SS12WS-POSTAL-CODE
015500         MOVE MMMM-STATE-CODE(1) TO SS12WS-STATE-CODE
015600         MOVE MMMM-COUNTRY-CODE(1)
015700                                 TO SS12WS-COUNTRY-CODE
015800     END-IF.
015900*
016000     PERFORM SS12PD-FORMAT-DEMOGRAPHICS
016100        THRU SS12PD-FD-EXIT.
016200*
016300     MOVE SS12WS-MAIL-LINE (1)   TO MTRF-O50-R0000-NAME-ADDR (1).
016400     MOVE SS12WS-MAIL-LINE (2)   TO MTRF-O50-R0000-NAME-ADDR (2).
016500     MOVE SS12WS-MAIL-LINE (3)   TO MTRF-O50-R0000-NAME-ADDR (3).
016600     MOVE SS12WS-MAIL-LINE (4)   TO MTRF-O50-R0000-NAME-ADDR (4).
016700     MOVE SS12WS-MAIL-LINE (5)   TO MTRF-O50-R0000-NAME-ADDR (5).
016800*
016900     SET  MTRF-O50-STMT-HEADING-PRINT
017000                                 TO TRUE.
017100     MOVE MMMM-STATEMENT-RPT-FLAG
017200                                 TO MTRF-O50-STATEMENT-RPT-FLAG.
017300     MOVE MMMM-STMT-CONTROL      TO MTRF-O50-STMT-CONTROL.
017400     SET  MTRF-O50-IN-BAL        TO TRUE.
017500     MOVE MMMM-DATE-PREV-STMT    TO MTRF-O50-BEG-STMT-DATE.
017600     MOVE MMMM-DATE-LAST-STMT    TO MTRF-O50-END-STMT-DATE.
017700     MOVE MMBC-INSERT-NBR        TO MTRF-O50-INSERT-NBR.
017800     MOVE '---'                  TO MTRF-O50-MBD740BC-LINE-1.
017900     MOVE '---'                  TO MTRF-O50-MBD740BC-LINE-2.
018000     MOVE '---'                  TO MTRF-O50-MBD740BC-LINE-3.
018100*
018200     IF (MMMM-NA-LINE (2 1) IS EQUAL TO SPACES
018300     AND MMMM-NA-LINE (2 2) IS EQUAL TO SPACES
018400     AND MMMM-NA-LINE (2 3) IS EQUAL TO SPACES
018500     AND MMMM-NA-LINE (2 4) IS EQUAL TO SPACES
018600     AND MMMM-NA-LINE (2 5) IS EQUAL TO SPACES
018700     AND MMMM-SAC-USE-SECONDARY)
018800     OR
018900        (MMMM-NA-LINE (1 1) IS EQUAL TO SPACES
019000     AND MMMM-NA-LINE (1 2) IS EQUAL TO SPACES
019100     AND MMMM-NA-LINE (1 3) IS EQUAL TO SPACES
019200     AND MMMM-NA-LINE (1 4) IS EQUAL TO SPACES
019300     AND MMMM-NA-LINE (1 5) IS EQUAL TO SPACES
019400     AND MMMM-SAC-USE-PRIMARY)
019500         MOVE 'MISSING NAME/ADDRESS'
019600                                 TO WS-D200-O55-STMT-EXCEPTION
019700                                    (X-WS-D200-O55-SE)
019800         SET X-WS-D200-O55-SE    UP BY 1
019900         MOVE '999999990'        TO MTRF-O50-POSTAL-CODE.
020000*
020100     IF (MMMM-POSTAL-CODE (1) EQUAL TO SPACES
020200     AND MMMM-SAC-USE-PRIMARY)
020300     OR
020400        (MMMM-POSTAL-CODE (2) EQUAL TO SPACES
020500     AND MMMM-SAC-USE-SECONDARY)
020600         MOVE 'MISSING POSTAL CODE'
020700                                 TO WS-D200-O55-STMT-EXCEPTION
020800                                    (X-WS-D200-O55-SE)
020900         SET X-WS-D200-O55-SE    UP BY 1
021000         MOVE '999999991'        TO MTRF-O50-POSTAL-CODE.
021100*
021200     IF  MTRF-O50-HOLD-STMT
021300         MOVE 'H O L D   STATEMENT'
021400                                 TO WS-D200-O55-STMT-EXCEPTION
021500                                    (X-WS-D200-O55-SE)
021600         SET X-WS-D200-O55-SE    UP BY 1
021700         MOVE '999999992'        TO MTRF-O50-POSTAL-CODE.
021800*
021900     IF  MTRF-O50-USER-HOLD-STMT
022000         MOVE 'U S E R   H O L D   STATEMENT'
022100                                 TO WS-D200-O55-STMT-EXCEPTION
022200                                    (X-WS-D200-O55-SE)
022300         SET X-WS-D200-O55-SE    UP BY 1
022400         MOVE '999999993'        TO MTRF-O50-POSTAL-CODE.
022500*
022600     IF  MTRF-O50-ONLINE-ONLY-STMT
022700         ADD 1                   TO WS-D200-O55-TOTAL-ON-LINE-ONLY
022800         MOVE 'ON-LINE-ONLY STATEMENT'
022900                                 TO WS-D200-O55-STMT-EXCEPTION
023000                                    (X-WS-D200-O55-SE)
023100         SET X-WS-D200-O55-SE    UP BY 1
023200         MOVE '999999999'        TO MTRF-O50-POSTAL-CODE.
023300*
023400     IF  MTRF-O50-POSTAL-CODE IS GREATER THAN '99999999 '
023500         ADD 1                   TO WS-D200-O55-TOTAL-EXCEPTIONS.
023600*
023700     ADD 1                       TO WS-D200-O55-TOTAL-STATEMENTS.
023800*
023900     MOVE MMMM-IMP-DEV-TITLE (1) TO MTRF-O50-IMP-DEV-TITLE (1).
024000     MOVE MMMM-IMP-DEV-TITLE (2) TO MTRF-O50-IMP-DEV-TITLE (2).
024100     MOVE MMMM-IMP-DEV-TITLE (3) TO MTRF-O50-IMP-DEV-TITLE (3).
024200*
024300     MOVE MMMM-POS-DEV-TITLE (1) TO MTRF-O50-POS-DEV-TITLE (1).
024400     MOVE MMMM-POS-DEV-TITLE (2) TO MTRF-O50-POS-DEV-TITLE (2).
024500     MOVE MMMM-POS-DEV-TITLE (3) TO MTRF-O50-POS-DEV-TITLE (3).
024600*
024700     MOVE MMMM-EURO-REPORTING-FLAG
024800                                 TO MTRF-O50-EURO-REPORTING-FLAG.
024900     MOVE MMMM-DUAL-CURRENCY-ORG TO MTRF-O50-DUAL-CURRENCY-ORG.
025000     MOVE MMOC-CURRENCY-CODE     TO MTRF-O50-DEST-CURRENCY.
025100*
025200     MOVE MTRF-RECORD            TO MWRF-RECORD.
025300*
025400 R509-R50-REC-0000-EXIT.
025500     EXIT.
025600/
025700 R500-REPORT-50-REC-0001-5 SECTION.
025800 R501-R50-REC-0001-5-BEGIN.
025900*
026000     IF  MMMM-STMT-MSG-SUPPRESS (X-MMMM-STMT-MSG-FLAG)
026100         GO TO R509-R50-REC-0001-5-EXIT.
026200*
026300     MOVE SPACES                 TO MTRF-K2-O50-POSTAL-CODE.
026400     MOVE MMMM-MERCHANT          TO MTRF-K2-O50-MERCHANT.
026500     SET MTRF-K2-O50-RECORD-ID-9 TO X-MMMM-STMT-MSG-FLAG.
026600     MOVE ZERO                   TO MTRF-K2-O50-REC-ID-SEQ.
026700     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
026800*
026900     SET X-MMOC-STMT-MSG         TO X-MMMM-STMT-MSG-FLAG.
027000     MOVE MMOC-ORG-STMT-MSG-L1 (X-MMOC-STMT-MSG)
027100                                 TO MTRF-O50-STMT-MSG-LINE (1).
027200     MOVE MMOC-ORG-STMT-MSG-L2 (X-MMOC-STMT-MSG)
027300                                 TO MTRF-O50-STMT-MSG-LINE (2).
027400     MOVE MMOC-ORG-STMT-MSG-L3 (X-MMOC-STMT-MSG)
027500                                 TO MTRF-O50-STMT-MSG-LINE (3).
027600*
027700     PERFORM R980-WRITE-REPORT-FILE
027800        THRU R989-WRF-EXIT.
027900*
028000 R509-R50-REC-0001-5-EXIT.
028100     EXIT.
028200/
028300 R500-REPORT-50-REC-0006 SECTION.
028400 R501-R50-REC-0006-BEGIN.
028500*
028600     MOVE SPACES                 TO MTRF-K2-O50-POSTAL-CODE.
028700     MOVE MMMM-MERCHANT          TO MTRF-K2-O50-MERCHANT.
028800     SET MTRF-K2-O50-CORR-NA-RECORD
028900                                 TO TRUE.
029000     MOVE ZERO                   TO MTRF-K2-O50-REC-ID-SEQ.
029100     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
029200*
029300*
029400     MOVE MMOC-NA-LINE (2 1)     TO SS12WS-NAME-ADDR (1).
029500     MOVE MMOC-NA-LINE (2 2)     TO SS12WS-NAME-ADDR (2).
029600     MOVE MMOC-NA-LINE (2 3)     TO SS12WS-NAME-ADDR (3).
029700     MOVE MMOC-NA-LINE (2 4)     TO SS12WS-NAME-ADDR (4).
029800     MOVE MMOC-NA-LINE (2 5)     TO SS12WS-NAME-ADDR (5).
029900     MOVE MMOC-POSTAL-CODE (2)   TO SS12WS-POSTAL-CODE.
030000     MOVE MMOC-STATE-CODE (2)    TO SS12WS-STATE-CODE.
030100     MOVE MMOC-COUNTRY-CODE (2)  TO SS12WS-COUNTRY-CODE.
030200*
030300     PERFORM SS12PD-FORMAT-DEMOGRAPHICS
030400        THRU SS12PD-FD-EXIT.
030500*
030600     MOVE SS12WS-MAIL-LINE (1)   TO MTRF-O50-R0006-NAME-ADDR (1).
030700     MOVE SS12WS-MAIL-LINE (2)   TO MTRF-O50-R0006-NAME-ADDR (2).
030800     MOVE SS12WS-MAIL-LINE (3)   TO MTRF-O50-R0006-NAME-ADDR (3).
030900     MOVE SS12WS-MAIL-LINE (4)   TO MTRF-O50-R0006-NAME-ADDR (4).
031000     MOVE SS12WS-MAIL-LINE (5)   TO MTRF-O50-R0006-NAME-ADDR (5).
031100*
031200     MOVE MMOC-PHONE (2)         TO MTRF-O50-CORR-PHONE.
031300     MOVE MMOC-FAX (2)           TO MTRF-O50-CORR-FAX.
031400*
031500     PERFORM R980-WRITE-REPORT-FILE
031600        THRU R989-WRF-EXIT.
031700*
031800 R509-R50-REC-0006-EXIT.
031900     EXIT.
032000/
032100 R500-REPORT-50-REC-0008 SECTION.
032200 R501-R50-REC-0008-BEGIN.
032300*
032400     SET X-MTRFWS-ORT            TO 50.
032500*
032600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
032700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
032800         GO TO R509-R50-REC-0008-EXIT.
032900*
033000     IF  WS-D200-O50-NO-ACTIVITY
033100         GO TO R509-R50-REC-0008-EXIT.
033200*
033300     MOVE SPACES                 TO MTRF-K2-O50-POSTAL-CODE.
033400     MOVE ZERO                   TO MTRF-K2-O50-MERCHANT.
033500     SET MTRF-K2-O50-USER-FEE-TITLES
033600                                 TO TRUE.
033700     SET MTRF-K2-O50-RIS-END-OF-TABLE
033800                                 TO TRUE.
033900*
034000     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
034100*
034200     MOVE MMOC-UF-TITLES-DESC(1) TO MTRF-UFT-TITLES-DESC (1).
034300     MOVE MMOC-UF-TITLES-DESC(2) TO MTRF-UFT-TITLES-DESC (2).
034400     MOVE MMOC-UF-TITLES-DESC(3) TO MTRF-UFT-TITLES-DESC (3).
034500     MOVE MMOC-UF-TITLES-DESC(4) TO MTRF-UFT-TITLES-DESC (4).
034600     MOVE MMOC-UF-TITLES-DESC(5) TO MTRF-UFT-TITLES-DESC (5).
034700     MOVE MMOC-UF-TITLES-DESC(6) TO MTRF-UFT-TITLES-DESC (6).
034800     MOVE MMOC-UF-TITLES-DESC(7) TO MTRF-UFT-TITLES-DESC (7).
034900     MOVE MMOC-UF-TITLES-DESC(8) TO MTRF-UFT-TITLES-DESC (8).
035000     MOVE MMOC-UF-TITLES-DESC(9) TO MTRF-UFT-TITLES-DESC (9).
035100     MOVE MMOC-UF-TITLES-DESC(10)
035200                                 TO MTRF-UFT-TITLES-DESC (10).
035300*
035400     PERFORM R980-WRITE-REPORT-FILE
035500        THRU R989-WRF-EXIT.
035600*
035700 R509-R50-REC-0008-EXIT.
035800     EXIT.
035900/
036000 R500-REPORT-50-REC-0009 SECTION.
036100 R501-R50-REC-0009-BEGIN.
036200*
036300     SET X-MTRFWS-ORT            TO 50.
036400*
036500     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
036600     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
036700         GO TO R509-R50-REC-0009-EXIT.
036800*
036900     IF  WS-D200-O50-NO-ACTIVITY
037000         GO TO R509-R50-REC-0009-EXIT.
037100*
037200     SET X-MTRF-PD               TO 1.
037300*
037400     PERFORM
037500         VARYING X-MMOC-PROD FROM 1 BY 1
037600         UNTIL   X-MMOC-PROD IS GREATER THAN 99
037700         MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
037800                                 TO MTRF-PD-PROD-DESC (X-MTRF-PD)
037900         IF  X-MTRF-PD IS NOT LESS THAN 11
038000             MOVE SPACES         TO MTRF-K2-O50-POSTAL-CODE
038100             MOVE ZERO           TO MTRF-K2-O50-MERCHANT
038200             SET MTRF-K2-O50-PROD-DESC-RECORD
038300                                 TO TRUE
038400             SET MTRF-K2-O50-REC-ID-SEQ
038500                                 TO X-MTRF-PD
038600             MOVE 1              TO WS-D200-RPT-REC-TYPE
038700             SET MTRF-PD-BEG-INDEX
038800                                 TO X-MMOC-PROD
038900             SUBTRACT 10       FROM MTRF-PD-BEG-INDEX
039000             PERFORM R980-WRITE-REPORT-FILE
039100                THRU R989-WRF-EXIT
039200             SET X-MTRF-PD       TO 1
039300         ELSE
039400             SET X-MTRF-PD       UP BY 1
039500         END-IF
039600     END-PERFORM.
039700*
039800 R509-R50-REC-0009-EXIT.
039900     EXIT.
040000/
040100 R500-REPORT-50-REC-0100 SECTION.
040200 R501-R50-REC-0100-BEGIN.
040300*
040400     MOVE SPACES                 TO MTRF-K2-O50-POSTAL-CODE.
040500     MOVE MMMM-MERCHANT          TO MTRF-K2-O50-MERCHANT.
040600     SET MTRF-K2-O50-BALANCE-SUMMARY
040700                                 TO TRUE.
040800     MOVE ZERO                   TO MTRF-K2-O50-REC-ID-SEQ.
040900     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
041000*
041100     INITIALIZE MTRF-O50-BAL-SUMMARY.
041200*
041300     PERFORM
041400         VARYING X-MMPATB FROM 1 BY 1
041500         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
041600            OR   MMPATB-END-OF-TABLE (X-MMPATB)
041700         MOVE MMPATB-RECORD (X-MMPATB)
041800                                 TO MMPA-RECORD
041900         MOVE MMPA-LOGIC-MODULE  TO MMTCWS-LOGIC-MODULE
042000         EVALUATE TRUE
042100             WHEN MMPA-TOTALS
042200                 CONTINUE
042300             WHEN OTHER
042400                 PERFORM R500-R50-BAL-SUMMARY
042500                    THRU R509-R50-BS-EXIT
042600         END-EVALUATE
042700     END-PERFORM.
042800*
042900     MOVE MMMM-PREV-BAL-SETT     TO MTRF-O50-BAL-BEG-BALANCE.
043000     MOVE MMMM-BAL-SETT          TO MTRF-O50-BAL-END-BALANCE.
043100*
043200     COMPUTE MTRF-O50-BAL-NET-SETT-AMT
043300                                 =  MTRF-O50-BAL-SETT-CR-AMT
043400                                 +  MTRF-O50-BAL-SETT-DR-AMT.
043500*
043600     COMPUTE MTRF-O50-BAL-CURR-HOLDOVER-AMT
043700                                 = MMMM-SETT-ACCT-1-HOLDOVER-IN
043800                                 + MMMM-SETT-ACCT-2-HOLDOVER-IN
043900                                 + MMMM-SETT-ACCT-3-HOLDOVER-IN
044000                                 + MMMM-SETT-ACCT-4-HOLDOVER-IN.
044100*
044200     MOVE MTRF-O50-BAL-SUMMARY   TO MB50WS-BAL-SUMMARY.
044300*
044400     PERFORM R980-WRITE-REPORT-FILE
044500        THRU R989-WRF-EXIT.
044600*
044700 R509-R50-REC-0100-EXIT.
044800     EXIT.
044900/
045000 R500-R50-BAL-SUMMARY SECTION.
045100 R501-R50-BS-BEGIN.
045200*
045300     EVALUATE TRUE
045400         WHEN MMTCWS-LM-BATCH-HDR-CR
045500             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-BATCH-HEADER-NBR
045600             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-BATCH-HEADER-AMT
045700         WHEN MMTCWS-LM-BATCH-HDR-DR
045800             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-BATCH-HEADER-NBR
045900             SUBTRACT MMPA-AMT (16)
046000                               FROM MTRF-O50-BAL-BATCH-HEADER-AMT
046100         WHEN MMTCWS-LM-RESERVE-TO-SETT
046200             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-RESV-TO-SETT-NBR
046300             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-RESV-TO-SETT-AMT
046400         WHEN MMTCWS-LM-REFUND
046500             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-REFUND-NBR
046600             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-REFUND-AMT
046700         WHEN MMTCWS-LM-PART-CR
046800             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-PART-CR-NBR
046900             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-PART-CR-AMT
047000         WHEN MMTCWS-LM-ADJ-CR
047100             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-ADJ-CR-NBR
047200             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-ADJ-CR-AMT
047300         WHEN MMTCWS-LM-RECOVERY-ADJ-CR
047400             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-REC-ADJ-CR-NBR
047500             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-REC-ADJ-CR-AMT
047600         WHEN MMTCWS-LM-USER-CREDITS
047700             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-USER-CR-NBR
047800             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-USER-CR-AMT
047900         WHEN MMTCWS-LM-RESERVE-FUNDING
048000             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-RESV-FUNDING-NBR
048100             SUBTRACT MMPA-AMT (16)
048200                               FROM MTRF-O50-BAL-RESV-FUNDING-AMT
048300         WHEN MMTCWS-LM-DISCOUNT
048400             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-DISCOUNT-NBR
048500             SUBTRACT MMPA-AMT (16)
048600                               FROM MTRF-O50-BAL-DISCOUNT-AMT
048700         WHEN MMTCWS-LM-PART-DR
048800             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-PART-DR-NBR
048900             SUBTRACT MMPA-AMT (16)
049000                               FROM MTRF-O50-BAL-PART-DR-AMT
049100         WHEN MMTCWS-LM-ADJ-DR
049200             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-ADJ-DR-NBR
049300             SUBTRACT MMPA-AMT (16)
049400                               FROM MTRF-O50-BAL-ADJ-DR-AMT
049500         WHEN MMTCWS-LM-RECOVERY-ADJ-DR
049600             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-REC-ADJ-DR-NBR
049700             SUBTRACT MMPA-AMT (16)
049800                               FROM MTRF-O50-BAL-REC-ADJ-DR-AMT
049900         WHEN MMTCWS-LM-USER-FEES
050000             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-USER-FEES-NBR
050100             SUBTRACT MMPA-AMT (16)
050200                               FROM MTRF-O50-BAL-USER-FEES-AMT
050300         WHEN MMTCWS-LM-SYSTEM-FEES-DR
050400             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-SYSTEM-FEES-NBR
050500             SUBTRACT MMPA-AMT (16)
050600                               FROM MTRF-O50-BAL-SYSTEM-FEES-AMT
050700         WHEN MMTCWS-LM-SYSTEM-FEES-CR
050800             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-SYSTEM-FEES-NBR
050900             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-SYSTEM-FEES-AMT
051000         WHEN MMTCWS-LM-INTCHG-FEES-DR
051100             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-INTCHG-FEES-NBR
051200             SUBTRACT MMPA-AMT (16)
051300                               FROM MTRF-O50-BAL-INTCHG-FEES-AMT
051400         WHEN MMTCWS-LM-INTCHG-FEES-CR
051500             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-INTCHG-FEES-NBR
051600             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-INTCHG-FEES-AMT
051700         WHEN MMTCWS-LM-SETTLEMENT-DR-XFER
051800             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-TRANSFER-NBR
051900             SUBTRACT MMPA-AMT (16)
052000                               FROM MTRF-O50-BAL-TRANSFER-AMT
052100         WHEN MMTCWS-LM-HOLDOVER
052200             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-HOLDOVER-NBR
052300             SUBTRACT MMPA-AMT (16)
052400                               FROM MTRF-O50-BAL-HOLDOVER-AMT
052500         WHEN MMTCWS-LM-SETTLEMENT-CR
052600             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-SETT-CR-NBR
052700             ADD MMPA-AMT (16)   TO MTRF-O50-BAL-SETT-CR-AMT
052800         WHEN MMTCWS-LM-SETTLEMENT-DR
052900             ADD MMPA-NBR (16)   TO MTRF-O50-BAL-SETT-DR-NBR
053000             SUBTRACT MMPA-AMT (16)
053100                               FROM MTRF-O50-BAL-SETT-DR-AMT
053200     END-EVALUATE.
053300*
053400 R509-R50-BS-EXIT.
053500     EXIT.
053600/
053700 R500-REPORT-50-REC-0201-0204 SECTION.
053800 R501-R50-REC-0201-0204-BEGIN.
053900*
054000     INITIALIZE MB50WS-RESV-1-AREA.
054100     INITIALIZE MB50WS-RESV-2-AREA.
054200     INITIALIZE MB50WS-RESV-3-AREA.
054300     INITIALIZE MB50WS-RESV-4-AREA.
054400*
054500     PERFORM
054600         VARYING X-MMPATB FROM 1 BY 1
054700         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
054800            OR   MMPATB-END-OF-TABLE (X-MMPATB)
054900         MOVE MMPATB-RECORD (X-MMPATB)
055000                                 TO MMPA-RECORD
055100         MOVE MMPA-LOGIC-MODULE  TO MMTCWS-LOGIC-MODULE
055200         EVALUATE TRUE
055300             WHEN MMPA-TOTALS
055400                 CONTINUE
055500             WHEN OTHER
055600                 PERFORM R500-R50-RESV-SUMMARY
055700                    THRU R509-R50-RS-EXIT
055800         END-EVALUATE
055900     END-PERFORM.
056000*
056100*
056200*
056300     INITIALIZE MTRF-O50-RESV-1-AREA.
056400     MOVE MMMM-PREV-BAL-RESV-1   TO MB50WS-RESV-1-BEG-BAL.
056500     MOVE MMMM-BAL-RESV-1        TO MB50WS-RESV-1-END-BAL.
056600*
056700     IF  MMMM-RESV-NOT-ACTIVE (1)
056800     AND MTRF-O50-RESV-1-AREA IS EQUAL TO MB50WS-RESV-1-AREA
056900         NEXT SENTENCE
057000     ELSE
057100         MOVE SPACES             TO MTRF-K2-O50-POSTAL-CODE
057200         MOVE MMMM-MERCHANT      TO MTRF-K2-O50-MERCHANT
057300         SET MTRF-K2-O50-RESV-1-SUMMARY
057400                                 TO TRUE
057500         MOVE ZERO               TO MTRF-K2-O50-REC-ID-SEQ
057600         MOVE 1                  TO WS-D200-RPT-REC-TYPE
057700         MOVE MMMM-RESV-DESC (1) TO MB50WS-RESV-1-DESC
057800         SET MMTCWS-LM-RESV-1-INCREASE
057900                                 TO TRUE
058000         MOVE MMTCWS-LOGIC-MODULE
058100                                 TO MB50WS-RESV-1-FUNDING-LM
058200         SET MMTCWS-LM-RESV-1-MANUAL-INCR
058300                                 TO TRUE
058400         MOVE MMTCWS-LOGIC-MODULE
058500                                 TO MB50WS-RESV-1-INCREASE-LM
058600         SET MMTCWS-LM-RESV-1-DECREASE-SETT
058700                                 TO TRUE
058800         MOVE MMTCWS-LOGIC-MODULE
058900                                 TO MB50WS-RESV-1-TO-SETT-LM
059000         SET MMTCWS-LM-RESV-1-DECREASE-PROC
059100                                 TO TRUE
059200         MOVE MMTCWS-LOGIC-MODULE
059300                                 TO MB50WS-RESV-1-TO-PROC-LM
059400         MOVE MB50WS-RESV-1-AREA TO MTRF-O50-RESV-1-AREA
059500         PERFORM R980-WRITE-REPORT-FILE
059600            THRU R989-WRF-EXIT.
059700*
059800*
059900*
060000     INITIALIZE MTRF-O50-RESV-2-AREA.
060100     MOVE MMMM-PREV-BAL-RESV-2   TO MB50WS-RESV-2-BEG-BAL.
060200     MOVE MMMM-BAL-RESV-2        TO MB50WS-RESV-2-END-BAL.
060300*
060400     IF  MMMM-RESV-NOT-ACTIVE (2)
060500     AND MTRF-O50-RESV-2-AREA IS EQUAL TO MB50WS-RESV-2-AREA
060600         NEXT SENTENCE
060700     ELSE
060800         MOVE SPACES             TO MTRF-K2-O50-POSTAL-CODE
060900         MOVE MMMM-MERCHANT      TO MTRF-K2-O50-MERCHANT
061000         SET MTRF-K2-O50-RESV-2-SUMMARY
061100                                 TO TRUE
061200         MOVE ZERO               TO MTRF-K2-O50-REC-ID-SEQ
061300         MOVE 1                  TO WS-D200-RPT-REC-TYPE
061400         MOVE MMMM-RESV-DESC (2) TO MB50WS-RESV-2-DESC
061500         SET MMTCWS-LM-RESV-2-INCREASE
061600                                 TO TRUE
061700         MOVE MMTCWS-LOGIC-MODULE
061800                                 TO MB50WS-RESV-2-FUNDING-LM
061900         SET MMTCWS-LM-RESV-2-MANUAL-INCR
062000                                 TO TRUE
062100         MOVE MMTCWS-LOGIC-MODULE
062200                                 TO MB50WS-RESV-2-INCREASE-LM
062300         SET MMTCWS-LM-RESV-2-DECREASE-SETT
062400                                 TO TRUE
062500         MOVE MMTCWS-LOGIC-MODULE
062600                                 TO MB50WS-RESV-2-TO-SETT-LM
062700         SET MMTCWS-LM-RESV-2-DECREASE-PROC
062800                                 TO TRUE
062900         MOVE MMTCWS-LOGIC-MODULE
063000                                 TO MB50WS-RESV-2-TO-PROC-LM
063100         MOVE MB50WS-RESV-2-AREA TO MTRF-O50-RESV-2-AREA
063200         PERFORM R980-WRITE-REPORT-FILE
063300            THRU R989-WRF-EXIT.
063400*
063500*
063600*
063700     INITIALIZE MTRF-O50-RESV-3-AREA.
063800     MOVE MMMM-PREV-BAL-RESV-3   TO MB50WS-RESV-3-BEG-BAL.
063900     MOVE MMMM-BAL-RESV-3        TO MB50WS-RESV-3-END-BAL.
064000*
064100     IF  MMMM-RESV-NOT-ACTIVE (3)
064200     AND MTRF-O50-RESV-3-AREA IS EQUAL TO MB50WS-RESV-3-AREA
064300         NEXT SENTENCE
064400     ELSE
064500         MOVE SPACES             TO MTRF-K2-O50-POSTAL-CODE
064600         MOVE MMMM-MERCHANT      TO MTRF-K2-O50-MERCHANT
064700         SET MTRF-K2-O50-RESV-3-SUMMARY
064800                                 TO TRUE
064900         MOVE ZERO               TO MTRF-K2-O50-REC-ID-SEQ
065000         MOVE 1                  TO WS-D200-RPT-REC-TYPE
065100         MOVE MMMM-RESV-DESC (3) TO MB50WS-RESV-3-DESC
065200         SET MMTCWS-LM-RESV-3-INCREASE
065300                                 TO TRUE
065400         MOVE MMTCWS-LOGIC-MODULE
065500                                 TO MB50WS-RESV-3-FUNDING-LM
065600         SET MMTCWS-LM-RESV-3-MANUAL-INCR
065700                                 TO TRUE
065800         MOVE MMTCWS-LOGIC-MODULE
065900                                 TO MB50WS-RESV-3-INCREASE-LM
066000         SET MMTCWS-LM-RESV-3-DECREASE-SETT
066100                                 TO TRUE
066200         MOVE MMTCWS-LOGIC-MODULE
066300                                 TO MB50WS-RESV-3-TO-SETT-LM
066400         SET MMTCWS-LM-RESV-3-DECREASE-PROC
066500                                 TO TRUE
066600         MOVE MMTCWS-LOGIC-MODULE
066700                                 TO MB50WS-RESV-3-TO-PROC-LM
066800         MOVE MB50WS-RESV-3-AREA TO MTRF-O50-RESV-3-AREA
066900         PERFORM R980-WRITE-REPORT-FILE
067000            THRU R989-WRF-EXIT.
067100*
067200*
067300*
067400     INITIALIZE MTRF-O50-RESV-4-AREA.
067500     MOVE MMMM-PREV-BAL-RESV-4   TO MB50WS-RESV-4-BEG-BAL.
067600     MOVE MMMM-BAL-RESV-4        TO MB50WS-RESV-4-END-BAL.
067700*
067800     IF  MMMM-RESV-NOT-ACTIVE (4)
067900     AND MTRF-O50-RESV-4-AREA IS EQUAL TO MB50WS-RESV-4-AREA
068000         NEXT SENTENCE
068100     ELSE
068200         MOVE SPACES             TO MTRF-K2-O50-POSTAL-CODE
068300         MOVE MMMM-MERCHANT      TO MTRF-K2-O50-MERCHANT
068400         SET MTRF-K2-O50-RESV-4-SUMMARY
068500                                 TO TRUE
068600         MOVE ZERO               TO MTRF-K2-O50-REC-ID-SEQ
068700         MOVE 1                  TO WS-D200-RPT-REC-TYPE
068800         MOVE MMMM-RESV-DESC (4) TO MB50WS-RESV-4-DESC
068900         SET MMTCWS-LM-RESV-4-INCREASE
069000                                 TO TRUE
069100         MOVE MMTCWS-LOGIC-MODULE
069200                                 TO MB50WS-RESV-4-FUNDING-LM
069300         SET MMTCWS-LM-RESV-4-MANUAL-INCR
069400                                 TO TRUE
069500         MOVE MMTCWS-LOGIC-MODULE
069600                                 TO MB50WS-RESV-4-INCREASE-LM
069700         SET MMTCWS-LM-RESV-4-DECREASE-SETT
069800                                 TO TRUE
069900         MOVE MMTCWS-LOGIC-MODULE
070000                                 TO MB50WS-RESV-4-TO-SETT-LM
070100         SET MMTCWS-LM-RESV-4-DECREASE-PROC
070200                                 TO TRUE
070300         MOVE MMTCWS-LOGIC-MODULE
070400                                 TO MB50WS-RESV-4-TO-PROC-LM
070500         MOVE MB50WS-RESV-4-AREA TO MTRF-O50-RESV-4-AREA
070600         PERFORM R980-WRITE-REPORT-FILE
070700            THRU R989-WRF-EXIT.
070800*
070900 R509-R50-REC-0201-0204-EXIT.
071000     EXIT.
071100/
071200 R500-R50-RESV-SUMMARY SECTION.
071300 R501-R50-RS-BEGIN.
071400*
071500     EVALUATE TRUE
071600         WHEN MMTCWS-LM-RESV-1-INCREASE
071700             ADD MMPA-NBR (16)   TO MB50WS-RESV-1-FUNDING-NBR
071800             ADD MMPA-AMT (16)   TO MB50WS-RESV-1-FUNDING-AMT
071900         WHEN MMTCWS-LM-RESV-2-INCREASE
072000             ADD MMPA-NBR (16)   TO MB50WS-RESV-2-FUNDING-NBR
072100             ADD MMPA-AMT (16)   TO MB50WS-RESV-2-FUNDING-AMT
072200         WHEN MMTCWS-LM-RESV-3-INCREASE
072300             ADD MMPA-NBR (16)   TO MB50WS-RESV-3-FUNDING-NBR
072400             ADD MMPA-AMT (16)   TO MB50WS-RESV-3-FUNDING-AMT
072500         WHEN MMTCWS-LM-RESV-4-INCREASE
072600             ADD MMPA-NBR (16)   TO MB50WS-RESV-4-FUNDING-NBR
072700             ADD MMPA-AMT (16)   TO MB50WS-RESV-4-FUNDING-AMT
072800         WHEN MMTCWS-LM-RESV-1-MANUAL-INCR
072900             ADD MMPA-NBR (16)   TO MB50WS-RESV-1-INCREASE-NBR
073000             ADD MMPA-AMT (16)   TO MB50WS-RESV-1-INCREASE-AMT
073100         WHEN MMTCWS-LM-RESV-2-MANUAL-INCR
073200             ADD MMPA-NBR (16)   TO MB50WS-RESV-2-INCREASE-NBR
073300             ADD MMPA-AMT (16)   TO MB50WS-RESV-2-INCREASE-AMT
073400         WHEN MMTCWS-LM-RESV-3-MANUAL-INCR
073500             ADD MMPA-NBR (16)   TO MB50WS-RESV-3-INCREASE-NBR
073600             ADD MMPA-AMT (16)   TO MB50WS-RESV-3-INCREASE-AMT
073700         WHEN MMTCWS-LM-RESV-4-MANUAL-INCR
073800             ADD MMPA-NBR (16)   TO MB50WS-RESV-4-INCREASE-NBR
073900             ADD MMPA-AMT (16)   TO MB50WS-RESV-4-INCREASE-AMT
074000         WHEN MMTCWS-LM-RESV-1-DECREASE-SETT
074100             ADD MMPA-NBR (16)   TO MB50WS-RESV-1-TO-SETT-NBR
074200             SUBTRACT MMPA-AMT (16)
074300                                 FROM MB50WS-RESV-1-TO-SETT-AMT
074400         WHEN MMTCWS-LM-RESV-2-DECREASE-SETT
074500             ADD MMPA-NBR (16)   TO MB50WS-RESV-2-TO-SETT-NBR
074600             SUBTRACT MMPA-AMT (16)
074700                                 FROM MB50WS-RESV-2-TO-SETT-AMT
074800         WHEN MMTCWS-LM-RESV-3-DECREASE-SETT
074900             ADD MMPA-NBR (16)   TO MB50WS-RESV-3-TO-SETT-NBR
075000             SUBTRACT MMPA-AMT (16)
075100                                 FROM MB50WS-RESV-3-TO-SETT-AMT
075200         WHEN MMTCWS-LM-RESV-4-DECREASE-SETT
075300             ADD MMPA-NBR (16)   TO MB50WS-RESV-4-TO-SETT-NBR
075400             SUBTRACT MMPA-AMT (16)
075500                                 FROM MB50WS-RESV-4-TO-SETT-AMT
075600         WHEN MMTCWS-LM-RESV-1-DECREASE-PROC
075700             ADD MMPA-NBR (16)   TO MB50WS-RESV-1-TO-PROC-NBR
075800             SUBTRACT MMPA-AMT (16)
075900                                 FROM MB50WS-RESV-1-TO-PROC-AMT
076000         WHEN MMTCWS-LM-RESV-2-DECREASE-PROC
076100             ADD MMPA-NBR (16)   TO MB50WS-RESV-2-TO-PROC-NBR
076200             SUBTRACT MMPA-AMT (16)
076300                                 FROM MB50WS-RESV-2-TO-PROC-AMT
076400         WHEN MMTCWS-LM-RESV-3-DECREASE-PROC
076500             ADD MMPA-NBR (16)   TO MB50WS-RESV-3-TO-PROC-NBR
076600             SUBTRACT MMPA-AMT (16)
076700                                 FROM MB50WS-RESV-3-TO-PROC-AMT
076800         WHEN MMTCWS-LM-RESV-4-DECREASE-PROC
076900             ADD MMPA-NBR (16)   TO MB50WS-RESV-4-TO-PROC-NBR
077000             SUBTRACT MMPA-AMT (16)
077100                                 FROM MB50WS-RESV-4-TO-PROC-AMT
077200     END-EVALUATE.
077300*
077400 R509-R50-RS-EXIT.
077500     EXIT.
077600/
077700 R500-REPORT-50-REC-0300 SECTION.
077800 R501-R50-REC-0300-BEGIN.
077900*
078000     INITIALIZE MB50WS-REC-ADJ-AREA.
078100     SET MMTCWS-LM-VALID-DELETE  TO TRUE.
078200     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (1).
078300     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (2).
078400     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (3).
078500     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (4).
078600     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (5).
078700     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (6).
078800     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (7).
078900     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (8).
079000     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (9).
079100     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-REC-ADJ-LM (10).
079200     MOVE MB50WS-REC-ADJ-AREA    TO MTRF-O50-REC-ADJ-AREA.
079300     SET X-MB50WS-REC-ADJ        TO 1.
079400*
079500     PERFORM
079600         VARYING X-MMPATB FROM 1 BY 1
079700         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
079800            OR   MMPATB-END-OF-TABLE (X-MMPATB)
079900         MOVE MMPATB-RECORD (X-MMPATB)
080000                                 TO MMPA-RECORD
080100         MOVE MMPA-LOGIC-MODULE  TO MMTCWS-LOGIC-MODULE
080200         EVALUATE TRUE
080300             WHEN MMPA-TOTALS
080400                 PERFORM R500-R50-REC-ADJ-SUMMARY
080500                    THRU R509-R50-RAS-EXIT
080600             WHEN OTHER
080700                 CONTINUE
080800         END-EVALUATE
080900     END-PERFORM.
081000*
081100     IF  MTRF-O50-REC-ADJ-AREA IS EQUAL TO MB50WS-REC-ADJ-AREA
081200         NEXT SENTENCE
081300     ELSE
081400         MOVE SPACES             TO MTRF-K2-O50-POSTAL-CODE
081500         MOVE MMMM-MERCHANT      TO MTRF-K2-O50-MERCHANT
081600         SET MTRF-K2-O50-RECOVERY-ADJ
081700                                 TO TRUE
081800         MOVE ZERO               TO MTRF-K2-O50-REC-ID-SEQ
081900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
082000         MOVE MB50WS-REC-ADJ-AREA
082100                                 TO MTRF-O50-REC-ADJ-AREA
082200         PERFORM R980-WRITE-REPORT-FILE
082300            THRU R989-WRF-EXIT.
082400*
082500 R509-R50-REC-0300-EXIT.
082600     EXIT.
082700/
082800 R500-R50-REC-ADJ-SUMMARY SECTION.
082900 R509-R50-RAS-BEGIN.
083000*
083100     EVALUATE TRUE
083200         WHEN (MMTCWS-LM-RECOVERY-ADJ-CR
083300          AND
083400              (MMPA-NBR (16) IS NOT EQUAL TO ZERO
083500            OR MMPA-AMT (16) IS NOT EQUAL TO ZERO))
083600             MOVE MMPA-LOGIC-MODULE
083700                                 TO MB50WS-REC-ADJ-LM
083800                                    (X-MB50WS-REC-ADJ)
083900             ADD MMPA-NBR (16)   TO MB50WS-REC-ADJ-NBR
084000                                    (X-MB50WS-REC-ADJ)
084100             ADD MMPA-AMT (16)   TO MB50WS-REC-ADJ-AMT
084200                                    (X-MB50WS-REC-ADJ)
084300             SET X-MB50WS-REC-ADJ
084400                                 UP BY 1
084500         WHEN (MMTCWS-LM-RECOVERY-ADJ-DR
084600          AND
084700              (MMPA-NBR (16) IS NOT EQUAL TO ZERO
084800            OR MMPA-AMT (16) IS NOT EQUAL TO ZERO))
084900             MOVE MMPA-LOGIC-MODULE
085000                                 TO MB50WS-REC-ADJ-LM
085100                                    (X-MB50WS-REC-ADJ)
085200             ADD MMPA-NBR (16)   TO MB50WS-REC-ADJ-NBR
085300                                    (X-MB50WS-REC-ADJ)
085400             SUBTRACT MMPA-AMT (16)
085500                               FROM MB50WS-REC-ADJ-AMT
085600                                    (X-MB50WS-REC-ADJ)
085700             SET X-MB50WS-REC-ADJ
085800                                 UP BY 1
085900     END-EVALUATE.
086000*
086100 R509-R50-RAS-EXIT.
086200     EXIT.
086300/
086400 R500-REPORT-50-REC-0400 SECTION.
086500 R501-R50-REC-0400-BEGIN.
086600*
086700     INITIALIZE MB50WS-ADJ-AREA.
086800     SET MMTCWS-LM-VALID-DELETE  TO TRUE.
086900*
087000     PERFORM
087100         VARYING X-MB50WS-ADJ FROM 1 BY 1
087200         UNTIL   X-MB50WS-ADJ IS GREATER THAN 40
087300         MOVE MMTCWS-LOGIC-MODULE
087400                                 TO MB50WS-ADJ-LM
087500                                    (X-MB50WS-ADJ)
087600     END-PERFORM.
087700*
087800     MOVE MB50WS-ADJ-AREA        TO MTRF-O50-ADJ-AREA.
087900     SET X-MB50WS-ADJ            TO 1.
088000*
088100     PERFORM
088200         VARYING X-MMPATB FROM 1 BY 1
088300         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
088400            OR   MMPATB-END-OF-TABLE (X-MMPATB)
088500         MOVE MMPATB-RECORD (X-MMPATB)
088600                                 TO MMPA-RECORD
088700         MOVE MMPA-LOGIC-MODULE  TO MMTCWS-LOGIC-MODULE
088800         EVALUATE TRUE
088900             WHEN MMPA-TOTALS
089000                 PERFORM R500-R50-ADJ-SUMMARY
089100                    THRU R509-R50-AS-EXIT
089200             WHEN OTHER
089300                 CONTINUE
089400         END-EVALUATE
089500     END-PERFORM.
089600*
089700     MOVE MB50WS-ADJ-LM (1)      TO MMTCWS-LOGIC-MODULE.
089800*
089900     IF  MMTCWS-LM-VALID-DELETE
090000         NEXT SENTENCE
090100     ELSE
090200         MOVE SPACES             TO MTRF-K2-O50-POSTAL-CODE
090300         MOVE MMMM-MERCHANT      TO MTRF-K2-O50-MERCHANT
090400         SET MTRF-K2-O50-ADJ-SUMMARY
090500                                 TO TRUE
090600         MOVE MB50WS-ADJ-LM (21) TO MMTCWS-LOGIC-MODULE
090700         EVALUATE TRUE
090800             WHEN MMTCWS-LM-VALID-DELETE
090900                 SET MTRF-K2-O50-RIS-END-OF-TABLE
091000                                 TO TRUE
091100             WHEN OTHER
091200                 MOVE ZERO       TO MTRF-K2-O50-REC-ID-SEQ
091300         END-EVALUATE
091400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
091500         MOVE MB50WS-ADJ (1)     TO MTRF-O50-ADJ (1)
091600         MOVE MB50WS-ADJ (2)     TO MTRF-O50-ADJ (2)
091700         MOVE MB50WS-ADJ (3)     TO MTRF-O50-ADJ (3)
091800         MOVE MB50WS-ADJ (4)     TO MTRF-O50-ADJ (4)
091900         MOVE MB50WS-ADJ (5)     TO MTRF-O50-ADJ (5)
092000         MOVE MB50WS-ADJ (6)     TO MTRF-O50-ADJ (6)
092100         MOVE MB50WS-ADJ (7)     TO MTRF-O50-ADJ (7)
092200         MOVE MB50WS-ADJ (8)     TO MTRF-O50-ADJ (8)
092300         MOVE MB50WS-ADJ (9)     TO MTRF-O50-ADJ (9)
092400         MOVE MB50WS-ADJ (10)    TO MTRF-O50-ADJ (10)
092500         MOVE MB50WS-ADJ (11)    TO MTRF-O50-ADJ (11)
092600         MOVE MB50WS-ADJ (12)    TO MTRF-O50-ADJ (12)
092700         MOVE MB50WS-ADJ (13)    TO MTRF-O50-ADJ (13)
092800         MOVE MB50WS-ADJ (14)    TO MTRF-O50-ADJ (14)
092900         MOVE MB50WS-ADJ (15)    TO MTRF-O50-ADJ (15)
093000         MOVE MB50WS-ADJ (16)    TO MTRF-O50-ADJ (16)
093100         MOVE MB50WS-ADJ (17)    TO MTRF-O50-ADJ (17)
093200         MOVE MB50WS-ADJ (18)    TO MTRF-O50-ADJ (18)
093300         MOVE MB50WS-ADJ (19)    TO MTRF-O50-ADJ (19)
093400         MOVE MB50WS-ADJ (20)    TO MTRF-O50-ADJ (20)
093500         PERFORM R980-WRITE-REPORT-FILE
093600            THRU R989-WRF-EXIT.
093700*
093800     MOVE MB50WS-ADJ-LM (21)     TO MMTCWS-LOGIC-MODULE.
093900*
094000     IF  MMTCWS-LM-VALID-DELETE
094100         NEXT SENTENCE
094200     ELSE
094300         MOVE SPACES             TO MTRF-K2-O50-POSTAL-CODE
094400         MOVE MMMM-MERCHANT      TO MTRF-K2-O50-MERCHANT
094500         SET MTRF-K2-O50-ADJ-SUMMARY
094600                                 TO TRUE
094700         SET MTRF-K2-O50-RIS-END-OF-TABLE
094800                                 TO TRUE
094900         MOVE 1                  TO WS-D200-RPT-REC-TYPE
095000         MOVE MB50WS-ADJ (21)    TO MTRF-O50-ADJ (1)
095100         MOVE MB50WS-ADJ (22)    TO MTRF-O50-ADJ (2)
095200         MOVE MB50WS-ADJ (23)    TO MTRF-O50-ADJ (3)
095300         MOVE MB50WS-ADJ (24)    TO MTRF-O50-ADJ (4)
095400         MOVE MB50WS-ADJ (25)    TO MTRF-O50-ADJ (5)
095500         MOVE MB50WS-ADJ (26)    TO MTRF-O50-ADJ (6)
095600         MOVE MB50WS-ADJ (27)    TO MTRF-O50-ADJ (7)
095700         MOVE MB50WS-ADJ (28)    TO MTRF-O50-ADJ (8)
095800         MOVE MB50WS-ADJ (29)    TO MTRF-O50-ADJ (9)
095900         MOVE MB50WS-ADJ (30)    TO MTRF-O50-ADJ (10)
096000         MOVE MB50WS-ADJ (31)    TO MTRF-O50-ADJ (11)
096100         MOVE MB50WS-ADJ (32)    TO MTRF-O50-ADJ (12)
096200         MOVE MB50WS-ADJ (33)    TO MTRF-O50-ADJ (13)
096300         MOVE MB50WS-ADJ (34)    TO MTRF-O50-ADJ (14)
096400         MOVE MB50WS-ADJ (35)    TO MTRF-O50-ADJ (15)
096500         MOVE MB50WS-ADJ (36)    TO MTRF-O50-ADJ (16)
096600         MOVE MB50WS-ADJ (37)    TO MTRF-O50-ADJ (17)
096700         MOVE MB50WS-ADJ (38)    TO MTRF-O50-ADJ (18)
096800         MOVE MB50WS-ADJ (39)    TO MTRF-O50-ADJ (19)
096900         MOVE MB50WS-ADJ (40)    TO MTRF-O50-ADJ (20)
097000         PERFORM R980-WRITE-REPORT-FILE
097100            THRU R989-WRF-EXIT.
097200*
097300 R509-R50-REC-0400-EXIT.
097400     EXIT.
097500/
097600 R500-R50-ADJ-SUMMARY SECTION.
097700 R509-R50-AS-BEGIN.
097800*
097900     EVALUATE TRUE
098000         WHEN (MMTCWS-LM-ADJ-CR
098100          AND
098200              (MMPA-NBR (16) IS NOT EQUAL TO ZERO
098300            OR MMPA-AMT (16) IS NOT EQUAL TO ZERO))
098400             MOVE MMPA-LOGIC-MODULE
098500                                 TO MB50WS-ADJ-LM
098600                                    (X-MB50WS-ADJ)
098700             ADD MMPA-NBR (16)   TO MB50WS-ADJ-NBR
098800                                    (X-MB50WS-ADJ)
098900             ADD MMPA-AMT (16)   TO MB50WS-ADJ-AMT
099000                                    (X-MB50WS-ADJ)
099100             SET X-MB50WS-ADJ
099200                                 UP BY 1
099300         WHEN (MMTCWS-LM-ADJ-DR
099400          AND
099500              (MMPA-NBR (16) IS NOT EQUAL TO ZERO
099600            OR MMPA-AMT (16) IS NOT EQUAL TO ZERO))
099700             MOVE MMPA-LOGIC-MODULE
099800                                 TO MB50WS-ADJ-LM
099900                                    (X-MB50WS-ADJ)
100000             ADD MMPA-NBR (16)   TO MB50WS-ADJ-NBR
100100                                    (X-MB50WS-ADJ)
100200             SUBTRACT MMPA-AMT (16)
100300                               FROM MB50WS-ADJ-AMT
100400                                    (X-MB50WS-ADJ)
100500             SET X-MB50WS-ADJ
100600                                 UP BY 1
100700     END-EVALUATE.
100800*
100900 R509-R50-AS-EXIT.
101000     EXIT.
101100/
101200 R500-REPORT-50-REC-0500 SECTION.
101300 R501-R50-REC-0500-BEGIN.
101400*
101500     INITIALIZE MB50WS-USER-CR-AREA.
101600     SET MMTCWS-LM-VALID-DELETE  TO TRUE.
101700     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (1).
101800     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (2).
101900     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (3).
102000     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (4).
102100     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (5).
102200     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (6).
102300     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (7).
102400     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (8).
102500     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (9).
102600     MOVE MMTCWS-LOGIC-MODULE    TO MB50WS-USER-CR-LM (10).
102700     MOVE MB50WS-USER-CR-AREA    TO MTRF-O50-USER-CR-AREA.
102800     SET X-MB50WS-USER-CR        TO 1.
102900*
103000     PERFORM
103100         VARYING X-MMPATB FROM 1 BY 1
103200         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
103300            OR   MMPATB-END-OF-TABLE (X-MMPATB)
103400         MOVE MMPATB-RECORD (X-MMPATB)
103500                                 TO MMPA-RECORD
103600         MOVE MMPA-LOGIC-MODULE  TO MMTCWS-LOGIC-MODULE
103700         EVALUATE TRUE
103800             WHEN MMPA-TOTALS
103900                 PERFORM R500-R50-USER-CR-SUMMARY
104000                    THRU R509-R50-UCS-EXIT
104100             WHEN OTHER
104200                 CONTINUE
104300         END-EVALUATE
104400     END-PERFORM.
104500*
104600     IF  MTRF-O50-USER-CR-AREA IS EQUAL TO MB50WS-USER-CR-AREA
104700         NEXT SENTENCE
104800     ELSE
104900         MOVE SPACES             TO MTRF-K2-O50-POSTAL-CODE
105000         MOVE MMMM-MERCHANT      TO MTRF-K2-O50-MERCHANT
105100         SET MTRF-K2-O50-USER-CR-SUMMARY
105200                                 TO TRUE
105300         MOVE ZERO               TO MTRF-K2-O50-REC-ID-SEQ
105400         MOVE 1                  TO WS-D200-RPT-REC-TYPE
105500         MOVE MB50WS-USER-CR-AREA
105600                                 TO MTRF-O50-USER-CR-AREA
105700         PERFORM R980-WRITE-REPORT-FILE
105800            THRU R989-WRF-EXIT.
105900*
106000 R509-R50-REC-0500-EXIT.
106100     EXIT.
106200/
106300 R500-R50-USER-CR-SUMMARY SECTION.
106400 R509-R50-UCS-BEGIN.
106500*
106600     EVALUATE TRUE
106700         WHEN (MMTCWS-LM-USER-CREDITS
106800          AND
106900              (MMPA-NBR (16) IS NOT EQUAL TO ZERO
107000            OR MMPA-AMT (16) IS NOT EQUAL TO ZERO))
107100             MOVE MMPA-LOGIC-MODULE
107200                                 TO MB50WS-USER-CR-LM
107300                                    (X-MB50WS-USER-CR)
107400             ADD MMPA-NBR (16)   TO MB50WS-USER-CR-NBR
107500                                    (X-MB50WS-USER-CR)
107600             ADD MMPA-AMT (16)   TO MB50WS-USER-CR-AMT
107700                                    (X-MB50WS-USER-CR)
107800             SET X-MB50WS-USER-CR
107900                                 UP BY 1
108000     END-EVALUATE.
108100*
108200 R509-R50-UCS-EXIT.
108300     EXIT.
108400/
108500 R500-REPORT-50-REC-0600 SECTION.
108600 R501-R50-REC-0600-BEGIN.
108700*
108800     INITIALIZE MB50WS-FEE-AREA.
108900     SET MMTCWS-LM-VALID-DELETE  TO TRUE.
109000*
109100     PERFORM
109200         VARYING X-MB50WS-FEE FROM 1 BY 1
109300         UNTIL   X-MB50WS-FEE IS GREATER THAN 60
109400         MOVE MMTCWS-LOGIC-MODULE
109500                                 TO MB50WS-FEE-LM
109600                                    (X-MB50WS-FEE)
109700     END-PERFORM.
109800*
109900     MOVE MB50WS-FEE-AREA        TO MTRF-O50-FEE-AREA.
110000     SET X-MB50WS-FEE            TO 1.
110100*
110200     PERFORM
110300         VARYING X-MMPATB FROM 1 BY 1
110400         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
110500            OR   MMPATB-END-OF-TABLE (X-MMPATB)
110600         MOVE MMPATB-RECORD (X-MMPATB)
110700                                 TO MMPA-RECORD
110800         MOVE MMPA-LOGIC-MODULE  TO MMTCWS-LOGIC-MODULE
110900         EVALUATE TRUE
111000             WHEN MMPA-TOTALS
111100                 PERFORM R500-R50-FEE-SUMMARY
111200                    THRU R509-R50-FEE-EXIT
111300             WHEN OTHER
111400                 CONTINUE
111500         END-EVALUATE
111600     END-PERFORM.
111700*
111800*
111900*
112000     MOVE ZERO                   TO MMTCWS-LOGIC-MODULE.
112100     SET X-MTRF-O50-FEE          TO 1.
112200*
112300     PERFORM
112400         VARYING X-MB50WS-FEE FROM 1 BY 1
112500         UNTIL   X-MB50WS-FEE IS GREATER THAN 60
112600         OR      MMTCWS-LM-VALID-DELETE
112700         MOVE MB50WS-FEE (X-MB50WS-FEE)
112800                                 TO MTRF-O50-FEE (X-MTRF-O50-FEE)
112900         IF  X-MTRF-O50-FEE IS NOT LESS THAN 20
113000             MOVE MTRF-O50-FEE-LM (X-MTRF-O50-FEE)
113100                                 TO MMTCWS-LOGIC-MODULE
113200             MOVE SPACES         TO MTRF-K2-O50-POSTAL-CODE
113300             MOVE MMMM-MERCHANT  TO MTRF-K2-O50-MERCHANT
113400             SET MTRF-K2-O50-FEE-SUMMARY
113500                                 TO TRUE
113600             SET MTRF-K2-O50-REC-ID-SEQ
113700                                 TO X-MB50WS-FEE
113800             MOVE MTRF-O50-FEE-LM (X-MTRF-O50-FEE)
113900                                 TO MMTCWS-LOGIC-MODULE
114000             IF  MMTCWS-LM-VALID-DELETE
114100             OR  X-MB50WS-FEE IS EQUAL TO 60
114200                 SET MTRF-K2-O50-RIS-END-OF-TABLE
114300                                 TO TRUE
114400             END-IF
114500             MOVE 1              TO WS-D200-RPT-REC-TYPE
114600             PERFORM R980-WRITE-REPORT-FILE
114700                THRU R989-WRF-EXIT
114800             SET X-MTRF-O50-FEE  TO 1
114900         ELSE
115000             SET X-MTRF-O50-FEE  UP BY 1
115100         END-IF
115200     END-PERFORM.
115300*
115400 R509-R50-REC-0600-EXIT.
115500     EXIT.
115600/
115700 R500-R50-FEE-SUMMARY SECTION.
115800 R509-R50-FEE-BEGIN.
115900*
116000     EVALUATE TRUE
116100         WHEN (MMTCWS-LM-CR-FEES
116200          AND
116300              (MMPA-NBR (16) IS NOT EQUAL TO ZERO
116400            OR MMPA-AMT (16) IS NOT EQUAL TO ZERO))
116500             MOVE MMPA-LOGIC-MODULE
116600                                 TO MB50WS-FEE-LM
116700                                    (X-MB50WS-FEE)
116800             ADD MMPA-NBR (16)   TO MB50WS-FEE-NBR
116900                                    (X-MB50WS-FEE)
117000             ADD MMPA-AMT (16)   TO MB50WS-FEE-AMT
117100                                    (X-MB50WS-FEE)
117200             SET X-MB50WS-FEE
117300                                 UP BY 1
117400         WHEN (MMTCWS-LM-DR-FEES
117500          AND
117600              (MMPA-NBR (16) IS NOT EQUAL TO ZERO
117700            OR MMPA-AMT (16) IS NOT EQUAL TO ZERO))
117800             MOVE MMPA-LOGIC-MODULE
117900                                 TO MB50WS-FEE-LM
118000                                    (X-MB50WS-FEE)
118100             ADD MMPA-NBR (16)   TO MB50WS-FEE-NBR
118200                                    (X-MB50WS-FEE)
118300             SUBTRACT MMPA-AMT (16)
118400                               FROM MB50WS-FEE-AMT
118500                                    (X-MB50WS-FEE)
118600             SET X-MB50WS-FEE
118700                                 UP BY 1
118800     END-EVALUATE.
118900*
119000 R509-R50-FEE-EXIT.
119100     EXIT.
119200/
119300 R500-REPORT-50-REC-0700 SECTION.
119400 R501-R50-REC-0700-BEGIN.
119500*
119600     MOVE SPACES                 TO MTRF-K2-O50-POSTAL-CODE.
119700     MOVE MMMM-MERCHANT          TO MTRF-K2-O50-MERCHANT.
119800     SET MTRF-K2-O50-SETT-DISTRIB
119900                                 TO TRUE.
120000     MOVE ZERO                   TO MTRF-K2-O50-REC-ID-SEQ.
120100     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
120200*
120300     PERFORM
120400         VARYING X-MMMM-SETT-ACCT FROM 1 BY 1
120500         UNTIL   X-MMMM-SETT-ACCT IS GREATER THAN 4
120600         SET X-MMMM-BILL         TO X-MMMM-SETT-ACCT
120700         SET X-MMMM-SETT-ACH     TO X-MMMM-SETT-ACCT
120800         SET X-MTRF-O50-SETT-ACCT
120900                                 TO X-MMMM-SETT-ACCT
121000         MOVE MMMM-SETT-ACCT-METH (X-MMMM-SETT-ACCT)
121100                                 TO MTRF-O50-SETT-ACCT-METHOD
121200                                    (X-MTRF-O50-SETT-ACCT)
121300         MOVE MMMM-ACTIVE-DR-RT (X-MMMM-SETT-ACH)
121400                                 TO MTRF-O50-SA-DR-RT
121500                                    (X-MTRF-O50-SETT-ACCT)
121600         MOVE MMMM-ACTIVE-DR-ACCT (X-MMMM-SETT-ACH)
121700                                 TO MTRF-O50-SA-DR-ACCT
121800                                    (X-MTRF-O50-SETT-ACCT)
121900         MOVE MMMM-ACTIVE-DR-ACCT-TYPE (X-MMMM-SETT-ACH)
122000                                 TO MTRF-O50-SA-DR-ACCT-TYPE
122100                                    (X-MTRF-O50-SETT-ACCT)
122200         MOVE MMMM-ACTIVE-CR-RT (X-MMMM-SETT-ACH)
122300                                 TO MTRF-O50-SA-CR-RT
122400                                    (X-MTRF-O50-SETT-ACCT)
122500         MOVE MMMM-ACTIVE-CR-ACCT (X-MMMM-SETT-ACH)
122600                                 TO MTRF-O50-SA-CR-ACCT
122700                                    (X-MTRF-O50-SETT-ACCT)
122800         MOVE MMMM-ACTIVE-CR-ACCT-TYPE (X-MMMM-SETT-ACH)
122900                                 TO MTRF-O50-SA-CR-ACCT-TYPE
123000                                    (X-MTRF-O50-SETT-ACCT)
123100         MOVE MMMM-BILLING-ORG (X-MMMM-BILL)
123200                                 TO MTRF-O50-BILLING-ORG
123300                                    (X-MTRF-O50-SETT-ACCT)
123400         MOVE MMMM-BILLING-ACCT (X-MMMM-BILL)
123500                                 TO MTRF-O50-BILLING-ACCT
123600                                    (X-MTRF-O50-SETT-ACCT)
123700     END-PERFORM.
123800*
123900     PERFORM R980-WRITE-REPORT-FILE
124000        THRU R989-WRF-EXIT.
124100*
124200 R509-R50-REC-0700-EXIT.
124300     EXIT.
124400/
124500 R500-REPORT-50-REC-0701 SECTION.
124600 R509-R50-REC-0701-BEGIN.
124700*
124800     MOVE SPACES                 TO MTRF-K2-O50-POSTAL-CODE.
124900     MOVE MMMM-MERCHANT          TO MTRF-K2-O50-MERCHANT.
125000     SET MTRF-K2-O50-SETT-TOTALS TO TRUE.
125100     MOVE ZERO                   TO MTRF-K2-O50-REC-ID-SEQ.
125200     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
125300*
125400     EVALUATE TRUE
125500         WHEN MMMM-SA1-NO-HOLDOVER
125600             MOVE MMMM-CTD-NET-PAID-CR-AMT (1)
125700                                 TO MB50WS-SAMT-NET-CR-AMT (1)
125800             MOVE MMMM-CTD-NET-PAID-DR-AMT (1)
125900                                 TO MB50WS-SAMT-NET-DR-AMT (1)
126000         WHEN MMMM-SA1-HOLDOVER-NORM
126100             MOVE MMMM-CTD-NET-PAID-CR-AMT (1)
126200                                 TO MB50WS-SAMT-NET-CR-AMT (1)
126300             MOVE MMMM-CTD-NET-PAID-DR-AMT (1)
126400                                 TO MB50WS-SAMT-NET-DR-AMT (1)
126500             IF  MMMM-SETT-ACCT-1-NET-AMT IS LESS THAN ZERO
126600                 MOVE MMMM-SETT-ACCT-1-NET-AMT
126700                                 TO MB50WS-SAMT-HOLDOVER (1)
126800             END-IF
126900         WHEN MMMM-SA1-HOLDOVER-BILLED
127000             MOVE MMMM-CTD-NET-PAID-CR-AMT (1)
127100                                 TO MB50WS-SAMT-NET-CR-AMT (1)
127200             MOVE MMMM-CTD-XFER-INV-AMT (1)
127300                                 TO MB50WS-SAMT-XFER-INV (1)
127400     END-EVALUATE.
127500*
127600     EVALUATE TRUE
127700         WHEN MMMM-SA2-NO-HOLDOVER
127800             MOVE MMMM-CTD-NET-PAID-CR-AMT (2)
127900                                 TO MB50WS-SAMT-NET-CR-AMT (2)
128000             MOVE MMMM-CTD-NET-PAID-DR-AMT (2)
128100                                 TO MB50WS-SAMT-NET-DR-AMT (2)
128200         WHEN MMMM-SA2-HOLDOVER-NORM
128300             MOVE MMMM-CTD-NET-PAID-CR-AMT (2)
128400                                 TO MB50WS-SAMT-NET-CR-AMT (2)
128500             MOVE MMMM-CTD-NET-PAID-DR-AMT (2)
128600                                 TO MB50WS-SAMT-NET-DR-AMT (2)
128700             IF  MMMM-SETT-ACCT-2-NET-AMT IS LESS THAN ZERO
128800                 MOVE MMMM-SETT-ACCT-2-NET-AMT
128900                                 TO MB50WS-SAMT-HOLDOVER (2)
129000             END-IF
129100         WHEN MMMM-SA2-HOLDOVER-BILLED
129200             MOVE MMMM-CTD-NET-PAID-CR-AMT (2)
129300                                 TO MB50WS-SAMT-NET-CR-AMT (2)
129400             MOVE MMMM-CTD-XFER-INV-AMT (2)
129500                                 TO MB50WS-SAMT-XFER-INV (2)
129600     END-EVALUATE.
129700*
129800     EVALUATE TRUE
129900         WHEN MMMM-SA3-NO-HOLDOVER
130000             MOVE MMMM-CTD-NET-PAID-CR-AMT (3)
130100                                 TO MB50WS-SAMT-NET-CR-AMT (3)
130200             MOVE MMMM-CTD-NET-PAID-DR-AMT (3)
130300                                 TO MB50WS-SAMT-NET-DR-AMT (3)
130400         WHEN MMMM-SA3-HOLDOVER-NORM
130500             MOVE MMMM-CTD-NET-PAID-CR-AMT (3)
130600                                 TO MB50WS-SAMT-NET-CR-AMT (3)
130700             MOVE MMMM-CTD-NET-PAID-DR-AMT (3)
130800                                 TO MB50WS-SAMT-NET-DR-AMT (3)
130900             IF  MMMM-SETT-ACCT-3-NET-AMT IS LESS THAN ZERO
131000                 MOVE MMMM-SETT-ACCT-3-NET-AMT
131100                                 TO MB50WS-SAMT-HOLDOVER (3)
131200             END-IF
131300         WHEN MMMM-SA3-HOLDOVER-BILLED
131400             MOVE MMMM-CTD-NET-PAID-CR-AMT (3)
131500                                 TO MB50WS-SAMT-NET-CR-AMT (3)
131600             MOVE MMMM-CTD-XFER-INV-AMT (3)
131700                                 TO MB50WS-SAMT-XFER-INV (3)
131800     END-EVALUATE.
131900*
132000     EVALUATE TRUE
132100         WHEN MMMM-SA4-NO-HOLDOVER
132200             MOVE MMMM-CTD-NET-PAID-CR-AMT (4)
132300                                 TO MB50WS-SAMT-NET-CR-AMT (4)
132400             MOVE MMMM-CTD-NET-PAID-DR-AMT (4)
132500                                 TO MB50WS-SAMT-NET-DR-AMT (4)
132600         WHEN MMMM-SA4-HOLDOVER-NORM
132700             MOVE MMMM-CTD-NET-PAID-CR-AMT (4)
132800                                 TO MB50WS-SAMT-NET-CR-AMT (4)
132900             MOVE MMMM-CTD-NET-PAID-DR-AMT (4)
133000                                 TO MB50WS-SAMT-NET-DR-AMT (4)
133100             IF  MMMM-SETT-ACCT-4-NET-AMT IS LESS THAN ZERO
133200                 MOVE MMMM-SETT-ACCT-4-NET-AMT
133300                                 TO MB50WS-SAMT-HOLDOVER (4)
133400             END-IF
133500         WHEN MMMM-SA4-HOLDOVER-BILLED
133600             MOVE MMMM-CTD-NET-PAID-CR-AMT (4)
133700                                 TO MB50WS-SAMT-NET-CR-AMT (4)
133800             MOVE MMMM-CTD-XFER-INV-AMT (4)
133900                                 TO MB50WS-SAMT-XFER-INV (4)
134000     END-EVALUATE.
134100*
134200     COMPUTE MB50WS-DISTRIB-HOLDOVER-AMT
134300                                 = MMMM-SETT-ACCT-1-HOLDOVER-IN
134400                                 + MMMM-SETT-ACCT-2-HOLDOVER-IN
134500                                 + MMMM-SETT-ACCT-3-HOLDOVER-IN
134600                                 + MMMM-SETT-ACCT-4-HOLDOVER-IN.
134700*
134800     MOVE MB50WS-SETT-TOTALS     TO MTRF-O50-SETT-TOTALS.
134900*
135000     PERFORM R980-WRITE-REPORT-FILE
135100        THRU R989-WRF-EXIT.
135200*
135300 R509-R50-REC-0701-EXIT.
135400     EXIT.
135500/
135600 R500-REPORT-50-REC-0800 SECTION.
135700 R501-R50-REC-0800-BEGIN.
135800*
135900     INITIALIZE MB50WS-PROD-AREA.
136000     SET MMTCWS-LM-VALID-DELETE  TO TRUE.
136100*
136200     PERFORM
136300         VARYING X-MB50WS-PROD FROM 1 BY 1
136400         UNTIL   X-MB50WS-PROD IS GREATER THAN 200
136500         MOVE MMTCWS-LOGIC-MODULE
136600                                 TO MB50WS-PROD-LM
136700                                    (X-MB50WS-PROD)
136800     END-PERFORM.
136900*
137000     MOVE MB50WS-PROD-AREA       TO MTRF-O50-PROD-AREA.
137100     SET X-MB50WS-PROD           TO 1.
137200*
137300     PERFORM
137400         VARYING X-MMPATB FROM 1 BY 1
137500         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
137600            OR   MMPATB-END-OF-TABLE (X-MMPATB)
137700         MOVE MMPATB-RECORD (X-MMPATB)
137800                                 TO MMPA-RECORD
137900         MOVE MMPA-LOGIC-MODULE  TO MMTCWS-LOGIC-MODULE
138000         EVALUATE TRUE
138100             WHEN MMPA-TOTALS
138200                 CONTINUE
138300             WHEN OTHER
138400                 PERFORM R500-R50-PROD-SUMMARY
138500                    THRU R509-R50-PROD-EXIT
138600         END-EVALUATE
138700     END-PERFORM.
138800*
138900*
139000*
139100     MOVE ZERO                   TO MMTCWS-LOGIC-MODULE.
139200     SET X-MTRF-O50-PROD         TO 1.
139300*
139400     PERFORM
139500         VARYING X-MB50WS-PROD FROM 1 BY 1
139600         UNTIL   X-MB50WS-PROD IS GREATER THAN 200
139700         OR      MMTCWS-LM-VALID-DELETE
139800         MOVE MB50WS-PROD (X-MB50WS-PROD)
139900                                 TO MTRF-O50-PROD
140000                                    (X-MTRF-O50-PROD)
140100         IF  X-MTRF-O50-PROD IS NOT LESS THAN 20
140200             MOVE MTRF-O50-PROD-LM (X-MTRF-O50-PROD)
140300                                 TO MMTCWS-LOGIC-MODULE
140400             MOVE SPACES         TO MTRF-K2-O50-POSTAL-CODE
140500             MOVE MMMM-MERCHANT  TO MTRF-K2-O50-MERCHANT
140600             SET MTRF-K2-O50-PRODUCT-SUMMARY
140700                                 TO TRUE
140800             MOVE WS-D200-O50-PROD
140900                                 TO MTRF-K2-O50-REC-SEQ
141000             SET MTRF-K2-O50-REC-ID-SEQ
141100                                 TO X-MB50WS-PROD
141200             MOVE MTRF-O50-PROD-LM (X-MTRF-O50-PROD)
141300                                 TO MMTCWS-LOGIC-MODULE
141400             IF  MMTCWS-LM-VALID-DELETE
141500             OR  X-MB50WS-PROD IS EQUAL TO 200
141600                 SET MTRF-K2-O50-RIS-END-OF-TABLE
141700                                 TO TRUE
141800             END-IF
141900             MOVE 1              TO WS-D200-RPT-REC-TYPE
142000             PERFORM R980-WRITE-REPORT-FILE
142100                THRU R989-WRF-EXIT
142200             SET X-MTRF-O50-PROD TO 1
142300         ELSE
142400             SET X-MTRF-O50-PROD UP BY 1
142500         END-IF
142600     END-PERFORM.
142700*
142800 R509-R50-REC-0800-EXIT.
142900     EXIT.
143000/
143100 R500-R50-PROD-SUMMARY SECTION.
143200 R509-R50-PROD-BEGIN.
143300*
143400     EVALUATE TRUE
143500         WHEN MMTCWS-LM-VALID-INTERNAL
143600             CONTINUE
143700         WHEN (MMPA-PRODUCT IS EQUAL TO WS-D200-O50-PROD
143800          AND
143900              (MMTCWS-LM-VALID-CREDIT
144000            OR MMTCWS-LM-STATS-CREDIT
144100            OR MMTCWS-LM-VALID-MEMO)
144200          AND
144300              (MMPA-NBR (16) IS NOT EQUAL TO ZERO
144400            OR MMPA-AMT (16) IS NOT EQUAL TO ZERO))
144500             MOVE MMPA-LOGIC-MODULE
144600                                 TO MB50WS-PROD-LM
144700                                    (X-MB50WS-PROD)
144800             ADD MMPA-NBR (16)   TO MB50WS-PROD-NBR
144900                                    (X-MB50WS-PROD)
145000             ADD MMPA-AMT (16)   TO MB50WS-PROD-AMT
145100                                    (X-MB50WS-PROD)
145200             SET X-MB50WS-PROD
145300                                 UP BY 1
145400         WHEN (MMPA-PRODUCT IS EQUAL TO WS-D200-O50-PROD
145500          AND
145600              (MMTCWS-LM-VALID-DEBIT
145700            OR MMTCWS-LM-STATS-DEBIT)
145800          AND
145900              (MMPA-NBR (16) IS NOT EQUAL TO ZERO
146000            OR MMPA-AMT (16) IS NOT EQUAL TO ZERO))
146100             MOVE MMPA-LOGIC-MODULE
146200                                 TO MB50WS-PROD-LM
146300                                    (X-MB50WS-PROD)
146400             ADD MMPA-NBR (16)   TO MB50WS-PROD-NBR
146500                                    (X-MB50WS-PROD)
146600             SUBTRACT MMPA-AMT (16)
146700                               FROM MB50WS-PROD-AMT
146800                                    (X-MB50WS-PROD)
146900             SET X-MB50WS-PROD
147000                                 UP BY 1
147100     END-EVALUATE.
147200*
147300 R509-R50-PROD-EXIT.
147400     EXIT.
147500/
147600 R500-REPORT-50-REC-1000 SECTION.
147700 R509-R50-REC-1000-BEGIN.
147800*
147900     SET X-MTRFWS-ORT            TO 50.
148000*
148100     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
148200     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
148300         GO TO R509-R50-REC-1000-EXIT.
148400*
148500     MOVE MMSH-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
148600*
148700     IF  MMOC-SD-NO-DEPOSIT
148800     AND
148900        (MMTCWS-LM-BATCH-HDR
149000      OR MMTCWS-LM-SETTLEMENT-CR
149100      OR MMTCWS-LM-SETTLEMENT-DR)
149200         GO TO R509-R50-REC-1000-EXIT.
149300*
149400     IF  MMOC-SD-NO-RESV-FUND
149500     AND
149600        (MMTCWS-LM-RESERVE-FUNDING
149700      OR MMTCWS-LM-RESERVE-TO-SETT
149800      OR MMTCWS-LM-RESERVE-MANUAL
149900      OR MMTCWS-LM-RESERVE-TO-PROC)
150000         GO TO R509-R50-REC-1000-EXIT.
150100*
150200     IF  MMOC-SD-NO-DISCOUNT
150300     AND
150400        (MMTCWS-LM-DISCOUNT
150500      OR MMTCWS-LM-REFUND)
150600         GO TO R509-R50-REC-1000-EXIT.
150700*
150800     IF  MMOC-SD-NO-PART
150900     AND
151000        (MMTCWS-LM-PART-CR
151100      OR MMTCWS-LM-PART-DR)
151200         GO TO R509-R50-REC-1000-EXIT.
151300*
151400     IF  MMOC-SD-NO-ADJUSTMENTS
151500     AND MMTCWS-LM-ADJUSTMENT
151600         GO TO R509-R50-REC-1000-EXIT.
151700*
151800     IF  MMOC-SD-NO-RECOVERY-ADJ
151900     AND
152000        (MMTCWS-LM-RECOVERY-ADJ-CR
152100      OR MMTCWS-LM-RECOVERY-ADJ-DR)
152200         GO TO R509-R50-REC-1000-EXIT.
152300*
152400     IF  MMOC-SD-NO-SYSTEM-FEES
152500     AND MMTCWS-LM-SYSTEM-FEES
152600         GO TO R509-R50-REC-1000-EXIT.
152700*
152800     IF  MMOC-SD-NO-USER-FEES
152900     AND MMTCWS-LM-USER-FEES
153000         GO TO R509-R50-REC-1000-EXIT.
153100*
153200     IF  MMOC-SD-NO-INTCHG-FEES
153300     AND MMTCWS-LM-INTCHG-FEES
153400         GO TO R509-R50-REC-1000-EXIT.
153500*
153600     IF  MMOC-SD-NO-USER-CR
153700     AND MMTCWS-LM-USER-CREDITS
153800         GO TO R509-R50-REC-1000-EXIT.
153900*
154000     MOVE SPACES                 TO MTRF-K2-O50-POSTAL-CODE.
154100     MOVE MMMM-MERCHANT          TO MTRF-K2-O50-MERCHANT.
154200     SET MTRF-K2-O50-DETAIL-TRANS
154300                                 TO TRUE.
154400     ADD  1                      TO WS-D200-O50-1000-SEQ.
154500     MOVE WS-D200-O50-1000-SEQ   TO MTRF-K2-O50-REC-ID-SEQ.
154600     MOVE 1                      TO WS-D200-RPT-REC-TYPE.
154700*
154800     MOVE MMSH-RECORD            TO MTRF-SH-RECORD.
154900*
155000     PERFORM R980-WRITE-REPORT-FILE
155100        THRU R989-WRF-EXIT.
155200*
155300 R509-R50-REC-1000-EXIT.
155400     EXIT.
155500/
155600 R500-REPORT-50-DISTRIB-ACCUM SECTION.
155700 R509-R50-DA-BEGIN.
155800*
155900     MOVE MMSH-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
156000*
156100     IF  MMTCWS-LM-SETTLEMENT-CR
156200     OR  MMTCWS-LM-SETTLEMENT-DR
156300     OR  MMTCWS-LM-HOLDOVER
156400     OR  MMTCWS-LM-VALID-INTERNAL
156500         GO TO R509-R50-DA-EXIT.
156600*
156700     IF  MMSH-SETTLED-ACH-MAN
156800     OR  MMSH-SETTLED-BILLED
156900     OR  MMSH-SETTLED-WINDOW
157000         NEXT SENTENCE
157100     ELSE
157200         GO TO R509-R50-DA-EXIT.
157300*
157400     IF  MMSH-SETT-ACCT-1
157500     OR  MMSH-SETT-ACCT-2
157600     OR  MMSH-SETT-ACCT-3
157700     OR  MMSH-SETT-ACCT-4
157800         SET X-MB50WS-SAMT       TO MMSH-SETT-ACCT
157900         SET X-MB50WS-SBT        TO MMSH-SETT-ACCT
158000     ELSE
158100         SET X-MB50WS-SAMT       TO 1
158200         SET X-MB50WS-SBT        TO 1.
158300*
158400     EVALUATE TRUE
158500         WHEN (MMSH-SETT-ACCT-1
158600          AND  MMSH-SETTLED-BILLED
158700          AND  MMTCWS-LM-VALID-DEBIT)
158800             SUBTRACT MMSH-AMOUNT
158900                               FROM MB50WS-SBT-AMT
159000                                    (X-MB50WS-SBT)
159100         WHEN (MMSH-SETT-ACCT-1
159200          AND  MMSH-SETTLED-BILLED
159300          AND  MMTCWS-LM-VALID-CREDIT)
159400             ADD MMSH-AMOUNT     TO MB50WS-SBT-AMT
159500                                    (X-MB50WS-SBT)
159600         WHEN (MMSH-SETT-ACCT-1
159700          AND  MMTCWS-LM-VALID-DEBIT)
159800             SUBTRACT MMSH-AMOUNT
159900                               FROM MB50WS-SAMT-DR-AMT
160000                                    (X-MB50WS-SAMT)
160100         WHEN (MMSH-SETT-ACCT-1
160200          AND  MMTCWS-LM-VALID-CREDIT)
160300             ADD MMSH-AMOUNT     TO MB50WS-SAMT-CR-AMT
160400                                    (X-MB50WS-SAMT)
160500         WHEN (MMSH-SETT-ACCT-2
160600          AND  MMSH-SETTLED-BILLED
160700          AND  MMTCWS-LM-VALID-DEBIT)
160800             SUBTRACT MMSH-AMOUNT
160900                               FROM MB50WS-SBT-AMT
161000                                    (X-MB50WS-SBT)
161100         WHEN (MMSH-SETT-ACCT-2
161200          AND  MMSH-SETTLED-BILLED
161300          AND  MMTCWS-LM-VALID-CREDIT)
161400             ADD MMSH-AMOUNT     TO MB50WS-SBT-AMT
161500                                    (X-MB50WS-SBT)
161600         WHEN (MMSH-SETT-ACCT-2
161700          AND  MMTCWS-LM-VALID-DEBIT)
161800             SUBTRACT MMSH-AMOUNT
161900                               FROM MB50WS-SAMT-DR-AMT
162000                                    (X-MB50WS-SAMT)
162100         WHEN (MMSH-SETT-ACCT-2
162200          AND  MMTCWS-LM-VALID-CREDIT)
162300             ADD MMSH-AMOUNT     TO MB50WS-SAMT-CR-AMT
162400                                    (X-MB50WS-SAMT)
162500         WHEN (MMSH-SETT-ACCT-3
162600          AND  MMSH-SETTLED-BILLED
162700          AND  MMTCWS-LM-VALID-DEBIT)
162800             SUBTRACT MMSH-AMOUNT
162900                               FROM MB50WS-SBT-AMT
163000                                    (X-MB50WS-SBT)
163100         WHEN (MMSH-SETT-ACCT-3
163200          AND  MMSH-SETTLED-BILLED
163300          AND  MMTCWS-LM-VALID-CREDIT)
163400             ADD MMSH-AMOUNT     TO MB50WS-SBT-AMT
163500                                    (X-MB50WS-SBT)
163600         WHEN (MMSH-SETT-ACCT-3
163700          AND  MMTCWS-LM-VALID-DEBIT)
163800             SUBTRACT MMSH-AMOUNT
163900                               FROM MB50WS-SAMT-DR-AMT
164000                                    (X-MB50WS-SAMT)
164100         WHEN (MMSH-SETT-ACCT-3
164200          AND  MMTCWS-LM-VALID-CREDIT)
164300             ADD MMSH-AMOUNT     TO MB50WS-SAMT-CR-AMT
164400                                    (X-MB50WS-SAMT)
164500         WHEN (MMSH-SETT-ACCT-4
164600          AND  MMSH-SETTLED-BILLED
164700          AND  MMTCWS-LM-VALID-DEBIT)
164800             SUBTRACT MMSH-AMOUNT
164900                               FROM MB50WS-SBT-AMT
165000                                    (X-MB50WS-SBT)
165100         WHEN (MMSH-SETT-ACCT-4
165200          AND  MMSH-SETTLED-BILLED
165300          AND  MMTCWS-LM-VALID-CREDIT)
165400             ADD MMSH-AMOUNT     TO MB50WS-SBT-AMT
165500                                    (X-MB50WS-SBT)
165600         WHEN (MMSH-SETT-ACCT-4
165700          AND  MMTCWS-LM-VALID-DEBIT)
165800             SUBTRACT MMSH-AMOUNT
165900                               FROM MB50WS-SAMT-DR-AMT
166000                                    (X-MB50WS-SAMT)
166100         WHEN (MMSH-SETT-ACCT-4
166200          AND  MMTCWS-LM-VALID-CREDIT)
166300             ADD MMSH-AMOUNT     TO MB50WS-SAMT-CR-AMT
166400                                    (X-MB50WS-SAMT)
166500         WHEN (MMSH-SETTLED-WINDOW
166600          AND  MMTCWS-LM-VALID-CREDIT)
166700             ADD MMSH-AMOUNT     TO MB50WS-WINDOW-AMT
166800         WHEN (MMSH-SETTLED-WINDOW
166900          AND  MMTCWS-LM-VALID-DEBIT)
167000             SUBTRACT MMSH-AMOUNT
167100                               FROM MB50WS-WINDOW-AMT
167200     END-EVALUATE.
167300*
167400 R509-R50-DA-EXIT.
167500     EXIT.
