000100 01  MBD200WS-AREA.
000200*****************************************************************
000300*                                                               *
000400*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000500*                                                               *
000600*       MBD200WS - WORK AREAS FOR POSTING SUBROUTINES           *
000700*                                                               *
000800*****************************************************************
000900     03  MBD200WS-MBD200AE-AREA.
001000         05  MBD200WS-MBD200AE-EFF-DATE-CR
001100                             PIC  9(07).
001200         05  MBD200WS-MBD200AE-EFF-DATE-DR
001300                             PIC  9(07).
001400*
001500*
001600     03  MBD200WS-MBD200PF-AREA.
001700         05  MBD200WS-MBD200PF-PRODUCT
001800                             PIC  9(02).
001900         05  MBD200WS-MBD200PF-PROD-FEE-1-I
002000                             PIC  9(17).
002100         05  MBD200WS-MBD200PF-PROD-FEE-1-E
002200                             PIC  9(17).
002300         05  MBD200WS-MBD200PF-1-FACTOR-NBR
002400                             PIC  9(09).
002500         05  MBD200WS-MBD200PF-1-FACTOR-AMT
002600                             PIC  9(17).
002700         05  MBD200WS-MBD200PF-PROD-FEE-2-I
002800                             PIC  9(17).
002900         05  MBD200WS-MBD200PF-PROD-FEE-2-E
003000                             PIC  9(17).
003100         05  MBD200WS-MBD200PF-2-FACTOR-NBR
003200                             PIC  9(09).
003300         05  MBD200WS-MBD200PF-2-FACTOR-AMT
003400                             PIC  9(17).
003500         05  MBD200WS-MBD200PF-PROD-FEE-3-I
003600                             PIC  9(17).
003700         05  MBD200WS-MBD200PF-PROD-FEE-3-E
003800                             PIC  9(17).
003900         05  MBD200WS-MBD200PF-3-FACTOR-NBR
004000                             PIC  9(09).
004100         05  MBD200WS-MBD200PF-3-FACTOR-AMT
004200                             PIC  9(17).
004300*
004400*
004500     03  MBD200WS-MBD200UC-AREA.
004600         05  MBD200WS-MBD200UC-INDEX
004700                             PIC S9(04)      BINARY.
004800         05  MBD200WS-MBD200UC-AMOUNT
004900                             PIC  9(17).
005000*
005100*
005200     03  MBD200WS-MBD200UF-AREA.
005300         05  MBD200WS-MBD200UF-INDEX
005400                             PIC S9(04)      BINARY.
005500         05  MBD200WS-MBD200UF-AMOUNT-I
005600                             PIC  9(17).
005700         05  MBD200WS-MBD200UF-AMOUNT-E
005800                             PIC  9(17).
005900         05  MBD200WS-MBD200UF-FACTOR-NBR
006000                             PIC  9(09).
006100         05  MBD200WS-MBD200UF-FACTOR-AMT
006200                             PIC  9(17).
006300/
006400     03  MBD200WS-MBD200DC-DISC-AREA.
006500         05  MBD200WS-DA-DISC-FUNCTION
006600                             PIC  X(01).
006700             88  MBD200WS-DA-DF-IS-SETUP     VALUE ZERO.
006800             88  MBD200WS-DA-DF-PROCESS-TRANS
006900                                             VALUE '1'.
007000             88  MBD200WS-DA-DF-PROCESS-TODAYS
007100                                             VALUE '2'.
007200             88  MBD200WS-DA-DF-PROCESS-AVG-TKT
007300                                             VALUE '3'.
007400             88  MBD200WS-DA-DF-PROCESS-PLAN
007500                                             VALUE '4'.
007600             88  MBD200WS-DA-DF-CALC-DISC
007700                                             VALUE '9'.
007800         05  MBD200WS-DA-ACTIVITY-SW
007900                             PIC  X(01).
008000             88  MBD200WS-DA-ACTIVITY        VALUE 'Y'.
008100             88  MBD200WS-DA-NO-ACTIVITY     VALUE 'N' SPACE.
008200         05  MBD200WS-DA-OVERRIDE-SW
008300                             PIC  X(01).
008400             88  MBD200WS-DA-OVERRIDE-YES    VALUE 'Y'.
008500             88  MBD200WS-DA-OVERRIDE-NO     VALUE 'N' SPACE.
008600         05  MBD200WS-DA-ADJUSTMENT-SW
008700                             PIC  X(01).
008800             88  MBD200WS-DA-ADJUSTMENT-YES  VALUE 'Y'.
008900             88  MBD200WS-DA-ADJUSTMENT-NO   VALUE 'N' SPACE.
009000         05  MBD200WS-DA-PRODUCT-DESC
009100                             PIC  X(16).
009200*
009300         05  MBD200WS-DA-DISC-DATA.
009400******************************************************************
009500* WORK-NBR-1/WORK-AMT-1 - IN SETUP, THIS IS THE NBR/AMT SUBJECT  *
009600*                         INCLUDING EXCEPTIONS FROM              *
009700*                         PREVIOUS PROCESSING.                   *
009800*                         IN TOTALING, THIS IS THE NBR/AMT       *
009900*                         SUBJECT INCLUDING                      *
010000*                         EXCEPTIONS FROM TODAYS PROCESSING.     *
010100* WORK-NBR-2/WORK-AMT-2 - IN TRANSACTION PROCESSING, USED TO     *
010200*                         CALCULATE AN EXCEPTION OVERRIDE        *
010300*                         AMOUNT ON THE TRANSACTION.             *
010400* WORK-NBR-3/WORK-AMT-3 - RESERVED FOR FUTURE USE                *
010500* WORK-NBR-4/WORK-AMT-4 - IN SETUP, USED TO CALCULATE THE AMOUNT *
010600*                         ALLOWED IN THE TIER OCCURRENCE.        *
010700*                         IN PROCESS-TODAYS, USED TO CALCULATE   *
010800*                         THE REMAINING AMOUNT ALLOWED (IF       *
010900*                         APPLICABLE) IN THE TIER OCCURRENCE.    *
011000* WORK-NBR-5/WORK-AMT-5 - IN TRANSACTION PROCESSING, USED TO     *
011100*                         CALCULATE INDIVIDUAL TICKET AMOUNT WHEN*
011200*                         USING INDIVIDUAL TICKET METHOD.        *
011300* WORK-NBR-6/WORK-AMT-6 - RESERVED FOR FUTURE USE                *
011400* WORK-NBR-7/WORK-AMT-7 - IN CALCULATION PROCESS, USED TO APPLY  *
011500*                         THE AMOUNT-SUBJECT TO THE TIERS.       *
011600*                                                                *
011700******************************************************************
011800             07  MBD200WS-DA-WORK-NBR-1
011900                             PIC S9(17)      COMP-3.
012000             07  MBD200WS-DA-WORK-NBR-2
012100                             PIC S9(17)      COMP-3.
012200             07  MBD200WS-DA-WORK-NBR-3
012300                             PIC S9(17)      COMP-3.
012400             07  MBD200WS-DA-WORK-NBR-4
012500                             PIC S9(17)      COMP-3.
012600             07  MBD200WS-DA-WORK-NBR-5
012700                             PIC S9(17)      COMP-3.
012800             07  MBD200WS-DA-WORK-NBR-6
012900                             PIC S9(17)      COMP-3.
013000             07  MBD200WS-DA-WORK-NBR-7
013100                             PIC S9(17)      COMP-3.
013200*
013300             07  MBD200WS-DA-WORK-AMT-1
013400                             PIC S9(17)      COMP-3.
013500             07  MBD200WS-DA-WORK-AMT-2
013600                             PIC S9(17)      COMP-3.
013700             07  MBD200WS-DA-WORK-AMT-3
013800                             PIC S9(17)      COMP-3.
013900             07  MBD200WS-DA-WORK-AMT-4
014000                             PIC S9(17)      COMP-3.
014100             07  MBD200WS-DA-WORK-AMT-5
014200                             PIC S9(17)      COMP-3.
014300             07  MBD200WS-DA-WORK-AMT-6
014400                             PIC S9(17)      COMP-3.
014500             07  MBD200WS-DA-WORK-AMT-7
014600                             PIC S9(17)      COMP-3.
014700*
014800             07  MBD200WS-DA-AMT-PREV-TODAY
014900                             PIC S9(17)      COMP-3.
015000             07  MBD200WS-DA-AMT-OVERRIDE
015100                             PIC S9(17)      COMP-3.
015200             07  MBD200WS-DA-AMT-SUBJECT-TIERS
015300                             PIC S9(17)      COMP-3.
015400             07  MBD200WS-DA-AMT-ADJUSTMENTS
015500                             PIC S9(17)      COMP-3.
015600*
015700             07  MBD200WS-DA-NBR-PREV-TODAY
015800                             PIC S9(17)      COMP-3.
015900             07  MBD200WS-DA-NBR-OVERRIDE
016000                             PIC S9(17)      COMP-3.
016100             07  MBD200WS-DA-NBR-SUBJECT-TIERS
016200                             PIC S9(17)      COMP-3.
016300             07  MBD200WS-DA-NBR-ADJUSTMENTS
016400                             PIC S9(17)      COMP-3.
016500*
016600             07  MBD200WS-DA-DISC-TIER
016700                             PIC S9(17)      COMP-3.
016800             07  MBD200WS-DA-DISC-AVG-TKT
016900                             PIC S9(17)      COMP-3.
017000             07  MBD200WS-DA-DISC-PLAN-ADJ
017100                             PIC S9(17)      COMP-3.
017200             07  MBD200WS-DA-DISC-PLAN-OVRD
017300                             PIC S9(17)      COMP-3.
017400             07  MBD200WS-DA-DISC-TRANS-ADJ
017500                             PIC S9(17)      COMP-3.
017600             07  MBD200WS-DA-DISC-TRANS-OVRD
017700                             PIC S9(17)      COMP-3.
017800             07  MBD200WS-DA-DISC-MANUAL
017900                             PIC S9(17)      COMP-3.
018000             07  MBD200WS-DA-DISC-TOTAL
018100                             PIC S9(17)      COMP-3.
018200*
018300         05  MBD200WS-DA-TIER-AREA.
018400             07  MBD200WS-DA-TIER-DATA.
018500                 09  MBD200WS-DA-TIER        OCCURS 10 TIMES
018600                                             INDEXED BY
018700                                             X-MBD200WS-DA-TIER
018800                                             X-MBD200WS-DA-TIER-1
018900                                             X-MBD200WS-DA-TIER-2
019000                                             X-MBD200WS-DA-TIER-3
019100                                             X-MBD200WS-DA-TIER-4
019200                                             X-MBD200WS-DA-TIER-5
019300                                             X-MBD200WS-DA-TIER-6
019400                                             X-MBD200WS-DA-TIER-7
019500                                             X-MBD200WS-DA-TIER-8
019600                                             X-MBD200WS-DA-TIER-9
019700                                            X-MBD200WS-DA-TIER-10.
019800*
019900                     11  MBD200WS-DA-TIER-AMOUNTS.
020000                         13  MBD200WS-DA-TIER-AMT-ALLOWED
020100                             PIC S9(17)      COMP-3.
020200                         13  MBD200WS-DA-TIER-AMT-PREV
020300                             PIC S9(17)      COMP-3.
020400                         13  MBD200WS-DA-TIER-AMT-TODAY
020500                             PIC S9(17)      COMP-3.
020600                         13  MBD200WS-DA-TIER-AMT-TOTAL
020700                             PIC S9(17)      COMP-3.
020800                         13  MBD200WS-DA-TIER-AMT-SUBJECT
020900                             PIC S9(17)      COMP-3.
021000*
021100                     11  MBD200WS-DA-TIER-NUMBERS
021200                             REDEFINES MBD200WS-DA-TIER-AMOUNTS.
021300                         13  MBD200WS-DA-TIER-NBR-ALLOWED
021400                             PIC S9(17)      COMP-3.
021500                         13  MBD200WS-DA-TIER-NBR-PREV
021600                             PIC S9(17)      COMP-3.
021700                         13  MBD200WS-DA-TIER-NBR-TODAY
021800                             PIC S9(17)      COMP-3.
021900                         13  MBD200WS-DA-TIER-NBR-TOTAL
022000                             PIC S9(17)      COMP-3.
022100                         13  MBD200WS-DA-TIER-NBR-SUBJECT
022200                             PIC S9(17)      COMP-3.
022300*
022400                     11  MBD200WS-DA-TIER-TOTAL-DISC
022500                             PIC S9(17)      COMP-3.
022600*
022700         05  MBD200WS-DA-AVG-TKT-AMT
022800                             PIC S9(17)      COMP-3.
022900         05  MBD200WS-DA-AVG-TKT-INDEX
023000                             PIC S9(04)      BINARY.
023100*
023200         05  MBD200WS-DA-PLAN-AREA.
023300             07  MBD200WS-DA-PLAN-SW
023400                             PIC  X(01).
023500                 88  MBD200WS-DA-PLAN-SINGLE VALUE 'S' SPACE.
023600                 88  MBD200WS-DA-PLAN-RANGE  VALUE 'R'.
023700             07  MBD200WS-DA-PLAN-DATA.
023800                 09  MBD200WS-DA-PLAN        OCCURS 56 TIMES
023900                                             INDEXED BY
024000                                             X-MBD200WS-DA-PLAN.
024100*
024200                     11  MBD200WS-DA-PLAN-FBS
024300                             PIC S9(17)      COMP-3.
024400                     11  MBD200WS-DA-PLAN-DISC
024500                             PIC S9(17)      COMP-3.
024600                     11  MBD200WS-DA-PLAN-RANGE-FBS
024700                             PIC S9(17)      COMP-3.
024800                     11  MBD200WS-DA-PLAN-RANGE-DISC
024900                             PIC S9(17)      COMP-3.
025000*
025100         05  MBD200WS-DA-FEE-BASE
025200                             PIC  X(01).
025300             88  MBD200WS-DA-DFB-GROSS-SALES VALUE 'G'.
025400             88  MBD200WS-DA-DFB-NET-SALES   VALUE 'N' SPACE.
025500             88  MBD200WS-DA-DFB-GROSS-VOLUME
025600                                             VALUE 'V'.
025700*
025800         05  MBD200WS-DA-ADJ-OVRD-BREAKDOWN.
025900             07  MBD200WS-DA-ADJ-DISC-FLAG
026000                             PIC  X(01).
026100                 88  MBD200WS-DA-ADF-DISCOUNT
026200                                             VALUE 'D'.
026300                 88  MBD200WS-DA-ADF-REFUND  VALUE 'C'.
026400             07  MBD200WS-DA-ADJ-DISC-AMT
026500                             PIC S9(17)      COMP-3.
026600             07  MBD200WS-DA-OVRD-DISC-FLAG
026700                             PIC  X(01).
026800                 88  MBD200WS-DA-ODF-DISCOUNT
026900                                             VALUE 'D'.
027000                 88  MBD200WS-DA-ODF-REFUND  VALUE 'C'.
027100             07  MBD200WS-DA-OVRD-DISC-AMT
027200                             PIC S9(17)      COMP-3.
027300*
027400         05  FILLER          PIC  X(271).
027500******************************************************************
027600/
027700     03  MBD200WS-MBD200PC-PART-AREA.
027800         05  MBD200WS-PA-PART-FUNCTION
027900                             PIC  X(01).
028000             88  MBD200WS-PA-PF-IS-SETUP     VALUE ZERO.
028100             88  MBD200WS-PA-PF-PROCESS-TRANS
028200                                             VALUE '1'.
028300             88  MBD200WS-PA-PF-PROCESS-TODAYS
028400                                             VALUE '2'.
028500             88  MBD200WS-PA-PF-PROCESS-AVG-TKT
028600                                             VALUE '3'.
028700             88  MBD200WS-PA-PF-PROCESS-PLAN
028800                                             VALUE '4'.
028900             88  MBD200WS-PA-PF-CALC-PART
029000                                             VALUE '9'.
029100         05  MBD200WS-PA-ACTIVITY-SW
029200                             PIC  X(01).
029300             88  MBD200WS-PA-ACTIVITY        VALUE 'Y'.
029400             88  MBD200WS-PA-NO-ACTIVITY     VALUE 'N' SPACE.
029500         05  MBD200WS-PA-OVERRIDE-SW
029600                             PIC  X(01).
029700             88  MBD200WS-PA-OVERRIDE-YES    VALUE 'Y'.
029800             88  MBD200WS-PA-OVERRIDE-NO     VALUE 'N' SPACE.
029900         05  MBD200WS-PA-ADJUSTMENT-SW
030000                             PIC  X(01).
030100             88  MBD200WS-PA-ADJUSTMENT-YES  VALUE 'Y'.
030200             88  MBD200WS-PA-ADJUSTMENT-NO   VALUE 'N' SPACE.
030300         05  MBD200WS-PA-PRODUCT-DESC
030400                             PIC  X(16).
030500*
030600         05  MBD200WS-PA-PART-DATA.
030700******************************************************************
030800* WORK-NBR-1/WORK-AMT-1 - IN SETUP, THIS IS THE NBR/AMT SUBJECT  *
030900*                         INCLUDING EXCEPTIONS FROM              *
031000*                         PREVIOUS PROCESSING.                   *
031100*                         IN TOTALING, THIS IS THE NBR/AMT       *
031200*                         SUBJECT INCLUDING                      *
031300*                         EXCEPTIONS FROM TODAYS PROCESSING.     *
031400* WORK-NBR-2/WORK-AMT-2 - IN TRANSACTION PROCESSING, USED TO     *
031500*                         CALCULATE AN EXCEPTION OVERRIDE        *
031600*                         AMOUNT ON THE TRANSACTION.             *
031700* WORK-NBR-3/WORK-AMT-3 - RESERVED FOR FUTURE USE                *
031800* WORK-NBR-4/WORK-AMT-4 - IN SETUP, USED TO CALCULATE THE AMOUNT *
031900*                         ALLOWED IN THE TIER OCCURRENCE.        *
032000*                         IN PROCESS-TODAYS, USED TO CALCULATE   *
032100*                         THE REMAINING AMOUNT ALLOWED (IF       *
032200*                         APPLICABLE) IN THE TIER OCCURRENCE.    *
032300* WORK-NBR-5/WORK-AMT-5 - IN TRANSACTION PROCESSING, USED TO     *
032400*                         CALCULATE INDIVIDUAL TICKET AMOUNT WHEN*
032500*                         USING INDIVIDUAL TICKET METHOD.        *
032600* WORK-NBR-6/WORK-AMT-6 - RESERVED FOR FUTURE USE                *
032700* WORK-NBR-7/WORK-AMT-7 - IN CALCULATION PROCESS, USED TO APPLY  *
032800*                         THE AMOUNT-SUBJECT TO THE TIERS.       *
032900*                                                                *
033000******************************************************************
033100             07  MBD200WS-PA-WORK-NBR-1
033200                             PIC S9(17)      COMP-3.
033300             07  MBD200WS-PA-WORK-NBR-2
033400                             PIC S9(17)      COMP-3.
033500             07  MBD200WS-PA-WORK-NBR-3
033600                             PIC S9(17)      COMP-3.
033700             07  MBD200WS-PA-WORK-NBR-4
033800                             PIC S9(17)      COMP-3.
033900             07  MBD200WS-PA-WORK-NBR-5
034000                             PIC S9(17)      COMP-3.
034100             07  MBD200WS-PA-WORK-NBR-6
034200                             PIC S9(17)      COMP-3.
034300             07  MBD200WS-PA-WORK-NBR-7
034400                             PIC S9(17)      COMP-3.
034500*
034600             07  MBD200WS-PA-WORK-AMT-1
034700                             PIC S9(17)      COMP-3.
034800             07  MBD200WS-PA-WORK-AMT-2
034900                             PIC S9(17)      COMP-3.
035000             07  MBD200WS-PA-WORK-AMT-3
035100                             PIC S9(17)      COMP-3.
035200             07  MBD200WS-PA-WORK-AMT-4
035300                             PIC S9(17)      COMP-3.
035400             07  MBD200WS-PA-WORK-AMT-5
035500                             PIC S9(17)      COMP-3.
035600             07  MBD200WS-PA-WORK-AMT-6
035700                             PIC S9(17)      COMP-3.
035800             07  MBD200WS-PA-WORK-AMT-7
035900                             PIC S9(17)      COMP-3.
036000*
036100             07  MBD200WS-PA-AMT-PREV-TODAY
036200                             PIC S9(17)      COMP-3.
036300             07  MBD200WS-PA-AMT-OVERRIDE
036400                             PIC S9(17)      COMP-3.
036500             07  MBD200WS-PA-AMT-SUBJECT-TIERS
036600                             PIC S9(17)      COMP-3.
036700             07  MBD200WS-PA-AMT-ADJUSTMENTS
036800                             PIC S9(17)      COMP-3.
036900*
037000             07  MBD200WS-PA-NBR-PREV-TODAY
037100                             PIC S9(17)      COMP-3.
037200             07  MBD200WS-PA-NBR-OVERRIDE
037300                             PIC S9(17)      COMP-3.
037400             07  MBD200WS-PA-NBR-SUBJECT-TIERS
037500                             PIC S9(17)      COMP-3.
037600             07  MBD200WS-PA-NBR-ADJUSTMENTS
037700                             PIC S9(17)      COMP-3.
037800*
037900             07  MBD200WS-PA-PART-TIER
038000                             PIC S9(17)      COMP-3.
038100             07  MBD200WS-PA-PART-AVG-TKT
038200                             PIC S9(17)      COMP-3.
038300             07  MBD200WS-PA-PART-PLAN-ADJ
038400                             PIC S9(17)      COMP-3.
038500             07  MBD200WS-PA-PART-PLAN-OVRD
038600                             PIC S9(17)      COMP-3.
038700             07  MBD200WS-PA-PART-TRANS-ADJ
038800                             PIC S9(17)      COMP-3.
038900             07  MBD200WS-PA-PART-TRANS-OVRD
039000                             PIC S9(17)      COMP-3.
039100             07  MBD200WS-PA-PART-MANUAL
039200                             PIC S9(17)      COMP-3.
039300             07  MBD200WS-PA-PART-TOTAL
039400                             PIC S9(17)      COMP-3.
039500*
039600         05  MBD200WS-PA-TIER-AREA.
039700             07  MBD200WS-PA-TIER-DATA.
039800                 09  MBD200WS-PA-TIER        OCCURS 10 TIMES
039900                                             INDEXED BY
040000                                             X-MBD200WS-PA-TIER
040100                                             X-MBD200WS-PA-TIER-1
040200                                             X-MBD200WS-PA-TIER-2
040300                                             X-MBD200WS-PA-TIER-3
040400                                             X-MBD200WS-PA-TIER-4
040500                                             X-MBD200WS-PA-TIER-5
040600                                             X-MBD200WS-PA-TIER-6
040700                                             X-MBD200WS-PA-TIER-7
040800                                             X-MBD200WS-PA-TIER-8
040900                                             X-MBD200WS-PA-TIER-9
041000                                            X-MBD200WS-PA-TIER-10.
041100*
041200                     11  MBD200WS-PA-TIER-AMOUNTS.
041300                         13  MBD200WS-PA-TIER-AMT-ALLOWED
041400                             PIC S9(17)      COMP-3.
041500                         13  MBD200WS-PA-TIER-AMT-PREV
041600                             PIC S9(17)      COMP-3.
041700                         13  MBD200WS-PA-TIER-AMT-TODAY
041800                             PIC S9(17)      COMP-3.
041900                         13  MBD200WS-PA-TIER-AMT-TOTAL
042000                             PIC S9(17)      COMP-3.
042100                         13  MBD200WS-PA-TIER-AMT-SUBJECT
042200                             PIC S9(17)      COMP-3.
042300*
042400                     11  MBD200WS-PA-TIER-NUMBERS
042500                             REDEFINES MBD200WS-PA-TIER-AMOUNTS.
042600                         13  MBD200WS-PA-TIER-NBR-ALLOWED
042700                             PIC S9(17)      COMP-3.
042800                         13  MBD200WS-PA-TIER-NBR-PREV
042900                             PIC S9(17)      COMP-3.
043000                         13  MBD200WS-PA-TIER-NBR-TODAY
043100                             PIC S9(17)      COMP-3.
043200                         13  MBD200WS-PA-TIER-NBR-TOTAL
043300                             PIC S9(17)      COMP-3.
043400                         13  MBD200WS-PA-TIER-NBR-SUBJECT
043500                             PIC S9(17)      COMP-3.
043600*
043700                     11  MBD200WS-PA-TIER-TOTAL-PART
043800                             PIC S9(17)      COMP-3.
043900*
044000         05  MBD200WS-PA-AVG-TKT-AMT
044100                             PIC S9(17)      COMP-3.
044200         05  MBD200WS-PA-AVG-TKT-INDEX
044300                             PIC S9(04)      BINARY.
044400*
044500         05  MBD200WS-PA-PLAN-AREA.
044600             07  MBD200WS-PA-PLAN-SW
044700                             PIC  X(01).
044800                 88  MBD200WS-PA-PLAN-SINGLE VALUE 'S' SPACE.
044900                 88  MBD200WS-PA-PLAN-RANGE  VALUE 'R'.
045000             07  MBD200WS-PA-PLAN-DATA.
045100                 09  MBD200WS-PA-PLAN        OCCURS 56 TIMES
045200                                             INDEXED BY
045300                                             X-MBD200WS-PA-PLAN.
045400*
045500                     11  MBD200WS-PA-PLAN-FBS
045600                             PIC S9(17)      COMP-3.
045700                     11  MBD200WS-PA-PLAN-PART
045800                             PIC S9(17)      COMP-3.
045900                     11  MBD200WS-PA-PLAN-RANGE-FBS
046000                             PIC S9(17)      COMP-3.
046100                     11  MBD200WS-PA-PLAN-RANGE-PART
046200                             PIC S9(17)      COMP-3.
046300*
046400         05  MBD200WS-PA-FEE-BASE
046500                             PIC  X(01).
046600             88  MBD200WS-PA-PFB-GROSS-SALES VALUE 'G'.
046700             88  MBD200WS-PA-PFB-NET-SALES   VALUE 'N' SPACE.
046800             88  MBD200WS-PA-PFB-GROSS-VOLUME
046900                                             VALUE 'V'.
047000*
047100         05  MBD200WS-PA-ADJ-OVRD-BREAKDOWN.
047200             07  MBD200WS-PA-ADJ-PART-FLAG
047300                             PIC  X(01).
047400                 88  MBD200WS-PA-APF-PART-DR VALUE 'D'.
047500                 88  MBD200WS-PA-APF-PART-CR VALUE 'C'.
047600             07  MBD200WS-PA-ADJ-PART-AMT
047700                             PIC S9(17)      COMP-3.
047800             07  MBD200WS-PA-OVRD-PART-FLAG
047900                             PIC  X(01).
048000                 88  MBD200WS-PA-OPF-PART-DR VALUE 'D'.
048100                 88  MBD200WS-PA-OPF-PART-CR VALUE 'C'.
048200             07  MBD200WS-PA-OVRD-PART-AMT
048300                             PIC S9(17)      COMP-3.
048400*
048500         05  FILLER          PIC  X(271).
048600******************************************************************
048700/
048800     03  MBD200WS-RA-RESV-INDEX
048900                             PIC S9(04)      BINARY.
049000*
049100     03  MBD200WS-MBD200RC-RESV-AREA         OCCURS 4 TIMES
049200                                             INDEXED BY
049300                                             X-MBD200WS-RA.
049400         05  MBD200WS-RA-RESV-FUNCTION
049500                             PIC  X(01).
049600             88  MBD200WS-RA-RF-IS-SETUP     VALUE ZERO.
049700             88  MBD200WS-RA-RF-PROCESS-TODAYS
049800                                             VALUE '2'.
049900             88  MBD200WS-RA-RF-PROCESS-PLAN
050000                                             VALUE '4'.
050100             88  MBD200WS-RA-RF-CALC-RESV
050200                                             VALUE '9'.
050300         05  MBD200WS-RA-PRODUCT-DESC
050400                             PIC  X(16).
050500*
050600         05  MBD200WS-RA-RESV-DATA.
050700             07  MBD200WS-RA-AMT-TODAY
050800                             PIC S9(17)      COMP-3.
050900             07  MBD200WS-RA-AMT-OVERRIDE
051000                             PIC S9(17)      COMP-3.
051100             07  MBD200WS-RA-AMT-SUBJECT-TIERS
051200                             PIC S9(17)      COMP-3.
051300             07  MBD200WS-RA-AMT-ADJUSTMENTS
051400                             PIC S9(17)      COMP-3.
051500*
051600             07  MBD200WS-RA-RESV-TIER
051700                             PIC S9(17)      COMP-3.
051800             07  MBD200WS-RA-RESV-PLAN-ADJ
051900                             PIC S9(17)      COMP-3.
052000             07  MBD200WS-RA-RESV-PLAN-OVRD
052100                             PIC S9(17)      COMP-3.
052200             07  MBD200WS-RA-RESV-TOTAL
052300                             PIC S9(17)      COMP-3.
052400*
052500         05  MBD200WS-RA-TIER-AREA.
052600             07  MBD200WS-RA-TIER-DATA.
052700                 09  MBD200WS-RA-TIER        OCCURS 10 TIMES
052800                                             INDEXED BY
052900                                             X-MBD200WS-RA-TIER
053000                                             X-MBD200WS-RA-TIER-1
053100                                             X-MBD200WS-RA-TIER-2
053200                                             X-MBD200WS-RA-TIER-3
053300                                             X-MBD200WS-RA-TIER-4
053400                                             X-MBD200WS-RA-TIER-5
053500                                             X-MBD200WS-RA-TIER-6
053600                                             X-MBD200WS-RA-TIER-7
053700                                             X-MBD200WS-RA-TIER-8
053800                                             X-MBD200WS-RA-TIER-9
053900                                            X-MBD200WS-RA-TIER-10.
054000*
054100                     11  MBD200WS-RA-TIER-AMOUNTS.
054200                         13  MBD200WS-RA-TIER-AMT-ALLOWED
054300                             PIC S9(17)      COMP-3.
054400                         13  MBD200WS-RA-TIER-AMT-SUBJECT
054500                             PIC S9(17)      COMP-3.
054600*
054700                     11  MBD200WS-RA-TIER-TOTAL-RESV
054800                             PIC S9(17)      COMP-3.
054900*
055000         05  MBD200WS-RA-PLAN-AREA.
055100             07  MBD200WS-RA-PLAN-SW
055200                             PIC  X(01).
055300                 88  MBD200WS-RA-PLAN-SINGLE VALUE 'S' SPACE.
055400                 88  MBD200WS-RA-PLAN-RANGE  VALUE 'R'.
055500             07  MBD200WS-RA-PLAN-DATA.
055600                 09  MBD200WS-RA-PLAN        OCCURS 56 TIMES
055700                                             INDEXED BY
055800                                             X-MBD200WS-RA-PLAN.
055900*
056000                     11  MBD200WS-RA-PLAN-FBS
056100                             PIC S9(17)      COMP-3.
056200                     11  MBD200WS-RA-PLAN-RESV
056300                             PIC S9(17)      COMP-3.
056400                     11  MBD200WS-RA-PLAN-RANGE-FBS
056500                             PIC S9(17)      COMP-3.
056600                     11  MBD200WS-RA-PLAN-RANGE-RESV
056700                             PIC S9(17)      COMP-3.
056800*
056900         05  MBD200WS-RA-RESV-CEILING-CALC
057000                             PIC S9(17)      COMP-3.
057100*
057200         05  MBD200WS-RA-FEE-BASE
057300                             PIC  X(01).
057400             88  MBD200WS-RA-RFB-GROSS-SALES VALUE 'G'.
057500             88  MBD200WS-RA-RFB-NET-SALES   VALUE 'N' SPACE.
057600             88  MBD200WS-RA-RFB-GROSS-VOLUME
057700                                             VALUE 'V'.
057800*
057900         05  FILLER          PIC  X(764).
058000******************************************************************
058100/
058200     03  MBD200WS-MBD200VP-VOLPART-AREA.
058300         05  MBD200WS-VP-PART-FUNCTION
058400                             PIC  X(01).
058500             88  MBD200WS-VP-PF-IS-SETUP     VALUE ZERO.
058600             88  MBD200WS-VP-PF-PROCESS-TODAYS
058700                                             VALUE '2'.
058800             88  MBD200WS-VP-PF-PROCESS-AVG-TKT
058900                                             VALUE '3'.
059000             88  MBD200WS-VP-PF-PROCESS-PLAN
059100                                             VALUE '4'.
059200             88  MBD200WS-VP-PF-CALC-PART
059300                                             VALUE '9'.
059400         05  MBD200WS-VP-ACTIVITY-SW
059500                             PIC  X(01).
059600             88  MBD200WS-VP-ACTIVITY        VALUE 'Y'.
059700             88  MBD200WS-VP-NO-ACTIVITY     VALUE 'N' SPACE.
059800         05  MBD200WS-VP-OVERRIDE-SW
059900                             PIC  X(01).
060000             88  MBD200WS-VP-OVERRIDE-YES    VALUE 'Y'.
060100             88  MBD200WS-VP-OVERRIDE-NO     VALUE 'N' SPACE.
060200         05  MBD200WS-VP-ADJUSTMENT-SW
060300                             PIC  X(01).
060400             88  MBD200WS-VP-ADJUSTMENT-YES  VALUE 'Y'.
060500             88  MBD200WS-VP-ADJUSTMENT-NO   VALUE 'N' SPACE.
060600         05  MBD200WS-VP-PRODUCT-DESC
060700                             PIC  X(16).
060800*
060900         05  MBD200WS-VP-PART-DATA.
061000******************************************************************
061100* WORK-NBR-1/WORK-AMT-1 - IN SETUP, THIS IS THE NBR/AMT SUBJECT  *
061200*                         INCLUDING EXCEPTIONS FROM              *
061300*                         PREVIOUS PROCESSING.                   *
061400*                         IN TOTALING, THIS IS THE NBR/AMT       *
061500*                         SUBJECT INCLUDING                      *
061600*                         EXCEPTIONS FROM TODAYS PROCESSING.     *
061700* WORK-NBR-2/WORK-AMT-2 - IN TRANSACTION PROCESSING, USED TO     *
061800*                         CALCULATE AN EXCEPTION OVERRIDE        *
061900*                         AMOUNT ON THE TRANSACTION.             *
062000* WORK-NBR-3/WORK-AMT-3 - RESERVED FOR FUTURE USE                *
062100* WORK-NBR-4/WORK-AMT-4 - IN SETUP, USED TO CALCULATE THE AMOUNT *
062200*                         ALLOWED IN THE TIER OCCURRENCE.        *
062300*                         IN PROCESS-TODAYS, USED TO CALCULATE   *
062400*                         THE REMAINING AMOUNT ALLOWED (IF       *
062500*                         APPLICABLE) IN THE TIER OCCURRENCE.    *
062600* WORK-NBR-5/WORK-AMT-5 - IN TRANSACTION PROCESSING, USED TO     *
062700*                         CALCULATE INDIVIDUAL TICKET AMOUNT WHEN*
062800*                         USING INDIVIDUAL TICKET METHOD.        *
062900* WORK-NBR-6/WORK-AMT-6 - RESERVED FOR FUTURE USE                *
063000* WORK-NBR-7/WORK-AMT-7 - IN CALCULATION PROCESS, USED TO APPLY  *
063100*                         THE AMOUNT-SUBJECT TO THE TIERS.       *
063200*                                                                *
063300******************************************************************
063400             07  MBD200WS-VP-WORK-NBR-1
063500                             PIC S9(17)      COMP-3.
063600             07  MBD200WS-VP-WORK-NBR-2
063700                             PIC S9(17)      COMP-3.
063800             07  MBD200WS-VP-WORK-NBR-3
063900                             PIC S9(17)      COMP-3.
064000             07  MBD200WS-VP-WORK-NBR-4
064100                             PIC S9(17)      COMP-3.
064200             07  MBD200WS-VP-WORK-NBR-5
064300                             PIC S9(17)      COMP-3.
064400             07  MBD200WS-VP-WORK-NBR-6
064500                             PIC S9(17)      COMP-3.
064600             07  MBD200WS-VP-WORK-NBR-7
064700                             PIC S9(17)      COMP-3.
064800*
064900             07  MBD200WS-VP-WORK-AMT-1
065000                             PIC S9(17)      COMP-3.
065100             07  MBD200WS-VP-WORK-AMT-2
065200                             PIC S9(17)      COMP-3.
065300             07  MBD200WS-VP-WORK-AMT-3
065400                             PIC S9(17)      COMP-3.
065500             07  MBD200WS-VP-WORK-AMT-4
065600                             PIC S9(17)      COMP-3.
065700             07  MBD200WS-VP-WORK-AMT-5
065800                             PIC S9(17)      COMP-3.
065900             07  MBD200WS-VP-WORK-AMT-6
066000                             PIC S9(17)      COMP-3.
066100             07  MBD200WS-VP-WORK-AMT-7
066200                             PIC S9(17)      COMP-3.
066300*
066400             07  MBD200WS-VP-AMT-PREV-TODAY
066500                             PIC S9(17)      COMP-3.
066600             07  MBD200WS-VP-AMT-OVERRIDE
066700                             PIC S9(17)      COMP-3.
066800             07  MBD200WS-VP-AMT-SUBJECT-TIERS
066900                             PIC S9(17)      COMP-3.
067000             07  MBD200WS-VP-AMT-ADJUSTMENTS
067100                             PIC S9(17)      COMP-3.
067200*
067300             07  MBD200WS-VP-NBR-PREV-TODAY
067400                             PIC S9(17)      COMP-3.
067500             07  MBD200WS-VP-NBR-OVERRIDE
067600                             PIC S9(17)      COMP-3.
067700             07  MBD200WS-VP-NBR-SUBJECT-TIERS
067800                             PIC S9(17)      COMP-3.
067900             07  MBD200WS-VP-NBR-ADJUSTMENTS
068000                             PIC S9(17)      COMP-3.
068100*
068200             07  MBD200WS-VP-PART-TIER
068300                             PIC S9(17)      COMP-3.
068400             07  MBD200WS-VP-PART-AVG-TKT
068500                             PIC S9(17)      COMP-3.
068600             07  MBD200WS-VP-PART-PLAN-ADJ
068700                             PIC S9(17)      COMP-3.
068800             07  MBD200WS-VP-PART-PLAN-OVRD
068900                             PIC S9(17)      COMP-3.
069000             07  MBD200WS-VP-PART-TRANS-ADJ
069100                             PIC S9(17)      COMP-3.
069200             07  MBD200WS-VP-PART-TRANS-OVRD
069300                             PIC S9(17)      COMP-3.
069400             07  MBD200WS-VP-PART-MANUAL
069500                             PIC S9(17)      COMP-3.
069600             07  MBD200WS-VP-PART-TOTAL
069700                             PIC S9(17)      COMP-3.
069800*
069900         05  MBD200WS-VP-TIER-AREA.
070000             07  MBD200WS-VP-TIER-DATA.
070100                 09  MBD200WS-VP-TIER        OCCURS 10 TIMES
070200                                             INDEXED BY
070300                                             X-MBD200WS-VP-TIER
070400                                             X-MBD200WS-VP-TIER-1
070500                                             X-MBD200WS-VP-TIER-2
070600                                             X-MBD200WS-VP-TIER-3
070700                                             X-MBD200WS-VP-TIER-4
070800                                             X-MBD200WS-VP-TIER-5
070900                                             X-MBD200WS-VP-TIER-6
071000                                             X-MBD200WS-VP-TIER-7
071100                                             X-MBD200WS-VP-TIER-8
071200                                             X-MBD200WS-VP-TIER-9
071300                                            X-MBD200WS-VP-TIER-10.
071400*
071500                     11  MBD200WS-VP-TIER-AMOUNTS.
071600                         13  MBD200WS-VP-TIER-AMT-ALLOWED
071700                             PIC S9(17)      COMP-3.
071800                         13  MBD200WS-VP-TIER-AMT-PREV
071900                             PIC S9(17)      COMP-3.
072000                         13  MBD200WS-VP-TIER-AMT-TODAY
072100                             PIC S9(17)      COMP-3.
072200                         13  MBD200WS-VP-TIER-AMT-TOTAL
072300                             PIC S9(17)      COMP-3.
072400                         13  MBD200WS-VP-TIER-AMT-SUBJECT
072500                             PIC S9(17)      COMP-3.
072600*
072700                     11  MBD200WS-VP-TIER-NUMBERS
072800                             REDEFINES MBD200WS-VP-TIER-AMOUNTS.
072900                         13  MBD200WS-VP-TIER-NBR-ALLOWED
073000                             PIC S9(17)      COMP-3.
073100                         13  MBD200WS-VP-TIER-NBR-PREV
073200                             PIC S9(17)      COMP-3.
073300                         13  MBD200WS-VP-TIER-NBR-TODAY
073400                             PIC S9(17)      COMP-3.
073500                         13  MBD200WS-VP-TIER-NBR-TOTAL
073600                             PIC S9(17)      COMP-3.
073700                         13  MBD200WS-VP-TIER-NBR-SUBJECT
073800                             PIC S9(17)      COMP-3.
073900*
074000                     11  MBD200WS-VP-TIER-TOTAL-PART
074100                             PIC S9(17)      COMP-3.
074200*
074300         05  MBD200WS-VP-AVG-TKT-AMT
074400                             PIC S9(17)      COMP-3.
074500         05  MBD200WS-VP-AVG-TKT-INDEX
074600                             PIC S9(04)      BINARY.
074700*
074800         05  MBD200WS-VP-PLAN-AREA.
074900             07  MBD200WS-VP-PLAN-SW
075000                             PIC  X(01).
075100                 88  MBD200WS-VP-PLAN-SINGLE VALUE 'S' SPACE.
075200                 88  MBD200WS-VP-PLAN-RANGE  VALUE 'R'.
075300             07  MBD200WS-VP-PLAN-DATA.
075400                 09  MBD200WS-VP-PLAN        OCCURS 56 TIMES
075500                                             INDEXED BY
075600                                             X-MBD200WS-VP-PLAN.
075700*
075800                     11  MBD200WS-VP-PLAN-FBS
075900                             PIC S9(17)      COMP-3.
076000                     11  MBD200WS-VP-PLAN-PART
076100                             PIC S9(17)      COMP-3.
076200                     11  MBD200WS-VP-PLAN-RANGE-FBS
076300                             PIC S9(17)      COMP-3.
076400                     11  MBD200WS-VP-PLAN-RANGE-PART
076500                             PIC S9(17)      COMP-3.
076600*
076700         05  MBD200WS-VP-FEE-BASE
076800                             PIC  X(01).
076900             88  MBD200WS-VP-PFB-GROSS-SALES VALUE 'G'.
077000             88  MBD200WS-VP-PFB-NET-SALES   VALUE 'N' SPACE.
077100             88  MBD200WS-VP-PFB-GROSS-VOLUME
077200                                             VALUE 'V'.
077300*
077400         05  MBD200WS-VP-ADJ-OVRD-BREAKDOWN.
077500             07  MBD200WS-VP-ADJ-PART-FLAG
077600                             PIC  X(01).
077700                 88  MBD200WS-VP-APF-PART-DR VALUE 'D'.
077800                 88  MBD200WS-VP-APF-PART-CR VALUE 'C'.
077900             07  MBD200WS-VP-ADJ-PART-AMT
078000                             PIC S9(17)      COMP-3.
078100             07  MBD200WS-VP-OVRD-PART-FLAG
078200                             PIC  X(01).
078300                 88  MBD200WS-VP-OPF-PART-DR VALUE 'D'.
078400                 88  MBD200WS-VP-OPF-PART-CR VALUE 'C'.
078500             07  MBD200WS-VP-OVRD-PART-AMT
078600                             PIC S9(17)      COMP-3.
078700*
078800         05  FILLER          PIC  X(271).
078900******************************************************************
