000100 R350-REPORT-35 SECTION.
000200 R351-R35-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 35.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R359-R35-EXIT.
000900*
001000*
001100     SET  MTRF-K2-O35-FT-STORE   TO TRUE.
001200     COMPUTE MTRF-K2-O35-PURGING-DATE
001300                                 =  0 - MMSM-PURGING-DATE.
001400     MOVE MMSM-STORE             TO MTRF-K2-O35-STORE.
001500     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
001600*
001700     MOVE MMSM-PURGING-DATE      TO MTRF-O35-PURGING-DATE.
001800     MOVE MMSM-DBA-NAME          TO MTRF-O35-DBA-NAME.
001900     MOVE MMSM-DBA-CITY          TO MTRF-O35-DBA-CITY.
002000     MOVE MMSM-DBA-COUNTRY-CODE  TO MTRF-O35-DBA-COUNTRY-CODE.
002100     MOVE MMSM-DATE-OPENED       TO MTRF-O35-DATE-OPENED.
002200     MOVE MMSM-DATE-LAST-ACTIVE  TO MTRF-O35-DATE-LAST-ACTIVE.
002300     MOVE MMSM-DATE-LAST-STMT    TO MTRF-O35-DATE-LAST-STMT.
002400     MOVE MMSM-DATE-LAST-SETT    TO MTRF-O35-DATE-LAST-SETT.
002500     MOVE MMSM-MERCHANT-ID       TO MTRF-O35-NBR-STORES.
002600     MOVE ZERO                   TO MTRF-O35-NBR-CHAINS.
002700*
002800     PERFORM
002900         VARYING X-MMSM-STORE-CHAIN FROM 1 BY 1
003000         UNTIL   X-MMSM-STORE-CHAIN IS GREATER THAN 10
003100         IF  MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
003200                                 IS NOT EQUAL TO ZERO
003300             ADD 1               TO MTRF-O35-NBR-CHAINS
003400         END-IF
003500     END-PERFORM.
003600*
003700     MOVE MMSM-BRANCH            TO MTRF-O35-BRANCH.
003800     MOVE MMSM-AGENT-BANK        TO MTRF-O35-AGENT-BANK.
003900     MOVE MMSM-CLOSE-REASON      TO MTRF-O35-CLOSE-REASON.
004000     MOVE MMSM-STATUS-CHANGE-OPER
004100                                 TO MTRF-O35-STATUS-CHANGE-OPER.
004200     MOVE WS-D360-PURGING-ACTION TO MTRF-O35-PURGING-ACTION.
004300*
004400     IF  MMSM-REC-PURGED
004500     OR  MMOC-FINAL-PURGE-DAYS IS EQUAL TO ZERO
004600         MOVE ZERO               TO MTRF-O35-NBR-DAYS
004700     ELSE
004800         MOVE MMOC-FINAL-PURGE-DAYS
004900                                 TO SS01WS-FREQ
005000         MOVE MMSM-PURGING-DATE  TO SS01WS-JULIAN
005100         MOVE 'D'                TO SS01WS-PERIOD
005200         PERFORM SS03PD-FUTURE-DATE
005300            THRU SS03PD-FD-EXIT
005400         EVALUATE TRUE
005500           WHEN SS01WS-JULIAN IS GREATER THAN
005600                                 WS-D360-OP-SYSTEM-JULIAN
005700             MOVE SS01WS-JULIAN  TO SS01WS-DATE-1
005800             MOVE WS-D360-OP-SYSTEM-JULIAN
005900                                 TO SS01WS-DATE-2
006000             MOVE 1              TO SS01WS-DOW
006100             PERFORM SS04PD-ELAPSED-DAYS
006200                THRU SS04PD-ED-EXIT
006300             MOVE SS01WS-RESULT  TO MTRF-O35-NBR-DAYS
006400           WHEN OTHER
006500             MOVE ZERO           TO MTRF-O35-NBR-DAYS
006600         END-EVALUATE
006700     END-IF.
006800*
006900     MOVE MMSM-DATE-CLOSED       TO MTRF-O35-DATE-CLOSED.
007000*
007100     PERFORM R980-WRITE-REPORT-FILE
007200        THRU R989-WRF-EXIT.
007300*
007400 R359-R35-EXIT.
007500     EXIT.
