000100 R500-REPORT-50 SECTION.
000200 R501-R50-BEGIN.
000300*
000400     SET X-MTRFWS-ORT            TO 50.
000500*
000600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
000700     AND MTRFWS-ORT-F2-NOT-REQUESTED  (X-MTRFWS-ORT)
000800         GO TO R509-R50-EXIT.
000900*
001000     IF  MMSM-REC-SINGLE-STORE
001100         GO TO R509-R50-EXIT.
001200*
001300     IF  WS-D360-NO-STMT-TODAY
001400         GO TO R509-R50-EXIT.
001500*
001600     MOVE SPACES                 TO MTRF-K2-O50-POSTAL-CODE.
001700     MOVE MMSM-MERCHANT-ID       TO MTRF-K2-O50-MERCHANT.
001800     SET MTRF-K2-O50-STORE-SUMMARY
001900                                 TO TRUE.
002000     MOVE MMSM-STORE             TO MTRF-K2-O50-REC-ID-SEQ.
002100     MOVE 1                      TO WS-D360-RPT-REC-TYPE.
002200*
002300     INITIALIZE                     MB50WS-STORE-AREA.
002400*
002500     PERFORM
002600         VARYING X-MMPSTB FROM 1 BY 1
002700         UNTIL   X-MMPSTB IS GREATER THAN MMPSTB-MAX-ENTRIES
002800            OR   MMPSTB-END-OF-TABLE (X-MMPSTB)
002900         MOVE MMPSTB-RECORD (X-MMPSTB)
003000                                 TO MMPS-RECORD
003100         MOVE MMPS-LOGIC-MODULE  TO MMTCWS-LOGIC-MODULE
003200         EVALUATE TRUE
003300             WHEN MMPS-TOTALS
003400                 CONTINUE
003500             WHEN MMTCWS-LM-BATCH-HDR
003600                 CONTINUE
003700             WHEN OTHER
003800                 PERFORM R500-R50-STORE-SUMMARY
003900                    THRU R509-R50-SS-EXIT
004000         END-EVALUATE
004100     END-PERFORM.
004200*
004300     MOVE MMSM-DBA-NAME          TO MB50WS-STORE-DBA-NAME.
004400     MOVE MMSM-DBA-CITY          TO MB50WS-STORE-DBA-CITY.
004500     MOVE MMSM-DBA-COUNTRY-CODE  TO MB50WS-STORE-DBA-COUNTRY.
004600     MOVE MB50WS-STORE-AREA      TO MTRF-O50-STORE-AREA.
004700*
004800     PERFORM R980-WRITE-REPORT-FILE
004900        THRU R989-WRF-EXIT.
005000*
005100 R509-R50-EXIT.
005200     EXIT.
005300/
005400 R500-R50-STORE-SUMMARY SECTION.
005500 R501-R50-SS-BEGIN.
005600*
005700     EVALUATE TRUE
005800         WHEN  MMTCWS-LM-SALE
005900             ADD MMPS-NBR (16)   TO MB50WS-STORE-SALES-NBR
006000             ADD MMPS-AMT (16)   TO MB50WS-STORE-SALES-AMT
006100         WHEN  MMTCWS-LM-SALE-REV
006200             SUBTRACT MMPS-NBR (16)
006300                               FROM MB50WS-STORE-SALES-NBR
006400             SUBTRACT MMPS-AMT (16)
006500                               FROM MB50WS-STORE-SALES-AMT
006600         WHEN  MMTCWS-LM-RETURN
006700             ADD MMPS-NBR (16)   TO MB50WS-STORE-RETURNS-NBR
006800             SUBTRACT MMPS-AMT (16)
006900                               FROM MB50WS-STORE-RETURNS-AMT
007000         WHEN  MMTCWS-LM-RETURN-REV
007100             SUBTRACT MMPS-NBR (16)
007200                               FROM MB50WS-STORE-RETURNS-NBR
007300             ADD MMPS-AMT (16)   TO MB50WS-STORE-RETURNS-AMT
007400         WHEN  MMTCWS-LM-VALID-CREDIT
007500             ADD MMPS-NBR (16)   TO MB50WS-STORE-OTHER-CR-NBR
007600             ADD MMPS-AMT (16)   TO MB50WS-STORE-OTHER-CR-AMT
007700         WHEN  MMTCWS-LM-VALID-DEBIT
007800             ADD MMPS-NBR (16)   TO MB50WS-STORE-OTHER-DR-NBR
007900             SUBTRACT MMPS-AMT (16)
008000                               FROM MB50WS-STORE-OTHER-DR-AMT
008100     END-EVALUATE.
008200*
008300 R509-R50-SS-EXIT.
008400     EXIT.
