000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*            MBDM01R  ----- MERCHANT DIRECTORY                  *
000600*                           REDEFINITION SCREEN 01              *
000700*                                                               *
000800*****************************************************************
000900*
001000*
001100 01  DM01-DIRECTORY-MAP-01   REDEFINES MBDM01I.
001200     03  FILLER              PIC  X(12).
001300*
001400     03  DM01-TRANID-L       PIC S9(04)      BINARY.
001500     03  DM01-TRANID-A       PIC  X(01).
001600     03  DM01-TRANID         PIC  X(04).
001700*
001800     03  DM01-ALT-TRAN-LP-L  PIC S9(04)      BINARY.
001900     03  DM01-ALT-TRAN-LP-A  PIC  X(01).
002000     03  DM01-ALT-TRAN-LP    PIC  X(01).
002100*
002200     03  DM01-ALT-TRANID-L   PIC S9(04)      BINARY.
002300     03  DM01-ALT-TRANID-A   PIC  X(01).
002400     03  DM01-ALT-TRANID     PIC  X(04).
002500*
002600     03  DM01-ALT-TRAN-RP-L  PIC S9(04)      BINARY.
002700     03  DM01-ALT-TRAN-RP-A  PIC  X(01).
002800     03  DM01-ALT-TRAN-RP    PIC  X(01).
002900*
003000     03  DM01-SYSTEM-TITLE-L PIC S9(04)      BINARY.
003100     03  DM01-SYSTEM-TITLE-A PIC  X(01).
003200     03  DM01-SYSTEM-TITLE   PIC  X(30).
003300*
003400     03  DM01-PAGE-LIT-L     PIC S9(04)      BINARY.
003500     03  DM01-PAGE-LIT-A     PIC  X(01).
003600     03  DM01-PAGE-LIT       PIC  X(04).
003700*
003800     03  DM01-CURRENT-PAGE-L PIC S9(04)      BINARY.
003900     03  DM01-CURRENT-PAGE-A PIC  X(01).
004000     03  DM01-CURRENT-PAGE   PIC  9(02).
004100*
004200     03  DM01-FILLER-L       PIC S9(04)      BINARY.
004300     03  DM01-FILLER-A       PIC  X(01).
004400     03  DM01-FILLER         PIC  X(03).
004500*
004600     03  DM01-DATE-L         PIC S9(04)      BINARY.
004700     03  DM01-DATE-A         PIC  X(01).
004800     03  DM01-DATE           PIC  X(10).
004900*
005000     03  DM01-MENU-DESC-L    PIC S9(04)      BINARY.
005100     03  DM01-MENU-DESC-A    PIC  X(01).
005200     03  DM01-MENU-DESC      PIC  X(40).
005300*
005400     03  DM01-TIME-L         PIC S9(04)      BINARY.
005500     03  DM01-TIME-A         PIC  X(01).
005600     03  DM01-TIME           PIC  X(08).
005700*
005800     03  DM01-ORG-LIT-L      PIC S9(04)      BINARY.
005900     03  DM01-ORG-LIT-A      PIC  X(01).
006000     03  DM01-ORG-LIT        PIC  X(03).
006100*
006200     03  DM01-ORG-L          PIC S9(04)      BINARY.
006300     03  DM01-ORG-A          PIC  X(01).
006400     03  DM01-ORG            PIC  9(03).
006500*
006600     03  DM01-ORG-NAME-LIT-L PIC S9(04)      BINARY.
006700     03  DM01-ORG-NAME-LIT-A PIC  X(01).
006800     03  DM01-ORG-NAME-LIT   PIC  X(04).
006900*
007000     03  DM01-ORG-NAME-L     PIC S9(04)      BINARY.
007100     03  DM01-ORG-NAME-A     PIC  X(01).
007200     03  DM01-ORG-NAME       PIC  X(40).
007300*
007400     03  DM01-MERCHANT-LIT-L PIC S9(04)      BINARY.
007500     03  DM01-MERCHANT-LIT-A PIC  X(01).
007600     03  DM01-MERCHANT-LIT   PIC  X(12).
007700*
007800     03  DM01-MERCHANT-L     PIC S9(04)      BINARY.
007900     03  DM01-MERCHANT-A     PIC  X(01).
008000     03  DM01-MERCHANT       PIC  9(09).
008100*
008200     03  DM01-LIT-LINE-1-L   PIC S9(04)      BINARY.
008300     03  DM01-LIT-LINE-1-A   PIC  X(01).
008400     03  DM01-LIT-LINE-1     PIC  X(33).
008500*
008600     03  DM01-LIT-LINE-2-L   PIC S9(04)      BINARY.
008700     03  DM01-LIT-LINE-2-A   PIC  X(01).
008800     03  DM01-LIT-LINE-2     PIC  X(21).
008900*
009000     03  DM01-LIT-LINE-3-L   PIC S9(04)      BINARY.
009100     03  DM01-LIT-LINE-3-A   PIC  X(01).
009200     03  DM01-LIT-LINE-3     PIC  X(74).
009300*
009400     03  DM01-MERCHANT-DIRECTORY-AREA        OCCURS 15 TIMES
009500                                             INDEXED BY
009600                                             X-MERCHANT-INDEX.
009700*
009800         05  DM01-FWD-BACK-IND-L
009900                             PIC S9(04)      BINARY.
010000         05  DM01-FWD-BACK-IND-A
010100                             PIC  X(01).
010200         05  DM01-FWD-BACK-IND
010300                             PIC  X(01).
010400*
010500         05  DM01-SELECT-LP-L
010600                             PIC S9(04)      BINARY.
010700         05  DM01-SELECT-LP-A
010800                             PIC  X(01).
010900         05  DM01-SELECT-LP  PIC  X(01).
011000*
011100         05  DM01-SELECT-L   PIC S9(04)      BINARY.
011200         05  DM01-SELECT-A   PIC  X(01).
011300         05  DM01-SELECT     PIC  X(01).
011400             88  DM01-VALID-SELECT           VALUE 'Q' 'M' '9'
011500                                                   '1' '3' '6' '7'
011600                                                   SPACE.
011700             88  DM01-VALID-SPACE            VALUE SPACE.
011800             88  DM01-VALID-INQUIRY          VALUE 'Q'.
011900             88  DM01-VALID-STATUS-MAINT     VALUE '1' '3' '6'
012000                                                   '7' '9'.
012100             88  DM01-VALID-MAINT            VALUE 'M'.
012200             88  DM01-VALID-INQUIRY-MAINT    VALUE 'Q' 'M'
012300                                                   '1' '3' '6'
012400                                                   '7' '9'.
012500*
012600         05  DM01-SELECT-RP-L
012700                             PIC S9(04)      BINARY.
012800         05  DM01-SELECT-RP-A
012900                             PIC  X(01).
013000         05  DM01-SELECT-RP  PIC  X(01).
013100*
013200         05  DM01-DIRECTORY-LINE-L
013300                             PIC S9(04)      BINARY.
013400         05  DM01-DIRECTORY-LINE-A
013500                             PIC  X(01).
013600         05  DM01-DIRECTORY-LINE
013700                             PIC  X(67).
013800*
013900     03  DM01-PF-KEYS-L      PIC S9(04)      BINARY.
014000     03  DM01-PF-KEYS-A      PIC  X(01).
014100     03  DM01-PF-KEYS        PIC  X(79).
014200*
014300*       ***************************************************
014400*       *              END OF COPYBOOK MBDM01R            *
014500*       ***************************************************
