000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMBCRL ----------BAR CODE MASTER RECORD--------- 0400 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  MMBC-RECORD.
000900     03  MMBC-KEY.
001000         88  MMBC-HEADER                     VALUE '00000'.
001100         88  MMBC-TRAILER                    VALUE '99999'.
001200         05  MMBC-ORG-X.
001300             07  MMBC-ORG
001400                             PIC  9(03).
001500         05  MMBC-INSERT-NBR-X.
001600             07  MMBC-INSERT-NBR
001700                             PIC  9(02).
001800         05  MMBC-INSERT-NBR-R
001900                             REDEFINES MMBC-INSERT-NBR-X.
002000             07  MMBC-IN-NBR
002100                             PIC  9(01).
002200             07  MMBC-IN-SET
002300                             PIC  9(01).
002400*
002500     03  MMBC-STATUS-INFORMATION.
002600         05  MMBC-REC-STATUS
002700                             PIC  9(01).
002800             88  MMBC-REC-INCOMPLETE         VALUE ZERO.
002900             88  MMBC-REC-ACTIVE             VALUE 1.
003000             88  MMBC-REC-INACTIVE           VALUE 2.
003100             88  MMBC-REC-PURGED             VALUE 9.
003200         05  MMBC-ONLINE-STATUS
003300                             PIC  9(02).
003400             88  MMBC-ADD-PENDING            VALUE 00 THRU 49.
003500             88  MMBC-ADD-COMPLETED          VALUE 99.
003600         05  MMBC-LAST-MAINT-DATE
003700                             PIC S9(07)      COMP-3.
003800         05  MMBC-LAST-MAINT-OPER
003900                             PIC  X(03).
004000*
004100     03  MMBC-MATCH-CRITERIA.
004200         05  MMBC-DATE-OPENED-DATA.
004300             07  MMBC-DATE-OPENED-USE
004400                             PIC  X(01).
004500                 88  MMBC-USE-DATE-OPENED    VALUE 'Y'.
004600                 88  MMBC-DONT-USE-DATE-OPENED
004700                                             VALUE 'N'.
004800             07  MMBC-DATE-OPENED-IND
004900                             PIC  X(01).
005000                 88  MMBC-DO-IND-LESS        VALUE 'L'.
005100                 88  MMBC-DO-IND-GREATER     VALUE 'G'.
005200                 88  MMBC-DO-IND-EQUAL       VALUE 'E'.
005300                 88  MMBC-DO-IND-NOT-EQUAL   VALUE 'N'.
005400             07  MMBC-DATE-OPENED-BEG
005500                             PIC S9(07)      COMP-3.
005600             07  MMBC-DATE-OPENED-END
005700                             PIC S9(07)      COMP-3.
005800*
005900         05  MMBC-DATE-LAST-ACTIVE-DATA.
006000             07  MMBC-DATE-LAST-ACTIVE-USE
006100                             PIC  X(01).
006200                 88  MMBC-USE-DATE-LAST-ACT  VALUE 'Y'.
006300                 88  MMBC-DONT-USE-DATE-LAST-ACT
006400                                             VALUE 'N'.
006500             07  MMBC-DATE-LAST-ACTIVE-IND
006600                             PIC  X(01).
006700                 88  MMBC-DLA-IND-LESS       VALUE 'L'.
006800                 88  MMBC-DLA-IND-GREATER    VALUE 'G'.
006900                 88  MMBC-DLA-IND-EQUAL      VALUE 'E'.
007000                 88  MMBC-DLA-IND-NOT-EQUAL
007100                                             VALUE 'N'.
007200             07  MMBC-DATE-LAST-ACTIVE-BEG
007300                             PIC S9(07)      COMP-3.
007400             07  MMBC-DATE-LAST-ACTIVE-END
007500                             PIC S9(07)      COMP-3.
007600*
007700         05  MMBC-BLOCK-CODE-DATA.
007800             07  MMBC-BLOCK-CODE-USE
007900                             PIC  X(01).
008000                 88  MMBC-USE-BLOCK-CODE     VALUE 'Y'.
008100                 88  MMBC-DONT-USE-BLOCK-CODE
008200                                             VALUE 'N'.
008300             07  MMBC-BLOCK-CODE-IND
008400                             PIC  X(01).
008500                 88  MMBC-BC-IND-EQUAL       VALUE 'E'.
008600                 88  MMBC-BC-IND-NOT-EQUAL   VALUE 'N'.
008700             07  MMBC-BLOCK-CODE             OCCURS 18 TIMES
008800                                             INDEXED BY
008900                                             X-MMBC-BLOCK-CODE
009000                             PIC  X(01).
009100*
009200         05  MMBC-STMT-CYCLE-DATA.
009300             07  MMBC-STMT-CYCLE-USE
009400                             PIC  X(01).
009500                 88  MMBC-USE-STMT-CYCLE     VALUE 'Y'.
009600                 88  MMBC-DONT-USE-STMT-CYCLE
009700                                             VALUE 'N'.
009800             07  MMBC-STMT-CYCLE-IND
009900                             PIC  X(01).
010000                 88  MMBC-SC-IND-EQUAL       VALUE 'E'.
010100                 88  MMBC-SC-IND-NOT-EQUAL   VALUE 'N'.
010200             07  MMBC-STMT-CYCLE             OCCURS 18 TIMES
010300                                             INDEXED BY
010400                                             X-MMBC-STMT-CYCLE
010500                             PIC  9(02).
010600*
010700         05  MMBC-POSTAL-CODE-DATA.
010800             07  MMBC-POSTAL-CODE-USE
010900                             PIC  X(01).
011000                 88  MMBC-USE-POSTAL-CODE    VALUE 'Y'.
011100                 88  MMBC-DONT-USE-POSTAL-CODE
011200                                             VALUE 'N'.
011300             07  MMBC-POSTAL-CODE-IND
011400                             PIC  X(01).
011500                 88  MMBC-POSTAL-IND-EQUAL   VALUE 'E'.
011600                 88  MMBC-POSTAL-IND-NOT-EQUAL
011700                                             VALUE 'N'.
011800             07  MMBC-POSTAL-CODE-TABLE      OCCURS 18 TIMES
011900                                             INDEXED BY
012000                                             X-MMBC-POSTAL-CODE.
012100                 09  MMBC-POSTAL-CODE
012200                             PIC  X(10).
012300*
012400         05  MMBC-STMT-MSG-FLAG-DATA.
012500             07  MMBC-STMT-MSG-FLAG-USE
012600                             PIC  X(01).
012700                 88  MMBC-USE-STMT-MSG-FLAG
012800                                             VALUE 'Y'.
012900                 88  MMBC-DONT-USE-STMT-MSG-FLAG
013000                                             VALUE 'N'.
013100             07  MMBC-STMT-MSG-FLAG-IND
013200                             PIC  X(01).
013300                 88  MMBC-SMF-IND-EQUAL      VALUE 'E'.
013400                 88  MMBC-SMF-IND-NOT-EQUAL
013500                                             VALUE 'N'.
013600             07  MMBC-STMT-MSG-FLAG
013700                                             OCCURS 5 TIMES
013800                                             INDEXED BY
013900                                         X-MMBC-STMT-MSG-FLAG
014000                             PIC  X(01).
014100*
014200     03  FILLER              PIC  X(68).
014300*
014400     03  MMBC-USER-FILLER    PIC  X(50).
014500*
014600*       ***************************************************
014700*       *              END OF COPYBOOK MMBCRL             *
014800*       ***************************************************
