000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMD3RL -------DEPOSIT DETAIL HISTORY RECORD-----  350 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*  OTHER FILES USING THIS PSUEDO-TEXT COPY BOOK ARE:            *
000900*                                                               *
001000*  MB3I---DEPOSIT DETAIL HISTORY FILE (SMALL BACKUP INPUT)      * EH800001
001100*  MB3O---DEPOSIT DETAIL HISTORY FILE (SMALL BACKUP OUTPUT)     * EH800001
001200*  MB4I---DEPOSIT DETAIL HISTORY FILE (LARGE BACKUP INPUT)      * EH800001
001300*  MB4O---DEPOSIT DETAIL HISTORY FILE (LARGE BACKUP OUTPUT)     * EH800001
001310*  MB5I---ALL/DEPOSIT DETAIL HISTORY FILE (INPUT)               * EH800001
001312*  MB5O---ALL/DEPOSIT DETAIL HISTORY FILE (OUTPUT)              * EH800001
001400*  MMD3---DEPOSIT DETAIL HISTORY FILE (SMALL)                   *
001500*  MMD4---DEPOSIT DETAIL HISTORY FILE (LARGE)                   *
001600*  MWD3---DEPOSIT DETAIL HISTORY FILE                      WORK *
001700*                                                               *
001800*****************************************************************
001900 01  :MMD3:-RECORD.
002000     03  :MMD3:-KEY.
002100         05  :MMD3:-ALIGN-KEY.
002200             07  :MMD3:-ORG-MERCHANT.
002300                 88  :MMD3:-HEADER           VALUE ZERO.
002400                 88  :MMD3:-TRAILER          VALUE '999999999999'.
002500                 09  :MMD3:-ORG-X.
002600                     11  :MMD3:-ORG
002700                             PIC  9(03).
002800                 09  :MMD3:-MERCHANT-X.
002900                     11  :MMD3:-MERCHANT
003000                             PIC  9(09).
003100*
003200             07  :MMD3:-STORE-AREA.
003300                 09  :MMD3:-STORE
003400                             PIC S9(09)      COMP-3.
003500*
003600             07  :MMD3:-BATCH.
003700                 09  :MMD3:-BATCH-SORT.
003800                     11  :MMD3:-BATCH-DATE
003900                             PIC S9(07)      COMP-3.
004000                     11  :MMD3:-BATCH-SOURCE
004100                             PIC S9(05)      COMP-3.
004200                     11  :MMD3:-BATCH-NBR
004300                             PIC S9(05)      COMP-3.
004400                 09  :MMD3:-BATCH-SEQ
004500                             PIC S9(08)      BINARY.
004600*
004700         05  :MMD3:-SEQ-NBR  PIC S9(08)      BINARY.
004800*
004900     03  :MMD3:-POST-KEY.
005000         05  :MMD3:-PRODUCT-X.
005100             07  :MMD3:-PRODUCT
005200                             PIC  9(02).
005300                 88  :MMD3:-NON-PRODUCT      VALUE ZERO.
005400                 88  :MMD3:-PROD-IS-VISA     VALUE 01.
005500                 88  :MMD3:-PROD-IS-MC       VALUE 02.
005600                 88  :MMD3:-PROD-IS-PL       VALUE 03 THRU 99.
005700*
005800         05  :MMD3:-PLAN-X.
005900             07  :MMD3:-PLAN
006000                             PIC  9(05).
006100*
006200         05  :MMD3:-LOGIC-MODULE
006300                             PIC  9(03).
006400*
006500         05  :MMD3:-QUAL-LEVEL-X.
006600             07  :MMD3:-QUAL-LEVEL
006700                             PIC  9(02).
006800*
006900     03  :MMD3:-DATA.
007000         05  :MMD3:-TRANS-CODE
007100                             PIC S9(03)      COMP-3.
007200*
007300         05  :MMD3:-TRANS-FLAG
007400                             PIC  X(01).
007500             88  :MMD3:-TF-MEMO              VALUE 'M' SPACE.
007600             88  :MMD3:-TF-CREDIT            VALUE 'C'.
007700             88  :MMD3:-TF-DEBIT             VALUE 'D'.
007800             88  :MMD3:-TF-NOT-YET-ASSIGNED  VALUE SPACE.
007900*
008000         05  :MMD3:-NBR-ITEMS
008100                             PIC S9(08)      BINARY.
008200*
008300         05  :MMD3:-AMOUNT   PIC S9(17)      COMP-3.
008400*
008500         05  :MMD3:-POST-DATE
008600                             PIC S9(07)      COMP-3.
008700*
008800         05  :MMD3:-ENTRY-DATE
008900                             PIC S9(07)      COMP-3.
009000*
009100         05  :MMD3:-STMT-FLAG
009200                             PIC  X(01).
009300             88  :MMD3:-STATEMENTED          VALUE 'Y'.
009400             88  :MMD3:-NOT-STATEMENTED      VALUE 'N'.
009500*
009600         05  :MMD3:-SETT-FLAG
009700                             PIC  X(01).
009800             88  :MMD3:-SETTLED              VALUE 'S' 'B' 'W'
009900                                                   '1' '2'
010000                                                   '3' '4'.
010100             88  :MMD3:-NOT-SETTLED          VALUE 'N'.
010200             88  :MMD3:-SETTLED-ACH-MAN      VALUE 'S'.
010300             88  :MMD3:-SETTLED-BILLED       VALUE 'B'.
010400             88  :MMD3:-SETTLED-WINDOW       VALUE 'W'.
010500             88  :MMD3:-SETTLED-RESV-1       VALUE '1'.
010600             88  :MMD3:-SETTLED-RESV-2       VALUE '2'.
010700             88  :MMD3:-SETTLED-RESV-3       VALUE '3'.
010800             88  :MMD3:-SETTLED-RESV-4       VALUE '4'.
010900*
011000         05  :MMD3:-SETT-ACCT
011100                             PIC  9(01).
011200             88  :MMD3:-SA-NOT-APPLICABLE    VALUE ZERO.
011300             88  :MMD3:-SETT-ACCT-1          VALUE 1.
011400             88  :MMD3:-SETT-ACCT-2          VALUE 2.
011500             88  :MMD3:-SETT-ACCT-3          VALUE 3.
011600             88  :MMD3:-SETT-ACCT-4          VALUE 4.
011700             88  :MMD3:-SA-WINDOW            VALUE 5.
011800*
011900         05  :MMD3:-SETT-DATE
012000                             PIC S9(07)      COMP-3.
012100*
012200         05  :MMD3:-REF-BATCH.
012300             07  :MMD3:-REF-BATCH-SORT.
012400                 09  :MMD3:-REF-BATCH-DATE
012500                             PIC S9(07)      COMP-3.
012600                 09  :MMD3:-REF-BATCH-SOURCE
012700                             PIC S9(05)      COMP-3.
012800                 09  :MMD3:-REF-BATCH-NBR
012900                             PIC S9(05)      COMP-3.
013000             07  :MMD3:-REF-BATCH-SEQ
013100                             PIC S9(08)      BINARY.
013200*
013300         05  :MMD3:-REF-DATA.
013400             07  :MMD3:-REF-NBR
013500                             PIC  X(23).
013600             07  :MMD3:-REF-AMOUNT-1
013700                             PIC S9(17)      COMP-3.
013800             07  :MMD3:-REF-AMOUNT-2
013900                             PIC S9(17)      COMP-3.
014000             07  :MMD3:-REF-NBR-ITEMS
014100                             PIC S9(08)      BINARY.
014200             07  :MMD3:-REF-PRODUCT-X.
014300                 09  :MMD3:-REF-PRODUCT
014400                             PIC  9(02).
014500             07  :MMD3:-REF-PLAN-X.
014600                 09  :MMD3:-REF-PLAN
014700                             PIC S9(05)      COMP-3.
014800             07  :MMD3:-REF-QUAL-LEVEL-X.
014900                 09  :MMD3:-REF-QUAL-LEVEL
015000                             PIC  9(02).
015100*
015200         05  :MMD3:-ORIG-GL-SOURCE
015300                             PIC  9(01).
015400             88  :MMD3:-OGL-LOCAL-INP        VALUE ZERO.
015500             88  :MMD3:-OGL-POS-1-INPUT      VALUE 1.
015600             88  :MMD3:-OGL-POS-2-INPUT      VALUE 2.
015700             88  :MMD3:-OGL-POS-3-INPUT      VALUE 3.
015800             88  :MMD3:-OGL-DATA-CAPTURE-INPUT
015900                                             VALUE 4.
016000             88  :MMD3:-OGL-USER-INP         VALUE 5.
016100             88  :MMD3:-OGL-FE-GENERATED     VALUE 6.
016200             88  :MMD3:-OGL-WAREHOUSED       VALUE 7.
016300             88  :MMD3:-OGL-GENERATED        VALUE 8.
016400             88  :MMD3:-OGL-RESERVED         VALUE 9.
016500*
016600         05  :MMD3:-GL-SOURCE
016700                             PIC  9(01).
016800             88  :MMD3:-GL-LOCAL-INP         VALUE ZERO.
016900             88  :MMD3:-GL-POS-1-INPUT       VALUE 1.
017000             88  :MMD3:-GL-POS-2-INPUT       VALUE 2.
017100             88  :MMD3:-GL-POS-3-INPUT       VALUE 3.
017200             88  :MMD3:-GL-DATA-CAPTURE-INPUT
017300                                             VALUE 4.
017400             88  :MMD3:-GL-USER-INP          VALUE 5.
017500             88  :MMD3:-GL-FE-GENERATED      VALUE 6.
017600             88  :MMD3:-GL-WAREHOUSED        VALUE 7.
017700             88  :MMD3:-GL-GENERATED         VALUE 8.
017800             88  :MMD3:-GL-RESERVED          VALUE 9.
017900*
018000         05  :MMD3:-TRANS-STATUS
018100                             PIC  X(01).
018200             88  :MMD3:-TRANS-ACTIVE         VALUE 'R' 'A' SPACE.
018300             88  :MMD3:-TRANS-FORCE-ADJ      VALUE 'A'.
018400             88  :MMD3:-TRANS-REACTIVATED    VALUE 'R'.
018500             88  :MMD3:-TRANS-DELETED        VALUE 'D'.
018600*
018700         05  :MMD3:-QUAL-INDICATOR
018800                             PIC  X(01).
018900             88  :MMD3:-QI-NOT-APPLICABLE    VALUE ZERO.
019000             88  :MMD3:-QI-INTRACHANGE-DIFF  VALUE '1'.
019100             88  :MMD3:-QI-INTRACHANGE-ONUS  VALUE '2'.
019200             88  :MMD3:-QI-DOMESTIC-NORMAL   VALUE '3'.
019300             88  :MMD3:-QI-DOMESTIC-ABOVE    VALUE '4'.
019400             88  :MMD3:-QI-DOMESTIC-BELOW    VALUE '5'.
019500             88  :MMD3:-QI-INTERNATIONAL-NORMAL
019600                                             VALUE '6'.
019700             88  :MMD3:-QI-INTERNATIONAL-ABOVE
019800                                             VALUE '7'.
019900             88  :MMD3:-QI-INTERNATIONAL-BELOW
020000                                             VALUE '8'.
020100             88  :MMD3:-QI-REGIONAL-NORMAL   VALUE '9'.
020200             88  :MMD3:-QI-REGIONAL-ABOVE    VALUE 'A'.
020300             88  :MMD3:-QI-REGIONAL-BELOW    VALUE 'B'.
020400             88  :MMD3:-QI-QUALIFIED         VALUE '3' '6' '9'.
020500             88  :MMD3:-QI-NON-QUAL-ABOVE    VALUE '4' '7' 'A'.
020600             88  :MMD3:-QI-NON-QUAL-BELOW    VALUE '5' '8' 'B'.
020700             88  :MMD3:-QI-INTRACHANGE       VALUE '1' '2'.
020800             88  :MMD3:-QI-INTERCHANGE       VALUE '3' THRU '9'
020900                                                   'A' 'B'.
021000             88  :MMD3:-QI-DOMESTIC          VALUE '3' '4' '5'.
021100             88  :MMD3:-QI-INTERNATIONAL     VALUE '6' '7' '8'.
021200             88  :MMD3:-QI-REGIONAL          VALUE '9' 'A' 'B'.
021300*
021400         05  :MMD3:-DATA-ENTRY-MODE
021500                             PIC  X(01).
021600             88  :MMD3:-DEM-IS-NOT-APPLICABLE
021700                                             VALUE ZERO.
021800             88  :MMD3:-DEM-IS-KEYED         VALUE '1'.
021900             88  :MMD3:-DEM-IS-SWIPED        VALUE '2'.
022000*
022100         05  :MMD3:-REJECT-REENTRY-FLAG
022200                             PIC  X(01).
022300             88  :MMD3:-RR-POSTED-TO-MERCH   VALUE 'Y'.
022400             88  :MMD3:-RR-NOT-POSTED-TO-MERCH
022500                                             VALUE 'N'.
022600*
022700         05  :MMD3:-AR-CURR-INPUT-SOURCE
022800                             PIC  X(01).
022900             88  :MMD3:-CIS-1ST-TIME         VALUE '0' SPACE.
023000             88  :MMD3:-CIS-SUBSEQUENT       VALUE '1'.
023100             88  :MMD3:-CIS-XFER-HISTORY     VALUE '9'.
023200*
023300         05  :MMD3:-AR-MT-TYPE
023400                             PIC  X(01).
023500             88  :MMD3:-AR-MT-MEMO           VALUE 'M' SPACE.
023600             88  :MMD3:-AR-MT-CREDIT         VALUE 'C'.
023700             88  :MMD3:-AR-MT-DEBIT          VALUE 'D'.
023800             88  :MMD3:-AR-MT-NOT-FROM-CMS   VALUE 'N'.
023900*
024000         05  :MMD3:-STORE-DUP-IND                                 RG800902
024100                             PIC  X(01).
024200             88  :MMD3:-STORE-DUP-INIT       VALUE LOW-VALUES.    RG800902
024400*
024500         05  :MMD3:-MERCH-DUP-IND                                 RG800902
024600                             PIC  X(01).
024700             88  :MMD3:-MERCH-DUP-INIT       VALUE LOW-VALUES.    RG800902
024900*
025000         05  :MMD3:-ORIG-OPERATOR
025100                             PIC  X(03).
025200*
025300         05  :MMD3:-LAST-OPERATOR
025400                             PIC  X(03).
025500*
025600         05  :MMD3:-GOVERNING-STATE
025700                             PIC  X(03).
025800*
025900         05  :MMD3:-LOGO-X.
026000             07  :MMD3:-LOGO
026100                             PIC  9(03).
026200*
026300         05  :MMD3:-SKU-NBR-X.
026400             07  :MMD3:-SKU-NBR
026500                             PIC  9(09).
026600*
026700         05  :MMD3:-DEPT-CODE
026800                             PIC  X(04).
026900*
027000         05  :MMD3:-DESC     PIC  X(40).
027100*
027200         05  :MMD3:-RPT-DESC PIC  X(15).
027202         05  :MMD3:-CARD-PROD-TYPE                                EH800900
027204                             PIC  X(03).                          EH800900
027300*
027310         05  :MMD3:-CATEGORY-CODE                                 RG800902
027312                             PIC  X(04).                          RG800902
027314             88  :MMD3:-NO-CATEGORY-CODE     VALUE ZERO SPACES.   RG800902
027316*                                                                 RG800902
027400     03  :MMD3:-FILLER       PIC  X(14).                          RG800902
027500*
027600     03  :MMD3:-USER-FILLER  PIC  X(15).
027700*
027800     03  :MMD3:-POST-FLAG    PIC  9(02).
027900         88  :MMD3:-PF-POSTED-TRANSACTION    VALUE ZERO.
028000         88  :MMD3:-PF-NO-STORE              VALUE 50.
028100         88  :MMD3:-PF-NO-TC-TRANSLATION     VALUE 51.
028200         88  :MMD3:-PF-INVALID-TC-OR-LM      VALUE 52.
028300         88  :MMD3:-PF-NON-POST-MERCH-ITEM   VALUE 53.
028400         88  :MMD3:-PF-PROCESSED-REPEAT-REJ  VALUE 54.
028500         88  :MMD3:-PF-PROCESSED-POSTED-REJ  VALUE 55.
028600         88  :MMD3:-PF-STORE-NON-SETTLEMENT  VALUE 56.
028700         88  :MMD3:-PF-MERCHANT-BLOCKED      VALUE 57.
028800         88  :MMD3:-PF-NO-POSTING-TO-STORE   VALUE 58.
028900         88  :MMD3:-PF-NO-STORE-FOUND        VALUE 59.
029000         88  :MMD3:-PF-QUALIFIED-NON-POST    VALUE 50 THRU 59.
029100         88  :MMD3:-PF-NON-MERCH-ITEM        VALUE 50 THRU 52.
029200         88  :MMD3:-PF-WAREHOUSED            VALUE 90.
029300*
029400     03  :MMD3:-VAR-DATA-IND PIC  9(01).
029500         88  :MMD3:-VDI-NOT-PRESENT          VALUE ZERO.
029600         88  :MMD3:-VDI-DEPOSIT-DATA         VALUE 1.
029700         88  :MMD3:-VDI-FEE-DATA             VALUE 2.
029800         88  :MMD3:-VDI-HEADER-DATA          VALUE 3.
029900*
030000     03  :MMD3:-VARIABLE-DATA.
030100*
030200* N O T E --- AR ORG, ACCT AND TC ARE ONLY VALID ON VARIABLE DATA
030300*             AREAS 1 AND 2.
030400*
030500         05  :MMD3:-VD-AR-ORG-ACCT-TC.
030600             07  :MMD3:-AR-KEY.
030700                 09  :MMD3:-AR-ORG-X.
030800                     11  :MMD3:-AR-ORG
030900                             PIC  9(03).
031000                 09  :MMD3:-AR-ACCT
031100                             PIC  X(19).
031200             07  :MMD3:-AR-TRANS-CODE
031300                             PIC S9(03)      COMP-3.
031400             07  :MMD3:-AR-LOGIC-MODULE
031500                             PIC  9(02).
031600             07  :MMD3:-AR-POST-FLAG
031700                             PIC  9(02).
031800*
031900         05  FILLER          PIC  X(49).
032000*
032100     03  :MMD3:-VD-DEPOSIT-DATA
032200                             REDEFINES :MMD3:-VARIABLE-DATA.
032300         05  :MMD3:-VD-DD-AR-ORG-ACCT-TC
032400                             PIC  X(28).
032500         05  :MMD3:-INDIV-DISC-FLAG
032600                             PIC  X(01).
032700             88  :MMD3:-INDIV-DISCOUNT       VALUE 'D'.
032800             88  :MMD3:-INDIV-REFUND         VALUE 'C'.
032900*
033000         05  :MMD3:-INDIV-DISC-AMT
033100                             PIC S9(17)      COMP-3.
033200*
033300         05  :MMD3:-INDIV-DISC-IND
033400                             PIC  X(01).
033500             88  :MMD3:-IDI-IS-RATE          VALUE 'R'.
033600             88  :MMD3:-IDI-IS-PER-ITEM      VALUE 'P'.
033700*
033800         05  :MMD3:-INDIV-DISC-RATE
033900                             PIC S9(09)      COMP-3.
034000         05  :MMD3:-INDIV-DISC-PER-ITEM
034100                             REDEFINES :MMD3:-INDIV-DISC-RATE
034200                             PIC S9(09)      COMP-3.
034300*
034400         05  :MMD3:-INDIV-DISC-ADJ-RATE
034500                             PIC S9(09)      COMP-3.
034600         05  :MMD3:-INDIV-DISC-ADJ-PER-ITEM
034700                             REDEFINES :MMD3:-INDIV-DISC-ADJ-RATE
034800                             PIC S9(09)      COMP-3.
034900*
035000         05  :MMD3:-INDIV-PART-FLAG
035100                             PIC  X(01).
035200             88  :MMD3:-INDIV-PART-DR        VALUE 'D'.
035300             88  :MMD3:-INDIV-PART-CR        VALUE 'C'.
035400*
035500         05  :MMD3:-INDIV-PART-AMT
035600                             PIC S9(17)      COMP-3.
035700*
035800         05  :MMD3:-INDIV-PART-IND
035900                             PIC  X(01).
036000             88  :MMD3:-IPI-IS-RATE          VALUE 'R'.
036100             88  :MMD3:-IPI-IS-PER-ITEM      VALUE 'P'.
036200*
036300         05  :MMD3:-INDIV-PART-RATE
036400                             PIC S9(09)      COMP-3.
036500         05  :MMD3:-INDIV-PART-PER-ITEM
036600                             REDEFINES :MMD3:-INDIV-PART-RATE
036700                             PIC S9(09)      COMP-3.
036800*
036900         05  :MMD3:-INDIV-PART-ADJ-RATE
037000                             PIC S9(09)      COMP-3.
037100         05  :MMD3:-INDIV-PART-ADJ-PER-ITEM
037200                             REDEFINES :MMD3:-INDIV-PART-ADJ-RATE
037300                             PIC S9(09)      COMP-3.
037400*
037500         05  :MMD3:-AR-AUTH-CODE
037600                             PIC  X(06).
037700         05  FILLER          PIC  X(01).
037800*
037900     03  :MMD3:-VD-FEE-DATA  REDEFINES :MMD3:-VARIABLE-DATA.
038000         05  :MMD3:-VD-FEE-AREA.
038100             07  :MMD3:-VD-FA-AR-ORG-ACCT-TC
038200                             PIC  X(28).
038300             07  :MMD3:-FEE-FACTOR-NBR
038400                             PIC S9(09)      COMP-3.
038500             07  :MMD3:-FEE-FACTOR-AMT
038600                             PIC S9(17)      COMP-3.
038700             07  :MMD3:-FEE-INC-PER-ITEM
038800                             PIC S9(09)      COMP-3.
038900             07  :MMD3:-FEE-INC-RATE
039000                             PIC S9(07)      COMP-3.
039100             07  :MMD3:-FEE-EXP-PER-ITEM
039200                             PIC S9(09)      COMP-3.
039300             07  :MMD3:-FEE-EXP-RATE
039400                             PIC S9(07)      COMP-3.
039500             07  :MMD3:-FEE-EXP-AMOUNT
039600                             PIC S9(17)      COMP-3.
039700             07  FILLER      PIC  X(08).
039800*
039900     03  :MMD3:-VD-HEADER-DATA
040000                             REDEFINES :MMD3:-VARIABLE-DATA.
040100         05  :MMD3:-VD-HEADER-TOTALS.
040200             07  :MMD3:-SALES-NBR
040300                             PIC S9(09)      COMP-3.
040400             07  :MMD3:-SALES-AMT
040500                             PIC S9(17)      COMP-3.
040600             07  :MMD3:-SALES-REV-NBR
040700                             PIC S9(09)      COMP-3.
040800             07  :MMD3:-SALES-REV-AMT
040900                             PIC S9(17)      COMP-3.
041000             07  :MMD3:-RETURNS-NBR
041100                             PIC S9(09)      COMP-3.
041200             07  :MMD3:-RETURNS-AMT
041300                             PIC S9(17)      COMP-3.
041400             07  :MMD3:-RETURNS-REV-NBR
041500                             PIC S9(09)      COMP-3.
041600             07  :MMD3:-RETURNS-REV-AMT
041700                             PIC S9(17)      COMP-3.
041800             07  :MMD3:-MEMO-NBR
041900                             PIC S9(09)      COMP-3.
042000             07  :MMD3:-MEMO-AMT
042100                             PIC S9(17)      COMP-3.
042200         05  FILLER          PIC  X(07).
042300*
042400*       ***************************************************
042500*       *              END OF COPYBOOK MMD3RL             *
042600*       ***************************************************
