000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMDHRL ---DETAIL HISTORY RECORD (MMSH EXTRACT)--- 100 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  MMDH-RECORD.
000900     03  MMDH-KEY.
001000         05  MMDH-ALIGN-KEY.
001100             07  MMDH-ORG-MERCHANT.
001200                 88  MMDH-HEADER             VALUE ZERO.
001300                 88  MMDH-TRAILER            VALUE '999999999999'.
001400                 09  MMDH-ORG-X.
001500                     11  MMDH-ORG
001600                             PIC  9(03).
001700                 09  MMDH-MERCHANT-X.
001800                     11  MMDH-MERCHANT
001900                             PIC  9(09).
002000*
002100         05  MMDH-SEQ-NBR    PIC S9(08)      BINARY.
002200*
002300     03  MMDH-DATA.
002400         05  MMDH-STORE      PIC S9(09)      COMP-3.
002500*
002600         05  MMDH-PRODUCT    PIC  9(02).
002700             88  MMDH-NON-PRODUCT            VALUE ZERO.
002800             88  MMDH-PROD-IS-VISA           VALUE 01.
002900             88  MMDH-PROD-IS-MC             VALUE 02.
003000             88  MMDH-PROD-IS-PL             VALUE 03 THRU 99.
003100*
003200         05  MMDH-PLAN       PIC S9(05)      COMP-3.
003300*
003400         05  MMDH-LOGIC-MODULE
003500                             PIC S9(03)      COMP-3.
003600*
003700         05  MMDH-QUAL-LEVEL PIC  9(02).
003800*
003900         05  MMDH-TRANS-CODE
004000                             PIC S9(03)      COMP-3.
004100*
004200         05  MMDH-TRANS-FLAG
004300                             PIC  X(01).
004400             88  MMDH-TF-MEMO                VALUE 'M' SPACE.
004500             88  MMDH-TF-CREDIT              VALUE 'C'.
004600             88  MMDH-TF-DEBIT               VALUE 'D'.
004700             88  MMDH-TF-NOT-YET-ASSIGNED    VALUE SPACE.
004800*
004900         05  MMDH-NBR-ITEMS
005000                             PIC S9(08)      BINARY.
005100*
005200         05  MMDH-AMOUNT     PIC S9(17)      COMP-3.
005300*
005400         05  MMDH-POST-DATE
005500                             PIC S9(07)      COMP-3.
005600*
005700         05  MMDH-ENTRY-DATE
005800                             PIC S9(07)      COMP-3.
005900*
006000         05  MMDH-STMT-FLAG
006100                             PIC  X(01).
006200             88  MMDH-STATEMENTED            VALUE 'Y'.
006300             88  MMDH-NOT-STATEMENTED        VALUE 'N'.
006400*
006500         05  MMDH-SETT-FLAG
006600                             PIC  X(01).
006700             88  MMDH-SETTLED                VALUE 'S' 'B' 'W'
006800                                                   '1' '2'
006900                                                   '3' '4'.
007000             88  MMDH-NOT-SETTLED            VALUE 'N'.
007100             88  MMDH-SETTLED-ACH-MAN        VALUE 'S'.
007200             88  MMDH-SETTLED-BILLED         VALUE 'B'.
007300             88  MMDH-SETTLED-WINDOW         VALUE 'W'.
007400             88  MMDH-SETTLED-RESV-1         VALUE '1'.
007500             88  MMDH-SETTLED-RESV-2         VALUE '2'.
007600             88  MMDH-SETTLED-RESV-3         VALUE '3'.
007700             88  MMDH-SETTLED-RESV-4         VALUE '4'.
007800*
007900         05  MMDH-SETT-ACCT
008000                             PIC  9(01).
008100             88  MMDH-SA-NOT-APPLICABLE      VALUE ZERO.
008200             88  MMDH-SETT-ACCT-1            VALUE 1.
008300             88  MMDH-SETT-ACCT-2            VALUE 2.
008400             88  MMDH-SETT-ACCT-3            VALUE 3.
008500             88  MMDH-SETT-ACCT-4            VALUE 4.
008600             88  MMDH-SA-WINDOW              VALUE 5.
008700*
008800         05  MMDH-SETT-DATE
008900                             PIC S9(07)      COMP-3.
009000*
009100         05  MMDH-BATCH.
009200             07  MMDH-BATCH-SORT.
009300                 09  MMDH-BATCH-DATE
009400                             PIC S9(07)      COMP-3.
009500                 09  MMDH-BATCH-SOURCE
009600                             PIC S9(05)      COMP-3.
009700                 09  MMDH-BATCH-NBR
009800                             PIC S9(05)      COMP-3.
009900             07  MMDH-BATCH-SEQ
010000                             PIC S9(08)      BINARY.
010100*
010200         05  MMDH-ORIG-GL-SOURCE
010300                             PIC  9(01).
010400             88  MMDH-OGL-LOCAL-INP          VALUE ZERO.
010500             88  MMDH-OGL-POS-1-INPUT        VALUE 1.
010600             88  MMDH-OGL-POS-2-INPUT        VALUE 2.
010700             88  MMDH-OGL-POS-3-INPUT        VALUE 3.
010800             88  MMDH-OGL-DATA-CAPTURE-INPUT
010900                                             VALUE 4.
011000             88  MMDH-OGL-USER-INP           VALUE 5.
011100             88  MMDH-OGL-FE-GENERATED       VALUE 6.
011200             88  MMDH-OGL-WAREHOUSED         VALUE 7.
011300             88  MMDH-OGL-GENERATED          VALUE 8.
011400             88  MMDH-OGL-RESERVED           VALUE 9.
011500*
011600         05  MMDH-GL-SOURCE
011700                             PIC  9(01).
011800             88  MMDH-GL-LOCAL-INP           VALUE ZERO.
011900             88  MMDH-GL-POS-1-INPUT         VALUE 1.
012000             88  MMDH-GL-POS-2-INPUT         VALUE 2.
012100             88  MMDH-GL-POS-3-INPUT         VALUE 3.
012200             88  MMDH-GL-DATA-CAPTURE-INPUT
012300                                             VALUE 4.
012400             88  MMDH-GL-USER-INP            VALUE 5.
012500             88  MMDH-GL-FE-GENERATED        VALUE 6.
012600             88  MMDH-GL-WAREHOUSED          VALUE 7.
012700             88  MMDH-GL-GENERATED           VALUE 8.
012800             88  MMDH-GL-RESERVED            VALUE 9.
012900*
013000         05  MMDH-RPT-DESC   PIC  X(15).
013100*
013200     03  FILLER              PIC  X(08).
013300*
013400*       ***************************************************
013500*       *              END OF COPYBOOK MMDHRL             *
013600*       ***************************************************
