000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMEXIR ----EXAM INITIALIZER RECORD LAYOUT----- 16300 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  :MMEX:IR-RECORD.
000900     03  :MMEX:IR-KEY.
001000         05  :MMEX:IR-ORG-REQUEST.
001100             07  :MMEX:IR-ORG-X.
001200                 09  :MMEX:IR-ORG
001300                             PIC  9(03)      VALUE ZERO.
001400             07  :MMEX:IR-REQUEST-NBR-X.
001500                 09  :MMEX:IR-REQUEST-NBR
001600                             PIC  9(05)      VALUE ZERO.
001700     03  :MMEX:IR-STATUS-INFORMATION.
001800         05  :MMEX:IR-REC-STATUS
001900                             PIC  9(01)      VALUE ZERO.
002000             88  :MMEX:IR-STATUS-INCOMPLETE  VALUE 0.
002100             88  :MMEX:IR-STATUS-ACTIVE      VALUE 1.
002200             88  :MMEX:IR-STATUS-COMPLETE    VALUE 2.
002300             88  :MMEX:IR-STATUS-PURGE       VALUE 9.
002400         05  :MMEX:IR-ONLINE-STATUS
002500                             PIC  9(02)      VALUE ZERO.
002600             88  :MMEX:IR-ADD-PENDING        VALUE 00 THRU 49.
002700             88  :MMEX:IR-ADD-COMPLETED      VALUE 99.
002800         05  :MMEX:IR-LAST-MAINT-DATE
002900                             PIC S9(07)      COMP-3 VALUE ZERO.
003000         05  :MMEX:IR-LAST-MAINT-OPER
003100                             PIC  X(03)      VALUE SPACES.
003200*
003300*****************************************************************
003400*                PROCESSING OPTIONS                             *
003500*****************************************************************
003600*
003700     03  :MMEX:IR-DESC       PIC  X(30)      VALUE SPACES.
003800     03  :MMEX:IR-REQUESTOR  PIC  X(20)      VALUE SPACES.
003900*
004000     03  :MMEX:IR-REPORTING-OPTIONS.
004100         05  :MMEX:IR-REPORT-FORM
004200                             PIC  9(02)      VALUE ZERO.
004300         05  :MMEX:IR-REPORT-FICHE
004400                             PIC  X(01)      VALUE ZERO.
004500             88  :MMEX:IR-NO-FICHE           VALUE '0'.
004600             88  :MMEX:IR-FICHE              VALUES '1' THRU '9'
004700                                                    'A' THRU 'I'.
004800             88  :MMEX:IR-FICHE-ONLY         VALUES 'A' THRU 'I'.
004900         05  :MMEX:IR-QUAL-REPORT-IND
005000                             PIC  X(01)      VALUE 'D'.
005100             88  :MMEX:IR-QUAL-NO-RPT        VALUE 'N'.
005200             88  :MMEX:IR-QUAL-DETAIL-RPT    VALUE 'D'.
005300             88  :MMEX:IR-QUAL-TOTAL-RPT     VALUE 'S'.
005400         05  :MMEX:IR-UNQUAL-REPORT-IND
005500                             PIC  X(01)      VALUE 'D'.
005600             88  :MMEX:IR-UNQUAL-NO-RPT      VALUE 'N'.
005700             88  :MMEX:IR-UNQUAL-DETAIL-RPT  VALUE 'D'.
005800             88  :MMEX:IR-UNQUAL-TOTAL-RPT   VALUE 'S'.
005900*
006000     03  :MMEX:IR-LETTER-OPTIONS.
006100         05  :MMEX:IR-GENERATE-LETTERS-IND
006200                             PIC  X(01)      VALUE 'N'.
006300             88  :MMEX:IR-GENERATE-LETTERS   VALUE 'Y'.
006400             88  :MMEX:IR-DO-NOT-GENERATE-LETTERS
006500                                             VALUE 'N'.
006600         05  :MMEX:IR-LETTER-ORG
006700                             PIC S9(03)      COMP-3 VALUE ZERO.
006800         05  :MMEX:IR-LETTER-NBR
006900                             PIC  X(03)      VALUE SPACES.
007000*
007100     03  :MMEX:IR-LABEL-OPTIONS.
007200         05  :MMEX:IR-LABEL-IND
007300                             PIC  X(01)      VALUE 'N'.
007400             88  :MMEX:IR-NO-LABEL           VALUE 'N'.
007500             88  :MMEX:IR-PRODUCE-LABEL      VALUE 'Y'.
007600         05  :MMEX:IR-LABEL-ZIP-IND
007700                             PIC  9(01)      VALUE ZERO.
007800             88  :MMEX:IR-LABEL-NO-SORT      VALUE ZERO.
007900             88  :MMEX:IR-SORT-ORG-POSTAL    VALUE 1.
008000             88  :MMEX:IR-SORT-POSTAL-ORG    VALUE 2.
008100*
008200     03  :MMEX:IR-INTERFACE-OPTIONS.
008300         05  :MMEX:IR-MAINT-INTERFACE-IND
008400                             PIC  X(01)      VALUE 'N'.
008500             88  :MMEX:IR-MAINT-INTERFACE-NO VALUE 'N'.
008600             88  :MMEX:IR-MAINT-INTERFACE-YES VALUE 'Y'.
008700*
008800     03  :MMEX:IR-TARGET-OPTIONS.
008900         05  :MMEX:IR-TARGET-STORE-IND
009000                             PIC  X(01)      VALUE 'N'.
009100             88  :MMEX:IR-TARGET-STORE-NO    VALUE 'N'.
009200             88  :MMEX:IR-TARGET-STORE-YES   VALUE 'Y'.
009300         05  :MMEX:IR-TARGET-MERCHANT-IND
009400                             PIC  X(01)      VALUE 'N'.
009500             88  :MMEX:IR-TARGET-MERCHANT-NO VALUE 'N'.
009600             88  :MMEX:IR-TARGET-MERCHANT-YES VALUE 'Y'.
009700         05  :MMEX:IR-TARGET-PRODUCT-IND
009800                             PIC  X(01)      VALUE 'N'.
009900             88  :MMEX:IR-TARGET-PRODUCT-NO  VALUE 'N'.
010000             88  :MMEX:IR-TARGET-PRODUCT-YES VALUE 'Y'.
010100*
010200     03  :MMEX:IR-RUN-TIME-DATA.
010300         05  :MMEX:IR-ORIG-OPER
010400                             PIC  X(03)      VALUE SPACES.
010500         05  :MMEX:IR-LAST-OPER
010600                             PIC  X(03)      VALUE SPACES.
010700         05  :MMEX:IR-LAST-RUN-DATE
010800                             PIC S9(07)      COMP-3 VALUE ZERO.
010900         05  :MMEX:IR-LAST-RUN-TIME
011000                             PIC S9(07)      COMP-3 VALUE ZERO.
011100         05  :MMEX:IR-LAST-PROC-REQUEST-SW
011200                             PIC  X(01)      VALUE 'N'.
011300             88  :MMEX:IR-LAST-PROC-REQUEST-ON
011400                                             VALUE 'Y'.
011500             88  :MMEX:IR-LAST-PROC-REQUEST-OFF
011600                                             VALUE 'N'.
011700*
011800*****************************************************************
011900*                SELECTION CRITERIA                             *
012000*****************************************************************
012100*
012200     03  :MMEX:IR-SELECTION-AREA.
012300         05  :MMEX:IR-SELECT-CRITERIA        OCCURS 70 TIMES
012400                                             INDEXED BY
012500                                             X-:MMEX:IR-SEL
012600                                             X-:MMEX:IR-SEL-1
012700                                             X-:MMEX:IR-SEL-2.
012800             07  :MMEX:IR-SELECT-SCREEN-DATA.
012900                 09  :MMEX:IR-SELECT-FIELD-CODE.
013000                     11  :MMEX:IR-SELECT-FILE-ID
013100                             PIC  X(02)      VALUE SPACES.
013200                     11  :MMEX:IR-SELECT-FIELD-NBR
013300                             PIC  9(04)      VALUE ZERO.
013400                 09  :MMEX:IR-SELECT-CONDITION
013500                             PIC  X(02)      VALUE SPACES.
013600                 09  :MMEX:IR-SELECT-FIELD-VALUE
013700                             PIC  X(50)      VALUE SPACES.
013800                 09  :MMEX:IR-SELECT-CONNECTOR
013900                             PIC  X(05)      VALUE SPACES.
014000             07  :MMEX:IR-SELECT-DICTIONARY-DATA.
014100                 09  :MMEX:IR-SELECT-MAP-CODE
014200                             PIC  X(04)      VALUE '....'.
014300                 09  :MMEX:IR-SELECT-START-POS
014400                             PIC  9(05)      VALUE ZERO.
014500                 09  :MMEX:IR-SELECT-LENGTH
014600                             PIC  9(02)      VALUE ZERO.
014700                 09  :MMEX:IR-SELECT-SPECIAL-DATA
014800                             PIC  X(01)      VALUE SPACES.
014900                 09  :MMEX:IR-SELECT-FILE-FORMAT
015000                             PIC  X(02)      VALUE SPACES.
015100                 09  :MMEX:IR-SELECT-SINGLE-STORE
015200                             PIC  X(01)      VALUE SPACES.
015300                 09  :MMEX:IR-SELECT-FIELD-DESC
015400                             PIC  X(22)      VALUE SPACES.
015500*
015600*****************************************************************
015700*               MAINTENANCE CRITERIA                            *
015800*****************************************************************
015900*
016000     03  :MMEX:IR-MAINTENANCE-AREA.
016100         05  :MMEX:IR-MAINT-CRITERIA         OCCURS 35 TIMES
016200                                             INDEXED BY
016300                                             X-:MMEX:IR-MAINT
016400                                             X-:MMEX:IR-MAINT-1
016500                                             X-:MMEX:IR-MAINT-2.
016600             07  :MMEX:IR-MAINT-SCREEN-DATA.
016700                 09  :MMEX:IR-MAINT-FIELD-CODE.
016800                     11  :MMEX:IR-MAINT-FILE-ID
016900                             PIC  X(02)      VALUE SPACES.
017000                     11  :MMEX:IR-MAINT-FIELD-NBR
017100                             PIC  9(04)      VALUE ZERO.
017200                 09  :MMEX:IR-MAINT-FIELD-VALUE
017300                             PIC  X(50)      VALUE SPACES.
017400                 09  :MMEX:IR-MAINT-ROUND-OPTION
017500                             PIC  X(01)      VALUE SPACES.
017600             07  :MMEX:IR-MAINT-DICTIONARY-DATA.
017700                 09  :MMEX:IR-MAINT-MAP-CODE
017800                             PIC  X(04)      VALUE '....'.
017900                 09  :MMEX:IR-MAINT-START-POS
018000                             PIC  9(05)      VALUE ZERO.
018100                 09  :MMEX:IR-MAINT-LENGTH
018200                             PIC  9(02)      VALUE ZERO.
018300                 09  :MMEX:IR-MAINT-SPECIAL-DATA
018400                             PIC  X(01)      VALUE SPACES.
018500                 09  :MMEX:IR-MAINT-FILE-FORMAT
018600                             PIC  X(02)      VALUE SPACES.
018700                 09  :MMEX:IR-MAINT-SINGLE-STORE
018800                             PIC  X(01)      VALUE SPACES.
018900                 09  :MMEX:IR-MAINT-FIELD-DESC
019000                             PIC  X(22)      VALUE SPACES.
019100*
019200     03  FILLER              PIC  X(5910)    VALUE SPACES.
019300*
