000100******************************************************************
000200*                                                                *
000300*    THIS ROUTINE PUTS THE SELECTION CRITERIA IN THE MMEX-RECORD *
000400*    INTO THE ORDER TO BE VIEWED BY THE USER.                    *
000500*                                                                *
000600*    TO USE THIS ROUTINE,                                        *
000700*    1. COPY BOOK MMEXRL MUST BE IN THE WORKING-STORAGE OR       *
000800*       LINKAGE SECTION OF YOUR PROGRAM.                         *
000900*    2. COPY BOOK MMEXIR MUST BE IN THE WORKING-STORAGE          *
001000*       SECTION OF YOUR PROGRAM.                                 *
001100*    3. COPY BOOK MMEXWS MUST BE IN THE WORKING-STORAGE          *
001200*       SECTION OF YOUR PROGRAM.                                 *
001300*    4. PERFORM MMEXPX-SORT-SELECTION-CRITERIA                   *
001400*          THRU MMEXPX-SSC-EXIT.                                 *
001500*    5. AFTER THE ABOVE PERFORM IS COMPLETED, THE SELECTION      *
001600*       CRITERIA WILL BE SORTED IN THE PROPER ORDER IN THE       *
001700*       RECORD LAYOUT (MMEXRL).                                  *
001800*                                                                *
001900******************************************************************
002000*
002100 MMEXPX-SORT-SELECTION-CRITERIA.
002200*
002300     SET X-MMEXWS-BSA            TO 1.
002400     MOVE MMEXIR-SELECTION-AREA  TO MMEXWS-BUBBLE-SORT-AREA.
002500*
002600     SET  MMEXWS-CONN-AND        TO TRUE.
002700     PERFORM MMEXPX-EXTRACT-AND-MOVE
002800        THRU MMEXPX-EAM-EXIT.
002900*
003000     SET  MMEXWS-CONN-OR-1       TO TRUE.
003100     PERFORM MMEXPX-EXTRACT-AND-MOVE
003200        THRU MMEXPX-EAM-EXIT.
003300*
003400     SET  MMEXWS-CONN-OR-2       TO TRUE.
003500     PERFORM MMEXPX-EXTRACT-AND-MOVE
003600        THRU MMEXPX-EAM-EXIT.
003700*
003800     SET  MMEXWS-CONN-OR-3       TO TRUE.
003900     PERFORM MMEXPX-EXTRACT-AND-MOVE
004000        THRU MMEXPX-EAM-EXIT.
004100*
004200     SET  MMEXWS-CONN-OR-4       TO TRUE.
004300     PERFORM MMEXPX-EXTRACT-AND-MOVE
004400        THRU MMEXPX-EAM-EXIT.
004500*
004600     SET  MMEXWS-CONN-OR-5       TO TRUE.
004700     PERFORM MMEXPX-EXTRACT-AND-MOVE
004800        THRU MMEXPX-EAM-EXIT.
004900*
005000     SET  MMEXWS-CONN-OR-6       TO TRUE.
005100     PERFORM MMEXPX-EXTRACT-AND-MOVE
005200        THRU MMEXPX-EAM-EXIT.
005300*
005400     SET  MMEXWS-CONN-OR-7       TO TRUE.
005500     PERFORM MMEXPX-EXTRACT-AND-MOVE
005600        THRU MMEXPX-EAM-EXIT.
005700*
005800     SET  MMEXWS-CONN-OR-8       TO TRUE.
005900     PERFORM MMEXPX-EXTRACT-AND-MOVE
006000        THRU MMEXPX-EAM-EXIT.
006100*
006200     SET  MMEXWS-CONN-OR-9       TO TRUE.
006300     PERFORM MMEXPX-EXTRACT-AND-MOVE
006400        THRU MMEXPX-EAM-EXIT.
006500*
006600     SET  MMEXWS-CONN-OR-0       TO TRUE.
006700     PERFORM MMEXPX-EXTRACT-AND-MOVE
006800        THRU MMEXPX-EAM-EXIT.
006900*
007000     SET  MMEXWS-CONN-OR         TO TRUE.
007100     PERFORM MMEXPX-EXTRACT-AND-MOVE
007200        THRU MMEXPX-EAM-EXIT.
007300*
007400     SET  MMEXWS-CONN-AND-1      TO TRUE.
007500     PERFORM MMEXPX-EXTRACT-AND-MOVE
007600        THRU MMEXPX-EAM-EXIT.
007700*
007800     SET  MMEXWS-CONN-AND-2      TO TRUE.
007900     PERFORM MMEXPX-EXTRACT-AND-MOVE
008000        THRU MMEXPX-EAM-EXIT.
008100*
008200     SET  MMEXWS-CONN-AND-3      TO TRUE.
008300     PERFORM MMEXPX-EXTRACT-AND-MOVE
008400        THRU MMEXPX-EAM-EXIT.
008500*
008600     SET  MMEXWS-CONN-AND-4      TO TRUE.
008700     PERFORM MMEXPX-EXTRACT-AND-MOVE
008800        THRU MMEXPX-EAM-EXIT.
008900*
009000     SET  MMEXWS-CONN-AND-5      TO TRUE.
009100     PERFORM MMEXPX-EXTRACT-AND-MOVE
009200        THRU MMEXPX-EAM-EXIT.
009300*
009400     SET  MMEXWS-CONN-AND-6      TO TRUE.
009500     PERFORM MMEXPX-EXTRACT-AND-MOVE
009600        THRU MMEXPX-EAM-EXIT.
009700*
009800     SET  MMEXWS-CONN-AND-7      TO TRUE.
009900     PERFORM MMEXPX-EXTRACT-AND-MOVE
010000        THRU MMEXPX-EAM-EXIT.
010100*
010200     SET  MMEXWS-CONN-AND-8      TO TRUE.
010300     PERFORM MMEXPX-EXTRACT-AND-MOVE
010400        THRU MMEXPX-EAM-EXIT.
010500*
010600     SET  MMEXWS-CONN-AND-9      TO TRUE.
010700     PERFORM MMEXPX-EXTRACT-AND-MOVE
010800        THRU MMEXPX-EAM-EXIT.
010900*
011000     SET  MMEXWS-CONN-AND-0      TO TRUE.
011100     PERFORM MMEXPX-EXTRACT-AND-MOVE
011200        THRU MMEXPX-EAM-EXIT.
011300*
011400*
011500*
011600     MOVE MMEXWS-BUBBLE-SORT-AREA
011700                                 TO MMEX-SELECTION-AREA.
011800*
011900 MMEXPX-SSC-EXIT.
012000     EXIT.
012100*
012200*
012300*
012400 MMEXPX-EXTRACT-AND-MOVE.
012500*
012600     PERFORM
012700         VARYING X-MMEX-SEL FROM 1 BY 1
012800         UNTIL   X-MMEX-SEL IS GREATER THAN 70
012900         IF  MMEXWS-CONNECTOR IS EQUAL TO
013000                         MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
013100             MOVE MMEX-SELECT-CRITERIA (X-MMEX-SEL)
013200                                 TO MMEXWS-BSA-ENTRY
013300                                    (X-MMEXWS-BSA)
013400             SET  X-MMEXWS-BSA   UP BY 1
013500         END-IF
013600     END-PERFORM.
013700*
013800 MMEXPX-EAM-EXIT.
013900     EXIT.
014000/
014100******************************************************************
014200*                                                                *
014300*    THIS ROUTINE SCRUNCHES THE MAINTENANCE CRITERIA IN THE      *
014400*    MMEX-RECORD.                                                *
014500*                                                                *
014600*    TO USE THIS ROUTINE,                                        *
014700*    1. COPY BOOK MMEXRL MUST BE IN THE WORKING-STORAGE OR       *
014800*       LINKAGE SECTION OF YOUR PROGRAM.                         *
014900*    2. COPY BOOK MMEXWS MUST BE IN THE WORKING-STORAGE          *
015000*       SECTION OF YOUR PROGRAM.                                 *
015100*    3. PERFORM MMEXPX-SCRUNCH-MAINT-CRITERIA                    *
015200*          THRU MMEXPX-SMC-EXIT.                                 *
015300*    4. AFTER THE ABOVE PERFORM IS COMPLETED, THE MAINTENANCE    *
015400*       CRITERIA WILL BE IN CONSECUTIVE OCCURRENCES STARTING     *
015500*       WITH THE FIRST OCCURRENCE.  THE FIRST ENTRY CONTAINING   *
015600*       NO MAINTENANCE CRITERIA WILL THEN INDICATE THE END OF    *
015700*       THE MAINTENANCE CRITERIA.                                *
015800*                                                                *
015900******************************************************************
016000*
016100 MMEXPX-SCRUNCH-MAINT-CRITERIA.
016200*
016300     PERFORM
016400         VARYING X-MMEX-MAINT FROM 1 BY 1
016500         UNTIL   X-MMEX-MAINT IS GREATER THAN 34
016600         SET X-MMEX-MAINT-2      TO X-MMEX-MAINT
016700         SET X-MMEX-MAINT-2      UP BY 1
016800         PERFORM
016900             UNTIL X-MMEX-MAINT-2 IS GREATER THAN 35
017000                OR MMEX-MAINT-FILE-ID (X-MMEX-MAINT)
017100                                  IS NOT EQUAL TO SPACES
017200             MOVE MMEX-MAINT-CRITERIA (X-MMEX-MAINT-2)
017300               TO MMEX-MAINT-CRITERIA (X-MMEX-MAINT)
017400             SET  X-MMEXIR-MAINT TO X-MMEX-MAINT-2
017500             MOVE MMEXIR-MAINT-CRITERIA (X-MMEXIR-MAINT)
017600               TO MMEX-MAINT-CRITERIA (X-MMEX-MAINT-2)
017700             SET  X-MMEX-MAINT-2 UP BY 1
017800         END-PERFORM
017900     END-PERFORM.
018000*
018100 MMEXPX-SMC-EXIT.
018200     EXIT.
018300/
018400******************************************************************
018500*                                                                *
018600*    THIS ROUTINE INTERPRETS THE SELECTION AND MAINTENANCE DATA  *
018700*    FROM THE MMEX RECORD.                                       *
018800*                                                                *
018900*    TO USE THIS ROUTINE,                                        *
019000*    1. COPY BOOK MMEXRL MUST BE IN THE WORKING-STORAGE OR       *
019100*       LINKAGE SECTION OF YOUR PROGRAM.                         *
019200*    2. COPY BOOK MMEXWS MUST BE IN THE WORKING-STORAGE          *
019300*       SECTION OF YOUR PROGRAM.                                 *
019400*    3. PERFORM MMEXPX-INTERPRET-DATA                            *
019500*          THRU MMEXPX-ID-EXIT.                                  *
019600*    4. AFTER THE ABOVE PERFORM IS COMPLETED, THE INTERPRETED    *
019700*       SELECTION AND MAINTENANCE CRITERIA WILL BE IN THE TABLE  *
019800*       MMEXWS-IA-TABLE.  THE FIRST ENTRY CONTAINING SPACES IN   *
019900*       THIS TABLE INDICATES THE END OF THE TABLE.               *
020000*                                                                *
020100******************************************************************
020200*
020300 MMEXPX-INTERPRET-DATA.
020400*
020500     MOVE SPACES                 TO MMEXWS-INTERPRET-AREA.
020600     MOVE SPACES                 TO MMEXWS-INTERPRET-PREV-CONN.
020700     MOVE 'IF'                   TO MMEXWS-IA-ENTRY (1).
020800     SET X-MMEXWS-IA             TO 1.
020900*
021000     PERFORM
021100         VARYING X-MMEX-SEL FROM 1 BY 1
021200         UNTIL   X-MMEX-SEL IS GREATER THAN 70
021300         SET X-MMEXWS-IA-1       TO X-MMEXWS-IA
021400         SET X-MMEXWS-IA-1       DOWN BY 1
021500         SET X-MMEXWS-IA-2       TO X-MMEXWS-IA
021600         SET X-MMEXWS-IA-2       UP BY 1
021700         IF  MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
021800                 IS NOT EQUAL TO MMEXWS-INTERPRET-PREV-CONN
021900         AND MMEXWS-INTERPRET-PREV-CONN
022000                                 IS NOT EQUAL TO SPACES
022100             MOVE MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
022200                                 TO MMEXWS-CONNECTOR
022300             MOVE MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
022400                                 TO MMEXWS-IA-ENTRY
022500                                    (X-MMEXWS-IA) (1:5)
022600             EVALUATE TRUE
022700                 WHEN MMEXWS-CONN-COMPLEX-OR-AND
022800                     MOVE 'AND  '
022900                                 TO MMEXWS-IA-ENTRY
023000                                    (X-MMEXWS-IA) (1:5)
023100                 WHEN MMEXWS-CONN-COMPLEX-AND-OR
023200                     MOVE 'OR   '
023300                                 TO MMEXWS-IA-ENTRY
023400                                    (X-MMEXWS-IA) (1:5)
023500             END-EVALUATE
023600         END-IF
023700         IF  MMEX-SELECT-FILE-ID (X-MMEX-SEL)
023800                                 IS NOT EQUAL TO SPACES
023900             MOVE MMEX-SELECT-FIELD-DESC (X-MMEX-SEL)
024000                                 TO MMEXWS-IA-ENTRY
024100                                    (X-MMEXWS-IA) (7:22)
024200             MOVE MMEX-SELECT-CONDITION (X-MMEX-SEL)
024300                                 TO MMEXWS-IA-ENTRY
024400                                    (X-MMEXWS-IA) (30:2)
024500             MOVE MMEX-SELECT-FIELD-VALUE (X-MMEX-SEL)
024600                                 TO MMEXWS-IA-ENTRY
024700                                    (X-MMEXWS-IA) (33:50)
024800             MOVE MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
024900                                 TO MMEXWS-IA-ENTRY
025000                                    (X-MMEXWS-IA-2) (1:5)
025100             IF  MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
025200                 IS NOT EQUAL TO MMEXWS-INTERPRET-PREV-CONN
025300                 MOVE MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
025400                                 TO MMEXWS-CONNECTOR
025500                 EVALUATE TRUE
025600                     WHEN MMEXWS-CONN-COMPLEX-OR-AND
025700                         MOVE '('
025800                                 TO MMEXWS-IA-ENTRY
025900                                    (X-MMEXWS-IA) (6:1)
026000                     WHEN MMEXWS-CONN-COMPLEX-AND-OR
026100                         MOVE '('
026200                                 TO MMEXWS-IA-ENTRY
026300                                    (X-MMEXWS-IA) (6:1)
026400                 END-EVALUATE
026500                 MOVE MMEXWS-INTERPRET-PREV-CONN
026600                                 TO MMEXWS-CONNECTOR
026700                 EVALUATE TRUE
026800                     WHEN MMEXWS-CONN-COMPLEX-OR-AND
026900                         PERFORM MMEXPX-FIND-IA-REFMOD
027000                            THRU MMEXPX-FIAR-EXIT
027100                         MOVE ')'
027200                                 TO MMEXWS-IA-ENTRY
027300                                    (X-MMEXWS-IA-1)
027400                                    (MMEXWS-IA-REFMOD:1)
027500                         MOVE 'AND  '
027600                                 TO MMEXWS-IA-ENTRY
027700                                    (X-MMEXWS-IA) (1:5)
027800                     WHEN MMEXWS-CONN-COMPLEX-AND-OR
027900                         PERFORM MMEXPX-FIND-IA-REFMOD
028000                            THRU MMEXPX-FIAR-EXIT
028100                         MOVE ')'
028200                                 TO MMEXWS-IA-ENTRY
028300                                    (X-MMEXWS-IA-1)
028400                                    (MMEXWS-IA-REFMOD:1)
028500                         MOVE 'OR   '
028600                                 TO MMEXWS-IA-ENTRY
028700                                    (X-MMEXWS-IA) (1:5)
028800                 END-EVALUATE
028900             END-IF
029000         END-IF
029100         IF  MMEX-SELECT-FILE-ID (X-MMEX-SEL)
029200                                 IS EQUAL TO SPACES
029300         AND MMEXWS-INTERPRET-PREV-CONN
029400                                 IS NOT EQUAL TO SPACES
029500             MOVE MMEXWS-INTERPRET-PREV-CONN
029600                                 TO MMEXWS-CONNECTOR
029700             EVALUATE TRUE
029800                 WHEN MMEXWS-CONN-COMPLEX-OR-AND
029900                     PERFORM MMEXPX-FIND-IA-REFMOD
030000                        THRU MMEXPX-FIAR-EXIT
030100                     MOVE ')'    TO MMEXWS-IA-ENTRY
030200                                    (X-MMEXWS-IA-1)
030300                                    (MMEXWS-IA-REFMOD:1)
030400                 WHEN MMEXWS-CONN-COMPLEX-AND-OR
030500                     PERFORM MMEXPX-FIND-IA-REFMOD
030600                        THRU MMEXPX-FIAR-EXIT
030700                     MOVE ')'    TO MMEXWS-IA-ENTRY
030800                                    (X-MMEXWS-IA-1)
030900                                    (MMEXWS-IA-REFMOD:1)
031000             END-EVALUATE
031100             MOVE SPACES         TO MMEXWS-IA-ENTRY
031200                                    (X-MMEXWS-IA) (1:5)
031300         END-IF
031400         MOVE MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
031500                                 TO MMEXWS-INTERPRET-PREV-CONN
031600         IF  MMEXWS-IA-ENTRY (X-MMEXWS-IA)
031700                                 IS NOT EQUAL TO SPACES
031800             SET X-MMEXWS-IA     UP BY 1
031900         END-IF
032000     END-PERFORM.
032100*
032200     MOVE '         THEN FOR EACH QUALIFYING'
032300                                 TO MMEXWS-IA-ENTRY
032400                                    (X-MMEXWS-IA).
032500     EVALUATE TRUE
032600         WHEN MMEX-TARGET-STORE-YES
032700             MOVE 'STORE'        TO MMEXWS-IA-ENTRY
032800                                    (X-MMEXWS-IA) (36:5)
032900         WHEN MMEX-TARGET-MERCHANT-YES
033000             MOVE 'MERCHANT'     TO MMEXWS-IA-ENTRY
033100                                    (X-MMEXWS-IA) (36:8)
033200         WHEN MMEX-TARGET-PRODUCT-YES
033300             MOVE 'PRODUCT'      TO MMEXWS-IA-ENTRY
033400                                    (X-MMEXWS-IA) (36:7)
033500     END-EVALUATE.
033600     SET X-MMEXWS-IA             UP BY 1.
033700*
033800     IF  MMEX-GENERATE-LETTERS
033900         MOVE 'LETTERS WILL BE GENERATED'
034000                                 TO MMEXWS-IA-ENTRY
034100                                    (X-MMEXWS-IA) (1:25)
034200         SET X-MMEXWS-IA         UP BY 1.
034300*
034400     IF  MMEX-QUAL-DETAIL-RPT
034500     OR  MMEX-QUAL-TOTAL-RPT
034600         MOVE 'QUALIFIED REPORT WILL BE GENERATED'
034700                                 TO MMEXWS-IA-ENTRY
034800                                    (X-MMEXWS-IA) (1:34)
034900         SET X-MMEXWS-IA         UP BY 1.
035000*
035100     IF  MMEX-UNQUAL-DETAIL-RPT
035200     OR  MMEX-UNQUAL-TOTAL-RPT
035300         MOVE 'UNQUALIFIED REPORT WILL BE GENERATED'
035400                                 TO MMEXWS-IA-ENTRY
035500                                    (X-MMEXWS-IA) (1:36)
035600         SET X-MMEXWS-IA         UP BY 1.
035700*
035800     IF  MMEX-PRODUCE-LABEL
035900         MOVE 'LABELS WILL BE GENERATED'
036000                                 TO MMEXWS-IA-ENTRY
036100                                    (X-MMEXWS-IA) (1:24)
036200         SET X-MMEXWS-IA         UP BY 1.
036300*
036400     PERFORM
036500         VARYING X-MMEX-MAINT FROM 1 BY 1
036600         UNTIL   X-MMEX-MAINT IS GREATER THAN 35
036700         IF  MMEX-MAINT-FILE-ID (X-MMEX-MAINT)
036800                                 IS NOT EQUAL TO SPACES
036900             MOVE 'ALTER'        TO MMEXWS-IA-ENTRY
037000                                    (X-MMEXWS-IA) (1:5)
037100             MOVE MMEX-MAINT-FIELD-DESC (X-MMEX-MAINT)
037200                                 TO MMEXWS-IA-ENTRY
037300                                    (X-MMEXWS-IA) (7:22)
037400             MOVE 'TO'           TO MMEXWS-IA-ENTRY
037500                                    (X-MMEXWS-IA) (30:2)
037600             MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
037700                                 TO MMEXWS-IA-ENTRY
037800                                    (X-MMEXWS-IA) (33:50)
037900             IF  MMEXWS-IA-ENTRY (X-MMEXWS-IA) (73:10)
038000                                 IS EQUAL TO SPACES
038100             AND MMEX-MAINT-ROUND-OPTION (X-MMEX-MAINT)
038200                                 IS NOT EQUAL TO ZERO
038300                 MOVE 'ROUND='   TO MMEXWS-IA-ENTRY
038400                                    (X-MMEXWS-IA) (73:6)
038500                 MOVE MMEX-MAINT-ROUND-OPTION (X-MMEX-MAINT)
038600                                 TO MMEXWS-IA-ENTRY
038700                                    (X-MMEXWS-IA) (79:1)
038800             END-IF
038900         END-IF
039000         IF  MMEXWS-IA-ENTRY (X-MMEXWS-IA)
039100                                 IS NOT EQUAL TO SPACES
039200             SET X-MMEXWS-IA     UP BY 1
039300         END-IF
039400     END-PERFORM.
039500*
039600 MMEXPX-ID-EXIT.
039700     EXIT.
039800/
039900******************************************************************
040000*                                                                *
040100*    THIS ROUTINE FINDS THE FIRST NON-SPACE REFERENCE            *
040200*    MODIFICATION IN THE CURRENT INTERPRETED LINE.               *
040300*                                                                *
040400******************************************************************
040500*
040600 MMEXPX-FIND-IA-REFMOD.
040700*
040800     MOVE 82                     TO MMEXWS-IA-REFMOD.
040900*
041000     IF  MMEXWS-IA-ENTRY (X-MMEXWS-IA-1) (82:1)
041100                                 IS NOT EQUAL TO SPACES
041200         GO TO MMEXPX-FIAR-EXIT.
041300*
041400     PERFORM
041500         VARYING MMEXWS-IA-REFMOD FROM 82 BY -1
041600         UNTIL   MMEXWS-IA-REFMOD IS LESS THAN 1
041700              OR MMEXWS-IA-ENTRY (X-MMEXWS-IA-1)
041800                                 (MMEXWS-IA-REFMOD:1)
041900                                 IS NOT EQUAL TO SPACES
042000     END-PERFORM.
042100*
042200     ADD  1                      TO MMEXWS-IA-REFMOD.
042300*
042400 MMEXPX-FIAR-EXIT.
042500     EXIT.
