000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMEXRL ---------- EXAM RECORD LAYOUT ---------- 16300 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*                                                               *
000900*  OTHER FILES USING THIS PSUEDO-TEXT COPY BOOK ARE:            *
001000*                                                               *
001100*  MMEX---EXAM MASTER FILE                                      *
001200*  MTEX---EXAM MASTER FILE                                 TEMP *
001300*                                                               *
001400*****************************************************************
001500 01  :MMEX:-RECORD.
001600     03  :MMEX:-KEY.
001700         88  :MMEX:-HEADER                   VALUE ZEROS.
001800         88  :MMEX:-TRAILER                  VALUE ALL '9'.
001900         05  :MMEX:-ORG-REQUEST.
002000             07  :MMEX:-ORG-X.
002100                 09  :MMEX:-ORG
002200                             PIC  9(03).
002300             07  :MMEX:-REQUEST-NBR-X.
002400                 09  :MMEX:-REQUEST-NBR
002500                             PIC  9(05).
002600     03  :MMEX:-STATUS-INFORMATION.
002700         05  :MMEX:-REC-STATUS
002800                             PIC  9(01).
002900             88  :MMEX:-STATUS-INCOMPLETE    VALUE 0.
003000             88  :MMEX:-STATUS-ACTIVE        VALUE 1.
003100             88  :MMEX:-STATUS-COMPLETE      VALUE 2.
003200             88  :MMEX:-STATUS-PURGE         VALUE 9.
003300         05  :MMEX:-ONLINE-STATUS
003400                             PIC  9(02).
003500             88  :MMEX:-ADD-PENDING          VALUE 00 THRU 49.
003600             88  :MMEX:-ADD-COMPLETED        VALUE 99.
003700         05  :MMEX:-LAST-MAINT-DATE
003800                             PIC S9(07)      COMP-3.
003900         05  :MMEX:-LAST-MAINT-OPER
004000                             PIC  X(03).
004100*
004200*****************************************************************
004300*                PROCESSING OPTIONS                             *
004400*****************************************************************
004500*
004600     03  :MMEX:-DESC         PIC  X(30).
004700     03  :MMEX:-REQUESTOR    PIC  X(20).
004800*
004900     03  :MMEX:-REPORTING-OPTIONS.
005000         05  :MMEX:-REPORT-FORM
005100                             PIC  9(02).
005200         05  :MMEX:-REPORT-FICHE
005300                             PIC  X(01).
005400             88  :MMEX:-NO-FICHE             VALUE '0'.
005500             88  :MMEX:-FICHE                VALUES '1' THRU '9'
005600                                                    'A' THRU 'I'.
005700             88  :MMEX:-FICHE-ONLY           VALUES 'A' THRU 'I'.
005800         05  :MMEX:-QUAL-REPORT-IND
005900                             PIC  X(01).
006000             88  :MMEX:-QUAL-NO-RPT          VALUE 'N'.
006100             88  :MMEX:-QUAL-DETAIL-RPT      VALUE 'D'.
006200             88  :MMEX:-QUAL-TOTAL-RPT       VALUE 'S'.
006300         05  :MMEX:-UNQUAL-REPORT-IND
006400                             PIC  X(01).
006500             88  :MMEX:-UNQUAL-NO-RPT        VALUE 'N'.
006600             88  :MMEX:-UNQUAL-DETAIL-RPT    VALUE 'D'.
006700             88  :MMEX:-UNQUAL-TOTAL-RPT     VALUE 'S'.
006800*
006900     03  :MMEX:-LETTER-OPTIONS.
007000         05  :MMEX:-GENERATE-LETTERS-IND
007100                             PIC  X(01).
007200             88  :MMEX:-GENERATE-LETTERS     VALUE 'Y'.
007300             88  :MMEX:-DO-NOT-GENERATE-LETTERS
007400                                             VALUE 'N'.
007500         05  :MMEX:-LETTER-ORG
007600                             PIC S9(03)      COMP-3.
007700         05  :MMEX:-LETTER-NBR
007800                             PIC  X(03).
007900*
008000     03  :MMEX:-LABEL-OPTIONS.
008100         05  :MMEX:-LABEL-IND
008200                             PIC  X(01).
008300             88  :MMEX:-NO-LABEL             VALUE 'N'.
008400             88  :MMEX:-PRODUCE-LABEL        VALUE 'Y'.
008500         05  :MMEX:-LABEL-ZIP-IND
008600                             PIC  9(01).
008700             88  :MMEX:-LABEL-NO-SORT        VALUE ZERO.
008800             88  :MMEX:-SORT-ORG-POSTAL      VALUE 1.
008900             88  :MMEX:-SORT-POSTAL-ORG      VALUE 2.
009000*
009100     03  :MMEX:-INTERFACE-OPTIONS.
009200         05  :MMEX:-MAINT-INTERFACE-IND
009300                             PIC  X(01).
009400             88  :MMEX:-MAINT-INTERFACE-NO   VALUE 'N'.
009500             88  :MMEX:-MAINT-INTERFACE-YES  VALUE 'Y'.
009600*
009700     03  :MMEX:-TARGET-OPTIONS.
009800         05  :MMEX:-TARGET-STORE-IND
009900                             PIC  X(01).
010000             88  :MMEX:-TARGET-STORE-NO      VALUE 'N'.
010100             88  :MMEX:-TARGET-STORE-YES     VALUE 'Y'.
010200         05  :MMEX:-TARGET-MERCHANT-IND
010300                             PIC  X(01).
010400             88  :MMEX:-TARGET-MERCHANT-NO   VALUE 'N'.
010500             88  :MMEX:-TARGET-MERCHANT-YES  VALUE 'Y'.
010600         05  :MMEX:-TARGET-PRODUCT-IND
010700                             PIC  X(01).
010800             88  :MMEX:-TARGET-PRODUCT-NO    VALUE 'N'.
010900             88  :MMEX:-TARGET-PRODUCT-YES   VALUE 'Y'.
011000*
011100     03  :MMEX:-RUN-TIME-DATA.
011200         05  :MMEX:-ORIG-OPER
011300                             PIC  X(03).
011400         05  :MMEX:-LAST-OPER
011500                             PIC  X(03).
011600         05  :MMEX:-LAST-RUN-DATE
011700                             PIC S9(07)      COMP-3.
011800         05  :MMEX:-LAST-RUN-TIME
011900                             PIC S9(07)      COMP-3.
012000         05  :MMEX:-LAST-PROC-REQUEST-SW
012100                             PIC  X(01).
012200             88  :MMEX:-LAST-PROC-REQUEST-ON
012300                                             VALUE 'Y'.
012400             88  :MMEX:-LAST-PROC-REQUEST-OFF
012500                                             VALUE 'N'.
012600*
012700*****************************************************************
012800*                SELECTION CRITERIA                             *
012900*****************************************************************
013000*
013100     03  :MMEX:-SELECTION-AREA.
013200         05  :MMEX:-SELECT-CRITERIA          OCCURS 70 TIMES
013300                                             INDEXED BY
013400                                             X-:MMEX:-SEL
013500                                             X-:MMEX:-SEL-1
013600                                             X-:MMEX:-SEL-2.
013700             07  :MMEX:-SELECT-SCREEN-DATA.
013800                 09  :MMEX:-SELECT-FIELD-CODE.
013900                     11  :MMEX:-SELECT-FILE-ID
014000                             PIC  X(02).
014100                     11  :MMEX:-SELECT-FIELD-NBR
014200                             PIC  9(04).
014300                 09  :MMEX:-SELECT-CONDITION
014400                             PIC  X(02).
014500                 09  :MMEX:-SELECT-FIELD-VALUE
014600                             PIC  X(50).
014700                 09  :MMEX:-SELECT-CONNECTOR
014800                             PIC  X(05).
014900             07  :MMEX:-SELECT-DICTIONARY-DATA.
015000                 09  :MMEX:-SELECT-MAP-CODE
015100                             PIC  X(04).
015200                 09  :MMEX:-SELECT-START-POS
015300                             PIC  9(05).
015400                 09  :MMEX:-SELECT-LENGTH
015500                             PIC  9(02).
015600                 09  :MMEX:-SELECT-SPECIAL-DATA
015700                             PIC  X(01).
015800                 09  :MMEX:-SELECT-FILE-FORMAT
015900                             PIC  X(02).
016000                 09  :MMEX:-SELECT-SINGLE-STORE
016100                             PIC  X(01).
016200                 09  :MMEX:-SELECT-FIELD-DESC
016300                             PIC  X(22).
016400*
016500*****************************************************************
016600*               MAINTENANCE CRITERIA                            *
016700*****************************************************************
016800*
016900     03  :MMEX:-MAINTENANCE-AREA.
017000         05  :MMEX:-MAINT-CRITERIA           OCCURS 35 TIMES
017100                                             INDEXED BY
017200                                             X-:MMEX:-MAINT
017300                                             X-:MMEX:-MAINT-1
017400                                             X-:MMEX:-MAINT-2.
017500             07  :MMEX:-MAINT-SCREEN-DATA.
017600                 09  :MMEX:-MAINT-FIELD-CODE.
017700                     11  :MMEX:-MAINT-FILE-ID
017800                             PIC  X(02).
017900                     11  :MMEX:-MAINT-FIELD-NBR
018000                             PIC  9(04).
018100                 09  :MMEX:-MAINT-FIELD-VALUE
018200                             PIC  X(50).
018300                 09  :MMEX:-MAINT-ROUND-OPTION
018400                             PIC  X(01).
018500             07  :MMEX:-MAINT-DICTIONARY-DATA.
018600                 09  :MMEX:-MAINT-MAP-CODE
018700                             PIC  X(04).
018800                 09  :MMEX:-MAINT-START-POS
018900                             PIC  9(05).
019000                 09  :MMEX:-MAINT-LENGTH
019100                             PIC  9(02).
019200                 09  :MMEX:-MAINT-SPECIAL-DATA
019300                             PIC  X(01).
019400                 09  :MMEX:-MAINT-FILE-FORMAT
019500                             PIC  X(02).
019600                 09  :MMEX:-MAINT-SINGLE-STORE
019700                             PIC  X(01).
019800                 09  :MMEX:-MAINT-FIELD-DESC
019900                             PIC  X(22).
020000*
020100     03  FILLER              PIC  X(5910).
020200*
