000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMFPIR ---- FRAUD REPORTING PARAMETERS FILE ---- 0500 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMFPIR-RECORD.
001000     03  MMFPIR-KEY.
001100         88  MMFPIR-HEADER                   VALUE ZERO.
001200         88  MMFPIR-TRAILER                  VALUE ALL '9'.
001300         05  MMFPIR-ORG-TABLE.
001400             07  MMFPIR-ORG-X.
001500                 09  MMFPIR-ORG
001600                             PIC  9(03)      VALUE ZERO.
001700             07  MMFPIR-TABLE-X.
001800                 09  MMFPIR-TABLE-NBR
001900                             PIC  9(09)      VALUE ZERO.
002000*
002100     03  MMFPIR-STATUS-INFORMATION.
002200         05  MMFPIR-REC-STATUS
002300                             PIC  9(01)      VALUE ZERO.
002400             88  MMFPIR-REC-INCOMPLETE       VALUE ZERO.
002500             88  MMFPIR-REC-ACTIVE           VALUE 1.
002600             88  MMFPIR-REC-INACTIVE         VALUE 2.
002700             88  MMFPIR-REC-PURGED           VALUE 9.
002800         05  MMFPIR-ONLINE-STATUS
002900                             PIC  9(02)      VALUE ZERO.
003000             88  MMFPIR-ADD-PENDING          VALUE 00 THRU 49.
003100             88  MMFPIR-ADD-COMPLETED        VALUE 99.
003200         05  MMFPIR-LAST-MAINT-DATE
003300                             PIC S9(07)      COMP-3 VALUE ZERO.
003400         05  MMFPIR-LAST-MAINT-OPER
003500                             PIC  X(03)      VALUE SPACES.
003600*****************************************************************
003700*                      FRAUD CONTROL                            *
003800*****************************************************************
003900*                                                               *
004000*    FRAUD INDICATORS ARE AS FOLLOWS:                           *
004100*                                                               *
004200*  ELEMENT  FRAUD INDICATOR        ELEMENT   FRAUD INDICATOR    *
004300*   *--*****----------------*      *--*****-----------------*   *
004400*    01 DAILY SALES AMT            02 DAILY SALES NBR           *
004500*    03 DAILY RETURNS AMT          04 DAILY RETURNS NBR         *
004600*    05 DAILY AUTHORIZATION AMT    06 DAILY AUTHORIZATION NBR   *
004700*    07 DAILY CHGBACK CR AMT       08 DAILY CHGBACK NBR         *
004800*    09 DAILY RETRIEVAL REQ AMT    10 DAILY RETRIEVAL REQ NBR   *
004900*    11 DAILY AVERAGE TICKET       12 DAILY TRANSACTION NBR     *
005000*    13 DAILY MERCH DEPOSIT AMT    14 DAILY MERCH DEPOSIT NBR   *
005100*    15 DAILY KEYED DEPOSIT AMT    16 DAILY KEYED DEPOSIT NBR   *
005200*    17 DAILY AUTH KEYED AMT       18 DAILY AUTH KEYED NBR      *
005300*    19 RESERVED FOR FUTURE USE    20 RESERVED FOR FUTURE USE   *
005400*    21 RESERVED FOR FUTURE USE    22 RESERVED FOR FUTURE USE   *
005500*    23 RESERVED FOR FUTURE USE    24 RESERVED FOR FUTURE USE   *
005600*    25 RESERVED FOR FUTURE USE    26 RESERVED FOR FUTURE USE   *
005700*    27 RESERVED FOR FUTURE USE    28 RESERVED FOR FUTURE USE   *
005800*    29 RESERVED FOR FUTURE USE    30 RESERVED FOR FUTURE USE   *
005900*                                                               *
006000*    31 WEEKLY SALES AMT           32 WEEKLY DEP AMT            *
006100*    33 WEEKLY DEPOSITS AMT        34 WEEKLY DEPOSITS NBR       *
006200*    35 WEEKLY RETURNS AMT         36 WEEKLY RETURNS NBR        *
006300*    37 WEEKLY CHGBACK AMT         38 WEEKLY CHGBACK NBR        *
006400*    39 RESERVED FOR FUTURE USE    40 RESERVED FOR FUTURE USE   *
006500*    41 MTD CHGBACK MEMO AMT       42 MTD CHGBACK MEMO NBR      *
006600*    43 MTD SALES AMT              44 MTD RETURN AMT            *
006700*    45 MTD REFUNDS AMT            46 MTD CHGBACK NBR           *
006800*    47 RESERVED FOR FUTURE USE    48 RESERVED FOR FUTURE USE   *
006900*    49 %CHARGEBAKS:SALES          50 %CREDITS:SALES            *
007000*    51 %KEYED:SWIPED SALES        52 %TRANS BELOW FLOOR LIMIT  *
007100*    53 %KEYED:SWIPED AUTHS        54 %RETRIEVAL REQ:SALES      *
007200*    55 %%DECLINES:AUTH RESP       56 RESERVED FOR FUTURE USE   *
007300*    57 RESERVED FOR FUTURE USE    58 RESERVED FOR FUTURE USE   *
007400*    59 RESERVED FOR FUTURE USE    60 RESERVED FOR FUTURE USE   *
007500*                                                               *
007600*****************************************************************
007700*
007800     03  MMFPIR-FRAUD-INDICATORS.
007900         05  MMFPIR-FRAUD-TABLE-DESC
008000                             PIC  X(30)      VALUE SPACES.
008100         05  MMFPIR-FRAUD-AVG-NBR-MONTHS
008200                             PIC  9(02)      VALUE ZERO.
008300         05  MMFPIR-FRAUD-AVG-ELAP-DAYS
008400                             PIC  9(03)      VALUE ZERO.
008500         05  MMFPIR-FRAUD-LAST-DEP-EXCESS
008600                             PIC  9(03)      VALUE ZERO.
008700         05  MMFPIR-FRAUD-CHGBACK-EXCESS
008800                             PIC  9(03)      VALUE ZERO.
008900         05  MMFPIR-FRAUD-SALE-EXCESS-AMT
009000                             PIC S9(17)      COMP-3 VALUE ZERO.
009100         05  MMFPIR-FRAUD-AUTH-EXCESS-AMT
009200                             PIC S9(17)      COMP-3 VALUE ZERO.
009300         05  MMFPIR-FRAUD-WEEK-EXCESS-SALES
009400                             PIC S9(17)      COMP-3 VALUE ZERO.
009500*
009600         05  MMFPIR-FRAUD-ELEMENT-TABLE-X.
009700             07  MMFPIR-FRAUD-ELEMENT-TABLE  OCCURS 60 TIMES
009800                                             INDEXED BY
009900                                             X-MMFPIR-FRAUD.
010000                 09  MMFPIR-FRAUD-VARIANCE-OVER
010100                             PIC S9(02)V999  COMP-3 VALUE ZERO.
010200                     88  MMFPIR-FVO-NOT-USED VALUE ZERO.
010300                 09  MMFPIR-FRAUD-VARIANCE-UNDER
010400                             PIC SV999       COMP-3 VALUE ZERO.
010500                     88  MMFPIR-FVU-NOT-USED VALUE ZERO.
010600*
010700     03  FILLER              PIC  X(110)     VALUE SPACES.
010800*
010900*
011000*       ***************************************************
011100*       *              END OF COPYBOOK MMFPIR             *
011200*       ***************************************************
