000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMFSRL ---- MERCHANT FIELD SECURITY RECORD ---- 4080 BYTES   *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMFS-RECORD.
001000     03  MMFS-KEY.
001100         05  MMFS-ORG-FS-CODE.
001200             88  MMFS-HEADER                 VALUE '000 '.
001300             88  MMFS-TRAILER                VALUE '999 '.
001400             07  MMFS-ORG-X.
001500                 09  MMFS-ORG
001600                             PIC  9(03).
001700             07  MMFS-FS-CODE
001800                             PIC  X(01).
001900                 88  MMFS-VALID-FS-CODE      VALUE SPACE
002000                                                   'A' THRU 'Z'
002100                                                   '0' THRU '9'.
002200*
002300     03  MMFS-STATUS-INFORMATION.
002400         05  MMFS-REC-STATUS PIC  9(01).
002500             88  MMFS-REC-INCOMPLETE         VALUE 0.
002600             88  MMFS-REC-ACTIVE             VALUE 1.
002700             88  MMFS-REC-INACTIVE           VALUE 2.
002800             88  MMFS-REC-PURGED             VALUE 9.
002900         05  MMFS-ONLINE-STATUS
003000                             PIC  9(02).
003100             88  MMFS-ADD-PENDING            VALUE 00 THRU 49.
003200             88  MMFS-ADD-COMPLETE           VALUE 99.
003300         05  MMFS-LAST-MAINT-DATE
003400                             PIC S9(07)      COMP-3.
003500         05  MMFS-LAST-MAINT-OPER
003600                             PIC  X(03).
003700*
003800     03  MMFS-NAME           PIC  X(30).
003900*
004000     03  MMFS-MERCHANT-DATA.
004100         05  MMFS-MERCHANT-TABLE             OCCURS 1000 TIMES
004200                                             INDEXED BY
004300                                             X-MMFS-MERCH.
004400             07  MMFS-MT-FIELD-ATTR
004500                             PIC  9(01).
004600                 88  MMFS-MT-OPTIONAL        VALUE 0 2.
004700                 88  MMFS-MT-REQUIRED        VALUE 1 3.
004800                 88  MMFS-MT-NO-MAINT        VALUE 2 3.
004900                 88  MMFS-MT-MAINT-ONLY      VALUE 4.
005000                 88  MMFS-MT-MAINT-ALLOWED   VALUE 0 1 4.
005100                 88  MMFS-MT-NO-ACCESS       VALUE 5.
005200                 88  MMFS-MT-INQ-ONLY        VALUE 6.
005300                 88  MMFS-MT-VALID-FIELD-ATTR
005400                                             VALUE 0 1 2 3 4 5 6.
005500             07  MMFS-MT-AUDIT-CODE
005600                             PIC  X(01).
005700                 88  MMFS-MT-AUDIT-REPORT    VALUE 'Y'.
005800                 88  MMFS-MT-NO-AUDIT-REPORT VALUE 'N'.
005900                 88  MMFS-MT-VALID-AUDIT-CODE
006000                                             VALUE 'Y' 'N'.
006100*
006200     03  MMFS-STORE-DATA.
006300         05  MMFS-STORE-TABLE                OCCURS 1000 TIMES
006400                                             INDEXED BY
006500                                             X-MMFS-STORE.
006600             07  MMFS-ST-FIELD-ATTR
006700                             PIC  9(01).
006800                 88  MMFS-ST-OPTIONAL        VALUE 0 2.
006900                 88  MMFS-ST-REQUIRED        VALUE 1 3.
007000                 88  MMFS-ST-NO-MAINT        VALUE 2 3.
007100                 88  MMFS-ST-MAINT-ONLY      VALUE 4.
007200                 88  MMFS-ST-MAINT-ALLOWED   VALUE 0 1 4.
007300                 88  MMFS-ST-NO-ACCESS       VALUE 5.
007400                 88  MMFS-ST-INQ-ONLY        VALUE 6.
007500                 88  MMFS-ST-VALID-FIELD-ATTR
007600                                             VALUE 0 1 2 3 4 5 6.
007700             07  MMFS-ST-AUDIT-CODE
007800                             PIC  X(01).
007900                 88  MMFS-ST-AUDIT-REPORT    VALUE 'Y'.
008000                 88  MMFS-ST-NO-AUDIT-REPORT VALUE 'N'.
008100                 88  MMFS-ST-VALID-AUDIT-CODE
008200                                             VALUE 'Y' 'N'.
008300*
008400     03  FILLER              PIC  X(36).
008500*
008600*       ***************************************************
008700*       *              END OF COPYBOOK MMFSRL             *
008800*       ***************************************************
