000100*****************************************************************
000200*                                                               *
000300*        M E R C H A N T   B A N K C A R D  S Y S T E M         *
000400*                                                               *
000500*  MMIFIR - MERCHANT INCOME FACTORS INITIALIZER -  16300 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*  N O T E --- IF YOU MAKE A CHANGE TO THIS COPY BOOK, PLEASE   *
000900*              MAKE A CORRESPONDING CHANGE TO COPY BOOK MMEFRL. *
001000*****************************************************************
001100*
001200 01  :MMIF:IR-RECORD.
001300     03  :MMIF:IR-KEY.
001400         88  :MMIF:IR-HEADER                 VALUE ZERO.
001500         88  :MMIF:IR-TRAILER                VALUE '999999999999'.
001600         05  :MMIF:IR-ORG-TABLE.
001700             07  :MMIF:IR-ORG-X.
001800                 09 :MMIF:IR-ORG
001900                             PIC  9(03)      VALUE ZERO.
002000             07  :MMIF:IR-TABLE-X.
002100                 09  :MMIF:IR-TABLE-NBR
002200                             PIC  9(09)      VALUE ZERO.
002300*
002400     03  :MMIF:IR-STATUS-INFORMATION.
002500         05  :MMIF:IR-REC-STATUS
002600                             PIC  9(01)      VALUE ZERO.
002700             88  :MMIF:IR-REC-INCOMPLETE     VALUE 0.
002800             88  :MMIF:IR-REC-ACTIVE         VALUE 1.
002900             88  :MMIF:IR-REC-INACTIVE       VALUE 2.
003000             88  :MMIF:IR-REC-PURGED         VALUE 9.
003100*
003200         05  :MMIF:IR-ONLINE-STATUS
003300                             PIC  9(02)      VALUE ZERO.
003400             88  :MMIF:IR-ADD-PENDING        VALUE 00 THRU 49.
003500             88  :MMIF:IR-ADD-COMPLETED      VALUE 99.
003600*
003700         05  :MMIF:IR-LAST-MAINT-DATE
003800                             PIC S9(07)      COMP-3 VALUE ZERO.
003900*
004000         05  :MMIF:IR-LAST-MAINT-OPER
004100                             PIC  X(03)      VALUE SPACES.
004200*
004300     03  :MMIF:IR-TABLE-NAME PIC  X(30)      VALUE SPACES.
004400******************************************************************
004500*    PER ITEM CHARGES                                            *
004600******************************************************************
004700*
004800     03  :MMIF:IR-PER-ITEM-CHARGES.
004900         05  :MMIF:IR-SALES-FEE
005000                             PIC S9(09)      COMP-3 VALUE ZERO.
005100         05  :MMIF:IR-RETURNS-FEE
005200                             PIC S9(09)      COMP-3 VALUE ZERO.
005300         05  :MMIF:IR-BATCH-HDR-FEE
005400                             PIC S9(09)      COMP-3 VALUE ZERO.
005500         05  :MMIF:IR-KEYED-FEE
005600                             PIC S9(09)      COMP-3 VALUE ZERO.
005700         05  :MMIF:IR-SWIPED-FEE
005800                             PIC S9(09)      COMP-3 VALUE ZERO.
005900         05  :MMIF:IR-USER-INP-FEE
006000                             PIC S9(09)      COMP-3 VALUE ZERO.
006100         05  :MMIF:IR-LOCAL-INP-FEE
006200                             PIC S9(09)      COMP-3 VALUE ZERO.
006300         05  :MMIF:IR-CHECK-APPR-FEE
006400                             PIC S9(09)      COMP-3 VALUE ZERO.
006500         05  :MMIF:IR-ADJ-INPUT-FEE
006600                             PIC S9(09)      COMP-3 VALUE ZERO.
006700         05  :MMIF:IR-CHGBACK-FEE
006800                             PIC S9(09)      COMP-3 VALUE ZERO.
006900         05  :MMIF:IR-ACH-FEE
007000                             PIC S9(09)      COMP-3 VALUE ZERO.
007100         05  :MMIF:IR-POS-1-CAP-FEE
007200                             PIC S9(09)      COMP-3 VALUE ZERO.
007300         05  :MMIF:IR-POS-2-CAP-FEE
007400                             PIC S9(09)      COMP-3 VALUE ZERO.
007500         05  :MMIF:IR-POS-3-CAP-FEE
007600                             PIC S9(09)      COMP-3 VALUE ZERO.
007700         05  :MMIF:IR-IN-STORE-PMT-FEE
007800                             PIC S9(09)      COMP-3 VALUE ZERO.
007900         05  :MMIF:IR-RETRIEVAL-FEE
008000                             PIC S9(09)      COMP-3 VALUE ZERO.
008100         05  :MMIF:IR-FUTURE-USE-PER-ITEM-2
008200                             PIC S9(09)      COMP-3 VALUE ZERO.
008300         05  :MMIF:IR-FUTURE-USE-PER-ITEM-1
008400                             PIC S9(09)      COMP-3 VALUE ZERO.
008500*
008600******************************************************************
008700*    AUTHORIZATION CHARGES                                       *
008800******************************************************************
008900*
009000     03  :MMIF:IR-AUTH-CHARGES.
009100         05  :MMIF:IR-VOICE-AUTH-FEE
009200                             PIC S9(09)      COMP-3 VALUE ZERO.
009300         05  :MMIF:IR-VOICE-AUTH-DECL-FEE
009400                             PIC S9(09)      COMP-3 VALUE ZERO.
009500         05  :MMIF:IR-POS-1-AUTH-FEE
009600                             PIC S9(09)      COMP-3 VALUE ZERO.
009700         05  :MMIF:IR-POS-1-AUTH-DECL-FEE
009800                             PIC S9(09)      COMP-3 VALUE ZERO.
009900         05  :MMIF:IR-POS-2-AUTH-FEE
010000                             PIC S9(09)      COMP-3 VALUE ZERO.
010100         05  :MMIF:IR-POS-2-AUTH-DECL-FEE
010200                             PIC S9(09)      COMP-3 VALUE ZERO.
010300         05  :MMIF:IR-POS-3-AUTH-FEE
010400                             PIC S9(09)      COMP-3 VALUE ZERO.
010500         05  :MMIF:IR-POS-3-AUTH-DECL-FEE
010600                             PIC S9(09)      COMP-3 VALUE ZERO.
010700*
010800******************************************************************
010900*    MISCELLANEOUS CHARGES                                       *
011000******************************************************************
011100*
011200     03  :MMIF:IR-MISC-FEES.
011300         05  :MMIF:IR-STATEMENT-FEE
011400                             PIC S9(09)      COMP-3 VALUE ZERO.
011500         05  :MMIF:IR-MEMBERSHIP-FEE
011600                             PIC S9(09)      COMP-3 VALUE ZERO.
011700         05  :MMIF:IR-SETUP-FEE
011800                             PIC S9(09)      COMP-3 VALUE ZERO.
011900         05  :MMIF:IR-ADMIN-FEE
012000                             PIC S9(09)      COMP-3 VALUE ZERO.
012100         05  :MMIF:IR-LOCATION-FEE
012200                             PIC S9(09)      COMP-3 VALUE ZERO.
012300         05  :MMIF:IR-BULLETIN-FEE
012400                             PIC S9(09)      COMP-3 VALUE ZERO.
012500         05  :MMIF:IR-FUTURE-MISC-FEE-2
012600                             PIC S9(09)      COMP-3 VALUE ZERO.
012700         05  :MMIF:IR-FUTURE-MISC-FEE-1
012800                             PIC S9(09)      COMP-3 VALUE ZERO.
012900*
013000******************************************************************
013100*    EQUIPMENT CHARGES                                           *
013200******************************************************************
013300*
013400     03  :MMIF:IR-EQUIPMENT-FEES.
013500         05  :MMIF:IR-IMP-1-DEV-FEE
013600                             PIC S9(09)      COMP-3 VALUE ZERO.
013700         05  :MMIF:IR-IMP-2-DEV-FEE
013800                             PIC S9(09)      COMP-3 VALUE ZERO.
013900         05  :MMIF:IR-IMP-3-DEV-FEE
014000                             PIC S9(09)      COMP-3 VALUE ZERO.
014100         05  :MMIF:IR-POS-1-DEV-FEE
014200                             PIC S9(09)      COMP-3 VALUE ZERO.
014300         05  :MMIF:IR-POS-2-DEV-FEE
014400                             PIC S9(09)      COMP-3 VALUE ZERO.
014500         05  :MMIF:IR-POS-3-DEV-FEE
014600                             PIC S9(09)      COMP-3 VALUE ZERO.
014700*
014800******************************************************************
014900*    USER FEES CHARGES                                           *
015000******************************************************************
015100*
015200     03  :MMIF:IR-USER-FEES-CHARGES.
015300         05  :MMIF:IR-USER-FEES-TABLE-X.
015400             07  :MMIF:IR-USER-FEES-TABLE    OCCURS 10 TIMES
015500                                             INDEXED BY
015600                                             X-:MMIF:IR-UFT.
015700                 09  :MMIF:IR-USER-FEE-IND
015800                             PIC  X(01)      VALUE 'P'.
015900                     88  :MMIF:IR-UFI-IS-AMT VALUE 'A'.
016000                     88  :MMIF:IR-UFI-IS-PCT VALUE 'P'.
016100*
016200                 09  :MMIF:IR-USER-FEE-AMT
016300                             PIC S9(09)      COMP-3 VALUE ZERO.
016400                 09  :MMIF:IR-USER-FEE-PCT
016500                             REDEFINES :MMIF:IR-USER-FEE-AMT
016600                             PIC S9(09)      COMP-3.
016700*
016800******************************************************************
016900*    MERCHANT INTERCHANGE FEE AREA                               *
017000******************************************************************
017100*
017200     03  :MMIF:IR-INTCHG-AREA.
017300         05  :MMIF:IR-INTCHG-FEES-TABLE-X.
017400             07  :MMIF:IR-INTCHG-FEE-TABLE   OCCURS 2 TIMES
017500                                             INDEXED BY
017600                                             X-:MMIF:IR-IFT
017700                                             X-:MMIF:IR-VISA
017800                                             X-:MMIF:IR-MC.
017900                 09  :MMIF:IR-INTCHG-QUAL-LEVEL OCCURS 99 TIMES
018000                                             INDEXED BY
018100                                             X-:MMIF:IR-QL
018200                                             X-:MMIF:IR-QL-VISA
018300                                             X-:MMIF:IR-QL-MC.
018400                     11  :MMIF:IR-INTCHG-RATE
018500                             PIC S9(07)      COMP-3 VALUE ZERO.
018600                     11  :MMIF:IR-INTCHG-PER-ITEM
018700                             PIC S9(09)      COMP-3 VALUE ZERO.
018800*
018900         05  :MMIF:IR-PL-INTCHG-FEES-TABLE-X.
019000             07  :MMIF:IR-PL-INTCHG-FEE-TABLE OCCURS 99 TIMES
019100                                             INDEXED BY
019200                                             X-:MMIF:IR-PL-IFT.
019300                 09  :MMIF:IR-PL-INTCHG-QUAL-LEVEL
019400                                             OCCURS 9 TIMES
019500                                             INDEXED BY
019600                                             X-:MMIF:IR-PL-QL.
019700                     11  :MMIF:IR-PL-INTCHG-RATE
019800                             PIC S9(07)      COMP-3 VALUE ZERO.
019900                     11  :MMIF:IR-PL-INTCHG-PER-ITEM
020000                             PIC S9(09)      COMP-3 VALUE ZERO.
020100*
020200*
020300******************************************************************
020400*    CARD PRODUCT CHARGES                                        *
020500******************************************************************
020600*
020700     03  :MMIF:IR-PRODUCT-FEES-AREA.
020800         05  :MMIF:IR-PRODUCT-FEES-TABLE-X.
020900             07  :MMIF:IR-PRODUCT-FEES-TABLE OCCURS 99 TIMES
021000                                             INDEXED BY
021100                                             X-:MMIF:IR-PROD-FEES.
021200*
021300                 09  :MMIF:IR-PROD-AUTH-APPR-FEE
021400                             PIC S9(09)      COMP-3 VALUE ZERO.
021500                 09  :MMIF:IR-PROD-AUTH-DECL-FEE
021600                             PIC S9(09)      COMP-3 VALUE ZERO.
021700                 09  :MMIF:IR-PROD-USER-FEE-TABLE-X.
021800                     11  :MMIF:IR-PROD-USER-FEE-TABLE
021900                                             OCCURS 3 TIMES
022000                                             INDEXED BY
022100                                             X-:MMIF:IR-PUF.
022200                         13  :MMIF:IR-PUF-IND
022300                             PIC  X(01)      VALUE 'P'.
022400                             88  :MMIF:IR-PUF-IND-IS-AMT
022500                                             VALUE 'A'.
022600                             88  :MMIF:IR-PUF-IND-IS-PCT
022700                                             VALUE 'P'.
022800                         13  :MMIF:IR-PUF-AMT
022900                             PIC S9(09)      COMP-3 VALUE ZERO.
023000                         13  :MMIF:IR-PUF-PCT
023100                             REDEFINES :MMIF:IR-PUF-AMT
023200                             PIC S9(09)      COMP-3.
023300*
023400             07  FILLER      PIC  X(3415)    VALUE SPACES.
023500*
023600*       ***************************************************
023700*       *              END OF COPYBOOK MMIFIR             *
023800*       ***************************************************
