000100*****************************************************************
000200*                                                               *
000300*        M E R C H A N T   B A N K C A R D  S Y S T E M         *
000400*                                                               *
000500*  MMIFRL ---- MERCHANT INCOME FACTORS RECORD ---- 16300 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*  OTHER FILES USING THIS PSUEDO-TEXT COPY BOOK ARE:            *
000900*                                                               *
001000*  MMEF---MERCHANT EXPENSE FACTORS FILE                         *
001100*                                                               *
001200*****************************************************************
001300*
001400 01  :MMIF:-RECORD.
001500     03  :MMIF:-KEY.
001600         88  :MMIF:-HEADER                   VALUE ZERO.
001700         88  :MMIF:-TRAILER                  VALUE '999999999999'.
001800         05  :MMIF:-ORG-TABLE.
001900             07  :MMIF:-ORG-X.
002000                 09 :MMIF:-ORG
002100                             PIC  9(03).
002200             07  :MMIF:-TABLE-X.
002300                 09  :MMIF:-TABLE-NBR
002400                             PIC  9(09).
002500*
002600     03  :MMIF:-STATUS-INFORMATION.
002700         05  :MMIF:-REC-STATUS
002800                             PIC  9(01).
002900             88  :MMIF:-REC-INCOMPLETE       VALUE 0.
003000             88  :MMIF:-REC-ACTIVE           VALUE 1.
003100             88  :MMIF:-REC-INACTIVE         VALUE 2.
003200             88  :MMIF:-REC-PURGED           VALUE 9.
003300*
003400         05  :MMIF:-ONLINE-STATUS
003500                             PIC  9(02).
003600             88  :MMIF:-ADD-PENDING          VALUE 00 THRU 49.
003700             88  :MMIF:-ADD-COMPLETED        VALUE 99.
003800*
003900         05  :MMIF:-LAST-MAINT-DATE
004000                             PIC S9(07)      COMP-3.
004100*
004200         05  :MMIF:-LAST-MAINT-OPER
004300                             PIC  X(03).
004400*
004500     03  :MMIF:-TABLE-NAME   PIC  X(30).
004600******************************************************************
004700*    PER ITEM CHARGES                                            *
004800******************************************************************
004900*
005000     03  :MMIF:-PER-ITEM-CHARGES.
005100         05  :MMIF:-SALES-FEE
005200                             PIC S9(09)      COMP-3.
005300         05  :MMIF:-RETURNS-FEE
005400                             PIC S9(09)      COMP-3.
005500         05  :MMIF:-BATCH-HDR-FEE
005600                             PIC S9(09)      COMP-3.
005700         05  :MMIF:-KEYED-FEE
005800                             PIC S9(09)      COMP-3.
005900         05  :MMIF:-SWIPED-FEE
006000                             PIC S9(09)      COMP-3.
006100         05  :MMIF:-USER-INP-FEE
006200                             PIC S9(09)      COMP-3.
006300         05  :MMIF:-LOCAL-INP-FEE
006400                             PIC S9(09)      COMP-3.
006500         05  :MMIF:-CHECK-APPR-FEE
006600                             PIC S9(09)      COMP-3.
006700         05  :MMIF:-ADJ-INPUT-FEE
006800                             PIC S9(09)      COMP-3.
006900         05  :MMIF:-CHGBACK-FEE
007000                             PIC S9(09)      COMP-3.
007100         05  :MMIF:-ACH-FEE
007200                             PIC S9(09)      COMP-3.
007300         05  :MMIF:-POS-1-CAP-FEE
007400                             PIC S9(09)      COMP-3.
007500         05  :MMIF:-POS-2-CAP-FEE
007600                             PIC S9(09)      COMP-3.
007700         05  :MMIF:-POS-3-CAP-FEE
007800                             PIC S9(09)      COMP-3.
007900         05  :MMIF:-IN-STORE-PMT-FEE
008000                             PIC S9(09)      COMP-3.
008100         05  :MMIF:-RETRIEVAL-FEE
008200                             PIC S9(09)      COMP-3.
008300         05  :MMIF:-FUTURE-USE-PER-ITEM-2
008400                             PIC S9(09)      COMP-3.
008500         05  :MMIF:-FUTURE-USE-PER-ITEM-1
008600                             PIC S9(09)      COMP-3.
008700*
008800******************************************************************
008900*    AUTHORIZATION CHARGES                                       *
009000******************************************************************
009100*
009200     03  :MMIF:-AUTH-CHARGES.
009300         05  :MMIF:-VOICE-AUTH-FEE
009400                             PIC S9(09)      COMP-3.
009500         05  :MMIF:-VOICE-AUTH-DECL-FEE
009600                             PIC S9(09)      COMP-3.
009700         05  :MMIF:-POS-1-AUTH-FEE
009800                             PIC S9(09)      COMP-3.
009900         05  :MMIF:-POS-1-AUTH-DECL-FEE
010000                             PIC S9(09)      COMP-3.
010100         05  :MMIF:-POS-2-AUTH-FEE
010200                             PIC S9(09)      COMP-3.
010300         05  :MMIF:-POS-2-AUTH-DECL-FEE
010400                             PIC S9(09)      COMP-3.
010500         05  :MMIF:-POS-3-AUTH-FEE
010600                             PIC S9(09)      COMP-3.
010700         05  :MMIF:-POS-3-AUTH-DECL-FEE
010800                             PIC S9(09)      COMP-3.
010900*
011000******************************************************************
011100*    MISCELLANEOUS CHARGES                                       *
011200******************************************************************
011300*
011400     03  :MMIF:-MISC-FEES.
011500         05  :MMIF:-STATEMENT-FEE
011600                             PIC S9(09)      COMP-3.
011700         05  :MMIF:-MEMBERSHIP-FEE
011800                             PIC S9(09)      COMP-3.
011900         05  :MMIF:-SETUP-FEE
012000                             PIC S9(09)      COMP-3.
012100         05  :MMIF:-ADMIN-FEE
012200                             PIC S9(09)      COMP-3.
012300         05  :MMIF:-LOCATION-FEE
012400                             PIC S9(09)      COMP-3.
012500         05  :MMIF:-BULLETIN-FEE
012600                             PIC S9(09)      COMP-3.
012700         05  :MMIF:-FUTURE-MISC-FEE-2
012800                             PIC S9(09)      COMP-3.
012900         05  :MMIF:-FUTURE-MISC-FEE-1
013000                             PIC S9(09)      COMP-3.
013100*
013200******************************************************************
013300*    EQUIPMENT CHARGES                                           *
013400******************************************************************
013500*
013600     03  :MMIF:-EQUIPMENT-FEES.
013700         05  :MMIF:-IMP-1-DEV-FEE
013800                             PIC S9(09)      COMP-3.
013900         05  :MMIF:-IMP-2-DEV-FEE
014000                             PIC S9(09)      COMP-3.
014100         05  :MMIF:-IMP-3-DEV-FEE
014200                             PIC S9(09)      COMP-3.
014300         05  :MMIF:-POS-1-DEV-FEE
014400                             PIC S9(09)      COMP-3.
014500         05  :MMIF:-POS-2-DEV-FEE
014600                             PIC S9(09)      COMP-3.
014700         05  :MMIF:-POS-3-DEV-FEE
014800                             PIC S9(09)      COMP-3.
014900*
015000******************************************************************
015100*    USER FEES CHARGES                                           *
015200******************************************************************
015300*
015400     03  :MMIF:-USER-FEES-CHARGES.
015500         05  :MMIF:-USER-FEES-TABLE-X.
015600             07  :MMIF:-USER-FEES-TABLE      OCCURS 10 TIMES
015700                                             INDEXED BY
015800                                             X-:MMIF:-UFT.
015900                 09  :MMIF:-USER-FEE-IND
016000                             PIC  X(01).
016100                     88  :MMIF:-UFI-IS-AMT   VALUE 'A'.
016200                     88  :MMIF:-UFI-IS-PCT   VALUE 'P'.
016300*
016400                 09  :MMIF:-USER-FEE-AMT
016500                             PIC S9(09)      COMP-3.
016600                 09  :MMIF:-USER-FEE-PCT
016700                             REDEFINES :MMIF:-USER-FEE-AMT
016800                             PIC S9(09)      COMP-3.
016900*
017000******************************************************************
017100*    MERCHANT INTERCHANGE FEE AREA                               *
017200******************************************************************
017300*
017400     03  :MMIF:-INTCHG-AREA.
017500         05  :MMIF:-INTCHG-FEES-TABLE-X.
017600             07  :MMIF:-INTCHG-FEE-TABLE     OCCURS 2 TIMES
017700                                             INDEXED BY
017800                                             X-:MMIF:-IFT
017900                                             X-:MMIF:-VISA
018000                                             X-:MMIF:-MC.
018100                 09  :MMIF:-INTCHG-QUAL-LEVEL OCCURS 99 TIMES
018200                                             INDEXED BY
018300                                             X-:MMIF:-QL
018400                                             X-:MMIF:-QL-VISA
018500                                             X-:MMIF:-QL-MC.
018600                     11  :MMIF:-INTCHG-RATE
018700                             PIC S9(07)      COMP-3.
018800                     11  :MMIF:-INTCHG-PER-ITEM
018900                             PIC S9(09)      COMP-3.
019000*
019100         05  :MMIF:-PL-INTCHG-FEES-TABLE-X.
019200             07  :MMIF:-PL-INTCHG-FEE-TABLE  OCCURS 99 TIMES
019300                                             INDEXED BY
019400                                             X-:MMIF:-PL-IFT.
019500                 09  :MMIF:-PL-INTCHG-QUAL-LEVEL
019600                                             OCCURS 9 TIMES
019700                                             INDEXED BY
019800                                             X-:MMIF:-PL-QL.
019900                     11  :MMIF:-PL-INTCHG-RATE
020000                             PIC S9(07)      COMP-3.
020100                     11  :MMIF:-PL-INTCHG-PER-ITEM
020200                             PIC S9(09)      COMP-3.
020300*
020400*
020500******************************************************************
020600*    CARD PRODUCT CHARGES                                        *
020700******************************************************************
020800*
020900     03  :MMIF:-PRODUCT-FEES-AREA.
021000         05  :MMIF:-PRODUCT-FEES-TABLE-X.
021100             07  :MMIF:-PRODUCT-FEES-TABLE   OCCURS 99 TIMES
021200                                             INDEXED BY
021300                                             X-:MMIF:-PROD-FEES.
021400*
021500                 09  :MMIF:-PROD-AUTH-APPR-FEE
021600                             PIC S9(09)      COMP-3.
021700                 09  :MMIF:-PROD-AUTH-DECL-FEE
021800                             PIC S9(09)      COMP-3.
021900                 09  :MMIF:-PROD-USER-FEE-TABLE-X.
022000                     11  :MMIF:-PROD-USER-FEE-TABLE
022100                                             OCCURS 3 TIMES
022200                                             INDEXED BY
022300                                             X-:MMIF:-PUF.
022400                         13  :MMIF:-PUF-IND
022500                             PIC  X(01).
022600                             88  :MMIF:-PUF-IND-IS-AMT
022700                                             VALUE 'A'.
022800                             88  :MMIF:-PUF-IND-IS-PCT
022900                                             VALUE 'P'.
023000                         13  :MMIF:-PUF-AMT
023100                             PIC S9(09)      COMP-3.
023200                         13  :MMIF:-PUF-PCT
023300                             REDEFINES :MMIF:-PUF-AMT
023400                             PIC S9(09)      COMP-3.
023500*
023600             07  FILLER      PIC  X(3415).
023700*
023800*       ***************************************************
023900*       *              END OF COPYBOOK MMIFRL             *
024000*       ***************************************************
