000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMIFWS -- INCOME/EXPENSE FACTORS QUALIFICATION LEVEL TOTALS  *
000600*                                                               *
000700*****************************************************************
000800*   VISA/MASTERCARD QUALIFICATION LEVEL TOTALS                  *
000900*****************************************************************
001000 01  :MMIF:WS-VISA-MC-QL-TOTALS.
001100     03  :MMIF:WS-INTCHG-AREA.
001200         05  :MMIF:WS-INTCHG-FEES-TOTAL-X.
001300             07  :MMIF:WS-INTCHG-FEE-TOTAL   OCCURS 2 TIMES
001400                                             INDEXED BY
001500                                             X-:MMIF:WS-IFT
001600                                             X-:MMIF:WS-VISA
001700                                             X-:MMIF:WS-MC.
001800                 09  :MMIF:WS-INTCHG-QUAL-LEVEL
001900                                             OCCURS 99 TIMES
002000                                             INDEXED BY
002100                                             X-:MMIF:WS-QL
002200                                             X-:MMIF:WS-QL-VISA
002300                                             X-:MMIF:WS-QL-MC.
002400                     11  :MMIF:WS-INTCHG-QL-NBR
002500                             PIC S9(09)      COMP-3.
002600                     11  :MMIF:WS-INTCHG-QL-AMT
002700                             PIC S9(17)      COMP-3.
002800*
002900*
003000*
003100******************************************************************
003200*   PRIVATE LABLE QUALIFICATION LEVEL TOTALS                     *
003300******************************************************************
003400*
003500 01  :MMIF:WS-PL-QL-TOTALS.
003600     03  :MMIF:WS-PL-INTCHG-AREA.
003700         05  :MMIF:WS-PL-INTCHG-FEES-TOTAL-X.
003800             07  :MMIF:WS-PL-INTCHG-FEE-TOTAL OCCURS 99 TIMES
003900                                             INDEXED BY
004000                                             X-:MMIF:WS-PL-IFT.
004100                 09  :MMIF:WS-PL-INTCHG-QUAL-LEVEL
004200                                             OCCURS 9 TIMES
004300                                             INDEXED BY
004400                                             X-:MMIF:WS-PL-QL.
004500                     11  :MMIF:WS-PL-INTCHG-QL-NBR
004600                             PIC S9(09)      COMP-3.
004700                     11  :MMIF:WS-PL-INTCHG-QL-AMT
004800                             PIC S9(17)      COMP-3.
004900*
005000*
005100*
005200******************************************************************
005300*   FEE PERIOD 2 ACCUMULATORS                                    *
005400******************************************************************
005500*
005600 01  :MMIF:WS-FEE-PERIOD-2-AREA.
005700     03  :MMIF:WS-FEE-PERIOD-2-DATA.
005800         05  :MMIF:WS-FP2-SALES-NBR
005900                             PIC S9(09)      COMP-3 VALUE ZERO.
006000         05  :MMIF:WS-FP2-ADJ-INPUT-NBR
006100                             PIC S9(09)      COMP-3 VALUE ZERO.
006200         05  :MMIF:WS-FP2-RETURNS-NBR
006300                             PIC S9(09)      COMP-3 VALUE ZERO.
006400         05  :MMIF:WS-FP2-RETRIEVAL-NBR
006500                             PIC S9(09)      COMP-3 VALUE ZERO.
006600         05  :MMIF:WS-FP2-CHGBACK-NBR
006700                             PIC S9(09)      COMP-3 VALUE ZERO.
006800         05  :MMIF:WS-FP2-BATCH-HDR-NBR
006900                             PIC S9(09)      COMP-3 VALUE ZERO.
007000         05  :MMIF:WS-FP2-CHECK-APPR-NBR
007100                             PIC S9(09)      COMP-3 VALUE ZERO.
007200         05  :MMIF:WS-FP2-IN-STORE-PMT-NBR
007300                             PIC S9(09)      COMP-3 VALUE ZERO.
007400         05  :MMIF:WS-FP2-VOICE-AUTH-NBR
007500                             PIC S9(09)      COMP-3 VALUE ZERO.
007600         05  :MMIF:WS-FP2-VOICE-AUTH-DECL-NBR
007700                             PIC S9(09)      COMP-3 VALUE ZERO.
007800         05  :MMIF:WS-FP2-POS-1-AUTH-NBR
007900                             PIC S9(09)      COMP-3 VALUE ZERO.
008000         05  :MMIF:WS-FP2-POS-1-AUTH-DECL-NBR
008100                             PIC S9(09)      COMP-3 VALUE ZERO.
008200         05  :MMIF:WS-FP2-POS-2-AUTH-NBR
008300                             PIC S9(09)      COMP-3 VALUE ZERO.
008400         05  :MMIF:WS-FP2-POS-2-AUTH-DECL-NBR
008500                             PIC S9(09)      COMP-3 VALUE ZERO.
008600         05  :MMIF:WS-FP2-POS-3-AUTH-NBR
008700                             PIC S9(09)      COMP-3 VALUE ZERO.
008800         05  :MMIF:WS-FP2-POS-3-AUTH-DECL-NBR
008900                             PIC S9(09)      COMP-3 VALUE ZERO.
009000         05  :MMIF:WS-FP2-PROD-AUTHS         OCCURS 99 TIMES
009100                                             INDEXED BY
009200                                             X-:MMIF:WS-PROD-AUTH.
009300             07  :MMIF:WS-FP2-PROD-AUTH-APPR-NBR
009400                             PIC S9(09)      COMP-3 VALUE ZERO.
009500             07  :MMIF:WS-FP2-PROD-AUTH-DECL-NBR
009600                             PIC S9(09)      COMP-3 VALUE ZERO.
009700*
