000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMMMIR --- INITIALIZER ROUTINE WORK AREA AND INITIALIZER     *
000600*             RECORD LAYOUT.                                    *
000700*                                                               *
000800*****************************************************************
000900 01  MMMMIR-WORK-AREAS.
001000     03  MMMMIR-DATE         PIC S9(07)      COMP-3 VALUE ZERO.
001100     03  MMMMIR-OCC-ID-TABLE-X.
001200         05  MMMMIR-JAN      PIC  X(03)      VALUE 'JAN'.
001300         05  MMMMIR-FEB      PIC  X(03)      VALUE 'FEB'.
001400         05  MMMMIR-MAR      PIC  X(03)      VALUE 'MAR'.
001500         05  MMMMIR-APR      PIC  X(03)      VALUE 'APR'.
001600         05  MMMMIR-MAY      PIC  X(03)      VALUE 'MAY'.
001700         05  MMMMIR-JUN      PIC  X(03)      VALUE 'JUN'.
001800         05  MMMMIR-JUL      PIC  X(03)      VALUE 'JUL'.
001900         05  MMMMIR-AUG      PIC  X(03)      VALUE 'AUG'.
002000         05  MMMMIR-SEP      PIC  X(03)      VALUE 'SEP'.
002100         05  MMMMIR-OCT      PIC  X(03)      VALUE 'OCT'.
002200         05  MMMMIR-NOV      PIC  X(03)      VALUE 'NOV'.
002300         05  MMMMIR-DEC      PIC  X(03)      VALUE 'DEC'.
002400         05  MMMMIR-CUR      PIC  X(03)      VALUE 'CUR'.
002500         05  MMMMIR-MTD      PIC  X(03)      VALUE 'MTD'.
002600         05  MMMMIR-YTD      PIC  X(03)      VALUE 'YTD'.
002700         05  MMMMIR-CTD      PIC  X(03)      VALUE 'CTD'.
002800         05  MMMMIR-DTD      PIC  X(03)      VALUE 'DTD'.
002900         05  MMMMIR-PTD      PIC  X(03)      VALUE 'PTD'.
003000     03  MMMMIR-OCC-ID-TABLE-R
003100                             REDEFINES MMMMIR-OCC-ID-TABLE-X.
003200         05  MMMMIR-OIT      PIC  X(03)
003300                                             OCCURS 18 TIMES
003400                                             INDEXED BY
003500                                             X-MMMMIR-OIT.
003600/
003700*****************************************************************
003800*                                                               *
003900*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
004000*                                                               *
004100*  MMMMIR ------ MERCHANT MASTER INITIALIZER ------ 4080 BYTES  *
004200*                                                               *
004300*****************************************************************
004400*
004500 01  MMMMIR-RECORD.
004600     03  MMMMIR-KEY.
004700         88  MMMMIR-HEADER                   VALUE ZERO.
004800         88  MMMMIR-TRAILER                  VALUE ALL '9'.
004900         05  MMMMIR-ORG-MERCHANT.
005000             07  MMMMIR-ORG-X.
005100                 09  MMMMIR-ORG
005200                             PIC  9(03)      VALUE ZERO.
005300             07  MMMMIR-MERCHANT-X.
005400                 09  MMMMIR-MERCHANT
005500                             PIC  9(09)      VALUE ZERO.
005600*
005700     03  MMMMIR-STATUS-INFORMATION.
005800         05  MMMMIR-REC-STATUS
005900                             PIC  9(01)      VALUE ZERO.
006000             88  MMMMIR-REC-INCOMPLETE       VALUE 0.
006100             88  MMMMIR-REC-ACTIVE           VALUE 1.
006200             88  MMMMIR-REC-MODEL            VALUE 3.
006300             88  MMMMIR-REC-CLOSED           VALUE 6.
006400             88  MMMMIR-REC-PENDING-PURGE    VALUE 7.
006500             88  MMMMIR-REC-PURGING          VALUE 8.
006600             88  MMMMIR-REC-PURGED           VALUE 9.
006700         05  MMMMIR-ONLINE-STATUS
006800                             PIC  9(02)      VALUE ZERO.
006900             88  MMMMIR-ADD-PENDING          VALUE 00 THRU 49.
007000             88  MMMMIR-ADD-COMPLETED        VALUE 99.
007100         05  MMMMIR-LAST-MAINT-DATE
007200                             PIC S9(07)      COMP-3 VALUE ZERO.
007300         05  MMMMIR-LAST-MAINT-OPER
007400                             PIC  X(03)      VALUE SPACES.
007500*
007600*****************************************************************
007700*    STATISTICS CONTROL AREA                                    *
007800*****************************************************************
007900*
008000*
008100******************************************************************
008200* OCCURRENCE *---------------DATA CONTENT---------------*        *
008300*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
008400*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
008500*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
008600*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
008700*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
008800*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
008900*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
009000*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
009100*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
009200*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
009300*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
009400*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
009500*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
009600*    14     MONTH-TO-DATE STATS                                  *
009700*    15     YEAR-TO-DATE STATS                                   *
009800*    16     STATEMENT CYCLE-TO-DATE STATS                        *
009900*    17     DISCOUNT-TO-DATE STATS                               *
010000*    18     PARTICIPATION-TO-DATE STATS                          *
010100******************************************************************
010200*
010300     03  MMMMIR-STATS-CONTROL-AREA.
010400         05  MMMMIR-STATS-OCCUR-TABLE        OCCURS 18 TIMES
010500                                             INDEXED BY
010600                                             X-MMMMIR
010700                                             X-MMMMIR-1
010800                                             X-MMMMIR-2
010900                                             X-MMMMIR-3
011000                                             X-MMMMIR-4
011100                                             X-MMMMIR-5
011200                                             X-MMMMIR-6
011300                                             X-MMMMIR-SEARCH.
011400             07  MMMMIR-OCCURRENCE-DESC.
011500                 09  MMMMIR-OCCURRENCE-ID
011600                             PIC  X(03)      VALUE SPACES.
011700                     88  MMMMIR-OID-JAN      VALUE 'JAN'.
011800                     88  MMMMIR-OID-FEB      VALUE 'FEB'.
011900                     88  MMMMIR-OID-MAR      VALUE 'MAR'.
012000                     88  MMMMIR-OID-APR      VALUE 'APR'.
012100                     88  MMMMIR-OID-MAY      VALUE 'MAY'.
012200                     88  MMMMIR-OID-JUN      VALUE 'JUN'.
012300                     88  MMMMIR-OID-JUL      VALUE 'JUL'.
012400                     88  MMMMIR-OID-AUG      VALUE 'AUG'.
012500                     88  MMMMIR-OID-SEP      VALUE 'SEP'.
012600                     88  MMMMIR-OID-OCT      VALUE 'OCT'.
012700                     88  MMMMIR-OID-NOV      VALUE 'NOV'.
012800                     88  MMMMIR-OID-DEC      VALUE 'DEC'.
012900                     88  MMMMIR-OID-CUR      VALUE 'CUR'.
013000                     88  MMMMIR-OID-MTD      VALUE 'MTD'.
013100                     88  MMMMIR-OID-YTD      VALUE 'YTD'.
013200                     88  MMMMIR-OID-CTD      VALUE 'CTD'.
013300                     88  MMMMIR-OID-DTD      VALUE 'DTD'.
013400                     88  MMMMIR-OID-PTD      VALUE 'PTD'.
013500                 09  MMMMIR-OCCURRENCE-YEAR
013600                             PIC  9(04)      VALUE ZERO.
013700*
013800*****************************************************************
013900*    MERCHANT BALANCES                                          *
014000*****************************************************************
014100*
014200     03  MMMMIR-MERCHANT-BALANCES.
014300         05  MMMMIR-BAL-SETT
014400                             PIC S9(17)      COMP-3 VALUE ZERO.
014500         05  MMMMIR-PREV-BAL-SETT
014600                             PIC S9(17)      COMP-3 VALUE ZERO.
014700         05  MMMMIR-BAL-RESERVES-X.
014800             07  MMMMIR-BAL-RESV-1
014900                             PIC S9(17)      COMP-3 VALUE ZERO.
015000             07  MMMMIR-PREV-BAL-RESV-1
015100                             PIC S9(17)      COMP-3 VALUE ZERO.
015200             07  MMMMIR-BAL-RESV-2
015300                             PIC S9(17)      COMP-3 VALUE ZERO.
015400             07  MMMMIR-PREV-BAL-RESV-2
015500                             PIC S9(17)      COMP-3 VALUE ZERO.
015600             07  MMMMIR-BAL-RESV-3
015700                             PIC S9(17)      COMP-3 VALUE ZERO.
015800             07  MMMMIR-PREV-BAL-RESV-3
015900                             PIC S9(17)      COMP-3 VALUE ZERO.
016000             07  MMMMIR-BAL-RESV-4
016100                             PIC S9(17)      COMP-3 VALUE ZERO.
016200             07  MMMMIR-PREV-BAL-RESV-4
016300                             PIC S9(17)      COMP-3 VALUE ZERO.
016400         05  MMMMIR-BAL-RESERVES-R
016500                             REDEFINES MMMMIR-BAL-RESERVES-X.
016600             07  MMMMIR-BAL-RESV-TABLE       OCCURS 4 TIMES
016700                                             INDEXED BY
016800                                             X-MMMMIR-BAL-RESV.
016900                 09  MMMMIR-BAL-RESV
017000                             PIC S9(17)      COMP-3.
017100                 09  MMMMIR-PREV-BAL-RESV
017200                             PIC S9(17)      COMP-3.
017300*
017400*****************************************************************
017500*    DATES                                                      *
017600*****************************************************************
017700*
017800     03  MMMMIR-DATE-AREA.
017900         05  MMMMIR-DATE-OPENED
018000                             PIC S9(07)      COMP-3 VALUE ZERO.
018100         05  MMMMIR-DATE-LAST-SETT
018200                             PIC S9(07)      COMP-3 VALUE ZERO.
018300         05  MMMMIR-DATE-LAST-DISC
018400                             PIC S9(07)      COMP-3 VALUE ZERO.
018500         05  MMMMIR-DATE-LAST-STMT
018600                             PIC S9(07)      COMP-3 VALUE ZERO.
018700         05  MMMMIR-DATE-PREV-STMT
018800                             PIC S9(07)      COMP-3 VALUE ZERO.
018900         05  MMMMIR-DATE-LAST-MEMB-FEE
019000                             PIC S9(07)      COMP-3 VALUE ZERO.
019100         05  MMMMIR-DATE-LAST-PART-VOL
019200                             PIC S9(07)      COMP-3 VALUE ZERO.
019300         05  MMMMIR-DATE-LAST-VISIT
019400                             PIC S9(07)      COMP-3 VALUE ZERO.
019500         05  MMMMIR-DATE-NEXT-VISIT
019600                             PIC S9(07)      COMP-3 VALUE ZERO.
019700         05  MMMMIR-DATE-LAST-REVIEW
019800                             PIC S9(07)      COMP-3 VALUE ZERO.
019900         05  MMMMIR-DATE-NEXT-REVIEW
020000                             PIC S9(07)      COMP-3 VALUE ZERO.
020100         05  MMMMIR-DATE-LAST-RATE-CHANGE
020200                             PIC S9(07)      COMP-3 VALUE ZERO.
020300         05  MMMMIR-DATE-LAST-ACTIVE
020400                             PIC S9(07)      COMP-3 VALUE ZERO.
020500         05  MMMMIR-DATE-FIRST-ACTIVE
020600                             PIC S9(07)      COMP-3 VALUE ZERO.
020700         05  MMMMIR-DATE-CLOSED
020800                             PIC S9(07)      COMP-3 VALUE ZERO.
020900         05  MMMMIR-DATE-PURGED
021000                             PIC S9(07)      COMP-3 VALUE ZERO.
021100         05  MMMMIR-DATE-BLOCK-CODE
021200                             PIC S9(07)      COMP-3 VALUE ZERO.
021300         05  MMMMIR-CTD-CLEAR-DATE-1
021400                             PIC S9(07)      COMP-3 VALUE ZERO.
021500         05  MMMMIR-CTD-CLEAR-DATE-2
021600                             PIC S9(07)      COMP-3 VALUE ZERO.
021700         05  MMMMIR-DTD-CLEAR-DATE-1
021800                             PIC S9(07)      COMP-3 VALUE ZERO.
021900         05  MMMMIR-DTD-CLEAR-DATE-2
022000                             PIC S9(07)      COMP-3 VALUE ZERO.
022100         05  MMMMIR-PTD-CLEAR-DATE-1
022200                             PIC S9(07)      COMP-3 VALUE ZERO.
022300         05  MMMMIR-PTD-CLEAR-DATE-2
022400                             PIC S9(07)      COMP-3 VALUE ZERO.
022500         05  MMMMIR-BI-WEEKLY-SETT-DATE
022600                             PIC S9(07)      COMP-3 VALUE ZERO.
022700         05  MMMMIR-BI-WEEKLY-STMT-DATE
022800                             PIC S9(07)      COMP-3 VALUE ZERO.
022900         05  MMMMIR-BI-WEEKLY-DISC-DATE
023000                             PIC S9(07)      COMP-3 VALUE ZERO.
023100         05  MMMMIR-BI-WEEKLY-PART-DATE
023200                             PIC S9(07)      COMP-3 VALUE ZERO.
023300         05  MMMMIR-DATE-LAST-PART
023400                             PIC S9(07)      COMP-3 VALUE ZERO.
023500         05  MMMMIR-PURGING-DATE
023600                             PIC S9(07)      COMP-3 VALUE ZERO.
023700         05  MMMMIR-OUT-OF-BUS-DATE
023800                             PIC S9(07)      COMP-3 VALUE ZERO.
023900         05  MMMMIR-OWNERSHIP-CHG-DATE
024000                             PIC S9(07)      COMP-3 VALUE ZERO.
024100         05  MMMMIR-DATE-PREV-ACTIVE                              RG800902
024200                             PIC S9(07)      COMP-3 VALUE ZERO.
024300         05  FILLER
024400                             PIC S9(07)      COMP-3 VALUE ZERO.
024500         05  FILLER
024600                             PIC S9(07)      COMP-3 VALUE ZERO.
024700         05  FILLER
024800                             PIC S9(07)      COMP-3 VALUE ZERO.
024900*
025000*****************************************************************
025100*    PRIMARY DEMOGRAPHICS                                       *
025200*****************************************************************
025300*
025400     03  MMMMIR-DEMOGRAPHICS-AREA.
025500         05  MMMMIR-DEMOGRAPHICS-TABLE       OCCURS 2 TIMES
025600                                             INDEXED BY
025700                                             X-MMMMIR-DEMOGRAPHICS
025800                                             X-MMMMIR-PRIMARY
025900                                             X-MMMMIR-SECONDARY.
026000             07  MMMMIR-GNA-NBR
026100                             PIC  X(19)      VALUE SPACES.
026200             07  MMMMIR-NA-LINES-TABLE
026300                                             OCCURS 5 TIMES
026400                                             INDEXED BY
026500                                             X-MMMMIR-NA.
026600                 09  MMMMIR-NA-LINE
026700                             PIC  X(40)      VALUE SPACES.
026800             07  MMMMIR-NA-OVERFLOW-SW
026900                             PIC  X(01)      VALUE 'N'.
027000                 88  MMMMIR-NA-OVERFLOW-YES  VALUE 'Y'.
027100                 88  MMMMIR-NA-OVERFLOW-NO   VALUE 'N'.
027200             07  MMMMIR-COUNTRY-CODE
027300                             PIC  X(03)      VALUE SPACES.
027400             07  MMMMIR-STATE-CODE
027500                             PIC  X(03)      VALUE SPACES.
027600             07  MMMMIR-POSTAL-CODE
027700                             PIC  X(10)      VALUE SPACES.
027800             07  MMMMIR-PHONE
027900                             PIC  X(20)      VALUE SPACES.
028000             07  MMMMIR-FAX
028100                             PIC  X(20)      VALUE SPACES.
028200*
028300*****************************************************************
028400*    DBA DEMOGRAPHICS                                           *
028500*****************************************************************
028600*
028700     03  MMMMIR-DBA-DEMOGRAPHICS.
028800         05  MMMMIR-DBA-NAME PIC  X(25)      VALUE SPACES.
028900         05  MMMMIR-DBA-CITY PIC  X(13)      VALUE SPACES.
029000         05  MMMMIR-DBA-COUNTRY-CODE
029100                             PIC  X(03)      VALUE SPACES.
029200*
029300*****************************************************************
029400*    DEPOSIT HISTORY PARAMETERS                                 *
029500*****************************************************************
029600*
029700     03  MMMMIR-DEPOSIT-HISTORY-PARMS.
029800         05  MMMMIR-DEP-DETAIL-CONTENT-SW
029900                             PIC  X(01)      VALUE 'N'.
030000             88  MMMMIR-DDC-HEADERS-ADJ-ONLY VALUE 'S'.
030100             88  MMMMIR-DDC-FULL-DEPOSIT-DETAIL
030200                                             VALUE 'D'.
030300             88  MMMMIR-DDC-NO-DEPOSIT-HISTORY
030400                                             VALUE 'N'.
030500*
030600         05  MMMMIR-RETAIN-DEPOSITS
030700                             PIC  9(03)      VALUE ZERO.
030800*
030900         05  MMMMIR-SETT-NOTICE-RPT-FLAG
031000                             PIC  X(01)      VALUE 'P'.
031100             88  MMMMIR-SETT-NOTICE-PRINT    VALUE 'P' 'B'.
031200             88  MMMMIR-SETT-NOTICE-NO-PRINT VALUE 'F'.
031300             88  MMMMIR-SETT-NOTICE-FAX      VALUE 'F' 'B'.
031400             88  MMMMIR-SETT-NOTICE-NO-FAX   VALUE 'P'.
031500*
031600         05  MMMMIR-SETT-NOTICE-DETAIL-FLAG
031700                             PIC  X(01)      VALUE 'Y'.
031800             88  MMMMIR-SETT-NOTICE-DETAIL   VALUE 'Y'.
031900             88  MMMMIR-SETT-NOTICE-NO-DETAIL
032000                                             VALUE 'N'.
032100*
032200         05  MMMMIR-STATEMENT-RPT-FLAG
032300                             PIC  X(01)      VALUE 'P'.
032400             88  MMMMIR-STATEMENT-PRINT      VALUE 'P' 'B'.
032500             88  MMMMIR-STATEMENT-NO-PRINT   VALUE 'F'.
032600             88  MMMMIR-STATEMENT-FAX        VALUE 'F' 'B'.
032700             88  MMMMIR-STATEMENT-NO-FAX     VALUE 'P'.
032800*
032900         05  MMMMIR-STATEMENT-DETAIL-FLAG
033000                             PIC  X(01)      VALUE 'Y'.
033100             88  MMMMIR-STATEMENT-DETAIL     VALUE 'Y'.
033200             88  MMMMIR-STATEMENT-NO-DETAIL  VALUE 'N'.
033300*
033400*****************************************************************
033500*    STATEMENT PARAMETERS                                       *
033600*****************************************************************
033700*
033800     03  MMMMIR-STATEMENT-PARAMETERS.
033900         05  MMMMIR-STMT-TYPE
034000                             PIC X(01)       VALUE 'D'.
034100             88  MMMMIR-STMT-SUMMARY         VALUE 'S'.
034200             88  MMMMIR-STMT-DETAIL          VALUE 'D'.
034300*
034400         05  MMMMIR-STMT-CONTROL
034500                             PIC  X(01)      VALUE 'N'.
034600             88  MMMMIR-NORMAL-STMT          VALUE 'N'.
034700             88  MMMMIR-HOLD-STMT            VALUE 'H'.
034800             88  MMMMIR-ONLINE-ONLY-STMT     VALUE 'O'.
034900             88  MMMMIR-USER-HOLD-STMT       VALUE '1' THRU '9'.
035000             88  MMMMIR-VALID-HOLD-STMT      VALUE 'H' 'O'
035100                                                   '1' THRU '9'.
035200*
035300         05  MMMMIR-STMT-MSG-FLAG-TABLE      OCCURS 5 TIMES
035400                                             INDEXED BY
035500                                           X-MMMMIR-STMT-MSG-FLAG.
035600             07  MMMMIR-STMT-MSG-FLAG
035700                             PIC  X(01)      VALUE 'Y'.
035800                 88  MMMMIR-STMT-MSG-PRINT   VALUE 'Y'.
035900                 88  MMMMIR-STMT-MSG-SUPPRESS
036000                                             VALUE 'N'.
036100                 88  MMMMIR-STMT-MSG-PERIODIC
036200                                             VALUE 'P'.
036300*
036400         05  MMMMIR-STMT-FREQ-1-X.
036500             07  MMMMIR-STMT-FREQ-1
036600                             PIC  9(02)      VALUE 99.
036700                 88  MMMMIR-SF1-DAILY-STMT   VALUE 99.
036800                 88  MMMMIR-SF1-WEEKLY-STMT  VALUE 41 THRU 47.
036900                 88  MMMMIR-SF1-BI-WEEKLY-STMT
037000                                             VALUE 51 THRU 57.
037100                 88  MMMMIR-SF1-MONTHLY-STMT VALUE 01 THRU 31.
037200                 88  MMMMIR-SF1-VALID-FREQ-STMT
037300                                             VALUE 99
037400                                                   01 THRU 31
037500                                                   41 THRU 47
037600                                                   51 THRU 57.
037700         05  MMMMIR-STMT-FREQ-1-R
037800                             REDEFINES MMMMIR-STMT-FREQ-1-X.
037900             07  FILLER      PIC  9(01).
038000             07  MMMMIR-STMT-FREQ-1-DOW
038100                             PIC  9(01).
038200*
038300         05  MMMMIR-STMT-FREQ-2-X.
038400             07  MMMMIR-STMT-FREQ-2
038500                             PIC  9(02)      VALUE ZERO.
038600                 88  MMMMIR-SF2-NOT-USED-STMT
038700                                             VALUE 00.
038800                 88  MMMMIR-SF2-WEEKLY-STMT  VALUE 41 THRU 47.
038900                 88  MMMMIR-SF2-MONTHLY-STMT VALUE 01 THRU 31.
039000                 88  MMMMIR-SF2-VALID-FREQ-STMT
039100                                             VALUE 00
039200                                                   01 THRU 31
039300                                                   41 THRU 47.
039400         05  MMMMIR-STMT-FREQ-2-R
039500                             REDEFINES MMMMIR-STMT-FREQ-2-X.
039600             07  FILLER      PIC  9(01).
039700             07  MMMMIR-STMT-FREQ-2-DOW
039800                             PIC  9(01).
039900*
040000*****************************************************************
040100*    FEE PERIOD SETTINGS                                        *
040200*****************************************************************
040300*
040400     03  MMMMIR-FEE-PERIOD-SETTINGS.
040500*****************************************************************
040600*                                                               *
040700*    OCCURRENCE  *------------FEES REPRESENTED-------------*    *
040800*        1       INTERCHANGE, PRODUCT USER FEES 1, 2 AND 3      *
040900*                                                               *
041000*        2       SALES, RETURNS, CHARGEBACKS, ADJUSTMENTS,      *
041100*                DEPOSITS, KEYED-AUTHS, SWIPED-AUTHS, CHECK     *
041200*                APPROVALS, USER-INPUT, LOCAL INPUT, ACH,       *
041300*                VOICE AUTHS, POS 1-2-3 AUTHS, POS 1-2-3 CAPTURE*
041400*                IN-STORE PAYMENTS                              *
041500*                                                               *
041600*        3       POS 1-2-3 DEVICE, IMPRINTER 1-2-3 DEVICE       *
041700*                                                               *
041800*        4       USER 1-8                                       *
041900*                                                               *
042000*        5       SETUP, ADMIN, INTERCHANGE BULLETIN             *
042100*                                                               *
042200*        6       RESERVED FOR FUTURE USE                        *
042300*                                                               *
042400* N O T E --- STATEMENT FEES AND MEMBERSHIP FEES ARE CHARGED    *
042500*             ONLY AT STATEMENT TIME.                           *
042600*****************************************************************
042700         05  MMMMIR-FEE-PERIOD-TABLE         OCCURS 6 TIMES
042800                                             INDEXED BY
042900                                             X-MMMMIR-FP.
043000             07  MMMMIR-FEE-PERIOD
043100                             PIC  X(01)      VALUE 'S'.
043200                 88  MMMMIR-FP-DAILY         VALUE 'D' 'T'.
043300                 88  MMMMIR-FP-STMT          VALUE 'S' 'Y'.
043400                 88  MMMMIR-FP-MIGRATE-TO-DAILY
043500                                             VALUE 'Y'.
043600                 88  MMMMIR-FP-MIGRATE-TO-STMT
043700                                             VALUE 'T'.
043800*
043900         05  MMMMIR-MEMB-FEE-FREQ
044000                             PIC  X(01)      VALUE 'N'.
044100             88  MMMMIR-MEMB-FEE-NOT-USED    VALUE 'N'.
044200             88  MMMMIR-MEMB-FEE-MONTHLY     VALUE 'M'.
044300             88  MMMMIR-MEMB-FEE-QUARTERLY   VALUE 'Q'.
044400             88  MMMMIR-MEMB-FEE-SEMI-ANNUAL VALUE 'S'.
044500             88  MMMMIR-MEMB-FEE-ANNUAL      VALUE 'A'.
044600*
044700         05  MMMMIR-SETUP-FEE-FLAG
044800                             PIC  X(01)      VALUE 'Y'.
044900             88  MMMMIR-SETUP-FEE-OFF        VALUE 'N'.
045000             88  MMMMIR-SETUP-FEE-ON         VALUE 'Y' 'P'.
045100             88  MMMMIR-SETUP-FEE-PERIODIC   VALUE 'P'.
045200*
045300         05  MMMMIR-INCOME-TABLE-NBR
045400                             PIC  S9(09)     COMP-3 VALUE ZERO.
045500*
045600         05  MMMMIR-EXPENSE-TABLE-NBR
045700                             PIC  S9(09)     COMP-3 VALUE ZERO.
045800*
045900*
046000*
046100*****************************************************************
046200*    RESERVE PARAMETERS                                         *
046300*****************************************************************
046400*
046500     03  MMMMIR-RESERVE-PARAMETERS.
046600         05  MMMMIR-RESERVE-TABLE            OCCURS 4 TIMES
046700                                             INDEXED BY
046800                                             X-MMMMIR-RESV.
046900             07  MMMMIR-RESV-FREQ
047000                             PIC  X(01)      VALUE 'N'.
047100                 88  MMMMIR-RESV-NOT-ACTIVE  VALUE 'N'.
047200                 88  MMMMIR-RESV-FUND-DAILY  VALUE 'Y'.
047300                 88  MMMMIR-RESV-FUND-MTD    VALUE 'M'.
047400                 88  MMMMIR-RESV-FUND-DTD    VALUE 'D'.
047500                 88  MMMMIR-RESV-FUND-CTD    VALUE 'C'.
047600                 88  MMMMIR-RF-VALID         VALUE 'N' 'Y' 'M'
047700                                                   'D' 'C'.
047800             07  MMMMIR-RESV-LEVEL
047900                             PIC  X(01)      VALUE 'M'.
048000                 88  MMMMIR-RL-MERCHANT      VALUE 'M'.
048100                 88  MMMMIR-RL-PRODUCT       VALUE 'P'.
048200                 88  MMMMIR-RL-VALID         VALUE 'M' 'P'.
048300             07  MMMMIR-RESV-FEE-BASE
048400                             PIC  X(01)      VALUE 'N'.
048500                 88  MMMMIR-RFB-GROSS-SALES  VALUE 'G'.
048600                 88  MMMMIR-RFB-NET-SALES    VALUE 'N'.
048700                 88  MMMMIR-RFB-GROSS-VOLUME VALUE 'V'.
048800                 88  MMMMIR-RFB-VALID        VALUE 'G' 'N' 'V'.
048900*
049000             07  MMMMIR-RESV-RATE-TABLE
049100                             PIC S9(09)      COMP-3 VALUE ZERO.
049200             07  MMMMIR-RESV-DESC
049300                             PIC  X(30)      VALUE SPACES.
049400             07  MMMMIR-RESV-FLOOR
049500                             PIC S9(17)      COMP-3 VALUE ZERO.
049600             07  MMMMIR-RESV-CEILING
049700                             PIC S9(17)      COMP-3 VALUE
049800                             +99999999999999999.
049900*
050000*****************************************************************
050100*    DISCOUNT PARAMETERS                                        *
050200*****************************************************************
050300*
050400     03  MMMMIR-DISC-PARAMETERS.
050500         05  MMMMIR-DISC-LEVEL
050600                             PIC  X(01)      VALUE 'P'.
050700             88  MMMMIR-DL-MERCHANT          VALUE 'M'.
050800             88  MMMMIR-DL-PRODUCT           VALUE 'P'.
050900*
051000         05  MMMMIR-DISC-RATE-TABLE
051100                             PIC S9(09)      COMP-3 VALUE ZERO.
051200         05  MMMMIR-MIN-DISC-AMT
051300                             PIC S9(17)      COMP-3 VALUE ZERO.
051400         05  FILLER          PIC  X(05)      VALUE SPACES.
051500         05  MMMMIR-DISC-FEE-BASE
051600                             PIC  X(01)      VALUE 'N'.
051700             88  MMMMIR-DFB-GROSS-SALES      VALUE 'G'.
051800             88  MMMMIR-DFB-NET-SALES        VALUE 'N'.
051900             88  MMMMIR-DFB-GROSS-VOLUME     VALUE 'V'.
052000*
052100         05  MMMMIR-DISC-FREQ-1-X.
052200             07  MMMMIR-DISC-FREQ-1
052300                             PIC  9(02)      VALUE 99.
052400                 88  MMMMIR-DF1-DAILY-DISC   VALUE 99.
052500                 88  MMMMIR-DF1-WEEKLY-DISC  VALUE 41 THRU 47.
052600                 88  MMMMIR-DF1-BI-WEEKLY-DISC
052700                                             VALUE 51 THRU 57.
052800                 88  MMMMIR-DF1-MONTHLY-DISC VALUE 01 THRU 31.
052900                 88  MMMMIR-DF1-VALID-FREQ-DISC
053000                                             VALUE 99
053100                                                   01 THRU 31
053200                                                   41 THRU 47
053300                                                   51 THRU 57.
053400         05  MMMMIR-DISC-FREQ-1-R
053500                             REDEFINES MMMMIR-DISC-FREQ-1-X.
053600             07  FILLER      PIC  9(01).
053700             07  MMMMIR-DISC-FREQ-1-DOW
053800                             PIC  9(01).
053900*
054000         05  MMMMIR-DISC-FREQ-2-X.
054100             07  MMMMIR-DISC-FREQ-2
054200                             PIC  9(02)      VALUE ZERO.
054300                 88  MMMMIR-DF2-NOT-USED-DISC
054400                                             VALUE 00.
054500                 88  MMMMIR-DF2-WEEKLY-DISC  VALUE 41 THRU 47.
054600                 88  MMMMIR-DF2-MONTHLY-DISC VALUE 01 THRU 31.
054700                 88  MMMMIR-DF2-VALID-FREQ-DISC
054800                                             VALUE 00
054900                                                   01 THRU 31
055000                                                   41 THRU 47.
055100         05  MMMMIR-DISC-FREQ-2-R
055200                             REDEFINES MMMMIR-DISC-FREQ-2-X.
055300             07  FILLER      PIC  9(01).
055400             07  MMMMIR-DISC-FREQ-2-DOW
055500                             PIC  9(01).
055600*
055700         05  FILLER          PIC  X(05)      VALUE SPACES.
055800*
055900*****************************************************************
056000*    PARTICIPATION PARAMETERS                                   *
056100*****************************************************************
056200*
056300     03  MMMMIR-PART-PARAMETERS.
056400         05  MMMMIR-PART-LEVEL
056500                             PIC  X(01)      VALUE 'P'.
056600             88  MMMMIR-PL-MERCHANT          VALUE 'M'.
056700             88  MMMMIR-PL-PRODUCT           VALUE 'P'.
056800*
056900         05  MMMMIR-PART-RATE-TABLE
057000                             PIC S9(09)      COMP-3 VALUE ZERO.
057100         05  MMMMIR-MIN-PART-AMT
057200                             PIC S9(17)      COMP-3 VALUE ZERO.
057300         05  MMMMIR-PART-MARGIN-IND
057400                             PIC  X(01)      VALUE '+'.
057500             88  MMMMIR-PART-MARGIN-PLUS     VALUE '+'.
057600             88  MMMMIR-PART-MARGIN-MINUS    VALUE '-'.
057700         05  MMMMIR-PART-MARGIN
057800                             PIC S9(07)      COMP-3 VALUE ZERO.
057900         05  MMMMIR-PART-FEE-BASE
058000                             PIC  X(01)      VALUE 'N'.
058100             88  MMMMIR-PFB-GROSS-SALES      VALUE 'G'.
058200             88  MMMMIR-PFB-NET-SALES        VALUE 'N'.
058300             88  MMMMIR-PFB-GROSS-VOLUME     VALUE 'V'.
058400         05  MMMMIR-PART-VOL-BONUS-FLAG
058500                             PIC  X(01)      VALUE 'N'.
058600             88  MMMMIR-PVBF-NOT-USED        VALUE 'N'.
058700             88  MMMMIR-PVBF-MONTHLY         VALUE 'M'.
058800             88  MMMMIR-PVBF-QUARTERLY       VALUE 'Q'.
058900             88  MMMMIR-PVBF-SEMI-ANNUAL     VALUE 'S'.
059000             88  MMMMIR-PVBF-ANNUAL          VALUE 'A'.
059100         05  MMMMIR-PART-VOL-RATE-TABLE
059200                             PIC S9(09)      COMP-3 VALUE ZERO.
059300*
059400         05  MMMMIR-PART-FREQ-1-X.
059500             07  MMMMIR-PART-FREQ-1
059600                             PIC  9(02)      VALUE 99.
059700                 88  MMMMIR-PF1-DAILY-PART   VALUE 99.
059800                 88  MMMMIR-PF1-WEEKLY-PART  VALUE 41 THRU 47.
059900                 88  MMMMIR-PF1-BI-WEEKLY-PART
060000                                             VALUE 51 THRU 57.
060100                 88  MMMMIR-PF1-MONTHLY-PART VALUE 01 THRU 31.
060200                 88  MMMMIR-PF1-VALID-FREQ-PART
060300                                             VALUE 99
060400                                                   01 THRU 31
060500                                                   41 THRU 47
060600                                                   51 THRU 57.
060700         05  MMMMIR-PART-FREQ-1-R
060800                             REDEFINES MMMMIR-PART-FREQ-1-X.
060900             07  FILLER      PIC  9(01).
061000             07  MMMMIR-PART-FREQ-1-DOW
061100                             PIC  9(01).
061200*
061300         05  MMMMIR-PART-FREQ-2-X.
061400             07  MMMMIR-PART-FREQ-2
061500                             PIC  9(02)      VALUE ZERO.
061600                 88  MMMMIR-PF2-NOT-USED-PART
061700                                             VALUE 00.
061800                 88  MMMMIR-PF2-WEEKLY-PART  VALUE 41 THRU 47.
061900                 88  MMMMIR-PF2-MONTHLY-PART VALUE 01 THRU 31.
062000                 88  MMMMIR-PF2-VALID-FREQ-PART
062100                                             VALUE 00
062200                                                   01 THRU 31
062300                                                   41 THRU 47.
062400         05  MMMMIR-PART-FREQ-2-R
062500                             REDEFINES MMMMIR-PART-FREQ-2-X.
062600             07  FILLER      PIC  9(01).
062700             07  MMMMIR-PART-FREQ-2-DOW
062800                             PIC  9(01).
062900*
063000         05  FILLER          PIC  X(05)      VALUE SPACES.
063100*
063200*****************************************************************
063300*    SETTLEMENT PARAMETERS                                      *
063400*****************************************************************
063500*
063600     03  MMMMIR-SETTLEMENT-PARAMETERS.
063700         05  MMMMIR-SETT-FREQ-1-X.
063800             07  MMMMIR-SETT-FREQ-1
063900                             PIC  9(02)      VALUE 99.
064000                 88  MMMMIR-SF1-DAILY-SETT   VALUE 99.
064100                 88  MMMMIR-SF1-WEEKLY-SETT  VALUE 41 THRU 47.
064200                 88  MMMMIR-SF1-BI-WEEKLY-SETT
064300                                             VALUE 51 THRU 57.
064400                 88  MMMMIR-SF1-MONTHLY-SETT VALUE 01 THRU 31.
064500                 88  MMMMIR-SF1-VALID-FREQ-SETT
064600                                             VALUE 99
064700                                                   01 THRU 31
064800                                                   41 THRU 47
064900                                                   51 THRU 57.
065000         05  MMMMIR-SETT-FREQ-1-R
065100                             REDEFINES MMMMIR-SETT-FREQ-1-X.
065200             07  FILLER      PIC  9(01).
065300             07  MMMMIR-SETT-FREQ-1-DOW
065400                             PIC  9(01).
065500*
065600         05  MMMMIR-SETT-FREQ-2-X.
065700             07  MMMMIR-SETT-FREQ-2
065800                             PIC  9(02)      VALUE ZERO.
065900                 88  MMMMIR-SF2-NOT-USED-SETT
066000                                             VALUE 00.
066100                 88  MMMMIR-SF2-WEEKLY-SETT  VALUE 41 THRU 47.
066200                 88  MMMMIR-SF2-MONTHLY-SETT VALUE 01 THRU 31.
066300                 88  MMMMIR-SF2-VALID-FREQ-SETT
066400                                             VALUE 00
066500                                                   01 THRU 31
066600                                                   41 THRU 47.
066700         05  MMMMIR-SETT-FREQ-2-R
066800                             REDEFINES MMMMIR-SETT-FREQ-2-X.
066900             07  FILLER      PIC  9(01).
067000             07  MMMMIR-SETT-FREQ-2-DOW
067100                             PIC  9(01).
067200*
067300         05  MMMMIR-SETT-COMB-DEPOSIT-FLAG
067400                             PIC  X(01)      VALUE 'N'.
067500             88  MMMMIR-SETT-COMB-DEPOSIT    VALUE 'Y'.
067600             88  MMMMIR-SETT-NO-COMB-DEPOSIT VALUE 'N'.
067700*
067800         05  MMMMIR-SETT-ACCT-METHODS.
067900             07  MMMMIR-SETT-ACCT-1-METHOD
068000                             PIC  X(02)      VALUE 'M4'.
068100                 88  MMMMIR-SA1-ACH          VALUE 'A1' 'A2'
068200                                                   'A3' 'A4'.
068300                 88  MMMMIR-SA1-MANUAL       VALUE 'M1' 'M2'
068400                                                   'M3' 'M4'.
068500                 88  MMMMIR-SA1-CHECK        VALUE 'C2'.
068600                 88  MMMMIR-SA1-WIRE         VALUE 'W2'.
068700                 88  MMMMIR-SA1-NO-HOLDOVER  VALUE 'A1' 'M1'.
068800                 88  MMMMIR-SA1-HOLDOVER-NORM
068900                                             VALUE 'A2' 'M2'
069000                                                   'C2' 'W2'.
069100                 88  MMMMIR-SA1-HOLDOVER-BILLED
069200                                             VALUE 'A3' 'M3'.
069300                 88  MMMMIR-SA1-NET-SETTLEMENT
069400                                             VALUE 'A1' 'A2' 'A3'
069500                                                   'M1' 'M2' 'M3'
069600                                                   'C2' 'W2'.
069700                 88  MMMMIR-SA1-BY-ITEM-SETTLEMENT
069800                                             VALUE 'A4' 'M4'.
069900                 88  MMMMIR-SA1-NO-DEBIT-ACH
070000                                             VALUE 'A2' 'A3'.
070100             07  MMMMIR-SETT-ACCT-2-METHOD
070200                             PIC  X(02)      VALUE 'N0'.
070300                 88  MMMMIR-SA2-NOT-USED     VALUE 'N0'.
070400                 88  MMMMIR-SA2-ACH          VALUE 'A1' 'A2'
070500                                                   'A3' 'A4'.
070600                 88  MMMMIR-SA2-MANUAL       VALUE 'M1' 'M2'
070700                                                   'M3' 'M4'.
070800                 88  MMMMIR-SA2-CHECK        VALUE 'C2'.
070900                 88  MMMMIR-SA2-WIRE         VALUE 'W2'.
071000                 88  MMMMIR-SA2-NO-HOLDOVER  VALUE 'A1' 'M1'.
071100                 88  MMMMIR-SA2-HOLDOVER-NORM
071200                                             VALUE 'A2' 'M2'
071300                                                   'C2' 'W2'.
071400                 88  MMMMIR-SA2-HOLDOVER-BILLED
071500                                             VALUE 'A3' 'M3'.
071600                 88  MMMMIR-SA2-NET-SETTLEMENT
071700                                             VALUE 'A1' 'A2' 'A3'
071800                                                   'M1' 'M2' 'M3'
071900                                                   'C2' 'W2'.
072000                 88  MMMMIR-SA2-BY-ITEM-SETTLEMENT
072100                                             VALUE 'A4' 'M4'.
072200                 88  MMMMIR-SA2-NO-DEBIT-ACH
072300                                             VALUE 'A2' 'A3'.
072400             07  MMMMIR-SETT-ACCT-3-METHOD
072500                             PIC  X(02)      VALUE 'N0'.
072600                 88  MMMMIR-SA3-NOT-USED     VALUE 'N0'.
072700                 88  MMMMIR-SA3-ACH          VALUE 'A1' 'A2'
072800                                                   'A3' 'A4'.
072900                 88  MMMMIR-SA3-MANUAL       VALUE 'M1' 'M2'
073000                                                   'M3' 'M4'.
073100                 88  MMMMIR-SA3-CHECK        VALUE 'C2'.
073200                 88  MMMMIR-SA3-WIRE         VALUE 'W2'.
073300                 88  MMMMIR-SA3-NO-HOLDOVER  VALUE 'A1' 'M1'.
073400                 88  MMMMIR-SA3-HOLDOVER-NORM
073500                                             VALUE 'A2' 'M2'
073600                                                   'C2' 'W2'.
073700                 88  MMMMIR-SA3-HOLDOVER-BILLED
073800                                             VALUE 'A3' 'M3'.
073900                 88  MMMMIR-SA3-NET-SETTLEMENT
074000                                             VALUE 'A1' 'A2' 'A3'
074100                                                   'M1' 'M2' 'M3'
074200                                                   'C2' 'W2'.
074300                 88  MMMMIR-SA3-BY-ITEM-SETTLEMENT
074400                                             VALUE 'A4' 'M4'.
074500                 88  MMMMIR-SA3-NO-DEBIT-ACH
074600                                             VALUE 'A2' 'A3'.
074700             07  MMMMIR-SETT-ACCT-4-METHOD
074800                             PIC  X(02)      VALUE 'N0'.
074900                 88  MMMMIR-SA4-NOT-USED     VALUE 'N0'.
075000                 88  MMMMIR-SA4-ACH          VALUE 'A1' 'A2'
075100                                                   'A3' 'A4'.
075200                 88  MMMMIR-SA4-MANUAL       VALUE 'M1' 'M2'
075300                                                   'M3' 'M4'.
075400                 88  MMMMIR-SA4-CHECK        VALUE 'C2'.
075500                 88  MMMMIR-SA4-WIRE         VALUE 'W2'.
075600                 88  MMMMIR-SA4-NO-HOLDOVER  VALUE 'A1' 'M1'.
075700                 88  MMMMIR-SA4-HOLDOVER-NORM
075800                                             VALUE 'A2' 'M2'
075900                                                   'C2' 'W2'.
076000                 88  MMMMIR-SA4-HOLDOVER-BILLED
076100                                             VALUE 'A3' 'M3'.
076200                 88  MMMMIR-SA4-NET-SETTLEMENT
076300                                             VALUE 'A1' 'A2' 'A3'
076400                                                   'M1' 'M2' 'M3'
076500                                                   'C2' 'W2'.
076600                 88  MMMMIR-SA4-BY-ITEM-SETTLEMENT
076700                                             VALUE 'A4' 'M4'.
076800                 88  MMMMIR-SA4-NO-DEBIT-ACH
076900                                             VALUE 'A2' 'A3'.
077000         05  MMMMIR-SETT-ACCT-METHODS-R
077100                             REDEFINES MMMMIR-SETT-ACCT-METHODS.
077200             07  MMMMIR-SETT-ACCT-METH       OCCURS 4 TIMES
077300                                             INDEXED BY
077400                                             X-MMMMIR-SETT-ACCT
077500                             PIC  X(02).
077600                 88  MMMMIR-SA-NOT-USED      VALUE 'N0'.
077700                 88  MMMMIR-SA-ACH           VALUE 'A1' 'A2'
077800                                                   'A3' 'A4'.
077900                 88  MMMMIR-SA-MANUAL        VALUE 'M1' 'M2'
078000                                                   'M3' 'M4'.
078100                 88  MMMMIR-SA-CHECK         VALUE 'C2'.
078200                 88  MMMMIR-SA-WIRE          VALUE 'W2'.
078300                 88  MMMMIR-SA-NO-HOLDOVER   VALUE 'A1' 'M1'.
078400                 88  MMMMIR-SA-HOLDOVER-NORM
078500                                             VALUE 'A2' 'M2'
078600                                                   'C2' 'W2'.
078700                 88  MMMMIR-SA-HOLDOVER-BILLED
078800                                             VALUE 'A3' 'M3'.
078900                 88  MMMMIR-SA-NET-SETTLEMENT
079000                                             VALUE 'A1' 'A2' 'A3'
079100                                                   'M1' 'M2' 'M3'
079200                                                   'C2' 'W2'.
079300                 88  MMMMIR-SA-BY-ITEM-SETTLEMENT
079400                                             VALUE 'A4' 'M4'.
079500                 88  MMMMIR-SA-NO-DEBIT-ACH
079600                                             VALUE 'A2' 'A3'.
079700*
079800         05  MMMMIR-TXN-ASSIGNMENTS.
079900******************************************************************
080000*                                                                *
080100*        TRANSACTION ASSIGNMENTS ARE AS FOLLOWS:                 *
080200*                                                                *
080300*        OCCURRENCE *------USAGE------* *--VALID SETT ACCTS--*   *
080400*                                                                *
080500*             1     RESERVE FUNDING     S1-S4,B1-B4              *
080600*             2     RESERVE TO SETT     S1-S4                    *
080700*             3     DISCOUNT            S1-S4,B1-B4              *
080800*             4     REFUND OF DISCOUNT  S1-S4,B1-B4              *
080900*             5     PART OWED   (DR)    S1-S4,B1-B4              *
081000*             6     PART EARNED (CR)    S1-S4,B1-B4              *
081100*             7     ADJUSTMENT DEBITS   S1-S4,B1-B4              *
081200*             8     ADJUSTMENT CREDITS  S1-S4,B1-B4              *
081300*             9     RECOVERY ADJ DR     S1-S4,B1-B4              *
081400*            10     RECOVERY ADJ CR     S1-S4,B1-B4              *
081500*            11     USER FEES (DEBITS)  S1-S4,B1-B4              *
081600*            12     USER CREDITS        S1-S4,B1-B4              *
081700*            13     SYSTEM FEES         S1-S4,B1-B4              *
081800*            14     FUTURE USE          S1-S4,B1-B4              *
081900*            15     INTERCHANGE FEES    S1-S4,B1-B4              *
082000*            16     DEPOSITS/HOLDOVERS  S1-S4                    *
082100*                                                                *
082200******************************************************************
082300             07  MMMMIR-TXN-ASSIGNMENTS-TABLE
082400                                             OCCURS 16 TIMES
082500                                             INDEXED BY
082600                                             X-MMMMIR-TAT.
082700*
082800                 09  MMMMIR-TAT-ACCOUNT.
082900                     88  MMMMIR-TAT-VALID-ACCOUNTS
083000                                             VALUE 'S1' 'S2'
083100                                                   'S3' 'S4'
083200                                                   'B1' 'B2'
083300                                                   'B3' 'B4'.
083400                     11  MMMMIR-TAT-SETT-BILL-IND
083500                             PIC  X(01)      VALUE 'S'.
083600                         88  MMMMIR-TAT-SETT VALUE 'S'.
083700                         88  MMMMIR-TAT-BILL VALUE 'B'.
083800                     11  MMMMIR-TAT-SETT-BILL-INDEX
083900                             PIC  9(01)      VALUE 1.
084000                 09  MMMMIR-TAT-USER-CODE
084100                             PIC  X(01)      VALUE SPACES.
084200*
084300         05  MMMMIR-SETT-DEPOSITS-AMT
084400                             PIC S9(17)      COMP-3 VALUE ZERO.
084500         05  MMMMIR-SETT-WITHDRAWAL-AMT
084600                             PIC S9(17)      COMP-3 VALUE ZERO.
084700         05  MMMMIR-SETT-RESV-CR-AMT
084800                             PIC S9(17)      COMP-3 VALUE ZERO.
084900         05  MMMMIR-SETT-RESV-DR-AMT
085000                             PIC S9(17)      COMP-3 VALUE ZERO.
085100         05  MMMMIR-SETT-DISC-AMT
085200                             PIC S9(17)      COMP-3 VALUE ZERO.
085300         05  MMMMIR-SETT-REFUND-AMT
085400                             PIC S9(17)      COMP-3 VALUE ZERO.
085500         05  MMMMIR-SETT-PART-CR-AMT
085600                             PIC S9(17)      COMP-3 VALUE ZERO.
085700         05  MMMMIR-SETT-PART-DR-AMT
085800                             PIC S9(17)      COMP-3 VALUE ZERO.
085900         05  MMMMIR-SETT-ADJ-CR-AMT
086000                             PIC S9(17)      COMP-3 VALUE ZERO.
086100         05  MMMMIR-SETT-ADJ-DR-AMT
086200                             PIC S9(17)      COMP-3 VALUE ZERO.
086300         05  MMMMIR-SETT-REC-ADJ-CR-AMT
086400                             PIC S9(17)      COMP-3 VALUE ZERO.
086500         05  MMMMIR-SETT-REC-ADJ-DR-AMT
086600                             PIC S9(17)      COMP-3 VALUE ZERO.
086700         05  MMMMIR-SETT-SYSTEM-FEES-CR-AMT
086800                             PIC S9(17)      COMP-3 VALUE ZERO.
086900         05  MMMMIR-SETT-SYSTEM-FEES-DR-AMT
087000                             PIC S9(17)      COMP-3 VALUE ZERO.
087100         05  MMMMIR-SETT-USER-FEES-CR-AMT
087200                             PIC S9(17)      COMP-3 VALUE ZERO.
087300         05  MMMMIR-SETT-USER-FEES-DR-AMT
087400                             PIC S9(17)      COMP-3 VALUE ZERO.
087500         05  MMMMIR-SETT-INTCHG-FEES-CR-AMT
087600                             PIC S9(17)      COMP-3 VALUE ZERO.
087700         05  MMMMIR-SETT-INTCHG-FEES-DR-AMT
087800                             PIC S9(17)      COMP-3 VALUE ZERO.
087900         05  MMMMIR-SETT-USER-CR-AMT
088000                             PIC S9(17)      COMP-3 VALUE ZERO.
088100         05  MMMMIR-SETT-USER-DR-AMT
088200                             PIC S9(17)      COMP-3 VALUE ZERO.
088300         05  MMMMIR-SETT-WINDOW-NET-AMT
088400                             PIC S9(17)      COMP-3 VALUE ZERO.
088500         05  MMMMIR-SETT-NET-AMOUNTS.
088600             07  MMMMIR-SETT-ACCT-1-NET-AMT
088700                             PIC S9(17)      COMP-3 VALUE ZERO.
088800             07  MMMMIR-SETT-ACCT-1-HOLDOVER-IN
088900                             PIC S9(17)      COMP-3 VALUE ZERO.
089000             07  MMMMIR-SETT-ACCT-1-HOLDOVER-O
089100                             PIC S9(17)      COMP-3 VALUE ZERO.
089200             07  MMMMIR-SETT-ACCT-1-TRANSFER
089300                             PIC S9(17)      COMP-3 VALUE ZERO.
089400             07  MMMMIR-SETT-ACCT-2-NET-AMT
089500                             PIC S9(17)      COMP-3 VALUE ZERO.
089600             07  MMMMIR-SETT-ACCT-2-HOLDOVER-IN
089700                             PIC S9(17)      COMP-3 VALUE ZERO.
089800             07  MMMMIR-SETT-ACCT-2-HOLDOVER-O
089900                             PIC S9(17)      COMP-3 VALUE ZERO.
090000             07  MMMMIR-SETT-ACCT-2-TRANSFER
090100                             PIC S9(17)      COMP-3 VALUE ZERO.
090200             07  MMMMIR-SETT-ACCT-3-NET-AMT
090300                             PIC S9(17)      COMP-3 VALUE ZERO.
090400             07  MMMMIR-SETT-ACCT-3-HOLDOVER-IN
090500                             PIC S9(17)      COMP-3 VALUE ZERO.
090600             07  MMMMIR-SETT-ACCT-3-HOLDOVER-O
090700                             PIC S9(17)      COMP-3 VALUE ZERO.
090800             07  MMMMIR-SETT-ACCT-3-TRANSFER
090900                             PIC S9(17)      COMP-3 VALUE ZERO.
091000             07  MMMMIR-SETT-ACCT-4-NET-AMT
091100                             PIC S9(17)      COMP-3 VALUE ZERO.
091200             07  MMMMIR-SETT-ACCT-4-HOLDOVER-IN
091300                             PIC S9(17)      COMP-3 VALUE ZERO.
091400             07  MMMMIR-SETT-ACCT-4-HOLDOVER-O
091500                             PIC S9(17)      COMP-3 VALUE ZERO.
091600             07  MMMMIR-SETT-ACCT-4-TRANSFER
091700                             PIC S9(17)      COMP-3 VALUE ZERO.
091800         05  MMMMIR-SETT-NET-AMOUNTS-R
091900                             REDEFINES MMMMIR-SETT-NET-AMOUNTS.
092000             07  MMMMIR-SETT-ACCT-NET-AMT-TABLE
092100                                             OCCURS 4 TIMES
092200                                             INDEXED BY
092300                                             X-MMMMIR-SANAT.
092400                 09  MMMMIR-SETT-ACCT-NET-AMT
092500                             PIC S9(17)      COMP-3.
092600                 09  MMMMIR-SETT-ACCT-HOLDOVER-IN
092700                             PIC S9(17)      COMP-3.
092800                 09  MMMMIR-SETT-ACCT-HOLDOVER-OUT
092900                             PIC S9(17)      COMP-3.
093000                 09  MMMMIR-SETT-ACCT-TRANSFER
093100                             PIC S9(17)      COMP-3.
093200*
093300         05  MMMMIR-MBD220-AREA.
093400             07  MMMMIR-STMT-SW
093500                             PIC  X(01)      VALUE 'N'.
093600                 88  MMMMIR-NO-STMT-TODAY    VALUE 'N'.
093700                 88  MMMMIR-STMT-TODAY       VALUE 'Y'.
093800             07  MMMMIR-SETT-SW
093900                             PIC  X(01)      VALUE 'N'.
094000                 88  MMMMIR-NO-SETT-TODAY    VALUE 'N'.
094100                 88  MMMMIR-SETT-TODAY       VALUE 'Y'.
094200*
094300         05  MMMMIR-ACH-RT-DATA-X.
094400             07  MMMMIR-SETT-ACH-DATA        OCCURS 4 TIMES
094500                                             INDEXED BY
094600                                             X-MMMMIR-SETT-ACH.
094700                 09  MMMMIR-PRENOTE-CONTROL
094800                             PIC  X(01)      VALUE 'N'.
094900                     88  MMMMIR-SEND-PRENOTE VALUE 'Y'.
095000                     88  MMMMIR-DO-NOT-SEND-PRENOTE
095100                                             VALUE 'N'.
095200                     88  MMMMIR-VALID-PRENOTE-CONTROL
095300                                             VALUE 'Y' 'N'.
095400                 09  MMMMIR-DATE-PRENOTE-SENT
095500                             PIC S9(07)      COMP-3 VALUE ZERO.
095600                 09  MMMMIR-DATE-PRENOTE-INIT
095700                             PIC S9(07)      COMP-3 VALUE ZERO.
095800                 09  MMMMIR-DATE-PENDING-ACH-ACTIVE
095900                             PIC S9(07)      COMP-3 VALUE ZERO.
096000                 09  MMMMIR-ACTIVE-DR-RT
096100                             PIC S9(09)      COMP-3 VALUE ZERO.
096200                 09  MMMMIR-ACTIVE-DR-ACCT
096300                             PIC  X(17)      VALUE SPACES.
096400                 09  MMMMIR-ACTIVE-DR-ACCT-TYPE
096500                             PIC  X(01)      VALUE 'D'.
096600                     88  MMMMIR-ACTIVE-DR-ACCT-DDA
096700                                             VALUE 'D'.
096800                     88  MMMMIR-ACTIVE-DR-ACCT-SAV
096900                                             VALUE 'S'.
097000                     88  MMMMIR-VALID-ACT-DR-ACCT-TYPE
097100                                             VALUE 'D' 'S'.
097200                 09  MMMMIR-ACTIVE-CR-RT
097300                             PIC S9(09)      COMP-3 VALUE ZERO.
097400                 09  MMMMIR-ACTIVE-CR-ACCT
097500                             PIC  X(17)      VALUE SPACES.
097600                 09  MMMMIR-ACTIVE-CR-ACCT-TYPE
097700                             PIC  X(01)      VALUE 'D'.
097800                     88  MMMMIR-ACTIVE-CR-ACCT-DDA
097900                                             VALUE 'D'.
098000                     88  MMMMIR-ACTIVE-CR-ACCT-SAV
098100                                             VALUE 'S'.
098200                     88  MMMMIR-VALID-ACT-CR-ACCT-TYPE
098300                                             VALUE 'D' 'S'.
098400                 09  MMMMIR-PENDING-DR-RT
098500                             PIC S9(09)      COMP-3 VALUE ZERO.
098600                 09  MMMMIR-PENDING-DR-ACCT
098700                             PIC  X(17)      VALUE SPACES.
098800                 09  MMMMIR-PENDING-DR-ACCT-TYPE
098900                             PIC  X(01)      VALUE 'D'.
099000                     88  MMMMIR-PENDING-DR-ACCT-DDA
099100                                             VALUE 'D'.
099200                     88  MMMMIR-PENDING-DR-ACCT-SAV
099300                                             VALUE 'S'.
099400                     88  MMMMIR-VALID-PEND-DR-ACCT-TYPE
099500                                             VALUE 'D' 'S'.
099600                 09  MMMMIR-PENDING-CR-RT
099700                             PIC S9(09)      COMP-3 VALUE ZERO.
099800                 09  MMMMIR-PENDING-CR-ACCT
099900                             PIC  X(17)      VALUE SPACES.
100000                 09  MMMMIR-PENDING-CR-ACCT-TYPE
100100                             PIC  X(01)      VALUE 'D'.
100200                     88  MMMMIR-PENDING-CR-ACCT-DDA
100300                                             VALUE 'D'.
100400                     88  MMMMIR-PENDING-CR-ACCT-SAV
100500                                             VALUE 'S'.
100600                     88  MMMMIR-VALID-PEND-CR-ACCT-TYPE
100700                                             VALUE 'D' 'S'.
100800                 09  MMMMIR-PENDING-SETT-ACCT-METH
100900                             PIC  X(02)      VALUE 'N0'.
101000                     88  MMMMIR-PSA-NOT-USED VALUE 'N0'.
101100                     88  MMMMIR-PSA-ACH      VALUE 'A1' 'A2'
101200                                                   'A3' 'A4'.
101300                     88  MMMMIR-PSA-MANUAL   VALUE 'M1' 'M2'
101400                                                   'M3' 'M4'.
101500                     88  MMMMIR-PSA-CHECK    VALUE 'C2'.
101600                     88  MMMMIR-PSA-WIRE     VALUE 'W2'.
101700                     88  MMMMIR-PSA-NO-HOLDOVER
101800                                             VALUE 'A1' 'M1'.
101900                     88  MMMMIR-PSA-HOLDOVER-NORM
102000                                             VALUE 'A2' 'M2'
102100                                                   'C2' 'W2'.
102200                     88  MMMMIR-PSA-HOLDOVER-BILLED
102300                                             VALUE 'A3' 'M3'.
102400                     88  MMMMIR-PSA-NET-SETTLEMENT
102500                                             VALUE 'A1' 'A2' 'A3'
102600                                                   'M1' 'M2' 'M3'
102700                                                   'C2' 'W2'.
102800                     88  MMMMIR-PSA-BY-ITEM-SETTLEMENT
102900                                             VALUE 'A4' 'M4'.
103000                     88  MMMMIR-PSA-NO-DEBIT-ACH
103100                                             VALUE 'A2' 'A3'.
103200                 09  MMMMIR-INTERIM-SETT-ACCT-METH
103300                             PIC  X(02)      VALUE 'N0'.
103400                     88  MMMMIR-ISA-NOT-USED VALUE 'N0'.
103500                     88  MMMMIR-ISA-ACH      VALUE 'A1' 'A2'
103600                                                   'A3' 'A4'.
103700                     88  MMMMIR-ISA-MANUAL   VALUE 'M1' 'M2'
103800                                                   'M3' 'M4'.
103900                     88  MMMMIR-ISA-CHECK    VALUE 'C2'.
104000                     88  MMMMIR-ISA-WIRE     VALUE 'W2'.
104100                     88  MMMMIR-ISA-NO-HOLDOVER
104200                                             VALUE 'A1' 'M1'.
104300                     88  MMMMIR-ISA-HOLDOVER-NORM
104400                                             VALUE 'A2' 'M2'
104500                                                   'C2' 'W2'.
104600                     88  MMMMIR-ISA-HOLDOVER-BILLED
104700                                             VALUE 'A3' 'M3'.
104800                     88  MMMMIR-ISA-NET-SETTLEMENT
104900                                             VALUE 'A1' 'A2' 'A3'
105000                                                   'M1' 'M2' 'M3'
105100                                                   'C2' 'W2'.
105200                     88  MMMMIR-ISA-BY-ITEM-SETTLEMENT
105300                                             VALUE 'A4' 'M4'.
105400                     88  MMMMIR-ISA-NO-DEBIT-ACH
105500                                             VALUE 'A2' 'A3'.
105600*
105700         05  MMMMIR-BILLING-DATA-X.
105800             07  MMMMIR-BILLING-DATA         OCCURS 4 TIMES
105900                                             INDEXED BY
106000                                             X-MMMMIR-BILL.
106100                 09  MMMMIR-BILL-USE-FLAG
106200                             PIC  X(01)      VALUE 'N'.
106300                     88  MMMMIR-BUF-ACTIVE   VALUE 'Y' 'X'.
106400                     88  MMMMIR-BUF-HOLDOVER-TO-XFER
106500                                             VALUE 'X'.
106600                     88  MMMMIR-BUF-NOT-ACTIVE
106700                                             VALUE 'N'.
106800                     88  MMMMIR-BUF-VALID    VALUE 'Y' 'N' 'X'.
106900                 09  MMMMIR-BILLING-ORG
107000                             PIC  9(03)      VALUE ZERO.
107100                 09  MMMMIR-BILLING-ACCT
107200                             PIC  X(19)      VALUE SPACES.
107300*
107400         05  MMMMIR-MBD260-AREA.
107500             07  MMMMIR-DISC-SW
107600                             PIC  X(01)      VALUE 'N'.
107700                 88  MMMMIR-NO-DISC-TODAY    VALUE 'N'.
107800                 88  MMMMIR-DISC-TODAY       VALUE 'Y'.
107900             07  MMMMIR-PART-SW
108000                             PIC  X(01)      VALUE 'N'.
108100                 88  MMMMIR-NO-PART-TODAY    VALUE 'N'.
108200                 88  MMMMIR-PART-TODAY       VALUE 'Y'.
108300*
108400             07  MMMMIR-STMT-CLEAR-SW
108500                             PIC  X(01)      VALUE 'N'.
108600                 88  MMMMIR-STMT-CLEAR-TODAY VALUE 'Y'.
108700                 88  MMMMIR-NO-STMT-CLEAR    VALUE 'N'.
108800             07  MMMMIR-DISC-CLEAR-SW
108900                             PIC  X(01)      VALUE 'N'.
109000                 88  MMMMIR-DISC-CLEAR-TODAY VALUE 'Y'.
109100                 88  MMMMIR-NO-DISC-CLEAR    VALUE 'N'.
109200             07  MMMMIR-PART-CLEAR-SW
109300                             PIC  X(01)      VALUE 'N'.
109400                 88  MMMMIR-PART-CLEAR-TODAY VALUE 'Y'.
109500                 88  MMMMIR-NO-PART-CLEAR    VALUE 'N'.
109600*
109700*****************************************************************
109800*    STORE DEFAULT PARAMETERS                                   *
109900*****************************************************************
110000*
110100     03  MMMMIR-STORE-PROCESSING-DATA.
110200         05  MMMMIR-STORE-NBR
110300                             PIC  9(09)      VALUE ZERO.
110400         05  MMMMIR-GOVERNING-STATE
110500                             PIC  X(03)      VALUE SPACES.
110600         05  MMMMIR-STMT-ADDR-CONTROL
110700                             PIC  X(01)      VALUE 'P'.
110800             88  MMMMIR-SAC-USE-PRIMARY      VALUE 'P'.
110900             88  MMMMIR-SAC-USE-SECONDARY    VALUE 'S'.
111000             88  MMMMIR-SAC-IS-VALID         VALUE 'P' 'S'.
111100*
111200*****************************************************************
111300*    PROCESSING PARAMETERS                                      *
111400*****************************************************************
111500*
111600     03  MMMMIR-PROCESSING-PARAMETERS.
111700         05  MMMMIR-SINGLE-STORE-FLAG
111800                             PIC  X(01)      VALUE 'N'.
111900             88  MMMMIR-SINGLE-STORE-YES     VALUE 'Y'.
112000             88  MMMMIR-SINGLE-STORE-NO      VALUE 'N'.
112100         05  MMMMIR-BLOCK-CODE
112200                             PIC  X(01)      VALUE SPACES.
112300             88  MMMMIR-VALID-BLOCK-CODE     VALUE SPACE
112400                                                   'A' THRU 'Z'.
112500         05  MMMMIR-BLOCK-OPER
112600                             PIC X(03)       VALUE SPACES.
112700*
112800         05  MMMMIR-CONTACT-INFO             OCCURS 2 TIMES
112900                                             INDEXED BY
113000                                             X-MMMMIR-CONTACT.
113100             07  MMMMIR-CONTACT
113200                             PIC  X(40)      VALUE SPACES.
113300             07  MMMMIR-CONTACT-PHONE
113400                             PIC  X(20)      VALUE SPACES.
113500             07  MMMMIR-CONTACT-FAX
113600                             PIC  X(20)      VALUE SPACES.
113700         05  MMMMIR-BRANCH
113800                             PIC  9(09)      VALUE ZERO.
113900         05  MMMMIR-AGENT-BANK
114000                             PIC  9(05)      VALUE ZERO.
114100         05  MMMMIR-OFFICER-ID
114200                             PIC  X(03)      VALUE SPACES.
114300*
114400         05  MMMMIR-TIN-TYPE
114500                             PIC  X(01)      VALUE SPACES.
114600             88  MMMMIR-TIN-TYPE-SSN         VALUE '1'.
114700             88  MMMMIR-TIN-TYPE-EIN         VALUE '2'.
114800             88  MMMMIR-TIN-TYPE-OTHER       VALUE '3'.
114900             88  MMMMIR-TIN-TYPE-NON-US      VALUE SPACES.
115000             88  MMMMIR-TIN-TYPE-VALID       VALUE '1' '2' '3'
115100                                                   SPACES.
115200*
115300         05  MMMMIR-TAX-ID   PIC  X(15)      VALUE SPACES.
115400         05  MMMMIR-INCORPORATION-STATUS
115500                             PIC  X(02)      VALUE SPACES.
115600         05  MMMMIR-SOLE-PROP-AREA.
115700             07  MMMMIR-SOLE-PROP-LAST
115800                             PIC  X(25)      VALUE SPACES.
115900             07  MMMMIR-SOLE-PROP-FIRST
116000                             PIC  X(25)      VALUE SPACES.
116100             07  MMMMIR-SOLE-PROP-INITIAL
116200                             PIC  X(01)      VALUE SPACES.
116300*
116400         05  MMMMIR-DEFAULT-PLATES
116500                             PIC S9(05)      COMP-3 VALUE ZERO.
116600         05  MMMMIR-NBR-BULLETINS
116700                             PIC S9(09)      COMP-3 VALUE ZERO.
116800         05  MMMMIR-NBR-STORES
116900                             PIC S9(09)      COMP-3 VALUE ZERO.
117000         05  MMMMIR-POST-REJECTS-FLAG
117100                             PIC  X(01)      VALUE 'N'.
117200             88  MMMMIR-POST-REJECTS-YES     VALUE 'Y'.
117300             88  MMMMIR-POST-REJECTS-NO      VALUE 'N'.
117400         05  MMMMIR-1099-REFUSAL-IND
117500                             PIC  X(01).
117600             88  MMMMIR-ALL-1099-DATA        VALUE 'N' SPACES.
117700             88  MMMMIR-NO-1099-DATA         VALUE 'Y'.
117800         05  MMMMIR-CORP-LEGAL-NAME
117900                             PIC  X(30)      VALUE SPACES.
118000         05  MMMMIR-MINORITY-CODE
118100                             PIC  X(02)      VALUE SPACES.
118200             88  MMMMIR-MINORITY-ASIAN-INDIAN
118300                                             VALUE 'AI'.
118400             88  MMMMIR-MINORITY-ASIAN-PACIFIC
118500                                             VALUE 'AP'.
118600             88  MMMMIR-MINORITY-BLACK       VALUE 'BL'.
118700             88  MMMMIR-MINORITY-HISPANIC    VALUE 'HI'.
118800             88  MMMMIR-MINORITY-NATIVE-AMERICA
118900                                             VALUE 'NA'.
119000             88  MMMMIR-MINORITY-OTHER       VALUE 'OT'.
119100             88  MMMMIR-MINORITY-UNKNOWN     VALUE SPACES.
119200*
119300         05  MMMMIR-WOMAN-OWNED-CODE
119400                             PIC  X(01)      VALUE ZERO.
119500             88  MMMMIR-WOMAN-OWNED-NO       VALUE ZERO.
119600             88  MMMMIR-WOMAN-OWNED-YES      VALUE '1'.
119700*
119800         05  MMMMIR-DUN-AND-BRADSTREET-NBR
119900                             PIC  X(09)      VALUE SPACES.
120000*
120100         05  FILLER          PIC  X(20)      VALUE SPACES.
120200*
120300*****************************************************************
120400*    VISIT AND REVIEW INFORMATION                               *
120500*****************************************************************
120600*
120700     03  MMMMIR-VISIT-AND-REVIEW-DATA.
120800         05  MMMMIR-VISIT-REP-NAME
120900                             PIC  X(40)      VALUE SPACES.
121000         05  MMMMIR-VISIT-REP-OPER
121100                             PIC  X(03)      VALUE SPACES.
121200         05  MMMMIR-VISIT-FREQ
121300                             PIC  9(02)      VALUE ZERO.
121400*
121500         05  MMMMIR-REVIEW-REP-NAME
121600                             PIC  X(40)      VALUE SPACES.
121700         05  MMMMIR-REVIEW-REP-OPER
121800                             PIC  X(03)      VALUE SPACES.
121900         05  MMMMIR-REVIEW-FREQ
122000                             PIC  9(02)      VALUE ZERO.
122100*
122200*****************************************************************
122300*    MERCHANT CHAIN INFORMATION                                 *
122400*****************************************************************
122500*
122600     03  MMMMIR-MERCH-CHAIN-INFO.
122700         05  MMMMIR-MERCH-CHAIN              OCCURS 10 TIMES
122800                                             INDEXED BY
122900                                             X-MMMMIR-MERCH-CHAIN.
123000             07  MMMMIR-MERCH-CHAIN-ID
123100                             PIC S9(09)      COMP-3 VALUE ZERO.
123200*
123300     03  MMMMIR-STMT-CHAIN-INFO.
123400         05  MMMMIR-STMT-CHAIN               OCCURS 10 TIMES
123500                                             INDEXED BY
123600                                             X-MMMMIR-STMT-CHAIN.
123700             07  MMMMIR-STMT-CHAIN-FLAG
123800                             PIC  X(01)      VALUE 'N'.
123900                 88  MMMMIR-STMT-CHAIN-ACTIVE
124000                                             VALUE 'Y'.
124100                 88  MMMMIR-STMT-CHAIN-NOT-ACTIVE
124200                                             VALUE 'N'.
124300*
124400*****************************************************************
124500*    MERCHANT IMPRINTER INFORMATION                             *
124600*****************************************************************
124700*
124800     03  MMMMIR-IMP-INFO.
124900         05  MMMMIR-IMP-DEV                  OCCURS 3 TIMES
125000                                             INDEXED BY
125100                                             X-MMMMIR-IMP.
125200             07  MMMMIR-IMP-DEV-TITLE
125300                             PIC  X(15)      VALUE SPACES.
125400             07  MMMMIR-IMP-DEV-NBR
125500                             PIC S9(05)      COMP-3 VALUE ZERO.
125600*
125700*****************************************************************
125800*    POINT OF SALE INFORMATION                                  *
125900*****************************************************************
126000*
126100     03  MMMMIR-POS-INFO.
126200         05  MMMMIR-POS-DEV                  OCCURS 3 TIMES
126300                                             INDEXED BY
126400                                             X-MMMMIR-POS.
126500             07  MMMMIR-POS-DEV-TITLE
126600                             PIC  X(15)      VALUE SPACES.
126700             07  MMMMIR-POS-DEV-NBR
126800                             PIC S9(05)      COMP-3 VALUE ZERO.
126900*
127000*****************************************************************
127100*    MEMO INFORMATION                                           *
127200*****************************************************************
127300*
127400     03  MMMMIR-MEMO-DATA.
127500         05  MMMMIR-MEMO-1   PIC  X(50)      VALUE SPACES.
127600         05  MMMMIR-MEMO-2   PIC  X(50)      VALUE SPACES.
127700         05  MMMMIR-MEMO-3   PIC  X(50)      VALUE SPACES.
127800         05  MMMMIR-MEMO-4   PIC  X(50)      VALUE SPACES.
127900*
128000     03  MMMMIR-MEMO-DATA-R  REDEFINES MMMMIR-MEMO-DATA.
128100         05  MMMMIR-MEMO-TABLE               OCCURS 4 TIMES
128200                                             INDEXED BY
128300                                             X-MMMMIR-MEMO.
128400             07  MMMMIR-MEMO PIC  X(50).
128500*****************************************************************
128600*    MERCHANT FRAUD CONTROL                                     *
128700*****************************************************************
128800     03  MMMMIR-FRAUD-INDICATORS.
128900         05  MMMMIR-FRAUD-TABLE
129000                             PIC S9(09)      COMP-3 VALUE ZERO.
129100         05  MMMMIR-FRAUD-AVG-NBR-MONTHS
129200                             PIC  9(02)      VALUE ZERO.
129300*
129400         05  MMMMIR-FRAUD-DUPLICATE-FIELDS.
129500             07  MMMMIR-DUP-SALES-BATCH-NBR-C-H                   RG800902
129510                             PIC S9(03)      COMP-3 VALUE ZERO.   RG800902
129512             07  MMMMIR-DUP-SALES-DAY-NBR-C-H                     RG800902
129600                             PIC S9(03)      COMP-3 VALUE ZERO.   RG800902
129610             07  MMMMIR-DUP-SALES-DAY-AMT-C-H                     RG800902
129612                             PIC S9(17)      COMP-3 VALUE ZERO.   RG800902
129700             07  MMMMIR-DUP-AUTHS-BATCH-NBR-C-H                   RG800902
129710                             PIC S9(03)      COMP-3 VALUE ZERO.   RG800902
129712             07  MMMMIR-DUP-AUTHS-DAY-NBR-C-H                     RG800902
129800                             PIC S9(03)      COMP-3 VALUE ZERO.   RG800902
129810             07  MMMMIR-DUP-AUTHS-DAY-AMT-C-H                     RG800902
129812                             PIC S9(17)      COMP-3 VALUE ZERO.   RG800902
129900*
130000         05  MMMMIR-FRAUD-PROJECTED-FIELDS.
130100             07  MMMMIR-PROJ-SALES-AMT
130200                             PIC S9(17)      COMP-3 VALUE ZERO.
130300             07  MMMMIR-PROJ-SALES-NBR
130400                             PIC S9(09)      COMP-3 VALUE ZERO.
130500             07  MMMMIR-PROJ-RETURNS-AMT
130600                             PIC S9(17)      COMP-3 VALUE ZERO.
130700             07  MMMMIR-PROJ-RETURNS-NBR
130800                             PIC S9(09)      COMP-3 VALUE ZERO.
130900             07  MMMMIR-PROJ-AUTH-AMT
131000                             PIC S9(17)      COMP-3 VALUE ZERO.
131100             07  MMMMIR-PROJ-AUTH-NBR
131200                             PIC S9(09)      COMP-3 VALUE ZERO.
131300             07  MMMMIR-PROJ-CHGBACK-AMT
131400                             PIC S9(17)      COMP-3 VALUE ZERO.
131500             07  MMMMIR-PROJ-CHGBACK-NBR
131600                             PIC S9(09)      COMP-3 VALUE ZERO.
131700             07  MMMMIR-PROJ-CHGBACK-MEMO-AMT
131800                             PIC S9(17)      COMP-3 VALUE ZERO.
131900             07  MMMMIR-PROJ-CHGBACK-MEMO-NBR
132000                             PIC S9(09)      COMP-3 VALUE ZERO.
132100         05  MMMMIR-FRAUD-PROJ-FIELDS-R
132200                             REDEFINES
132300                             MMMMIR-FRAUD-PROJECTED-FIELDS.
132400             07  MMMMIR-FRAUD-PROJ-FIELDS-X  OCCURS 5 TIMES
132500                                             INDEXED BY
132600                                             X-MMMMIR-FRAUD-PROJ.
132700                 09  MMMMIR-PROJ-AMT
132800                             PIC S9(17)      COMP-3.
132900                 09  MMMMIR-PROJ-NBR
133000                             PIC S9(09)      COMP-3.
133100*
133200*****************************************************************
133300*    USER DATA INFORMATION                                      *
133400*****************************************************************
133500*
133600     03  MMMMIR-USER-DATA-INFO.
133700         05  MMMMIR-USER-DATA-ELEMENT        OCCURS 8 TIMES
133800                                             INDEXED BY
133900                                             X-MMMMIR-USER-DATA.
134000             07  MMMMIR-USER-DATA-TITLE
134100                             PIC  X(15)      VALUE SPACES.
134200             07  MMMMIR-USER-DATA
134300                             PIC  X(12)      VALUE SPACES.
134400*
134500*****************************************************************
134600*    USER DATE INFORMATION                                      *
134700*****************************************************************
134800*
134900     03  MMMMIR-USER-DATE-INFO.
135000         05  MMMMIR-USER-DATE-ELEMENT        OCCURS 8 TIMES
135100                                             INDEXED BY
135200                                             X-MMMMIR-USER-DATE.
135300             07  MMMMIR-USER-DATE-TITLE
135400                             PIC  X(15)      VALUE SPACES.
135500             07  MMMMIR-USER-DATE
135600                             PIC S9(07)      COMP-3 VALUE ZERO.
135700*
135800*****************************************************************
135900*    USER AMOUNT INFORMATION                                    *
136000*****************************************************************
136100*
136200     03  MMMMIR-USER-AMT-INFO.
136300         05  MMMMIR-USER-AMT-ELEMENT         OCCURS 8 TIMES
136400                                             INDEXED BY
136500                                             X-MMMMIR-USER-AMT.
136600             07  MMMMIR-USER-AMT-TITLE
136700                             PIC  X(15)      VALUE SPACES.
136800             07  MMMMIR-USER-AMT
136900                             PIC S9(17)      COMP-3 VALUE ZERO.
137000             07  MMMMIR-USER-AMT-NO-DEC
137100                             REDEFINES       MMMMIR-USER-AMT
137200                             PIC S9(17)      COMP-3.
137300*
137400*****************************************************************
137500*    CYCLE-TO-DATE ACCUMULATORS FOR STATEMENTS                  *
137600*****************************************************************
137700*
137800     03  MMMMIR-CTD-ACCUMULATORS-X.
137900         05  MMMMIR-CTD-ACCUMULATORS         OCCURS 4 TIMES
138000                                             INDEXED BY
138100                                             X-MMMMIR-CTD-ACCUM.
138200             07  MMMMIR-CTD-NET-PAID-CR-AMT
138300                             PIC S9(17)      COMP-3 VALUE ZERO.
138400             07  MMMMIR-CTD-NET-PAID-DR-AMT
138500                             PIC S9(17)      COMP-3 VALUE ZERO.
138600             07  MMMMIR-CTD-XFER-INV-AMT
138700                             PIC S9(17)      COMP-3 VALUE ZERO.
138800*
138900*****************************************************************
139000*    CLOSE/PURGING/PURGE DATA                                   *
139100*****************************************************************
139200*
139300     03  MMMMIR-CLOSE-PURGE-DATA-X.
139400         05  MMMMIR-CLOSE-REASON
139500                             PIC  X(02)      VALUE SPACES.
139600         05  MMMMIR-STATUS-CHANGE-OPER
139700                             PIC  X(03)      VALUE SPACES.
139800             88  MMMMIR-STATUS-OPER-AUTO     VALUE '*S*' '*S6'.
139900         05  MMMMIR-SETT-HIST-SW
140000                             PIC  X(01)      VALUE 'N'.
140100             88  MMMMIR-SETT-HIST-PRESENT    VALUE 'Y'.
140200             88  MMMMIR-SETT-HIST-NOT-PRESENT
140300                                             VALUE 'N'.
140400*
140500*****************************************************************
140600*    INTERNATIONAL DATA                                         *
140700*****************************************************************
140800*
140900     03  MMMMIR-INTERNATIONAL-DATA.
141000         05  MMMMIR-EURO-REPORTING-FLAG
141100                             PIC  X(01)      VALUE ZERO.
141200             88  MMMMIR-EURO-REPORTING-OFF   VALUE ZERO.
141300             88  MMMMIR-EURO-REPORTING-ON    VALUE '1'.
141400         05  MMMMIR-DUAL-CURRENCY-ORG
141500                             PIC  9(03)      VALUE ZERO.
141600             88  MMMMIR-DUAL-CURRENCY-OFF    VALUE ZERO 999.
141700             88  MMMMIR-DUAL-CURRENCY-ON     VALUE 001 THRU 998.
141710*                                                                 RG802901
141720     03  MMMMIR-URL-EMAIL    PIC  X(60)      VALUE SPACES.        RG802901
141800*
141900     03  FILLER              PIC  X(113)     VALUE SPACES.        RG800902
142000*
142100     03  MMMMIR-USER-FILLER  PIC  X(100)     VALUE SPACES.
142200*
142300*       ***************************************************
142400*       *              END OF COPYBOOK MMMMIR             *
142500*       ***************************************************
