000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMMMRL -------- MERCHANT MASTER FILE ----------- 4080 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMMM-RECORD.
001000     03  MMMM-KEY.
001100         88  MMMM-HEADER                     VALUE ZERO.
001200         88  MMMM-TRAILER                    VALUE ALL '9'.
001300         05  MMMM-ORG-MERCHANT.
001400             07  MMMM-ORG-X.
001500                 09  MMMM-ORG
001600                             PIC  9(03).
001700             07  MMMM-MERCHANT-X.
001800                 09  MMMM-MERCHANT
001900                             PIC  9(09).
002000*
002100     03  MMMM-STATUS-INFORMATION.
002200         05  MMMM-REC-STATUS
002300                             PIC  9(01).
002400             88  MMMM-REC-INCOMPLETE         VALUE 0.
002500             88  MMMM-REC-ACTIVE             VALUE 1.
002600             88  MMMM-REC-MODEL              VALUE 3.
002700             88  MMMM-REC-CLOSED             VALUE 6.
002800             88  MMMM-REC-PENDING-PURGE      VALUE 7.
002900             88  MMMM-REC-PURGING            VALUE 8.
003000             88  MMMM-REC-PURGED             VALUE 9.
003100         05  MMMM-ONLINE-STATUS
003200                             PIC  9(02).
003300             88  MMMM-ADD-PENDING            VALUE 00 THRU 49.
003400             88  MMMM-ADD-COMPLETED          VALUE 99.
003500         05  MMMM-LAST-MAINT-DATE
003600                             PIC S9(07)      COMP-3.
003700         05  MMMM-LAST-MAINT-OPER
003800                             PIC  X(03).
003900*
004000*****************************************************************
004100*    STATISTICS CONTROL AREA                                    *
004200*****************************************************************
004300*
004400*
004500******************************************************************
004600* OCCURRENCE *---------------DATA CONTENT---------------*        *
004700*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
004800*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
004900*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
005000*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
005100*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
005200*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
005300*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
005400*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
005500*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
005600*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
005700*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
005800*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
005900*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
006000*    14     MONTH-TO-DATE STATS                                  *
006100*    15     YEAR-TO-DATE STATS                                   *
006200*    16     STATEMENT CYCLE-TO-DATE STATS                        *
006300*    17     DISCOUNT-TO-DATE STATS                               *
006400*    18     PARTICIPATION-TO-DATE STATS                          *
006500******************************************************************
006600*
006700     03  MMMM-STATS-CONTROL-AREA.
006800         05  MMMM-STATS-OCCUR-TABLE          OCCURS 18 TIMES
006900                                             INDEXED BY
007000                                             X-MMMM
007100                                             X-MMMM-1
007200                                             X-MMMM-2
007300                                             X-MMMM-3
007400                                             X-MMMM-4
007500                                             X-MMMM-5
007600                                             X-MMMM-6
007700                                             X-MMMM-SEARCH.
007800             07  MMMM-OCCURRENCE-DESC.
007900                 09  MMMM-OCCURRENCE-ID
008000                             PIC  X(03).
008100                     88  MMMM-OID-JAN        VALUE 'JAN'.
008200                     88  MMMM-OID-FEB        VALUE 'FEB'.
008300                     88  MMMM-OID-MAR        VALUE 'MAR'.
008400                     88  MMMM-OID-APR        VALUE 'APR'.
008500                     88  MMMM-OID-MAY        VALUE 'MAY'.
008600                     88  MMMM-OID-JUN        VALUE 'JUN'.
008700                     88  MMMM-OID-JUL        VALUE 'JUL'.
008800                     88  MMMM-OID-AUG        VALUE 'AUG'.
008900                     88  MMMM-OID-SEP        VALUE 'SEP'.
009000                     88  MMMM-OID-OCT        VALUE 'OCT'.
009100                     88  MMMM-OID-NOV        VALUE 'NOV'.
009200                     88  MMMM-OID-DEC        VALUE 'DEC'.
009300                     88  MMMM-OID-CUR        VALUE 'CUR'.
009400                     88  MMMM-OID-MTD        VALUE 'MTD'.
009500                     88  MMMM-OID-YTD        VALUE 'YTD'.
009600                     88  MMMM-OID-CTD        VALUE 'CTD'.
009700                     88  MMMM-OID-DTD        VALUE 'DTD'.
009800                     88  MMMM-OID-PTD        VALUE 'PTD'.
009900                 09  MMMM-OCCURRENCE-YEAR
010000                             PIC  9(04).
010100*
010200*****************************************************************
010300*    MERCHANT BALANCES                                          *
010400*****************************************************************
010500*
010600     03  MMMM-MERCHANT-BALANCES.
010700         05  MMMM-BAL-SETT
010800                             PIC S9(17)      COMP-3.
010900         05  MMMM-PREV-BAL-SETT
011000                             PIC S9(17)      COMP-3.
011100         05  MMMM-BAL-RESERVES-X.
011200             07  MMMM-BAL-RESV-1
011300                             PIC S9(17)      COMP-3.
011400             07  MMMM-PREV-BAL-RESV-1
011500                             PIC S9(17)      COMP-3.
011600             07  MMMM-BAL-RESV-2
011700                             PIC S9(17)      COMP-3.
011800             07  MMMM-PREV-BAL-RESV-2
011900                             PIC S9(17)      COMP-3.
012000             07  MMMM-BAL-RESV-3
012100                             PIC S9(17)      COMP-3.
012200             07  MMMM-PREV-BAL-RESV-3
012300                             PIC S9(17)      COMP-3.
012400             07  MMMM-BAL-RESV-4
012500                             PIC S9(17)      COMP-3.
012600             07  MMMM-PREV-BAL-RESV-4
012700                             PIC S9(17)      COMP-3.
012800         05  MMMM-BAL-RESERVES-R
012900                             REDEFINES MMMM-BAL-RESERVES-X.
013000             07  MMMM-BAL-RESV-TABLE         OCCURS 4 TIMES
013100                                             INDEXED BY
013200                                             X-MMMM-BAL-RESV.
013300                 09  MMMM-BAL-RESV
013400                             PIC S9(17)      COMP-3.
013500                 09  MMMM-PREV-BAL-RESV
013600                             PIC S9(17)      COMP-3.
013700*
013800*****************************************************************
013900*    DATES                                                      *
014000*****************************************************************
014100*
014200     03  MMMM-DATE-AREA.
014300         05  MMMM-DATE-OPENED
014400                             PIC S9(07)      COMP-3.
014500         05  MMMM-DATE-LAST-SETT
014600                             PIC S9(07)      COMP-3.
014700         05  MMMM-DATE-LAST-DISC
014800                             PIC S9(07)      COMP-3.
014900         05  MMMM-DATE-LAST-STMT
015000                             PIC S9(07)      COMP-3.
015100         05  MMMM-DATE-PREV-STMT
015200                             PIC S9(07)      COMP-3.
015300         05  MMMM-DATE-LAST-MEMB-FEE
015400                             PIC S9(07)      COMP-3.
015500         05  MMMM-DATE-LAST-PART-VOL
015600                             PIC S9(07)      COMP-3.
015700         05  MMMM-DATE-LAST-VISIT
015800                             PIC S9(07)      COMP-3.
015900         05  MMMM-DATE-NEXT-VISIT
016000                             PIC S9(07)      COMP-3.
016100         05  MMMM-DATE-LAST-REVIEW
016200                             PIC S9(07)      COMP-3.
016300         05  MMMM-DATE-NEXT-REVIEW
016400                             PIC S9(07)      COMP-3.
016500         05  MMMM-DATE-LAST-RATE-CHANGE
016600                             PIC S9(07)      COMP-3.
016700         05  MMMM-DATE-LAST-ACTIVE
016800                             PIC S9(07)      COMP-3.
016900         05  MMMM-DATE-FIRST-ACTIVE
017000                             PIC S9(07)      COMP-3.
017100         05  MMMM-DATE-CLOSED
017200                             PIC S9(07)      COMP-3.
017300         05  MMMM-DATE-PURGED
017400                             PIC S9(07)      COMP-3.
017500         05  MMMM-DATE-BLOCK-CODE
017600                             PIC S9(07)      COMP-3.
017700         05  MMMM-CTD-CLEAR-DATE-1
017800                             PIC S9(07)      COMP-3.
017900         05  MMMM-CTD-CLEAR-DATE-2
018000                             PIC S9(07)      COMP-3.
018100         05  MMMM-DTD-CLEAR-DATE-1
018200                             PIC S9(07)      COMP-3.
018300         05  MMMM-DTD-CLEAR-DATE-2
018400                             PIC S9(07)      COMP-3.
018500         05  MMMM-PTD-CLEAR-DATE-1
018600                             PIC S9(07)      COMP-3.
018700         05  MMMM-PTD-CLEAR-DATE-2
018800                             PIC S9(07)      COMP-3.
018900         05  MMMM-BI-WEEKLY-SETT-DATE
019000                             PIC S9(07)      COMP-3.
019100         05  MMMM-BI-WEEKLY-STMT-DATE
019200                             PIC S9(07)      COMP-3.
019300         05  MMMM-BI-WEEKLY-DISC-DATE
019400                             PIC S9(07)      COMP-3.
019500         05  MMMM-BI-WEEKLY-PART-DATE
019600                             PIC S9(07)      COMP-3.
019700         05  MMMM-DATE-LAST-PART
019800                             PIC S9(07)      COMP-3.
019900         05  MMMM-PURGING-DATE
020000                             PIC S9(07)      COMP-3.
020100         05  MMMM-OUT-OF-BUS-DATE
020200                             PIC S9(07)      COMP-3.
020300         05  MMMM-OWNERSHIP-CHG-DATE
020400                             PIC S9(07)      COMP-3.
020500         05  MMMM-DATE-PREV-ACTIVE                                RG800902
020600                             PIC S9(07)      COMP-3.
020700         05  FILLER
020800                             PIC S9(07)      COMP-3.
020900         05  FILLER
021000                             PIC S9(07)      COMP-3.
021100         05  FILLER
021200                             PIC S9(07)      COMP-3.
021300*
021400*****************************************************************
021500*    PRIMARY DEMOGRAPHICS                                       *
021600*****************************************************************
021700*
021800     03  MMMM-DEMOGRAPHICS-AREA.
021900         05  MMMM-DEMOGRAPHICS-TABLE         OCCURS 2 TIMES
022000                                             INDEXED BY
022100                                             X-MMMM-DEMOGRAPHICS
022200                                             X-MMMM-PRIMARY
022300                                             X-MMMM-SECONDARY.
022400             07  MMMM-GNA-NBR
022500                             PIC  X(19).
022600             07  MMMM-NA-LINES-TABLE
022700                                             OCCURS 5 TIMES
022800                                             INDEXED BY
022900                                             X-MMMM-NA.
023000                 09  MMMM-NA-LINE
023100                             PIC  X(40).
023200             07  MMMM-NA-OVERFLOW-SW
023300                             PIC  X(01).
023400                 88  MMMM-NA-OVERFLOW-YES    VALUE 'Y'.
023500                 88  MMMM-NA-OVERFLOW-NO     VALUE 'N'.
023600             07  MMMM-COUNTRY-CODE
023700                             PIC  X(03).
023800             07  MMMM-STATE-CODE
023900                             PIC  X(03).
024000             07  MMMM-POSTAL-CODE
024100                             PIC  X(10).
024200             07  MMMM-PHONE
024300                             PIC  X(20).
024400             07  MMMM-FAX
024500                             PIC  X(20).
024600*
024700*****************************************************************
024800*    DBA DEMOGRAPHICS                                           *
024900*****************************************************************
025000*
025100     03  MMMM-DBA-DEMOGRAPHICS.
025200         05  MMMM-DBA-NAME   PIC  X(25).
025300         05  MMMM-DBA-CITY   PIC  X(13).
025400         05  MMMM-DBA-COUNTRY-CODE
025500                             PIC  X(03).
025600*
025700*****************************************************************
025800*    DEPOSIT HISTORY PARAMETERS                                 *
025900*****************************************************************
026000*
026100     03  MMMM-DEPOSIT-HISTORY-PARMS.
026200         05  MMMM-DEP-DETAIL-CONTENT-SW
026300                             PIC  X(01).
026400             88  MMMM-DDC-HEADERS-ADJ-ONLY   VALUE 'S'.
026500             88  MMMM-DDC-FULL-DEPOSIT-DETAIL
026600                                             VALUE 'D'.
026700             88  MMMM-DDC-NO-DEPOSIT-HISTORY
026800                                             VALUE 'N'.
026900*
027000         05  MMMM-RETAIN-DEPOSITS
027100                             PIC  9(03).
027200*
027300         05  MMMM-SETT-NOTICE-RPT-FLAG
027400                             PIC  X(01).
027500             88  MMMM-SETT-NOTICE-PRINT      VALUE 'P' 'B'.
027600             88  MMMM-SETT-NOTICE-NO-PRINT   VALUE 'F'.
027700             88  MMMM-SETT-NOTICE-FAX        VALUE 'F' 'B'.
027800             88  MMMM-SETT-NOTICE-NO-FAX     VALUE 'P'.
027900*
028000         05  MMMM-SETT-NOTICE-DETAIL-FLAG
028100                             PIC  X(01).
028200             88  MMMM-SETT-NOTICE-DETAIL     VALUE 'Y'.
028300             88  MMMM-SETT-NOTICE-NO-DETAIL
028400                                             VALUE 'N'.
028500*
028600         05  MMMM-STATEMENT-RPT-FLAG
028700                             PIC  X(01).
028800             88  MMMM-STATEMENT-PRINT        VALUE 'P' 'B'.
028900             88  MMMM-STATEMENT-NO-PRINT     VALUE 'F'.
029000             88  MMMM-STATEMENT-FAX          VALUE 'F' 'B'.
029100             88  MMMM-STATEMENT-NO-FAX       VALUE 'P'.
029200*
029300         05  MMMM-STATEMENT-DETAIL-FLAG
029400                             PIC  X(01).
029500             88  MMMM-STATEMENT-DETAIL       VALUE 'Y'.
029600             88  MMMM-STATEMENT-NO-DETAIL    VALUE 'N'.
029700*
029800*****************************************************************
029900*    STATEMENT PARAMETERS                                       *
030000*****************************************************************
030100*
030200     03  MMMM-STATEMENT-PARAMETERS.
030300         05  MMMM-STMT-TYPE  PIC  X(01).
030400             88  MMMM-STMT-SUMMARY           VALUE 'S'.
030500             88  MMMM-STMT-DETAIL            VALUE 'D'.
030600*
030700         05  MMMM-STMT-CONTROL
030800                             PIC  X(01).
030900             88  MMMM-NORMAL-STMT            VALUE 'N'.
031000             88  MMMM-HOLD-STMT              VALUE 'H'.
031100             88  MMMM-ONLINE-ONLY-STMT       VALUE 'O'.
031200             88  MMMM-USER-HOLD-STMT         VALUE '1' THRU '9'.
031300             88  MMMM-VALID-HOLD-STMT        VALUE 'H' 'O'
031400                                                   '1' THRU '9'.
031500*
031600         05  MMMM-STMT-MSG-FLAG-TABLE        OCCURS 5 TIMES
031700                                             INDEXED BY
031800                                             X-MMMM-STMT-MSG-FLAG.
031900             07  MMMM-STMT-MSG-FLAG
032000                             PIC  X(01).
032100                 88  MMMM-STMT-MSG-PRINT     VALUE 'Y'.
032200                 88  MMMM-STMT-MSG-SUPPRESS  VALUE 'N'.
032300                 88  MMMM-STMT-MSG-PERIODIC  VALUE 'P'.
032400*
032500         05  MMMM-STMT-FREQ-1-X.
032600             07  MMMM-STMT-FREQ-1
032700                             PIC  9(02).
032800                 88  MMMM-SF1-DAILY-STMT     VALUE 99.
032900                 88  MMMM-SF1-WEEKLY-STMT    VALUE 41 THRU 47.
033000                 88  MMMM-SF1-BI-WEEKLY-STMT VALUE 51 THRU 57.
033100                 88  MMMM-SF1-MONTHLY-STMT   VALUE 01 THRU 31.
033200                 88  MMMM-SF1-VALID-FREQ-STMT
033300                                             VALUE 99
033400                                                   01 THRU 31
033500                                                   41 THRU 47
033600                                                   51 THRU 57.
033700         05  MMMM-STMT-FREQ-1-R
033800                             REDEFINES MMMM-STMT-FREQ-1-X.
033900             07  FILLER      PIC  9(01).
034000             07  MMMM-STMT-FREQ-1-DOW
034100                             PIC  9(01).
034200*
034300         05  MMMM-STMT-FREQ-2-X.
034400             07  MMMM-STMT-FREQ-2
034500                             PIC  9(02).
034600                 88  MMMM-SF2-NOT-USED-STMT  VALUE 00.
034700                 88  MMMM-SF2-WEEKLY-STMT    VALUE 41 THRU 47.
034800                 88  MMMM-SF2-MONTHLY-STMT   VALUE 01 THRU 31.
034900                 88  MMMM-SF2-VALID-FREQ-STMT
035000                                             VALUE 00
035100                                                   01 THRU 31
035200                                                   41 THRU 47.
035300         05  MMMM-STMT-FREQ-2-R
035400                             REDEFINES MMMM-STMT-FREQ-2-X.
035500             07  FILLER      PIC  9(01).
035600             07  MMMM-STMT-FREQ-2-DOW
035700                             PIC  9(01).
035800*
035900*****************************************************************
036000*    FEE PERIOD SETTINGS                                        *
036100*****************************************************************
036200*
036300     03  MMMM-FEE-PERIOD-SETTINGS.
036400*****************************************************************
036500*                                                               *
036600*    OCCURRENCE  *------------FEES REPRESENTED-------------*    *
036700*        1       INTERCHANGE, PRODUCT USER FEES 1, 2 AND 3      *
036800*                                                               *
036900*        2       SALES, RETURNS, CHARGEBACKS, ADJUSTMENTS,      *
037000*                DEPOSITS, KEYED-AUTHS, SWIPED-AUTHS, CHECK     *
037100*                APPROVALS, USER-INPUT, LOCAL INPUT, ACH,       *
037200*                VOICE AUTHS, POS 1-2-3 AUTHS, POS 1-2-3 CAPTURE*
037300*                IN-STORE PAYMENTS                              *
037400*                                                               *
037500*        3       POS 1-2-3 DEVICE, IMPRINTER 1-2-3 DEVICE       *
037600*                                                               *
037700*        4       USER 1-8                                       *
037800*                                                               *
037900*        5       SETUP, ADMIN, INTERCHANGE BULLETIN             *
038000*                                                               *
038100*        6       RESERVED FOR FUTURE USE                        *
038200*                                                               *
038300* N O T E --- STATEMENT FEES AND MEMBERSHIP FEES ARE CHARGED    *
038400*             ONLY AT STATEMENT TIME.                           *
038500*****************************************************************
038600         05  MMMM-FEE-PERIOD-TABLE           OCCURS 6 TIMES
038700                                             INDEXED BY
038800                                             X-MMMM-FP.
038900             07  MMMM-FEE-PERIOD
039000                             PIC  X(01).
039100                 88  MMMM-FP-DAILY           VALUE 'D' 'T'.
039200                 88  MMMM-FP-STMT            VALUE 'S' 'Y'.
039300                 88  MMMM-FP-MIGRATE-TO-DAILY
039400                                             VALUE 'Y'.
039500                 88  MMMM-FP-MIGRATE-TO-STMT
039600                                             VALUE 'T'.
039700*
039800         05  MMMM-MEMB-FEE-FREQ
039900                             PIC  X(01).
040000             88  MMMM-MEMB-FEE-NOT-USED      VALUE 'N'.
040100             88  MMMM-MEMB-FEE-MONTHLY       VALUE 'M'.
040200             88  MMMM-MEMB-FEE-QUARTERLY     VALUE 'Q'.
040300             88  MMMM-MEMB-FEE-SEMI-ANNUAL   VALUE 'S'.
040400             88  MMMM-MEMB-FEE-ANNUAL        VALUE 'A'.
040500*
040600         05  MMMM-SETUP-FEE-FLAG
040700                             PIC  X(01).
040800             88  MMMM-SETUP-FEE-OFF          VALUE 'N'.
040900             88  MMMM-SETUP-FEE-ON           VALUE 'Y' 'P'.
041000             88  MMMM-SETUP-FEE-PERIODIC     VALUE 'P'.
041100*
041200         05  MMMM-INCOME-TABLE-NBR
041300                             PIC  S9(09)     COMP-3.
041400*
041500         05  MMMM-EXPENSE-TABLE-NBR
041600                             PIC  S9(09)     COMP-3.
041700*
041800*
041900*
042000*****************************************************************
042100*    RESERVE PARAMETERS                                         *
042200*****************************************************************
042300*
042400     03  MMMM-RESERVE-PARAMETERS.
042500         05  MMMM-RESERVE-TABLE              OCCURS 4 TIMES
042600                                             INDEXED BY
042700                                             X-MMMM-RESV.
042800             07  MMMM-RESV-FREQ
042900                             PIC  X(01).
043000                 88  MMMM-RESV-NOT-ACTIVE    VALUE 'N'.
043100                 88  MMMM-RESV-FUND-DAILY    VALUE 'Y'.
043200                 88  MMMM-RESV-FUND-MTD      VALUE 'M'.
043300                 88  MMMM-RESV-FUND-DTD      VALUE 'D'.
043400                 88  MMMM-RESV-FUND-CTD      VALUE 'C'.
043500                 88  MMMM-RF-VALID           VALUE 'N' 'Y' 'M'
043600                                                   'D' 'C'.
043700             07  MMMM-RESV-LEVEL
043800                             PIC  X(01).
043900                 88  MMMM-RL-MERCHANT        VALUE 'M'.
044000                 88  MMMM-RL-PRODUCT         VALUE 'P'.
044100                 88  MMMM-RL-VALID           VALUE 'M' 'P'.
044200             07  MMMM-RESV-FEE-BASE
044300                             PIC  X(01).
044400                 88  MMMM-RFB-GROSS-SALES    VALUE 'G'.
044500                 88  MMMM-RFB-NET-SALES      VALUE 'N'.
044600                 88  MMMM-RFB-GROSS-VOLUME   VALUE 'V'.
044700                 88  MMMM-RFB-VALID          VALUE 'G' 'N' 'V'.
044800*
044900             07  MMMM-RESV-RATE-TABLE
045000                             PIC S9(09)      COMP-3.
045100             07  MMMM-RESV-DESC
045200                             PIC  X(30).
045300             07  MMMM-RESV-FLOOR
045400                             PIC S9(17)      COMP-3.
045500             07  MMMM-RESV-CEILING
045600                             PIC S9(17)      COMP-3.
045700*
045800*****************************************************************
045900*    DISCOUNT PARAMETERS                                        *
046000*****************************************************************
046100*
046200     03  MMMM-DISC-PARAMETERS.
046300         05  MMMM-DISC-LEVEL
046400                             PIC  X(01).
046500             88  MMMM-DL-MERCHANT            VALUE 'M'.
046600             88  MMMM-DL-PRODUCT             VALUE 'P'.
046700*
046800         05  MMMM-DISC-RATE-TABLE
046900                             PIC S9(09)      COMP-3.
047000         05  MMMM-MIN-DISC-AMT
047100                             PIC S9(17)      COMP-3.
047200         05  FILLER          PIC  X(05).
047300         05  MMMM-DISC-FEE-BASE
047400                             PIC  X(01).
047500             88  MMMM-DFB-GROSS-SALES        VALUE 'G'.
047600             88  MMMM-DFB-NET-SALES          VALUE 'N'.
047700             88  MMMM-DFB-GROSS-VOLUME       VALUE 'V'.
047800*
047900         05  MMMM-DISC-FREQ-1-X.
048000             07  MMMM-DISC-FREQ-1
048100                             PIC  9(02).
048200                 88  MMMM-DF1-DAILY-DISC     VALUE 99.
048300                 88  MMMM-DF1-WEEKLY-DISC    VALUE 41 THRU 47.
048400                 88  MMMM-DF1-BI-WEEKLY-DISC VALUE 51 THRU 57.
048500                 88  MMMM-DF1-MONTHLY-DISC   VALUE 01 THRU 31.
048600                 88  MMMM-DF1-VALID-FREQ-DISC
048700                                             VALUE 99
048800                                                   01 THRU 31
048900                                                   41 THRU 47
049000                                                   51 THRU 57.
049100         05  MMMM-DISC-FREQ-1-R
049200                             REDEFINES MMMM-DISC-FREQ-1-X.
049300             07  FILLER      PIC  9(01).
049400             07  MMMM-DISC-FREQ-1-DOW
049500                             PIC  9(01).
049600*
049700         05  MMMM-DISC-FREQ-2-X.
049800             07  MMMM-DISC-FREQ-2
049900                             PIC  9(02).
050000                 88  MMMM-DF2-NOT-USED-DISC  VALUE 00.
050100                 88  MMMM-DF2-WEEKLY-DISC    VALUE 41 THRU 47.
050200                 88  MMMM-DF2-MONTHLY-DISC   VALUE 01 THRU 31.
050300                 88  MMMM-DF2-VALID-FREQ-DISC
050400                                             VALUE 00
050500                                                   01 THRU 31
050600                                                   41 THRU 47.
050700         05  MMMM-DISC-FREQ-2-R
050800                             REDEFINES MMMM-DISC-FREQ-2-X.
050900             07  FILLER      PIC  9(01).
051000             07  MMMM-DISC-FREQ-2-DOW
051100                             PIC  9(01).
051200*
051300         05  FILLER          PIC  X(05).
051400*
051500*****************************************************************
051600*    PARTICIPATION PARAMETERS                                   *
051700*****************************************************************
051800*
051900     03  MMMM-PART-PARAMETERS.
052000         05  MMMM-PART-LEVEL
052100                             PIC  X(01).
052200             88  MMMM-PL-MERCHANT            VALUE 'M'.
052300             88  MMMM-PL-PRODUCT             VALUE 'P'.
052400*
052500         05  MMMM-PART-RATE-TABLE
052600                             PIC S9(09)      COMP-3.
052700         05  MMMM-MIN-PART-AMT
052800                             PIC S9(17)      COMP-3.
052900         05  MMMM-PART-MARGIN-IND
053000                             PIC  X(01).
053100             88  MMMM-PART-MARGIN-PLUS       VALUE '+'.
053200             88  MMMM-PART-MARGIN-MINUS      VALUE '-'.
053300         05  MMMM-PART-MARGIN
053400                             PIC S9(07)      COMP-3.
053500         05  MMMM-PART-FEE-BASE
053600                             PIC  X(01).
053700             88  MMMM-PFB-GROSS-SALES        VALUE 'G'.
053800             88  MMMM-PFB-NET-SALES          VALUE 'N'.
053900             88  MMMM-PFB-GROSS-VOLUME       VALUE 'V'.
054000         05  MMMM-PART-VOL-BONUS-FLAG
054100                             PIC  X(01).
054200             88  MMMM-PVBF-NOT-USED          VALUE 'N'.
054300             88  MMMM-PVBF-MONTHLY           VALUE 'M'.
054400             88  MMMM-PVBF-QUARTERLY         VALUE 'Q'.
054500             88  MMMM-PVBF-SEMI-ANNUAL       VALUE 'S'.
054600             88  MMMM-PVBF-ANNUAL            VALUE 'A'.
054700         05  MMMM-PART-VOL-RATE-TABLE
054800                             PIC S9(09)      COMP-3.
054900*
055000         05  MMMM-PART-FREQ-1-X.
055100             07  MMMM-PART-FREQ-1
055200                             PIC  9(02).
055300                 88  MMMM-PF1-DAILY-PART     VALUE 99.
055400                 88  MMMM-PF1-WEEKLY-PART    VALUE 41 THRU 47.
055500                 88  MMMM-PF1-BI-WEEKLY-PART VALUE 51 THRU 57.
055600                 88  MMMM-PF1-MONTHLY-PART   VALUE 01 THRU 31.
055700                 88  MMMM-PF1-VALID-FREQ-PART
055800                                             VALUE 99
055900                                                   01 THRU 31
056000                                                   41 THRU 47
056100                                                   51 THRU 57.
056200         05  MMMM-PART-FREQ-1-R
056300                             REDEFINES MMMM-PART-FREQ-1-X.
056400             07  FILLER      PIC  9(01).
056500             07  MMMM-PART-FREQ-1-DOW
056600                             PIC  9(01).
056700*
056800         05  MMMM-PART-FREQ-2-X.
056900             07  MMMM-PART-FREQ-2
057000                             PIC  9(02).
057100                 88  MMMM-PF2-NOT-USED-PART  VALUE 00.
057200                 88  MMMM-PF2-WEEKLY-PART    VALUE 41 THRU 47.
057300                 88  MMMM-PF2-MONTHLY-PART   VALUE 01 THRU 31.
057400                 88  MMMM-PF2-VALID-FREQ-PART
057500                                             VALUE 00
057600                                                   01 THRU 31
057700                                                   41 THRU 47.
057800         05  MMMM-PART-FREQ-2-R
057900                             REDEFINES MMMM-PART-FREQ-2-X.
058000             07  FILLER      PIC  9(01).
058100             07  MMMM-PART-FREQ-2-DOW
058200                             PIC  9(01).
058300*
058400         05  FILLER          PIC  X(05).
058500*
058600*****************************************************************
058700*    SETTLEMENT PARAMETERS                                      *
058800*****************************************************************
058900*
059000     03  MMMM-SETTLEMENT-PARAMETERS.
059100         05  MMMM-SETT-FREQ-1-X.
059200             07  MMMM-SETT-FREQ-1
059300                             PIC  9(02).
059400                 88  MMMM-SF1-DAILY-SETT     VALUE 99.
059500                 88  MMMM-SF1-WEEKLY-SETT    VALUE 41 THRU 47.
059600                 88  MMMM-SF1-BI-WEEKLY-SETT VALUE 51 THRU 57.
059700                 88  MMMM-SF1-MONTHLY-SETT   VALUE 01 THRU 31.
059800                 88  MMMM-SF1-VALID-FREQ-SETT
059900                                             VALUE 99
060000                                                   01 THRU 31
060100                                                   41 THRU 47
060200                                                   51 THRU 57.
060300         05  MMMM-SETT-FREQ-1-R
060400                             REDEFINES MMMM-SETT-FREQ-1-X.
060500             07  FILLER      PIC  9(01).
060600             07  MMMM-SETT-FREQ-1-DOW
060700                             PIC  9(01).
060800*
060900         05  MMMM-SETT-FREQ-2-X.
061000             07  MMMM-SETT-FREQ-2
061100                             PIC  9(02).
061200                 88  MMMM-SF2-NOT-USED-SETT  VALUE 00.
061300                 88  MMMM-SF2-WEEKLY-SETT    VALUE 41 THRU 47.
061400                 88  MMMM-SF2-MONTHLY-SETT   VALUE 01 THRU 31.
061500                 88  MMMM-SF2-VALID-FREQ-SETT
061600                                             VALUE 00
061700                                                   01 THRU 31
061800                                                   41 THRU 47.
061900         05  MMMM-SETT-FREQ-2-R
062000                             REDEFINES MMMM-SETT-FREQ-2-X.
062100             07  FILLER      PIC  9(01).
062200             07  MMMM-SETT-FREQ-2-DOW
062300                             PIC  9(01).
062400*
062500         05  MMMM-SETT-COMB-DEPOSIT-FLAG
062600                             PIC  X(01).
062700             88  MMMM-SETT-COMB-DEPOSIT      VALUE 'Y'.
062800             88  MMMM-SETT-NO-COMB-DEPOSIT   VALUE 'N'.
062900*
063000         05  MMMM-SETT-ACCT-METHODS.
063100             07  MMMM-SETT-ACCT-1-METHOD
063200                             PIC  X(02).
063300                 88  MMMM-SA1-ACH            VALUE 'A1' 'A2'
063400                                                   'A3' 'A4'.
063500                 88  MMMM-SA1-MANUAL         VALUE 'M1' 'M2'
063600                                                   'M3' 'M4'.
063700                 88  MMMM-SA1-CHECK          VALUE 'C2'.
063800                 88  MMMM-SA1-WIRE           VALUE 'W2'.
063900                 88  MMMM-SA1-NO-HOLDOVER    VALUE 'A1' 'M1'.
064000                 88  MMMM-SA1-HOLDOVER-NORM
064100                                             VALUE 'A2' 'M2'
064200                                                   'C2' 'W2'.
064300                 88  MMMM-SA1-HOLDOVER-BILLED
064400                                             VALUE 'A3' 'M3'.
064500                 88  MMMM-SA1-NET-SETTLEMENT
064600                                             VALUE 'A1' 'A2' 'A3'
064700                                                   'M1' 'M2' 'M3'
064800                                                   'C2' 'W2'.
064900                 88  MMMM-SA1-BY-ITEM-SETTLEMENT
065000                                             VALUE 'A4' 'M4'.
065100                 88  MMMM-SA1-NO-DEBIT-ACH
065200                                             VALUE 'A2' 'A3'.
065300             07  MMMM-SETT-ACCT-2-METHOD
065400                             PIC  X(02).
065500                 88  MMMM-SA2-NOT-USED       VALUE 'N0'.
065600                 88  MMMM-SA2-ACH            VALUE 'A1' 'A2'
065700                                                   'A3' 'A4'.
065800                 88  MMMM-SA2-MANUAL         VALUE 'M1' 'M2'
065900                                                   'M3' 'M4'.
066000                 88  MMMM-SA2-CHECK          VALUE 'C2'.
066100                 88  MMMM-SA2-WIRE           VALUE 'W2'.
066200                 88  MMMM-SA2-NO-HOLDOVER    VALUE 'A1' 'M1'.
066300                 88  MMMM-SA2-HOLDOVER-NORM
066400                                             VALUE 'A2' 'M2'
066500                                                   'C2' 'W2'.
066600                 88  MMMM-SA2-HOLDOVER-BILLED
066700                                             VALUE 'A3' 'M3'.
066800                 88  MMMM-SA2-NET-SETTLEMENT
066900                                             VALUE 'A1' 'A2' 'A3'
067000                                                   'M1' 'M2' 'M3'
067100                                                   'C2' 'W2'.
067200                 88  MMMM-SA2-BY-ITEM-SETTLEMENT
067300                                             VALUE 'A4' 'M4'.
067400                 88  MMMM-SA2-NO-DEBIT-ACH
067500                                             VALUE 'A2' 'A3'.
067600             07  MMMM-SETT-ACCT-3-METHOD
067700                             PIC  X(02).
067800                 88  MMMM-SA3-NOT-USED       VALUE 'N0'.
067900                 88  MMMM-SA3-ACH            VALUE 'A1' 'A2'
068000                                                   'A3' 'A4'.
068100                 88  MMMM-SA3-MANUAL         VALUE 'M1' 'M2'
068200                                                   'M3' 'M4'.
068300                 88  MMMM-SA3-CHECK          VALUE 'C2'.
068400                 88  MMMM-SA3-WIRE           VALUE 'W2'.
068500                 88  MMMM-SA3-NO-HOLDOVER    VALUE 'A1' 'M1'.
068600                 88  MMMM-SA3-HOLDOVER-NORM
068700                                             VALUE 'A2' 'M2'
068800                                                   'C2' 'W2'.
068900                 88  MMMM-SA3-HOLDOVER-BILLED
069000                                             VALUE 'A3' 'M3'.
069100                 88  MMMM-SA3-NET-SETTLEMENT
069200                                             VALUE 'A1' 'A2' 'A3'
069300                                                   'M1' 'M2' 'M3'
069400                                                   'C2' 'W2'.
069500                 88  MMMM-SA3-BY-ITEM-SETTLEMENT
069600                                             VALUE 'A4' 'M4'.
069700                 88  MMMM-SA3-NO-DEBIT-ACH
069800                                             VALUE 'A2' 'A3'.
069900             07  MMMM-SETT-ACCT-4-METHOD
070000                             PIC  X(02).
070100                 88  MMMM-SA4-NOT-USED       VALUE 'N0'.
070200                 88  MMMM-SA4-ACH            VALUE 'A1' 'A2'
070300                                                   'A3' 'A4'.
070400                 88  MMMM-SA4-MANUAL         VALUE 'M1' 'M2'
070500                                                   'M3' 'M4'.
070600                 88  MMMM-SA4-CHECK          VALUE 'C2'.
070700                 88  MMMM-SA4-WIRE           VALUE 'W2'.
070800                 88  MMMM-SA4-NO-HOLDOVER    VALUE 'A1' 'M1'.
070900                 88  MMMM-SA4-HOLDOVER-NORM
071000                                             VALUE 'A2' 'M2'
071100                                                   'C2' 'W2'.
071200                 88  MMMM-SA4-HOLDOVER-BILLED
071300                                             VALUE 'A3' 'M3'.
071400                 88  MMMM-SA4-NET-SETTLEMENT
071500                                             VALUE 'A1' 'A2' 'A3'
071600                                                   'M1' 'M2' 'M3'
071700                                                   'C2' 'W2'.
071800                 88  MMMM-SA4-BY-ITEM-SETTLEMENT
071900                                             VALUE 'A4' 'M4'.
072000                 88  MMMM-SA4-NO-DEBIT-ACH
072100                                             VALUE 'A2' 'A3'.
072200         05  MMMM-SETT-ACCT-METHODS-R
072300                             REDEFINES MMMM-SETT-ACCT-METHODS.
072400             07  MMMM-SETT-ACCT-METH         OCCURS 4 TIMES
072500                                             INDEXED BY
072600                                             X-MMMM-SETT-ACCT
072700                             PIC  X(02).
072800                 88  MMMM-SA-NOT-USED        VALUE 'N0'.
072900                 88  MMMM-SA-ACH             VALUE 'A1' 'A2'
073000                                                   'A3' 'A4'.
073100                 88  MMMM-SA-MANUAL          VALUE 'M1' 'M2'
073200                                                   'M3' 'M4'.
073300                 88  MMMM-SA-CHECK           VALUE 'C2'.
073400                 88  MMMM-SA-WIRE            VALUE 'W2'.
073500                 88  MMMM-SA-NO-HOLDOVER     VALUE 'A1' 'M1'.
073600                 88  MMMM-SA-HOLDOVER-NORM
073700                                             VALUE 'A2' 'M2'
073800                                                   'C2' 'W2'.
073900                 88  MMMM-SA-HOLDOVER-BILLED
074000                                             VALUE 'A3' 'M3'.
074100                 88  MMMM-SA-NET-SETTLEMENT
074200                                             VALUE 'A1' 'A2' 'A3'
074300                                                   'M1' 'M2' 'M3'
074400                                                   'C2' 'W2'.
074500                 88  MMMM-SA-BY-ITEM-SETTLEMENT
074600                                             VALUE 'A4' 'M4'.
074700                 88  MMMM-SA-NO-DEBIT-ACH
074800                                             VALUE 'A2' 'A3'.
074900*
075000         05  MMMM-TXN-ASSIGNMENTS.
075100******************************************************************
075200*                                                                *
075300*        TRANSACTION ASSIGNMENTS ARE AS FOLLOWS:                 *
075400*                                                                *
075500*        OCCURRENCE *------USAGE------* *--VALID SETT ACCTS--*   *
075600*                                                                *
075700*             1     RESERVE FUNDING     S1-S4,B1-B4              *
075800*             2     RESERVE TO SETT     S1-S4                    *
075900*             3     DISCOUNT            S1-S4,B1-B4              *
076000*             4     REFUND OF DISCOUNT  S1-S4,B1-B4              *
076100*             5     PART OWED   (DR)    S1-S4,B1-B4              *
076200*             6     PART EARNED (CR)    S1-S4,B1-B4              *
076300*             7     ADJUSTMENT DEBITS   S1-S4,B1-B4              *
076400*             8     ADJUSTMENT CREDITS  S1-S4,B1-B4              *
076500*             9     RECOVERY ADJ DR     S1-S4,B1-B4              *
076600*            10     RECOVERY ADJ CR     S1-S4,B1-B4              *
076700*            11     USER FEES (DEBITS)  S1-S4,B1-B4              *
076800*            12     USER CREDITS        S1-S4,B1-B4              *
076900*            13     SYSTEM FEES         S1-S4,B1-B4              *
077000*            14     FUTURE USE          S1-S4,B1-B4              *
077100*            15     INTERCHANGE FEES    S1-S4,B1-B4              *
077200*            16     DEPOSITS/HOLDOVERS  S1-S4                    *
077300*                                                                *
077400******************************************************************
077500             07  MMMM-TXN-ASSIGNMENTS-TABLE
077600                                             OCCURS 16 TIMES
077700                                             INDEXED BY
077800                                             X-MMMM-TAT.
077900*
078000                 09  MMMM-TAT-ACCOUNT.
078100                     88  MMMM-TAT-VALID-ACCOUNTS
078200                                             VALUE 'S1' 'S2'
078300                                                   'S3' 'S4'
078400                                                   'B1' 'B2'
078500                                                   'B3' 'B4'.
078600                     11  MMMM-TAT-SETT-BILL-IND
078700                             PIC  X(01).
078800                         88  MMMM-TAT-SETT   VALUE 'S'.
078900                         88  MMMM-TAT-BILL   VALUE 'B'.
079000                     11  MMMM-TAT-SETT-BILL-INDEX
079100                             PIC  9(01).
079200                 09  MMMM-TAT-USER-CODE
079300                             PIC  X(01).
079400*
079500         05  MMMM-SETT-DEPOSITS-AMT
079600                             PIC S9(17)      COMP-3.
079700         05  MMMM-SETT-WITHDRAWAL-AMT
079800                             PIC S9(17)      COMP-3.
079900         05  MMMM-SETT-RESV-CR-AMT
080000                             PIC S9(17)      COMP-3.
080100         05  MMMM-SETT-RESV-DR-AMT
080200                             PIC S9(17)      COMP-3.
080300         05  MMMM-SETT-DISC-AMT
080400                             PIC S9(17)      COMP-3.
080500         05  MMMM-SETT-REFUND-AMT
080600                             PIC S9(17)      COMP-3.
080700         05  MMMM-SETT-PART-CR-AMT
080800                             PIC S9(17)      COMP-3.
080900         05  MMMM-SETT-PART-DR-AMT
081000                             PIC S9(17)      COMP-3.
081100         05  MMMM-SETT-ADJ-CR-AMT
081200                             PIC S9(17)      COMP-3.
081300         05  MMMM-SETT-ADJ-DR-AMT
081400                             PIC S9(17)      COMP-3.
081500         05  MMMM-SETT-REC-ADJ-CR-AMT
081600                             PIC S9(17)      COMP-3.
081700         05  MMMM-SETT-REC-ADJ-DR-AMT
081800                             PIC S9(17)      COMP-3.
081900         05  MMMM-SETT-SYSTEM-FEES-CR-AMT
082000                             PIC S9(17)      COMP-3.
082100         05  MMMM-SETT-SYSTEM-FEES-DR-AMT
082200                             PIC S9(17)      COMP-3.
082300         05  MMMM-SETT-USER-FEES-CR-AMT
082400                             PIC S9(17)      COMP-3.
082500         05  MMMM-SETT-USER-FEES-DR-AMT
082600                             PIC S9(17)      COMP-3.
082700         05  MMMM-SETT-INTCHG-FEES-CR-AMT
082800                             PIC S9(17)      COMP-3.
082900         05  MMMM-SETT-INTCHG-FEES-DR-AMT
083000                             PIC S9(17)      COMP-3.
083100         05  MMMM-SETT-USER-CR-AMT
083200                             PIC S9(17)      COMP-3.
083300         05  MMMM-SETT-USER-DR-AMT
083400                             PIC S9(17)      COMP-3.
083500         05  MMMM-SETT-WINDOW-NET-AMT
083600                             PIC S9(17)      COMP-3.
083700         05  MMMM-SETT-NET-AMOUNTS.
083800             07  MMMM-SETT-ACCT-1-NET-AMT
083900                             PIC S9(17)      COMP-3.
084000             07  MMMM-SETT-ACCT-1-HOLDOVER-IN
084100                             PIC S9(17)      COMP-3.
084200             07  MMMM-SETT-ACCT-1-HOLDOVER-OUT
084300                             PIC S9(17)      COMP-3.
084400             07  MMMM-SETT-ACCT-1-TRANSFER
084500                             PIC S9(17)      COMP-3.
084600             07  MMMM-SETT-ACCT-2-NET-AMT
084700                             PIC S9(17)      COMP-3.
084800             07  MMMM-SETT-ACCT-2-HOLDOVER-IN
084900                             PIC S9(17)      COMP-3.
085000             07  MMMM-SETT-ACCT-2-HOLDOVER-OUT
085100                             PIC S9(17)      COMP-3.
085200             07  MMMM-SETT-ACCT-2-TRANSFER
085300                             PIC S9(17)      COMP-3.
085400             07  MMMM-SETT-ACCT-3-NET-AMT
085500                             PIC S9(17)      COMP-3.
085600             07  MMMM-SETT-ACCT-3-HOLDOVER-IN
085700                             PIC S9(17)      COMP-3.
085800             07  MMMM-SETT-ACCT-3-HOLDOVER-OUT
085900                             PIC S9(17)      COMP-3.
086000             07  MMMM-SETT-ACCT-3-TRANSFER
086100                             PIC S9(17)      COMP-3.
086200             07  MMMM-SETT-ACCT-4-NET-AMT
086300                             PIC S9(17)      COMP-3.
086400             07  MMMM-SETT-ACCT-4-HOLDOVER-IN
086500                             PIC S9(17)      COMP-3.
086600             07  MMMM-SETT-ACCT-4-HOLDOVER-OUT
086700                             PIC S9(17)      COMP-3.
086800             07  MMMM-SETT-ACCT-4-TRANSFER
086900                             PIC S9(17)      COMP-3.
087000         05  MMMM-SETT-NET-AMOUNTS-R
087100                             REDEFINES MMMM-SETT-NET-AMOUNTS.
087200             07  MMMM-SETT-ACCT-NET-AMT-TABLE
087300                                             OCCURS 4 TIMES
087400                                             INDEXED BY
087500                                             X-MMMM-SANAT.
087600                 09  MMMM-SETT-ACCT-NET-AMT
087700                             PIC S9(17)      COMP-3.
087800                 09  MMMM-SETT-ACCT-HOLDOVER-IN
087900                             PIC S9(17)      COMP-3.
088000                 09  MMMM-SETT-ACCT-HOLDOVER-OUT
088100                             PIC S9(17)      COMP-3.
088200                 09  MMMM-SETT-ACCT-TRANSFER
088300                             PIC S9(17)      COMP-3.
088400*
088500         05  MMMM-MBD220-AREA.
088600             07  MMMM-STMT-SW
088700                             PIC  X(01).
088800                 88  MMMM-NO-STMT-TODAY      VALUE 'N'.
088900                 88  MMMM-STMT-TODAY         VALUE 'Y'.
089000             07  MMMM-SETT-SW
089100                             PIC  X(01).
089200                 88  MMMM-NO-SETT-TODAY      VALUE 'N'.
089300                 88  MMMM-SETT-TODAY         VALUE 'Y'.
089400*
089500         05  MMMM-ACH-RT-DATA-X.
089600             07  MMMM-SETT-ACH-DATA          OCCURS 4 TIMES
089700                                             INDEXED BY
089800                                             X-MMMM-SETT-ACH.
089900                 09  MMMM-PRENOTE-CONTROL
090000                             PIC  X(01).
090100                     88  MMMM-SEND-PRENOTE   VALUE 'Y'.
090200                     88  MMMM-DO-NOT-SEND-PRENOTE
090300                                             VALUE 'N'.
090400                     88  MMMM-VALID-PRENOTE-CONTROL
090500                                             VALUE 'Y' 'N'.
090600                 09  MMMM-DATE-PRENOTE-SENT
090700                             PIC S9(07)      COMP-3.
090800                 09  MMMM-DATE-PRENOTE-INIT
090900                             PIC S9(07)      COMP-3.
091000                 09  MMMM-DATE-PENDING-ACH-ACTIVE
091100                             PIC S9(07)      COMP-3.
091200                 09  MMMM-ACTIVE-DR-RT
091300                             PIC S9(09)      COMP-3.
091400                 09  MMMM-ACTIVE-DR-ACCT
091500                             PIC  X(17).
091600                 09  MMMM-ACTIVE-DR-ACCT-TYPE
091700                             PIC  X(01).
091800                     88  MMMM-ACTIVE-DR-ACCT-DDA
091900                                             VALUE 'D'.
092000                     88  MMMM-ACTIVE-DR-ACCT-SAV
092100                                             VALUE 'S'.
092200                     88  MMMM-VALID-ACT-DR-ACCT-TYPE
092300                                             VALUE 'D' 'S'.
092400                 09  MMMM-ACTIVE-CR-RT
092500                             PIC S9(09)      COMP-3.
092600                 09  MMMM-ACTIVE-CR-ACCT
092700                             PIC  X(17).
092800                 09  MMMM-ACTIVE-CR-ACCT-TYPE
092900                             PIC  X(01).
093000                     88  MMMM-ACTIVE-CR-ACCT-DDA
093100                                             VALUE 'D'.
093200                     88  MMMM-ACTIVE-CR-ACCT-SAV
093300                                             VALUE 'S'.
093400                     88  MMMM-VALID-ACT-CR-ACCT-TYPE
093500                                             VALUE 'D' 'S'.
093600                 09  MMMM-PENDING-DR-RT
093700                             PIC S9(09)      COMP-3.
093800                 09  MMMM-PENDING-DR-ACCT
093900                             PIC  X(17).
094000                 09  MMMM-PENDING-DR-ACCT-TYPE
094100                             PIC  X(01).
094200                     88  MMMM-PENDING-DR-ACCT-DDA
094300                                             VALUE 'D'.
094400                     88  MMMM-PENDING-DR-ACCT-SAV
094500                                             VALUE 'S'.
094600                     88  MMMM-VALID-PEND-DR-ACCT-TYPE
094700                                             VALUE 'D' 'S'.
094800                 09  MMMM-PENDING-CR-RT
094900                             PIC S9(09)      COMP-3.
095000                 09  MMMM-PENDING-CR-ACCT
095100                             PIC  X(17).
095200                 09  MMMM-PENDING-CR-ACCT-TYPE
095300                             PIC  X(01).
095400                     88  MMMM-PENDING-CR-ACCT-DDA
095500                                             VALUE 'D'.
095600                     88  MMMM-PENDING-CR-ACCT-SAV
095700                                             VALUE 'S'.
095800                     88  MMMM-VALID-PEND-CR-ACCT-TYPE
095900                                             VALUE 'D' 'S'.
096000                 09  MMMM-PENDING-SETT-ACCT-METH
096100                             PIC  X(02).
096200                     88  MMMM-PSA-NOT-USED   VALUE 'N0'.
096300                     88  MMMM-PSA-ACH        VALUE 'A1' 'A2'
096400                                                   'A3' 'A4'.
096500                     88  MMMM-PSA-MANUAL     VALUE 'M1' 'M2'
096600                                                   'M3' 'M4'.
096700                     88  MMMM-PSA-CHECK      VALUE 'C2'.
096800                     88  MMMM-PSA-WIRE       VALUE 'W2'.
096900                     88  MMMM-PSA-NO-HOLDOVER
097000                                             VALUE 'A1' 'M1'.
097100                     88  MMMM-PSA-HOLDOVER-NORM
097200                                             VALUE 'A2' 'M2'
097300                                                   'C2' 'W2'.
097400                     88  MMMM-PSA-HOLDOVER-BILLED
097500                                             VALUE 'A3' 'M3'.
097600                     88  MMMM-PSA-NET-SETTLEMENT
097700                                             VALUE 'A1' 'A2' 'A3'
097800                                                   'M1' 'M2' 'M3'
097900                                                   'C2' 'W2'.
098000                     88  MMMM-PSA-BY-ITEM-SETTLEMENT
098100                                             VALUE 'A4' 'M4'.
098200                     88  MMMM-PSA-NO-DEBIT-ACH
098300                                             VALUE 'A2' 'A3'.
098400                 09  MMMM-INTERIM-SETT-ACCT-METH
098500                             PIC  X(02).
098600                     88  MMMM-ISA-NOT-USED   VALUE 'N0'.
098700                     88  MMMM-ISA-ACH        VALUE 'A1' 'A2'
098800                                                   'A3' 'A4'.
098900                     88  MMMM-ISA-MANUAL     VALUE 'M1' 'M2'
099000                                                   'M3' 'M4'.
099100                     88  MMMM-ISA-CHECK      VALUE 'C2'.
099200                     88  MMMM-ISA-WIRE       VALUE 'W2'.
099300                     88  MMMM-ISA-NO-HOLDOVER
099400                                             VALUE 'A1' 'M1'.
099500                     88  MMMM-ISA-HOLDOVER-NORM
099600                                             VALUE 'A2' 'M2'
099700                                                   'C2' 'W2'.
099800                     88  MMMM-ISA-HOLDOVER-BILLED
099900                                             VALUE 'A3' 'M3'.
100000                     88  MMMM-ISA-NET-SETTLEMENT
100100                                             VALUE 'A1' 'A2' 'A3'
100200                                                   'M1' 'M2' 'M3'
100300                                                   'C2' 'W2'.
100400                     88  MMMM-ISA-BY-ITEM-SETTLEMENT
100500                                             VALUE 'A4' 'M4'.
100600                     88  MMMM-ISA-NO-DEBIT-ACH
100700                                             VALUE 'A2' 'A3'.
100800*
100900         05  MMMM-BILLING-DATA-X.
101000             07  MMMM-BILLING-DATA           OCCURS 4 TIMES
101100                                             INDEXED BY
101200                                             X-MMMM-BILL.
101300                 09  MMMM-BILL-USE-FLAG
101400                             PIC  X(01).
101500                     88  MMMM-BUF-ACTIVE     VALUE 'Y' 'H'.
101600                     88  MMMM-BUF-YES-NO     VALUE 'Y' 'N'.
101700                     88  MMMM-BUF-HOLDOVER-TO-XFER
101800                                             VALUE 'H'.
101900                     88  MMMM-BUF-NOT-ACTIVE
102000                                             VALUE 'N'.
102100                     88  MMMM-BUF-VALID      VALUE 'Y' 'N' 'H'.
102200                 09  MMMM-BILLING-ORG
102300                             PIC  9(03).
102400                 09  MMMM-BILLING-ACCT
102500                             PIC  X(19).
102600*
102700         05  MMMM-MBD260-AREA.
102800             07  MMMM-DISC-SW
102900                             PIC  X(01).
103000                 88  MMMM-NO-DISC-TODAY      VALUE 'N'.
103100                 88  MMMM-DISC-TODAY         VALUE 'Y'.
103200             07  MMMM-PART-SW
103300                             PIC  X(01).
103400                 88  MMMM-NO-PART-TODAY      VALUE 'N'.
103500                 88  MMMM-PART-TODAY         VALUE 'Y'.
103600*
103700             07  MMMM-STMT-CLEAR-SW
103800                             PIC  X(01).
103900                 88  MMMM-STMT-CLEAR-TODAY   VALUE 'Y'.
104000                 88  MMMM-NO-STMT-CLEAR      VALUE 'N'.
104100             07  MMMM-DISC-CLEAR-SW
104200                             PIC  X(01).
104300                 88  MMMM-DISC-CLEAR-TODAY   VALUE 'Y'.
104400                 88  MMMM-NO-DISC-CLEAR      VALUE 'N'.
104500             07  MMMM-PART-CLEAR-SW
104600                             PIC  X(01).
104700                 88  MMMM-PART-CLEAR-TODAY   VALUE 'Y'.
104800                 88  MMMM-NO-PART-CLEAR      VALUE 'N'.
104900*
105000*****************************************************************
105100*    STORE DEFAULT PARAMETERS                                   *
105200*****************************************************************
105300*
105400     03  MMMM-STORE-PROCESSING-DATA.
105500         05  MMMM-STORE-NBR
105600                             PIC  9(09).
105700         05  MMMM-GOVERNING-STATE
105800                             PIC  X(03).
105900         05  MMMM-STMT-ADDR-CONTROL
106000                             PIC  X(01).
106100             88  MMMM-SAC-USE-PRIMARY        VALUE 'P'.
106200             88  MMMM-SAC-USE-SECONDARY      VALUE 'S'.
106300             88  MMMM-SAC-IS-VALID           VALUE 'P' 'S'.
106400*
106500*****************************************************************
106600*    PROCESSING PARAMETERS                                      *
106700*****************************************************************
106800*
106900     03  MMMM-PROCESSING-PARAMETERS.
107000         05  MMMM-SINGLE-STORE-FLAG
107100                             PIC  X(01).
107200             88  MMMM-SINGLE-STORE-YES       VALUE 'Y'.
107300             88  MMMM-SINGLE-STORE-NO        VALUE 'N'.
107400         05  MMMM-BLOCK-CODE
107500                             PIC  X(01).
107600             88  MMMM-VALID-BLOCK-CODE       VALUE SPACE
107700                                                   'A' THRU 'Z'.
107800         05  MMMM-BLOCK-OPER PIC  X(03).
107900*
108000         05  MMMM-CONTACT-INFO               OCCURS 2 TIMES
108100                                             INDEXED BY
108200                                             X-MMMM-CONTACT.
108300             07  MMMM-CONTACT
108400                             PIC  X(40).
108500             07  MMMM-CONTACT-PHONE
108600                             PIC  X(20).
108700             07  MMMM-CONTACT-FAX
108800                             PIC  X(20).
108900         05  MMMM-BRANCH
109000                             PIC  9(09).
109100         05  MMMM-AGENT-BANK
109200                             PIC  9(05).
109300         05  MMMM-OFFICER-ID
109400                             PIC  X(03).
109500*
109600         05  MMMM-TIN-TYPE
109700                             PIC  X(01).
109800             88  MMMM-TIN-TYPE-SSN           VALUE '1'.
109900             88  MMMM-TIN-TYPE-EIN           VALUE '2'.
110000             88  MMMM-TIN-TYPE-OTHER         VALUE '3'.
110100             88  MMMM-TIN-TYPE-NON-US        VALUE SPACES.
110200             88  MMMM-TIN-TYPE-VALID         VALUE '1' '2' '3'
110300                                                   SPACES.
110400*
110500         05  MMMM-TAX-ID     PIC  X(15).
110600         05  MMMM-INCORPORATION-STATUS
110700                             PIC  X(02).
110800         05  MMMM-SOLE-PROP-AREA.
110900             07  MMMM-SOLE-PROP-LAST
111000                             PIC  X(25).
111100             07  MMMM-SOLE-PROP-FIRST
111200                             PIC  X(25).
111300             07  MMMM-SOLE-PROP-INITIAL
111400                             PIC  X(01).
111500*
111600         05  MMMM-DEFAULT-PLATES
111700                             PIC S9(05)      COMP-3.
111800         05  MMMM-NBR-BULLETINS
111900                             PIC S9(09)      COMP-3.
112000         05  MMMM-NBR-STORES
112100                             PIC S9(09)      COMP-3.
112200         05  MMMM-POST-REJECTS-FLAG
112300                             PIC  X(01).
112400             88  MMMM-POST-REJECTS-YES       VALUE 'Y'.
112500             88  MMMM-POST-REJECTS-NO        VALUE 'N'.
112600         05  MMMM-1099-REFUSAL-IND
112700                             PIC  X(01).
112800             88  MMMM-ALL-1099-DATA          VALUE 'N' SPACES.
112900             88  MMMM-NO-1099-DATA           VALUE 'Y'.
113000         05  MMMM-CORP-LEGAL-NAME
113100                             PIC  X(30).
113200         05  MMMM-MINORITY-CODE
113300                             PIC  X(02).
113400             88  MMMM-MINORITY-ASIAN-INDIAN
113500                                             VALUE 'AI'.
113600             88  MMMM-MINORITY-ASIAN-PACIFIC
113700                                             VALUE 'AP'.
113800             88  MMMM-MINORITY-BLACK         VALUE 'BL'.
113900             88  MMMM-MINORITY-HISPANIC      VALUE 'HI'.
114000             88  MMMM-MINORITY-NATIVE-AMERICA
114100                                             VALUE 'NA'.
114200             88  MMMM-MINORITY-OTHER         VALUE 'OT'.
114300             88  MMMM-MINORITY-UNKNOWN       VALUE SPACES.
114400*
114500         05  MMMM-WOMAN-OWNED-CODE
114600                             PIC  X(01).
114700             88  MMMM-WOMAN-OWNED-NO         VALUE ZERO.
114800             88  MMMM-WOMAN-OWNED-YES        VALUE '1'.
114900*
115000         05  MMMM-DUN-AND-BRADSTREET-NBR
115100                             PIC  X(09).
115200*
115300         05  FILLER          PIC  X(20).
115400*
115500*****************************************************************
115600*    VISIT AND REVIEW INFORMATION                               *
115700*****************************************************************
115800*
115900     03  MMMM-VISIT-AND-REVIEW-DATA.
116000         05  MMMM-VISIT-REP-NAME
116100                             PIC  X(40).
116200         05  MMMM-VISIT-REP-OPER
116300                             PIC  X(03).
116400         05  MMMM-VISIT-FREQ
116500                             PIC  9(02).
116600*
116700         05  MMMM-REVIEW-REP-NAME
116800                             PIC  X(40).
116900         05  MMMM-REVIEW-REP-OPER
117000                             PIC  X(03).
117100         05  MMMM-REVIEW-FREQ
117200                             PIC  9(02).
117300*
117400*****************************************************************
117500*    MERCHANT CHAIN INFORMATION                                 *
117600*****************************************************************
117700*
117800     03  MMMM-MERCH-CHAIN-INFO.
117900         05  MMMM-MERCH-CHAIN                OCCURS 10 TIMES
118000                                             INDEXED BY
118100                                             X-MMMM-MERCH-CHAIN.
118200             07  MMMM-MERCH-CHAIN-ID
118300                             PIC S9(09)      COMP-3.
118400*
118500     03  MMMM-STMT-CHAIN-INFO.
118600         05  MMMM-STMT-CHAIN                 OCCURS 10 TIMES
118700                                             INDEXED BY
118800                                             X-MMMM-STMT-CHAIN.
118900             07  MMMM-STMT-CHAIN-FLAG
119000                             PIC  X(01).
119100                 88  MMMM-STMT-CHAIN-ACTIVE  VALUE 'Y'.
119200                 88  MMMM-STMT-CHAIN-NOT-ACTIVE
119300                                             VALUE 'N'.
119400*
119500*****************************************************************
119600*    MERCHANT IMPRINTER INFORMATION                             *
119700*****************************************************************
119800*
119900     03  MMMM-IMP-INFO.
120000         05  MMMM-IMP-DEV                    OCCURS 3 TIMES
120100                                             INDEXED BY
120200                                             X-MMMM-IMP.
120300             07  MMMM-IMP-DEV-TITLE
120400                             PIC  X(15).
120500             07  MMMM-IMP-DEV-NBR
120600                             PIC S9(05)      COMP-3.
120700*
120800*****************************************************************
120900*    POINT OF SALE INFORMATION                                  *
121000*****************************************************************
121100*
121200     03  MMMM-POS-INFO.
121300         05  MMMM-POS-DEV                    OCCURS 3 TIMES
121400                                             INDEXED BY
121500                                             X-MMMM-POS.
121600             07  MMMM-POS-DEV-TITLE
121700                             PIC  X(15).
121800             07  MMMM-POS-DEV-NBR
121900                             PIC S9(05)      COMP-3.
122000*
122100*****************************************************************
122200*    MEMO INFORMATION                                           *
122300*****************************************************************
122400*
122500     03  MMMM-MEMO-DATA.
122600         05  MMMM-MEMO-1     PIC  X(50).
122700         05  MMMM-MEMO-2     PIC  X(50).
122800         05  MMMM-MEMO-3     PIC  X(50).
122900         05  MMMM-MEMO-4     PIC  X(50).
123000*
123100     03  MMMM-MEMO-DATA-R    REDEFINES MMMM-MEMO-DATA.
123200         05  MMMM-MEMO-TABLE                 OCCURS 4 TIMES
123300                                             INDEXED BY
123400                                             X-MMMM-MEMO.
123500             07  MMMM-MEMO   PIC  X(50).
123600*****************************************************************
123700*    MERCHANT FRAUD CONTROL                                     *
123800*****************************************************************
123900     03  MMMM-FRAUD-INDICATORS.
124000         05  MMMM-FRAUD-TABLE
124100                             PIC S9(09)      COMP-3.
124200         05  MMMM-FRAUD-AVG-NBR-MONTHS
124300                             PIC  9(02).
124400*
124500         05  MMMM-FRAUD-DUPLICATE-FIELDS.
124600             07  MMMM-DUP-SALES-BATCH-NBR-C-H                     RG800902
124610                             PIC S9(03)      COMP-3.              RG800902
124612             07  MMMM-DUP-SALES-DAY-NBR-C-H                       RG800902
124700                             PIC S9(03)      COMP-3.              RG800902
124710             07  MMMM-DUP-SALES-DAY-AMT-C-H                       RG800902
124712                             PIC S9(17)      COMP-3.              RG800902
124800             07  MMMM-DUP-AUTHS-BATCH-NBR-C-H                     RG800902
124810                             PIC S9(03)      COMP-3.              RG800902
124812             07  MMMM-DUP-AUTHS-DAY-NBR-C-H                       RG800902
124900                             PIC S9(03)      COMP-3.              RG800902
124910             07  MMMM-DUP-AUTHS-DAY-AMT-C-H                       RG800902
124912                             PIC S9(17)      COMP-3.              RG800902
125000*
125100         05  MMMM-FRAUD-PROJECTED-FIELDS.
125200             07  MMMM-PROJ-SALES-AMT
125300                             PIC S9(17)      COMP-3.
125400             07  MMMM-PROJ-SALES-NBR
125500                             PIC S9(09)      COMP-3.
125600             07  MMMM-PROJ-RETURNS-AMT
125700                             PIC S9(17)      COMP-3.
125800             07  MMMM-PROJ-RETURNS-NBR
125900                             PIC S9(09)      COMP-3.
126000             07  MMMM-PROJ-AUTH-AMT
126100                             PIC S9(17)      COMP-3.
126200             07  MMMM-PROJ-AUTH-NBR
126300                             PIC S9(09)      COMP-3.
126400             07  MMMM-PROJ-CHGBACK-AMT
126500                             PIC S9(17)      COMP-3.
126600             07  MMMM-PROJ-CHGBACK-NBR
126700                             PIC S9(09)      COMP-3.
126800             07  MMMM-PROJ-CHGBACK-MEMO-AMT
126900                             PIC S9(17)      COMP-3.
127000             07  MMMM-PROJ-CHGBACK-MEMO-NBR
127100                             PIC S9(09)      COMP-3.
127200         05  MMMM-FRAUD-PROJ-FIELDS-R
127300                             REDEFINES
127400                             MMMM-FRAUD-PROJECTED-FIELDS.
127500             07  MMMM-FRAUD-PROJ-FIELDS-X    OCCURS 5 TIMES
127600                                             INDEXED BY
127700                                             X-MMMM-FRAUD-PROJ.
127800                 09  MMMM-PROJ-AMT
127900                             PIC S9(17)      COMP-3.
128000                 09  MMMM-PROJ-NBR
128100                             PIC S9(09)      COMP-3.
128200*
128300*****************************************************************
128400*    USER DATA INFORMATION                                      *
128500*****************************************************************
128600*
128700     03  MMMM-USER-DATA-INFO.
128800         05  MMMM-USER-DATA-ELEMENT          OCCURS 8 TIMES
128900                                             INDEXED BY
129000                                             X-MMMM-USER-DATA.
129100             07  MMMM-USER-DATA-TITLE
129200                             PIC  X(15).
129300             07  MMMM-USER-DATA
129400                             PIC  X(12).
129500*
129600*****************************************************************
129700*    USER DATE INFORMATION                                      *
129800*****************************************************************
129900*
130000     03  MMMM-USER-DATE-INFO.
130100         05  MMMM-USER-DATE-ELEMENT          OCCURS 8 TIMES
130200                                             INDEXED BY
130300                                             X-MMMM-USER-DATE.
130400             07  MMMM-USER-DATE-TITLE
130500                             PIC  X(15).
130600             07  MMMM-USER-DATE
130700                             PIC S9(07)      COMP-3.
130800*
130900*****************************************************************
131000*    USER AMOUNT INFORMATION                                    *
131100*****************************************************************
131200*
131300     03  MMMM-USER-AMT-INFO.
131400         05  MMMM-USER-AMT-ELEMENT           OCCURS 8 TIMES
131500                                             INDEXED BY
131600                                             X-MMMM-USER-AMT.
131700             07  MMMM-USER-AMT-TITLE
131800                             PIC  X(15).
131900             07  MMMM-USER-AMT
132000                             PIC S9(17)      COMP-3.
132100             07  MMMM-USER-AMT-NO-DEC
132200                             REDEFINES       MMMM-USER-AMT
132300                             PIC S9(17)      COMP-3.
132400*
132500*****************************************************************
132600*    CYCLE-TO-DATE ACCUMULATORS FOR STATEMENTS                  *
132700*****************************************************************
132800*
132900     03  MMMM-CTD-ACCUMULATORS-X.
133000         05  MMMM-CTD-ACCUMULATORS           OCCURS 4 TIMES
133100                                             INDEXED BY
133200                                             X-MMMM-CTD-ACCUM.
133300             07  MMMM-CTD-NET-PAID-CR-AMT
133400                             PIC S9(17)      COMP-3.
133500             07  MMMM-CTD-NET-PAID-DR-AMT
133600                             PIC S9(17)      COMP-3.
133700             07  MMMM-CTD-XFER-INV-AMT
133800                             PIC S9(17)      COMP-3.
133900*
134000*****************************************************************
134100*    CLOSE/PURGING/PURGE DATA                                   *
134200*****************************************************************
134300*
134400     03  MMMM-CLOSE-PURGE-DATA-X.
134500         05  MMMM-CLOSE-REASON
134600                             PIC  X(02).
134700         05  MMMM-STATUS-CHANGE-OPER
134800                             PIC  X(03).
134900             88  MMMM-STATUS-OPER-AUTO       VALUE '*S*' '*S6'.
135000         05  MMMM-SETT-HIST-SW
135100                             PIC  X(01).
135200             88  MMMM-SETT-HIST-PRESENT      VALUE 'Y'.
135300             88  MMMM-SETT-HIST-NOT-PRESENT
135400                                             VALUE 'N'.
135500*
135600*****************************************************************
135700*    INTERNATIONAL DATA                                         *
135800*****************************************************************
135900*
136000     03  MMMM-INTERNATIONAL-DATA.
136100         05  MMMM-EURO-REPORTING-FLAG
136200                             PIC  X(01).
136300             88  MMMM-EURO-REPORTING-OFF     VALUE ZERO.
136400             88  MMMM-EURO-REPORTING-ON      VALUE '1'.
136500         05  MMMM-DUAL-CURRENCY-ORG
136600                             PIC  9(03).
136700             88  MMMM-DUAL-CURRENCY-OFF      VALUE ZERO 999.
136800             88  MMMM-DUAL-CURRENCY-ON       VALUE 001 THRU 998.
136810*                                                                 RG802901
136820     03  MMMM-URL-EMAIL      PIC  X(60).                          RG802901
136900*
137000     03  FILLER              PIC  X(113).                         RG800902
137100*
137200     03  MMMM-USER-FILLER    PIC  X(100).
137300*
137400*       ***************************************************
137500*       *              END OF COPYBOOK MMMMRL             *
137600*       ***************************************************
