000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMMPIR --- MERCHANT PRODUCTS ASSIGNMENTS INIT --- 110 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMMPIR-RECORD.
001000     03  MMMPIR-KEY.
001100         05  MMMPIR-ORG-MERCHANT.
001200             88  MMMPIR-HEADER               VALUE ZERO.
001300             88  MMMPIR-TRAILER              VALUE ALL '9'.
001400             07  MMMPIR-ORG-X.
001500                 09  MMMPIR-ORG
001600                             PIC  9(03)      VALUE ZERO.
001700             07  MMMPIR-MERCHANT-X.
001800                 09  MMMPIR-MERCHANT
001900                             PIC  9(09)      VALUE ZERO.
002000         05  MMMPIR-PRODUCT-X.
002100             07  MMMPIR-PRODUCT
002200                             PIC  9(02)      VALUE ZERO.
002300                 88  MMMPIR-NON-PRODUCT      VALUE ZERO.
002400                 88  MMMPIR-PROD-IS-VISA     VALUE 01.
002500                 88  MMMPIR-PROD-IS-MC       VALUE 02.
002600                 88  MMMPIR-PROD-IS-PL       VALUE 03 THRU 99.
002700*
002800     03  MMMPIR-STATUS-INFORMATION.
002900         05  MMMPIR-REC-STATUS
003000                             PIC  9(01)      VALUE ZERO.
003100             88  MMMPIR-REC-INCOMPLETE       VALUE 0.
003200             88  MMMPIR-REC-ACTIVE           VALUE 1.
003300             88  MMMPIR-REC-MODEL            VALUE 3.
003400             88  MMMPIR-REC-PURGED           VALUE 9.
003500         05  MMMPIR-ONLINE-STATUS
003600                             PIC  9(02)      VALUE ZERO.
003700             88  MMMPIR-ADD-PENDING          VALUE 00 THRU 49.
003800             88  MMMPIR-ADD-COMPLETED        VALUE 99.
003900         05  MMMPIR-LAST-MAINT-DATE
004000                             PIC S9(07)      COMP-3 VALUE ZERO.
004100         05  MMMPIR-LAST-MAINT-OPER
004200                             PIC  X(03)      VALUE SPACES.
004300*****************************************************************
004400*    PRODUCT DATA                                               *
004500*****************************************************************
004600*
004700     03  MMMPIR-PRODUCT-DATA.
004800         05  MMMPIR-PRODUCT-TABLE.
004900             07  MMMPIR-PROD-STATUS
005000                             PIC  X(01)      VALUE 'N'.
005100                 88  MMMPIR-PROD-NOT-ALLOWED VALUE 'N'.
005200                 88  MMMPIR-PROD-ACTIVE      VALUE 'A'.
005300                 88  MMMPIR-PROD-CLOSED      VALUE 'C'.
005400                 88  MMMPIR-PROD-PURGED      VALUE 'P'.
005500             07  MMMPIR-PROD-EFF-DATE
005600                             PIC S9(07)      COMP-3 VALUE ZERO.
005700             07  MMMPIR-PROD-SHORT-DESC
005800                             PIC  X(05)      VALUE SPACES.
005900             07  MMMPIR-PROD-SETTLE-FLAG
006000                             PIC  X(01)      VALUE 'Y'.
006100                 88  MMMPIR-PROD-SETT-YES    VALUE 'Y'.
006200                 88  MMMPIR-PROD-SETT-NO     VALUE 'N'.
006300             07  MMMPIR-PROD-SOURCE
006400                             PIC  X(05)      VALUE SPACES.
006500             07  MMMPIR-PROD-DISC-RATE-TABLE
006600                             PIC S9(09)      COMP-3 VALUE ZERO.
006700             07  MMMPIR-PROD-DISC-FEE-BASE
006800                             PIC  X(01)      VALUE 'N'.
006900                 88  MMMPIR-PDFB-GROSS-SALES VALUE 'G'.
007000                 88  MMMPIR-PDFB-NET-SALES   VALUE 'N'.
007100                 88  MMMPIR-PDFB-GROSS-VOLUME
007200                                             VALUE 'V'.
007300             07  MMMPIR-PROD-PART-RATE-TABLE
007400                             PIC S9(09)      COMP-3 VALUE ZERO.
007500             07  MMMPIR-PROD-PART-FEE-BASE
007600                             PIC  X(01)      VALUE 'N'.
007700                 88  MMMPIR-PPFB-GROSS-SALES VALUE 'G'.
007800                 88  MMMPIR-PPFB-NET-SALES   VALUE 'N'.
007900                 88  MMMPIR-PPFB-GROSS-VOLUME
008000                                             VALUE 'V'.
008100             07  MMMPIR-PROD-RESV-TABLE      OCCURS 4 TIMES
008200                                             INDEXED BY
008300                                             X-MMMPIR-PROD-RESV.
008400                 09  MMMPIR-PROD-RESV-RATE-TABLE
008500                             PIC S9(09)      COMP-3 VALUE ZERO.
008600                 09  MMMPIR-PROD-RESV-FEE-BASE
008700                             PIC  X(01)      VALUE 'N'.
008800                     88  MMMPIR-PRFB-GROSS-SALES
008900                                             VALUE 'G'.
009000                     88  MMMPIR-PRFB-NET-SALES
009100                                             VALUE 'N'.
009200                     88  MMMPIR-PRFB-GROSS-VOLUME
009300                                             VALUE 'V'.
009400             07  MMMPIR-PROD-INTCHG-FEE-BASE
009500                             PIC  X(01)      VALUE 'N'.
009600                 88  MMMPIR-PIFB-GROSS-SALES VALUE 'G'.
009700                 88  MMMPIR-PIFB-NET-SALES   VALUE 'N'.
009800                 88  MMMPIR-PIFB-GROSS-VOLUME
009900                                             VALUE 'V'.
010000             07  MMMPIR-PROD-USER-CODE
010100                             PIC  X(02)      VALUE SPACES.
010200*
010300     03  FILLER              PIC  X(21)      VALUE SPACES.
010400*
010500     03  USER-FILLER         PIC  X(10)      VALUE SPACES.
010600*
010700*       ***************************************************
010800*       *              END OF COPYBOOK MMMPRL             *
010900*       ***************************************************
