000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMOCIR ------- ORGANIZATION MASTER FILE ------- 16300 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  MMOCIR-RECORD.
000900     03  MMOCIR-KEY.
001000         05  MMOCIR-ORG-X.
001100             07  MMOCIR-ORG  PIC  9(03)      VALUE ZERO.
001200*
001300     03  MMOCIR-STATUS-INFORMATION.
001400         05  MMOCIR-REC-STATUS
001500                             PIC  9(01)      VALUE ZERO.
001600             88  MMOCIR-REC-INCOMPLETE       VALUE 0.
001700             88  MMOCIR-REC-ACTIVE           VALUE 1.
001800             88  MMOCIR-REC-PURGED           VALUE 9.
001900         05  MMOCIR-ONLINE-STATUS
002000                             PIC  9(02)      VALUE ZERO.
002100             88  MMOCIR-ADD-PENDING          VALUE 00 THRU 49.
002200             88  MMOCIR-ADD-COMPLETED        VALUE 99.
002300*
002400         05  MMOCIR-LAST-MAINT-DATE
002500                             PIC S9(07)      COMP-3 VALUE ZERO.
002600         05  MMOCIR-LAST-MAINT-OPER
002700                             PIC  X(03)      VALUE SPACES.
002800*
002900*****************************************************************
003000*           ORGANIZATION PROCESSING CALENDAR                    *
003100*****************************************************************
003200*
003300     03  MMOCIR-CALENDAR.
003400         05  MMOCIR-DAY-OF-WEEK
003500                             PIC  9(01)      VALUE ZERO.
003600         05  MMOCIR-PROCESSING-SW
003700                             PIC  X(01)      VALUE 'Y'.
003800             88  MMOCIR-PROCESSING           VALUE 'Y'.
003900             88  MMOCIR-NOT-PROCESSING       VALUE 'N'.
004000             88  MMOCIR-SELECT-RUN           VALUE 'S'.
004100         05  MMOCIR-WORK-WEEK
004200                             PIC  X(07)      VALUE 'XXXXXXX'.
004300         05  MMOCIR-WORK-WEEK-R
004400                             REDEFINES MMOCIR-WORK-WEEK
004500                                             OCCURS 7 TIMES
004600                                             INDEXED BY
004700                                             X-MMOCIR-WW
004800                             PIC  X(01).
004900             88  MMOCIR-WW-DAY-PROCESSING    VALUE 'X'.
005000             88  MMOCIR-WW-DAY-NOT-PROCESSING
005100                                             VALUE 'C'.
005200         05  MMOCIR-EOM-EOY-FLAG
005300                             PIC  X(01)      VALUE SPACES.
005400             88  MMOCIR-END-OF-MONTH         VALUE 'M' 'Y'.
005500             88  MMOCIR-END-OF-YEAR          VALUE 'Y'.
005600             88  MMOCIR-FIRST-OF-MONTH       VALUE 'F'.
005700         05  MMOCIR-TODAYS-CALENDAR
005800                             PIC S9(09)      COMP-3 VALUE ZERO.
005900         05  MMOCIR-TODAYS-JULIAN
006000                             PIC S9(07)      COMP-3 VALUE ZERO.
006100         05  MMOCIR-DATE-LAST-PROC
006200                             PIC S9(07)      COMP-3 VALUE ZERO.
006300         05  MMOCIR-DATE-NEXT-PROC
006400                             PIC S9(07)      COMP-3 VALUE ZERO.
006500         05  MMOCIR-ACCR-THRU-DATE
006600                             PIC S9(07)      COMP-3 VALUE ZERO.
006700         05  MMOCIR-DATE-LAST-ACCR
006800                             PIC S9(07)      COMP-3 VALUE ZERO.
006900         05  FILLER          PIC  X(04)      VALUE SPACES.
007000         05  MMOCIR-TIME-STAMP
007100                             PIC S9(11)      COMP-3 VALUE ZERO.
007200         05  MMOCIR-LAST-TIME-STAMP
007300                             PIC S9(11)      COMP-3 VALUE ZERO.
007400         05  MMOCIR-HOLIDAYS-TABLE           OCCURS 25 TIMES
007500                                             INDEXED BY
007600                                             X-MMOCIR-HOL.
007700             07  MMOCIR-HOLIDAYS
007800                             PIC S9(07)      COMP-3 VALUE ZERO.
007900*
008000*****************************************************************
008100*           ORGANIZATION DEMOGRAPHICS                           *
008200*           ORGANIZATION CORRESPONDENCE DEMOGRAPHICS            *
008300*****************************************************************
008400     03  MMOCIR-DEMOGRAPHICS-AREA.
008500         05  MMOCIR-DEMOGRAPHICS-TABLE       OCCURS 2 TIMES
008600                                             INDEXED BY
008700                                             X-MMOCIR-PRIMARY
008800                                             X-MMOCIR-CORR.
008900             07  MMOCIR-GNA-NBR
009000                             PIC  X(19)      VALUE SPACES.
009100             07  MMOCIR-NA-LINES-TABLE
009200                                             OCCURS 5 TIMES
009300                                             INDEXED BY
009400                                             X-MMOCIR-NA.
009500                 09  MMOCIR-NA-LINE
009600                             PIC  X(40)      VALUE SPACES.
009700             07  MMOCIR-NA-OVERFLOW-SW
009800                             PIC  X(01)      VALUE SPACES.
009900                 88  MMOCIR-NA-OVERFLOW-YES  VALUE 'Y'.
010000                 88  MMOCIR-NA-OVERFLOW-NO   VALUE 'N'.
010100             07  MMOCIR-COUNTRY-CODE
010200                             PIC  X(03)      VALUE SPACES.
010300             07  MMOCIR-STATE-CODE
010400                             PIC  X(03)      VALUE SPACES.
010500             07  MMOCIR-POSTAL-CODE
010600                             PIC  X(10)      VALUE SPACES.
010700             07  MMOCIR-PHONE
010800                             PIC  X(20)      VALUE SPACES.
010900             07  MMOCIR-FAX  PIC  X(20)      VALUE SPACES.
011000*
011100*****************************************************************
011200*           NACHA COMPANY CONTROL DATA                          *
011300*****************************************************************
011400*
011500     03  MMOCIR-ACH-INFORMATION.
011600         05  MMOCIR-ACH-ORG-NAME
011700                             PIC  X(16)      VALUE SPACES.
011800         05  MMOCIR-ACH-ABA-NBR
011900                             PIC S9(09)      COMP-3 VALUE ZERO.
012000         05  MMOCIR-ACH-TAX-ID
012100                             PIC  X(15)      VALUE SPACES.
012200         05  MMOCIR-ACH-DR-PRENOTE-DESC
012300                             PIC  X(10)      VALUE SPACES.
012400         05  MMOCIR-ACH-CR-PRENOTE-DESC
012500                             PIC  X(10)      VALUE SPACES.
012600         05  MMOCIR-ACH-RELEASE-DAYS
012700                             PIC  9(01)      VALUE ZERO.
012800         05  MMOCIR-ACH-DESCRIPTIONS.
012900             07  MMOCIR-AD-DEPOSIT-DR-DESC
013000                             PIC  X(10)      VALUE 'DEPOSIT DR'.
013100             07  MMOCIR-AD-DEPOSIT-CR-DESC
013200                             PIC  X(10)      VALUE 'DEPOSIT CR'.
013300             07  MMOCIR-AD-RESV-FUND-DR-DESC
013400                             PIC  X(10)      VALUE 'RESV DR   '.
013500             07  MMOCIR-AD-RESV-FUND-CR-DESC
013600                             PIC  X(10)      VALUE 'RESV CR   '.
013700             07  MMOCIR-AD-DISCOUNT-DR-DESC
013800                             PIC  X(10)      VALUE 'DISCOUNT  '.
013900             07  MMOCIR-AD-DISCOUNT-CR-DESC
014000                             PIC  X(10)      VALUE 'REFUND    '.
014100             07  MMOCIR-AD-PART-DR-DESC
014200                             PIC  X(10)      VALUE 'PART OWED '.
014300             07  MMOCIR-AD-PART-CR-DESC
014400                             PIC  X(10)      VALUE 'PART EARND'.
014500             07  MMOCIR-AD-ADJUSTMENTS-DR-DESC
014600                             PIC  X(10)      VALUE 'DR ADJUST '.
014700             07  MMOCIR-AD-ADJUSTMENTS-CR-DESC
014800                             PIC  X(10)      VALUE 'CR ADJUST '.
014900             07  MMOCIR-AD-RECOVERY-ADJ-DR-DESC
015000                             PIC  X(10)      VALUE 'DR REC ADJ'.
015100             07  MMOCIR-AD-RECOVERY-ADJ-CR-DESC
015200                             PIC  X(10)      VALUE 'CR REC ADJ'.
015300             07  MMOCIR-AD-SYSTEM-FEES-DR-DESC
015400                             PIC  X(10)      VALUE 'DR SYS FEE'.
015500             07  MMOCIR-AD-SYSTEM-FEES-CR-DESC
015600                             PIC  X(10)      VALUE 'CR SYS FEE'.
015700             07  MMOCIR-AD-USER-FEES-DR-DESC
015800                             PIC  X(10)      VALUE 'DR USR FEE'.
015900             07  MMOCIR-AD-USER-FEES-CR-DESC
016000                             PIC  X(10)      VALUE 'CR USR FEE'.
016100             07  MMOCIR-AD-INTCHG-FEES-DR-DESC
016200                             PIC  X(10)      VALUE 'DR INTCHG '.
016300             07  MMOCIR-AD-INTCHG-FEES-CR-DESC
016400                             PIC  X(10)      VALUE 'CR INTCHG '.
016500             07  MMOCIR-AD-USER-DR-DESC
016600                             PIC  X(10)      VALUE 'USER DR   '.
016700             07  MMOCIR-AD-USER-CR-DESC
016800                             PIC  X(10)      VALUE 'USER CR   '.
016900             07  MMOCIR-AD-TRANSFER-DR-DESC
017000                             PIC  X(10)      VALUE 'TRANSFER  '.
017100             07  MMOCIR-AD-TRANSFER-CR-DESC
017200                             PIC  X(10)      VALUE 'TRANSFER  '.
017300             07  MMOCIR-AD-HOLDOVER-DR-DESC
017400                             PIC  X(10)      VALUE 'HOLDOVER  '.
017500             07  MMOCIR-AD-HOLDOVER-CR-DESC
017600                             PIC  X(10)      VALUE 'HOLDOVER  '.
017700             07  MMOCIR-AD-NET-1-DR-DESC
017800                             PIC  X(10)      VALUE 'NET 1 DR  '.
017900             07  MMOCIR-AD-NET-1-CR-DESC
018000                             PIC  X(10)      VALUE 'NET 1 CR  '.
018100             07  MMOCIR-AD-NET-2-DR-DESC
018200                             PIC  X(10)      VALUE 'NET 2 DR  '.
018300             07  MMOCIR-AD-NET-2-CR-DESC
018400                             PIC  X(10)      VALUE 'NET 2 CR  '.
018500             07  MMOCIR-AD-NET-3-DR-DESC
018600                             PIC  X(10)      VALUE 'NET 3 DR  '.
018700             07  MMOCIR-AD-NET-3-CR-DESC
018800                             PIC  X(10)      VALUE 'NET 3 CR  '.
018900             07  MMOCIR-AD-NET-4-DR-DESC
019000                             PIC  X(10)      VALUE 'NET 4 DR  '.
019100             07  MMOCIR-AD-NET-4-CR-DESC
019200                             PIC  X(10)      VALUE 'NET 4 CR  '.
019300             07  MMOCIR-AD-WINDOW-DR-DESC
019400                             PIC  X(10)      VALUE 'WINDOW DR '.
019500             07  MMOCIR-AD-WINDOW-CR-DESC
019600                             PIC  X(10)      VALUE 'WINDOW CR '.
019700             07  MMOCIR-AD-RESV-BAL-DR-DESC
019800                             PIC  X(10)      VALUE 'RESV X BAL'.
019900             07  MMOCIR-AD-RESV-BAL-CR-DESC
020000                             PIC  X(10)      VALUE 'RESV X BAL'.
020100             07  MMOCIR-AD-FUTURE-2-DR-DESC
020200                             PIC  X(10)      VALUE '**********'.
020300             07  MMOCIR-AD-FUTURE-2-CR-DESC
020400                             PIC  X(10)      VALUE '**********'.
020500             07  MMOCIR-AD-FUTURE-1-DR-DESC
020600                             PIC  X(10)      VALUE '**********'.
020700             07  MMOCIR-AD-FUTURE-1-CR-DESC
020800                             PIC  X(10)      VALUE '**********'.
020900         05  MMOCIR-ACH-DESCRIPTIONS-R
021000                             REDEFINES MMOCIR-ACH-DESCRIPTIONS.
021100             07  MMOCIR-ACH-DESC-TABLE       OCCURS 20 TIMES
021200                                             INDEXED BY
021300                                             X-MMOCIR-ACH-DESC.
021400                 09  MMOCIR-ACH-DR-DESC
021500                             PIC  X(10).
021600                 09  MMOCIR-ACH-CR-DESC
021700                             PIC  X(10).
021800*
021900*****************************************************************
022000*            OCCURRENCE USAGE FOR ACH DESCRIPTIONS,
022100*            STATEMENT DETAIL FLAGS AND BILLING INTERFACE
022200*            TRANSACTION CODES AND PLANS.
022300*            1 = DEPOSIT
022400*            2 = RESERVE FUNDING
022500*            3 = DISCOUNT
022600*            4 = PARTICIPATION
022700*            5 = ADJUSTMENTS
022800*            6 = RECOVERY ADJUSTMENTS
022900*            7 = SYSTEM FEES
023000*            8 = USER FEES
023100*            9 = INTERCHANGE FEES
023200*           10 = USER CREDITS
023300*           11 = HOLDOVER TRANSFER TO BILLING
023400*           12 = HOLDOVER
023500*           13 = NET SETTLEMENT 1
023600*           14 = NET SETTLEMENT 2
023700*           15 = NET SETTLEMENT 3
023800*           16 = NET SETTLEMENT 4
023900*           17 = WINDOW SETTLEMENT
024000*           18 = FUTURE USE
024100*           19 = FUTURE USE
024200*           20 = FUTURE USE
024300*
024400*****************************************************************
024500*
024600*****************************************************************
024700*           ORGANIZATION STATEMENT DETAIL HISTORY               *
024800*****************************************************************
024900*
025000     03  MMOCIR-STMT-DETAIL-AREA.
025100         05  MMOCIR-SD-DEPOSIT
025200                             PIC  X(01)      VALUE 'Y'.
025300             88  MMOCIR-SD-DEPOSIT           VALUE 'Y'.
025400             88  MMOCIR-SD-NO-DEPOSIT        VALUE 'N'.
025500         05  MMOCIR-SD-RESV-FUND
025600                             PIC  X(01)      VALUE 'Y'.
025700             88  MMOCIR-SD-RESV-FUND         VALUE 'Y'.
025800             88  MMOCIR-SD-NO-RESV-FUND      VALUE 'N'.
025900         05  MMOCIR-SD-DISCOUNT
026000                             PIC  X(01)      VALUE 'Y'.
026100             88  MMOCIR-SD-DISCOUNT          VALUE 'Y'.
026200             88  MMOCIR-SD-NO-DISCOUNT       VALUE 'N'.
026300         05  MMOCIR-SD-PART
026400                             PIC  X(01)      VALUE 'Y'.
026500             88  MMOCIR-SD-PART              VALUE 'Y'.
026600             88  MMOCIR-SD-NO-PART           VALUE 'N'.
026700         05  MMOCIR-SD-ADJUSTMENTS
026800                             PIC  X(01)      VALUE 'Y'.
026900             88  MMOCIR-SD-ADJUSTMENTS       VALUE 'Y'.
027000             88  MMOCIR-SD-NO-ADJUSTMENTS    VALUE 'N'.
027100         05  MMOCIR-SD-RECOVERY-ADJ
027200                             PIC  X(01)      VALUE 'Y'.
027300             88  MMOCIR-SD-RECOVERY-ADJ      VALUE 'Y'.
027400             88  MMOCIR-SD-NO-RECOVERY-ADJ   VALUE 'N'.
027500         05  MMOCIR-SD-SYSTEM-FEES
027600                             PIC  X(01)      VALUE 'Y'.
027700             88  MMOCIR-SD-SYSTEM-FEES       VALUE 'Y'.
027800             88  MMOCIR-SD-NO-SYSTEM-FEES    VALUE 'N'.
027900         05  MMOCIR-SD-USER-FEES
028000                             PIC  X(01)      VALUE 'Y'.
028100             88  MMOCIR-SD-USER-FEES         VALUE 'Y'.
028200             88  MMOCIR-SD-NO-USER-FEES      VALUE 'N'.
028300         05  MMOCIR-SD-INTCHG-FEES
028400                             PIC  X(01)      VALUE 'Y'.
028500             88  MMOCIR-SD-INTCHG-FEES       VALUE 'Y'.
028600             88  MMOCIR-SD-NO-INTCHG-FEES    VALUE 'N'.
028700         05  MMOCIR-SD-USER-CR
028800                             PIC  X(01)      VALUE 'Y'.
028900             88  MMOCIR-SD-USER-CR           VALUE 'Y'.
029000             88  MMOCIR-SD-NO-USER-CR        VALUE 'N'.
029100     03  MMOCIR-STMT-DETAIL-AREA-R
029200                             REDEFINES MMOCIR-STMT-DETAIL-AREA.
029300         05  MMOCIR-STMT-DETAIL-TABLE        OCCURS 10 TIMES
029400                                             INDEXED BY
029500                                             X-MMOCIR-SD.
029600             07  MMOCIR-STMT-DETAIL
029700                             PIC  X(01).
029800                 88  MMOCIR-SD-STMT-DETAIL   VALUE 'Y'.
029900                 88  MMOCIR-SD-NO-STMT-DETAIL
030000                                             VALUE 'N'.
030100*
030200*****************************************************************
030300*           BILLING INTERFACE                                  *
030400*****************************************************************
030500*
030600     03  MMOCIR-BILLING-INTERFACE.
030700         05  MMOCIR-BILLING-ORG
030800
030900                             PIC  9(03)      VALUE ZERO.
031000         05  MMOCIR-BILLING-STORE
031100
031200                             PIC  9(09)      VALUE ZERO.
031300         05  MMOCIR-BI-DEPOSIT-DR-TC
031400                             PIC S9(03)      COMP-3 VALUE ZERO.
031500         05  MMOCIR-BI-DEPOSIT-CR-TC
031600                             PIC S9(03)      COMP-3 VALUE ZERO.
031700         05  MMOCIR-BI-DEPOSIT-PLAN
031800                             PIC S9(05)      COMP-3 VALUE ZERO.
031900         05  MMOCIR-BI-RESV-FUND-DR-TC
032000                             PIC S9(03)      COMP-3 VALUE ZERO.
032100         05  MMOCIR-BI-RESV-FUND-CR-TC
032200                             PIC S9(03)      COMP-3 VALUE ZERO.
032300         05  MMOCIR-BI-RESV-FUND-PLAN
032400                             PIC S9(05)      COMP-3 VALUE ZERO.
032500         05  MMOCIR-BI-DISCOUNT-DR-TC
032600                             PIC S9(03)      COMP-3 VALUE ZERO.
032700         05  MMOCIR-BI-DISCOUNT-CR-TC
032800                             PIC S9(03)      COMP-3 VALUE ZERO.
032900         05  MMOCIR-BI-DISCOUNT-PLAN
033000                             PIC S9(05)      COMP-3 VALUE ZERO.
033100         05  MMOCIR-BI-PART-DR-TC
033200                             PIC S9(03)      COMP-3 VALUE ZERO.
033300         05  MMOCIR-BI-PART-CR-TC
033400                             PIC S9(03)      COMP-3 VALUE ZERO.
033500         05  MMOCIR-BI-PART-PLAN
033600                             PIC S9(05)      COMP-3 VALUE ZERO.
033700         05  MMOCIR-BI-ADJUSTMENTS-DR-TC
033800                             PIC S9(03)      COMP-3 VALUE ZERO.
033900         05  MMOCIR-BI-ADJUSTMENTS-CR-TC
034000                             PIC S9(03)      COMP-3 VALUE ZERO.
034100         05  MMOCIR-BI-ADJUSTMENTS-PLAN
034200                             PIC S9(05)      COMP-3 VALUE ZERO.
034300         05  MMOCIR-BI-RECOVERY-ADJ-DR-TC
034400                             PIC S9(03)      COMP-3 VALUE ZERO.
034500         05  MMOCIR-BI-RECOVERY-ADJ-CR-TC
034600                             PIC S9(03)      COMP-3 VALUE ZERO.
034700         05  MMOCIR-BI-RECOVERY-ADJ-PLAN
034800                             PIC S9(05)      COMP-3 VALUE ZERO.
034900         05  MMOCIR-BI-SYSTEM-FEES-DR-TC
035000                             PIC S9(03)      COMP-3 VALUE ZERO.
035100         05  MMOCIR-BI-SYSTEM-FEES-CR-TC
035200                             PIC S9(03)      COMP-3 VALUE ZERO.
035300         05  MMOCIR-BI-SYSTEM-FEES-PLAN
035400                             PIC S9(05)      COMP-3 VALUE ZERO.
035500         05  MMOCIR-BI-USER-FEES-DR-TC
035600                             PIC S9(03)      COMP-3 VALUE ZERO.
035700         05  MMOCIR-BI-USER-FEES-CR-TC
035800                             PIC S9(03)      COMP-3 VALUE ZERO.
035900         05  MMOCIR-BI-USER-FEES-PLAN
036000                             PIC S9(05)      COMP-3 VALUE ZERO.
036100         05  MMOCIR-BI-INTCHG-FEES-DR-TC
036200                             PIC S9(03)      COMP-3 VALUE ZERO.
036300         05  MMOCIR-BI-INTCHG-FEES-CR-TC
036400                             PIC S9(03)      COMP-3 VALUE ZERO.
036500         05  MMOCIR-BI-INTCHG-FEES-PLAN
036600                             PIC S9(05)      COMP-3 VALUE ZERO.
036700         05  MMOCIR-BI-USER-CR-DR-TC
036800                             PIC S9(03)      COMP-3 VALUE ZERO.
036900         05  MMOCIR-BI-USER-CR-CR-TC
037000                             PIC S9(03)      COMP-3 VALUE ZERO.
037100         05  MMOCIR-BI-USER-CR-PLAN
037200                             PIC S9(05)      COMP-3 VALUE ZERO.
037300         05  MMOCIR-BI-TRANSFER-DR-TC
037400                             PIC S9(03)      COMP-3 VALUE ZERO.
037500         05  MMOCIR-BI-TRANSFER-CR-TC
037600                             PIC S9(03)      COMP-3 VALUE ZERO.
037700         05  MMOCIR-BI-TRANSFER-PLAN
037800                             PIC S9(05)      COMP-3 VALUE ZERO.
037900         05  MMOCIR-BI-HOLDOVER-DR-TC
038000                             PIC S9(03)      COMP-3 VALUE ZERO.
038100         05  MMOCIR-BI-HOLDOVER-CR-TC
038200                             PIC S9(03)      COMP-3 VALUE ZERO.
038300         05  MMOCIR-BI-HOLDOVER-PLAN
038400                             PIC S9(05)      COMP-3 VALUE ZERO.
038500         05  MMOCIR-BI-NET-1-DR-TC
038600                             PIC S9(03)      COMP-3 VALUE ZERO.
038700         05  MMOCIR-BI-NET-1-CR-TC
038800                             PIC S9(03)      COMP-3 VALUE ZERO.
038900         05  MMOCIR-BI-NET-1-PLAN
039000                             PIC S9(05)      COMP-3 VALUE ZERO.
039100         05  MMOCIR-BI-NET-2-DR-TC
039200                             PIC S9(03)      COMP-3 VALUE ZERO.
039300         05  MMOCIR-BI-NET-2-CR-TC
039400                             PIC S9(03)      COMP-3 VALUE ZERO.
039500         05  MMOCIR-BI-NET-2-PLAN
039600                             PIC S9(05)      COMP-3 VALUE ZERO.
039700         05  MMOCIR-BI-NET-3-DR-TC
039800                             PIC S9(03)      COMP-3 VALUE ZERO.
039900         05  MMOCIR-BI-NET-3-CR-TC
040000                             PIC S9(03)      COMP-3 VALUE ZERO.
040100         05  MMOCIR-BI-NET-3-PLAN
040200                             PIC S9(05)      COMP-3 VALUE ZERO.
040300         05  MMOCIR-BI-NET-4-DR-TC
040400                             PIC S9(03)      COMP-3 VALUE ZERO.
040500         05  MMOCIR-BI-NET-4-CR-TC
040600                             PIC S9(03)      COMP-3 VALUE ZERO.
040700         05  MMOCIR-BI-NET-4-PLAN
040800                             PIC S9(05)      COMP-3 VALUE ZERO.
040900         05  MMOCIR-BI-WINDOW-DR-TC
041000                             PIC S9(03)      COMP-3 VALUE ZERO.
041100         05  MMOCIR-BI-WINDOW-CR-TC
041200                             PIC S9(03)      COMP-3 VALUE ZERO.
041300         05  MMOCIR-BI-WINDOW-PLAN
041400                             PIC S9(05)      COMP-3 VALUE ZERO.
041500         05  MMOCIR-BI-FUTURE-3-DR-TC
041600                             PIC S9(03)      COMP-3 VALUE ZERO.
041700         05  MMOCIR-BI-FUTURE-3-CR-TC
041800                             PIC S9(03)      COMP-3 VALUE ZERO.
041900         05  MMOCIR-BI-FUTURE-3-PLAN
042000                             PIC S9(05)      COMP-3 VALUE ZERO.
042100         05  MMOCIR-BI-FUTURE-2-DR-TC
042200                             PIC S9(03)      COMP-3 VALUE ZERO.
042300         05  MMOCIR-BI-FUTURE-2-CR-TC
042400                             PIC S9(03)      COMP-3 VALUE ZERO.
042500         05  MMOCIR-BI-FUTURE-2-PLAN
042600                             PIC S9(05)      COMP-3 VALUE ZERO.
042700         05  MMOCIR-BI-FUTURE-1-DR-TC
042800                             PIC S9(03)      COMP-3 VALUE ZERO.
042900         05  MMOCIR-BI-FUTURE-1-CR-TC
043000                             PIC S9(03)      COMP-3 VALUE ZERO.
043100         05  MMOCIR-BI-FUTURE-1-PLAN
043200                             PIC S9(05)      COMP-3 VALUE ZERO.
043300     03  MMOCIR-BILLING-INTERFACE-R
043400                             REDEFINES MMOCIR-BILLING-INTERFACE.
043500         05  FILLER          PIC  X(12).
043600         05  MMOCIR-BILLING-INTERFACE-X      OCCURS 20 TIMES
043700                                             INDEXED BY
043800                                             X-MMOCIR-BILLING.
043900             07  MMOCIR-BILLING-DR-TC
044000                             PIC S9(03)      COMP-3.
044100             07  MMOCIR-BILLING-CR-TC
044200                             PIC S9(03)      COMP-3.
044300             07  MMOCIR-BILLING-PLAN
044400                             PIC S9(05)      COMP-3.
044500*
044600*****************************************************************
044700*           ORGANIZATION TRANSACTION ACTIVITY OPTIONS           *
044800*****************************************************************
044900*
045000     03  MMOCIR-TXN-ACTIVITY-OPTIONS.
045100         05  MMOCIR-STMTS-TO-RETAIN
045200                             PIC S9(03)      COMP-3 VALUE ZERO.
045300         05  MMOCIR-SETT-TO-RETAIN
045400                             PIC S9(03)      COMP-3 VALUE ZERO.
045500*
045600         05  FILLER          PIC  X(04)      VALUE SPACES.
045700*
045800*****************************************************************
045900*           ORGANIZATION PRINT PROCESSING DATA                  *
046000*****************************************************************
046100*
046200     03  MMOCIR-FORM         PIC  9(02)      VALUE ZERO.
046300     03  MMOCIR-FICHE-FLAG   PIC  X(01)      VALUE '0'.
046400         88  MMOCIR-NO-FICHE                 VALUE '0'.
046500         88  MMOCIR-FICHE                    VALUES '1' THRU '9'
046600                                                    'A' THRU 'I'.
046700         88  MMOCIR-FICHE-ONLY               VALUES 'A' THRU 'I'.
046800     03  MMOCIR-LINES-PER-PAGE
046900                             PIC  9(02)      VALUE 60.
047000*
047100*****************************************************************
047200*               ORGANIZATION PRODUCTS                           *
047300*****************************************************************
047400*
047500     03  MMOCIR-PRODUCTS-AREA-I.
047600         05  FILLER          PIC  X(02)      VALUE 'NN'.
047700         05  FILLER          PIC  X(19)      VALUE
047800                             'NVISA            00'.
047900         05  FILLER          PIC  X(19)      VALUE
048000                             'NMASTERCARD      00'.
048100         05  FILLER          PIC  X(19)      VALUE
048200                             'NPRIVATE LABEL 0300'.
048300         05  FILLER          PIC  X(19)      VALUE
048400                             'NPRIVATE LABEL 0400'.
048500         05  FILLER          PIC  X(19)      VALUE
048600                             'NPRIVATE LABEL 0500'.
048700         05  FILLER          PIC  X(19)      VALUE
048800                             'NPRIVATE LABEL 0600'.
048900         05  FILLER          PIC  X(19)      VALUE
049000                             'NPRIVATE LABEL 0700'.
049100         05  FILLER          PIC  X(19)      VALUE
049200                             'NPRIVATE LABEL 0800'.
049300         05  FILLER          PIC  X(19)      VALUE
049400                             'NPRIVATE LABEL 0900'.
049500         05  FILLER          PIC  X(19)      VALUE
049600                             'NPRIVATE LABEL 1000'.
049700         05  FILLER          PIC  X(19)      VALUE
049800                             'NPRIVATE LABEL 1100'.
049900         05  FILLER          PIC  X(19)      VALUE
050000                             'NPRIVATE LABEL 1200'.
050100         05  FILLER          PIC  X(19)      VALUE
050200                             'NPRIVATE LABEL 1300'.
050300         05  FILLER          PIC  X(19)      VALUE
050400                             'NPRIVATE LABEL 1400'.
050500         05  FILLER          PIC  X(19)      VALUE
050600                             'NPRIVATE LABEL 1500'.
050700         05  FILLER          PIC  X(19)      VALUE
050800                             'NPRIVATE LABEL 1600'.
050900         05  FILLER          PIC  X(19)      VALUE
051000                             'NPRIVATE LABEL 1700'.
051100         05  FILLER          PIC  X(19)      VALUE
051200                             'NPRIVATE LABEL 1800'.
051300         05  FILLER          PIC  X(19)      VALUE
051400                             'NPRIVATE LABEL 1900'.
051500         05  FILLER          PIC  X(19)      VALUE
051600                             'NPRIVATE LABEL 2000'.
051700         05  FILLER          PIC  X(19)      VALUE
051800                             'NPRIVATE LABEL 2100'.
051900         05  FILLER          PIC  X(19)      VALUE
052000                             'NPRIVATE LABEL 2200'.
052100         05  FILLER          PIC  X(19)      VALUE
052200                             'NPRIVATE LABEL 2300'.
052300         05  FILLER          PIC  X(19)      VALUE
052400                             'NPRIVATE LABEL 2400'.
052500         05  FILLER          PIC  X(19)      VALUE
052600                             'NPRIVATE LABEL 2500'.
052700         05  FILLER          PIC  X(19)      VALUE
052800                             'NPRIVATE LABEL 2600'.
052900         05  FILLER          PIC  X(19)      VALUE
053000                             'NPRIVATE LABEL 2700'.
053100         05  FILLER          PIC  X(19)      VALUE
053200                             'NPRIVATE LABEL 2800'.
053300         05  FILLER          PIC  X(19)      VALUE
053400                             'NPRIVATE LABEL 2900'.
053500         05  FILLER          PIC  X(19)      VALUE
053600                             'NPRIVATE LABEL 3000'.
053700         05  FILLER          PIC  X(19)      VALUE
053800                             'NPRIVATE LABEL 3100'.
053900         05  FILLER          PIC  X(19)      VALUE
054000                             'NPRIVATE LABEL 3200'.
054100         05  FILLER          PIC  X(19)      VALUE
054200                             'NPRIVATE LABEL 3300'.
054300         05  FILLER          PIC  X(19)      VALUE
054400                             'NPRIVATE LABEL 3400'.
054500         05  FILLER          PIC  X(19)      VALUE
054600                             'NPRIVATE LABEL 3500'.
054700         05  FILLER          PIC  X(19)      VALUE
054800                             'NPRIVATE LABEL 3600'.
054900         05  FILLER          PIC  X(19)      VALUE
055000                             'NPRIVATE LABEL 3700'.
055100         05  FILLER          PIC  X(19)      VALUE
055200                             'NPRIVATE LABEL 3800'.
055300         05  FILLER          PIC  X(19)      VALUE
055400                             'NPRIVATE LABEL 3900'.
055500         05  FILLER          PIC  X(19)      VALUE
055600                             'NPRIVATE LABEL 4000'.
055700         05  FILLER          PIC  X(19)      VALUE
055800                             'NPRIVATE LABEL 4100'.
055900         05  FILLER          PIC  X(19)      VALUE
056000                             'NPRIVATE LABEL 4200'.
056100         05  FILLER          PIC  X(19)      VALUE
056200                             'NPRIVATE LABEL 4300'.
056300         05  FILLER          PIC  X(19)      VALUE
056400                             'NPRIVATE LABEL 4400'.
056500         05  FILLER          PIC  X(19)      VALUE
056600                             'NPRIVATE LABEL 4500'.
056700         05  FILLER          PIC  X(19)      VALUE
056800                             'NPRIVATE LABEL 4600'.
056900         05  FILLER          PIC  X(19)      VALUE
057000                             'NPRIVATE LABEL 4700'.
057100         05  FILLER          PIC  X(19)      VALUE
057200                             'NPRIVATE LABEL 4800'.
057300         05  FILLER          PIC  X(19)      VALUE
057400                             'NPRIVATE LABEL 4900'.
057500         05  FILLER          PIC  X(19)      VALUE
057600                             'NPRIVATE LABEL 5000'.
057700         05  FILLER          PIC  X(19)      VALUE
057800                             'NPRIVATE LABEL 5100'.
057900         05  FILLER          PIC  X(19)      VALUE
058000                             'NPRIVATE LABEL 5200'.
058100         05  FILLER          PIC  X(19)      VALUE
058200                             'NPRIVATE LABEL 5300'.
058300         05  FILLER          PIC  X(19)      VALUE
058400                             'NPRIVATE LABEL 5400'.
058500         05  FILLER          PIC  X(19)      VALUE
058600                             'NPRIVATE LABEL 5500'.
058700         05  FILLER          PIC  X(19)      VALUE
058800                             'NPRIVATE LABEL 5600'.
058900         05  FILLER          PIC  X(19)      VALUE
059000                             'NPRIVATE LABEL 5700'.
059100         05  FILLER          PIC  X(19)      VALUE
059200                             'NPRIVATE LABEL 5800'.
059300         05  FILLER          PIC  X(19)      VALUE
059400                             'NPRIVATE LABEL 5900'.
059500         05  FILLER          PIC  X(19)      VALUE
059600                             'NPRIVATE LABEL 6000'.
059700         05  FILLER          PIC  X(19)      VALUE
059800                             'NPRIVATE LABEL 6100'.
059900         05  FILLER          PIC  X(19)      VALUE
060000                             'NPRIVATE LABEL 6200'.
060100         05  FILLER          PIC  X(19)      VALUE
060200                             'NPRIVATE LABEL 6300'.
060300         05  FILLER          PIC  X(19)      VALUE
060400                             'NPRIVATE LABEL 6400'.
060500         05  FILLER          PIC  X(19)      VALUE
060600                             'NPRIVATE LABEL 6500'.
060700         05  FILLER          PIC  X(19)      VALUE
060800                             'NPRIVATE LABEL 6600'.
060900         05  FILLER          PIC  X(19)      VALUE
061000                             'NPRIVATE LABEL 6700'.
061100         05  FILLER          PIC  X(19)      VALUE
061200                             'NPRIVATE LABEL 6800'.
061300         05  FILLER          PIC  X(19)      VALUE
061400                             'NPRIVATE LABEL 6900'.
061500         05  FILLER          PIC  X(19)      VALUE
061600                             'NPRIVATE LABEL 7000'.
061700         05  FILLER          PIC  X(19)      VALUE
061800                             'NPRIVATE LABEL 7100'.
061900         05  FILLER          PIC  X(19)      VALUE
062000                             'NPRIVATE LABEL 7200'.
062100         05  FILLER          PIC  X(19)      VALUE
062200                             'NPRIVATE LABEL 7300'.
062300         05  FILLER          PIC  X(19)      VALUE
062400                             'NPRIVATE LABEL 7400'.
062500         05  FILLER          PIC  X(19)      VALUE
062600                             'NPRIVATE LABEL 7500'.
062700         05  FILLER          PIC  X(19)      VALUE
062800                             'NPRIVATE LABEL 7600'.
062900         05  FILLER          PIC  X(19)      VALUE
063000                             'NPRIVATE LABEL 7700'.
063100         05  FILLER          PIC  X(19)      VALUE
063200                             'NPRIVATE LABEL 7800'.
063300         05  FILLER          PIC  X(19)      VALUE
063400                             'NPRIVATE LABEL 7900'.
063500         05  FILLER          PIC  X(19)      VALUE
063600                             'NPRIVATE LABEL 8000'.
063700         05  FILLER          PIC  X(19)      VALUE
063800                             'NPRIVATE LABEL 8100'.
063900         05  FILLER          PIC  X(19)      VALUE
064000                             'NPRIVATE LABEL 8200'.
064100         05  FILLER          PIC  X(19)      VALUE
064200                             'NPRIVATE LABEL 8300'.
064300         05  FILLER          PIC  X(19)      VALUE
064400                             'NPRIVATE LABEL 8400'.
064500         05  FILLER          PIC  X(19)      VALUE
064600                             'NPRIVATE LABEL 8500'.
064700         05  FILLER          PIC  X(19)      VALUE
064800                             'NPRIVATE LABEL 8600'.
064900         05  FILLER          PIC  X(19)      VALUE
065000                             'NPRIVATE LABEL 8700'.
065100         05  FILLER          PIC  X(19)      VALUE
065200                             'NPRIVATE LABEL 8800'.
065300         05  FILLER          PIC  X(19)      VALUE
065400                             'NPRIVATE LABEL 8900'.
065500         05  FILLER          PIC  X(19)      VALUE
065600                             'NPRIVATE LABEL 9000'.
065700         05  FILLER          PIC  X(19)      VALUE
065800                             'NPRIVATE LABEL 9100'.
065900         05  FILLER          PIC  X(19)      VALUE
066000                             'NPRIVATE LABEL 9200'.
066100         05  FILLER          PIC  X(19)      VALUE
066200                             'NPRIVATE LABEL 9300'.
066300         05  FILLER          PIC  X(19)      VALUE
066400                             'NPRIVATE LABEL 9400'.
066500         05  FILLER          PIC  X(19)      VALUE
066600                             'NPRIVATE LABEL 9500'.
066700         05  FILLER          PIC  X(19)      VALUE
066800                             'NPRIVATE LABEL 9600'.
066900         05  FILLER          PIC  X(19)      VALUE
067000                             'NPRIVATE LABEL 9700'.
067100         05  FILLER          PIC  X(19)      VALUE
067200                             'NPRIVATE LABEL 9800'.
067300         05  FILLER          PIC  X(19)      VALUE
067400                             'NPRIVATE LABEL 9900'.
067500     03  MMOCIR-PRODUCTS-AREA
067600                             REDEFINES MMOCIR-PRODUCTS-AREA-I.
067700         05  MMOCIR-MC-QTR-FLAG                                   EH800900
067800                             PIC  X(01).                          EH800900
067900             88  MMOCIR-MC-QTR-FLAG-NO       VALUE 'N'.           EH800900
068000             88  MMOCIR-MC-QTR-FLAG-US       VALUE '0'.           EH800900
068002             88  MMOCIR-MC-QTR-FLAG-INTL-A   VALUE 'A'.           EH800900
068004             88  MMOCIR-MC-QTR-FLAG-INTL-B   VALUE 'B'.           EH800900
068006             88  MMOCIR-MC-QTR-FLAG-INTL-C   VALUE 'C'.           EH800900
068008             88  MMOCIR-MC-QTR-FLAG-INTL-D   VALUE 'D'.           EH800900
068010             88  MMOCIR-MC-QTR-FLAG-EUROCARD VALUE 'E'.           EH800900
068012             88  MMOCIR-MC-QTR-FLAG-INTL     VALUE 'A' 'B'        EH800900
068014                                                   'C' 'D'.       EH800900
068016             88  MMOCIR-VALID-MC-QTR-FLAG    VALUE '0'            EH800900
068018                                                   'A'            EH800900
068020                                                   'B'            EH800900
068022                                                   'C'            EH800900
068024                                                   'D'            EH800900
068026                                                   'E'            EH800900
068028                                                   'N'.           EH800900
068100         05  MMOCIR-VISA-QTR-FLAG                                 EH800900
068200                             PIC  X(01).                          EH800900
068300             88  MMOCIR-VISA-QTR-FLAG-NO     VALUE 'N'.           EH800900
068400             88  MMOCIR-VISA-QTR-FLAG-US     VALUE '0'.           EH800900
068402             88  MMOCIR-VISA-QTR-FLAG-EU     VALUE '1'.           EH800900
068404             88  MMOCIR-VISA-QTR-FLAG-CANADA VALUE '2'.           EH800900
068406             88  MMOCIR-VISA-QTR-FLAG-AP     VALUE '4'.           EH800900
068408             88  MMOCIR-VISA-QTR-FLAG-LA-C   VALUE '5'.           EH800900
068410             88  MMOCIR-VISA-QTR-FLAG-CEMEA  VALUE '6'.           EH800900
068412             88  MMOCIR-VALID-VISA-QTR-FLAG  VALUE '0'            EH800900
068414                                                   '1'            EH800900
068416                                                   '2'            EH800900
068418                                                   '4'            EH800900
068420                                                   '5'            EH800900
068422                                                   '6'            EH800900
068424                                                   'N'.           EH800900
068426*                                                                 EH800900
068500         05  MMOCIR-PRODUCTS                 OCCURS 99 TIMES
068600                                             INDEXED BY
068700                                             X-MMOCIR-PROD.
068800             07  MMOCIR-PRODUCT-STATUS
068900                             PIC  X(01).
069000                 88  MMOCIR-PRODUCT-ACTIVE
069100                                             VALUE 'Y'.
069200                 88  MMOCIR-PRODUCT-NOT-ACTIVE
069300                                             VALUE 'N'.
069400             07  MMOCIR-PRODUCT-DESC
069500                             PIC  X(16).
069600             07  MMOCIR-PRODUCT-QRTRLY-RPT-FLAG
069700                             PIC  9(02).
069800                 88  MMOCIR-PROD-QRF-NORMAL  VALUE 00.
069900                 88  MMOCIR-PROD-QRF-EUROCARD-MC
070000                                             VALUE 02.
070100                 88  MMOCIR-PROD-QRF-EUROCHEQUE
070200                                             VALUE 03.
070300                 88  MMOCIR-PROD-QRF-EUROCHEQUE-ATM
070400                                             VALUE 04.
070500                 88  MMOCIR-PROD-QRF-CIRRUS  VALUE 05.
070600                 88  MMOCIR-PROD-QRF-EDC     VALUE 06.
070700                 88  MMOCIR-PROD-QRF-MAESTRO VALUE 07.
070800                 88  MMOCIR-PROD-QRF-CLIP    VALUE 08.
070900                 88  MMOCIR-PROD-QRF-CHIP    VALUE 09.
071000*
071100*
071200*****************************************************************
071300*           ORGANIZATION STATISTICS DISPLAY DEFAULTS            *
071400*****************************************************************
071500*
071600     03  MMOCIR-STAT-DISP-DEFAULTS.
071700         05  MMOCIR-STATS-DEFAULTS           OCCURS 4 TIMES
071800                                             INDEXED BY
071900                                             X-MMOCIR-STATS.
072000*       OCCURRENCE 1 ARE THE MERCHANT STATISTICS
072100*       OCCURRENCE 2 ARE THE MERCHANT INTERCHANGE STATISTICS
072200*       OCCURRENCE 3 ARE THE CHAIN STATISTICS
072300*       OCCURRENCE 4 ARE THE CHAIN INTERCHANGE STATISTICS
072400             07  MMOCIR-STATS-YEST
072500                             PIC  9(01)      VALUE 1.
072600             07  MMOCIR-STATS-MTD
072700                             PIC  9(01)      VALUE ZERO.
072800             07  MMOCIR-STATS-YTD
072900                             PIC  9(01)      VALUE ZERO.
073000             07  MMOCIR-STATS-CTD
073100                             PIC  9(01)      VALUE 2.
073200             07  MMOCIR-STATS-DTD
073300                             PIC  9(01)      VALUE ZERO.
073400             07  MMOCIR-STATS-PTD
073500                             PIC  9(01)      VALUE ZERO.
073600     03  MMOCIR-STAT-DISP-DEFAULTS-R
073700                             REDEFINES MMOCIR-STAT-DISP-DEFAULTS.
073800         05  MMOCIR-STATS-TYPE               OCCURS 4 TIMES
073900                                             INDEXED BY
074000                                             X-MMOCIR-ST.
074100             07  MMOCIR-STATS-PERIOD         OCCURS 6 TIMES
074200                                             INDEXED BY
074300                                             X-MMOCIR-PD.
074400                 09  MMOCIR-DISPLAY-DEFAULT
074500                             PIC  9(01).
074600*
074700*****************************************************************
074800*           ORGANIZATION BLOCK CODE TABLES                      *
074900*****************************************************************
075000*
075100     03  MMOCIR-BLOCK-CODE-TABLE-I.
075200             07  FILLER      PIC  X(01)      VALUE 'A'.
075300             07  FILLER      PIC  X(20)      VALUE SPACES.
075400             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
075500             07  FILLER      PIC  X(01)      VALUE 'B'.
075600             07  FILLER      PIC  X(20)      VALUE SPACES.
075700             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
075800             07  FILLER      PIC  X(01)      VALUE 'C'.
075900             07  FILLER      PIC  X(20)      VALUE SPACES.
076000             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
076100             07  FILLER      PIC  X(01)      VALUE 'D'.
076200             07  FILLER      PIC  X(20)      VALUE SPACES.
076300             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
076400             07  FILLER      PIC  X(01)      VALUE 'E'.
076500             07  FILLER      PIC  X(20)      VALUE SPACES.
076600             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
076700             07  FILLER      PIC  X(01)      VALUE 'F'.
076800             07  FILLER      PIC  X(20)      VALUE SPACES.
076900             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
077000             07  FILLER      PIC  X(01)      VALUE 'G'.
077100             07  FILLER      PIC  X(20)      VALUE SPACES.
077200             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
077300             07  FILLER      PIC  X(01)      VALUE 'H'.
077400             07  FILLER      PIC  X(20)      VALUE SPACES.
077500             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
077600             07  FILLER      PIC  X(01)      VALUE 'I'.
077700             07  FILLER      PIC  X(20)      VALUE SPACES.
077800             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
077900             07  FILLER      PIC  X(01)      VALUE 'J'.
078000             07  FILLER      PIC  X(20)      VALUE SPACES.
078100             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
078200             07  FILLER      PIC  X(01)      VALUE 'K'.
078300             07  FILLER      PIC  X(20)      VALUE SPACES.
078400             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
078500             07  FILLER      PIC  X(01)      VALUE 'L'.
078600             07  FILLER      PIC  X(20)      VALUE SPACES.
078700             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
078800             07  FILLER      PIC  X(01)      VALUE 'M'.
078900             07  FILLER      PIC  X(20)      VALUE SPACES.
079000             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
079100             07  FILLER      PIC  X(01)      VALUE 'N'.
079200             07  FILLER      PIC  X(20)      VALUE SPACES.
079300             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
079400             07  FILLER      PIC  X(01)      VALUE 'O'.
079500             07  FILLER      PIC  X(20)      VALUE SPACES.
079600             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
079700             07  FILLER      PIC  X(01)      VALUE 'P'.
079800             07  FILLER      PIC  X(20)      VALUE SPACES.
079900             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
080000             07  FILLER      PIC  X(01)      VALUE 'Q'.
080100             07  FILLER      PIC  X(20)      VALUE SPACES.
080200             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
080300             07  FILLER      PIC  X(01)      VALUE 'R'.
080400             07  FILLER      PIC  X(20)      VALUE SPACES.
080500             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
080600             07  FILLER      PIC  X(01)      VALUE 'S'.
080700             07  FILLER      PIC  X(20)      VALUE SPACES.
080800             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
080900             07  FILLER      PIC  X(01)      VALUE 'T'.
081000             07  FILLER      PIC  X(20)      VALUE SPACES.
081100             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
081200             07  FILLER      PIC  X(01)      VALUE 'U'.
081300             07  FILLER      PIC  X(20)      VALUE SPACES.
081400             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
081500             07  FILLER      PIC  X(01)      VALUE 'V'.
081600             07  FILLER      PIC  X(20)      VALUE SPACES.
081700             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
081800             07  FILLER      PIC  X(01)      VALUE 'W'.
081900             07  FILLER      PIC  X(20)      VALUE SPACES.
082000             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
082100             07  FILLER      PIC  X(01)      VALUE 'X'.
082200             07  FILLER      PIC  X(20)      VALUE SPACES.
082300             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
082400             07  FILLER      PIC  X(01)      VALUE 'Y'.
082500             07  FILLER      PIC  X(20)      VALUE SPACES.
082600             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
082700             07  FILLER      PIC  X(01)      VALUE 'Z'.
082800             07  FILLER      PIC  X(20)      VALUE SPACES.
082900             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
083000             07  FILLER      PIC  X(01)      VALUE ' '.
083100             07  FILLER      PIC  X(20)      VALUE SPACES.
083200             07  FILLER      PIC  X(10)      VALUE 'YYYYYYYYYY'.
083300     03  MMOCIR-BLOCK-CODE-TABLE
083400                             REDEFINES MMOCIR-BLOCK-CODE-TABLE-I.
083500         05  MMOCIR-BLOCK-CODES              OCCURS 27 TIMES
083600                                             INDEXED BY
083700                                             X-MMOCIR-BC.
083800             07  MMOCIR-BC   PIC  X(01).
083900             07  MMOCIR-BC-DESC
084000                             PIC  X(20).
084100             07  MMOCIR-BC-DISC-FLAG
084200                             PIC  X(01).
084300                 88  MMOCIR-BC-DISCOUNT      VALUE 'Y'.
084400                 88  MMOCIR-BC-NO-DISCOUNT   VALUE 'N'.
084500                 88  MMOCIR-BC-CALC-DISCOUNT VALUE 'W'.
084600             07  MMOCIR-BC-PART-FLAG
084700                             PIC  X(01).
084800                 88  MMOCIR-BC-PARTICIPATION VALUE 'Y'.
084900                 88  MMOCIR-BC-NO-PARTICIPATION
085000                                             VALUE 'N'.
085100                 88  MMOCIR-BC-CALC-PARTICIPATION
085200                                             VALUE 'W'.
085300             07  MMOCIR-BC-USER-FLAG
085400                             PIC  X(01).
085500                 88  MMOCIR-BC-USER          VALUE 'Y'.
085600                 88  MMOCIR-BC-NO-USER       VALUE 'N'.
085700                 88  MMOCIR-BC-CALC-USER     VALUE 'W'.
085800             07  MMOCIR-BC-SYSTEM-FEES-FLAG
085900                             PIC  X(01).
086000                 88  MMOCIR-BC-SYS-FEES      VALUE 'Y'.
086100                 88  MMOCIR-BC-NO-SYS-FEES   VALUE 'N'.
086200                 88  MMOCIR-BC-CALC-SYS-FEES VALUE 'W'.
086300             07  MMOCIR-BC-SETTLEMENT-FLAG
086400                             PIC  X(01).
086500                 88  MMOCIR-BC-SETTLEMENT    VALUE 'Y'.
086600                 88  MMOCIR-BC-NO-SETTLEMENT VALUE 'N'.
086700             07  MMOCIR-BC-POST-FLAG
086800                             PIC  X(01).
086900                 88  MMOCIR-BC-POST-NORMAL   VALUE 'Y'.
087000                 88  MMOCIR-BC-POST-NO-DEBITS
087100                                             VALUE 'D'.
087200                 88  MMOCIR-BC-POST-NO-CREDITS
087300                                             VALUE 'C'.
087400                 88  MMOCIR-BC-POST-NO-DR-OR-CR
087500                                             VALUE 'B'.
087600             07  MMOCIR-BC-RESV-FUNDING      OCCURS 4 TIMES
087700                                             INDEXED BY
087800                                             X-MMOCIR-BC-RESV.
087900                 09  MMOCIR-BC-RESV-FUNDING-FLAG
088000                             PIC  X(01).
088100                     88  MMOCIR-BC-RESV-FUNDING
088200                                             VALUE 'Y'.
088300                     88  MMOCIR-BC-NO-RESV-FUNDING
088400                                             VALUE 'N'.
088500*
088600*****************************************************************
088700*           ORGANIZATION MISCELLANEOUS AREA                     *
088800*****************************************************************
088900*
089000     03  MMOCIR-MOD-CHECK-DATA.
089100         05  MMOCIR-MERCHANT-MOD-CHECK
089200                             PIC  X(01)      VALUE 'N'.
089300             88  MMOCIR-MMC-DO-NOT-MOD-CHECK
089400                                             VALUE 'N'.
089500             88  MMOCIR-MMC-DOUBLE-ADD-DOUBLE
089600                                             VALUE 'D'.
089700             88  MMOCIR-MMC-MOD-CHECK-ROUTINE1
089800                                             VALUE '1'.
089900             88  MMOCIR-MMC-MOD-CHECK-ROUTINE2
090000                                             VALUE '2'.
090100             88  MMOCIR-MMC-MOD-CHECK-ROUTINE3
090200                                             VALUE '3'.
090300         05  MMOCIR-STORE-MOD-CHECK
090400                             PIC  X(01)      VALUE 'N'.
090500             88  MMOCIR-SMC-DO-NOT-MOD-CHECK
090600                                             VALUE 'N'.
090700             88  MMOCIR-SMC-DOUBLE-ADD-DOUBLE
090800                                             VALUE 'D'.
090900             88  MMOCIR-SMC-MOD-CHECK-ROUTINE1
091000                                             VALUE '1'.
091100             88  MMOCIR-SMC-MOD-CHECK-ROUTINE2
091200                                             VALUE '2'.
091300             88  MMOCIR-SMC-MOD-CHECK-ROUTINE3
091400                                             VALUE '3'.
091500*
091600     03  MMOCIR-TOP-MERCHANTS-NBR-X.
091700         05  MMOCIR-TOP-MERCHANTS-NBR
091800                             PIC  9(03)      VALUE ZERO.
091900*
092000     03  MMOCIR-CRB-TERM-MERCH-FLAG-X.
092100         05  MMOCIR-CRB-TERM-MERCH-FLAG
092200                             PIC  X(01)      VALUE 'V'.
092300             88  MMOCIR-CTMF-VISA            VALUE 'V'.
092400             88  MMOCIR-CTMF-MC              VALUE 'M'.
092500*
092600     03  MMOCIR-CR-PLAN-OPTIONS-X.
092700         05  MMOCIR-CR-PLAN-ON-MERCH
092800                             PIC  X(01)      VALUE 'Y'.
092900             88  MMOCIR-CP-MERCH-YES         VALUE 'Y'.
093000             88  MMOCIR-CP-MERCH-NO          VALUE 'N'.
093100         05  MMOCIR-CR-PLAN-ON-STORE
093200                             PIC  X(01)      VALUE 'N'.
093300             88  MMOCIR-CP-STORE-YES         VALUE 'Y'.
093400             88  MMOCIR-CP-STORE-NO          VALUE 'N'.
093500         05  MMOCIR-CR-PLAN-ON-CHAIN
093600                             PIC  X(01)      VALUE 'N'.
093700             88  MMOCIR-CP-CHAIN-YES         VALUE 'Y'.
093800             88  MMOCIR-CP-CHAIN-NO          VALUE 'N'.
093900         05  MMOCIR-CR-PLAN-ON-STORE-CHAIN
094000                             PIC  X(01)      VALUE 'N'.
094100             88  MMOCIR-CP-STORE-CHAIN-YES   VALUE 'Y'.
094200             88  MMOCIR-CP-STORE-CHAIN-NO    VALUE 'N'.
094300*
094400     03  MMOCIR-USER-FEE-TITLES-AREA.
094500         05  MMOCIR-USER-FEE-TITLES          OCCURS 10 TIMES
094600                                             INDEXED BY
094700                                             X-MMOCIR-UFT.
094800             07  MMOCIR-UF-TITLES-DESC
094900                             PIC  X(15)      VALUE
095000                             'USER FEE TITLE '.
095100*
095200*****************************************************************
095300*           ORGANIZATION MERCHANT USER AREA                     *
095400*****************************************************************
095500*
095600     03  MMOCIR-MERCH-USER-FIELD-TITLES.
095700         05  MMOCIR-MERCH-USER-CODES.
095800             07  MMOCIR-MERCH-USER-CODE      OCCURS 8 TIMES
095900                                             INDEXED BY
096000                                             X-MMOCIR-MUSR-CD.
096100                 09  MMOCIR-MERCH-USER-CODE-DESC
096200                             PIC  X(15)      VALUE
096300                             'USER CODE TITLE'.
096400*
096500         05  MMOCIR-MERCH-USER-DATES.
096600             07  MMOCIR-MERCH-USER-DATE      OCCURS 8 TIMES
096700                                             INDEXED BY
096800                                             X-MMOCIR-MUSR-DTE.
096900                 09  MMOCIR-MERCH-USER-DATE-DESC
097000                             PIC  X(15)      VALUE
097100                             'USER DATE TITLE'.
097200*
097300         05  MMOCIR-MERCH-USER-AMOUNTS.
097400             07  MMOCIR-MERCH-USER-AMOUNT    OCCURS 8 TIMES
097500                                             INDEXED BY
097600                                             X-MMOCIR-MUSR-AMT.
097700                 09  MMOCIR-MERCH-USER-AMOUNT-DESC
097800                             PIC  X(15)      VALUE
097900                             'USER AMT TITLE '.
098000*****************************************************************
098100*           ORGANIZATION STORE USER AREA                        *
098200*****************************************************************
098300*
098400     03  MMOCIR-STORE-USER-FIELD-TITLES.
098500         05  MMOCIR-STORE-USER-CODES.
098600             07  MMOCIR-STORE-USER-CODE      OCCURS 8 TIMES
098700                                             INDEXED BY
098800                                             X-MMOCIR-SUC.
098900                 09  MMOCIR-STORE-USER-CODE-DESC
099000                             PIC  X(15)      VALUE
099100                             'USER CODE TITLE'.
099200*
099300         05  MMOCIR-STORE-USER-DATES.
099400             07  MMOCIR-STORE-USER-DATE      OCCURS 8 TIMES
099500                                             INDEXED BY
099600                                             X-MMOCIR-SUD.
099700                 09  MMOCIR-STORE-USER-DATE-DESC
099800                             PIC  X(15)      VALUE
099900                             'USER DATE TITLE'.
100000*
100100         05  MMOCIR-STORE-USER-AMOUNTS.
100200             07  MMOCIR-STORE-USER-AMOUNT    OCCURS 8 TIMES
100300                                             INDEXED BY
100400                                             X-MMOCIR-SUA.
100500                 09  MMOCIR-STORE-USER-AMOUNT-DESC
100600                             PIC  X(15)      VALUE
100700                             'USER AMT TITLE '.
100800*****************************************************************
100900*           ORGANIZATION STATEMENT MESSAGES                     *
101000*****************************************************************
101100*
101200     03  MMOCIR-ORG-STMT-MESSAGES.
101300         05  MMOCIR-ORG-STMT-MSG-X           OCCURS 5 TIMES
101400                                             INDEXED BY
101500                                             X-MMOCIR-STMT-MSG.
101600             07  MMOCIR-ORG-STMT-MSG-L1
101700                             PIC  X(50)      VALUE SPACES.
101800             07  MMOCIR-ORG-STMT-MSG-L2
101900                             PIC  X(50)      VALUE SPACES.
102000             07  MMOCIR-ORG-STMT-MSG-L3
102100                             PIC  X(50)      VALUE SPACES.
102200*****************************************************************
102300*           ORGANIZATION REPORT DESTINATIONS                    *
102400*****************************************************************
102500*
102600     03  MMOCIR-REPORT-DEST-AREA.
102700         05  MMOCIR-REPORT-DESTINATION       OCCURS 16 TIMES
102800                                             INDEXED BY
102900                                             X-MMOCIR-RDEST.
103000             07  MMOCIR-REPORT-DEST-ID
103100                             PIC  X(05)      VALUE SPACES.
103200             07  MMOCIR-REPORT-DEST-DESC
103300                             PIC  X(30)      VALUE SPACES.
103400******************************************************************
103500*    VISA/MASTER CARD REQUIRED FIELDS                            *
103600******************************************************************
103700*
103800     03  MMOCIR-VI-MC-FIELDS.
103900         05  MMOCIR-ISSUER-RR-FAX-NBR
104000                             PIC  X(20)      VALUE SPACES.
104100         05  MMOCIR-INTCHG-ICA
104200                             PIC  9(04)      VALUE ZERO.
104300         05  MMOCIR-CURRENCY-CODE
104400                             PIC  X(03)      VALUE SPACES.
104500         05  MMOCIR-EXPONENTS-AREA.
104600             07  MMOCIR-CURRENCY-NOD
104700                             PIC  X(01)      VALUE '2'.
104800             07  MMOCIR-PERCENT-NOD
104900                             PIC  X(01)      VALUE '7'.
105000             07  MMOCIR-PER-ITEM-NOD
105100                             PIC  X(01)      VALUE '3'.
105200         05  MMOCIR-INTCHG-BIN
105300                             PIC  9(06)      VALUE ZERO.
105400         05  MMOCIR-MC-INTCHG-BIN                                 RG800905
105500                             PIC  9(06)      VALUE ZERO.          RG800905
105510         05  FILLER          PIC  X(02)      VALUE SPACES.        RG800905
105600******************************************************************
105700*    SWITCHES FOR THE NAME LOCATE SCREENS                        *
105800******************************************************************
105900*
106000     03  MMOCIR-NAME-LOCATE-SWITCHS.
106100         05  MMOCIR-CHAIN-PRIMARY
106200                             PIC  X(01)      VALUE 'Y'.
106300             88  MMOCIR-CHAIN-PRIMARY-ON     VALUE 'Y'.
106400             88  MMOCIR-CHAIN-PRIMARY-OFF    VALUE 'N'.
106500         05  MMOCIR-STORE-CHAIN-PRIMARY
106600                             PIC  X(01)      VALUE 'N'.
106700             88  MMOCIR-STORE-CHAIN-PRIMARY-ON
106800                                             VALUE 'Y'.
106900             88  MMOCIR-STORE-CHAIN-PRIMARY-OFF
107000                                             VALUE 'N'.
107100         05  MMOCIR-MERCH-PRIMARY
107200                             PIC  X(01)      VALUE 'Y'.
107300             88  MMOCIR-MERCH-PRIMARY-ON     VALUE 'Y'.
107400             88  MMOCIR-MERCH-PRIMARY-OFF    VALUE 'N'.
107500         05  MMOCIR-MERCH-SECONDARY
107600                             PIC  X(01)      VALUE 'Y'.
107700             88  MMOCIR-MERCH-SECONDARY-ON   VALUE 'Y'.
107800             88  MMOCIR-MERCH-SECONDARY-OFF  VALUE 'N'.
107900         05  MMOCIR-MERCH-DBA
108000                             PIC  X(01)      VALUE 'Y'.
108100             88  MMOCIR-MERCH-DBA-ON         VALUE 'Y'.
108200             88  MMOCIR-MERCH-DBA-OFF        VALUE 'N'.
108300         05  MMOCIR-STORE-PRIMARY
108400                             PIC  X(01)      VALUE 'Y'.
108500             88  MMOCIR-STORE-PRIMARY-ON     VALUE 'Y'.
108600             88  MMOCIR-STORE-PRIMARY-OFF    VALUE 'N'.
108700         05  MMOCIR-STORE-SECONDARY
108800                             PIC  X(01)      VALUE 'Y'.
108900             88  MMOCIR-STORE-SECONDARY-ON   VALUE 'Y'.
109000             88  MMOCIR-STORE-SECONDARY-OFF  VALUE 'N'.
109100         05  MMOCIR-STORE-DBA
109200                             PIC  X(01)      VALUE 'Y'.
109300             88  MMOCIR-STORE-DBA-ON         VALUE 'Y'.
109400             88  MMOCIR-STORE-DBA-OFF        VALUE 'N'.
109500*
109600******************************************************************
109700*    USER REPORTS DEFINITIONS                                    *
109800******************************************************************
109900     03  MMOCIR-USER-REPORT-AREA.
110000         05  MMOCIR-USER-REPORT              OCCURS 24 TIMES
110100                                             INDEXED BY
110200                                             X-MMOCIR-UR.
110300             07  MMOCIR-UR-RPT-TITLE
110400                             PIC  X(30)      VALUE SPACES.
110500             07  MMOCIR-UR-REPORT-ID
110600                             PIC  X(08)      VALUE SPACES.
110700             07  MMOCIR-UR-REPORT-DEST-ID
110800                             PIC  X(05)      VALUE SPACES.
110900             07  MMOCIR-UR-ACTIVITY-FLAG
111000                             PIC  X(01)      VALUE 'Y'.
111100                 88  MMOCIR-UR-AF-SUPPRESS   VALUE 'N'.
111200                 88  MMOCIR-UR-AF-PRODUCE    VALUE 'Y'.
111300             07  MMOCIR-UR-PRINT-FILE
111400                             PIC  9(01)      VALUE ZERO.
111500             07  MMOCIR-UR-FICHE-FLAG
111600                             PIC  X(01)      VALUE ZERO.
111700                 88  MMOCIR-UR-NO-FICHE      VALUE '0'.
111800                 88  MMOCIR-UR-FICHE         VALUES '1' THRU '9'
111900                                                    'A' THRU 'I'.
112000                 88  MMOCIR-UR-FICHE-ONLY    VALUES 'A' THRU 'I'.
112100             07  MMOCIR-UR-FREQ-1
112200                             PIC  9(02)      VALUE ZERO.
112300                 88  MMOCIR-UR-F1-NO-RPT     VALUE ZERO.
112400                 88  MMOCIR-UR-F1-DAY-OF-MONTH
112500                                             VALUES 01 THRU 31.
112600                 88  MMOCIR-UR-F1-DAY-OF-WEEK
112700                                             VALUES 41 THRU 47.
112800                 88  MMOCIR-UR-F1-DAILY      VALUE 99.
112900             07  MMOCIR-UR-FORM-1
113000                             PIC  9(02)      VALUE ZERO.
113100             07  MMOCIR-UR-GROUP-1
113200                             PIC  9(02)      VALUE ZERO.
113300             07  MMOCIR-UR-SUMMARY-DETAIL-1
113400                             PIC  X(01)      VALUE 'D'.
113500                 88  MMOCIR-UR-SD1-SUMMARY   VALUE 'S'.
113600                 88  MMOCIR-UR-SD1-DETAIL    VALUE 'D'.
113700             07  MMOCIR-UR-FREQ-2
113800                             PIC  9(02)      VALUE ZERO.
113900                 88  MMOCIR-UR-F2-NO-RPT     VALUE ZERO.
114000                 88  MMOCIR-UR-F2-DAY-OF-MONTH
114100                                             VALUES 01 THRU 31.
114200                 88  MMOCIR-UR-F2-DAY-OF-WEEK
114300                                             VALUES 41 THRU 47.
114400                 88  MMOCIR-UR-F2-DAILY      VALUE 99.
114500             07  MMOCIR-UR-FORM-2
114600                             PIC  9(02)      VALUE ZERO.
114700             07  MMOCIR-UR-GROUP-2
114800                             PIC  9(02)      VALUE ZERO.
114900             07  MMOCIR-UR-SUMMARY-DETAIL-2
115000                             PIC  X(01)      VALUE 'D'.
115100                 88  MMOCIR-UR-SD2-SUMMARY   VALUE 'S'.
115200                 88  MMOCIR-UR-SD2-DETAIL    VALUE 'D'.
115300*
115400******************************************************************
115500*    OPTIONAL REPORTS DEFINITIONS                                *
115600******************************************************************
115700*
115800     03  MMOCIR-OPTIONAL-REPORT-AREA.
115900         05  MMOCIR-OPTIONAL-REPORT          OCCURS 96 TIMES
116000                                             INDEXED BY
116100                                             X-MMOCIR-OR.
116200             07  MMOCIR-OR-RPT-TITLE
116300                             PIC  X(30)      VALUE SPACES.
116400             07  MMOCIR-OR-REPORT-ID
116500                             PIC  X(08)      VALUE 'MBD200'.
116600             07  MMOCIR-OR-REPORT-DEST-ID
116700                             PIC  X(05)      VALUE SPACES.
116800             07  MMOCIR-OR-ACTIVITY-FLAG
116900                             PIC  X(01)      VALUE 'Y'.
117000                 88  MMOCIR-OR-AF-SUPPRESS   VALUE 'N'.
117100                 88  MMOCIR-OR-AF-PRODUCE    VALUE 'Y'.
117200             07  MMOCIR-OR-PRINT-FILE
117300                             PIC  9(01)      VALUE ZERO.
117400             07  MMOCIR-OR-FICHE-FLAG
117500                             PIC  X(01)      VALUE ZERO.
117600                 88  MMOCIR-OR-NO-FICHE      VALUE '0'.
117700                 88  MMOCIR-OR-FICHE         VALUES '1' THRU '9'
117800                                                    'A' THRU 'I'.
117900                 88  MMOCIR-OR-FICHE-ONLY    VALUES 'A' THRU 'I'.
118000             07  MMOCIR-OR-FREQ-1
118100                             PIC  9(02)      VALUE ZERO.
118200                 88  MMOCIR-OR-F1-NO-RPT     VALUE ZERO.
118300                 88  MMOCIR-OR-F1-DAY-OF-MONTH
118400                                             VALUES 01 THRU 31.
118500                 88  MMOCIR-OR-F1-DAY-OF-WEEK
118600                                             VALUES 41 THRU 47.
118700                 88  MMOCIR-OR-F1-DAILY      VALUE 99.
118800             07  MMOCIR-OR-FORM-1
118900                             PIC  9(02)      VALUE ZERO.
119000             07  MMOCIR-OR-GROUP-1
119100                             PIC  9(02)      VALUE ZERO.
119200             07  MMOCIR-OR-SUMMARY-DETAIL-1
119300                             PIC  X(01)      VALUE 'D'.
119400                 88  MMOCIR-OR-SD1-SUMMARY   VALUE 'S'.
119500                 88  MMOCIR-OR-SD1-DETAIL    VALUE 'D'.
119600             07  MMOCIR-OR-FREQ-2
119700                             PIC  9(02)      VALUE ZERO.
119800                 88  MMOCIR-OR-F2-NO-RPT     VALUE ZERO.
119900                 88  MMOCIR-OR-F2-DAY-OF-MONTH
120000                                             VALUES 01 THRU 31.
120100                 88  MMOCIR-OR-F2-DAY-OF-WEEK
120200                                             VALUES 41 THRU 47.
120300                 88  MMOCIR-OR-F2-DAILY      VALUE 99.
120400             07  MMOCIR-OR-FORM-2
120500                             PIC  9(02)      VALUE ZERO.
120600             07  MMOCIR-OR-GROUP-2
120700                             PIC  9(02)      VALUE ZERO.
120800             07  MMOCIR-OR-SUMMARY-DETAIL-2
120900                             PIC  X(01)      VALUE 'D'.
121000                 88  MMOCIR-OR-SD2-SUMMARY   VALUE 'S'.
121100                 88  MMOCIR-OR-SD2-DETAIL    VALUE 'D'.
121200*
121300     03  MMOCIR-BEG-END-BAL-AREA.
121400         05  MMOCIR-BEG-END-BAL              OCCURS 6 TIMES
121500                                             INDEXED BY
121600                                             X-MMOCIR-BEB.
121700             07  MMOCIR-BEG-BALANCE
121800                             PIC S9(17)      COMP-3 VALUE ZERO.
121900             07  MMOCIR-END-BALANCE
122000                             PIC S9(17)      COMP-3 VALUE ZERO.
122100*
122200     03  MMOCIR-BEG-END-BAL-AREA-R
122300                             REDEFINES MMOCIR-BEG-END-BAL-AREA.
122400         05  MMOCIR-BEG-BAL-SETT
122500                             PIC S9(17)      COMP-3.
122600         05  MMOCIR-END-BAL-SETT
122700                             PIC S9(17)      COMP-3.
122800         05  MMOCIR-BEG-BAL-RESV-1
122900                             PIC S9(17)      COMP-3.
123000         05  MMOCIR-END-BAL-RESV-1
123100                             PIC S9(17)      COMP-3.
123200         05  MMOCIR-BEG-BAL-RESV-2
123300                             PIC S9(17)      COMP-3.
123400         05  MMOCIR-END-BAL-RESV-2
123500                             PIC S9(17)      COMP-3.
123600         05  MMOCIR-BEG-BAL-RESV-3
123700                             PIC S9(17)      COMP-3.
123800         05  MMOCIR-END-BAL-RESV-3
123900                             PIC S9(17)      COMP-3.
124000         05  MMOCIR-BEG-BAL-RESV-4
124100                             PIC S9(17)      COMP-3.
124200         05  MMOCIR-END-BAL-RESV-4
124300                             PIC S9(17)      COMP-3.
124400         05  MMOCIR-BEG-BAL-FUTURE-USE
124500                             PIC S9(17)      COMP-3.
124600         05  MMOCIR-END-BAL-FUTURE-USE
124700                             PIC S9(17)      COMP-3.
124800*
124900*****************************************************************
125000*         DAILY BALANCING REPORT IN/OUT AMOUNTS                 *
125100*****************************************************************
125200*
125300     03  MMOCIR-DAILY-BAL-AMOUNTS.
125400         05  MMOCIR-SETT-IN
125500                             PIC S9(17)      COMP-3 VALUE ZERO.
125600         05  MMOCIR-SETT-OUT
125700                             PIC S9(17)      COMP-3 VALUE ZERO.
125800         05  MMOCIR-DAILY-RESV-X.
125900             07  MMOCIR-RESV-1-FUNDING-IN
126000                             PIC S9(17)      COMP-3 VALUE ZERO.
126100             07  MMOCIR-RESV-1-TO-SETT-OUT
126200                             PIC S9(17)      COMP-3 VALUE ZERO.
126300             07  MMOCIR-RESV-1-TO-PROC-OUT
126400                             PIC S9(17)      COMP-3 VALUE ZERO.
126500             07  MMOCIR-RESV-2-FUNDING-IN
126600                             PIC S9(17)      COMP-3 VALUE ZERO.
126700             07  MMOCIR-RESV-2-TO-SETT-OUT
126800                             PIC S9(17)      COMP-3 VALUE ZERO.
126900             07  MMOCIR-RESV-2-TO-PROC-OUT
127000                             PIC S9(17)      COMP-3 VALUE ZERO.
127100             07  MMOCIR-RESV-3-FUNDING-IN
127200                             PIC S9(17)      COMP-3 VALUE ZERO.
127300             07  MMOCIR-RESV-3-TO-SETT-OUT
127400                             PIC S9(17)      COMP-3 VALUE ZERO.
127500             07  MMOCIR-RESV-3-TO-PROC-OUT
127600                             PIC S9(17)      COMP-3 VALUE ZERO.
127700             07  MMOCIR-RESV-4-FUNDING-IN
127800                             PIC S9(17)      COMP-3 VALUE ZERO.
127900             07  MMOCIR-RESV-4-TO-SETT-OUT
128000                             PIC S9(17)      COMP-3 VALUE ZERO.
128100             07  MMOCIR-RESV-4-TO-PROC-OUT
128200                             PIC S9(17)      COMP-3 VALUE ZERO.
128300         05  MMOCIR-DAILY-RESV-R
128400                             REDEFINES MMOCIR-DAILY-RESV-X.
128500             07  MMOCIR-DAILY-RESV           OCCURS 4 TIMES
128600                                             INDEXED BY
128700                                             X-MMOCIR-DR.
128800                 09  MMOCIR-RESV-FUNDING-IN
128900                             PIC S9(17)      COMP-3.
129000                 09  MMOCIR-RESV-TO-SETT-OUT
129100                             PIC S9(17)      COMP-3.
129200                 09  MMOCIR-RESV-TO-PROC-OUT
129300                             PIC S9(17)      COMP-3.
129400         05  MMOCIR-FUTURE-USE-IN
129500                             PIC S9(17)      COMP-3 VALUE ZERO.
129600         05  MMOCIR-FUTURE-USE-OUT
129700                             PIC S9(17)      COMP-3 VALUE ZERO.
129800*
129900*
130000*****************************************************************
130100*    QUARTERLY REPORT TOTALS                                    *
130200*****************************************************************
130300*
130400     03  MMOCIR-QUARTERLY-RPT-TOTALS.
130500         05  MMOCIR-QR-VI-TOTALS.
130600             07  MMOCIR-QR-VI-TABLE          OCCURS 4 TIMES
130700                                             INDEXED BY
130800                                             X-MMOCIR-QR-VI.
130900                 09  MMOCIR-QR-VI-NBR-MERCHANTS
131000                             PIC S9(09)      COMP-3 VALUE ZERO.
131100                 09  MMOCIR-QR-VI-NBR-STORES
131200                             PIC S9(09)      COMP-3 VALUE ZERO.
131300                 09  MMOCIR-QR-VI-MONTHS-DATA OCCURS 3 TIMES
131400                                             INDEXED BY
131500                                             X-MMOCIR-QR-VI-MON.
131600                     11  MMOCIR-QR-VI-MONTH
131700                             PIC  9(02)      VALUE ZERO.
131800                     11  MMOCIR-QR-VI-YEAR
131900                             PIC  9(04)      VALUE ZERO.
132000                     11  MMOCIR-QR-VI-SALES-NBR
132100                             PIC S9(09)      COMP-3 VALUE ZERO.
132200                     11  MMOCIR-QR-VI-SALES-AMT
132300                             PIC S9(17)      COMP-3 VALUE ZERO.
132400                     11  MMOCIR-QR-VI-RETURNS-NBR
132500                             PIC S9(09)      COMP-3 VALUE ZERO.
132600                     11  MMOCIR-QR-VI-RETURNS-AMT
132700                             PIC S9(17)      COMP-3 VALUE ZERO.
132800                     11  MMOCIR-QR-VI-OUTGO-SALES-NBR
132900                             PIC S9(09)      COMP-3 VALUE ZERO.
133000                     11  MMOCIR-QR-VI-OUTGO-SALES-AMT
133100                             PIC S9(17)      COMP-3 VALUE ZERO.
133200                     11  MMOCIR-QR-VI-OUTGO-RETURNS-NBR
133300                             PIC S9(09)      COMP-3 VALUE ZERO.
133400                     11  MMOCIR-QR-VI-OUTGO-RETURNS-AMT
133500                             PIC S9(17)      COMP-3 VALUE ZERO.
133600*
133700         05  MMOCIR-QR-MC-TOTALS.
133800             07  MMOCIR-QR-MC-TABLE          OCCURS 4 TIMES
133900                                             INDEXED BY
134000                                             X-MMOCIR-QR-MC.
134100                 09  MMOCIR-QR-MC-NBR-MERCHANTS
134200                             PIC S9(09)      COMP-3 VALUE ZERO.
134300                 09  MMOCIR-QR-MC-ADD-MERCHANTS
134400                             PIC S9(09)      COMP-3 VALUE ZERO.
134500                 09  MMOCIR-QR-MC-DEL-MERCHANTS
134600                             PIC S9(09)      COMP-3 VALUE ZERO.
134700                 09  MMOCIR-QR-MC-NBR-STORES
134800                             PIC S9(09)      COMP-3 VALUE ZERO.
134900                 09  MMOCIR-QR-MC-ADD-STORES
135000                             PIC S9(09)      COMP-3 VALUE ZERO.
135100                 09  MMOCIR-QR-MC-DEL-STORES
135200                             PIC S9(09)      COMP-3 VALUE ZERO.
135300                 09  MMOCIR-QR-MC-NBR-MANUAL-CASH
135400                             PIC S9(09)      COMP-3 VALUE ZERO.
135500                 09  MMOCIR-QR-MC-NBR-ATM
135600                             PIC S9(09)      COMP-3 VALUE ZERO.
135700                 09  MMOCIR-QR-MC-NBR-ATM-CIRRUS
135800                             PIC S9(09)      COMP-3 VALUE ZERO.
135900                 09  MMOCIR-QR-MC-RETAIL-STORES
136000                             PIC S9(09)      COMP-3 VALUE ZERO.
136100                 09  MMOCIR-QR-MC-T-E-STORES
136200                             PIC S9(09)      COMP-3 VALUE ZERO.
136300                 09  MMOCIR-QR-MC-SERVICE-STORES
136400                             PIC S9(09)      COMP-3 VALUE ZERO.
136500                 09  MMOCIR-QR-MC-OTHER-STORES
136600                             PIC S9(09)      COMP-3 VALUE ZERO.
136700                 09  MMOCIR-QR-MC-POS-TERMINALS
136800                             PIC S9(09)      COMP-3 VALUE ZERO.
136900*****************************************************************
137000*                                     INDEX 1=PURCHASES         *
137100*                                     INDEX 2=CASH              *
137200*                                     INDEX 3=RETURNS/CREDITS   *
137300*****************************************************************
137400                 09  MMOCIR-QR-MC-ACTIVITY   OCCURS 3 TIMES
137500                                             INDEXED BY
137600                                             X-MMOCIR-QR-MC-ACT.
137700                     11  MMOCIR-QR-MC-INTRA-ONUS-NBR              EH800900
137710                             PIC S9(09)      COMP-3 VALUE ZERO.   EH800900
137800                     11  MMOCIR-QR-MC-INTRA-ONUS-AMT              EH800900
137810                             PIC S9(17)      COMP-3 VALUE ZERO.   EH800900
137900                     11  MMOCIR-QR-MC-INTRA-DIFF-NBR              EH800900
137910                             PIC S9(09)      COMP-3 VALUE ZERO.   EH800900
138000                     11  MMOCIR-QR-MC-INTRA-DIFF-AMT              EH800900
138010                             PIC S9(17)      COMP-3 VALUE ZERO.   EH800900
138100                     11  MMOCIR-QR-MC-DOMESTIC-NBR
138200                             PIC S9(09)      COMP-3 VALUE ZERO.
138300                     11  MMOCIR-QR-MC-DOMESTIC-AMT
138400                             PIC S9(17)      COMP-3 VALUE ZERO.
138500                     11  MMOCIR-QR-MC-INTER-NBR
138600                             PIC S9(09)      COMP-3 VALUE ZERO.
138700                     11  MMOCIR-QR-MC-INTER-AMT
138800                             PIC S9(17)      COMP-3 VALUE ZERO.
138900*
139000*
139100*****************************************************************
139200*           ORGANIZATION CLOSE/PURGE OPTIONS                    *
139300*****************************************************************
139400*
139500     03  MMOCIR-CLOSE-OPTIONS.
139600         05  MMOCIR-CLOSE-OPTIONS-TABLE      OCCURS 2 TIMES
139700                                             INDEXED BY
139800                                             X-MMOCIR-CO.
139900             07  MMOCIR-AUTO-CLOSE-FLAG
140000                             PIC  X(01)      VALUE 'N'.
140100                 88  MMOCIR-AUTO-CLOSE-ON    VALUE 'Y'.
140200                 88  MMOCIR-AUTO-CLOSE-OFF   VALUE 'N'.
140300             07  MMOCIR-AUTO-CLOSE-MONTHS
140400                             PIC  9(02)      VALUE ZERO.
140500*
140600             07  MMOCIR-AUTO-CLOSE-FREQ-1-X.
140700                 09  MMOCIR-AUTO-CLOSE-FREQ-1
140800                             PIC  9(02)      VALUE ZERO.
140900                 88  MMOCIR-ACF1-DAILY-CLOSE VALUE 99.
141000                 88  MMOCIR-ACF1-WEEKLY-CLOSE
141100                                             VALUE 41 THRU 47.
141200                 88  MMOCIR-ACF1-MONTHLY-CLOSE
141300                                             VALUE 01 THRU 31.
141400                 88  MMOCIR-ACF1-VALID-FREQ-CLOSE
141500                                             VALUE 99
141600                                                   01 THRU 31
141700                                                   41 THRU 47.
141800             07  MMOCIR-AUTO-CLOSE-FREQ-1-R
141900                             REDEFINES MMOCIR-AUTO-CLOSE-FREQ-1-X.
142000                 09  FILLER  PIC  X(01).
142100                 09  MMOCIR-AUTO-CLOSE-F1-DOW
142200                             PIC  9(01).
142300*
142400             07  MMOCIR-AUTO-CLOSE-FREQ-2-X.
142500                 09  MMOCIR-AUTO-CLOSE-FREQ-2
142600                             PIC  9(02)      VALUE ZERO.
142700                 88  MMOCIR-ACF2-DAILY-CLOSE VALUE 99.
142800                 88  MMOCIR-ACF2-WEEKLY-CLOSE VALUE 41 THRU 47.
142900                 88  MMOCIR-ACF2-MONTHLY-CLOSE VALUE 01 THRU 31.
143000                 88  MMOCIR-ACF2-VALID-FREQ-CLOSE
143100                                             VALUE 99
143200                                                   01 THRU 31
143300                                                   41 THRU 47.
143400             07  MMOCIR-AUTO-CLOSE-FREQ-2-R
143500                             REDEFINES MMOCIR-AUTO-CLOSE-FREQ-2-X.
143600                 09  FILLER  PIC  X(01).
143700                 09  MMOCIR-AUTO-CLOSE-F2-DOW
143800                             PIC  9(01).
143900*
144000*
144100*
144200     03  MMOCIR-PURGE-OPTIONS.
144300         05  MMOCIR-PURGE-OPTIONS-TABLE      OCCURS 2 TIMES
144400                                             INDEXED BY
144500                                             X-MMOCIR-PO.
144600             07  MMOCIR-AUTO-PURGE-FLAG
144700                             PIC  X(01)      VALUE 'N'.
144800                 88  MMOCIR-AUTO-PURGE-ON    VALUE 'Y'.
144900                 88  MMOCIR-AUTO-PURGE-OFF   VALUE 'N'.
145000             07  MMOCIR-AUTO-PURGE-MONTHS
145100                             PIC  9(02)      VALUE ZERO.
145200*
145300             07  MMOCIR-AUTO-PURGE-FREQ-1-X.
145400                 09  MMOCIR-AUTO-PURGE-FREQ-1
145500                             PIC  9(02)      VALUE ZERO.
145600                 88  MMOCIR-APF1-DAILY-PURGE VALUE 99.
145700                 88  MMOCIR-APF1-WEEKLY-PURGE
145800                                             VALUE 41 THRU 47.
145900                 88  MMOCIR-APF1-MONTHLY-PURGE
146000                                             VALUE 01 THRU 31.
146100                 88  MMOCIR-APF1-VALID-FREQ-PURGE
146200                                             VALUE 99
146300                                                   01 THRU 31
146400                                                   41 THRU 47.
146500             07  MMOCIR-AUTO-PURGE-FREQ-1-R
146600                             REDEFINES MMOCIR-AUTO-PURGE-FREQ-1-X.
146700                 09  FILLER  PIC  X(01).
146800                 09  MMOCIR-AUTO-PURGE-F1-DOW
146900                             PIC  9(01).
147000*
147100             07  MMOCIR-AUTO-PURGE-FREQ-2-X.
147200                 09  MMOCIR-AUTO-PURGE-FREQ-2
147300                             PIC  9(02)      VALUE ZERO.
147400                 88  MMOCIR-APF2-DAILY-PURGE VALUE 99.
147500                 88  MMOCIR-APF2-WEEKLY-PURGE
147600                                             VALUE 41 THRU 47.
147700                 88  MMOCIR-APF2-MONTHLY-PURGE
147800                                             VALUE 01 THRU 31.
147900                 88  MMOCIR-APF2-VALID-FREQ-PURGE
148000                                             VALUE 99
148100                                                   01 THRU 31
148200                                                   41 THRU 47.
148300             07  MMOCIR-AUTO-PURGE-FREQ-2-R
148400                             REDEFINES MMOCIR-AUTO-PURGE-FREQ-2-X.
148500                 09  FILLER  PIC  X(01).
148600                 09  MMOCIR-AUTO-PURGE-F2-DOW
148700                             PIC  9(01).
148800*
148900         05  MMOCIR-FINAL-PURGE-DAYS
149000                             PIC S9(03)      COMP-3 VALUE ZERO.
149100*
149110     03  MMOCIR-PROJECT-7787.                                     EH800900
149112         05  MMOCIR-MEMBER-ID                                     EH800900
149114                             PIC  9(09)      VALUE ZERO.          EH800900
149116         05  MMOCIR-EUROPAY-CMID                                  EH800900
149118                             PIC  9(09)      VALUE ZERO.          EH800900
149120*                                                                 EH800900
149200*
149300*
149400     03  MMOCIR-FILLER       PIC  X(230)     VALUE SPACES.        EH800900
149500*
149600*
149700*
149800     03  MMOCIR-USER-FILLER  PIC  X(500)     VALUE SPACES.
149900*
150000*
150100*
150200*       ***************************************************
150300*       *              END OF COPYBOOK MMOCIR             *
150400*       ***************************************************
