000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMOCRL ------- ORGANIZATION MASTER FILE ------- 16300 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  MMOC-RECORD.
000900     03  MMOC-KEY.
001000         05  MMOC-ORG-X.
001100             07  MMOC-ORG    PIC  9(03).
001200*
001300     03  MMOC-STATUS-INFORMATION.
001400         05  MMOC-REC-STATUS
001500                             PIC  9(01).
001600             88  MMOC-REC-INCOMPLETE         VALUE 0.
001700             88  MMOC-REC-ACTIVE             VALUE 1.
001800             88  MMOC-REC-PURGED             VALUE 9.
001900         05  MMOC-ONLINE-STATUS
002000                             PIC  9(02).
002100             88  MMOC-ADD-PENDING            VALUE 00 THRU 49.
002200             88  MMOC-ADD-COMPLETED          VALUE 99.
002300*
002400         05  MMOC-LAST-MAINT-DATE
002500                             PIC S9(07)      COMP-3.
002600         05  MMOC-LAST-MAINT-OPER
002700                             PIC  X(03).
002800*
002900*****************************************************************
003000*           ORGANIZATION PROCESSING CALENDAR                    *
003100*****************************************************************
003200*
003300     03  MMOC-CALENDAR.
003400         05  MMOC-DAY-OF-WEEK
003500                             PIC  9(01).
003600         05  MMOC-PROCESSING-SW
003700                             PIC  X(01).
003800             88  MMOC-PROCESSING             VALUE 'Y'.
003900             88  MMOC-NOT-PROCESSING         VALUE 'N'.
004000             88  MMOC-SELECT-RUN             VALUE 'S'.
004100         05  MMOC-WORK-WEEK
004200                             PIC  X(07).
004300         05  MMOC-WORK-WEEK-R
004400                             REDEFINES MMOC-WORK-WEEK
004500                                             OCCURS 7 TIMES
004600                                             INDEXED BY
004700                                             X-MMOC-WW
004800                             PIC  X(01).
004900             88  MMOC-WW-DAY-PROCESSING      VALUE 'X'.
005000             88  MMOC-WW-DAY-NOT-PROCESSING
005100                                             VALUE 'C'.
005200         05  MMOC-EOM-EOY-FLAG
005300                             PIC  X(01).
005400             88  MMOC-END-OF-MONTH           VALUE 'M' 'Y'.
005500             88  MMOC-END-OF-YEAR            VALUE 'Y'.
005600             88  MMOC-FIRST-OF-MONTH         VALUE 'F'.
005700         05  MMOC-TODAYS-CALENDAR
005800                             PIC S9(09)      COMP-3.
005900         05  MMOC-TODAYS-JULIAN
006000                             PIC S9(07)      COMP-3.
006100         05  MMOC-DATE-LAST-PROC
006200                             PIC S9(07)      COMP-3.
006300         05  MMOC-DATE-NEXT-PROC
006400                             PIC S9(07)      COMP-3.
006500         05  MMOC-ACCR-THRU-DATE
006600                             PIC S9(07)      COMP-3.
006700         05  MMOC-DATE-LAST-ACCR
006800                             PIC S9(07)      COMP-3.
006900         05  FILLER          PIC  X(04).
007000         05  MMOC-TIME-STAMP
007100                             PIC S9(11)      COMP-3.
007200         05  MMOC-LAST-TIME-STAMP
007300                             PIC S9(11)      COMP-3.
007400         05  MMOC-HOLIDAYS-TABLE             OCCURS 25 TIMES
007500                                             INDEXED BY
007600                                             X-MMOC-HOL.
007700             07  MMOC-HOLIDAYS
007800                             PIC S9(07)      COMP-3.
007900*
008000*****************************************************************
008100*           ORGANIZATION DEMOGRAPHICS                           *
008200*           ORGANIZATION CORRESPONDENCE DEMOGRAPHICS            *
008300*****************************************************************
008400     03  MMOC-DEMOGRAPHICS-AREA.
008500         05  MMOC-DEMOGRAPHICS-TABLE         OCCURS 2 TIMES
008600                                             INDEXED BY
008700                                             X-MMOC-PRIMARY
008800                                             X-MMOC-CORR.
008900             07  MMOC-GNA-NBR
009000                             PIC  X(19).
009100             07  MMOC-NA-LINES-TABLE         OCCURS 5 TIMES
009200                                             INDEXED BY
009300                                             X-MMOC-NA.
009400                 09  MMOC-NA-LINE
009500                             PIC  X(40).
009600             07  MMOC-NA-OVERFLOW-SW
009700                             PIC  X(01).
009800                 88  MMOC-NA-OVERFLOW-YES    VALUE 'Y'.
009900                 88  MMOC-NA-OVERFLOW-NO     VALUE 'N'.
010000             07  MMOC-COUNTRY-CODE
010100                             PIC  X(03).
010200             07  MMOC-STATE-CODE
010300                             PIC  X(03).
010400             07  MMOC-POSTAL-CODE
010500                             PIC  X(10).
010600             07  MMOC-PHONE  PIC  X(20).
010700             07  MMOC-FAX    PIC  X(20).
010800*
010900*****************************************************************
011000*           NACHA COMPANY CONTROL DATA                          *
011100*****************************************************************
011200*
011300     03  MMOC-ACH-INFORMATION.
011400         05  MMOC-ACH-ORG-NAME
011500                             PIC  X(16).
011600         05  MMOC-ACH-ABA-NBR
011700                             PIC S9(09)      COMP-3.
011800         05  MMOC-ACH-TAX-ID
011900                             PIC  X(15).
012000         05  MMOC-ACH-DR-PRENOTE-DESC
012100                             PIC  X(10).
012200         05  MMOC-ACH-CR-PRENOTE-DESC
012300                             PIC  X(10).
012400         05  MMOC-ACH-RELEASE-DAYS
012500                             PIC  9(01).
012600         05  MMOC-ACH-DESCRIPTIONS.
012700             07  MMOC-AD-DEPOSIT-DR-DESC
012800                             PIC  X(10).
012900             07  MMOC-AD-DEPOSIT-CR-DESC
013000                             PIC  X(10).
013100             07  MMOC-AD-RESV-FUND-DR-DESC
013200                             PIC  X(10).
013300             07  MMOC-AD-RESV-FUND-CR-DESC
013400                             PIC  X(10).
013500             07  MMOC-AD-DISCOUNT-DR-DESC
013600                             PIC  X(10).
013700             07  MMOC-AD-DISCOUNT-CR-DESC
013800                             PIC  X(10).
013900             07  MMOC-AD-PART-DR-DESC
014000                             PIC  X(10).
014100             07  MMOC-AD-PART-CR-DESC
014200                             PIC  X(10).
014300             07  MMOC-AD-ADJUSTMENTS-DR-DESC
014400                             PIC  X(10).
014500             07  MMOC-AD-ADJUSTMENTS-CR-DESC
014600                             PIC  X(10).
014700             07  MMOC-AD-RECOVERY-ADJ-DR-DESC
014800                             PIC  X(10).
014900             07  MMOC-AD-RECOVERY-ADJ-CR-DESC
015000                             PIC  X(10).
015100             07  MMOC-AD-SYSTEM-FEES-DR-DESC
015200                             PIC  X(10).
015300             07  MMOC-AD-SYSTEM-FEES-CR-DESC
015400                             PIC  X(10).
015500             07  MMOC-AD-USER-FEES-DR-DESC
015600                             PIC  X(10).
015700             07  MMOC-AD-USER-FEES-CR-DESC
015800                             PIC  X(10).
015900             07  MMOC-AD-INTCHG-FEES-DR-DESC
016000                             PIC  X(10).
016100             07  MMOC-AD-INTCHG-FEES-CR-DESC
016200                             PIC  X(10).
016300             07  MMOC-AD-USER-DR-DESC
016400                             PIC  X(10).
016500             07  MMOC-AD-USER-CR-DESC
016600                             PIC  X(10).
016700             07  MMOC-AD-TRANSFER-DR-DESC
016800                             PIC  X(10).
016900             07  MMOC-AD-TRANSFER-CR-DESC
017000                             PIC  X(10).
017100             07  MMOC-AD-HOLDOVER-DR-DESC
017200                             PIC  X(10).
017300             07  MMOC-AD-HOLDOVER-CR-DESC
017400                             PIC  X(10).
017500             07  MMOC-AD-NET-1-DR-DESC
017600                             PIC  X(10).
017700             07  MMOC-AD-NET-1-CR-DESC
017800                             PIC  X(10).
017900             07  MMOC-AD-NET-2-DR-DESC
018000                             PIC  X(10).
018100             07  MMOC-AD-NET-2-CR-DESC
018200                             PIC  X(10).
018300             07  MMOC-AD-NET-3-DR-DESC
018400                             PIC  X(10).
018500             07  MMOC-AD-NET-3-CR-DESC
018600                             PIC  X(10).
018700             07  MMOC-AD-NET-4-DR-DESC
018800                             PIC  X(10).
018900             07  MMOC-AD-NET-4-CR-DESC
019000                             PIC  X(10).
019100             07  MMOC-AD-WINDOW-DR-DESC
019200                             PIC  X(10).
019300             07  MMOC-AD-WINDOW-CR-DESC
019400                             PIC  X(10).
019500             07  MMOC-AD-RESV-BAL-DR-DESC
019600                             PIC  X(10).
019700             07  MMOC-AD-RESV-BAL-CR-DESC
019800                             PIC  X(10).
019900             07  MMOC-AD-FUTURE-2-DR-DESC
020000                             PIC  X(10).
020100             07  MMOC-AD-FUTURE-2-CR-DESC
020200                             PIC  X(10).
020300             07  MMOC-AD-FUTURE-1-DR-DESC
020400                             PIC  X(10).
020500             07  MMOC-AD-FUTURE-1-CR-DESC
020600                             PIC  X(10).
020700         05  MMOC-ACH-DESCRIPTIONS-R
020800                             REDEFINES MMOC-ACH-DESCRIPTIONS.
020900             07  MMOC-ACH-DESC-TABLE         OCCURS 20 TIMES
021000                                             INDEXED BY
021100                                             X-MMOC-ACH-DESC.
021200                 09  MMOC-ACH-DR-DESC
021300                             PIC  X(10).
021400                 09  MMOC-ACH-CR-DESC
021500                             PIC  X(10).
021600*
021700*****************************************************************
021800*            OCCURRENCE USAGE FOR ACH DESCRIPTIONS,
021900*            STATEMENT DETAIL FLAGS AND BILLING INTERFACE
022000*            TRANSACTION CODES AND PLANS.
022100*            1 = DEPOSIT
022200*            2 = RESERVE FUNDING
022300*            3 = DISCOUNT
022400*            4 = PARTICIPATION
022500*            5 = ADJUSTMENTS
022600*            6 = RECOVERY ADJUSTMENTS
022700*            7 = SYSTEM FEES
022800*            8 = USER FEES
022900*            9 = INTERCHANGE FEES
023000*           10 = USER CREDITS
023100*           11 = HOLDOVER TRANSFER TO BILLING
023200*           12 = HOLDOVER
023300*           13 = NET SETTLEMENT 1
023400*           14 = NET SETTLEMENT 2
023500*           15 = NET SETTLEMENT 3
023600*           16 = NET SETTLEMENT 4
023700*           17 = WINDOW SETTLEMENT
023800*           18 = FUTURE USE
023900*           19 = FUTURE USE
024000*           20 = FUTURE USE
024100*
024200*****************************************************************
024300*
024400*****************************************************************
024500*           ORGANIZATION STATEMENT DETAIL HISTORY               *
024600*****************************************************************
024700*
024800     03  MMOC-STMT-DETAIL-AREA.
024900         05  MMOC-SD-DEPOSIT
025000                             PIC  X(01).
025100             88  MMOC-SD-DEPOSIT             VALUE 'Y'.
025200             88  MMOC-SD-NO-DEPOSIT          VALUE 'N'.
025300         05  MMOC-SD-RESV-FUND
025400                             PIC  X(01).
025500             88  MMOC-SD-RESV-FUND           VALUE 'Y'.
025600             88  MMOC-SD-NO-RESV-FUND        VALUE 'N'.
025700         05  MMOC-SD-DISCOUNT
025800                             PIC  X(01).
025900             88  MMOC-SD-DISCOUNT            VALUE 'Y'.
026000             88  MMOC-SD-NO-DISCOUNT         VALUE 'N'.
026100         05  MMOC-SD-PART
026200                             PIC  X(01).
026300             88  MMOC-SD-PART                VALUE 'Y'.
026400             88  MMOC-SD-NO-PART             VALUE 'N'.
026500         05  MMOC-SD-ADJUSTMENTS
026600                             PIC  X(01).
026700             88  MMOC-SD-ADJUSTMENTS         VALUE 'Y'.
026800             88  MMOC-SD-NO-ADJUSTMENTS      VALUE 'N'.
026900         05  MMOC-SD-RECOVERY-ADJ
027000                             PIC  X(01).
027100             88  MMOC-SD-RECOVERY-ADJ        VALUE 'Y'.
027200             88  MMOC-SD-NO-RECOVERY-ADJ     VALUE 'N'.
027300         05  MMOC-SD-SYSTEM-FEES
027400                             PIC  X(01).
027500             88  MMOC-SD-SYSTEM-FEES         VALUE 'Y'.
027600             88  MMOC-SD-NO-SYSTEM-FEES      VALUE 'N'.
027700         05  MMOC-SD-USER-FEES
027800                             PIC  X(01).
027900             88  MMOC-SD-USER-FEES           VALUE 'Y'.
028000             88  MMOC-SD-NO-USER-FEES        VALUE 'N'.
028100         05  MMOC-SD-INTCHG-FEES
028200                             PIC  X(01).
028300             88  MMOC-SD-INTCHG-FEES         VALUE 'Y'.
028400             88  MMOC-SD-NO-INTCHG-FEES      VALUE 'N'.
028500         05  MMOC-SD-USER-CR
028600                             PIC  X(01).
028700             88  MMOC-SD-USER-CR             VALUE 'Y'.
028800             88  MMOC-SD-NO-USER-CR          VALUE 'N'.
028900     03  MMOC-STMT-DETAIL-AREA-R
029000                             REDEFINES MMOC-STMT-DETAIL-AREA.
029100         05  MMOC-STMT-DETAIL-TABLE          OCCURS 10 TIMES
029200                                             INDEXED BY
029300                                             X-MMOC-SD.
029400             07  MMOC-STMT-DETAIL
029500                             PIC  X(01).
029600                 88  MMOC-SD-STMT-DETAIL     VALUE 'Y'.
029700                 88  MMOC-SD-NO-STMT-DETAIL
029800                                             VALUE 'N'.
029900*
030000*****************************************************************
030100*           BILLING INTERFACE                                  *
030200*****************************************************************
030300*
030400     03  MMOC-BILLING-INTERFACE.
030500         05  MMOC-BILLING-ORG
030600                             PIC  9(03).
030700         05  MMOC-BILLING-STORE
030800                             PIC  9(09).
030900         05  MMOC-BI-DEPOSIT-DR-TC
031000                             PIC S9(03)      COMP-3.
031100         05  MMOC-BI-DEPOSIT-CR-TC
031200                             PIC S9(03)      COMP-3.
031300         05  MMOC-BI-DEPOSIT-PLAN
031400                             PIC S9(05)      COMP-3.
031500         05  MMOC-BI-RESV-FUND-DR-TC
031600                             PIC S9(03)      COMP-3.
031700         05  MMOC-BI-RESV-FUND-CR-TC
031800                             PIC S9(03)      COMP-3.
031900         05  MMOC-BI-RESV-FUND-PLAN
032000                             PIC S9(05)      COMP-3.
032100         05  MMOC-BI-DISCOUNT-DR-TC
032200                             PIC S9(03)      COMP-3.
032300         05  MMOC-BI-DISCOUNT-CR-TC
032400                             PIC S9(03)      COMP-3.
032500         05  MMOC-BI-DISCOUNT-PLAN
032600                             PIC S9(05)      COMP-3.
032700         05  MMOC-BI-PART-DR-TC
032800                             PIC S9(03)      COMP-3.
032900         05  MMOC-BI-PART-CR-TC
033000                             PIC S9(03)      COMP-3.
033100         05  MMOC-BI-PART-PLAN
033200                             PIC S9(05)      COMP-3.
033300         05  MMOC-BI-ADJUSTMENTS-DR-TC
033400                             PIC S9(03)      COMP-3.
033500         05  MMOC-BI-ADJUSTMENTS-CR-TC
033600                             PIC S9(03)      COMP-3.
033700         05  MMOC-BI-ADJUSTMENTS-PLAN
033800                             PIC S9(05)      COMP-3.
033900         05  MMOC-BI-RECOVERY-ADJ-DR-TC
034000                             PIC S9(03)      COMP-3.
034100         05  MMOC-BI-RECOVERY-ADJ-CR-TC
034200                             PIC S9(03)      COMP-3.
034300         05  MMOC-BI-RECOVERY-ADJ-PLAN
034400                             PIC S9(05)      COMP-3.
034500         05  MMOC-BI-SYSTEM-FEES-DR-TC
034600                             PIC S9(03)      COMP-3.
034700         05  MMOC-BI-SYSTEM-FEES-CR-TC
034800                             PIC S9(03)      COMP-3.
034900         05  MMOC-BI-SYSTEM-FEES-PLAN
035000                             PIC S9(05)      COMP-3.
035100         05  MMOC-BI-USER-FEES-DR-TC
035200                             PIC S9(03)      COMP-3.
035300         05  MMOC-BI-USER-FEES-CR-TC
035400                             PIC S9(03)      COMP-3.
035500         05  MMOC-BI-USER-FEES-PLAN
035600                             PIC S9(05)      COMP-3.
035700         05  MMOC-BI-INTCHG-FEES-DR-TC
035800                             PIC S9(03)      COMP-3.
035900         05  MMOC-BI-INTCHG-FEES-CR-TC
036000                             PIC S9(03)      COMP-3.
036100         05  MMOC-BI-INTCHG-FEES-PLAN
036200                             PIC S9(05)      COMP-3.
036300         05  MMOC-BI-USER-CR-DR-TC
036400                             PIC S9(03)      COMP-3.
036500         05  MMOC-BI-USER-CR-CR-TC
036600                             PIC S9(03)      COMP-3.
036700         05  MMOC-BI-USER-CR-PLAN
036800                             PIC S9(05)      COMP-3.
036900         05  MMOC-BI-TRANSFER-DR-TC
037000                             PIC S9(03)      COMP-3.
037100         05  MMOC-BI-TRANSFER-CR-TC
037200                             PIC S9(03)      COMP-3.
037300         05  MMOC-BI-TRANSFER-PLAN
037400                             PIC S9(05)      COMP-3.
037500         05  MMOC-BI-HOLDOVER-DR-TC
037600                             PIC S9(03)      COMP-3.
037700         05  MMOC-BI-HOLDOVER-CR-TC
037800                             PIC S9(03)      COMP-3.
037900         05  MMOC-BI-HOLDOVER-PLAN
038000                             PIC S9(05)      COMP-3.
038100         05  MMOC-BI-NET-1-DR-TC
038200                             PIC S9(03)      COMP-3.
038300         05  MMOC-BI-NET-1-CR-TC
038400                             PIC S9(03)      COMP-3.
038500         05  MMOC-BI-NET-1-PLAN
038600                             PIC S9(05)      COMP-3.
038700         05  MMOC-BI-NET-2-DR-TC
038800                             PIC S9(03)      COMP-3.
038900         05  MMOC-BI-NET-2-CR-TC
039000                             PIC S9(03)      COMP-3.
039100         05  MMOC-BI-NET-2-PLAN
039200                             PIC S9(05)      COMP-3.
039300         05  MMOC-BI-NET-3-DR-TC
039400                             PIC S9(03)      COMP-3.
039500         05  MMOC-BI-NET-3-CR-TC
039600                             PIC S9(03)      COMP-3.
039700         05  MMOC-BI-NET-3-PLAN
039800                             PIC S9(05)      COMP-3.
039900         05  MMOC-BI-NET-4-DR-TC
040000                             PIC S9(03)      COMP-3.
040100         05  MMOC-BI-NET-4-CR-TC
040200                             PIC S9(03)      COMP-3.
040300         05  MMOC-BI-NET-4-PLAN
040400                             PIC S9(05)      COMP-3.
040500         05  MMOC-BI-WINDOW-DR-TC
040600                             PIC S9(03)      COMP-3.
040700         05  MMOC-BI-WINDOW-CR-TC
040800                             PIC S9(03)      COMP-3.
040900         05  MMOC-BI-WINDOW-PLAN
041000                             PIC S9(05)      COMP-3.
041100         05  MMOC-BI-FUTURE-3-DR-TC
041200                             PIC S9(03)      COMP-3.
041300         05  MMOC-BI-FUTURE-3-CR-TC
041400                             PIC S9(03)      COMP-3.
041500         05  MMOC-BI-FUTURE-3-PLAN
041600                             PIC S9(05)      COMP-3.
041700         05  MMOC-BI-FUTURE-2-DR-TC
041800                             PIC S9(03)      COMP-3.
041900         05  MMOC-BI-FUTURE-2-CR-TC
042000                             PIC S9(03)      COMP-3.
042100         05  MMOC-BI-FUTURE-2-PLAN
042200                             PIC S9(05)      COMP-3.
042300         05  MMOC-BI-FUTURE-1-DR-TC
042400                             PIC S9(03)      COMP-3.
042500         05  MMOC-BI-FUTURE-1-CR-TC
042600                             PIC S9(03)      COMP-3.
042700         05  MMOC-BI-FUTURE-1-PLAN
042800                             PIC S9(05)      COMP-3.
042900*
043000     03  MMOC-BILLING-INTERFACE-R
043100                             REDEFINES MMOC-BILLING-INTERFACE.
043200         05  FILLER          PIC  X(12).
043300         05  MMOC-BILLING-INTERFACE-X        OCCURS 20 TIMES
043400                                             INDEXED BY
043500                                             X-MMOC-BILLING.
043600             07  MMOC-BILLING-DR-TC
043700                             PIC S9(03)      COMP-3.
043800             07  MMOC-BILLING-CR-TC
043900                             PIC S9(03)      COMP-3.
044000             07  MMOC-BILLING-PLAN
044100                             PIC S9(05)      COMP-3.
044200*
044300*****************************************************************
044400*           ORGANIZATION TRANSACTION ACTIVITY OPTIONS           *
044500*****************************************************************
044600*
044700     03  MMOC-TXN-ACTIVITY-OPTIONS.
044800         05  MMOC-STMTS-TO-RETAIN
044900                             PIC S9(03)      COMP-3.
045000         05  MMOC-SETT-TO-RETAIN
045100                             PIC S9(03)      COMP-3.
045200*
045300         05  FILLER          PIC  X(04).
045400*
045500*****************************************************************
045600*           ORGANIZATION PRINT PROCESSING DATA                  *
045700*****************************************************************
045800*
045900     03  MMOC-FORM           PIC  9(02).
046000     03  MMOC-FICHE-FLAG     PIC  X(01).
046100         88  MMOC-NO-FICHE                   VALUE '0'.
046200         88  MMOC-FICHE                      VALUES '1' THRU '9'
046300                                                    'A' THRU 'I'.
046400         88  MMOC-FICHE-ONLY                 VALUES 'A' THRU 'I'.
046500     03  MMOC-LINES-PER-PAGE
046600                             PIC  9(02).
046700*
046800*****************************************************************
046900*               ORGANIZATION PRODUCTS                           *
047000*****************************************************************
047100*
047200     03  MMOC-PRODUCTS-AREA.
047300         05  MMOC-MC-QTR-FLAG                                     EH800900
047400                             PIC  X(01).                          EH800900
047500             88  MMOC-MC-QTR-FLAG-NO         VALUE 'N'.           EH800900
047600             88  MMOC-MC-QTR-FLAG-US         VALUE '0'.           EH800900
047602             88  MMOC-MC-QTR-FLAG-INTL-A     VALUE 'A'.           EH800900
047604             88  MMOC-MC-QTR-FLAG-INTL-B     VALUE 'B'.           EH800900
047606             88  MMOC-MC-QTR-FLAG-INTL-C     VALUE 'C'.           EH800900
047608             88  MMOC-MC-QTR-FLAG-INTL-D     VALUE 'D'.           EH800900
047610             88  MMOC-MC-QTR-FLAG-EUROCARD   VALUE 'E'.           EH800900
047612             88  MMOC-MC-QTR-FLAG-INTL       VALUE 'A' 'B'        EH800900
047614                                                   'C' 'D'.       EH800900
047616             88  MMOC-VALID-MC-QTR-FLAG      VALUE '0'            EH800900
047618                                                   'A'            EH800900
047620                                                   'B'            EH800900
047622                                                   'C'            EH800900
047624                                                   'D'            EH800900
047626                                                   'E'            EH800900
047628                                                   'N'.           EH800900
047700         05  MMOC-VISA-QTR-FLAG                                   EH800900
047800                             PIC  X(01).                          EH800900
047900             88  MMOC-VISA-QTR-FLAG-NO       VALUE 'N'.           EH800900
048000             88  MMOC-VISA-QTR-FLAG-US       VALUE '0'.           EH800900
048004             88  MMOC-VISA-QTR-FLAG-EU       VALUE '1'.           EH800900
048006             88  MMOC-VISA-QTR-FLAG-CANADA   VALUE '2'.           EH800900
048008             88  MMOC-VISA-QTR-FLAG-AP       VALUE '4'.           EH800900
048010             88  MMOC-VISA-QTR-FLAG-LA-C     VALUE '5'.           EH800900
048012             88  MMOC-VISA-QTR-FLAG-CEMEA    VALUE '6'.           EH800900
048014             88  MMOC-VALID-VISA-QTR-FLAG    VALUE '0'            EH800900
048016                                                   '1'            EH800900
048018                                                   '2'            EH800900
048020                                                   '4'            EH800900
048022                                                   '5'            EH800900
048024                                                   '6'            EH800900
048026                                                   'N'.           EH800900
048028*                                                                 EH800900
048100         05  MMOC-PRODUCTS                   OCCURS 99 TIMES
048200                                             INDEXED BY
048300                                             X-MMOC-PROD.
048400             07  MMOC-PRODUCT-STATUS
048500                             PIC  X(01).
048600                 88  MMOC-PRODUCT-ACTIVE
048700                                             VALUE 'Y'.
048800                 88  MMOC-PRODUCT-NOT-ACTIVE
048900                                             VALUE 'N'.
049000             07  MMOC-PRODUCT-DESC
049100                             PIC  X(16).
049200             07  MMOC-PRODUCT-QRTRLY-RPT-FLAG
049300                             PIC  9(02).
049400                 88  MMOC-PROD-QRF-NORMAL    VALUE 00.
049500                 88  MMOC-PROD-QRF-EUROCARD-MC
049600                                             VALUE 02.
049700                 88  MMOC-PROD-QRF-EUROCHEQUE
049800                                             VALUE 03.
049900                 88  MMOC-PROD-QRF-EUROCHEQUE-ATM
050000                                             VALUE 04.
050100                 88  MMOC-PROD-QRF-CIRRUS    VALUE 05.
050200                 88  MMOC-PROD-QRF-EDC       VALUE 06.
050300                 88  MMOC-PROD-QRF-MAESTRO   VALUE 07.
050400                 88  MMOC-PROD-QRF-CLIP      VALUE 08.
050500                 88  MMOC-PROD-QRF-CHIP      VALUE 09.
050600*
050700*
050800*****************************************************************
050900*           ORGANIZATION STATISTICS DISPLAY DEFAULTS            *
051000*****************************************************************
051100*
051200     03  MMOC-STAT-DISP-DEFAULTS.
051300         05  MMOC-STATS-DEFAULTS             OCCURS 4 TIMES
051400                                             INDEXED BY
051500                                             X-MMOC-STATS.
051600*       OCCURRENCE 1 ARE THE MERCHANT STATISTICS
051700*       OCCURRENCE 2 ARE THE MERCHANT INTERCHANGE STATISTICS
051800*       OCCURRENCE 3 ARE THE CHAIN STATISTICS
051900*       OCCURRENCE 4 ARE THE CHAIN INTERCHANGE STATISTICS
052000             07  MMOC-STATS-YEST
052100                             PIC  9(01).
052200             07  MMOC-STATS-MTD
052300                             PIC  9(01).
052400             07  MMOC-STATS-YTD
052500                             PIC  9(01).
052600             07  MMOC-STATS-CTD
052700                             PIC  9(01).
052800             07  MMOC-STATS-DTD
052900                             PIC  9(01).
053000             07  MMOC-STATS-PTD
053100                             PIC  9(01).
053200     03  MMOC-STAT-DISP-DEFAULTS-R
053300                             REDEFINES MMOC-STAT-DISP-DEFAULTS.
053400         05  MMOC-STATS-TYPE                 OCCURS 4 TIMES
053500                                             INDEXED BY
053600                                             X-MMOC-ST.
053700             07  MMOC-STATS-PERIOD           OCCURS 6 TIMES
053800                                             INDEXED BY
053900                                             X-MMOC-PD.
054000                 09  MMOC-DISPLAY-DEFAULT
054100                             PIC  9(01).
054200*
054300*****************************************************************
054400*           ORGANIZATION BLOCK CODE TABLES                      *
054500*****************************************************************
054600*
054700     03  MMOC-BLOCK-CODE-TABLE.
054800         05  MMOC-BLOCK-CODES                OCCURS 27 TIMES
054900                                             INDEXED BY
055000                                             X-MMOC-BC.
055100             07  MMOC-BC     PIC  X(01).
055200             07  MMOC-BC-DESC
055300                             PIC  X(20).
055400             07  MMOC-BC-DISC-FLAG
055500                             PIC  X(01).
055600                 88  MMOC-BC-DISCOUNT        VALUE 'Y'.
055700                 88  MMOC-BC-NO-DISCOUNT     VALUE 'N'.
055800                 88  MMOC-BC-CALC-DISCOUNT   VALUE 'W'.
055900             07  MMOC-BC-PART-FLAG
056000                             PIC  X(01).
056100                 88  MMOC-BC-PARTICIPATION   VALUE 'Y'.
056200                 88  MMOC-BC-NO-PARTICIPATION
056300                                             VALUE 'N'.
056400                 88  MMOC-BC-CALC-PARTICIPATION
056500                                             VALUE 'W'.
056600             07  MMOC-BC-USER-FLAG
056700                             PIC  X(01).
056800                 88  MMOC-BC-USER            VALUE 'Y'.
056900                 88  MMOC-BC-NO-USER         VALUE 'N'.
057000                 88  MMOC-BC-CALC-USER       VALUE 'W'.
057100             07  MMOC-BC-SYSTEM-FEES-FLAG
057200                             PIC  X(01).
057300                 88  MMOC-BC-SYS-FEES        VALUE 'Y'.
057400                 88  MMOC-BC-NO-SYS-FEES     VALUE 'N'.
057500                 88  MMOC-BC-CALC-SYS-FEES   VALUE 'W'.
057600             07  MMOC-BC-SETTLEMENT-FLAG
057700                             PIC  X(01).
057800                 88  MMOC-BC-SETTLEMENT      VALUE 'Y'.
057900                 88  MMOC-BC-NO-SETTLEMENT   VALUE 'N'.
058000             07  MMOC-BC-POST-FLAG
058100                             PIC  X(01).
058200                 88  MMOC-BC-POST-NORMAL     VALUE 'Y'.
058300                 88  MMOC-BC-POST-NO-DEBITS
058400                                             VALUE 'D'.
058500                 88  MMOC-BC-POST-NO-CREDITS
058600                                             VALUE 'C'.
058700                 88  MMOC-BC-POST-NO-DR-OR-CR
058800                                             VALUE 'B'.
058900             07  MMOC-BC-RESV-FUNDING        OCCURS 4 TIMES
059000                                             INDEXED BY
059100                                             X-MMOC-BC-RESV.
059200                 09  MMOC-BC-RESV-FUNDING-FLAG
059300                             PIC  X(01).
059400                     88  MMOC-BC-RESV-FUNDING
059500                                             VALUE 'Y'.
059600                     88  MMOC-BC-NO-RESV-FUNDING
059700                                             VALUE 'N'.
059800                     88  MMOC-BC-CALC-RESV-FUNDING
059900                                             VALUE 'W'.
060000*
060100*****************************************************************
060200*           ORGANIZATION MISCELLANEOUS AREA                     *
060300*****************************************************************
060400*
060500     03  MMOC-MOD-CHECK-DATA.
060600         05  MMOC-MERCHANT-MOD-CHECK
060700                             PIC  X(01).
060800             88  MMOC-MMC-DO-NOT-MOD-CHECK
060900                                             VALUE 'N'.
061000             88  MMOC-MMC-DOUBLE-ADD-DOUBLE
061100                                             VALUE 'D'.
061200             88  MMOC-MMC-MOD-CHECK-ROUTINE1
061300                                             VALUE '1'.
061400             88  MMOC-MMC-MOD-CHECK-ROUTINE2
061500                                             VALUE '2'.
061600             88  MMOC-MMC-MOD-CHECK-ROUTINE3
061700                                             VALUE '3'.
061800         05  MMOC-STORE-MOD-CHECK
061900                             PIC  X(01).
062000             88  MMOC-SMC-DO-NOT-MOD-CHECK
062100                                             VALUE 'N'.
062200             88  MMOC-SMC-DOUBLE-ADD-DOUBLE
062300                                             VALUE 'D'.
062400             88  MMOC-SMC-MOD-CHECK-ROUTINE1
062500                                             VALUE '1'.
062600             88  MMOC-SMC-MOD-CHECK-ROUTINE2
062700                                             VALUE '2'.
062800             88  MMOC-SMC-MOD-CHECK-ROUTINE3
062900                                             VALUE '3'.
063000*
063100     03  MMOC-TOP-MERCHANTS-NBR-X.
063200         05  MMOC-TOP-MERCHANTS-NBR
063300                             PIC  9(03).
063400*
063500     03  MMOC-CRB-TERM-MERCH-FLAG-X.
063600         05  MMOC-CRB-TERM-MERCH-FLAG
063700                             PIC  X(01).
063800             88  MMOC-CTMF-VISA              VALUE 'V'.
063900             88  MMOC-CTMF-MC                VALUE 'M'.
064000*
064100     03  MMOC-CR-PLAN-OPTIONS-X.
064200         05  MMOC-CR-PLAN-ON-MERCH
064300                             PIC  X(01).
064400             88  MMOC-CP-MERCH-YES           VALUE 'Y'.
064500             88  MMOC-CP-MERCH-NO            VALUE 'N'.
064600         05  MMOC-CR-PLAN-ON-STORE
064700                             PIC  X(01).
064800             88  MMOC-CP-STORE-YES           VALUE 'Y'.
064900             88  MMOC-CP-STORE-NO            VALUE 'N'.
065000         05  MMOC-CR-PLAN-ON-CHAIN
065100                             PIC  X(01).
065200             88  MMOC-CP-CHAIN-YES           VALUE 'Y'.
065300             88  MMOC-CP-CHAIN-NO            VALUE 'N'.
065400         05  MMOC-CR-PLAN-ON-STORE-CHAIN
065500                             PIC  X(01).
065600             88  MMOC-CP-STORE-CHAIN-YES     VALUE 'Y'.
065700             88  MMOC-CP-STORE-CHAIN-NO      VALUE 'N'.
065800*
065900     03  MMOC-USER-FEE-TITLES-AREA.
066000         05  MMOC-USER-FEE-TITLES            OCCURS 10 TIMES
066100                                             INDEXED BY
066200                                             X-MMOC-UFT.
066300             07  MMOC-UF-TITLES-DESC
066400                             PIC  X(15).
066500*
066600*****************************************************************
066700*           ORGANIZATION MERCHANT USER AREA                     *
066800*****************************************************************
066900*
067000     03  MMOC-MERCH-USER-FIELD-TITLES.
067100         05  MMOC-MERCH-USER-CODES.
067200             07  MMOC-MERCH-USER-CODE        OCCURS 8 TIMES
067300                                             INDEXED BY
067400                                             X-MMOC-MUC.
067500                 09  MMOC-MERCH-USER-CODE-DESC
067600                             PIC  X(15).
067700*
067800         05  MMOC-MERCH-USER-DATES.
067900             07  MMOC-MERCH-USER-DATE        OCCURS 8 TIMES
068000                                             INDEXED BY
068100                                             X-MMOC-MUD.
068200                 09  MMOC-MERCH-USER-DATE-DESC
068300                             PIC  X(15).
068400*
068500         05  MMOC-MERCH-USER-AMOUNTS.
068600             07  MMOC-MERCH-USER-AMOUNT      OCCURS 8 TIMES
068700                                             INDEXED BY
068800                                             X-MMOC-MUA.
068900                 09  MMOC-MERCH-USER-AMOUNT-DESC
069000                             PIC  X(15).
069100*****************************************************************
069200*           ORGANIZATION STORE USER AREA                        *
069300*****************************************************************
069400*
069500     03  MMOC-STORE-USER-FIELD-TITLES.
069600         05  MMOC-STORE-USER-CODES.
069700             07  MMOC-STORE-USER-CODE        OCCURS 8 TIMES
069800                                             INDEXED BY
069900                                             X-MMOC-SUC.
070000                 09  MMOC-STORE-USER-CODE-DESC
070100                             PIC  X(15).
070200*
070300         05  MMOC-STORE-USER-DATES.
070400             07  MMOC-STORE-USER-DATE        OCCURS 8 TIMES
070500                                             INDEXED BY
070600                                             X-MMOC-SUD.
070700                 09  MMOC-STORE-USER-DATE-DESC
070800                             PIC  X(15).
070900*
071000         05  MMOC-STORE-USER-AMOUNTS.
071100             07  MMOC-STORE-USER-AMOUNT      OCCURS 8 TIMES
071200                                             INDEXED BY
071300                                             X-MMOC-SUA.
071400                 09  MMOC-STORE-USER-AMOUNT-DESC
071500                             PIC  X(15).
071600*****************************************************************
071700*           ORGANIZATION STATEMENT MESSAGES                     *
071800*****************************************************************
071900*
072000     03  MMOC-ORG-STMT-MESSAGES.
072100         05  MMOC-ORG-STMT-MSG-X             OCCURS 5 TIMES
072200                                             INDEXED BY
072300                                             X-MMOC-STMT-MSG.
072400             07  MMOC-ORG-STMT-MSG-L1
072500                             PIC  X(50).
072600             07  MMOC-ORG-STMT-MSG-L2
072700                             PIC  X(50).
072800             07  MMOC-ORG-STMT-MSG-L3
072900                             PIC  X(50).
073000*****************************************************************
073100*           ORGANIZATION REPORT DESTINATIONS                    *
073200*****************************************************************
073300*
073400     03  MMOC-REPORT-DEST-AREA.
073500         05  MMOC-REPORT-DESTINATION         OCCURS 16 TIMES
073600                                             INDEXED BY
073700                                             X-MMOC-RDEST.
073800             07  MMOC-REPORT-DEST-ID
073900                             PIC  X(05).
074000             07  MMOC-REPORT-DEST-DESC
074100                             PIC  X(30).
074200******************************************************************
074300*    VISA/MASTER CARD REQUIRED FIELDS                            *
074400******************************************************************
074500*
074600     03  MMOC-VI-MC-FIELDS.
074700         05  MMOC-ISSUER-RR-FAX-NBR
074800                             PIC  X(20).
074900         05  MMOC-INTCHG-ICA
075000                             PIC  9(04).
075100         05  MMOC-CURRENCY-CODE
075200                             PIC  X(03).
075300         05  MMOC-EXPONENTS-AREA.
075400             07  MMOC-CURRENCY-NOD
075500                             PIC  X(01).
075600             07  MMOC-PERCENT-NOD
075700                             PIC  X(01).
075800             07  MMOC-PER-ITEM-NOD
075900                             PIC  X(01).
076000         05  MMOC-INTCHG-BIN
076100                             PIC  9(06).
076200         05  MMOC-MC-INTCHG-BIN                                   RG800905
076300                             PIC  9(06).                          RG800905
076310         05  FILLER          PIC  X(02).                          RG800905
076400******************************************************************
076500*    SWITCHES FOR THE NAME LOCATE SCREENS                        *
076600******************************************************************
076700*
076800     03  MMOC-NAME-LOCATE-SWITCHS.
076900         05  MMOC-CHAIN-PRIMARY
077000                             PIC  X(01).
077100             88  MMOC-CHAIN-PRIMARY-ON       VALUE 'Y'.
077200             88  MMOC-CHAIN-PRIMARY-OFF      VALUE 'N'.
077300         05  MMOC-STORE-CHAIN-PRIMARY
077400                             PIC  X(01).
077500             88  MMOC-STORE-CHAIN-PRIMARY-ON
077600                                             VALUE 'Y'.
077700             88  MMOC-STORE-CHAIN-PRIMARY-OFF
077800                                             VALUE 'N'.
077900         05  MMOC-MERCH-PRIMARY
078000                             PIC  X(01).
078100             88  MMOC-MERCH-PRIMARY-ON       VALUE 'Y'.
078200             88  MMOC-MERCH-PRIMARY-OFF      VALUE 'N'.
078300         05  MMOC-MERCH-SECONDARY
078400                             PIC  X(01).
078500             88  MMOC-MERCH-SECONDARY-ON     VALUE 'Y'.
078600             88  MMOC-MERCH-SECONDARY-OFF    VALUE 'N'.
078700         05  MMOC-MERCH-DBA
078800                             PIC  X(01).
078900             88  MMOC-MERCH-DBA-ON           VALUE 'Y'.
079000             88  MMOC-MERCH-DBA-OFF          VALUE 'N'.
079100         05  MMOC-STORE-PRIMARY
079200                             PIC  X(01).
079300             88  MMOC-STORE-PRIMARY-ON       VALUE 'Y'.
079400             88  MMOC-STORE-PRIMARY-OFF      VALUE 'N'.
079500         05  MMOC-STORE-SECONDARY
079600                             PIC  X(01).
079700             88  MMOC-STORE-SECONDARY-ON     VALUE 'Y'.
079800             88  MMOC-STORE-SECONDARY-OFF    VALUE 'N'.
079900         05  MMOC-STORE-DBA
080000                             PIC  X(01).
080100             88  MMOC-STORE-DBA-ON           VALUE 'Y'.
080200             88  MMOC-STORE-DBA-OFF          VALUE 'N'.
080300*
080400******************************************************************
080500*    USER REPORTS DEFINITIONS                                    *
080600******************************************************************
080700     03  MMOC-USER-REPORT-AREA.
080800         05  MMOC-USER-REPORT                OCCURS 24 TIMES
080900                                             INDEXED BY
081000                                             X-MMOC-UR.
081100             07  MMOC-UR-RPT-TITLE
081200                             PIC  X(30).
081300             07  MMOC-UR-REPORT-ID
081400                             PIC  X(08).
081500             07  MMOC-UR-REPORT-DEST-ID
081600                             PIC  X(05).
081700             07  MMOC-UR-ACTIVITY-FLAG
081800                             PIC  X(01).
081900                 88  MMOC-UR-AF-SUPPRESS     VALUE 'N'.
082000                 88  MMOC-UR-AF-PRODUCE      VALUE 'Y'.
082100             07  MMOC-UR-PRINT-FILE
082200                             PIC  9(01).
082300             07  MMOC-UR-FICHE-FLAG
082400                             PIC  X(01).
082500                 88  MMOC-UR-NO-FICHE        VALUE '0'.
082600                 88  MMOC-UR-FICHE           VALUES '1' THRU '9'
082700                                                    'A' THRU 'I'.
082800                 88  MMOC-UR-FICHE-ONLY      VALUES 'A' THRU 'I'.
082900             07  MMOC-UR-FREQ-1
083000                             PIC  9(02).
083100                 88  MMOC-UR-F1-NO-RPT       VALUE ZERO.
083200                 88  MMOC-UR-F1-DAY-OF-MONTH
083300                                             VALUES 01 THRU 31.
083400                 88  MMOC-UR-F1-DAY-OF-WEEK
083500                                             VALUES 41 THRU 47.
083600                 88  MMOC-UR-F1-DAILY        VALUE 99.
083700             07  MMOC-UR-FORM-1
083800                             PIC  9(02).
083900             07  MMOC-UR-GROUP-1
084000                             PIC  9(02).
084100             07  MMOC-UR-SUMMARY-DETAIL-1
084200                             PIC  X(01).
084300                 88  MMOC-UR-SD1-SUMMARY     VALUE 'S'.
084400                 88  MMOC-UR-SD1-DETAIL      VALUE 'D'.
084500             07  MMOC-UR-FREQ-2
084600                             PIC  9(02).
084700                 88  MMOC-UR-F2-NO-RPT       VALUE ZERO.
084800                 88  MMOC-UR-F2-DAY-OF-MONTH
084900                                             VALUES 01 THRU 31.
085000                 88  MMOC-UR-F2-DAY-OF-WEEK
085100                                             VALUES 41 THRU 47.
085200                 88  MMOC-UR-F2-DAILY        VALUE 99.
085300             07  MMOC-UR-FORM-2
085400                             PIC  9(02).
085500             07  MMOC-UR-GROUP-2
085600                             PIC  9(02).
085700             07  MMOC-UR-SUMMARY-DETAIL-2
085800                             PIC  X(01).
085900                 88  MMOC-UR-SD2-SUMMARY     VALUE 'S'.
086000                 88  MMOC-UR-SD2-DETAIL      VALUE 'D'.
086100*
086200******************************************************************
086300*    OPTIONAL REPORTS DEFINITIONS                                *
086400******************************************************************
086500*
086600     03  MMOC-OPTIONAL-REPORT-AREA.
086700         05  MMOC-OPTIONAL-REPORT            OCCURS 96 TIMES
086800                                             INDEXED BY
086900                                             X-MMOC-OR.
087000             07  MMOC-OR-RPT-TITLE
087100                             PIC  X(30).
087200             07  MMOC-OR-REPORT-ID
087300                             PIC  X(08).
087400             07  MMOC-OR-REPORT-DEST-ID
087500                             PIC  X(05).
087600             07  MMOC-OR-ACTIVITY-FLAG
087700                             PIC  X(01).
087800                 88  MMOC-OR-AF-SUPPRESS     VALUE 'N'.
087900                 88  MMOC-OR-AF-PRODUCE      VALUE 'Y'.
088000             07  MMOC-OR-PRINT-FILE
088100                             PIC  9(01).
088200             07  MMOC-OR-FICHE-FLAG
088300                             PIC  X(01).
088400                 88  MMOC-OR-NO-FICHE        VALUE '0'.
088500                 88  MMOC-OR-FICHE           VALUES '1' THRU '9'
088600                                                    'A' THRU 'I'.
088700                 88  MMOC-OR-FICHE-ONLY      VALUES 'A' THRU 'I'.
088800             07  MMOC-OR-FREQ-1
088900                             PIC  9(02).
089000                 88  MMOC-OR-F1-NO-RPT       VALUE ZERO.
089100                 88  MMOC-OR-F1-DAY-OF-MONTH
089200                                             VALUES 01 THRU 31.
089300                 88  MMOC-OR-F1-DAY-OF-WEEK
089400                                             VALUES 41 THRU 47.
089500                 88  MMOC-OR-F1-DAILY        VALUE 99.
089600             07  MMOC-OR-FORM-1
089700                             PIC  9(02).
089800             07  MMOC-OR-GROUP-1
089900                             PIC  9(02).
090000             07  MMOC-OR-SUMMARY-DETAIL-1
090100                             PIC  X(01).
090200                 88  MMOC-OR-SD1-SUMMARY     VALUE 'S'.
090300                 88  MMOC-OR-SD1-DETAIL      VALUE 'D'.
090400             07  MMOC-OR-FREQ-2
090500                             PIC  9(02).
090600                 88  MMOC-OR-F2-NO-RPT       VALUE ZERO.
090700                 88  MMOC-OR-F2-DAY-OF-MONTH
090800                                             VALUES 01 THRU 31.
090900                 88  MMOC-OR-F2-DAY-OF-WEEK
091000                                             VALUES 41 THRU 47.
091100                 88  MMOC-OR-F2-DAILY        VALUE 99.
091200             07  MMOC-OR-FORM-2
091300                             PIC  9(02).
091400             07  MMOC-OR-GROUP-2
091500                             PIC  9(02).
091600             07  MMOC-OR-SUMMARY-DETAIL-2
091700                             PIC  X(01).
091800                 88  MMOC-OR-SD2-SUMMARY     VALUE 'S'.
091900                 88  MMOC-OR-SD2-DETAIL      VALUE 'D'.
092000*
092100*****************************************************************
092200*    ORGANIZATION BALANCING TOTALS                              *
092300*****************************************************************
092400*
092500     03  MMOC-BEG-END-BAL-AREA.
092600         05  MMOC-BEG-END-BAL                OCCURS 6 TIMES
092700                                             INDEXED BY
092800                                             X-MMOC-BEB.
092900             07  MMOC-BEG-BALANCE
093000                             PIC S9(17)      COMP-3.
093100             07  MMOC-END-BALANCE
093200                             PIC S9(17)      COMP-3.
093300*
093400     03  MMOC-BEG-END-BAL-AREA-R
093500                             REDEFINES MMOC-BEG-END-BAL-AREA.
093600         05  MMOC-BEG-BAL-SETT
093700                             PIC S9(17)      COMP-3.
093800         05  MMOC-END-BAL-SETT
093900                             PIC S9(17)      COMP-3.
094000         05  MMOC-BEG-BAL-RESV-1
094100                             PIC S9(17)      COMP-3.
094200         05  MMOC-END-BAL-RESV-1
094300                             PIC S9(17)      COMP-3.
094400         05  MMOC-BEG-BAL-RESV-2
094500                             PIC S9(17)      COMP-3.
094600         05  MMOC-END-BAL-RESV-2
094700                             PIC S9(17)      COMP-3.
094800         05  MMOC-BEG-BAL-RESV-3
094900                             PIC S9(17)      COMP-3.
095000         05  MMOC-END-BAL-RESV-3
095100                             PIC S9(17)      COMP-3.
095200         05  MMOC-BEG-BAL-RESV-4
095300                             PIC S9(17)      COMP-3.
095400         05  MMOC-END-BAL-RESV-4
095500                             PIC S9(17)      COMP-3.
095600         05  MMOC-BEG-BAL-FUTURE-USE
095700                             PIC S9(17)      COMP-3.
095800         05  MMOC-END-BAL-FUTURE-USE
095900                             PIC S9(17)      COMP-3.
096000*
096100*****************************************************************
096200*    DAILY BALANCING REPORT IN/OUT AMOUNTS                      *
096300*****************************************************************
096400*
096500     03  MMOC-DAILY-BAL-AMOUNTS.
096600         05  MMOC-SETT-IN
096700                             PIC S9(17)      COMP-3.
096800         05  MMOC-SETT-OUT
096900                             PIC S9(17)      COMP-3.
097000         05  MMOC-DAILY-RESV-X.
097100             07  MMOC-RESV-1-FUNDING-IN
097200                             PIC S9(17)      COMP-3.
097300             07  MMOC-RESV-1-TO-SETT-OUT
097400                             PIC S9(17)      COMP-3.
097500             07  MMOC-RESV-1-TO-PROC-OUT
097600                             PIC S9(17)      COMP-3.
097700             07  MMOC-RESV-2-FUNDING-IN
097800                             PIC S9(17)      COMP-3.
097900             07  MMOC-RESV-2-TO-SETT-OUT
098000                             PIC S9(17)      COMP-3.
098100             07  MMOC-RESV-2-TO-PROC-OUT
098200                             PIC S9(17)      COMP-3.
098300             07  MMOC-RESV-3-FUNDING-IN
098400                             PIC S9(17)      COMP-3.
098500             07  MMOC-RESV-3-TO-SETT-OUT
098600                             PIC S9(17)      COMP-3.
098700             07  MMOC-RESV-3-TO-PROC-OUT
098800                             PIC S9(17)      COMP-3.
098900             07  MMOC-RESV-4-FUNDING-IN
099000                             PIC S9(17)      COMP-3.
099100             07  MMOC-RESV-4-TO-SETT-OUT
099200                             PIC S9(17)      COMP-3.
099300             07  MMOC-RESV-4-TO-PROC-OUT
099400                             PIC S9(17)      COMP-3.
099500         05  MMOC-DAILY-RESV-R
099600                             REDEFINES MMOC-DAILY-RESV-X.
099700             07  MMOC-DAILY-RESV             OCCURS 4 TIMES
099800                                             INDEXED BY
099900                                             X-MMOC-DR.
100000                 09  MMOC-RESV-FUNDING-IN
100100                             PIC S9(17)      COMP-3.
100200                 09  MMOC-RESV-TO-SETT-OUT
100300                             PIC S9(17)      COMP-3.
100400                 09  MMOC-RESV-TO-PROC-OUT
100500                             PIC S9(17)      COMP-3.
100600         05  MMOC-FUTURE-USE-IN
100700                             PIC S9(17)      COMP-3.
100800         05  MMOC-FUTURE-USE-OUT
100900                             PIC S9(17)      COMP-3.
101000*
101100*
101200*****************************************************************
101300*    QUARTERLY REPORT TOTALS                                    *
101400*****************************************************************
101500*
101600     03  MMOC-QUARTERLY-RPT-TOTALS.
101700         05  MMOC-QR-VI-TOTALS.
101800             07  MMOC-QR-VI-TABLE            OCCURS 4 TIMES
101900                                             INDEXED BY
102000                                             X-MMOC-QR-VI.
102100                 09  MMOC-QR-VI-NBR-MERCHANTS
102200                             PIC S9(09)      COMP-3.
102300                 09  MMOC-QR-VI-NBR-STORES
102400                             PIC S9(09)      COMP-3.
102500                 09  MMOC-QR-VI-MONTHS-DATA  OCCURS 3 TIMES
102600                                             INDEXED BY
102700                                             X-MMOC-QR-VI-MON.
102800                     11  MMOC-QR-VI-MONTH
102900                             PIC  9(02).
103000                     11  MMOC-QR-VI-YEAR
103100                             PIC  9(04).
103200                     11  MMOC-QR-VI-SALES-NBR
103300                             PIC S9(09)      COMP-3.
103400                     11  MMOC-QR-VI-SALES-AMT
103500                             PIC S9(17)      COMP-3.
103600                     11  MMOC-QR-VI-RETURNS-NBR
103700                             PIC S9(09)      COMP-3.
103800                     11  MMOC-QR-VI-RETURNS-AMT
103900                             PIC S9(17)      COMP-3.
104000                     11  MMOC-QR-VI-OUTGO-SALES-NBR
104100                             PIC S9(09)      COMP-3.
104200                     11  MMOC-QR-VI-OUTGO-SALES-AMT
104300                             PIC S9(17)      COMP-3.
104400                     11  MMOC-QR-VI-OUTGO-RETURNS-NBR
104500                             PIC S9(09)      COMP-3.
104600                     11  MMOC-QR-VI-OUTGO-RETURNS-AMT
104700                             PIC S9(17)      COMP-3.
104800*
104900         05  MMOC-QR-MC-TOTALS.
105000             07  MMOC-QR-MC-TABLE            OCCURS 4 TIMES
105100                                             INDEXED BY
105200                                             X-MMOC-QR-MC.
105300                 09  MMOC-QR-MC-NBR-MERCHANTS
105400                             PIC S9(09)      COMP-3.
105500                 09  MMOC-QR-MC-ADD-MERCHANTS
105600                             PIC S9(09)      COMP-3.
105700                 09  MMOC-QR-MC-DEL-MERCHANTS
105800                             PIC S9(09)      COMP-3.
105900                 09  MMOC-QR-MC-NBR-STORES
106000                             PIC S9(09)      COMP-3.
106100                 09  MMOC-QR-MC-ADD-STORES
106200                             PIC S9(09)      COMP-3.
106300                 09  MMOC-QR-MC-DEL-STORES
106400                             PIC S9(09)      COMP-3.
106500                 09  MMOC-QR-MC-NBR-MANUAL-CASH
106600                             PIC S9(09)      COMP-3.
106700                 09  MMOC-QR-MC-NBR-ATM
106800                             PIC S9(09)      COMP-3.
106900                 09  MMOC-QR-MC-NBR-ATM-CIRRUS
107000                             PIC S9(09)      COMP-3.
107100                 09  MMOC-QR-MC-RETAIL-STORES
107200                             PIC S9(09)      COMP-3.
107300                 09  MMOC-QR-MC-T-E-STORES
107400                             PIC S9(09)      COMP-3.
107500                 09  MMOC-QR-MC-SERVICE-STORES
107600                             PIC S9(09)      COMP-3.
107700                 09  MMOC-QR-MC-OTHER-STORES
107800                             PIC S9(09)      COMP-3.
107900                 09  MMOC-QR-MC-POS-TERMINALS
108000                             PIC S9(09)      COMP-3.
108100*****************************************************************
108200*                                     INDEX 1=PURCHASES         *
108300*                                     INDEX 2=CASH              *
108400*                                     INDEX 3=RETURNS/CREDITS   *
108500*****************************************************************
108600                 09  MMOC-QR-MC-ACTIVITY     OCCURS 3 TIMES
108700                                             INDEXED BY
108800                                             X-MMOC-QR-MC-ACT.
108900                     11  MMOC-QR-MC-INTRA-ONUS-NBR                EH800900
108910                             PIC S9(09)      COMP-3.              EH800900
109000                     11  MMOC-QR-MC-INTRA-ONUS-AMT                EH800900
109010                             PIC S9(17)      COMP-3.              EH800900
109100                     11  MMOC-QR-MC-INTRA-DIFF-NBR                EH800900
109110                             PIC S9(09)      COMP-3.              EH800900
109200                     11  MMOC-QR-MC-INTRA-DIFF-AMT                EH800900
109210                             PIC S9(17)      COMP-3.              EH800900
109300                     11  MMOC-QR-MC-DOMESTIC-NBR
109400                             PIC S9(09)      COMP-3.
109500                     11  MMOC-QR-MC-DOMESTIC-AMT
109600                             PIC S9(17)      COMP-3.
109700                     11  MMOC-QR-MC-INTER-NBR
109800                             PIC S9(09)      COMP-3.
109900                     11  MMOC-QR-MC-INTER-AMT
110000                             PIC S9(17)      COMP-3.
110100*
110200*
110300*****************************************************************
110400*           ORGANIZATION CLOSE/PURGE OPTIONS                    *
110500*****************************************************************
110600*
110700     03  MMOC-CLOSE-OPTIONS.
110800         05  MMOC-CLOSE-OPTIONS-TABLE        OCCURS 2 TIMES
110900                                             INDEXED BY
111000                                             X-MMOC-CO.
111100             07  MMOC-AUTO-CLOSE-FLAG
111200                             PIC  X(01).
111300                 88  MMOC-AUTO-CLOSE-ON      VALUE 'Y'.
111400                 88  MMOC-AUTO-CLOSE-OFF     VALUE 'N'.
111500             07  MMOC-AUTO-CLOSE-MONTHS
111600                             PIC  9(02).
111700*
111800             07  MMOC-AUTO-CLOSE-FREQ-1-X.
111900                 09  MMOC-AUTO-CLOSE-FREQ-1
112000                             PIC  9(02).
112100                     88  MMOC-ACF1-DAILY-CLOSE
112200                                             VALUE 99.
112300                     88  MMOC-ACF1-WEEKLY-CLOSE
112400                                             VALUE 41 THRU 47.
112500                     88  MMOC-ACF1-MONTHLY-CLOSE
112600                                             VALUE 01 THRU 31.
112700                     88  MMOC-ACF1-VALID-FREQ-CLOSE
112800                                             VALUE 99
112900                                                   01 THRU 31
113000                                                   41 THRU 47.
113100             07  MMOC-AUTO-CLOSE-FREQ-1-R
113200                             REDEFINES MMOC-AUTO-CLOSE-FREQ-1-X.
113300                 09  FILLER  PIC  X(01).
113400                 09  MMOC-AUTO-CLOSE-F1-DOW
113500                             PIC  9(01).
113600*
113700             07  MMOC-AUTO-CLOSE-FREQ-2-X.
113800                 09  MMOC-AUTO-CLOSE-FREQ-2
113900                             PIC  9(02).
114000                     88  MMOC-ACF2-DAILY-CLOSE
114100                                             VALUE 99.
114200                     88  MMOC-ACF2-WEEKLY-CLOSE
114300                                             VALUE 41 THRU 47.
114400                     88  MMOC-ACF2-MONTHLY-CLOSE
114500                                             VALUE 01 THRU 31.
114600                     88  MMOC-ACF2-VALID-FREQ-CLOSE
114700                                             VALUE 99
114800                                                   01 THRU 31
114900                                                   41 THRU 47.
115000             07  MMOC-AUTO-CLOSE-FREQ-2-R
115100                             REDEFINES MMOC-AUTO-CLOSE-FREQ-2-X.
115200                 09  FILLER  PIC  X(01).
115300                 09  MMOC-AUTO-CLOSE-F2-DOW
115400                             PIC  9(01).
115500*
115600*
115700*
115800     03  MMOC-PURGE-OPTIONS.
115900         05  MMOC-PURGE-OPTIONS-TABLE        OCCURS 2 TIMES
116000                                             INDEXED BY
116100                                             X-MMOC-PO.
116200             07  MMOC-AUTO-PURGE-FLAG
116300                             PIC  X(01).
116400                 88  MMOC-AUTO-PURGE-ON      VALUE 'Y'.
116500                 88  MMOC-AUTO-PURGE-OFF     VALUE 'N'.
116600             07  MMOC-AUTO-PURGE-MONTHS
116700                             PIC  9(02).
116800*
116900             07  MMOC-AUTO-PURGE-FREQ-1-X.
117000                 09  MMOC-AUTO-PURGE-FREQ-1
117100                             PIC  9(02).
117200                     88  MMOC-APF1-DAILY-PURGE
117300                                             VALUE 99.
117400                     88  MMOC-APF1-WEEKLY-PURGE
117500                                             VALUE 41 THRU 47.
117600                     88  MMOC-APF1-MONTHLY-PURGE
117700                                             VALUE 01 THRU 31.
117800                     88  MMOC-APF1-VALID-FREQ-PURGE
117900                                             VALUE 99
118000                                                   01 THRU 31
118100                                                   41 THRU 47.
118200             07  MMOC-AUTO-PURGE-FREQ-1-R
118300                             REDEFINES MMOC-AUTO-PURGE-FREQ-1-X.
118400                 09  FILLER  PIC  X(01).
118500                 09  MMOC-AUTO-PURGE-F1-DOW
118600                             PIC  9(01).
118700*
118800             07  MMOC-AUTO-PURGE-FREQ-2-X.
118900                 09  MMOC-AUTO-PURGE-FREQ-2
119000                             PIC  9(02).
119100                     88  MMOC-APF2-DAILY-PURGE
119200                                             VALUE 99.
119300                     88  MMOC-APF2-WEEKLY-PURGE
119400                                             VALUE 41 THRU 47.
119500                     88  MMOC-APF2-MONTHLY-PURGE
119600                                             VALUE 01 THRU 31.
119700                     88  MMOC-APF2-VALID-FREQ-PURGE
119800                                             VALUE 99
119900                                                   01 THRU 31
120000                                                   41 THRU 47.
120100             07  MMOC-AUTO-PURGE-FREQ-2-R
120200                             REDEFINES MMOC-AUTO-PURGE-FREQ-2-X.
120300                 09  FILLER  PIC  X(01).
120400                 09  MMOC-AUTO-PURGE-F2-DOW
120500                             PIC  9(01).
120600*
120700         05  MMOC-FINAL-PURGE-DAYS
120800                             PIC S9(03)      COMP-3.
120900*
120910     03  MMOC-PROJECT-7787.                                       EH800900
120912         05  MMOC-MEMBER-ID                                       EH800900
120914                             PIC  9(09).                          EH800900
120916         05  MMOC-EUROPAY-CMID                                    EH800900
120918                             PIC  9(09).                          EH800900
121000*
121100*
121200     03  MMOC-FILLER         PIC  X(230).                         EH800900
121300*
121400*
121500*
121600     03  MMOC-USER-FILLER    PIC  X(500).
121700*
121800*
121900*
122000*       ***************************************************
122100*       *              END OF COPYBOOK MMOCRL             *
122200*       ***************************************************
