000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMPFIR ------------PLATE REQUEST FILE----------- 1630 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMPFIR-RECORD.
001000     03  MMPFIR-KEY.
001100         05  MMPFIR-ORG-MERCHANT.
001200             88  MMPFIR-HEADER               VALUE ZERO.
001300             88  MMPFIR-TRAILER              VALUE ALL '9'.
001400             07  MMPFIR-ORG-X.
001500                 09  MMPFIR-ORG
001600                             PIC  9(03)      VALUE ZERO.
001700             07  MMPFIR-MERCHANT-X.
001800                 09  MMPFIR-MERCHANT
001900                             PIC  9(09)      VALUE ZERO.
002000         05  MMPFIR-TYPE     PIC  X(01)      VALUE SPACES.
002100             88  MMPFIR-MERCHANT-RECORD      VALUE 'M'.
002200             88  MMPFIR-STORE-RECORD         VALUE 'S'.
002300*
002400     03  MMPFIR-STATUS-INFORMATION.
002500         05  MMPFIR-REC-STATUS
002600                             PIC  9(01)      VALUE ZERO.
002700             88  MMPFIR-REC-INCOMPLETE       VALUE 0.
002800             88  MMPFIR-REC-ACTIVE           VALUE 1.
002900             88  MMPFIR-REC-PURGED           VALUE 9.
003000         05  MMPFIR-ONLINE-STATUS
003100                             PIC  9(02)      VALUE ZERO.
003200             88  MMPFIR-ADD-PENDING          VALUE 00 THRU 49.
003300             88  MMPFIR-ADD-COMPLETED        VALUE 99.
003400         05  MMPFIR-LAST-MAINT-DATE
003500                             PIC S9(07)      COMP-3 VALUE ZERO.
003600         05  MMPFIR-LAST-MAINT-OPER
003700                             PIC  X(03)      VALUE SPACES.
003800*
003900*****************************************************************
004000*    PLATE DATA                                                 *
004100*****************************************************************
004200*
004300     03  MMPFIR-PLATE-DATA.
004400         05  MMPFIR-STMT-ADDR-CONTROL
004500                             PIC  X(01)      VALUE 'P'.
004600             88  MMPFIR-SAC-USE-PRIMARY      VALUE 'P'.
004700             88  MMPFIR-SAC-USE-SECONDARY    VALUE 'S'.
004800             88  MMPFIR-SAC-IS-VALID         VALUE 'P' 'S'.
004900         05  MMPFIR-PLATE-REQUEST-DATA       OCCURS 4 TIMES
005000                                             INDEXED BY
005100                                             X-MMPFIR-PRD.
005200             07  MMPFIR-NBR-PLATES-REQ
005300                             PIC S9(05)      COMP-3 VALUE ZERO.
005400             07  MMPFIR-PLATE-TYPE
005500                             PIC  X(02)      VALUE SPACES.
005600         05  MMPFIR-MERCHANT-ID
005700                             PIC S9(09)      COMP-3 VALUE ZERO.
005800         05  MMPFIR-ACTIVE-DR-RT
005900                             PIC S9(09)      COMP-3 VALUE ZERO.
006000         05  MMPFIR-ACTIVE-DR-ACCT
006100                             PIC  X(17)      VALUE SPACES.
006200         05  MMPFIR-ACTIVE-DR-ACCT-TYPE
006300                             PIC  X(01)      VALUE SPACES.
006400             88  MMPFIR-ACTIVE-DR-ACCT-DDA   VALUE 'D'.
006500             88  MMPFIR-ACTIVE-DR-ACCT-SAV   VALUE 'S'.
006600         05  MMPFIR-USER-DATA
006700                             PIC  X(17)      VALUE SPACES.
006800         05  MMPFIR-USER-CODE
006900                             PIC  X(03)      VALUE SPACES.
007000         05  MMPFIR-USER-PHONE
007100                             PIC  X(20)      VALUE SPACES.
007200         05  MMPFIR-USER-NAME
007300                             PIC  X(30)      VALUE SPACES.
007400         05  MMPFIR-USER-NBR-1
007500                             PIC  9(09)      VALUE ZERO.
007600         05  MMPFIR-USER-NBR-2
007700                             PIC  9(09)      VALUE ZERO.
007800*
007900         05  MMPFIR-AGENT-BANK
008000                             PIC  9(05)      VALUE ZERO.
008100         05  MMPFIR-BRANCH
008200                             PIC  9(09)      VALUE ZERO.
008300*
008400         05  FILLER          PIC  X(82)      VALUE SPACES.
008500*
008600         05  MMPFIR-USER-FILLER
008700                             PIC  X(80)      VALUE SPACES.
008800*
008900*
009000*
009100*****************************************************************
009200*    MERCHANT DEMOGRAPHICS AND IMPRINTER DATA                   *
009300*****************************************************************
009400*
009500     03  MMPFIR-M-DEMOGRAPHICS-AREA.
009600         05  MMPFIR-M-DEMOGRAPHICS-TABLE     OCCURS 2 TIMES
009700                                             INDEXED BY
009800                                             X-MMPFIR-M-PRIMARY
009900                                             X-MMPFIR-M-SECONDARY.
010000             07  MMPFIR-M-GNA-NBR
010100                             PIC  X(19)      VALUE SPACES.
010200             07  MMPFIR-M-NA-LINES-TABLE
010300                                             OCCURS 5 TIMES
010400                                             INDEXED BY
010500                                             X-MMPFIR-M-NA.
010600                 09  MMPFIR-M-NA-LINE
010700                             PIC  X(40)      VALUE SPACES.
010800             07  MMPFIR-M-NA-OVERFLOW-SW
010900                             PIC  X(01)      VALUE 'N'.
011000                 88  MMPFIR-M-NA-OVERFLOW-YES
011100                                             VALUE 'Y'.
011200                 88  MMPFIR-M-NA-OVERFLOW-NO VALUE 'N'.
011300             07  MMPFIR-M-COUNTRY-CODE
011400                             PIC  X(03)      VALUE SPACES.
011500             07  MMPFIR-M-STATE-CODE
011600                             PIC  X(03)      VALUE SPACES.
011700             07  MMPFIR-M-POSTAL-CODE
011800                             PIC  X(10)      VALUE SPACES.
011900             07  MMPFIR-M-PHONE
012000                             PIC  X(20)      VALUE SPACES.
012100             07  MMPFIR-M-FAX
012200                             PIC  X(20)      VALUE SPACES.
012300*
012400     03  MMPFIR-M-DBA-DEMOGRAPHICS.
012500         05  MMPFIR-M-DBA-NAME
012600                             PIC  X(25)      VALUE SPACES.
012700         05  MMPFIR-M-DBA-CITY
012800                             PIC  X(13)      VALUE SPACES.
012900         05  MMPFIR-M-DBA-COUNTRY-CODE
013000                             PIC  X(03)      VALUE SPACES.
013100*
013200     03  MMPFIR-M-IMP-INFO.
013300         05  MMPFIR-M-IMP-DEV                OCCURS 3 TIMES
013400                                             INDEXED BY
013500                                             X-MMPFIR-M-IMP.
013600             07  MMPFIR-M-IMP-DEV-TITLE
013700                             PIC  X(15)      VALUE SPACES.
013800             07  MMPFIR-M-IMP-DEV-NBR
013900                             PIC S9(05)      COMP-3 VALUE ZERO.
014000*
014100*
014200*
014300*****************************************************************
014400*    STORE DEMOGRAPHICS AND IMPRINTER DATA                      *
014500*****************************************************************
014600*
014700     03  MMPFIR-S-DEMOGRAPHICS-AREA.
014800         05  MMPFIR-S-DEMOGRAPHICS-TABLE     OCCURS 2 TIMES
014900                                             INDEXED BY
015000                                             X-MMPFIR-S-PRIMARY
015100                                             X-MMPFIR-S-SECONDARY.
015200             07  MMPFIR-S-GNA-NBR
015300                             PIC  X(19)      VALUE SPACES.
015400             07  MMPFIR-S-NA-LINES-TABLE
015500                                             OCCURS 5 TIMES
015600                                             INDEXED BY
015700                                             X-MMPFIR-S-NA.
015800                 09  MMPFIR-S-NA-LINE
015900                             PIC  X(40)      VALUE SPACES.
016000             07  MMPFIR-S-NA-OVERFLOW-SW
016100                             PIC  X(01)      VALUE 'N'.
016200                 88  MMPFIR-S-NA-OVERFLOW-YES
016300                                             VALUE 'Y'.
016400                 88  MMPFIR-S-NA-OVERFLOW-NO VALUE 'N'.
016500             07  MMPFIR-S-COUNTRY-CODE
016600                             PIC  X(03)      VALUE SPACES.
016700             07  MMPFIR-S-STATE-CODE
016800                             PIC  X(03)      VALUE SPACES.
016900             07  MMPFIR-S-POSTAL-CODE
017000                             PIC  X(10)      VALUE SPACES.
017100             07  MMPFIR-S-PHONE
017200                             PIC  X(20)      VALUE SPACES.
017300             07  MMPFIR-S-FAX
017400                             PIC  X(20)      VALUE SPACES.
017500*
017600     03  MMPFIR-S-DBA-DEMOGRAPHICS.
017700         05  MMPFIR-S-DBA-NAME
017800                             PIC  X(25)      VALUE SPACES.
017900         05  MMPFIR-S-DBA-CITY
018000                             PIC  X(13)      VALUE SPACES.
018100         05  MMPFIR-S-DBA-COUNTRY-CODE
018200                             PIC  X(03)      VALUE SPACES.
018300*
018400     03  MMPFIR-S-IMP-INFO.
018500         05  MMPFIR-S-IMP-DEV                OCCURS 3 TIMES
018600                                             INDEXED BY
018700                                             X-MMPFIR-S-IMP.
018800             07  MMPFIR-S-IMP-DEV-TITLE
018900                             PIC  X(15)      VALUE SPACES.
019000             07  MMPFIR-S-IMP-DEV-NBR
019100                             PIC S9(05)      COMP-3 VALUE ZERO.
019200*
019300*       ***************************************************
019400*       *              END OF COPYBOOK MMPFIR             *
019500*       ***************************************************
