000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMPFRL ------------PLATE REQUEST FILE----------- 1630 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMPF-RECORD.
001000     03  MMPF-KEY.
001100         05  MMPF-ORG-MERCHANT.
001200             88  MMPF-HEADER                 VALUE ZERO.
001300             88  MMPF-TRAILER                VALUE ALL '9'.
001400             07  MMPF-ORG-X.
001500                 09  MMPF-ORG
001600                             PIC  9(03).
001700             07  MMPF-MERCHANT-X.
001800                 09  MMPF-MERCHANT
001900                             PIC  9(09).
002000         05  MMPF-TYPE       PIC  X(01).
002100             88  MMPF-MERCHANT-RECORD        VALUE 'M'.
002200             88  MMPF-STORE-RECORD           VALUE 'S'.
002300*
002400     03  MMPF-STATUS-INFORMATION.
002500         05  MMPF-REC-STATUS
002600                             PIC  9(01).
002700             88  MMPF-REC-INCOMPLETE         VALUE 0.
002800             88  MMPF-REC-ACTIVE             VALUE 1.
002900             88  MMPF-REC-PURGED             VALUE 9.
003000         05  MMPF-ONLINE-STATUS
003100                             PIC  9(02).
003200             88  MMPF-ADD-PENDING            VALUE 00 THRU 49.
003300             88  MMPF-ADD-COMPLETED          VALUE 99.
003400         05  MMPF-LAST-MAINT-DATE
003500                             PIC S9(07)      COMP-3.
003600         05  MMPF-LAST-MAINT-OPER
003700                             PIC  X(03).
003800*
003900*****************************************************************
004000*    PLATE DATA                                                 *
004100*****************************************************************
004200*
004300     03  MMPF-PLATE-DATA.
004400         05  MMPF-STMT-ADDR-CONTROL
004500                             PIC  X(01).
004600             88  MMPF-SAC-USE-PRIMARY        VALUE 'P'.
004700             88  MMPF-SAC-USE-SECONDARY      VALUE 'S'.
004800             88  MMPF-SAC-IS-VALID           VALUE 'P' 'S'.
004900         05  MMPF-PLATE-REQUEST-DATA         OCCURS 4 TIMES
005000                                             INDEXED BY
005100                                             X-MMPF-PRD.
005200             07  MMPF-NBR-PLATES-REQ
005300                             PIC S9(05)      COMP-3.
005400             07  MMPF-PLATE-TYPE
005500                             PIC  X(02).
005600         05  MMPF-MERCHANT-ID
005700                             PIC S9(09)      COMP-3.
005800         05  MMPF-ACTIVE-DR-RT
005900                             PIC S9(09)      COMP-3.
006000         05  MMPF-ACTIVE-DR-ACCT
006100                             PIC  X(17).
006200         05  MMPF-ACTIVE-DR-ACCT-TYPE
006300                             PIC  X(01).
006400             88  MMPF-ACTIVE-DR-ACCT-DDA     VALUE 'D'.
006500             88  MMPF-ACTIVE-DR-ACCT-SAV     VALUE 'S'.
006600         05  MMPF-USER-DATA
006700                             PIC  X(17).
006800         05  MMPF-USER-CODE
006900                             PIC  X(03).
007000         05  MMPF-USER-PHONE
007100                             PIC  X(20).
007200         05  MMPF-USER-NAME
007300                             PIC  X(30).
007400         05  MMPF-USER-NBR-1
007500                             PIC  9(09).
007600         05  MMPF-USER-NBR-2
007700                             PIC  9(09).
007800*
007900         05  MMPF-AGENT-BANK
008000                             PIC  9(05).
008100         05  MMPF-BRANCH
008200                             PIC  9(09).
008300*
008400         05  FILLER          PIC  X(82).
008500*
008600         05  MMPF-USER-FILLER
008700                             PIC  X(80).
008800*
008900*
009000*
009100*****************************************************************
009200*    MERCHANT DEMOGRAPHICS AND IMPRINTER DATA                   *
009300*****************************************************************
009400*
009500     03  MMPF-M-DEMOGRAPHICS-AREA.
009600         05  MMPF-M-DEMOGRAPHICS-TABLE       OCCURS 2 TIMES
009700                                             INDEXED BY
009800                                             X-MMPF-M-PRIMARY
009900                                             X-MMPF-M-SECONDARY.
010000             07  MMPF-M-GNA-NBR
010100                             PIC  X(19).
010200             07  MMPF-M-NA-LINES-TABLE
010300                                             OCCURS 5 TIMES
010400                                             INDEXED BY
010500                                             X-MMPF-M-NA.
010600                 09  MMPF-M-NA-LINE
010700                             PIC  X(40).
010800             07  MMPF-M-NA-OVERFLOW-SW
010900                             PIC  X(01).
011000                 88  MMPF-M-NA-OVERFLOW-YES
011100                                             VALUE 'Y'.
011200                 88  MMPF-M-NA-OVERFLOW-NO   VALUE 'N'.
011300             07  MMPF-M-COUNTRY-CODE
011400                             PIC  X(03).
011500             07  MMPF-M-STATE-CODE
011600                             PIC  X(03).
011700             07  MMPF-M-POSTAL-CODE
011800                             PIC  X(10).
011900             07  MMPF-M-PHONE
012000                             PIC  X(20).
012100             07  MMPF-M-FAX
012200                             PIC  X(20).
012300*
012400     03  MMPF-M-DBA-DEMOGRAPHICS.
012500         05  MMPF-M-DBA-NAME
012600                             PIC  X(25).
012700         05  MMPF-M-DBA-CITY
012800                             PIC  X(13).
012900         05  MMPF-M-DBA-COUNTRY-CODE
013000                             PIC  X(03).
013100*
013200     03  MMPF-M-IMP-INFO.
013300         05  MMPF-M-IMP-DEV                  OCCURS 3 TIMES
013400                                             INDEXED BY
013500                                             X-MMPF-M-IMP.
013600             07  MMPF-M-IMP-DEV-TITLE
013700                             PIC  X(15).
013800             07  MMPF-M-IMP-DEV-NBR
013900                             PIC S9(05)      COMP-3.
014000*
014100*
014200*
014300*****************************************************************
014400*    STORE DEMOGRAPHICS AND IMPRINTER DATA                      *
014500*****************************************************************
014600*
014700     03  MMPF-S-DEMOGRAPHICS-AREA.
014800         05  MMPF-S-DEMOGRAPHICS-TABLE       OCCURS 2 TIMES
014900                                             INDEXED BY
015000                                             X-MMPF-S-PRIMARY
015100                                             X-MMPF-S-SECONDARY.
015200             07  MMPF-S-GNA-NBR
015300                             PIC  X(19).
015400             07  MMPF-S-NA-LINES-TABLE
015500                                             OCCURS 5 TIMES
015600                                             INDEXED BY
015700                                             X-MMPF-S-NA.
015800                 09  MMPF-S-NA-LINE
015900                             PIC  X(40).
016000             07  MMPF-S-NA-OVERFLOW-SW
016100                             PIC  X(01).
016200                 88  MMPF-S-NA-OVERFLOW-YES
016300                                             VALUE 'Y'.
016400                 88  MMPF-S-NA-OVERFLOW-NO   VALUE 'N'.
016500             07  MMPF-S-COUNTRY-CODE
016600                             PIC  X(03).
016700             07  MMPF-S-STATE-CODE
016800                             PIC  X(03).
016900             07  MMPF-S-POSTAL-CODE
017000                             PIC  X(10).
017100             07  MMPF-S-PHONE
017200                             PIC  X(20).
017300             07  MMPF-S-FAX
017400                             PIC  X(20).
017500*
017600     03  MMPF-S-DBA-DEMOGRAPHICS.
017700         05  MMPF-S-DBA-NAME
017800                             PIC  X(25).
017900         05  MMPF-S-DBA-CITY
018000                             PIC  X(13).
018100         05  MMPF-S-DBA-COUNTRY-CODE
018200                             PIC  X(03).
018300*
018400     03  MMPF-S-IMP-INFO.
018500         05  MMPF-S-IMP-DEV                  OCCURS 3 TIMES
018600                                             INDEXED BY
018700                                             X-MMPF-S-IMP.
018800             07  MMPF-S-IMP-DEV-TITLE
018900                             PIC  X(15).
019000             07  MMPF-S-IMP-DEV-NBR
019100                             PIC S9(05)      COMP-3.
019200*
019300*       ***************************************************
019400*       *              END OF COPYBOOK MMPFRL             *
019500*       ***************************************************
