000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMRCIR -- INITIALIZER ROUTINE WORK AREA AND INITIALIZER      *
000600*            RECORD LAYOUT.                                     *
000700*                                                               *
000800*****************************************************************
000900 01  MMRCIR-WORK-AREAS.
001000     03  MMRCIR-DATE         PIC S9(07)      COMP-3 VALUE ZERO.
001100     03  MMRCIR-OCC-ID-TABLE-X.
001200         05  MMRCIR-JAN      PIC  X(03)      VALUE 'JAN'.
001300         05  MMRCIR-FEB      PIC  X(03)      VALUE 'FEB'.
001400         05  MMRCIR-MAR      PIC  X(03)      VALUE 'MAR'.
001500         05  MMRCIR-APR      PIC  X(03)      VALUE 'APR'.
001600         05  MMRCIR-MAY      PIC  X(03)      VALUE 'MAY'.
001700         05  MMRCIR-JUN      PIC  X(03)      VALUE 'JUN'.
001800         05  MMRCIR-JUL      PIC  X(03)      VALUE 'JUL'.
001900         05  MMRCIR-AUG      PIC  X(03)      VALUE 'AUG'.
002000         05  MMRCIR-SEP      PIC  X(03)      VALUE 'SEP'.
002100         05  MMRCIR-OCT      PIC  X(03)      VALUE 'OCT'.
002200         05  MMRCIR-NOV      PIC  X(03)      VALUE 'NOV'.
002300         05  MMRCIR-DEC      PIC  X(03)      VALUE 'DEC'.
002400         05  MMRCIR-CUR      PIC  X(03)      VALUE 'CUR'.
002500         05  MMRCIR-MTD      PIC  X(03)      VALUE 'MTD'.
002600         05  MMRCIR-YTD      PIC  X(03)      VALUE 'YTD'.
002700         05  MMRCIR-CTD      PIC  X(03)      VALUE 'CTD'.
002800         05  MMRCIR-DTD      PIC  X(03)      VALUE 'DTD'.
002900         05  MMRCIR-PTD      PIC  X(03)      VALUE 'PTD'.
003000     03  MMRCIR-OCC-ID-TABLE-R
003100                             REDEFINES MMRCIR-OCC-ID-TABLE-X.
003200         05  MMRCIR-OIT      PIC  X(03)      OCCURS 18 TIMES
003300                                             INDEXED BY
003400                                             X-MMRCIR-OIT.
003500/
003600*****************************************************************
003700*                                                               *
003800*  V - PLUS  M E R C H A N T   B A N K C A R D  S Y S T E M     *
003900*                                                               *
004000* MMRCRL ---MERCHANT RELATIONSHIP CONTROL RECORD---  1630 BYTES *
004100*                                                               *
004200*****************************************************************
004300*
004400 01  MMRCIR-RECORD.
004500     03  MMRCIR-KEY.
004600         05  MMRCIR-ORG-CHAIN.
004700             88  MMRCIR-HEADER               VALUE ZERO.
004800             88  MMRCIR-TRAILER              VALUE '999999999999'.
004900             07  MMRCIR-ORG-X.
005000                 09  MMRCIR-ORG
005100                             PIC  9(03)      VALUE ZERO.
005200             07  MMRCIR-CHAIN-X.
005300                 09  MMRCIR-CHAIN
005400                             PIC  9(09)      VALUE ZERO.
005500*
005600     03  MMRCIR-STATUS-INFORMATION.
005700         05  MMRCIR-REC-STATUS
005800                             PIC  9(01)      VALUE ZERO.
005900             88  MMRCIR-REC-INCOMPLETE       VALUE 0.
006000             88  MMRCIR-REC-ACTIVE           VALUE 1.
006100             88  MMRCIR-REC-INACTIVE         VALUE 2.
006200             88  MMRCIR-REC-PURGED           VALUE 9.
006300*
006400         05  MMRCIR-ONLINE-STATUS
006500                             PIC  9(02)      VALUE ZERO.
006600             88  MMRCIR-ADD-PENDING          VALUE 00 THRU 49.
006700             88  MMRCIR-ADD-COMPLETED        VALUE 99.
006800*
006900         05  MMRCIR-LAST-MAINT-DATE
007000                             PIC S9(07)      COMP-3 VALUE ZERO.
007100         05  MMRCIR-LAST-MAINT-OPER
007200                             PIC  X(03)      VALUE SPACES.
007300*
007400*****************************************************************
007500*    PRIMARY DEMOGRAPHICS                                       *
007600*****************************************************************
007700*
007800     03  MMRCIR-DEMOGRAPHICS-AREA.
007900         05  MMRCIR-DEMOGRAPHICS-TABLE.
008000             07  MMRCIR-GNA-NBR
008100                             PIC  X(19)      VALUE SPACES.
008200             07  MMRCIR-NA-LINES-TABLE
008300                                             OCCURS 5 TIMES
008400                                             INDEXED BY
008500                                             X-MMRCIR-NA.
008600                 09  MMRCIR-NA-LINE
008700                             PIC  X(40)      VALUE SPACES.
008800             07  MMRCIR-NA-OVERFLOW-SW
008900                             PIC  X(01)      VALUE SPACES.
009000                 88  MMRCIR-NA-OVERFLOW-YES  VALUE 'Y'.
009100                 88  MMRCIR-NA-OVERFLOW-NO   VALUE 'N'.
009200             07  MMRCIR-COUNTRY-CODE
009300                             PIC  X(03)      VALUE SPACES.
009400             07  MMRCIR-STATE-CODE
009500                             PIC  X(03)      VALUE SPACES.
009600             07  MMRCIR-POSTAL-CODE
009700                             PIC  X(10)      VALUE SPACES.
009800             07  MMRCIR-PHONE
009900                             PIC  X(20)      VALUE SPACES.
010000             07  MMRCIR-FAX
010100                             PIC  X(20)      VALUE SPACES.
010200*
010300*****************************************************************
010400*    CHAIN PROCESSING OPTIONS AND STATIC DATA                   *
010500*****************************************************************
010600*
010700     03  MMRCIR-CHAIN-DATA.
010800         05  FILLER          PIC  X(30)      VALUE SPACES.
010900         05  MMRCIR-STMT-OPTION
011000                             PIC  X(01)      VALUE 'N'.
011100             88  MMRCIR-PRODUCE-CHAIN-STMT   VALUE 'Y'.
011200             88  MMRCIR-NO-CHAIN-STMT        VALUE 'N'.
011300*
011400         05  MMRCIR-DATE-LAST-STMT
011500                             PIC S9(07)      COMP-3 VALUE ZERO.
011600*
011700         05  MMRCIR-DATE-PREV-STMT
011800                             PIC S9(07)      COMP-3 VALUE ZERO.
011900*
012000         05  MMRCIR-BI-WEEKLY-STMT-DATE
012100                             PIC S9(07)      COMP-3 VALUE ZERO.
012200*
012300         05  MMRCIR-STMT-FLAG
012400                             PIC  X(01)      VALUE 'N'.
012500             88  MMRCIR-NORMAL-STMT          VALUE 'N'.
012600             88  MMRCIR-HOLD-STMT            VALUE 'H'.
012700             88  MMRCIR-ONLINE-ONLY-STMT     VALUE 'O'.
012800             88  MMRCIR-USER-HOLD-STMT       VALUE '1' THRU '9'.
012900             88  MMRCIR-VALID-HOLD-STMT      VALUE 'H' 'O'
013000                                                   '1' THRU '9'.
013100*
013200         05  MMRCIR-STMT-MSG-FLAG-TABLE      OCCURS 5 TIMES
013300                                             INDEXED BY
013400                                             X-MMRCIR-STMT-MSG.
013500             07  MMRCIR-STMT-MSG-FLAG
013600                             PIC  X(01)      VALUE 'N'.
013700                 88  MMRCIR-STMT-MSG-PRINT   VALUE 'Y'.
013800                 88  MMRCIR-STMT-MSG-SUPPRESS
013900                                             VALUE 'N'.
014000                 88  MMRCIR-STMT-MSG-PERIODIC
014100                                             VALUE 'P'.
014200             07  MMRCIR-STMT-MSG-LINE-X      OCCURS 3 TIMES
014300                                             INDEXED BY
014400                                         X-MMRCIR-STMT-MSG-LINE.
014500                     11  MMRCIR-STMT-MSG-LINE
014600                             PIC  X(50)      VALUE SPACES.
014700*
014800         05  MMRCIR-STMT-FREQ-1-X.
014900             07  MMRCIR-STMT-FREQ-1
015000                             PIC  9(02)      VALUE ZERO.
015100                 88  MMRCIR-SF1-DAILY-STMT
015200                                             VALUE 99.
015300                 88  MMRCIR-SF1-WEEKLY-STMT
015400                                             VALUE 41 THRU 47.
015500                 88  MMRCIR-SF1-BI-WEEKLY-STMT
015600                                             VALUE 51 THRU 57.
015700                 88  MMRCIR-SF1-MONTHLY-STMT
015800                                             VALUE 01 THRU 31.
015900                 88  MMRCIR-SF1-VALID-FREQ
016000                                             VALUE 99
016100                                                   01 THRU 31
016200                                                   41 THRU 47
016300                                                   51 THRU 57.
016400         05  MMRCIR-STMT-FREQ-1-R
016500                             REDEFINES MMRCIR-STMT-FREQ-1-X.
016600             07  FILLER      PIC  9(01).
016700             07  MMRCIR-STMT-FREQ-1-DOW
016800                             PIC  9(01).
016900*
017000         05  MMRCIR-STMT-FREQ-2-X.
017100             07  MMRCIR-STMT-FREQ-2
017200                             PIC  9(02)      VALUE ZERO.
017300                 88  MMRCIR-SF2-NOT-USED
017400                                             VALUE 00.
017500                 88  MMRCIR-SF2-WEEKLY-STMT
017600                                             VALUE 41 THRU 47.
017700                 88  MMRCIR-SF2-MONTHLY-STMT
017800                                             VALUE 01 THRU 31.
017900                 88  MMRCIR-SF2-VALID-FREQ
018000                                             VALUE 00
018100                                                   01 THRU 31
018200                                                   41 THRU 47.
018300         05  MMRCIR-STMT-FREQ-2-R
018400                             REDEFINES MMRCIR-STMT-FREQ-2-X.
018500             07  FILLER      PIC  9(01).
018600             07  MMRCIR-STMT-FREQ-2-DOW
018700                             PIC  9(01).
018800*
018900     03  FILLER              PIC  X(294)     VALUE SPACES.
019000*
019100*****************************************************************
019200*    STATISTICS CONTROL AREA                                    *
019300*****************************************************************
019400*
019500*
019600******************************************************************
019700* OCCURRENCE *---------------DATA CONTENT---------------*        *
019800*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
019900*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
020000*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
020100*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
020200*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
020300*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
020400*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
020500*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
020600*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
020700*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
020800*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
020900*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
021000*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
021100*    14     MONTH-TO-DATE STATS                                  *
021200*    15     YEAR-TO-DATE STATS                                   *
021300*    16     STATEMENT CYCLE-TO-DATE STATS                        *
021400*    17     DISCOUNT-TO-DATE STATS                               *
021500*    18     PARTICIPATION-TO-DATE STATS                          *
021600******************************************************************
021700*
021800     03  MMRCIR-STATS-CONTROL-AREA.
021900         05  MMRCIR-STATS-OCCUR-TABLE        OCCURS 18 TIMES
022000                                             INDEXED BY
022100                                             X-MMRCIR
022200                                             X-MMRCIR-1
022300                                             X-MMRCIR-2
022400                                             X-MMRCIR-3
022500                                             X-MMRCIR-4
022600                                             X-MMRCIR-5
022700                                             X-MMRCIR-6
022800                                             X-MMRCIR-SEARCH.
022900             07  MMRCIR-OCCURRENCE-DESC.
023000                 09  MMRCIR-OCCURRENCE-ID
023100                             PIC  X(03)      VALUE SPACES.
023200                     88  MMRCIR-OID-JAN      VALUE 'JAN'.
023300                     88  MMRCIR-OID-FEB      VALUE 'FEB'.
023400                     88  MMRCIR-OID-MAR      VALUE 'MAR'.
023500                     88  MMRCIR-OID-APR      VALUE 'APR'.
023600                     88  MMRCIR-OID-MAY      VALUE 'MAY'.
023700                     88  MMRCIR-OID-JUN      VALUE 'JUN'.
023800                     88  MMRCIR-OID-JUL      VALUE 'JUL'.
023900                     88  MMRCIR-OID-AUG      VALUE 'AUG'.
024000                     88  MMRCIR-OID-SEP      VALUE 'SEP'.
024100                     88  MMRCIR-OID-OCT      VALUE 'OCT'.
024200                     88  MMRCIR-OID-NOV      VALUE 'NOV'.
024300                     88  MMRCIR-OID-DEC      VALUE 'DEC'.
024400                     88  MMRCIR-OID-CUR      VALUE 'CUR'.
024500                     88  MMRCIR-OID-MTD      VALUE 'MTD'.
024600                     88  MMRCIR-OID-YTD      VALUE 'YTD'.
024700                     88  MMRCIR-OID-CTD      VALUE 'CTD'.
024800                     88  MMRCIR-OID-DTD      VALUE 'DTD'.
024900                     88  MMRCIR-OID-PTD      VALUE 'PTD'.
025000                 09  MMRCIR-OCCURRENCE-YEAR
025100                             PIC  9(04)      VALUE ZERO.
025200*
025300*****************************************************************
025400*    INTERNATIONAL DATA                                         *
025500*****************************************************************
025600*
025700     03  MMRCIR-INTERNATIONAL-DATA.
025800         05  MMRCIR-EURO-REPORTING-FLAG
025900                             PIC  X(01)      VALUE ZERO.
026000             88  MMRCIR-EURO-REPORTING-OFF   VALUE ZERO.
026100             88  MMRCIR-EURO-REPORTING-ON    VALUE '1'.
026200         05  MMRCIR-DUAL-CURRENCY-ORG
026300                             PIC  9(03)      VALUE ZERO.
026400             88  MMRCIR-DUAL-CURRENCY-OFF    VALUE ZERO 999.
026500             88  MMRCIR-DUAL-CURRENCY-ON     VALUE 001 THRU 998.
026600*
026700     03  FILLER              PIC  X(55)      VALUE ZERO.
026800*
026900     03  MMRCIR-USER-FILLER  PIC  X(50)      VALUE SPACES.
027000*
027100*       ***************************************************
027200*       *              END OF COPYBOOK MMRCIR             *
027300*       ***************************************************
