000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMS1RL ------- ON-LINE STATEMENT FILE 1 --- 27 TO 377 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*  OTHER FILES USING THIS PSUEDO-TEXT COPY BOOK ARE:            *
000900*                                                               *
001000*  MB1I---ON-LINE-STATEMENT FILE 1 (SMALL BACKUP INPUT)         *
001100*  MB1O---ON-LINE-STATEMENT FILE 1 (SMALL BACKUP OUTPUT)        *
001200*  MB2I---ON-LINE-STATEMENT FILE 2 (LARGE BACKUP INPUT)         *
001300*  MB2O---ON-LINE-STATEMENT FILE 2 (LARGE BACKUP OUTPUT)        *
001400*  MMS1---ON-LINE-STATEMENT FILE 1 (SMALL)                      *
001500*  MMS2---ON-LINE-STATEMENT FILE 2 (LARGE)                      *
001600*  MTSU---ON-LINE-STATEMENT FILE   (MERGED DAILY INPUT)    TEMP *
001700*  MTU1---ON-LINE-STATEMENT FILE   (RAW INPUT FROM MBD200) TEMP *
001800*  MTU2---ON-LINE-STATEMENT FILE   (RAW INPUT FROM MBD320) TEMP *
001900*  MTU3---ON-LINE-STATEMENT FILE   (RAW INPUT FROM MBD360) TEMP *
002000*                                                               *
002100*****************************************************************
002200*
002300 01  :MMS1:-RECORD.
002400     03  :MMS1:-KEY.
002500         05  :MMS1:-ORG-MERCHANT.
002600             88  :MMS1:-HEADER               VALUE ZERO.
002700             88  :MMS1:-TRAILER              VALUE '999999999999'.
002800             07  :MMS1:-ORG-X.
002900                 09  :MMS1:-ORG
003000                             PIC  9(03).
003100             07  :MMS1:-MERCHANT-X.
003200                 09  :MMS1:-MERCHANT
003300                             PIC  9(09).
003400         05  :MMS1:-ORG-CHAIN REDEFINES :MMS1:-ORG-MERCHANT.
003500             07  FILLER      PIC  9(03).
003600             07  :MMS1:-CHAIN-X.
003700                 09  :MMS1:-CHAIN
003800                             PIC  9(09).
003900         05  :MMS1:-KEY-TYPE PIC  X(01).
004000             88  :MMS1:-KT-CHAIN             VALUE 'C'.
004100             88  :MMS1:-KT-MERCHANT          VALUE 'M'.
004200         05  :MMS1:-STMT-ID-CODE
004300                             PIC S9(08)      BINARY.
004400*                            THE STATEMENT ID CODE IS OBTAINED BY
004500*                            TAKING THE JULIAN DATE ON WHICH THE
004600*                            STATEMENT IS DROPPED AND MULTIPLYING
004700*                            IT BY -1.  THIS IS DONE TO
004800*                            PUT THE STATEMENT RECORDS ON THE
004900*                            ON-LINE STATEMENT FILE IN DESCENDING
005000*                            DATE ORDER.  TO OBTAIN THE STATEMENT
005100*                            DATE, MULTIPLY THIS FIELD BY -1.
005200*                            EXAMPLES.............................
005300*
005400*      JULIAN STMT   GREG STMT       DECIMAL        HEX
005500*       DROP DATE    DROP DATE    STMT-ID-CODE STMT-ID-CODE
005600*        1996336     DEC 01, 1996    -1996336    FFE189D0
005700*        1996307     NOV 01, 1996    -1996307    FFE189ED
005800*        1996275     OCT 01, 1996    -1996275    FFE18A0D
005900*        1996245     SEP 01, 1996    -1996245    FFE18A2B
006000*        1996214     AUG 01, 1996    -1996214    FFE18A4A
006100*        1996183     JUL 01, 1996    -1996183    FFE18A69
006200*        1996153     JUN 01, 1996    -1996153    FFE18A87
006300*        1996122     MAY 01, 1996    -1996122    FFE18AA6
006400*        1996092     APR 01, 1996    -1996092    FFE18AC4
006500*        1996061     MAR 01, 1996    -1996061    FFE18AE3
006600*        1996032     FEB 01, 1996    -1996032    FFE18B00
006700*        1996001     JAN 01, 1996    -1996001    FFE18B16
006800*
006900*
007000         05  :MMS1:-REC-ID.
007100             88  :MMS1:-O50-NA-RECORD        VALUE '0000'.
007200             88  :MMS1:-O50-BALANCE-SUMMARY  VALUE '0100'.
007300             88  :MMS1:-O50-RESERVE-SUMMARY  VALUE '0201'
007400                                                   '0202'
007500                                                   '0203'
007600                                                   '0204'.
007700             88  :MMS1:-O50-RESV-1-SUMMARY   VALUE '0201'.
007800             88  :MMS1:-O50-RESV-2-SUMMARY   VALUE '0202'.
007900             88  :MMS1:-O50-RESV-3-SUMMARY   VALUE '0203'.
008000             88  :MMS1:-O50-RESV-4-SUMMARY   VALUE '0204'.
008100             88  :MMS1:-O50-RECOVERY-ADJ     VALUE '0300'.
008200             88  :MMS1:-O50-ADJ-SUMMARY      VALUE '0400'.
008300             88  :MMS1:-O50-USER-CR-SUMMARY  VALUE '0500'.
008400             88  :MMS1:-O50-FEE-SUMMARY      VALUE '0600'.
008500             88  :MMS1:-O50-SETT-DISTRIB     VALUE '0700'.
008600             88  :MMS1:-O50-SETT-TOTALS      VALUE '0701'.
008700             88  :MMS1:-O50-PRODUCT-SUMMARY  VALUE '0800'
008800                                             THRU  '0899'.
008900             88  :MMS1:-O50-STORE-SUMMARY    VALUE '0900'.
009000             88  :MMS1:-O50-DETAIL-TRANS     VALUE '1000'.
009100             88  :MMS1:-O50-MERCH-SUMMARY    VALUE '1100'.
009200             07  :MMS1:-REC-TYPE
009300                             PIC  9(02).
009400             07  :MMS1:-REC-SEQ
009500                             PIC  9(02).
009600         05  :MMS1:-REC-ID-SEQ
009700                             PIC S9(09)      BINARY.
009800*
009900     03  :MMS1:-REC-LENGTH   PIC S9(04)      BINARY.
010000*
010100     03  :MMS1:-REC-TYPE-DATA.
010200         05  :MMS1:-DATA                     OCCURS 350 TIMES
010300                                             INDEXED BY
010400                                             X-MMS1
010500                             PIC  X(01).
010600*
