000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMSCIR ------ SYSTEM RECORD INITIALIZER ------- 4000 BYTES   *
000600*                                                               *
000700*****************************************************************
000800 01  MMSCIR-RECORD.
000900     03  MMSCIR-KEY.
001000         88  MMSCIR-HEADER                   VALUE '000'.
001100         88  MMSCIR-TRAILER                  VALUE '999'.
001200         05  MMSCIR-ORG-X.
001300             07  MMSCIR-ORG
001400                             PIC  9(03)      VALUE ZERO.
001500*
001600     03  MMSCIR-STATUS-INFORMATION.
001700         05  MMSCIR-ONLINE-STATUS
001800                             PIC  9(02)      VALUE 99.
001900             88  MMSCIR-ADD-PENDING          VALUE 00 THRU 49.
002000             88  MMSCIR-ADD-COMPLETED        VALUE 99.
002100*
002200         05  MMSCIR-LAST-MAINT-DATE
002300                             PIC S9(07)      COMP-3 VALUE ZERO.
002400         05  MMSCIR-LAST-MAINT-OPER
002500                             PIC  X(03)      VALUE SPACES.
002600*
002700*****************************************************************
002800*                SYSTEM PROCESSING CALENDAR                     *
002900*****************************************************************
003000*
003100     03  MMSCIR-CALENDAR.
003200         05  MMSCIR-DAY-OF-WEEK
003300                             PIC  9(01)      VALUE ZERO.
003400         05  MMSCIR-PROCESSING-SW
003500                             PIC  X(01)      VALUE 'Y'.
003600             88  MMSCIR-PROCESSING           VALUE 'Y'.
003700             88  MMSCIR-NOT-PROCESSING       VALUE 'N'.
003800         05  MMSCIR-WORK-WEEK
003900                             PIC  X(07)      VALUE 'XXXXXXX'.
004000         05  MMSCIR-WORK-WEEK-R
004100                             REDEFINES MMSCIR-WORK-WEEK
004200                                             OCCURS 7 TIMES
004300                                             INDEXED BY
004400                                             X-MMSCIR-WW
004500                             PIC  X(01).
004600             88  MMSCIR-WW-DAY-PROCESSING    VALUE 'X'.
004700             88  MMSCIR-WW-DAY-NOT-PROCESS
004800                                             VALUE 'C'.
004900         05  MMSCIR-EOM-EOY-FLAG
005000                             PIC  X(01)      VALUE SPACES.
005100             88  MMSCIR-END-OF-MONTH         VALUE 'M' 'Y'.
005200             88  MMSCIR-END-OF-YEAR          VALUE 'Y'.
005300             88  MMSCIR-FIRST-OF-MONTH       VALUE 'F'.
005400         05  MMSCIR-TODAYS-CALENDAR
005500                             PIC S9(09)      COMP-3 VALUE ZERO.
005600         05  MMSCIR-TODAYS-JULIAN
005700                             PIC S9(07)      COMP-3 VALUE ZERO.
005800         05  MMSCIR-DATE-LAST-PROC
005900                             PIC S9(07)      COMP-3 VALUE ZERO.
006000         05  MMSCIR-DATE-NEXT-PROC
006100                             PIC S9(07)      COMP-3 VALUE ZERO.
006200         05  MMSCIR-ACCR-THRU-DATE
006300                             PIC S9(07)      COMP-3 VALUE ZERO.
006400         05  MMSCIR-DATE-LAST-ACCR
006500                             PIC S9(07)      COMP-3 VALUE ZERO.
006600         05  FILLER          PIC  X(04)      VALUE SPACES.
006700         05  MMSCIR-TIME-STAMP
006800                             PIC S9(11)      COMP-3 VALUE ZERO.
006900         05  MMSCIR-LAST-TIME-STAMP
007000                             PIC S9(11)      COMP-3 VALUE ZERO.
007100         05  MMSCIR-HOLIDAYS-TABLE           OCCURS 25 TIMES
007200                                             INDEXED BY
007300                                             X-MMSCIR-HOL.
007400             07  MMSCIR-HOLIDAYS
007500                             PIC S9(07)      COMP-3 VALUE ZERO.
007600*
007700*****************************************************************
007800*             PROCESSING CENTER MISCELLANOUS DATA               *
007900*****************************************************************
008000*
008100     03  MMSCIR-PROC-CENTER-ID
008200                             PIC  X(30)      VALUE SPACES.
008300     03  MMSCIR-DATE-FORMAT
008400                             PIC  X(01)      VALUE ZERO.
008500*        0 - MMDDYY FORMAT
008600*        1 - DDMMYY FORMAT
008700*
008800     03  MMSCIR-SCREEN-HEADER
008900                             PIC  X(30)      VALUE SPACES.
009000*
009100*****************************************************************
009200*              SYSTEM BATCH PROCESSING DATA                     *
009300*****************************************************************
009400*
009500     03  MMSCIR-FORM         PIC  9(02)      VALUE ZERO.
009600     03  MMSCIR-FICHE-FLAG
009700                             PIC  9(01)      VALUE ZERO.
009800     03  MMSCIR-LINES-PER-PAGE
009900                             PIC  9(02)      VALUE 60.
010000     03  MMSCIR-MER-GROUP-STAT-FLAG
010100                             PIC  X(01)      VALUE 'Y'.
010200         88  MMSCIR-MER-GROUP-STAT-YES       VALUE 'Y'.
010300         88  MMSCIR-MER-GROUP-STAT-NO        VALUE 'N'.
010400     03  MMSCIR-STORE-GROUP-STAT-FLAG
010500                             PIC  X(01)      VALUE 'Y'.
010600         88  MMSCIR-STORE-GROUP-STAT-YES     VALUE 'Y'.
010700         88  MMSCIR-STORE-GROUP-STAT-NO      VALUE 'N'.
010800     03  FILLER              PIC  X(01)      VALUE SPACES.
010900*
011000******************************************************************
011100*              NACHA SYSTEM CONTROL DATA                         *
011200******************************************************************
011300*
011400     03  MMSCIR-ACH-INFO.
011500         05  MMSCIR-ACH-DEST-ABA-NBR
011600                             PIC S9(09)      COMP-3 VALUE ZERO.
011700         05  MMSCIR-ACH-ORIGIN-ABA-NBR
011800                             PIC S9(09)      COMP-3 VALUE ZERO.
011900         05  MMSCIR-ACH-TAX-ID-NBR
012000                             PIC  X(15)      VALUE SPACES.
012100         05  MMSCIR-ACH-FILE-ID-MOD
012200                             PIC  X(01)      VALUE SPACES.
012300         05  MMSCIR-ACH-DEST-NAME
012400                             PIC  X(23)      VALUE SPACES.
012500         05  MMSCIR-ACH-ORIGIN-NAME
012600                             PIC  X(23)      VALUE SPACES.
012700         05  MMSCIR-ACH-PEND-ACT-DAYS
012800                             PIC  9(02)      VALUE ZERO.
012900         05  MMSCIR-ACH-CONFIRM-DAYS
013000                             PIC  9(02)      VALUE ZERO.
013100         05  MMSCIR-ACH-WORK-WEEK
013200                             PIC  X(07)      VALUE 'XXXXXXX'.
013300         05  MMSCIR-ACH-HOLIDAYS-TABLE       OCCURS 25 TIMES
013400                                             INDEXED BY
013500                                             X-MMSCIR-ACH-HOL.
013600             07  MMSCIR-ACH-HOLIDAYS
013700                             PIC S9(07)      COMP-3 VALUE ZERO.
013800*
013900******************************************************************
014000*              CRB DATA ITEMS                                    *
014100******************************************************************
014200*
014300     03  MMSCIR-CRB-DATA.
014400         05  MMSCIR-CRB-FREQ
014500                             PIC  9(02)      VALUE ZERO.
014600             88  MMSCIR-CRB-NOT-USED         VALUE ZERO.
014700             88  MMSCIR-CRB-DAILY            VALUE 99.
014800             88  MMSCIR-CRB-WEEKLY           VALUE 41 THRU 47.
014900         05  MMSCIR-CRB-DEMAND-REQ
015000                             PIC  X(01)      VALUE 'N'.
015100             88  MMSCIR-CRB-DEMANDED         VALUE 'Y'.
015200             88  MMSCIR-CRB-NOT-DEMANDED     VALUE 'N'.
015300             88  MMSCIR-CRB-FULL-FILE        VALUE 'F'.
015400         05  MMSCIR-CRB-DATE-LAST-PROD
015500                             PIC S9(07)      COMP-3 VALUE ZERO.
015600*
015700******************************************************************
015800*              PLATE/PLASTIC DATA ITEMS                          *
015900******************************************************************
016000*
016100     03  FILLER              PIC  X(07)      VALUE SPACES.
016200*
016300******************************************************************
016400*              MISCELLANEOUS INFORMATION                         *
016500******************************************************************
016600*
016700     03  MMSCIR-MISC-INFO.
016800         05  MMSCIR-MISC-CMS-ACTIVE
016900                             PIC  X(01)      VALUE 'N'.
017000*
017100******************************************************************
017200*    VISA AND MASTER CARD REQUIRED FIELDS                        *
017300******************************************************************
017400*
017500     03  MMSCIR-VI-MC-FIELDS.
017600*
017700         05  MMSCIR-MULTIPLE-INTCHG
017800                             PIC  X(01)      VALUE 'N'.
017900             88  MMSCIR-MI-ON                VALUE 'Y'.
018000             88  MMSCIR-MI-OFF               VALUE 'N'.
018100         05  MMSCIR-MASTER-CARD.
018200             07  MMSCIR-ICA-TABLE-OR-FILE
018300                             PIC  X(01)      VALUE 'M'.
018400                 88  MMSCIR-INTERNAL-TBL     VALUE 'I'.
018500                 88  MMSCIR-MASTER-CARD-TBL  VALUE 'M'.
018600             07  MMSCIR-INTCHG-ICA
018700                             PIC  9(04)      VALUE ZERO.
018800         05  MMSCIR-VISA.
018900             07  MMSCIR-INTCHG-BIN
019000                             PIC  9(06)      VALUE ZERO.
019100             07  MMSCIR-VI-ON-US-INTCHG
019200                             PIC  X(01)      VALUE 'N'.
019300*
019400******************************************************************
019500*        REGIONAL QUARTERLY REPORTING OPTIONS                    *
019600******************************************************************
019700*
019800     03  MMSCIR-REGIONAL-QR-OPTIONS.                              EH800900
019900         05  MMSCIR-REGIONAL-QR-TABLE-X.                          EH800900
020000             07  MMSCIR-EUROPAY-FLAG                              EH800900
020100                             PIC  X(01)      VALUE 'N'.           EH800900
020200                 88  MMSCIR-EUROPAY-OFF      VALUE 'N'.           EH800900
020300                 88  MMSCIR-EUROPAY-ON       VALUE 'Y'.           EH800900
020400             07  MMSCIR-REGION-CANADA                             EH800900
020500                             PIC  X(01)      VALUE 'N'.           EH800900
020600                 88  MMSCIR-REGION-CANADA-OFF VALUE 'N'.          EH800900
020700                 88  MMSCIR-REGION-CANADA-ON VALUE 'Y'.           EH800900
020800*                                                                 EH800900
020900*                                                                 EH800900
021000*                                                                 EH800900
021100*                                                                 EH800900
021200             07  MMSCIR-REGION-RESERVED                           EH800900
021300                             PIC  X(01)      VALUE 'N'.           EH800900
021400                 88  MMSCIR-REGION-RESV-OFF  VALUE 'N'.           EH800900
021500                 88  MMSCIR-REGION-RESV-ON   VALUE 'Y'.           EH800900
021600             07  MMSCIR-REGION-ASIA-PACIFIC                       EH800900
021700                             PIC  X(01)      VALUE 'N'.           EH800900
021800                 88  MMSCIR-REGION-A-P-OFF   VALUE 'N'.           EH800900
021900                 88  MMSCIR-REGION-A-P-ON    VALUE 'Y'.           EH800900
022000             07  MMSCIR-REGION-LATAM-CARIB                        EH800900
022100                             PIC  X(01)      VALUE 'N'.           EH800900
022200                 88  MMSCIR-REGION-LA-C-OFF  VALUE 'N'.           EH800900
022300                 88  MMSCIR-REGION-LA-C-ON   VALUE 'Y'.           EH800900
022400             07  MMSCIR-REGION-CEMEA                              EH800900
022500                             PIC  X(01)      VALUE 'N'.           EH800900
022600                 88  MMSCIR-REGION-CEMEA-OFF VALUE 'N'.           EH800900
022700                 88  MMSCIR-REGION-CEMEA-ON  VALUE 'Y'.           EH800900
022800*                                                                 EH800900
022900         05  MMSCIR-REGIONAL-QR-TABLE-R                           EH800900
023000                             REDEFINES MMSCIR-REGIONAL-QR-TABLE-X.EH800900
023100******************************************************************EH800900
023200*        INDEX 1 = EUROPAY/EU                                    *EH800900
023300*        INDEX 2 = CANADA                                        *EH800900
023400*        INDEX 3 = RESERVED FOR FUTURE USE                       *EH800900
023500*        INDEX 4 = ASIA/PACIFIC                                  *EH800900
023600*        INDEX 5 = LATIN AMERICA/CARIBBEAN                       *EH800900
023700*        INDEX 6 = CEMEA                                         *EH800900
023800******************************************************************EH800900
023900             07  MMSCIR-REGIONAL-QR-FLAG-T   OCCURS 6 TIMES       EH800900
024000                                             INDEXED BY           EH800900
024100                                             X-MMSCIR-RQRF.       EH800900
024200                 09  MMSCIR-REGIONAL-QR-FLAG                      EH800900
024300                             PIC  X(01).                          EH800900
024400     03  MMSCIR-PROJECT-7787.                                     EH800900
024500         05  MMSCIR-EUROPAY-CMID                                  EH800900
024600                             PIC  9(09)      VALUE ZERO.          EH800900
024700*                                                                 EH800900
024800     03  MMSCIR-FILLER       PIC  X(3452)    VALUE SPACES.        EH800900
024900*                                                                 EH800900
025000     03  MMSCIR-USER-FILLER.                                      EH800900
025100         05  FILLER          PIC  X(100)     VALUE SPACES.        EH800900
025200*                                                                 EH800900
025300*       ***************************************************       EH800900
025400*       *              END OF COPYBOOK MMSCRL             *       EH800900
025500*       ***************************************************       EH800900
