000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMSCRL ------ SYSTEM RECORD -------------------- 4000 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMSC-RECORD.
001000     03  MMSC-KEY.
001100         88  MMSC-HEADER                     VALUE '000'.
001200         88  MMSC-TRAILER                    VALUE '999'.
001300         05  MMSC-ORG-X.
001400             07  MMSC-ORG    PIC  9(03).
001500*
001600     03  MMSC-STATUS-INFORMATION.
001700         05  MMSC-ONLINE-STATUS
001800                             PIC  9(02).
001900             88  MMSC-ADD-PENDING            VALUE 00 THRU 49.
002000             88  MMSC-ADD-COMPLETED          VALUE 99.
002100*
002200         05  MMSC-LAST-MAINT-DATE
002300                             PIC S9(07)      COMP-3.
002400         05  MMSC-LAST-MAINT-OPER
002500                             PIC  X(03).
002600*
002700*****************************************************************
002800*                SYSTEM PROCESSING CALENDAR                     *
002900*****************************************************************
003000*
003100     03  MMSC-CALENDAR.
003200         05  MMSC-DAY-OF-WEEK
003300                             PIC  9(01).
003400         05  MMSC-PROCESSING-SW
003500                             PIC  X(01).
003600             88  MMSC-PROCESSING             VALUE 'Y'.
003700             88  MMSC-NOT-PROCESSING         VALUE 'N'.
003800         05  MMSC-WORK-WEEK
003900                             PIC  X(07).
004000         05  MMSC-WORK-WEEK-R
004100                             REDEFINES MMSC-WORK-WEEK
004200                                             OCCURS 7 TIMES
004300                                             INDEXED BY
004400                                             X-MMSC-WW
004500                             PIC  X(01).
004600             88  MMSC-WW-DAY-PROCESSING      VALUE 'X'.
004700             88  MMSC-WW-DAY-NOT-PROCESSING
004800                                             VALUE 'C'.
004900         05  MMSC-EOM-EOY-FLAG
005000                             PIC  X(01).
005100             88  MMSC-END-OF-MONTH           VALUE 'M' 'Y'.
005200             88  MMSC-END-OF-YEAR            VALUE 'Y'.
005300             88  MMSC-FIRST-OF-MONTH         VALUE 'F'.
005400         05  MMSC-TODAYS-CALENDAR
005500                             PIC S9(09)      COMP-3.
005600         05  MMSC-TODAYS-JULIAN
005700                             PIC S9(07)      COMP-3.
005800         05  MMSC-DATE-LAST-PROC
005900                             PIC S9(07)      COMP-3.
006000         05  MMSC-DATE-NEXT-PROC
006100                             PIC S9(07)      COMP-3.
006200         05  MMSC-ACCR-THRU-DATE
006300                             PIC S9(07)      COMP-3.
006400         05  MMSC-DATE-LAST-ACCR
006500                             PIC S9(07)      COMP-3.
006600         05  FILLER          PIC  X(04).
006700         05  MMSC-TIME-STAMP
006800                             PIC S9(11)      COMP-3.
006900         05  MMSC-LAST-TIME-STAMP
007000                             PIC S9(11)      COMP-3.
007100         05  MMSC-HOLIDAYS-TABLE             OCCURS 25 TIMES
007200                                             INDEXED BY
007300                                             X-MMSC-HOL.
007400             07  MMSC-HOLIDAYS
007500                             PIC S9(07)      COMP-3.
007600*
007700*****************************************************************
007800*             PROCESSING CENTER MISCELLANOUS DATA               *
007900*****************************************************************
008000*
008100     03  MMSC-PROC-CENTER-ID
008200                             PIC  X(30).
008300     03  MMSC-DATE-FORMAT    PIC  X(01).
008400*        0 - MMDDYY FORMAT
008500*        1 - DDMMYY FORMAT
008600*
008700     03  MMSC-SCREEN-HEADER  PIC  X(30).
008800*
008900*****************************************************************
009000*              SYSTEM BATCH PROCESSING DATA                     *
009100*****************************************************************
009200*
009300     03  MMSC-FORM           PIC  9(02).
009400     03  MMSC-FICHE-FLAG     PIC  9(01).
009500     03  MMSC-LINES-PER-PAGE
009600                             PIC  9(02).
009700     03  MMSC-MER-GROUP-STAT-FLAG
009800                             PIC  X(01).
009900         88  MMSC-MER-GROUP-STAT-YES         VALUE 'Y'.
010000         88  MMSC-MER-GROUP-STAT-NO          VALUE 'N'.
010100     03  MMSC-STORE-GROUP-STAT-FLAG
010200                             PIC  X(01).
010300         88  MMSC-STORE-GROUP-STAT-YES       VALUE 'Y'.
010400         88  MMSC-STORE-GROUP-STAT-NO        VALUE 'N'.
010500     03  FILLER              PIC  X(01).
010600*
010700******************************************************************
010800*              NACHA SYSTEM CONTROL DATA                         *
010900******************************************************************
011000*
011100     03  MMSC-ACH-INFO.
011200         05  MMSC-ACH-DEST-ABA-NBR
011300                             PIC S9(09)      COMP-3.
011400         05  MMSC-ACH-ORIGIN-ABA-NBR
011500                             PIC S9(09)      COMP-3.
011600         05  MMSC-ACH-TAX-ID-NBR
011700                             PIC  X(15).
011800         05  MMSC-ACH-FILE-ID-MOD
011900                             PIC  X(01).
012000         05  MMSC-ACH-DEST-NAME
012100                             PIC  X(23).
012200         05  MMSC-ACH-ORIGIN-NAME
012300                             PIC  X(23).
012400         05  MMSC-ACH-PEND-ACT-DAYS
012500                             PIC  9(02).
012600         05  MMSC-ACH-CONFIRM-DAYS
012700                             PIC  9(02).
012800         05  MMSC-ACH-WORK-WEEK
012900                             PIC  X(07).
013000         05  MMSC-ACH-WORK-WEEK-R
013100                             REDEFINES MMSC-ACH-WORK-WEEK
013200                                             OCCURS 7 TIMES
013300                                             INDEXED BY
013400                                             X-MMSC-ACH-WW
013500                             PIC  X(01).
013600         05  MMSC-ACH-HOLIDAYS-TABLE         OCCURS 25 TIMES
013700                                             INDEXED BY
013800                                             X-MMSC-ACH-HOL.
013900             07  MMSC-ACH-HOLIDAYS
014000                             PIC S9(07)      COMP-3.
014100*
014200******************************************************************
014300*              CRB DATA ITEMS                                    *
014400******************************************************************
014500*
014600     03  MMSC-CRB-DATA.
014700         05  MMSC-CRB-FREQ
014800                             PIC  9(02).
014900             88  MMSC-CRB-NOT-USED           VALUE ZERO.
015000             88  MMSC-CRB-DAILY              VALUE 99.
015100             88  MMSC-CRB-WEEKLY             VALUE 41 THRU 47.
015200         05  MMSC-CRB-DEMAND-REQ
015300                             PIC  X(01).
015400             88  MMSC-CRB-DEMANDED           VALUE 'Y' 'F'.
015500             88  MMSC-CRB-NOT-DEMANDED       VALUE 'N'.
015600             88  MMSC-CRB-FULL-FILE          VALUE 'F'.
015700         05  MMSC-CRB-DATE-LAST-PROD
015800                             PIC S9(07)      COMP-3.
015900*
016000     03  FILLER              PIC  X(07).
016100*
016200******************************************************************
016300*              MISCELLANEOUS INFORMATION                         *
016400******************************************************************
016500*
016600     03  MMSC-MISC-INFO.
016700         05  MMSC-MISC-CMS-ACTIVE
016800                             PIC  X(01).
016900*
017000******************************************************************
017100*    VISA AND MASTER CARD REQUIRED FIELDS                        *
017200******************************************************************
017300*
017400     03  MMSC-VI-MC-FIELDS.
017500*
017600         05  MMSC-MULTIPLE-INTCHG
017700                             PIC  X(01).
017800             88  MMSC-MI-ON                  VALUE 'Y'.
017900             88  MMSC-MI-OFF                 VALUE 'N'.
018000         05  MMSC-MASTER-CARD.
018100             07  MMSC-ICA-TABLE-OR-FILE
018200                             PIC  X(01).
018300                 88  MMSC-INTERNAL-TBL       VALUE 'I'.
018400                 88  MMSC-MASTER-CARD-TBL    VALUE 'M'.
018500             07  MMSC-INTCHG-ICA
018600                             PIC  9(04).
018700         05  MMSC-VISA.
018800             07  MMSC-INTCHG-BIN
018900                             PIC  9(06).
019000             07  MMSC-VI-ON-US-INTCHG
019100                             PIC  X(01).
019200*
019300******************************************************************
019400*        REGIONAL QUARTERLY REPORTING OPTIONS                    *
019500******************************************************************
019600*
019700     03  MMSC-REGIONAL-QR-OPTIONS.                                EH800900
019800         05  MMSC-REGIONAL-QR-TABLE-X.                            EH800900
019900             07  MMSC-EUROPAY-FLAG                                EH800900
020000                             PIC  X(01).                          EH800900
020100                 88  MMSC-EUROPAY-OFF        VALUE 'N'.           EH800900
020200                 88  MMSC-EUROPAY-ON         VALUE 'Y'.           EH800900
020300             07  MMSC-REGION-CANADA                               EH800900
020400                             PIC  X(01).                          EH800900
020500                 88  MMSC-REGION-CANADA-OFF  VALUE 'N'.           EH800900
020600                 88  MMSC-REGION-CANADA-ON   VALUE 'Y'.           EH800900
020700*                                                                 EH800900
020800*                                                                 EH800900
020900*                                                                 EH800900
021000*                                                                 EH800900
021100             07  MMSC-REGION-RESERVED                             EH800900
021200                             PIC  X(01).                          EH800900
021300                 88  MMSC-REGION-RESV-OFF    VALUE 'N'.           EH800900
021400                 88  MMSC-REGION-RESV-ON     VALUE 'Y'.           EH800900
021500             07  MMSC-REGION-ASIA-PACIFIC                         EH800900
021600                             PIC  X(01).                          EH800900
021700                 88  MMSC-REGION-A-P-OFF     VALUE 'N'.           EH800900
021800                 88  MMSC-REGION-A-P-ON      VALUE 'Y'.           EH800900
021900             07  MMSC-REGION-LATAM-CARIB                          EH800900
022000                             PIC  X(01).                          EH800900
022100                 88  MMSC-REGION-LA-C-OFF    VALUE 'N'.           EH800900
022200                 88  MMSC-REGION-LA-C-ON     VALUE 'Y'.           EH800900
022300             07  MMSC-REGION-CEMEA                                EH800900
022400                             PIC  X(01).                          EH800900
022500                 88  MMSC-REGION-CEMEA-OFF   VALUE 'N'.           EH800900
022600                 88  MMSC-REGION-CEMEA-ON    VALUE 'Y'.           EH800900
022700*                                                                 EH800900
022800         05  MMSC-REGIONAL-QR-TABLE-R                             EH800900
022900                             REDEFINES MMSC-REGIONAL-QR-TABLE-X.  EH800900
023000******************************************************************EH800900
023100*        INDEX 1 = EUROPAY/EU                                    *EH800900
023200*        INDEX 2 = CANADA                                        *EH800900
023300*        INDEX 3 = RESERVED FOR FUTURE USE                       *EH800900
023400*        INDEX 4 = ASIA/PACIFIC                                  *EH800900
023500*        INDEX 5 = LATIN AMERICA/CARIBBEAN                       *EH800900
023600*        INDEX 6 = CEMEA                                         *EH800900
023700******************************************************************EH800900
023800             07  MMSC-REGIONAL-QR-FLAG-T     OCCURS 6 TIMES       EH800900
023900                                             INDEXED BY           EH800900
024000                                             X-MMSC-RQRF.         EH800900
024100                 09  MMSC-REGIONAL-QR-FLAG                        EH800900
024200                             PIC  X(01).                          EH800900
024300     03  MMSC-PROJECT-7787.                                       EH800900
024400         05  MMSC-EUROPAY-CMID                                    EH800900
024500                             PIC  9(09).                          EH800900
024600*                                                                 EH800900
024700     03  MMSC-FILLER         PIC  X(3442).                        EH800900
024800*                                                                 EH800900
024900     03  MMSC-USER-FILLER.                                        EH800900
025000         05  FILLER          PIC  X(100).                         EH800900
025100*                                                                 EH800900
025200*       ***************************************************       EH800900
025300*       *              END OF COPYBOOK MMSCRL             *       EH800900
025400*       ***************************************************       EH800900
