000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMSMIR --- INITIALIZER ROUTINE WORK AREA AND INITIALIZER     *
000600*             RECORD LAYOUT.                                    *
000700*                                                               *
000800*****************************************************************
000900 01  MMSMIR-WORK-AREAS.
001000     03  MMSMIR-DATE         PIC S9(07)      COMP-3 VALUE ZERO.
001100     03  MMSMIR-OCC-ID-TABLE-X.
001200         05  MMSMIR-JAN      PIC  X(03)      VALUE 'JAN'.
001300         05  MMSMIR-FEB      PIC  X(03)      VALUE 'FEB'.
001400         05  MMSMIR-MAR      PIC  X(03)      VALUE 'MAR'.
001500         05  MMSMIR-APR      PIC  X(03)      VALUE 'APR'.
001600         05  MMSMIR-MAY      PIC  X(03)      VALUE 'MAY'.
001700         05  MMSMIR-JUN      PIC  X(03)      VALUE 'JUN'.
001800         05  MMSMIR-JUL      PIC  X(03)      VALUE 'JUL'.
001900         05  MMSMIR-AUG      PIC  X(03)      VALUE 'AUG'.
002000         05  MMSMIR-SEP      PIC  X(03)      VALUE 'SEP'.
002100         05  MMSMIR-OCT      PIC  X(03)      VALUE 'OCT'.
002200         05  MMSMIR-NOV      PIC  X(03)      VALUE 'NOV'.
002300         05  MMSMIR-DEC      PIC  X(03)      VALUE 'DEC'.
002400         05  MMSMIR-CUR      PIC  X(03)      VALUE 'CUR'.
002500         05  MMSMIR-MTD      PIC  X(03)      VALUE 'MTD'.
002600         05  MMSMIR-YTD      PIC  X(03)      VALUE 'YTD'.
002700         05  MMSMIR-CTD      PIC  X(03)      VALUE 'CTD'.
002800         05  MMSMIR-DTD      PIC  X(03)      VALUE 'DTD'.
002900         05  MMSMIR-PTD      PIC  X(03)      VALUE 'PTD'.
003000     03  MMSMIR-OCC-ID-TABLE-R
003100                             REDEFINES MMSMIR-OCC-ID-TABLE-X.
003200         05  MMSMIR-OIT      PIC  X(03)
003300                                             OCCURS 18 TIMES
003400                                             INDEXED BY
003500                                             X-MMSMIR-OIT.
003600/
003700*****************************************************************
003800*                                                               *
003900*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
004000*                                                               *
004100*  MMSMIR ------- STORE MASTER INITIALIZER -------  4080 BYTES  *
004200*                                                               *
004300*****************************************************************
004400*
004500 01  MMSMIR-RECORD.
004600     03  MMSMIR-KEY.
004700         88  MMSMIR-HEADER                   VALUE ZERO.
004800         88  MMSMIR-TRAILER                  VALUE ALL '9'.
004900         05  MMSMIR-ORG-STORE.
005000             07  MMSMIR-ORG-X.
005100                 09  MMSMIR-ORG
005200                             PIC  9(03)      VALUE ZERO.
005300             07  MMSMIR-STORE-X.
005400                 09  MMSMIR-STORE
005500                             PIC  9(09)      VALUE ZERO.
005600*
005700     03  MMSMIR-STATUS-INFORMATION.
005800         05  MMSMIR-REC-STATUS
005900                             PIC  9(01)      VALUE ZERO.
006000             88  MMSMIR-REC-INCOMPLETE       VALUE 0.
006100             88  MMSMIR-REC-ACTIVE           VALUE 1.
006200             88  MMSMIR-REC-MODEL            VALUE 3.
006300             88  MMSMIR-REC-CLOSED           VALUE 6.
006400             88  MMSMIR-REC-PENDING-PURGE    VALUE 7.
006500             88  MMSMIR-REC-PURGING          VALUE 8.
006600             88  MMSMIR-REC-PURGED           VALUE 9.
006700         05  MMSMIR-ONLINE-STATUS
006800                             PIC  9(02)      VALUE ZERO.
006900             88  MMSMIR-ADD-PENDING          VALUE 00 THRU 49.
007000             88  MMSMIR-ADD-COMPLETED        VALUE 99.
007100         05  MMSMIR-LAST-MAINT-DATE
007200                             PIC S9(07)      COMP-3 VALUE ZERO.
007300         05  MMSMIR-LAST-MAINT-OPER
007400                             PIC  X(03)      VALUE SPACES.
007500*
007600*****************************************************************
007700*    STATISTICS CONTROL AREA                                    *
007800*****************************************************************
007900*
008000*
008100******************************************************************
008200* OCCURRENCE *---------------DATA CONTENT---------------*        *
008300*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
008400*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
008500*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
008600*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
008700*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
008800*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
008900*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
009000*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
009100*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
009200*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
009300*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
009400*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
009500*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
009600*    14     MONTH-TO-DATE STATS                                  *
009700*    15     YEAR-TO-DATE STATS                                   *
009800*    16     STATEMENT CYCLE-TO-DATE STATS                        *
009900*    17     DISCOUNT-TO-DATE STATS                               *
010000*    18     PARTICIPATION-TO-DATE STATS                          *
010100******************************************************************
010200*
010300     03  MMSMIR-STATS-CONTROL-AREA.
010400         05  MMSMIR-STATS-OCCUR-TABLE        OCCURS 18 TIMES
010500                                             INDEXED BY
010600                                             X-MMSMIR
010700                                             X-MMSMIR-1
010800                                             X-MMSMIR-2
010900                                             X-MMSMIR-3
011000                                             X-MMSMIR-4
011100                                             X-MMSMIR-5
011200                                             X-MMSMIR-6
011300                                             X-MMSMIR-SEARCH.
011400             07  MMSMIR-OCCURRENCE-DESC.
011500                 09  MMSMIR-OCCURRENCE-ID
011600                             PIC  X(03)      VALUE SPACES.
011700                     88  MMSMIR-OID-JAN      VALUE 'JAN'.
011800                     88  MMSMIR-OID-FEB      VALUE 'FEB'.
011900                     88  MMSMIR-OID-MAR      VALUE 'MAR'.
012000                     88  MMSMIR-OID-APR      VALUE 'APR'.
012100                     88  MMSMIR-OID-MAY      VALUE 'MAY'.
012200                     88  MMSMIR-OID-JUN      VALUE 'JUN'.
012300                     88  MMSMIR-OID-JUL      VALUE 'JUL'.
012400                     88  MMSMIR-OID-AUG      VALUE 'AUG'.
012500                     88  MMSMIR-OID-SEP      VALUE 'SEP'.
012600                     88  MMSMIR-OID-OCT      VALUE 'OCT'.
012700                     88  MMSMIR-OID-NOV      VALUE 'NOV'.
012800                     88  MMSMIR-OID-DEC      VALUE 'DEC'.
012900                     88  MMSMIR-OID-CUR      VALUE 'CUR'.
013000                     88  MMSMIR-OID-MTD      VALUE 'MTD'.
013100                     88  MMSMIR-OID-YTD      VALUE 'YTD'.
013200                     88  MMSMIR-OID-CTD      VALUE 'CTD'.
013300                     88  MMSMIR-OID-DTD      VALUE 'DTD'.
013400                     88  MMSMIR-OID-PTD      VALUE 'PTD'.
013500                 09  MMSMIR-OCCURRENCE-YEAR
013600                             PIC  9(04)      VALUE ZERO.
013700*****************************************************************
013800*    DATES                                                      *
013900*****************************************************************
014000*
014100     03  MMSMIR-DATE-AREA.
014200         05  MMSMIR-DATE-OPENED
014300                             PIC S9(07)      COMP-3 VALUE ZERO.
014400         05  MMSMIR-DATE-LAST-SETT
014500                             PIC S9(07)      COMP-3 VALUE ZERO.
014600         05  MMSMIR-DATE-LAST-DISC
014700                             PIC S9(07)      COMP-3 VALUE ZERO.
014800         05  MMSMIR-DATE-LAST-STMT
014900                             PIC S9(07)      COMP-3 VALUE ZERO.
015000         05  MMSMIR-DATE-PREV-STMT
015100                             PIC S9(07)      COMP-3 VALUE ZERO.
015200         05  MMSMIR-DATE-LAST-VISIT
015300                             PIC S9(07)      COMP-3 VALUE ZERO.
015400         05  MMSMIR-DATE-NEXT-VISIT
015500                             PIC S9(07)      COMP-3 VALUE ZERO.
015600         05  MMSMIR-DATE-LAST-REVIEW
015700                             PIC S9(07)      COMP-3 VALUE ZERO.
015800         05  MMSMIR-DATE-NEXT-REVIEW
015900                             PIC S9(07)      COMP-3 VALUE ZERO.
016000         05  MMSMIR-DATE-LAST-ACTIVE
016100                             PIC S9(07)      COMP-3 VALUE ZERO.
016200         05  MMSMIR-DATE-FIRST-ACTIVE
016300                             PIC S9(07)      COMP-3 VALUE ZERO.
016400         05  MMSMIR-DATE-CLOSED
016500                             PIC S9(07)      COMP-3 VALUE ZERO.
016600         05  MMSMIR-DATE-PURGED
016700                             PIC S9(07)      COMP-3 VALUE ZERO.
016800         05  MMSMIR-CTD-CLEAR-DATE-1
016900                             PIC S9(07)      COMP-3 VALUE ZERO.
017000         05  MMSMIR-CTD-CLEAR-DATE-2
017100                             PIC S9(07)      COMP-3 VALUE ZERO.
017200         05  MMSMIR-DTD-CLEAR-DATE-1
017300                             PIC S9(07)      COMP-3 VALUE ZERO.
017400         05  MMSMIR-DTD-CLEAR-DATE-2
017500                             PIC S9(07)      COMP-3 VALUE ZERO.
017600         05  MMSMIR-PTD-CLEAR-DATE-1
017700                             PIC S9(07)      COMP-3 VALUE ZERO.
017800         05  MMSMIR-PTD-CLEAR-DATE-2
017900                             PIC S9(07)      COMP-3 VALUE ZERO.
018000         05  MMSMIR-BI-WEEKLY-SETT-DATE
018100                             PIC S9(07)      COMP-3 VALUE ZERO.
018200         05  MMSMIR-BI-WEEKLY-STMT-DATE
018300                             PIC S9(07)      COMP-3 VALUE ZERO.
018400         05  MMSMIR-BI-WEEKLY-DISC-DATE
018500                             PIC S9(07)      COMP-3 VALUE ZERO.
018600         05  MMSMIR-BI-WEEKLY-PART-DATE
018700                             PIC S9(07)      COMP-3 VALUE ZERO.
018800         05  MMSMIR-DATE-LAST-PART
018900                             PIC S9(07)      COMP-3 VALUE ZERO.
019000         05  MMSMIR-PURGING-DATE
019100                             PIC S9(07)      COMP-3 VALUE ZERO.
019200         05  MMSMIR-OUT-OF-BUS-DATE
019300                             PIC S9(07)      COMP-3 VALUE ZERO.
019400         05  MMSMIR-OWNERSHIP-CHG-DATE
019500                             PIC S9(07)      COMP-3 VALUE ZERO.
019600         05  FILLER
019700                             PIC S9(07)      COMP-3 VALUE ZERO.
019800         05  FILLER
019900                             PIC S9(07)      COMP-3 VALUE ZERO.
020000         05  FILLER
020100                             PIC S9(07)      COMP-3 VALUE ZERO.
020200         05  FILLER
020300                             PIC S9(07)      COMP-3 VALUE ZERO.
020400*
020500*****************************************************************
020600*    PRIMARY DEMOGRAPHICS                                       *
020700*****************************************************************
020800*
020900     03  MMSMIR-DEMOGRAPHICS-AREA.
021000         05  MMSMIR-DEMOGRAPHICS-TABLE       OCCURS 2 TIMES
021100                                             INDEXED BY
021200                                             X-MMSMIR-DEMOGRAPHICS
021300                                             X-MMSMIR-PRIMARY
021400                                             X-MMSMIR-SECONDARY.
021500             07  MMSMIR-GNA-NBR
021600                             PIC  X(19)      VALUE SPACES.
021700             07  MMSMIR-NA-LINES-TABLE
021800                                             OCCURS 5 TIMES
021900                                             INDEXED BY
022000                                             X-MMSMIR-NA.
022100                 09  MMSMIR-NA-LINE
022200                             PIC  X(40)      VALUE SPACES.
022300             07  MMSMIR-NA-OVERFLOW-SW
022400                             PIC  X(01)      VALUE 'N'.
022500                 88  MMSMIR-NA-OVERFLOW-YES  VALUE 'Y'.
022600                 88  MMSMIR-NA-OVERFLOW-NO   VALUE 'N'.
022700             07  MMSMIR-COUNTRY-CODE
022800                             PIC  X(03)      VALUE SPACES.
022900             07  MMSMIR-STATE-CODE
023000                             PIC  X(03)      VALUE SPACES.
023100             07  MMSMIR-POSTAL-CODE
023200                             PIC  X(10)      VALUE SPACES.
023300             07  MMSMIR-PHONE
023400                             PIC  X(20)      VALUE SPACES.
023500             07  MMSMIR-FAX
023600                             PIC  X(20)      VALUE SPACES.
023700*
023800*****************************************************************
023900*    DBA DEMOGRAPHICS                                           *
024000*****************************************************************
024100*
024200     03  MMSMIR-DBA-DEMOGRAPHICS.
024300         05  MMSMIR-DBA-NAME PIC  X(25)      VALUE SPACES.
024400         05  MMSMIR-DBA-CITY PIC  X(13)      VALUE SPACES.
024500         05  MMSMIR-DBA-COUNTRY-CODE
024600                             PIC  X(03)      VALUE SPACES.
024700*
024800*****************************************************************
024900*    STATEMENT PARAMETERS                                       *
025000*****************************************************************
025100*
025200     03  MMSMIR-STATEMENT-PARAMETERS.
025300         05  MMSMIR-STMT-FREQ-1-X.
025400             07  MMSMIR-STMT-FREQ-1
025500                             PIC  9(02)      VALUE 99.
025600                 88  MMSMIR-SF1-DAILY-STMT   VALUE 99.
025700                 88  MMSMIR-SF1-WEEKLY-STMT  VALUE 41 THRU 47.
025800                 88  MMSMIR-SF1-BI-WEEKLY-STMT
025900                                             VALUE 51 THRU 57.
026000                 88  MMSMIR-SF1-MONTHLY-STMT VALUE 01 THRU 31.
026100                 88  MMSMIR-SF1-VALID-FREQ-STMT
026200                                             VALUE 99
026300                                                   01 THRU 31
026400                                                   41 THRU 47
026500                                                   51 THRU 57.
026600         05  MMSMIR-STMT-FREQ-1-R
026700                             REDEFINES MMSMIR-STMT-FREQ-1-X.
026800             07  FILLER      PIC  9(01).
026900             07  MMSMIR-STMT-FREQ-1-DOW
027000                             PIC  9(01).
027100*
027200         05  MMSMIR-STMT-FREQ-2-X.
027300             07  MMSMIR-STMT-FREQ-2
027400                             PIC  9(02)      VALUE ZERO.
027500                 88  MMSMIR-SF2-NOT-USED-STMT
027600                                             VALUE 00.
027700                 88  MMSMIR-SF2-WEEKLY-STMT  VALUE 41 THRU 47.
027800                 88  MMSMIR-SF2-MONTHLY-STMT VALUE 01 THRU 31.
027900                 88  MMSMIR-SF2-VALID-FREQ-STMT
028000                                             VALUE 00
028100                                                   01 THRU 31
028200                                                   41 THRU 47.
028300         05  MMSMIR-STMT-FREQ-2-R
028400                             REDEFINES MMSMIR-STMT-FREQ-2-X.
028500             07  FILLER      PIC  9(01).
028600             07  MMSMIR-STMT-FREQ-2-DOW
028700                             PIC  9(01).
028800*
028900*****************************************************************
029000*    DISCOUNT PARAMETERS                                        *
029100*****************************************************************
029200*
029300     03  MMSMIR-DISC-PARAMETERS.
029400         05  MMSMIR-DISC-FREQ-1-X.
029500             07  MMSMIR-DISC-FREQ-1
029600                             PIC  9(02)      VALUE 99.
029700                 88  MMSMIR-DF1-DAILY-DISC   VALUE 99.
029800                 88  MMSMIR-DF1-WEEKLY-DISC  VALUE 41 THRU 47.
029900                 88  MMSMIR-DF1-BI-WEEKLY-DISC
030000                                             VALUE 51 THRU 57.
030100                 88  MMSMIR-DF1-MONTHLY-DISC VALUE 01 THRU 31.
030200                 88  MMSMIR-DF1-VALID-FREQ-DISC
030300                                             VALUE 99
030400                                                   01 THRU 31
030500                                                   41 THRU 47
030600                                                   51 THRU 57.
030700         05  MMSMIR-DISC-FREQ-1-R
030800                             REDEFINES MMSMIR-DISC-FREQ-1-X.
030900             07  FILLER      PIC  9(01).
031000             07  MMSMIR-DISC-FREQ-1-DOW
031100                             PIC  9(01).
031200*
031300         05  MMSMIR-DISC-FREQ-2-X.
031400             07  MMSMIR-DISC-FREQ-2
031500                             PIC  9(02)      VALUE ZERO.
031600                 88  MMSMIR-DF2-NOT-USED-DISC
031700                                             VALUE 00.
031800                 88  MMSMIR-DF2-WEEKLY-DISC  VALUE 41 THRU 47.
031900                 88  MMSMIR-DF2-MONTHLY-DISC VALUE 01 THRU 31.
032000                 88  MMSMIR-DF2-VALID-FREQ-DISC
032100                                             VALUE 00
032200                                                   01 THRU 31
032300                                                   41 THRU 47.
032400         05  MMSMIR-DISC-FREQ-2-R
032500                             REDEFINES MMSMIR-DISC-FREQ-2-X.
032600             07  FILLER      PIC  9(01).
032700             07  MMSMIR-DISC-FREQ-2-DOW
032800                             PIC  9(01).
032900*
033000         05  FILLER          PIC  X(05)      VALUE SPACES.
033100*
033200*****************************************************************
033300*    PARTICIPATION PARAMETERS                                   *
033400*****************************************************************
033500*
033600     03  MMSMIR-PART-PARAMETERS.
033700         05  MMSMIR-PART-FREQ-1-X.
033800             07  MMSMIR-PART-FREQ-1
033900                             PIC  9(02)      VALUE 99.
034000                 88  MMSMIR-PF1-DAILY-PART   VALUE 99.
034100                 88  MMSMIR-PF1-WEEKLY-PART  VALUE 41 THRU 47.
034200                 88  MMSMIR-PF1-BI-WEEKLY-PART
034300                                             VALUE 51 THRU 57.
034400                 88  MMSMIR-PF1-MONTHLY-PART VALUE 01 THRU 31.
034500                 88  MMSMIR-PF1-VALID-FREQ-PART
034600                                             VALUE 99
034700                                                   01 THRU 31
034800                                                   41 THRU 47
034900                                                   51 THRU 57.
035000         05  MMSMIR-PART-FREQ-1-R
035100                             REDEFINES MMSMIR-PART-FREQ-1-X.
035200             07  FILLER      PIC  9(01).
035300             07  MMSMIR-PART-FREQ-1-DOW
035400                             PIC  9(01).
035500*
035600         05  MMSMIR-PART-FREQ-2-X.
035700             07  MMSMIR-PART-FREQ-2
035800                             PIC  9(02)      VALUE ZERO.
035900                 88  MMSMIR-PF2-NOT-USED-PART
036000                                             VALUE 00.
036100                 88  MMSMIR-PF2-WEEKLY-PART  VALUE 41 THRU 47.
036200                 88  MMSMIR-PF2-MONTHLY-PART VALUE 01 THRU 31.
036300                 88  MMSMIR-PF2-VALID-FREQ-PART
036400                                             VALUE 00
036500                                                   01 THRU 31
036600                                                   41 THRU 47.
036700         05  MMSMIR-PART-FREQ-2-R
036800                             REDEFINES MMSMIR-PART-FREQ-2-X.
036900             07  FILLER      PIC  9(01).
037000             07  MMSMIR-PART-FREQ-2-DOW
037100                             PIC  9(01).
037200*
037300         05  FILLER          PIC  X(05)      VALUE SPACES.
037400*
037500*****************************************************************
037600*    SETTLEMENT PARAMETERS                                      *
037700*****************************************************************
037800*
037900     03  MMSMIR-SETTLEMENT-PARAMETERS.
038000         05  MMSMIR-SETT-FREQ-1-X.
038100             07  MMSMIR-SETT-FREQ-1
038200                             PIC  9(02)      VALUE 99.
038300                 88  MMSMIR-SF1-DAILY-SETT   VALUE 99.
038400                 88  MMSMIR-SF1-WEEKLY-SETT  VALUE 41 THRU 47.
038500                 88  MMSMIR-SF1-BI-WEEKLY-SETT
038600                                             VALUE 51 THRU 57.
038700                 88  MMSMIR-SF1-MONTHLY-SETT VALUE 01 THRU 31.
038800                 88  MMSMIR-SF1-VALID-FREQ-SETT
038900                                             VALUE 99
039000                                                   01 THRU 31
039100                                                   41 THRU 47
039200                                                   51 THRU 57.
039300         05  MMSMIR-SETT-FREQ-1-R
039400                             REDEFINES MMSMIR-SETT-FREQ-1-X.
039500             07  FILLER      PIC  9(01).
039600             07  MMSMIR-SETT-FREQ-1-DOW
039700                             PIC  9(01).
039800*
039900         05  MMSMIR-SETT-FREQ-2-X.
040000             07  MMSMIR-SETT-FREQ-2
040100                             PIC  9(02)      VALUE ZERO.
040200                 88  MMSMIR-SF2-NOT-USED-SETT
040300                                             VALUE 00.
040400                 88  MMSMIR-SF2-WEEKLY-SETT  VALUE 41 THRU 47.
040500                 88  MMSMIR-SF2-MONTHLY-SETT VALUE 01 THRU 31.
040600                 88  MMSMIR-SF2-VALID-FREQ-SETT
040700                                             VALUE 00
040800                                                   01 THRU 31
040900                                                   41 THRU 47.
041000         05  MMSMIR-SETT-FREQ-2-R
041100                             REDEFINES MMSMIR-SETT-FREQ-2-X.
041200             07  FILLER      PIC  9(01).
041300             07  MMSMIR-SETT-FREQ-2-DOW
041400                             PIC  9(01).
041500*
041600*****************************************************************
041700*    PROCESSING PARAMETERS                                      *
041800*****************************************************************
041900*
042000     03  MMSMIR-PROCESSING-PARAMETERS.
042100         05  MMSMIR-MERCHANT-ID-X.
042200             07  MMSMIR-MERCHANT-ID
042300                             PIC  9(09)      VALUE ZERO.
042400         05  MMSMIR-SINGLE-STORE-FLAG
042500                             PIC  X(01)      VALUE 'N'.
042600             88  MMSMIR-REC-SINGLE-STORE     VALUE 'Y'.
042700             88  MMSMIR-SINGLE-STORE-YES     VALUE 'Y'.
042800             88  MMSMIR-SINGLE-STORE-NO      VALUE 'N'.
042900         05  MMSMIR-LOCATION-ID
043000                             PIC  X(09)      VALUE SPACES.
043100         05  MMSMIR-CHECK-GUARANTEE-CO
043200                             PIC  X(30)      VALUE SPACES.
043300         05  MMSMIR-CONTACT-INFO             OCCURS 4 TIMES
043400                                             INDEXED BY
043500                                             X-MMSMIR-CONTACT.
043600             07  MMSMIR-CONTACT
043700                             PIC  X(40)      VALUE SPACES.
043800             07  MMSMIR-CONTACT-TITLE
043900                             PIC  X(25)      VALUE SPACES.
044000             07  MMSMIR-CONTACT-PHONE
044100                             PIC  X(20)      VALUE SPACES.
044200             07  MMSMIR-CONTACT-FAX
044300                             PIC  X(20)      VALUE SPACES.
044400         05  MMSMIR-BRANCH
044500                             PIC  9(09)      VALUE ZERO.
044600         05  MMSMIR-AGENT-BANK
044700                             PIC  9(05)      VALUE ZERO.
044800         05  MMSMIR-OFFICER-ID
044900                             PIC  X(03)      VALUE SPACES.
045000         05  MMSMIR-TIN-TYPE PIC  X(01)      VALUE SPACES.
045100             88  MMSMIR-TIN-TYPE-SSN         VALUE '1'.
045200             88  MMSMIR-TIN-TYPE-EIN         VALUE '2'.
045300             88  MMSMIR-TIN-TYPE-OTHER       VALUE '3'.
045400             88  MMSMIR-TIN-TYPE-NON-US      VALUE SPACES.
045500             88  MMSMIR-TIN-TYPE-VALID       VALUE '1' '2' '3'
045600                                                   SPACES.
045700*
045800         05  MMSMIR-TAX-ID   PIC  X(15)      VALUE SPACES.
045900         05  MMSMIR-INCORPORATION-STATUS
046000                             PIC  X(02)      VALUE SPACES.
046100         05  MMSMIR-SOLE-PROP-AREA.
046200             07  MMSMIR-SOLE-PROP-LAST
046300                             PIC  X(25)      VALUE SPACES.
046400             07  MMSMIR-SOLE-PROP-FIRST
046500                             PIC  X(25)      VALUE SPACES.
046600             07  MMSMIR-SOLE-PROP-INITIAL
046700                             PIC  X(01)      VALUE SPACES.
046800*
046900         05  MMSMIR-CRB-FLAG PIC  X(01)      VALUE SPACES.
047000             88  MMSMIR-SEND-CRB             VALUE '1' '2' '3'.
047100             88  MMSMIR-DO-NOT-SEND-CRB      VALUE ZERO.
047200             88  MMSMIR-CRB-DELETE           VALUE '1'.
047300             88  MMSMIR-CRB-NEW-STORE        VALUE '2'.
047400             88  MMSMIR-CRB-MAINT-STORE      VALUE '3'.
047500*
047600         05  MMSMIR-DEFAULT-PLATES
047700                             PIC S9(05)      COMP-3 VALUE ZERO.
047800*
047900         05  MMSMIR-NBR-BULLETINS
048000                             PIC S9(05)      COMP-3 VALUE ZERO.
048100         05  MMSMIR-PL-FLOOR-LIMIT
048200                             PIC S9(17)      COMP-3 VALUE ZERO.
048300*
048400         05  MMSMIR-1099-REFUSAL-IND
048500                             PIC  X(01)      VALUE SPACES.
048600             88  MMSMIR-ALL-1099-DATA        VALUE 'N' SPACES.
048700             88  MMSMIR-NO-1099-DATA         VALUE 'Y'.
048800         05  MMSMIR-CORP-LEGAL-NAME
048900                             PIC  X(30)      VALUE SPACES.
049000*
049100         05  MMSMIR-MINORITY-CODE
049200                             PIC  X(02)      VALUE SPACES.
049300             88  MMSMIR-MINORITY-ASIAN-INDIAN
049400                                             VALUE 'AI'.
049500             88  MMSMIR-MINORITY-ASIAN-PACIFIC
049600                                             VALUE 'AP'.
049700             88  MMSMIR-MINORITY-BLACK       VALUE 'BL'.
049800             88  MMSMIR-MINORITY-HISPANIC    VALUE 'HI'.
049900             88  MMSMIR-MINORITY-NATIVE-AMERICA
050000                                             VALUE 'NA'.
050100             88  MMSMIR-MINORITY-OTHER       VALUE 'OT'.
050200             88  MMSMIR-MINORITY-UNKNOWN     VALUE SPACES.
050300*
050400         05  MMSMIR-WOMAN-OWNED-CODE
050500                             PIC  X(01)      VALUE ZERO.
050600             88  MMSMIR-WOMAN-OWNED-NO       VALUE ZERO.
050700             88  MMSMIR-WOMAN-OWNED-YES      VALUE '1'.
050800*
050900         05  MMSMIR-DUN-AND-BRADSTREET-NBR
051000                             PIC  X(09)      VALUE SPACES.
051100*
051200         05  FILLER          PIC  X(40)      VALUE SPACES.
051300*
051400*****************************************************************
051500*    STORE PARAMETERS                                           *
051600*****************************************************************
051700*
051800     03  MMSMIR-STORE-PROCESSING-DATA.
051900         05  MMSMIR-AUTH-CODE
052000                             PIC  X(01)      VALUE 'Y'.
052100             88  MMSMIR-AUTH-IS-ALLOWED      VALUE 'Y'.
052200             88  MMSMIR-AUTH-IS-NOT-ALLOWED  VALUE 'N'.
052300             88  MMSMIR-VALID-AUTH-CODE      VALUE 'Y' 'N'.
052400         05  MMSMIR-AUTH-LOGO
052500                             PIC  9(03)      VALUE ZERO.
052600         05  MMSMIR-GOVERNING-STATE
052700                             PIC  X(03)      VALUE SPACES.
052800         05  MMSMIR-STMT-ADDR-CONTROL
052900                             PIC  X(01)      VALUE 'P'.
053000             88  MMSMIR-SAC-USE-PRIMARY      VALUE 'P'.
053100             88  MMSMIR-SAC-USE-SECONDARY    VALUE 'S'.
053200             88  MMSMIR-SAC-IS-VALID         VALUE 'P' 'S'.
053300         05  MMSMIR-STORE-SETT-FLAG
053400                             PIC  X(01)      VALUE 'Y'.
053500             88  MMSMIR-STORE-NON-SETTLEMENT VALUE 'N'.
053600             88  MMSMIR-STORE-SETT-ALLOWED   VALUE 'Y'.
053700         05  MMSMIR-STORE-SETT-DATE
053800                             PIC S9(07)      COMP-3 VALUE
053900                                                    +9999365.
054000         05  MMSMIR-PL-CATEGORY-CODE
054100                             PIC  9(04)      VALUE ZERO.
054200         05  MMSMIR-MEDIA-TYPE
054300                             PIC  X(01)      VALUE 'K'.
054400             88  MMSMIR-INPUT-KEYED          VALUE 'K'.
054500             88  MMSMIR-INPUT-MAG            VALUE 'M'.
054600*
054700         05  MMSMIR-BULLETIN-TYPE
054800                             PIC  X(01)      VALUE 'P'.
054900             88  MMSMIR-BULLETIN-PAPER       VALUE 'P'.
055000             88  MMSMIR-BULLETIN-MAG         VALUE 'M'.
055100         05  MMSMIR-STORE-TYPE
055200                             PIC  9(02)      VALUE 01.
055300             88  MMSMIR-STORE-REGULAR        VALUE 01.
055400             88  MMSMIR-STORE-CASH-ADV       VALUE 02.
055500             88  MMSMIR-STORE-ATM            VALUE 03.
055600             88  MMSMIR-STORE-WARN-BULL      VALUE 06.
055700             88  MMSMIR-STORE-MAIL-ORDER     VALUE 07.
055800             88  MMSMIR-STORE-UNIQUE         VALUE 08.
055900*
056000*****************************************************************
056100*    CMS ACTIVITY RECAP INFORMATION                             *
056200*****************************************************************
056300*
056400     03  MMSMIR-ACTIVITY-RECAP.
056500         05  MMSMIR-ACT-RECAP-1
056600                             PIC S9(03)      COMP-3 VALUE ZERO.
056700         05  MMSMIR-ACT-RECAP-DTL-1
056800                             PIC  X(01)      VALUE 'N'.
056900             88  MMSMIR-PRT-DTL-ACT-RECAP-1  VALUE 'Y'.
057000             88  MMSMIR-NO-PRT-DTL-ACT-RECAP-1
057100                                             VALUE 'N'.
057200             88  MMSMIR-VALID-ACT-RECAP-DTL-1
057300                                             VALUE 'Y' 'N'.
057400         05  MMSMIR-ACT-RECAP-2
057500                             PIC S9(03)      COMP-3 VALUE ZERO.
057600         05  MMSMIR-ACT-RECAP-DTL-2
057700                             PIC  X(01)      VALUE 'N'.
057800             88  MMSMIR-PRT-DTL-ACT-RECAP-2  VALUE 'Y'.
057900             88  MMSMIR-NO-PRT-DTL-ACT-RECAP-2
058000                                             VALUE 'N'.
058100             88  MMSMIR-VALID-ACT-RECAP-DTL-2
058200                                             VALUE 'Y' 'N'.
058300         05  MMSMIR-ACT-RECAP-3
058400                             PIC S9(03)      COMP-3 VALUE ZERO.
058500         05  MMSMIR-ACT-RECAP-DTL-3
058600                             PIC  X(01)      VALUE 'N'.
058700             88  MMSMIR-PRT-DTL-ACT-RECAP-3  VALUE 'Y'.
058800             88  MMSMIR-NO-PRT-DTL-ACT-RECAP-3
058900                                             VALUE 'N'.
059000             88  MMSMIR-VALID-ACT-RECAP-DTL-3
059100                                             VALUE 'Y' 'N'.
059200         05  MMSMIR-ACT-RECAP-4
059300                             PIC S9(03)      COMP-3 VALUE ZERO.
059400         05  MMSMIR-ACT-RECAP-DTL-4
059500                             PIC  X(01)      VALUE 'N'.
059600             88  MMSMIR-PRT-DTL-ACT-RECAP-4  VALUE 'Y'.
059700             88  MMSMIR-NO-PRT-DTL-ACT-RECAP-4
059800                                             VALUE 'N'.
059900             88  MMSMIR-VALID-ACT-RECAP-DTL-4
060000                                             VALUE 'Y' 'N'.
060100     03  MMSMIR-ACTIVITY-RECAP-R
060200                             REDEFINES MMSMIR-ACTIVITY-RECAP.
060300         05  MMSMIR-ACT-RECAP-TABLE          OCCURS 4 TIMES
060400                                             INDEXED BY
060500                                         X-MMSMIR-ACT-RECAP.
060600             07  MMSMIR-ACT-RECAP-ENTRIES.
060700                 09  MMSMIR-ACT-RECAP
060800                             PIC S9(03)      COMP-3.
060900                 09  MMSMIR-ACT-RECAP-DTL
061000                             PIC  X(01).
061100                     88  MMSMIR-PRT-DTL-ACT-RECAP
061200                                             VALUE 'Y'.
061300                     88  MMSMIR-NO-PRT-DTL-ACT-RECAP
061400                                             VALUE 'N'.
061500                     88  MMSMIR-VALID-ACT-RECAP-DTL
061600                                             VALUE 'Y' 'N'.
061700*
061800*****************************************************************
061900*    VISIT AND REVIEW INFORMATION                               *
062000*****************************************************************
062100*
062200     03  MMSMIR-VISIT-AND-REVIEW-DATA.
062300         05  MMSMIR-VISIT-REP-NAME
062400                             PIC  X(40)      VALUE SPACES.
062500         05  MMSMIR-VISIT-REP-OPER
062600                             PIC  X(03)      VALUE SPACES.
062700         05  MMSMIR-VISIT-FREQ
062800                             PIC  9(02)      VALUE ZERO.
062900*
063000         05  MMSMIR-REVIEW-REP-NAME
063100                             PIC  X(40)      VALUE SPACES.
063200         05  MMSMIR-REVIEW-REP-OPER
063300                             PIC  X(03)      VALUE SPACES.
063400         05  MMSMIR-REVIEW-FREQ
063500                             PIC  9(02)      VALUE ZERO.
063600*
063700*****************************************************************
063800*    STORE CHAIN INFORMATION                                    *
063900*****************************************************************
064000*
064100     03  MMSMIR-STORE-CHAIN-INFO.
064200         05  MMSMIR-STORE-CHAIN              OCCURS 10 TIMES
064300                                             INDEXED BY
064400                                             X-MMSMIR-STORE-CHAIN.
064500             07  MMSMIR-STORE-CHAIN-ID
064600                             PIC S9(09)      COMP-3 VALUE ZERO.
064700*
064800*****************************************************************
064900*    STORE IMPRINTER INFORMATION                                *
065000*****************************************************************
065100*
065200     03  MMSMIR-IMP-INFO.
065300         05  MMSMIR-IMP-DEV                  OCCURS 3 TIMES
065400                                             INDEXED BY
065500                                             X-MMSMIR-IMP.
065600             07  MMSMIR-IMP-DEV-TITLE
065700                             PIC  X(15)      VALUE SPACES.
065800             07  MMSMIR-IMP-DEV-NBR
065900                             PIC S9(05)      COMP-3 VALUE ZERO.
066000*
066100*****************************************************************
066200*    POINT OF SALE INFORMATION                                  *
066300*****************************************************************
066400*
066500     03  MMSMIR-POS-INFO.
066600         05  MMSMIR-POS-DEV                  OCCURS 3 TIMES
066700                                             INDEXED BY
066800                                             X-MMSMIR-POS.
066900             07  MMSMIR-POS-DEV-TITLE
067000                             PIC  X(15)      VALUE SPACES.
067100             07  MMSMIR-POS-DEV-NBR
067200                             PIC S9(05)      COMP-3 VALUE ZERO.
067300*
067400*****************************************************************
067500*    MEMO INFORMATION                                           *
067600*****************************************************************
067700*
067800     03  MMSMIR-MEMO-DATA.
067900         05  MMSMIR-MEMO-1   PIC  X(50)      VALUE SPACES.
068000         05  MMSMIR-MEMO-2   PIC  X(50)      VALUE SPACES.
068100         05  MMSMIR-MEMO-3   PIC  X(50)      VALUE SPACES.
068200         05  MMSMIR-MEMO-4   PIC  X(50)      VALUE SPACES.
068300*
068400     03  MMSMIR-MEMO-DATA-R  REDEFINES MMSMIR-MEMO-DATA.
068500         05  MMSMIR-MEMO-TABLE               OCCURS 4 TIMES
068600                                             INDEXED BY
068700                                             X-MMSMIR-MEMO.
068800             07  MMSMIR-MEMO PIC  X(50).
068900*
069000*****************************************************************
069100*    CUSTOMER STATEMENT LINES                                   *
069200*****************************************************************
069300*
069400     03  MMSMIR-CUST-STMT-LINE-DATA.
069500         05  MMSMIR-CUST-STMT-LINE-TABLE     OCCURS 3 TIMES
069600                                             INDEXED BY
069700                                             X-MMSMIR-CSL.
069800             07  MMSMIR-CUST-STMT-LINE
069900                             PIC  X(30)      VALUE SPACES.
070000*
070100*****************************************************************
070200*    USER DATA INFORMATION                                      *
070300*****************************************************************
070400*
070500     03  MMSMIR-USER-DATA-INFO.
070600         05  MMSMIR-USER-DATA-ELEMENT        OCCURS 8 TIMES
070700                                             INDEXED BY
070800                                             X-MMSMIR-USER-DATA.
070900             07  MMSMIR-USER-DATA-TITLE
071000                             PIC  X(15)      VALUE SPACES.
071100             07  MMSMIR-USER-DATA
071200                             PIC  X(12)      VALUE SPACES.
071300*
071400*****************************************************************
071500*    USER DATE INFORMATION                                      *
071600*****************************************************************
071700*
071800     03  MMSMIR-USER-DATE-INFO.
071900         05  MMSMIR-USER-DATE-ELEMENT        OCCURS 8 TIMES
072000                                             INDEXED BY
072100                                             X-MMSMIR-USER-DATE.
072200             07  MMSMIR-USER-DATE-TITLE
072300                             PIC  X(15)      VALUE SPACES.
072400             07  MMSMIR-USER-DATE
072500                             PIC S9(07)      COMP-3 VALUE ZERO.
072600*
072700*****************************************************************
072800*    USER AMOUNT INFORMATION                                    *
072900*****************************************************************
073000*
073100     03  MMSMIR-USER-AMT-INFO.
073200         05  MMSMIR-USER-AMT-ELEMENT         OCCURS 8 TIMES
073300                                             INDEXED BY
073400                                             X-MMSMIR-USER-AMT.
073500             07  MMSMIR-USER-AMT-TITLE
073600                             PIC  X(15)      VALUE SPACES.
073700             07  MMSMIR-USER-AMT
073800                             PIC S9(17)      COMP-3 VALUE ZERO.
073900             07  MMSMIR-USER-AMT-NO-DEC
074000                             REDEFINES       MMSMIR-USER-AMT
074100                             PIC S9(17)      COMP-3.
074200*
074300*****************************************************************
074400*    VISA SPECIFIC FIELDS                                       *
074500*****************************************************************
074600*
074700     03  MMSMIR-VISA-DATA.
074800         05  MMSMIR-VI-STATUS
074900                             PIC  X(01)      VALUE 'N'.
075000             88  MMSMIR-VI-NOT-ALLOWED       VALUE 'N'.
075100             88  MMSMIR-VI-ACTIVE            VALUE 'A'.
075200             88  MMSMIR-VI-CLOSED            VALUE 'C'.
075300             88  MMSMIR-VI-PURGED            VALUE 'P'.
075400         05  MMSMIR-VI-EFF-DATE
075500                             PIC S9(07)      COMP-3 VALUE ZERO.
075600         05  MMSMIR-VI-DBA-NAME
075700                             PIC  X(25)      VALUE SPACES.
075800*
075900         05  MMSMIR-VI-INTCHG-FLAG
076000                             PIC  X(01)      VALUE 'S'.
076100             88  MMSMIR-VI-STANDARD-RATE     VALUE 'S'.
076200             88  MMSMIR-VI-STANDARD-INTL     VALUE '0'.
076300             88  MMSMIR-VI-EIRF              VALUE 'E'.
076400             88  MMSMIR-VI-PSIRF-RATE        VALUE 'A'.
076500             88  MMSMIR-VI-PRE-PS2000        VALUE 'B'.
076520             88  MMSMIR-VI-CPS-ECOMM-PREF    VALUE 'C'.           RG800921
076540             88  MMSMIR-VI-INTL-AIRLINE      VALUE 'D'.           RG800906
076600             88  MMSMIR-VI-EPS               VALUE 'X'.
076700             88  MMSMIR-VI-SUPERMKT-RATE     VALUE 'M'.
076800             88  MMSMIR-VI-TIER-2-ATM        VALUE '2'.
076900             88  MMSMIR-VI-TIER-3-ATM        VALUE '3'.
077000             88  MMSMIR-VI-REDUCED-INTCHG-RATE VALUE 'E' 'A'
077100                                                   'B' 'X' 'M'
077200                                                   '2' '3'.
077300             88  MMSMIR-VI-VALID-INTCHG-FLAG VALUE 'S' '0'
077400                                                   'E' 'A'
077500                                                   'B' 'X' 'M'
077600                                                   '2' '3' 'C'    RG800921
077620                                                   'D'.           RG800921
077700*
077800         05  MMSMIR-VI-MEMBER-ID
077900                             PIC  9(08)      VALUE ZERO.
078000*
078100         05  MMSMIR-VI-SPECIAL-COND-IND.
078200             07  MMSMIR-VI-SPECIAL-COND-1
078300                             PIC  X(01)      VALUE SPACES.
078400             07  MMSMIR-VI-SPECIAL-COND-2
078500                             PIC  X(01)      VALUE SPACES.
078600*
078700         05  MMSMIR-VI-CH-TERM-IND
078800                             PIC  X(01)      VALUE SPACES.
078900         05  MMSMIR-VI-CH-ID-METHOD
079000                             PIC  X(01)      VALUE SPACES.
079100         05  MMSMIR-VI-POS-CAPABILITIES
079200                             PIC  X(01)      VALUE SPACES.
079300         05  MMSMIR-VI-AUTH-SOURCE
079400                             PIC  X(01)      VALUE SPACES.
079500         05  MMSMIR-VI-MAIL-PHONE-IND
079600                             PIC  X(01)      VALUE SPACES.
079700         05  MMSMIR-VI-POS-MODE
079800                             PIC  X(02)      VALUE SPACES.
079900         05  MMSMIR-VI-RPT-THSHOLD
080000                             PIC  X(01)      VALUE SPACES.
080100         05  MMSMIR-VI-PROG-INDICATOR
080200                             PIC  X(01)      VALUE SPACES.
080300         05  MMSMIR-VI-REG-ADDR-IND
080400                             PIC  X(01)      VALUE 'P'.
080500             88  MMSMIR-VI-RAI-PRIMARY       VALUE 'P'.
080600             88  MMSMIR-VI-RAI-SECONDARY     VALUE 'S'.
080700         05  MMSMIR-VI-REG-ADDR-LINE
080800                             PIC  9(01)      VALUE 1.
080900         05  MMSMIR-VI-MPS-ID-NBR
081000                             PIC  9(10)      VALUE ZERO.
081100         05  MMSMIR-VI-CRB-REGION
081200                             PIC  X(02)      VALUE SPACES.
081300         05  MMSMIR-VI-CATEGORY-CODE
081400                             PIC  9(04)      VALUE ZERO.
081500         05  MMSMIR-VI-FLOOR-LIMIT
081600                             PIC S9(17)      COMP-3 VALUE ZERO.
081700         05  MMSMIR-VI-VOLUME-IND
081800                             PIC  X(02)      VALUE SPACES.
081900             88  MMSMIR-VI-VOLUME-IND-NOT-USED
082000                                             VALUE SPACES.
082100             88  MMSMIR-VI-VOLUME-IND-USED   VALUE '01' THRU
082200                                                   '99'.
082300             88  MMSMIR-VI-VOLUME-IND-VALID  VALUE '01' THRU
082400                                                   '99'
082500                                                   SPACES.
082510*                                                                 RG802901
082520         05  MMSMIR-VI-URL-EMAIL                                  RG802901
082530                             PIC  X(60)      VALUE SPACES.        RG802901
082540         05  MMSMIR-VI-CONTACT-IND                                RG802901
082550                             PIC  X(01)      VALUE ZERO.          RG802901
082560*                                                                 RG802901
082570         05  MMSMIR-VI-SVC-DVLP-IND                               RG800914
082580                             PIC  X(01)      VALUE ZERO.          RG800914
082600         05  MMSMIR-VI-FILLER
082700                             PIC  X(18)      VALUE SPACES.        RG800914
082800*
082900*
083000*****************************************************************
083100*    MASTERCARD SPECIFIC FIELDS                                 *
083200*****************************************************************
083300*
083400     03  MMSMIR-MC-DATA.
083500         05  MMSMIR-MC-STATUS
083600                             PIC  X(01)      VALUE 'N'.
083700             88  MMSMIR-MC-NOT-ALLOWED       VALUE 'N'.
083800             88  MMSMIR-MC-ACTIVE            VALUE 'A'.
083900             88  MMSMIR-MC-CLOSED            VALUE 'C'.
084000             88  MMSMIR-MC-PURGED            VALUE 'P'.
084100         05  MMSMIR-MC-EFF-DATE
084200                             PIC S9(07)      COMP-3 VALUE ZERO.
084300         05  MMSMIR-MC-DBA-NAME
084400                             PIC  X(22)      VALUE SPACES.
084500         05  MMSMIR-MC-INTCHG-FLAG
084600                             PIC  X(01)      VALUE 'S'.
084700             88  MMSMIR-MC-STANDARD-RATE     VALUE 'S'.
084800             88  MMSMIR-MC-STANDARD-INTL     VALUE '0'.
084900             88  MMSMIR-MC-MERIT-1-RATE      VALUE '1'.
085000             88  MMSMIR-MC-WAREHOUSE-CLUB    VALUE 'W'.
085100             88  MMSMIR-MC-MERIT-3-RATE      VALUE '3'.
085200             88  MMSMIR-MC-SUPERMKT-RATE     VALUE '4'.
085300             88  MMSMIR-MC-SERVICE-INDUSTRY  VALUE '5'.
085304             88  MMSMIR-MC-BASE-CORP         VALUE '6'.           EH800900
085306             88  MMSMIR-MC-BASE-CORP-DATA    VALUE '7'.           EH800900
085308             88  MMSMIR-MC-SEC-ELEC-CORP     VALUE '8'.           EH800900
085310             88  MMSMIR-MC-SEC-ELEC-CORP-DATA                     EH800900
085312                                             VALUE '9'.           EH800900
085320             88  MMSMIR-MC-CHIP-FULL-GRADE   VALUE 'F'.           EH800900
085322             88  MMSMIR-MC-CHIP-FG-ADDENDUM  VALUE 'G'.           EH800900
085400             88  MMSMIR-MC-CONVENIENCE       VALUE 'C'.           EH800900
085600             88  MMSMIR-MC-TRAVEL-PREM-SERV  VALUE 'T'.
085700             88  MMSMIR-MC-INTL-ELECTRONIC   VALUE 'B'.
085800             88  MMSMIR-MC-MASTER-PHONE      VALUE 'P'.
085900             88  MMSMIR-MC-REDUCED-INTCHG-RATE
086000                                             VALUE '1'
086100                                                   '3' '4' '5'
086102                                                   '6' '7' '8' '9'EH800900
086200                                                   'B' 'P'
086300                                                   'C' 'T' 'W'.
086400             88  MMSMIR-MC-VALID-INTCHG-FLAG VALUE 'S' '0' '1'
086500                                                   '3' '4' '5'
086502                                                   '6' '7' '8' '9'EH800900
086600                                                   'B' 'P'
086602                                                   'F' 'G'        FX800044
086700                                                   'C' 'T' 'W'.
086800*
086900         05  MMSMIR-MC-AIRLINE-CATEGORY
087000                             PIC S9(05)      COMP-3 VALUE ZERO.
087100*
087200         05  MMSMIR-MC-POS-ENTRY-MODE
087300                             PIC  X(02)      VALUE SPACES.
087400         05  MMSMIR-MC-CIRRUS-IND
087500                             PIC  X(01)      VALUE 'N'.
087600             88  MMSMIR-MC-ATM-IS-CIRRUS     VALUE 'Y'.
087700             88  MMSMIR-MC-ATM-NOT-CIRRUS    VALUE 'N'.
087800         05  MMSMIR-MC-BUSINESS-CLASS                             EH800900
087802                             PIC  X(04)      VALUE '1000'.        EH800900
087804         05  MMSMIR-MC-BUSINESS-CLASS-1-4                         EH800900
087806                             REDEFINES MMSMIR-MC-BUSINESS-CLASS.  EH800900
087808             07  MMSMIR-MC-BUSINESS-CLASS-1                       EH800900
087810                             PIC  X(01).                          EH800900
087812                 88  MMSMIR-MC-BC1-CORPORATION                    EH800900
087814                                             VALUE '1'.           EH800900
087816                 88  MMSMIR-MC-BC1-OTHER-STRUCTURE                EH800900
087818                                             VALUE '2'.           EH800900
087820                 88  MMSMIR-MC-BC1-SOLE-PROP VALUE '3'.           EH800900
087822                 88  MMSMIR-MC-BC1-PARTNERSHIP                    EH800900
087824                                             VALUE '4'.           EH800900
087826                 88  MMSMIR-MC-BC1-ASSOCIATION                    EH800900
087828                                             VALUE '5'.           EH800900
087830                 88  MMSMIR-MC-BC1-TAX-EXEMPT VALUE '6'.          EH800900
087832                 88  MMSMIR-MC-BC1-INTERNATIONAL                  EH800900
087834                                             VALUE '7'.           EH800900
087836                 88  MMSMIR-MC-BC1-LIMITED-LIAB-CO                EH800900
087838                                             VALUE '8'.           EH800900
087840                 88  MMSMIR-MC-BC1-VALID     VALUE '1' THRU '8'.  EH800900
087842             07  MMSMIR-MC-BUSINESS-CLASS-2                       EH800900
087844                             PIC  X(01).                          EH800900
087846                 88  MMSMIR-MC-BC2-UNKNOWN   VALUE '0'.           EH800900
087848                 88  MMSMIR-MC-BC2-NO-APPLIC-CLASS                EH800900
087850                                             VALUE '1'.           EH800900
087852                 88  MMSMIR-MC-BC2-FEMALE-OWNER                   EH800900
087854                                             VALUE '2'.           EH800900
087856                 88  MMSMIR-MC-BC2-FEMALE-HADICAP                 EH800900
087858                                             VALUE '3'.           EH800900
087860                 88  MMSMIR-MC-BC2-MALE-HANDICAP                  EH800900
087862                                             VALUE '4'.           EH800900
087864                 88  MMSMIR-MC-BC2-VALID     VALUE '0' THRU '4'.  EH800900
087866             07  MMSMIR-MC-BUSINESS-CLASS-3                       EH800900
087868                             PIC  X(01).                          EH800900
087870                 88  MMSMIR-MC-BC3-UNKNOWN   VALUE '0'.           EH800900
087872                 88  MMSMIR-MC-BC3-NOT-CERTIFIED                  EH800900
087874                                             VALUE '1'.           EH800900
087876                 88  MMSMIR-MC-BC3-SMALL-BUS-CERT                 EH800900
087878                                             VALUE '2'.           EH800900
087880                 88  MMSMIR-MC-BC3-SMALL-DISAD-CERT               EH800900
087882                                             VALUE '3'.           EH800900
087884                 88  MMSMIR-MC-BC3-MINORITY-SUPPLY                EH800900
087886                                             VALUE '4'.           EH800900
087888                 88  MMSMIR-MC-BC3-SELF-CERT-BUS                  EH800900
087890                                             VALUE '5'.           EH800900
087892                 88  MMSMIR-MC-BC3-SMALL-BUS-RECOG                EH800900
087894                                             VALUE '6'.           EH800900
087896                 88  MMSMIR-MC-BC3-SMALL-BUS-DISAD                EH800900
087898                                             VALUE '7'.           EH800900
087900                 88  MMSMIR-MC-BC3-SMALL-BUS-OTHER                EH800900
087902                                             VALUE '8'.           EH800900
087904                 88  MMSMIR-MC-BC3-SBA-CERT-AS-8                  EH800900
087906                                             VALUE 'A'.           EH800900
087908                 88  MMSMIR-MC-BC3-SELF-CERT-SDB                  EH800900
087910                                             VALUE 'B'.           EH800900
087912                 88  MMSMIR-MC-BC3-SBA-CERT-HUBZONE               EH800900
087914                                             VALUE 'C'.           EH800900
087916                 88  MMSMIR-MC-BC3-VALID     VALUE '0' THRU '8'   EH800900
087918                                                   'A' 'B'  'C'.  EH800900
087920             07  MMSMIR-MC-BUSINESS-CLASS-4                       EH800900
087922                             PIC  X(01).                          EH800900
087924                 88  MMSMIR-MC-BC4-UNKNOWN   VALUE '0'.           EH800900
087926                 88  MMSMIR-MC-BC4-AFRICAN-AM                     EH800900
087928                                             VALUE '1'.           EH800900
087930                 88  MMSMIR-MC-BC4-ASIA-PAC-AM                    EH800900
087932                                             VALUE '2'.           EH800900
087934                 88  MMSMIR-MC-BC4-SUB-ASIAN-AM                   EH800900
087936                                             VALUE '3'.           EH800900
087938                 88  MMSMIR-MC-BC4-HISPANIC-AM                    EH800900
087940                                             VALUE '4'.           EH800900
087942                 88  MMSMIR-MC-BC4-NATIVE-AMERICAN                EH800900
087944                                             VALUE '5'.           EH800900
087946                 88  MMSMIR-MC-BC4-NATIVE-HAWAIIAN                EH800900
087948                                             VALUE '6'.           EH800900
087950                 88  MMSMIR-MC-BC4-NATIVE-ALASKAN                 EH800900
087952                                             VALUE '7'.           EH800900
087954                 88  MMSMIR-MC-BC4-CAUCASIAN VALUE '8'.           EH800900
087956                 88  MMSMIR-MC-BC4-OTHER     VALUE '9'.           EH800900
087958                 88  MMSMIR-MC-BC4-VALID     VALUE '0' THRU '9'.  EH800900
088000         05  MMSMIR-MC-CATEGORY-CODE
088100                             PIC  9(04)      VALUE ZERO.
088200         05  MMSMIR-MC-FLOOR-LIMIT
088300                             PIC S9(17)      COMP-3 VALUE ZERO.
088400         05  MMSMIR-MC-CH-TERM-IND
088500                             PIC  X(01)      VALUE SPACES.
088600             88  MMSMIR-MC-CH-TERM-IND-NOT-USED
088700                                             VALUE SPACES.
088800             88  MMSMIR-MC-CH-TERM-IND-1-4   VALUE '1' THRU '4'.
088900             88  MMSMIR-MC-CH-TERM-IND-6     VALUE '6'.
089000             88  MMSMIR-VALID-MC-CH-TERM-IND VALUE '1' THRU '4'
089100                                                   '6'
089200                                                   SPACES.
089300*
089400         05  MMSMIR-MC-FILLER
089500                             PIC  X(80)      VALUE SPACES.
089600*
089700*****************************************************************
089800*    CLOSE/PURGING/PURGE DATA                                   *
089900*****************************************************************
090000*
090100     03  MMSMIR-CLOSE-PURGE-DATA-X.
090200         05  MMSMIR-CLOSE-REASON
090300                             PIC  X(02)      VALUE SPACES.
090400         05  MMSMIR-STATUS-CHANGE-OPER
090500                             PIC  X(03)      VALUE SPACES.
090600             88  MMSMIR-STATUS-OPER-AUTO     VALUE '*S*' '*S6'.
090700         05  MMSMIR-SETT-HIST-SW
090800                             PIC  X(01)      VALUE 'N'.
090900             88  MMSMIR-SETT-HIST-PRESENT    VALUE 'Y'.
091000             88  MMSMIR-SETT-HIST-NOT-PRESENT
091100                                             VALUE 'N'.
091200         05  MMSMIR-CMS-ACTIVE-FLAG
091300                             PIC  X(01)      VALUE 'N'.
091400             88  MMSMIR-CMS-ENABLED          VALUE 'Y'.
091500             88  MMSMIR-CMS-DISABLED         VALUE 'N'.
091600*
091700*                                                                 EH800900
091710     03  MMSMIR-MC-PROJECT-7787.                                  EH800900
091712******************************************************************EH800900
091714*    POS                                                         *EH800900
091716*    DATA                                                        *EH800900
091718*    CODE  FIELD DESCRIPTION                VALID VALUES         *EH800900
091720*    ----  -------------------------------- -----------------    *EH800900
091722*     01 = CARD DATA INPUT CAPABILITY       1,2,5                *EH800900
091724*     02 = CARDHOLDER AUTHENTICATION METHOD 0,1                  *EH800900
091726*     03 = CARD CAPTURE CAPABILITY          0,1                  *EH800900
091728*     04 = OPERATING ENVIRONMENT            0,1,2,3,4,5,9,S,T,U,V*EH800900
091730*     05 = CARDHOLDER PRESENT               0,1,2,3,4            *EH800900
091732*     06 = CARD PRESENT                     0,1                  *EH800900
091734*     07 = CARD DATA INPUT MODE             1,2,5,6,S,T,U,V      *RG27913
091736*     08 = CARDHOLDER AUTHENTICATION METHOD 0,1,5                *EH800900
091738*     09 = CARDHOLDER AUTHENTICATION        0,1,3,4,5,9          *EH800900
091740*     10 = CARD DATA OUTPUT CAPABILITY      0,1,3                *EH800900
091742*     11 = TERMINAL OUTPUT CAPABILITY       0,1,2,3,4            *EH800900
091744*     12 = PIN CAPTURE CAPABILITY           0,1,4,5,6            *EH800900
091746******************************************************************EH800900
091748         05  MMSMIR-MC-POS-DATA-CODE.                             EH800900
091750             07  MMSMIR-MC-POS-DC-01                              EH800900
091752                             PIC  X(01)      VALUE '1'.           EH800900
091754                 88  MMSMIR-MC-POS-DC-01-VALID                    EH800900
091756                                             VALUE '1' '2' '5'.   EH800900
091758             07  MMSMIR-MC-POS-DC-02                              EH800900
091760                             PIC  X(01)      VALUE ZERO.          EH800900
091762                 88  MMSMIR-MC-POS-DC-02-VALID                    EH800900
091764                                             VALUE '0' '1'.       EH800900
091766             07  MMSMIR-MC-POS-DC-03                              EH800900
091768                             PIC  X(01)      VALUE ZERO.          EH800900
091770                 88  MMSMIR-MC-POS-DC-03-VALID                    EH800900
091772                                             VALUE '0' '1'.       EH800900
091774             07  MMSMIR-MC-POS-DC-04                              EH800900
091776                             PIC  X(01)      VALUE ZERO.          EH800900
091778                 88  MMSMIR-MC-POS-DC-04-VALID                    EH800900
091780                                             VALUE '0' '1' '2'    EH800900
091782                                               '3' '4' '5' '9'    EH800900
091784                                               'S' 'T' 'U' 'V'.   EH800900
091786             07  MMSMIR-MC-POS-DC-05                              EH800900
091788                             PIC  X(01)      VALUE ZERO.          EH800900
091790                 88  MMSMIR-MC-POS-DC-05-VALID                    EH800900
091792                                             VALUE '0' '1'        EH800900
091794                                               '2' '3' '4'.       EH800900
091796             07  MMSMIR-MC-POS-DC-06                              EH800900
091798                             PIC  X(01)      VALUE ZERO.          EH800900
091800                 88  MMSMIR-MC-POS-DC-06-VALID                    EH800900
091802                                             VALUE '0' '1'.       EH800900
091804             07  MMSMIR-MC-POS-DC-07                              EH800900
091806                             PIC  X(01)      VALUE '1'.           EH800900
091808                 88  MMSMIR-MC-POS-DC-07-VALID                    EH800900
091809                                             VALUE '1' '2' '5'    RG27913
091810                                                   '6' 'S' 'T'    RG27913
091811                                                   'U' 'V'.       RG27913
091812             07  MMSMIR-MC-POS-DC-08                              EH800900
091814                             PIC  X(01)      VALUE ZERO.          EH800900
091816                 88  MMSMIR-MC-POS-DC-08-VALID                    EH800900
091818                                             VALUE '0' '1' '5'.   EH800900
091820             07  MMSMIR-MC-POS-DC-09                              EH800900
091822                             PIC  X(01)      VALUE ZERO.          EH800900
091824                 88  MMSMIR-MC-POS-DC-09-VALID                    EH800900
091826                                             VALUE '0' '1' '3'    EH800900
091828                                                   '4' '5' '9'.   EH800900
091830             07  MMSMIR-MC-POS-DC-10                              EH800900
091832                             PIC  X(01)      VALUE '1'.           EH800900
091834                 88  MMSMIR-MC-POS-DC-10-VALID                    EH800900
091836                                             VALUE '0' '1' '3'.   EH800900
091838             07  MMSMIR-MC-POS-DC-11                              EH800900
091840                             PIC  X(01)      VALUE '1'.           EH800900
091842                 88  MMSMIR-MC-POS-DC-11-VALID                    EH800900
091844                                             VALUE '0' '1' '2'    EH800900
091846                                                   '3' '4'.       EH800900
091848             07  MMSMIR-MC-POS-DC-12                              EH800900
091850                             PIC  X(01)      VALUE ZERO.          EH800900
091852                 88  MMSMIR-MC-POS-DC-12-VALID                    EH800900
091854                                             VALUE '0' '1'        EH800900
091856                                               '4' '5' '6'.       EH800900
091858*                                                                 EH800900
091860     03  MMSMIR-MC-ASSIGNED-ID                                    RG800913
091862                             PIC  X(03)      VALUE SPACES.        RG800913
091864*                                                                 RG800913
091898     03  MMSM-FILLER         PIC  X(921)     VALUE SPACES.        RG800902
091899***************************************************************** RG800913
091900*    SPECIAL AUTHORIZATIONS AREA                                *
092000*****************************************************************
092100*
092200     03  MMSMIR-SPEC-AUTH-AREA.
092300         05  MMSMIR-AUTH-CURRENCY-CODE
092400                             PIC  X(03)      VALUE SPACES.
092500         05  FILLER          PIC  X(14)      VALUE SPACES.
092600*
092700***************************************************************** RG800902
092800*    STORE FRAUD CONTROL                                        * RG800902
092900***************************************************************** RG800902
093000*                                                                 RG800902
093100     03  MMSMIR-FRAUD-DATA.                                       RG800902
093200         05  MMSMIR-FRAUD-FLOOR-OPTIONS.                          RG800902
093300             07  MMSMIR-AUTHS-BELOW-FLOOR-VI                      RG800902
093400                             PIC S9(05)      COMP-3 VALUE ZERO.   RG800902
093500             07  MMSMIR-AUTHS-BELOW-FLOOR-MC                      RG800902
093600                             PIC S9(05)      COMP-3 VALUE ZERO.   RG800902
093700             07  MMSMIR-AUTHS-BELOW-FLOOR-PL                      RG800902
093800                             PIC S9(05)      COMP-3 VALUE ZERO.   RG800902
093900         05  MMSMIR-FRAUD-DUPLICATE-FIELDS.                       RG800902
094000             07  MMSMIR-DUP-SALES-DAY-NBR-C-H                     RG800902
094100                             PIC S9(03)      COMP-3 VALUE ZERO.   RG800902
094200             07  MMSMIR-DUP-SALES-DAY-AMT-C-H                     RG800902
094300                             PIC S9(17)      COMP-3 VALUE ZERO.   RG800902
094400             07  MMSMIR-DUP-SALES-DAY-NBR-BIN                     RG800902
094500                             PIC S9(03)      COMP-3 VALUE ZERO.   RG800902
094600             07  MMSMIR-DUP-SALES-DAY-AMT-BIN                     RG800902
094700                             PIC S9(17)      COMP-3 VALUE ZERO.   RG800902
094800             07  MMSMIR-DUP-AUTHS-DAY-NBR-C-H                     RG800902
094900                             PIC S9(03)      COMP-3 VALUE ZERO.   RG800902
095000             07  MMSMIR-DUP-AUTHS-DAY-AMT-C-H                     RG800902
095100                             PIC S9(17)      COMP-3 VALUE ZERO.   RG800902
095200             07  MMSMIR-DUP-AUTHS-DAY-NBR-BIN                     RG800902
095300                             PIC S9(03)      COMP-3 VALUE ZERO.   RG800902
095400             07  MMSMIR-DUP-AUTHS-DAY-AMT-BIN                     RG800902
095500                             PIC S9(17)      COMP-3 VALUE ZERO.   RG800902
095600*                                                                 RG800902
095700*                                                                 RG800902
095800*                                                                 RG800902
095900     03  MMSMIR-USER-FILLER  PIC  X(100)     VALUE SPACES.        RG800902
096000*                                                                 RG800902
096100*                                                                 RG800902
096200*                                                                 RG800902
096300*       ***************************************************       RG800902
096400*       *              END OF COPYBOOK MMSMIR             *       RG800902
096500*       ***************************************************       RG800902
