000100*****************************************************************
000200*                                                               *
000300*  V - PLUS  M E R C H A N T   B A N K C A R D  S Y S T E M     *
000400*                                                               *
000500* MMSRRL -----STORE RELATIONSHIP CONTROL RECORD-----  510 BYTES *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMSR-RECORD.
001000     03  MMSR-KEY.
001100         05  MMSR-ORG-CHAIN.
001200             88  MMSR-HEADER                 VALUE ZERO.
001300             88  MMSR-TRAILER                VALUE '999999999999'.
001400             07  MMSR-ORG-X.
001500                 09  MMSR-ORG
001600                             PIC  9(03).
001700             07  MMSR-CHAIN-X.
001800                 09  MMSR-CHAIN
001900                             PIC  9(09).
002000*
002100     03  MMSR-STATUS-INFORMATION.
002200         05  MMSR-REC-STATUS
002300                             PIC  9(01).
002400             88  MMSR-REC-INCOMPLETE         VALUE 0.
002500             88  MMSR-REC-ACTIVE             VALUE 1.
002600             88  MMSR-REC-INACTIVE           VALUE 2.
002700             88  MMSR-REC-PURGED             VALUE 9.
002800*
002900         05  MMSR-ONLINE-STATUS
003000                             PIC  9(02).
003100             88  MMSR-ADD-PENDING            VALUE 00 THRU 49.
003200             88  MMSR-ADD-COMPLETED          VALUE 99.
003300*
003400         05  MMSR-LAST-MAINT-DATE
003500                             PIC S9(07)      COMP-3.
003600         05  MMSR-LAST-MAINT-OPER
003700                             PIC  X(03).
003800*
003900*****************************************************************
004000*    PRIMARY DEMOGRAPHICS                                       *
004100*****************************************************************
004200*
004300     03  MMSR-DEMOGRAPHICS-AREA.
004400         05  MMSR-DEMOGRAPHICS-TABLE.
004500             07  MMSR-GNA-NBR
004600                             PIC  X(19).
004700             07  MMSR-NA-LINES-TABLE
004800                                             OCCURS 5 TIMES
004900                                             INDEXED BY
005000                                             X-MMSR-NA.
005100                 09  MMSR-NA-LINE
005200                             PIC  X(40).
005300             07  MMSR-NA-OVERFLOW-SW
005400                             PIC  X(01).
005500                 88  MMSR-NA-OVERFLOW-YES    VALUE 'Y'.
005600                 88  MMSR-NA-OVERFLOW-NO     VALUE 'N'.
005700             07  MMSR-COUNTRY-CODE
005800                             PIC  X(03).
005900             07  MMSR-STATE-CODE
006000                             PIC  X(03).
006100             07  MMSR-POSTAL-CODE
006200                             PIC  X(10).
006300             07  MMSR-PHONE
006400                             PIC  X(20).
006500             07  MMSR-FAX
006600                             PIC  X(20).
006700*
006800*****************************************************************
006900*    CHAIN PROCESSING OPTIONS AND STATIC DATA                   *
007000*****************************************************************
007100*
007200     03  MMSR-CHAIN-DATA.
007300         05  FILLER          PIC  X(24).
007400*
007500*****************************************************************
007600*    STATISTICS CONTROL AREA                                    *
007700*****************************************************************
007800*
007900*
008000******************************************************************
008100* OCCURRENCE *---------------DATA CONTENT---------------*        *
008200*     1     ROLLING 12 STATS FOR 1-MONTH PRIOR TO CURRENT MONTH  *
008300*     2     ROLLING 12 STATS FOR 2-MONTHS PRIOR TO CURRENT MONTH *
008400*     3     ROLLING 12 STATS FOR 3-MONTHS PRIOR TO CURRENT MONTH *
008500*     4     ROLLING 12 STATS FOR 4-MONTHS PRIOR TO CURRENT MONTH *
008600*     5     ROLLING 12 STATS FOR 5-MONTHS PRIOR TO CURRENT MONTH *
008700*     6     ROLLING 12 STATS FOR 6-MONTHS PRIOR TO CURRENT MONTH *
008800*     7     ROLLING 12 STATS FOR 7-MONTHS PRIOR TO CURRENT MONTH *
008900*     8     ROLLING 12 STATS FOR 8-MONTHS PRIOR TO CURRENT MONTH *
009000*     9     ROLLING 12 STATS FOR 9-MONTHS PRIOR TO CURRENT MONTH *
009100*    10     ROLLING 12 STATS FOR 10-MONTHS PRIOR TO CURRENT MONTH*
009200*    11     ROLLING 12 STATS FOR 11-MONTHS PRIOR TO CURRENT MONTH*
009300*    12     ROLLING 12 STATS FOR 12-MONTHS PRIOR TO CURRENT MONTH*
009400*    13     CURRENT DAY STATS (PROCESSED YESTERDAY)              *
009500*    14     MONTH-TO-DATE STATS                                  *
009600*    15     YEAR-TO-DATE STATS                                   *
009700*    16     STATEMENT CYCLE-TO-DATE STATS                        *
009800*    17     DISCOUNT-TO-DATE STATS                               *
009900*    18     PARTICIPATION-TO-DATE STATS                          *
010000******************************************************************
010100*
010200     03  MMSR-STATS-CONTROL-AREA.
010300         05  MMSR-STATS-OCCUR-TABLE          OCCURS 18 TIMES
010400                                             INDEXED BY
010500                                             X-MMSR
010600                                             X-MMSR-1
010700                                             X-MMSR-2
010800                                             X-MMSR-3
010900                                             X-MMSR-4
011000                                             X-MMSR-5
011100                                             X-MMSR-6
011200                                             X-MMSR-SEARCH.
011300             07  MMSR-OCCURRENCE-DESC.
011400                 09  MMSR-OCCURRENCE-ID
011500                             PIC  X(03).
011600                     88  MMSR-OID-JAN        VALUE 'JAN'.
011700                     88  MMSR-OID-FEB        VALUE 'FEB'.
011800                     88  MMSR-OID-MAR        VALUE 'MAR'.
011900                     88  MMSR-OID-APR        VALUE 'APR'.
012000                     88  MMSR-OID-MAY        VALUE 'MAY'.
012100                     88  MMSR-OID-JUN        VALUE 'JUN'.
012200                     88  MMSR-OID-JUL        VALUE 'JUL'.
012300                     88  MMSR-OID-AUG        VALUE 'AUG'.
012400                     88  MMSR-OID-SEP        VALUE 'SEP'.
012500                     88  MMSR-OID-OCT        VALUE 'OCT'.
012600                     88  MMSR-OID-NOV        VALUE 'NOV'.
012700                     88  MMSR-OID-DEC        VALUE 'DEC'.
012800                     88  MMSR-OID-CUR        VALUE 'CUR'.
012900                     88  MMSR-OID-MTD        VALUE 'MTD'.
013000                     88  MMSR-OID-YTD        VALUE 'YTD'.
013100                     88  MMSR-OID-CTD        VALUE 'CTD'.
013200                     88  MMSR-OID-DTD        VALUE 'DTD'.
013300                     88  MMSR-OID-PTD        VALUE 'PTD'.
013400                 09  MMSR-OCCURRENCE-YEAR
013500                             PIC  9(04).
013600*
013700     03  FILLER              PIC  X(12).
013800*
013900     03  MMSR-USER-FILLER    PIC  X(50).
014000*
014100*       ***************************************************
014200*       *              END OF COPYBOOK MMSRRL             *
014300*       ***************************************************
