000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMSSIR --SYSTEM SOURCE DEFINITIONS MASTER FILE-- 100 BYTES   *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMSSIR-RECORD.
001000     03  MMSSIR-KEY.
001100         05  MMSSIR-ORG-X.
001200             07  MMSSIR-ORG  PIC  9(03)      VALUE ZERO.
001300         05  MMSSIR-SEQ      PIC S9(04)      BINARY VALUE ZERO.
001400     03  MMSSIR-KEY-R        REDEFINES MMSSIR-KEY.
001500         05  FILLER          PIC  X(03).
001600         05  MMSSIR-SEQ-R    PIC  X(02).
001700             88  MMSSIR-HEADER               VALUE LOW-VALUES.
001800             88  MMSSIR-TRAILER              VALUE HIGH-VALUES.
001900*
002000     03  MMSSIR-STATUS-INFORMATION.
002100         05  MMSSIR-REC-STATUS
002200                             PIC  9(01)      VALUE ZERO.
002300             88  MMSSIR-REC-INCOMPLETE       VALUE ZERO.
002400             88  MMSSIR-REC-ACTIVE           VALUE 1.
002500             88  MMSSIR-REC-INACTIVE         VALUE 2.
002600             88  MMSSIR-REC-PURGED           VALUE 9.
002700         05  MMSSIR-ONLINE-STATUS
002800                             PIC  9(02)      VALUE ZERO.
002900             88  MMSSIR-ADD-PENDING          VALUE 00 THRU 49.
003000             88  MMSSIR-ADD-COMPLETED        VALUE 99.
003100         05  MMSSIR-LAST-MAINT-DATE
003200                             PIC S9(07)      COMP-3 VALUE ZERO.
003300         05  MMSSIR-LAST-MAINT-OPER
003400                             PIC  X(03)      VALUE SPACES.
003500*
003600*****************************************************************
003700*    SOURCE DATA                                                *
003800*****************************************************************
003900*
004000     03  MMSSIR-SOURCE-DATA.
004100         05  MMSSIR-SOURCE-CODE
004200                             PIC  X(05)      VALUE SPACES.
004300         05  MMSSIR-SOURCE-DESC
004400                             PIC  X(16)      VALUE SPACES.
004500         05  MMSSIR-SOURCE-PRODUCT
004600                             PIC  9(02)      VALUE ZERO.
004700         05  MMSSIR-SOURCE-ORG
004800                             PIC  9(03)      VALUE ZERO.
004900             88  MMSSIR-NO-SOURCE-ORG        VALUE ZERO 999.
005000         05  MMSSIR-SOURCE-LOGO
005100                             PIC  9(03)      VALUE ZERO.
005200             88  MMSSIR-NO-SOURCE-LOGO       VALUE ZERO 999.
005300         05  MMSSIR-SOURCE-PREFIXES.
005400             07  MMSSIR-SOURCE-FROM-PREFIX
005500                             PIC  X(11)      VALUE SPACES.
005600             07  MMSSIR-SOURCE-CRITERIA-OPER
005700                             PIC  X(01)      VALUE SPACES.
005800                 88  MMSSIR-SCO-EXACT-MATCH  VALUE 'X'.
005900                 88  MMSSIR-SCO-RANGE-MATCH  VALUE 'R'.
006000                 88  MMSSIR-SCO-WILDCARD-MATCH
006100                                             VALUE '*'.
006200                 88  MMSSIR-SCO-DEFAULT-MATCH
006300                                             VALUE 'Z' SPACE.
006400             07  MMSSIR-SOURCE-TO-PREFIX
006500                             PIC  X(11)      VALUE SPACES.
006600*
006700*
006800*
006900     03  FILLER              PIC  X(23)      VALUE SPACES.
007000*
007100     03  USER-FILLER         PIC  X(10)      VALUE SPACES.
007200*
007300*       ***************************************************
007400*       *              END OF COPYBOOK MMSSIR             *
007500*       ***************************************************
