000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MMSSRL --SYSTEM SOURCE DEFINITIONS MASTER FILE-- 100 BYTES   *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MMSS-RECORD.
001000     03  MMSS-KEY.
001100         05  MMSS-ORG-X.
001200             07  MMSS-ORG    PIC  9(03).
001300         05  MMSS-SEQ        PIC S9(04)      BINARY.
001400     03  MMSS-KEY-R          REDEFINES MMSS-KEY.
001500         05  FILLER          PIC  X(03).
001600         05  MMSS-SEQ-R      PIC  X(02).
001700             88  MMSS-HEADER                 VALUE LOW-VALUES.
001800             88  MMSS-TRAILER                VALUE HIGH-VALUES.
001900*
002000     03  MMSS-STATUS-INFORMATION.
002100         05  MMSS-REC-STATUS
002200                             PIC  9(01).
002300             88  MMSS-REC-INCOMPLETE         VALUE 0.
002400             88  MMSS-REC-ACTIVE             VALUE 1.
002500             88  MMSS-REC-INACTIVE           VALUE 2.
002600             88  MMSS-REC-PURGED             VALUE 9.
002700         05  MMSS-ONLINE-STATUS
002800                             PIC  9(02).
002900             88  MMSS-ADD-PENDING            VALUE 00 THRU 49.
003000             88  MMSS-ADD-COMPLETED          VALUE 99.
003100         05  MMSS-LAST-MAINT-DATE
003200                             PIC S9(07)      COMP-3.
003300         05  MMSS-LAST-MAINT-OPER
003400                             PIC  X(03).
003500*
003600*****************************************************************
003700*    SOURCE DATA                                                *
003800*****************************************************************
003900*
004000     03  MMSS-SOURCE-DATA.
004100         05  MMSS-SOURCE-CODE
004200                             PIC  X(05).
004300         05  MMSS-SOURCE-DESC
004400                             PIC  X(16).
004500         05  MMSS-SOURCE-PRODUCT
004600                             PIC  9(02).
004700         05  MMSS-SOURCE-ORG
004800                             PIC  9(03).
004900             88  MMSS-NO-SOURCE-ORG          VALUE ZERO 999.
005000         05  MMSS-SOURCE-LOGO
005100                             PIC  9(03).
005200             88  MMSS-NO-SOURCE-LOGO         VALUE ZERO 999.
005300         05  MMSS-SOURCE-PREFIXES.
005400             07  MMSS-SOURCE-FROM-PREFIX
005500                             PIC  X(11).
005600             07  MMSS-SOURCE-CRITERIA-OPER
005700                             PIC  X(01).
005800                 88  MMSS-SCO-EXACT-MATCH    VALUE 'X'.
005900                 88  MMSS-SCO-RANGE-MATCH    VALUE 'R'.
006000                 88  MMSS-SCO-WILDCARD-MATCH
006100                                             VALUE '*'.
006200                 88  MMSS-SCO-DEFAULT-MATCH
006300                                             VALUE 'Z' SPACE.
006400             07  MMSS-SOURCE-TO-PREFIX
006500                             PIC  X(11).
006600*
006700*
006800*
006900     03  FILLER              PIC  X(23).
007000*
007100     03  USER-FILLER         PIC  X(10).
007200*
007300*       ***************************************************
007400*       *              END OF COPYBOOK MMSSRL             *
007500*       ***************************************************
