000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTCHRL -------- NACHA/ACH RECORD LAYOUT ---------- 94 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MTCH-REC.
001000     03  MTCH-REC-TYPE       PIC  9(01).
001100*        1 = TAPE-HDR
001200*        5 = COMPANY-HEADER
001300*        6 = DETAIL-REC
001400*        8 = COMPANY-TRAILER
001500*        9 = TAPE-TRLR
001600****************************************************************
001700     03  MTCH-TAPE-HDR.
001800         05  MTCH-TH-PRIORITY-CODE
001900                             PIC  9(02).
002000*            01 - PRIORITY HANDLING OF FILES
002100         05  MTCH-TH-DESTINATION.
002200             07  FILLER      PIC  X(01).
002300             07  MTCH-TH-ROUTNUM-DESTINATION
002400                             PIC  9(09).
002500*                DESTINATION ROUTING NUMBER - ZERO FOR NOW
002600         05  MTCH-TH-ORIGIN.
002700             07  FILLER      PIC  X(01).
002800             07  MTCH-TH-ROUTNUM-ORIGIN
002900*                ORIGIN ROUTING NUMBER
003000                             PIC  9(09).
003100         05  MTCH-TH-TRANS-DATE
003200                             PIC  9(06).
003300*            TRANSMISSION DATE - YYMMDD
003400         05  MTCH-TH-TRANS-TIME
003500                             PIC  9(04).
003600*            TRANSMISSION TIME - HHMM
003700         05  MTCH-TH-FILE-ID
003800                             PIC  X(01).
003900*            UNIQUE FILE IDENTIFIER -
004000*            REQUIRED, IF MORE THAN 1 ACH TAPE IS SENT PER DAY
004100*            PICKED UP FROM 'MMSC-ACH-FILE-ID-MOD'
004200         05  MTCH-TH-RECORD-SIZE
004300                             PIC  9(03).
004400*            094 - RECORD LENGTH
004500         05  MTCH-TH-BLOCK-SIZE
004600                             PIC  9(02).
004700*            10 - RECORDS PER BLOCK
004800         05  MTCH-TH-FORMAT  PIC  9(01).
004900*            1 FOR PAPERLESS ENTRIES
005000         05  MTCH-TH-DEST-NAME
005100                             PIC  X(23).
005200*            MOVE DEST NAME FROM SYSTEM RECORD
005300         05  MTCH-TH-ORIG-NAME
005400                             PIC  X(23).
005500*            SYSTEM ORIG NAME WILL BE MOVED
005600         05  FILLER          PIC  X(08).
005700****************************************************************
005800     03  MTCH-CH-HDR         REDEFINES MTCH-TAPE-HDR.
005900         05  MTCH-CH-SERV-CODE
006000                             PIC  9(03).
006100*            225 FOR ACH DEBITS
006200*            220 FOR ACH CREDITS
006300*            200 FOR BOTH
006400         05  MTCH-CH-CO-NAME
006500                             PIC  X(16).
006600*            USE SYSTEM REC PROC-CENTER-ID
006700         05  MTCH-CH-DISCRETION.
006800             07  FILLER      PIC  X(20).
006900*            SPACES FOR NOW
007000         05  MTCH-CH-CO-ID.
007100             07  MTCH-CH-CO-ICD
007200                             PIC  9(01).
007300*                1 = NEXT FIELD CONTAINS ORG TAX ID #
007400             07  MTCH-CH-CO-ID-NUM
007500                             PIC  9(09).
007600*                TAX ID NBR FROM SYSTEM RECORD
007700         05  MTCH-CH-SIC     PIC  X(03).
007800*            CTP = CORP TRADE PAYMENTS
007900         05  MTCH-CH-DESCRIPTION
008000                             PIC  X(10).
008100*        PRENOTE = 'PRENOTE'
008200*        DEBIT   = 'DISB DEBIT'
008300*        CREDIT  = 'DISB FUNDS'
008400         05  MTCH-CH-DESC-DATE
008500                             PIC  9(06).
008600*            CURRENT PROCESSING DATE - YYMMDD
008700         05  MTCH-CH-EFF-ENTRY-DATE
008800                             PIC  9(06).
008900*            NEXT PROCESSING DATE - YYMMDD
009000         05  FILLER          PIC  9(03).
009100         05  MTCH-CH-ORIG-STATUS
009200                             PIC  X(01).
009300*            1 = NON GOVERNMENT AGENCY
009400         05  MTCH-CH-ROUTNUM
009500                             PIC  9(08).
009600*            ORIG ABA NBR FROM SYSTEM REC
009700         05  MTCH-CH-BATCH-NBR
009800                             PIC  9(07).
009900*            BATCH NBR - 0000001 THRU 9999999
010000****************************************************************
010100     03  MTCH-DETAIL-REC   REDEFINES MTCH-TAPE-HDR.
010200         05  MTCH-DR-TRANS-CODE
010300                             PIC  9(02).
010400*            37 = ACH SAV DEBIT
010500*            27 = ACH DDA DEBIT
010600*            32 = ACH SAV CREDIT
010700*            22 = ACH DDA CREDIT
010800*            38 = PRENOTE SAV DEBIT
010900*            28 = PRENOTE DDA DEBIT
011000*            33 = PRENOTE SAV CREDIT
011100*            23 = PRENOTE DDA CREDIT
011200         05  MTCH-DR-ROUTE-TRANSIT.
011300             07  MTCH-DR-RT-NBR
011400                             PIC  9(08).
011500*            DDA TRAN ROUT NBR
011600             07  MTCH-DR-RT-CHK-DIGIT
011700                             PIC  9(01).
011800*            DDA TRAN ROUT NBR CHECK DIGIT
011900         05  MTCH-DR-CO-ACCT
012000                             PIC  X(17).
012100*            MERCHANT ACCT NBR
012200         05  MTCH-DR-AMT     PIC  9(10).                          FX800038
012300         05  FILLER          PIC  X(15).
012400         05  MTCH-DR-NBR-ITEMS
012500                             PIC  9(04).
012600*       *** MUST BE ZEROS  ***
012700         05  MTCH-DR-MERCH-NAME
012800                             PIC  X(16).
012900         05  FILLER          PIC  X(04).
013000         05  MTCH-DR-ADDENDA PIC  X(01).
013100*       *** MUST BE ZEROS  ***
013200         05  MTCH-DR-TRACE-NBR.
013300             07  MTCH-DR-ORIG-ABA-NBR
013400                             PIC  9(08).
013500             07  MTCH-DR-SEQ-NBR
013600                             PIC  9(07).
013700****************************************************************
013800     03  MTCH-CT-TRLR    REDEFINES MTCH-TAPE-HDR.
013900         05  MTCH-CT-SERV-CODE
014000                             PIC  9(03).
014100*            225 FOR ACH DEBITS
014200*            220 FOR ACH CREDITS
014300*            200 FOR BOTH
014400         05  MTCH-CT-ITEM-COUNT
014500                             PIC  9(06).
014600         05  MTCH-CT-ENTRY-HASH
014700                             PIC  9(10).
014800*            TOTAL OF ALL DETAIL TRANROUT NBRS WITHOUT CHK DIGITS
014900         05  MTCH-CT-TOTAL-DB
015000                             PIC  9(12).                          FX800038
015100         05  MTCH-CT-TOTAL-CR
015200                             PIC  9(12).                          FX800038
015300*            ZERO
015400         05  MTCH-CT-CO-ID.
015500             07  MTCH-CT-CO-ICD
015600                             PIC  9(01).
015700*                1 = NEXT FIELD CONTAINS ORG TAX ID #
015800             07  MTCH-CT-CO-ID-NUM
015900                             PIC  9(09).
016000*                TAX ID NBR ON SYSTEM REC
016100         05  FILLER          PIC  X(25).
016200         05  MTCH-CT-ROUTNUM
016300                             PIC  9(08).
016400*            SYSTEM REC ACH-ORIGIN-ABA-NBR
016500         05  MTCH-CT-BATCH-NBR
016600                             PIC  9(07).
016700*            BATCH NBR - 0000001 THRU 9999999
016800****************************************************************
016900     03  MTCH-TAPE-TRLR   REDEFINES MTCH-TAPE-HDR.
017000         05  MTCH-TT-BATCH-COUNT
017100                             PIC  9(06).
017200         05  MTCH-TT-BLOCK-COUNT
017300                             PIC  9(06).
017400         05  MTCH-TT-ITEM-COUNT
017500                             PIC  9(08).
017600         05  MTCH-TT-ENTRY-HASH
017700                             PIC  9(10).
017800*            TOTAL OF ALL DETAIL TRANROUT NBRS WITHOUT CHK DIGITS
017900         05  MTCH-TT-TOTAL-DB
018000                             PIC  9(12).                          FX800038
018100         05  MTCH-TT-TOTAL-CR
018200                             PIC  9(12).                          FX800038
018300         05  FILLER          PIC  X(39).
