000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTI2RL -------CMS/AR SYSTEM ATGT RECORD---------  458 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900*****************************************************************
001000*                                                               *
001100*                      COPYBOOK - ATGTRL                        *
001200*    THIS RECORD LAYOUT WILL PROVIDE THE DESCRIPTION FOR        *
001300*    MONETARY TRANSACTIONS IN THE FOLLOWING FILES:              *
001400*                                                               *
001500*    ABAI     ABAO     AMDI     AMOS     AMWT    ABGT    ATOI   *
001600*    AMXT     ATDI     ATNS     ATGT     ATOT    ATTA           *
001700*    ATVT     ATXT     ATGT     AMOI     ATOS                   *
001800*                                                               *
001900*****************************************************************
002000*                                                               *
002100*   THIS COPYBOOK CONTAINS PSEUDO TEXT (:MTI2:). THERE ARE      *
002200*   SEVERAL FILES WHICH INCLUDE MONETARY DATA. WHEN THESE FILES *
002300*   ,INCLUDING ATGT, ARE USED IN A PROGRAM COPY THE ATGT        *
002400*   COPYBOOK AND REPLACE :MTI2: WITH THE FILE NAME REQUIRED.    *
002500*   THIS WILL CHANGE ALL DATA NAMES TO THE FILE NAME SPECIFIED. *
002600*     EX. COPY ATGTRL         REPLACING ==:MTI2:== BY ==ABAI==. *
002700*         CHANGES ALL OCCURRENCES OF :MTI2: TO ABAI.            *
002800*                                                               *
002900*   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *
003000*                                                               *
003100*   THE AMSLRL AND AMSSRL RECORD LAYOUTS CONTAIN AN ATGT-DATA   *
003200*   FIELD WHICH EQUALS THE LENGTH OF THE ATGTR-RECORD WHICH     *
003300*   MUST BE CHANGED WHEN THE LENGTH OF ATGTRL CHANGES.          *
003400*                                                               *
003500*   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *
003600*                                                               *
003700*   THE REC-NBR FIELD IN THE KEY WILL CONTAIN ZEROS FOR ALL     *
003800*   FILES EXCEPT THE FOLLOWING:                                 *
003900*                                                               *
004000*   AMOS   ATOS    AMXT   ATXT   AMOI  ATOI                     *
004100*                                                               *
004200*   FOR THOSE FILES WHOSE KEY REC-NBR IS REQUIRED TO BE ZERO,   *
004300*   THE FIELD IS LOADED IN ARXXAB (BATCH ACCESS ROUTINE)        *
004400*   AND/OR ARXXAO (ON-LINE CALL COPYBOOK).                      *
004500*   ACCESS ROUTINES.                                            *
004600*                                                               *
004700*   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *
004800*                                                               *
004900*   THE DATA IN THIS RECORD IS DUPLICATED IN ADDITIONAL FILES   *
005000*   WHICH HAVE THE MONETARY-TXN REDEFINED OR OPEN-ITEM-BILLING  *
005100*   APPENDED.                                                   *
005200*                                                               *
005300*   FILES USING DEFER-BILL-TABLE REDEFINES MONETARY-TXN:        *
005400*    ATGT  ABGT                                                 *
005500*                                                               *
005600*   FILES USING OPEN-ITEM-BILLING GROUP:                        *
005700*    AMOI  ATOI  ATOT  ATOS                                     *
005800*                                                               *
005900*   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *
006000*                                                               *
006100*   IF THIS RECORD CHANGES AMT1RL MUST BE REVIEWED.             *
006200*   IF THIS RECORD CHANGES REVIEW AS1S-SORT-RECORD IN ARD100.   *
006300*   IF THIS RECORD CHANGES REVIEW ATSTIO,ATSTIR AND ATSTRL.     *
006400*                                                               *
006500*****************************************************************
006600*
006700 01  :MTI2:-RECORD.
006800     03  :MTI2:-KEY.
006900         05  :MTI2:-ORG-ACCT.
007000             07  :MTI2:-ORG-X.
007100                 88  :MTI2:-HEADER           VALUE '000'.
007200                 88  :MTI2:-TRAILER          VALUE '999'.
007300                 09  :MTI2:-ORG
007400                             PIC 9(03).
007500             07  :MTI2:-ACCT
007600                             PIC X(19).
007700         05  :MTI2:-REC-NBR  PIC 9(05).
007800     03  :MTI2:-LOGO         PIC 9(03).
007900     03  :MTI2:-TYPE         PIC X(01).
008000         88  :MTI2:-PURGE-HISTORY-TAG        VALUE 'P'.
008100         88  :MTI2:-POSTING-PURGE            VALUE 'C'.
008200         88  :MTI2:-MONETARY-TRANSACTION     VALUE 'M'.
008300         88  :MTI2:-STMT-TODAY-TAG           VALUE 'S' 'I'.
008400         88  :MTI2:-STMT-TAG                 VALUE 'S'.
008500         88  :MTI2:-INTERIM-STMT-TAG         VALUE 'I'.
008600         88  :MTI2:-DEFER-BILL-TABLE-REC-1   VALUE 'S' 'I'.
008700         88  :MTI2:-DEFER-BILL-TABLE-REC-2   VALUE '2'.
008800         88  :MTI2:-OPEN-ITEM-UPDATE         VALUE 'O'.
008900         88  :MTI2:-OPEN-ITEM-RESOLVED       VALUE 'R'.
009000         88  :MTI2:-OPEN-ITEM-TRANSFER       VALUE 'T'.
009100         88  :MTI2:-OPEN-ITEM-DEL-ACCT       VALUE 'X'.
009200     03  :MTI2:-DATA         PIC X(331).
009300     03  :MTI2:-USER-FILLER
009400                             PIC X(20).
009500     03  :MTI2:-OPEN-ITEM-BILLING-DATA.
009600         05  :MTI2:-OIB-AMT-REMAINING
009700                             PIC S9(17)      COMP-3.
009800         05  :MTI2:-OIB-PYMNT-REF-NBR
009900                             PIC S9(15)      COMP-3.
010000         05  :MTI2:-OIB-BILLING-STATUS
010100                             PIC 9(01).
010200             88  :MTI2:-NOT-OPEN-ITEM        VALUE 0.
010300             88  :MTI2:-NOT-BILLED-UNRESOLVED
010400                                             VALUE 1.
010500             88  :MTI2:-BILLED-UNRESOLVED    VALUE 2.
010600             88  :MTI2:-BILLED-PREV-UNRESOLVED
010700                                             VALUE 3.
010800             88  :MTI2:-NOT-BILLED-RESOLVED  VALUE 4.
010900             88  :MTI2:-BILLED-RESOLVED      VALUE 5.
011000             88  :MTI2:-BILLED-PREV-RESOLVED VALUE 6.
011100         05  :MTI2:-OIB-TXN-STATUS
011200                             PIC X(01).
011300             88  :MTI2:-PENDING-RESOLUTION   VALUE 'P'.
011400             88  :MTI2:-RESOLVED             VALUE 'R'.
011500             88  :MTI2:-UNRESOLVED           VALUE 'U'.
011600             88  :MTI2:-PENDING-REVERSAL     VALUE 'V'.
011700         05  :MTI2:-OIB-PENDING-AMT
011800                             PIC S9(17)      COMP-3.
011900         05  :MTI2:-OIB-DATE-RESOLVED
012000                             PIC S9(07)      COMP-3.
012100         05  :MTI2:-OIB-USER-FILLER
012200                             PIC X(12).
012300     03  FILLER              PIC X(32).
012400*
012500******************************************************************
012600*
012700 01  :MTI2:-MONETARY-TXN REDEFINES
012800           :MTI2:-RECORD.
012900     03  FILLER              PIC X(31).
013000     03  :MTI2:-MT-EFF-DATE  PIC S9(07)      COMP-3.
013100     03  :MTI2:-MT-TYPE      PIC X(01).
013200         88  :MTI2:-MT-MEMO                  VALUE 'M' SPACE.
013300         88  :MTI2:-MT-CREDIT                VALUE 'C'.
013400         88  :MTI2:-MT-DEBIT                 VALUE 'D'.
013500     03  :MTI2:-MT-TXN-CODE  PIC S9(03)      COMP-3.
013600     03  :MTI2:-MT-AMOUNT    PIC S9(17)      COMP-3.
013700     03  :MTI2:-MT-UNIT-PRICE
013800                             PIC S9(17)      COMP-3.
013900     03  :MTI2:-MT-BATCH-DATE
014000                             PIC S9(07)      COMP-3.
014100     03  :MTI2:-MT-POSTING-DATE
014200                             PIC S9(07)      COMP-3.
014300     03  :MTI2:-MT-QUANTITY  PIC S9(03)      COMP-3.
014400     03  :MTI2:-MT-AUTH-CODE PIC X(06).
014500     03  :MTI2:-MT-STORE-ID.
014600         05  :MTI2:-MT-SI-ORG
014700                             PIC S9(03)      COMP-3.
014800         05  :MTI2:-MT-SI-NBR
014900                             PIC S9(09)      COMP-3.
015000     03  :MTI2:-MT-PLAN      PIC S9(05)      COMP-3.
015100     03  :MTI2:-MT-SALESPERSON
015200                             PIC X(12).
015300     03  :MTI2:-MT-TICKET-NBR
015400                             PIC X(15).
015500     03  :MTI2:-MT-PURCHASE-ORDER-NBR
015600                             PIC X(16).
015700     03  :MTI2:-MT-PMT-REFERENCE-NBR
015800                             PIC S9(15)      COMP-3.
015900     03  :MTI2:-MT-ITEM-NBR  PIC S9(05)      COMP-3.
016000     03  :MTI2:-MT-REF-NBR   PIC X(23).
016100     03  :MTI2:-MT-REF-NBR-X
016200                             REDEFINES :MTI2:-MT-REF-NBR.
016300         05  :MTI2:-MT-RN-REF-NBR-ID
016400                             PIC 9(01).
016500         05  :MTI2:-MT-RN-STORE
016600                             PIC 9(09).
016700         05  :MTI2:-MT-RN-DATE.
016800             07  :MTI2:-MT-RN-MON
016900                             PIC 9(02).
017000             07  :MTI2:-MT-RN-DAY
017100                             PIC 9(02).
017200         05  :MTI2:-MT-RN-BATCH
017300                             PIC 9(05).
017400         05  :MTI2:-MT-RN-SEQ
017500                             PIC 9(03).
017600         05  :MTI2:-MT-RN-SEQ-X
017700                             REDEFINES :MTI2:-MT-RN-SEQ.
017800             07  :MTI2:-MT-RN-S-TICKET
017900                             PIC 9(02).
018000             07  :MTI2:-MT-RN-S-SEQ
018100                             PIC 9(01).
018200         05  :MTI2:-MT-RN-CHECK-DIGIT
018300                             PIC 9(01).
018400     03  :MTI2:-MT-TRAMS-REF-NBR
018500                             REDEFINES :MTI2:-MT-REF-NBR.
018600         05  :MTI2:-MT-TRN-SRC
018700                             PIC X(01).
018800         05  :MTI2:-MT-TRN-APPL-SRC
018900                             PIC X(01).
019000         05  :MTI2:-MT-TRN-PROCNG-DATE
019100                             PIC 9(05).
019200         05  :MTI2:-MT-TRN-RUN-NBR
019300                             PIC 9(04).
019400         05  :MTI2:-MT-TRN-BTCH-NBR
019500                             PIC 9(05).
019600         05  :MTI2:-MT-TRN-SEQ-NBR
019700                             PIC 9(07).
019800     03  :MTI2:-MT-DESC      PIC X(40).
019900     03  :MTI2:-MT-PLAN-OPEN-DATE
020000                             PIC S9(07)      COMP-3.
020100     03  :MTI2:-CURR-INPUT-SOURCE
020200                             PIC X(01).
020300         88  :MTI2:-CIS-1ST-TIME             VALUE '0' SPACE.
020400         88  :MTI2:-CIS-SUBSEQUENT           VALUE '1'.
020500         88  :MTI2:-CIS-XFER-HISTORY         VALUE '9'.
020600     03  :MTI2:-MT-MULT-REJ-SW
020700                             PIC X(01).
020800         88  :MTI2:-MT-NO-MULT-REJ           VALUE 'N'.
020900         88  :MTI2:-MT-MULT-REJ              VALUE 'Y'.
021000     03  :MTI2:-MT-FS-POINTS-X
021100                             PIC X(05).
021200     03  :MTI2:-MT-FS-POINTS-R
021300                             REDEFINES :MTI2:-MT-FS-POINTS-X.
021400         05  :MTI2:-MT-FS-POINTS
021500                             PIC S9(09)      COMP-3.
021600     03  :MTI2:-MT-FS-PGM-NBR-X
021700                             PIC X(01).
021800     03  :MTI2:-MT-FS-PGM-NBR-R
021900                             REDEFINES :MTI2:-MT-FS-PGM-NBR-X.
022000         05  :MTI2:-MT-FS-PGM-NBR
022100                             PIC 9(01).
022200     03  :MTI2:-MT-MERCHANT-ORG
022300                             PIC S9(03)      COMP-3.
022400     03  :MTI2:-MT-MERCHANT-STORE
022500                             PIC S9(09)      COMP-3.
022600     03  :MTI2:-MT-CATEGORY-CODE
022700                             PIC S9(05)      COMP-3.
022800             88  :MTI2:-HIGH-RISK-MCC          VALUE +5962
022900                                                   +5966
023000                                                   +5967.
023100     03  FILLER
023200                             PIC S9(03)      COMP-3.
023300     03  :MTI2:-MT-PROD-GROUP
023400                             PIC S9(05)      COMP-3.
023500     03  :MTI2:-MT-SKU-NBR   PIC S9(09)      COMP-3.
023600     03  :MTI2:-MT-LOGIC-MOD PIC 9(02).
023700         88  :MTI2:-VALID-LOGIC-MODULES      VALUE 01 THRU 41
023800                                                   42 THRU 45
023900                                                   48 THRU 49
024000                                                   51 THRU 63
024100                                                   65 THRU 66
024200                                                   67 THRU 78
024300                                                   79 80 83 84
024400                                                   81 82 85
024500                                                   87 THRU 89
024600                                                   91 THRU 99.
024700         88  :MTI2:-LM-FORCE-POST            VALUE 23 THRU 26
024800                                                   39 THRU 41.
024900         88  :MTI2:-LM-PMT                   VALUE 30  33  36  39.
025000         88  :MTI2:-LM-PMT-REV               VALUE 31  32  34  35
025100                                                   37  38  40  41.
025200         88  :MTI2:-LM-PMT-SPLIT-REV         VALUE 31  32
025300                                                   37  38  40  41.
025400         88  :MTI2:-LM-ATO2-TRAN-TYPE-R      VALUE 31  34  37  40.
025500         88  :MTI2:-LM-ATO2-TRAN-TYPE-N      VALUE 32  35  38  41.
025600         88  :MTI2:-LM-DEBIT                 VALUE 01  03  05  07
025700                                                   09  11  13  15
025800                                                   17  19  21  23
025900                                                   25  27  28  29
026000                                                   31  32  34  35
026100                                                   37  38  40  41
026200                                                   49  51  53  55
026300                                                   57  59  65
026400                                                       85  88  92.
026500         88  :MTI2:-LM-CREDIT                VALUE 02  04  06  08
026600                                                   10  12  14  16
026700                                                   18  20  22  24
026800                                                   26  30  33  36
026900                                                   39  44  48  52
027000                                                   54  56  58  60
027100                                                   66  82  89
027200                                                       91  95  97.
027300         88  :MTI2:-LM-MEMO                  VALUE 61  62  63
027400                                                   87  88  89  99.
027500         88  :MTI2:-LM-PURGE-MEMOS           VALUE 87  88  89.
027600         88  :MTI2:-LM-NON-AMOUNT-MEMOS      VALUE 61  62  63  99.
027700         88  :MTI2:-LM-AMOUNT-MEMOS          VALUE 88 89.
027800         88  :MTI2:-LM-NON-AMOUNT-DISPU      VALUE 79 80 96 98.
027900         88  :MTI2:-LM-GLOBAL                VALUE 30  31  32  36
028000                                                   37  38  39  40
028100                                                   41  61
028200                                                   62  63  87  88
028300                                                   89  91  92  95
028400                                                   99.
028500         88  :MTI2:-LM-VALID-AUTH            VALUE 83 84 93 94.
028600         88  :MTI2:-LM-AUTH                  VALUE 93.
028700         88  :MTI2:-LM-AUTH-REV              VALUE 94.
028800         88  :MTI2:-LM-AUTH-CR               VALUE 83.
028900         88  :MTI2:-LM-AUTH-CR-REV           VALUE 84.
029000*
029100*
029200*
029300*
029400         88  :MTI2:-LM-SALES-ITEM            VALUE 01.
029500         88  :MTI2:-LM-NEW-PLAN-SEG          VALUE 01  03  07  09
029600                                                   11  13  28  44
029700                                                   49  81  85.
029800*
029900         88  :MTI2:-LM-INTR                  VALUE 05  06.
030000         88  :MTI2:-LM-SVC-CHG               VALUE 07  08.
030100         88  :MTI2:-LM-NON-POST-PURGE        VALUE 87  88  89.
030200         88  :MTI2:-LM-NON-POST-PURGE-MEMO   VALUE 87.
030300         88  :MTI2:-LM-NPD-PURGE             VALUE 88.
030400         88  :MTI2:-LM-NPC-PURGE             VALUE 89.
030500         88  :MTI2:-LM-INITIAL-CGOFF         VALUE 91.
030600         88  :MTI2:-LM-INITIAL-CGOFF-REV     VALUE 92.
030700         88  :MTI2:-LM-FINAL-CGOFF           VALUE 95.
030800         88  :MTI2:-LM-LEVEL-2-TXN           VALUE 01  02  03  04
030900                                                   27  44  80  96
031000                                                   97 98.
031100         88  :MTI2:-LM-VALID-LAYAWAY         VALUE 01  02  21  22
031200                                                   27  33  34  35
031300                                                   44.
031400         88  :MTI2:-LM-RETURN                VALUE 02.
031500         88  :MTI2:-LM-VALID-POINTS          VALUE 61  62  63.
031600         88  :MTI2:-LM-POINTS-DB             VALUE 61.
031700         88  :MTI2:-LM-POINTS-CR             VALUE 62 63.
031800         88  :MTI2:-LM-PRIN-DB               VALUE 03 81 85.
031900         88  :MTI2:-LM-PRIN-CR               VALUE 04 82.
032000         88  :MTI2:-LM-FIN-CHG-DB            VALUE 05.
032100         88  :MTI2:-LM-FIN-CHG-CR            VALUE 06.
032200         88  :MTI2:-LM-SVC-CHG-DB            VALUE 07.
032300         88  :MTI2:-LM-SVC-CHG-CR            VALUE 08.
032400         88  :MTI2:-LM-LATE-CHG-DB           VALUE 09.
032500         88  :MTI2:-LM-LATE-CHG-CR           VALUE 10.
032600         88  :MTI2:-LM-MEMBERSHIP-FEE-DB     VALUE 11.
032700         88  :MTI2:-LM-MEMBERSHIP-FEE-CR     VALUE 12.
032800         88  :MTI2:-LM-OVLM-FEE-DB           VALUE 13.
032900         88  :MTI2:-LM-OVLM-FEE-CR           VALUE 14.
033000         88  :MTI2:-LM-INSURANCE-DB          VALUE 15.
033100         88  :MTI2:-LM-INSURANCE-CR          VALUE 16.
033200         88  :MTI2:-LM-RECV-FEE-DB           VALUE 17.
033300         88  :MTI2:-LM-RECV-FEE-CR           VALUE 18.
033400         88  :MTI2:-LM-COLL-FEE-DB           VALUE 19.
033500         88  :MTI2:-LM-COLL-FEE-CR           VALUE 20.
033600         88  :MTI2:-LM-MISC-FEE-DB           VALUE 21.
033700         88  :MTI2:-LM-MISC-CR               VALUE 22.
033800         88  :MTI2:-LM-PRIN-FP-DB            VALUE 23.
033900         88  :MTI2:-LM-PRIN-FP-CR            VALUE 24.
034000         88  :MTI2:-LM-FIN-CHG-FP-DB         VALUE 25.
034100         88  :MTI2:-LM-FIN-CHG-FP-CR         VALUE 26.
034200         88  :MTI2:-LM-CR-BALANCE-REFUND-DB  VALUE 27.
034300         88  :MTI2:-LM-CASH-ADVANCE          VALUE 28.
034400         88  :MTI2:-LM-REFUND-CHECKS         VALUE 29.
034500         88  :MTI2:-LM-NON-DIR-PMT-CR        VALUE 30.
034600         88  :MTI2:-LM-NON-DIR-PMT-REV-DB    VALUE 31.
034700         88  :MTI2:-LM-NON-DIR-PMT-NSF-DB    VALUE 32.
034800         88  :MTI2:-LM-DIR-PMT-CR            VALUE 33.
034900         88  :MTI2:-LM-DIR-PMT-REV-DB        VALUE 34.
035000         88  :MTI2:-LM-DIR-PMT-REV-NSF-DB    VALUE 35.
035100         88  :MTI2:-LM-PRE-PMT-CR            VALUE 36.
035200         88  :MTI2:-LM-PRE-PMT-REV-DB        VALUE 37.
035300         88  :MTI2:-LM-PRE-PMT-REV-NSF-DB    VALUE 38.
035400         88  :MTI2:-LM-NON-DIR-PMT-FP-CR     VALUE 39.
035500         88  :MTI2:-LM-NON-DIR-PMT-REV-FP-DB VALUE 40.
035600         88  :MTI2:-LM-NON-DIR-PMT-NSF-FP-DB VALUE 41.
035700*
035800*
035900         88  :MTI2:-LM-CREATE-NEW-PLAN-CR    VALUE 44.
036000*
036100*
036200         88  :MTI2:-LM-NSF-CR                VALUE 48.
036300         88  :MTI2:-LM-NSF-DB                VALUE 49.
036400         88  :MTI2:-LM-USER-FEE-1-DEBIT      VALUE 51.
036500         88  :MTI2:-LM-USER-FEE-1-CREDIT     VALUE 52.
036600         88  :MTI2:-LM-USER-FEE-2-DEBIT      VALUE 53.
036700         88  :MTI2:-LM-USER-FEE-2-CREDIT     VALUE 54.
036800         88  :MTI2:-LM-USER-FEE-3-DEBIT      VALUE 55.
036900         88  :MTI2:-LM-USER-FEE-3-CREDIT     VALUE 56.
037000         88  :MTI2:-LM-USER-FEE-4-DEBIT      VALUE 57.
037100         88  :MTI2:-LM-USER-FEE-4-CREDIT     VALUE 58.
037200         88  :MTI2:-LM-USER-FEE-5-DEBIT      VALUE 59.
037300         88  :MTI2:-LM-USER-FEE-5-CREDIT     VALUE 60.
037400         88  :MTI2:-LM-FREQ-SHOPPER-INC-MEMO VALUE 61.
037500         88  :MTI2:-LM-FREQ-SHOPPER-DEC-MEMO VALUE 62.
037600         88  :MTI2:-LM-FREQ-SHOPPER-ADJ-MEMO VALUE 63.
037700         88  :MTI2:-LM-USER-FEE-6-DEBIT      VALUE 65.
037800         88  :MTI2:-LM-USER-FEE-6-CREDIT     VALUE 66.
037900*
038000*
038100*
038200*
038300*
038400*
038500*
038600*
038700*
038800*
038900*
039000*
039100         88  :MTI2:-LM-DISPUTE-REL-CO-LC     VALUE 79.
039200         88  :MTI2:-LM-DISPUTE-REL-COMPANY   VALUE 80.
039300         88  :MTI2:-LM-DB-AUTH-ADD-MEMO      VALUE 93.
039400         88  :MTI2:-LM-UPDATE-CURR-MTH-DB    VALUE 01 02  27  28
039500                                                   29.
039600         88  :MTI2:-LM-DISPUTE-ITEM-ADD-MEMO VALUE 96.
039700         88  :MTI2:-LM-DISPUTE-REL-CUST-CR   VALUE 97.
039800         88  :MTI2:-LM-DISPUTE-REL-COMP-MEMO
039900                                             VALUE 98.
040000         88  :MTI2:-LM-STMT-MEMO             VALUE 99.
040100         88  :MTI2:-LM-DISPUTE-RELEASE       VALUE 79 80 97 98.
040200         88  :MTI2:-LM-CEL-DIR-STTLD-TXN     VALUE 27 34 35 37
040300                                                   38 40.
040400         88  :MTI2:-LM-SKIP-REBATE-CR        VALUE 04 06 08 10
040500                                                   12 14 16 18
040600                                                   20 22 24 26
040700                                                   28 44 48.
040800         88  :MTI2:-LM-DB-FOREIGN-ACCT       VALUE 81.
040900         88  :MTI2:-LM-CR-FOREIGN-ACCT       VALUE 82.
041000         88  :MTI2:-LM-DB-PRIN-AND-AMT       VALUE 85.
041100     03  :MTI2:-MT-RPT-DESC  PIC X(14).
041200     03  :MTI2:-MT-GL-SOURCE PIC 9(01).
041300         88  :MTI2:-MT-GL-LOCAL              VALUE 0.
041400         88  :MTI2:-MT-GL-GENERATED          VALUE 1.
041500         88  :MTI2:-MT-GL-USER               VALUE 2 THRU 6.
041600         88  :MTI2:-MT-GL-WAREHOUSE          VALUE 7.
041700         88  :MTI2:-MT-GL-REJECT             VALUE 8.
041800         88  :MTI2:-MT-GL-XFR-HISTORY        VALUE 9.
041900     03  :MTI2:-MT-DEPT      PIC X(04).
042000     03  :MTI2:-MT-SOURCE
042100                             PIC S9(05)      COMP-3.
042200     03  :MTI2:-MT-BATCH-NBR
042300                             PIC S9(05)      COMP-3.
042400     03  :MTI2:-MT-BATCH-SEQ
042500                             PIC S9(05)      COMP-3.
042600     03  :MTI2:-MT-PLAN-SEQ
042700                             PIC 9(02).
042800     03  :MTI2:-MT-SORT-PRIORITY-X.
042900         05  :MTI2:-MT-SORT-PRIORITY
043000                             PIC S9(03)      COMP-3.
043100     03  :MTI2:-MT-POSTING-FLAG
043200                             PIC 9(02).
043300         88  :MTI2:-MT-GOOD-TXN              VALUE 00.
043400         88  :MTI2:-MT-ACCT-BLOCKED          VALUE 01.
043500         88  :MTI2:-MT-ACCT-CLOSED           VALUE 02.
043600         88  :MTI2:-MT-INV-LOGIC-MOD         VALUE 03.
043700         88  :MTI2:-MT-INV-TXN-CODE          VALUE 04.
043800         88  :MTI2:-MT-INV-EFF-DATE          VALUE 05.
043900         88  :MTI2:-MT-ACCT-CGOFF            VALUE 06.
044000         88  :MTI2:-MT-PRE-PMT-NOT-ALLOWED
044100                                             VALUE 07.
044200         88  :MTI2:-MT-UNMATCHED-RELEASE     VALUE 08.
044300         88  :MTI2:-MT-INV-AMT               VALUE 09.
044400         88  :MTI2:-MT-NO-MATCHING-ACCT      VALUE 10.
044500         88  :MTI2:-MT-NO-MATCHING-PLAN      VALUE 11.
044600         88  :MTI2:-MT-NO-PLAN-SPECIFIED     VALUE 12.
044700         88  :MTI2:-MT-DUPLI-PLAN            VALUE 13.
044800         88  :MTI2:-MT-ACCT-TRANSFERRED      VALUE 14.
044900         88  :MTI2:-MT-INV-BACK-DATED-TXN
045000                                             VALUE 15.
045100         88  :MTI2:-MT-INV-POST-DATED-TXN
045200                                             VALUE 16.
045300         88  :MTI2:-MT-ACCT-PENDING-STMT     VALUE 17.
045400         88  :MTI2:-MT-EXCESSIVE-YTD-FEES
045500                                             VALUE 18.
045600         88  :MTI2:-MT-INV-PMT-REV-AMT       VALUE 19.
045700         88  :MTI2:-MT-EXCESSIVE-DISPUTES
045800                                             VALUE 20.
045900         88  :MTI2:-MT-EFFECT-DEF-BILL       VALUE 21.
046000         88  :MTI2:-MT-EXCEED-DEF-BILL       VALUE 22.
046100         88  :MTI2:-MT-INV-PLAN-OIB-ACCT     VALUE 24.
046200         88  :MTI2:-MT-CARD-BLOCKED          VALUE 25.
046300         88  :MTI2:-MT-LOAN-NOT-ALLOWED      VALUE 26.
046400         88  :MTI2:-MT-INVALID-PLAN-SEQ      VALUE 27.
046500         88  :MTI2:-MT-INVALID-REL-REVERSAL  VALUE 28.
046600         88  :MTI2:-MT-NO-REL-PRIMARY-ACCT   VALUE 29.
046700*
046800         88  :MTI2:-MT-INV-INS-PROD          VALUE 31.
046900         88  :MTI2:-MT-MSSNG-AMRM-RECORD     VALUE 32.
047000         88  :MTI2:-MT-MSSNG-AMRH-RECORD     VALUE 33.
047100         88  :MTI2:-MT-MSSNG-AMBS-FOR-AMRX   VALUE 34.
047200         88  :MTI2:-MT-CANNOT-SPLIT-RLTNSHP  VALUE 35.
047300         88  :MTI2:-MT-PLAN-IS-CANCELLED     VALUE 36.
047400         88  :MTI2:-MT-PLAN-IS-INCOMPLETE    VALUE 37.
047500         88  :MTI2:-MT-FRQNT-SHPPR-EXCP      VALUE 80.
047600         88  :MTI2:-MT-WHSE-INACT-ACCT       VALUE 92.
047700*
047800*
047900         88  :MTI2:-MT-TRANSFER-PURGE        VALUE 95.
048000         88  :MTI2:-MT-WHSE-TRANSFER-TXN     VALUE 96.
048100         88  :MTI2:-MT-NON-POST-PURGE        VALUE 97.
048200         88  :MTI2:-MT-NON-PROC-ORG-WHSE     VALUE 88.
048300         88  :MTI2:-MT-INDIV-ITEM-WHSE       VALUE 98.
048400         88  :MTI2:-MT-WAREHOUSED-TXN        VALUE 88 92
048500                                                      96 98.
048600         88  :MTI2:-MT-QUAL-REJECT           VALUE 99.
048700     03  :MTI2:-TR-VISA-TRAN-ID
048800                             PIC 9(15).
048900*                            VISA TRANS ID
049000     03  :MTI2:-TR-BANKNET
049100                             REDEFINES :MTI2:-TR-VISA-TRAN-ID.
049200         05  :MTI2:-TR-BNK-NET-NBR
049300                             PIC X(09).
049400*                            MASTERCARD BANKNET REFERENCE NBR
049500         05  :MTI2:-TR-BNK-NET-DT
049600                             PIC 9(04).
049700*                            MASTERCARD BANKNET DATE
049800         05  FILLER          PIC X(02).
049900     03  :MTI2:-MT-INTRCHG-FEE
050000                             PIC S9(09)      COMP-3.
050100     03  :MTI2:-MT-QUAL-IND  PIC 9(01).
050200         88  :MTI2:-MT-INCOMING-INTRAPROCESSR
050300                                             VALUE 1.
050400         88  :MTI2:-MT-NON-INTERCHANGE       VALUE 2.
050500         88  :MTI2:-MT-INCOMING-DOMESTIC     VALUE 3.
050600         88  :MTI2:-MT-INCOMING-INTERNATIONAL
050700                                             VALUE 6.
050800     03  :MTI2:-MT-CARD-NBR  PIC X(19).
050900     03  :MTI2:-MT-CARD-SEQ  PIC S9(05)      COMP-3.
051000     03  :MTI2:-MT-CARD-BLK-CODE
051100                             PIC X(01).
051200     03  :MTI2:-MT-CARD-ACCEPTOR-ID
051300                             PIC X(16).
051400     03  :MTI2:-MT-INS-PROD  PIC X(02).
051500     03  FILLER              PIC X(33).
051600     03  :MTI2:-MT-USER-FILLER
051700                             PIC X(20).
051800     03  :MTI2:-MT-OPEN-ITEM-DATA
051900                             PIC X(44).
052000     03  :MTI2:-MT-REL-PMT-AMT
052100                             PIC S9(17)      COMP-3.
052200     03  :MTI2:-MT-ORIG-PMT-AMT
052300                             PIC S9(17)      COMP-3.
052400     03  FILLER              PIC X(14).
052500*
052600******************************************************************
052700*
052800 01  :MTI2:-DEFER-BILL-TABLE-AREA
052900                             REDEFINES :MTI2:-RECORD.
053000     03  FILLER              PIC X(31).
053100     03  :MTI2:-DBT-CP-STRUCTURE
053200                             PIC X(01).
053300         88  :MTI2:-DBT-MATCH-STORE-PLAN     VALUE 'S'.
053400         88  :MTI2:-DBT-MATCH-PLAN-ONLY      VALUE 'P'.
053500     03  :MTI2:-DEFER-BILL-TABLE-X.
053600         05  :MTI2:-DEFER-BILL-TABLE         OCCURS 10 TIMES
053700                                             INDEXED BY
053800                                             X-:MTI2:-DBT.
053900             07  :MTI2:-DBT-PLAN-OPEN-DATE
054000                             PIC S9(07)      COMP-3.
054100             07  :MTI2:-DBT-PLAN
054200                             PIC S9(05)      COMP-3.
054300             07  :MTI2:-DBT-STORE-ID.
054400                 09  :MTI2:-DBT-SI-ORG
054500                             PIC S9(03)      COMP-3.
054600                 09  :MTI2:-DBT-SI-NBR
054700                             PIC S9(09)      COMP-3.
054800     03  :MTI2:-MT-MERCH-ID    PIC X(15).
054900     03  FILLER              PIC X(175).
055000     03  :MTI2:-DBT-USER-FILLER
055100                             PIC X(20).
055200     03  :MTI2:-DBT-OPEN-ITEM-DATA
055300                             PIC X(44).
055400     03  FILLER              PIC X(32).
055500*
055600******************************************************************
055700*
055800*
055900*       ***************************************************
056000*       *              END OF COPYBOOK MTI2RL             *
056100*       ***************************************************
