000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTMSRL --MERCHANT TO STORE CLOSE/PURGING/PURGE--  200 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*
000900 01  MTMS-RECORD.
001000     03  MTMS-KEY.
001100         88  MTMS-HEADER                     VALUE ZERO.
001200         88  MTMS-TRAILER                    VALUE ALL '9'.
001300         05  MTMS-ORG-STORE.
001400             07  MTMS-ORG-X.
001500                 09  MTMS-ORG
001600                             PIC  9(03).
001700             07  MTMS-STORE-X.
001800                 09  MTMS-STORE
001900                             PIC  9(09).
002000*
002100     03  MTMS-STATUS-INFORMATION.
002200         05  MTMS-REC-STATUS
002300                             PIC  9(01).
002400             88  MTMS-REC-CLOSED             VALUE 6.
002500             88  MTMS-REC-PURGING            VALUE 8.
002600             88  MTMS-REC-PURGED             VALUE 9.
002700*
002800*****************************************************************
002900*    DATES                                                      *
003000*****************************************************************
003100*
003200     03  MTMS-DATE-AREA.
003300         05  MTMS-DATE-OPENED
003400                             PIC S9(07)      COMP-3.
003500         05  MTMS-DATE-CLOSED
003600                             PIC S9(07)      COMP-3.
003700         05  MTMS-DATE-PURGED
003800                             PIC S9(07)      COMP-3.
003900         05  MTMS-PURGING-DATE
004000                             PIC S9(07)      COMP-3.
004100*
004200*****************************************************************
004300*    MERCHANT CHAIN INFORMATION                                 *
004400*****************************************************************
004500*
004600     03  MTMS-MERCH-CHAIN-INFO.
004700         05  MTMS-MERCH-CHAIN                OCCURS 10 TIMES
004800                                             INDEXED BY
004900                                             X-MTMS-MERCH-CHAIN.
005000             07  MTMS-MERCH-CHAIN-ID
005100                             PIC S9(09)      COMP-3.
005200*
005300*
005400*****************************************************************
005500*    CLOSE/PURGING/PURGE DATA                                   *
005600*****************************************************************
005700*
005800     03  MTMS-CLOSE-PURGE-DATA-X.
005900         05  MTMS-CLOSE-REASON
006000                             PIC  X(02).
006100         05  MTMS-STATUS-CHANGE-OPER
006200                             PIC  X(03).
006300             88  MTMS-STATUS-OPER-AUTO       VALUE '*S*' '*S6'.
006400             88  MTMS-STATUS-OPER-AUTO-7-6   VALUE '*S6'.
006500         05  MTMS-SETT-HIST-SW
006600                             PIC  X(01).
006700             88  MTMS-SETT-HIST-PRESENT      VALUE 'Y'.
006800             88  MTMS-SETT-HIST-NOT-PRESENT
006900                                             VALUE 'N'.
007000*
007100*****************************************************************
007200*    CMS ACTIVITY RECAP INFORMATION                             *
007300*****************************************************************
007400*
007500     03  MTMS-MERCHANT-X.
007600         09  MTMS-MERCHANT   PIC  9(09).
007700*
007800     03  MTMS-NAME-DATA.
007900         05  MTMS-NAME       PIC  X(40).
008000*
008100     03  MTMS-ACTIVITY-RECAP.
008200         05  MTMS-ACT-RECAP-1
008300                             PIC S9(03)      COMP-3.
008400         05  MTMS-ACT-RECAP-DTL-1
008500                             PIC  X(01).
008600             88  MTMS-PRT-DTL-ACT-RECAP-1    VALUE 'Y'.
008700             88  MTMS-NO-PRT-DTL-ACT-RECAP-1
008800                                             VALUE 'N'.
008900             88  MTMS-VALID-ACT-RECAP-DTL-1
009000                                             VALUE 'Y' 'N'.
009100         05  MTMS-ACT-RECAP-2
009200                             PIC S9(03)      COMP-3.
009300         05  MTMS-ACT-RECAP-DTL-2
009400                             PIC  X(01).
009500             88  MTMS-PRT-DTL-ACT-RECAP-2    VALUE 'Y'.
009600             88  MTMS-NO-PRT-DTL-ACT-RECAP-2
009700                                             VALUE 'N'.
009800             88  MTMS-VALID-ACT-RECAP-DTL-2
009900                                             VALUE 'Y' 'N'.
010000         05  MTMS-ACT-RECAP-3
010100                             PIC S9(03)      COMP-3.
010200         05  MTMS-ACT-RECAP-DTL-3
010300                             PIC  X(01).
010400             88  MTMS-PRT-DTL-ACT-RECAP-3    VALUE 'Y'.
010500             88  MTMS-NO-PRT-DTL-ACT-RECAP-3
010600                                             VALUE 'N'.
010700             88  MTMS-VALID-ACT-RECAP-DTL-3
010800                                             VALUE 'Y' 'N'.
010900         05  MTMS-ACT-RECAP-4
011000                             PIC S9(03)      COMP-3.
011100         05  MTMS-ACT-RECAP-DTL-4
011200                             PIC  X(01).
011300             88  MTMS-PRT-DTL-ACT-RECAP-4    VALUE 'Y'.
011400             88  MTMS-NO-PRT-DTL-ACT-RECAP-4
011500                                             VALUE 'N'.
011600             88  MTMS-VALID-ACT-RECAP-DTL-4
011700                                             VALUE 'Y' 'N'.
011800     03  MTMS-ACTIVITY-RECAP-R
011900                             REDEFINES MTMS-ACTIVITY-RECAP.
012000         05  MTMS-ACT-RECAP-TABLE            OCCURS 4 TIMES
012100                                             INDEXED BY
012200                                         X-MTMS-ACT-RECAP.
012300             07  MTMS-ACT-RECAP-ENTRIES.
012400                 09  MTMS-ACT-RECAP
012500                             PIC S9(03)      COMP-3.
012600                 09  MTMS-ACT-RECAP-DTL
012700                             PIC  X(01).
012800                     88  MTMS-PRT-DTL-ACT-RECAP
012900                                             VALUE 'Y'.
013000                     88  MTMS-NO-PRT-DTL-ACT-RECAP
013100                                             VALUE 'N'.
013200                     88  MTMS-VALID-ACT-RECAP-DTL
013300                                             VALUE 'Y' 'N'.
013400*
013500     03  FILLER              PIC  X(54).
013600*
013700*       ***************************************************
013800*       *              END OF COPYBOOK MTMSRL             *
013900*       ***************************************************
