000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTPTIR -------MONETARY TRANSACTION RECORD-------  350 BYTES  *
000600*                                                               *
000700*****************************************************************
000800 01  :MTPT:IR-RECORD.
000900     03  :MTPT:IR-KEY.
001000         05  :MTPT:IR-ALIGN-KEY.
001100             07  :MTPT:IR-ORG-MERCHANT.
001200                 88  :MTPT:IR-HEADER         VALUE ZERO.
001300                 88  :MTPT:IR-TRAILER        VALUE '999999999999'.
001400                 09  :MTPT:IR-ORG-X.
001500                     11  :MTPT:IR-ORG
001600                             PIC  9(03)      VALUE ZERO.
001700                 09  :MTPT:IR-MERCHANT-X.
001800                     11  :MTPT:IR-MERCHANT
001900                             PIC  9(09)      VALUE ZERO.
002000*
002100         05  :MTPT:IR-SEQ-NBR
002200                             PIC S9(08)      BINARY  VALUE ZERO.
002300*
002400     03  :MTPT:IR-STORE-AREA.
002500         05  :MTPT:IR-STORE  PIC S9(09)      COMP-3 VALUE ZERO.
002600*
002700     03  :MTPT:IR-POST-KEY.
002800         05  :MTPT:IR-PRODUCT-X.
002900             07  :MTPT:IR-PRODUCT
003000                             PIC  9(02)      VALUE ZERO.
003100                 88  :MTPT:IR-NON-PRODUCT    VALUE ZERO.
003200                 88  :MTPT:IR-PROD-IS-VISA   VALUE 01.
003300                 88  :MTPT:IR-PROD-IS-MC     VALUE 02.
003400                 88  :MTPT:IR-PROD-IS-PL     VALUE 03 THRU 99.
003500*
003600         05  :MTPT:IR-PLAN-X.
003700             07  :MTPT:IR-PLAN
003800                             PIC  9(05)      VALUE ZERO.
003900*
004000         05  :MTPT:IR-LOGIC-MODULE
004100                             PIC  9(03)      VALUE ZERO.
004200*
004300         05  :MTPT:IR-QUAL-LEVEL-X.
004400             07  :MTPT:IR-QUAL-LEVEL
004500                             PIC  9(02)      VALUE ZERO.
004600*
004700     03  :MTPT:IR-DATA.
004800         05  :MTPT:IR-TRANS-CODE
004900                             PIC S9(03)      COMP-3 VALUE ZERO.
005000*
005100         05  :MTPT:IR-TRANS-FLAG
005200                             PIC  X(01)      VALUE SPACES.
005300             88  :MTPT:IR-TF-MEMO            VALUE 'M' SPACE.
005400             88  :MTPT:IR-TF-CREDIT          VALUE 'C'.
005500             88  :MTPT:IR-TF-DEBIT           VALUE 'D'.
005600             88  :MTPT:IR-TF-NOT-YET-ASSIGNED VALUE SPACE.
005700*
005800         05  :MTPT:IR-NBR-ITEMS
005900                             PIC S9(08)      BINARY  VALUE +1.
006000*
006100         05  :MTPT:IR-AMOUNT PIC S9(17)      COMP-3 VALUE ZERO.
006200*
006300         05  :MTPT:IR-POST-DATE
006400                             PIC S9(07)      COMP-3 VALUE ZERO.
006500*
006600         05  :MTPT:IR-ENTRY-DATE
006700                             PIC S9(07)      COMP-3 VALUE ZERO.
006800*
006900         05  :MTPT:IR-STMT-FLAG
007000                             PIC  X(01)      VALUE 'N'.
007100             88  :MTPT:IR-STATEMENTED        VALUE 'Y'.
007200             88  :MTPT:IR-NOT-STATEMENTED    VALUE 'N'.
007300*
007400         05  :MTPT:IR-SETT-FLAG
007500                             PIC  X(01)      VALUE 'N'.
007600             88  :MTPT:IR-SETTLED            VALUE 'S' 'B' 'W'
007700                                                   '1' '2'
007800                                                   '3' '4'.
007900             88  :MTPT:IR-NOT-SETTLED        VALUE 'N'.
008000             88  :MTPT:IR-SETTLED-ACH-MAN    VALUE 'S'.
008100             88  :MTPT:IR-SETTLED-BILLED     VALUE 'B'.
008200             88  :MTPT:IR-SETTLED-WINDOW     VALUE 'W'.
008300             88  :MTPT:IR-SETTLED-RESV-1     VALUE '1'.
008400             88  :MTPT:IR-SETTLED-RESV-2     VALUE '2'.
008500             88  :MTPT:IR-SETTLED-RESV-3     VALUE '3'.
008600             88  :MTPT:IR-SETTLED-RESV-4     VALUE '4'.
008700*
008800         05  :MTPT:IR-SETT-ACCT
008900                             PIC  9(01)      VALUE ZERO.
009000             88  :MTPT:IR-SA-NOT-APPLICABLE  VALUE ZERO.
009100             88  :MTPT:IR-SETT-ACCT-1        VALUE 1.
009200             88  :MTPT:IR-SETT-ACCT-2        VALUE 2.
009300             88  :MTPT:IR-SETT-ACCT-3        VALUE 3.
009400             88  :MTPT:IR-SETT-ACCT-4        VALUE 4.
009500             88  :MTPT:IR-SA-WINDOW          VALUE 5.
009600*
009700         05  :MTPT:IR-SETT-DATE
009800                             PIC S9(07)      COMP-3 VALUE ZERO.
009900*
010000         05  :MTPT:IR-BATCH.
010100             07  :MTPT:IR-BATCH-SORT.
010200                 09  :MTPT:IR-BATCH-DATE
010300                             PIC S9(07)      COMP-3 VALUE ZERO.
010400                 09  :MTPT:IR-BATCH-SOURCE
010500                             PIC S9(05)      COMP-3 VALUE ZERO.
010600                 09  :MTPT:IR-BATCH-NBR
010700                             PIC S9(05)      COMP-3 VALUE ZERO.
010800             07  :MTPT:IR-BATCH-SEQ
010900                             PIC S9(08)      BINARY  VALUE ZERO.
011000*
011100         05  :MTPT:IR-REF-BATCH.
011200             07  :MTPT:IR-REF-BATCH-SORT.
011300                 09  :MTPT:IR-REF-BATCH-DATE
011400                             PIC S9(07)      COMP-3 VALUE ZERO.
011500                 09  :MTPT:IR-REF-BATCH-SOURCE
011600                             PIC S9(05)      COMP-3 VALUE ZERO.
011700                 09  :MTPT:IR-REF-BATCH-NBR
011800                             PIC S9(05)      COMP-3 VALUE ZERO.
011900             07  :MTPT:IR-REF-BATCH-SEQ
012000                             PIC S9(08)      BINARY  VALUE ZERO.
012100*
012200         05  :MTPT:IR-REF-DATA.
012300             07  :MTPT:IR-REF-NBR
012400                             PIC  X(23)      VALUE SPACES.
012500             07  :MTPT:IR-REF-AMOUNT-1
012600                             PIC S9(17)      COMP-3 VALUE ZERO.
012700             07  :MTPT:IR-REF-AMOUNT-2
012800                             PIC S9(17)      COMP-3 VALUE ZERO.
012900             07  :MTPT:IR-REF-NBR-ITEMS
013000                             PIC S9(08)      BINARY  VALUE ZERO.
013100             07  :MTPT:IR-REF-PRODUCT-X.
013200                 09  :MTPT:IR-REF-PRODUCT
013300                             PIC  9(02)      VALUE ZERO.
013400             07  :MTPT:IR-REF-PLAN-X.
013500                 09  :MTPT:IR-REF-PLAN
013600                             PIC S9(05)      COMP-3 VALUE ZERO.
013700             07  :MTPT:IR-REF-QUAL-LEVEL-X.
013800                 09  :MTPT:IR-REF-QUAL-LEVEL
013900                             PIC  9(02)      VALUE ZERO.
014000*
014100         05  :MTPT:IR-ORIG-GL-SOURCE
014200                             PIC  9(01)      VALUE ZERO.
014300             88  :MTPT:IR-OGL-LOCAL-INP      VALUE ZERO.
014400             88  :MTPT:IR-OGL-POS-1-INPUT    VALUE 1.
014500             88  :MTPT:IR-OGL-POS-2-INPUT    VALUE 2.
014600             88  :MTPT:IR-OGL-POS-3-INPUT    VALUE 3.
014700             88  :MTPT:IR-OGL-DATA-CAPTURE-INPUT
014800                                             VALUE 4.
014900             88  :MTPT:IR-OGL-USER-INP       VALUE 5.
015000             88  :MTPT:IR-OGL-FE-GENERATED   VALUE 6.
015100             88  :MTPT:IR-OGL-WAREHOUSED     VALUE 7.
015200             88  :MTPT:IR-OGL-GENERATED      VALUE 8.
015300             88  :MTPT:IR-OGL-RESERVED       VALUE 9.
015400*
015500         05  :MTPT:IR-GL-SOURCE
015600                             PIC  9(01)      VALUE ZERO.
015700             88  :MTPT:IR-GL-LOCAL-INP       VALUE ZERO.
015800             88  :MTPT:IR-GL-POS-1-INPUT     VALUE 1.
015900             88  :MTPT:IR-GL-POS-2-INPUT     VALUE 2.
016000             88  :MTPT:IR-GL-POS-3-INPUT     VALUE 3.
016100             88  :MTPT:IR-GL-DATA-CAPTURE-INPUT
016200                                             VALUE 4.
016300             88  :MTPT:IR-GL-USER-INP        VALUE 5.
016400             88  :MTPT:IR-GL-FE-GENERATED    VALUE 6.
016500             88  :MTPT:IR-GL-WAREHOUSED      VALUE 7.
016600             88  :MTPT:IR-GL-GENERATED       VALUE 8.
016700             88  :MTPT:IR-GL-RESERVED        VALUE 9.
016800*
016900         05  :MTPT:IR-TRANS-STATUS
017000                             PIC  X(01)      VALUE SPACES.
017100             88  :MTPT:IR-TRANS-ACTIVE       VALUE 'R' 'A' SPACE.
017200             88  :MTPT:IR-TRANS-FORCE-ADJ    VALUE 'A'.
017300             88  :MTPT:IR-TRANS-REACTIVATED  VALUE 'R'.
017400             88  :MTPT:IR-TRANS-DELETED      VALUE 'D'.
017500*
017600         05  :MTPT:IR-QUAL-INDICATOR
017700                             PIC  X(01)      VALUE ZERO.
017800             88  :MTPT:IR-QI-NOT-APPLICABLE  VALUE ZERO.
017900             88  :MTPT:IR-QI-INTRACHANGE-DIFF VALUE '1'.
018000             88  :MTPT:IR-QI-INTRACHANGE-ONUS VALUE '2'.
018100             88  :MTPT:IR-QI-DOMESTIC-NORMAL VALUE '3'.
018200             88  :MTPT:IR-QI-DOMESTIC-ABOVE  VALUE '4'.
018300             88  :MTPT:IR-QI-DOMESTIC-BELOW  VALUE '5'.
018400             88  :MTPT:IR-QI-INTERNATIONAL-NORMAL
018500                                             VALUE '6'.
018600             88  :MTPT:IR-QI-INTERNATIONAL-ABOVE
018700                                             VALUE '7'.
018800             88  :MTPT:IR-QI-INTERNATIONAL-BELOW
018900                                             VALUE '8'.
019000             88  :MTPT:IR-QI-REGIONAL-NORMAL VALUE '9'.
019100             88  :MTPT:IR-QI-REGIONAL-ABOVE  VALUE 'A'.
019200             88  :MTPT:IR-QI-REGIONAL-BELOW  VALUE 'B'.
019300             88  :MTPT:IR-QI-QUALIFIED       VALUE '3' '6' '9'.
019400             88  :MTPT:IR-QI-NON-QUAL-ABOVE  VALUE '4' '7' 'A'.
019500             88  :MTPT:IR-QI-NON-QUAL-BELOW  VALUE '5' '8' 'B'.
019600             88  :MTPT:IR-QI-INTRACHANGE     VALUE '1' '2'.
019700             88  :MTPT:IR-QI-INTERCHANGE     VALUE '3' THRU '9'
019800                                                   'A' 'B'.
019900             88  :MTPT:IR-QI-DOMESTIC        VALUE '3' '4' '5'.
020000             88  :MTPT:IR-QI-INTERNATIONAL   VALUE '6' '7' '8'.
020100             88  :MTPT:IR-QI-REGIONAL        VALUE '9' 'A' 'B'.
020200*
020300         05  :MTPT:IR-DATA-ENTRY-MODE
020400                             PIC  X(01)      VALUE ZERO.
020500             88  :MTPT:IR-DEM-IS-NOT-APPLICABLE
020600                                             VALUE ZERO.
020700             88  :MTPT:IR-DEM-IS-KEYED       VALUE '1'.
020800             88  :MTPT:IR-DEM-IS-SWIPED      VALUE '2'.
020900*
021000         05  :MTPT:IR-REJECT-REENTRY-FLAG
021100                             PIC  X(01)      VALUE 'Y'.
021200             88  :MTPT:IR-RR-POSTED-TO-MERCH VALUE 'Y'.
021300             88  :MTPT:IR-RR-NOT-POSTED-TO-MERCH
021400                                             VALUE 'N'.
021500*
021600         05  :MTPT:IR-AR-CURR-INPUT-SOURCE
021700                             PIC  X(01)      VALUE SPACES.
021800             88  :MTPT:IR-CIS-1ST-TIME       VALUE '0' SPACE.
021900             88  :MTPT:IR-CIS-SUBSEQUENT     VALUE '1'.
022000             88  :MTPT:IR-CIS-XFER-HISTORY   VALUE '9'.
022100*
022200         05  :MTPT:IR-AR-MT-TYPE
022300                             PIC  X(01)      VALUE SPACES.
022400             88  :MTPT:IR-AR-MT-MEMO         VALUE 'M' SPACE.
022500             88  :MTPT:IR-AR-MT-CREDIT       VALUE 'C'.
022600             88  :MTPT:IR-AR-MT-DEBIT        VALUE 'D'.
022700             88  :MTPT:IR-AR-MT-NOT-FROM-CMS VALUE 'N'.
022800*
022900         05  :MTPT:IR-STORE-DUP-IND                               RG800902
023000                             PIC  X(01)      VALUE LOW-VALUES.    RG800902
023100             88  :MTPT:IR-STORE-DUP-INIT     VALUE LOW-VALUES.    RG800902
023300*
023400         05  :MTPT:IR-MERCH-DUP-IND                               RG800902
023500                             PIC  X(01)      VALUE LOW-VALUES.    RG800902
023600             88  :MTPT:IR-MERCH-DUP-INIT     VALUE LOW-VALUES.    RG800902
023800*
023900         05  :MTPT:IR-ORIG-OPERATOR
024000                             PIC  X(03)      VALUE SPACES.
024100*
024200         05  :MTPT:IR-LAST-OPERATOR
024300                             PIC  X(03)      VALUE SPACES.
024400*
024500         05  :MTPT:IR-GOVERNING-STATE
024600                             PIC  X(03)      VALUE SPACES.
024700*
024800         05  :MTPT:IR-LOGO-X.
024900             07  :MTPT:IR-LOGO
025000                             PIC  9(03)      VALUE ZERO.
025100*
025200         05  :MTPT:IR-SKU-NBR-X.
025300             07  :MTPT:IR-SKU-NBR
025400                             PIC  9(09)      VALUE ZERO.
025500*
025600         05  :MTPT:IR-DEPT-CODE
025700                             PIC  X(04)      VALUE SPACES.
025800*
025900         05  :MTPT:IR-DESC   PIC  X(40)      VALUE SPACES.
026000*
026100         05  :MTPT:IR-RPT-DESC
026200                              PIC X(15)      VALUE SPACES.
026202         05  :MTPT:IR-CARD-PROD-TYPE                              EH800900
026204                             PIC  X(03)      VALUE SPACES.        EH800900
026300*
026310         05  :MTPT:IR-CATEGORY-CODE                               RG800902
026312                             PIC  X(04)      VALUE ZERO.          RG800902
026314             88  :MTPT:IR-NO-CATEGORY-CODE   VALUE ZERO SPACES.   RG800902
026316*                                                                 RG800902
026400     03  :MTPT:IR-FILLER     PIC  X(14)      VALUE SPACES.        RG800902
026500*
026600     03  :MTPT:IR-USER-FILLER
026700                             PIC X(15)       VALUE SPACES.
026800*
026900*
027000*
027100*
027200*
027300*
027400*
027500*
027600*
027700*
027800*
027900     03  :MTPT:IR-POST-FLAG  PIC  9(02)      VALUE ZERO.
028000         88  :MTPT:IR-PF-POSTED-TRANSACTION  VALUE ZERO.
028100         88  :MTPT:IR-PF-NO-STORE            VALUE 50.
028200         88  :MTPT:IR-PF-NO-TC-TRANSLATION   VALUE 51.
028300         88  :MTPT:IR-PF-INVALID-TC-OR-LM    VALUE 52.
028400         88  :MTPT:IR-PF-NON-POST-MERCH-ITEM VALUE 53.
028500         88  :MTPT:IR-PF-PROCESSED-REPEAT-REJ
028600                                             VALUE 54.
028700         88  :MTPT:IR-PF-PROCESSED-POSTED-REJ
028800                                             VALUE 55.
028900         88  :MTPT:IR-PF-STORE-NON-SETTLEMENT
029000                                             VALUE 56.
029100         88  :MTPT:IR-PF-MERCHANT-BLOCKED    VALUE 57.
029200         88  :MTPT:IR-PF-NO-POSTING-TO-STORE VALUE 58.
029300         88  :MTPT:IR-PF-NO-STORE-FOUND      VALUE 59.
029400         88  :MTPT:IR-PF-QUALIFIED-NON-POST  VALUE 50 THRU 59.
029500         88  :MTPT:IR-PF-NON-MERCH-ITEM      VALUE 50 THRU 52.
029600         88  :MTPT:IR-PF-WAREHOUSED          VALUE 90.
029700*
029800     03  :MTPT:IR-VAR-DATA-IND
029900                             PIC 9(01)       VALUE ZERO.
030000         88  :MTPT:IR-VDI-NOT-PRESENT        VALUE ZERO.
030100         88  :MTPT:IR-VDI-DEPOSIT-DATA       VALUE 1.
030200         88  :MTPT:IR-VDI-FEE-DATA           VALUE 2.
030300         88  :MTPT:IR-VDI-HEADER-DATA        VALUE 3.
030400*
030500     03  :MTPT:IR-VARIABLE-DATA.
030600       04  :MTPT:IR-VD-DEPOSIT-DATA.
030700         05  :MTPT:IR-VD-DD-AR-ORG-ACCT-TC.
030800             07  :MTPT:IR-AR-KEY.
030900                 09  :MTPT:IR-AR-ORG-X.
031000                     11  :MTPT:IR-AR-ORG
031100                             PIC  9(03)      VALUE ZERO.
031200                 09  :MTPT:IR-AR-ACCT
031300                             PIC  X(19)      VALUE SPACES.
031400*
031500             07  :MTPT:IR-AR-TRANS-CODE
031600                             PIC S9(03)      COMP-3 VALUE ZERO.
031700*
031800             07  :MTPT:IR-AR-LOGIC-MODULE
031900                             PIC  9(02)      VALUE ZERO.
032000*
032100             07  :MTPT:IR-AR-POST-FLAG
032200                             PIC  9(02)      VALUE ZERO.
032300*
032400         05  :MTPT:IR-INDIV-DISC-FLAG
032500                             PIC  X(01)      VALUE 'D'.
032600             88  :MTPT:IR-INDIV-DISCOUNT     VALUE 'D'.
032700             88  :MTPT:IR-INDIV-REFUND       VALUE 'C'.
032800*
032900         05  :MTPT:IR-INDIV-DISC-AMT
033000                             PIC S9(17)      COMP-3 VALUE ZERO.
033100*
033200         05  :MTPT:IR-INDIV-DISC-IND
033300                             PIC  X(01)      VALUE 'R'.
033400             88  :MTPT:IR-IDI-IS-RATE        VALUE 'R'.
033500             88  :MTPT:IR-IDI-IS-PER-ITEM    VALUE 'P'.
033600*
033700         05  :MTPT:IR-INDIV-DISC-RATE
033800                             PIC S9(09)      COMP-3 VALUE ZERO.
033900         05  :MTPT:IR-INDIV-DISC-PER-ITEM
034000                             REDEFINES :MTPT:IR-INDIV-DISC-RATE
034100                             PIC S9(09)      COMP-3.
034200*
034300         05  :MTPT:IR-INDIV-DISC-ADJ-RATE
034400                             PIC S9(09)      COMP-3 VALUE ZERO.
034500         05  :MTPT:IR-INDIV-DISC-ADJ-PER-ITEM
034600                             REDEFINES
034700                             :MTPT:IR-INDIV-DISC-ADJ-RATE
034800                             PIC S9(09)      COMP-3.
034900*
035000         05  :MTPT:IR-INDIV-PART-FLAG
035100                             PIC  X(01)      VALUE 'C'.
035200             88  :MTPT:IR-INDIV-PART-DR      VALUE 'D'.
035300             88  :MTPT:IR-INDIV-PART-CR      VALUE 'C'.
035400*
035500         05  :MTPT:IR-INDIV-PART-AMT
035600                             PIC S9(17)      COMP-3 VALUE ZERO.
035700*
035800         05  :MTPT:IR-INDIV-PART-IND
035900                             PIC  X(01)      VALUE 'R'.
036000             88  :MTPT:IR-IPI-IS-RATE        VALUE 'R'.
036100             88  :MTPT:IR-IPI-IS-PER-ITEM    VALUE 'P'.
036200*
036300         05  :MTPT:IR-INDIV-PART-RATE
036400                             PIC S9(09)      COMP-3 VALUE ZERO.
036500         05  :MTPT:IR-INDIV-PART-PER-ITEM
036600                             REDEFINES :MTPT:IR-INDIV-PART-RATE
036700                             PIC S9(09)      COMP-3.
036800*
036900         05  :MTPT:IR-INDIV-PART-ADJ-RATE
037000                             PIC S9(09)      COMP-3 VALUE ZERO.
037100         05  :MTPT:IR-INDIV-PART-ADJ-PER-ITEM
037200                             REDEFINES
037300                             :MTPT:IR-INDIV-PART-ADJ-RATE
037400                             PIC S9(09)      COMP-3.
037500*
037600         05  :MTPT:IR-AR-AUTH-CODE
037700                             PIC  X(06)      VALUE SPACES.
037800         05  FILLER          PIC  X(01)      VALUE SPACES.
037900/
038000 01  :MTPT:IR-FEE-DATA-INIT.
038100     03  :MTPT:IR-VD-FEE-DATA.
038200         05  :MTPT:IR-VD-FEE-AREA.
038300             07  :MTPT:IR-VD-FA-AR-ORG-ACCT-TC.
038400                 09  FILLER  PIC  9(03)      VALUE ZERO.
038500                 09  FILLER  PIC  X(19)      VALUE SPACES.
038600                 09  FILLER  PIC S9(03)      COMP-3 VALUE ZERO.
038700                 09  FILLER  PIC  9(02)      VALUE ZERO.
038800                 09  FILLER  PIC  9(02)      VALUE ZERO.
038900*
039000             07  :MTPT:IR-FEE-FACTOR-NBR
039100                             PIC S9(09)      COMP-3 VALUE +1.
039200             07  :MTPT:IR-FEE-FACTOR-AMT
039300                             PIC S9(17)      COMP-3 VALUE ZERO.
039400             07  :MTPT:IR-FEE-INC-PER-ITEM
039500                             PIC S9(09)      COMP-3 VALUE ZERO.
039600             07  :MTPT:IR-FEE-INC-RATE
039700                             PIC S9(07)      COMP-3 VALUE ZERO.
039800             07  :MTPT:IR-FEE-EXP-PER-ITEM
039900                             PIC S9(09)      COMP-3 VALUE ZERO.
040000             07  :MTPT:IR-FEE-EXP-RATE
040100                             PIC S9(07)      COMP-3 VALUE ZERO.
040200             07  :MTPT:IR-FEE-EXP-AMOUNT
040300                             PIC S9(17)      COMP-3 VALUE ZERO.
040400             07  FILLER      PIC  X(08)      VALUE SPACES.
040500*
040600 01  :MTPT:IR-HEADER-DATA-INIT.
040700     03  :MTPT:IR-VD-HEADER-DATA.
040800         05  :MTPT:IR-VD-HEADER-TOTALS.
040900             07  :MTPT:IR-SALES-NBR
041000                             PIC S9(09)      COMP-3 VALUE ZERO.
041100             07  :MTPT:IR-SALES-AMT
041200                             PIC S9(17)      COMP-3 VALUE ZERO.
041300             07  :MTPT:IR-SALES-REV-NBR
041400                             PIC S9(09)      COMP-3 VALUE ZERO.
041500             07  :MTPT:IR-SALES-REV-AMT
041600                             PIC S9(17)      COMP-3 VALUE ZERO.
041700             07  :MTPT:IR-RETURNS-NBR
041800                             PIC S9(09)      COMP-3 VALUE ZERO.
041900             07  :MTPT:IR-RETURNS-AMT
042000                             PIC S9(17)      COMP-3 VALUE ZERO.
042100             07  :MTPT:IR-RETURNS-REV-NBR
042200                             PIC S9(09)      COMP-3 VALUE ZERO.
042300             07  :MTPT:IR-RETURNS-REV-AMT
042400                             PIC S9(17)      COMP-3 VALUE ZERO.
042500             07  :MTPT:IR-MEMO-NBR
042600                             PIC S9(09)      COMP-3 VALUE ZERO.
042700             07  :MTPT:IR-MEMO-AMT
042800                             PIC S9(17)      COMP-3 VALUE ZERO.
042900         05  FILLER          PIC  X(07)      VALUE SPACES.
043000*
043100*       ***************************************************
043200*       *              END OF COPYBOOK MTPTIR             *
043300*       ***************************************************
