000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*  MTPTRL -------MONETARY TRANSACTION RECORD-------  350 BYTES  *
000600*                                                               *
000700*****************************************************************
000800*  OTHER FILES USING THIS PSUEDO-TEXT COPY BOOK ARE:            *
000900*                                                               *
001000*  MMSH---TRANSACTION FILE  SETTLEMENT HISTORY (INPUT)          *
001100*  MMT1---TRANSACTION FILE (LOCAL INPUT ADJUSTMENTS)            *
001200*  MMWT---TRANSACTION FILE  WAREHOUSED TRANSACTIONS             *
001300*  MTCI---TRANSACTION FILE (CMS INPUT)                          *
001400*  MTCJ---TRANSACTION FILE (CMS INPUT)                          *
001500*  MTET---TRANSACTION FILE                                      *
001600*  MTFI---TRANSACTION FILE (FRONT-END - TRAMS INPUT)            *
001700*  MTFJ---TRANSACTION FILE (FRONT-END - TRAMS INPUT)            *
001800*  MTGT---TRANSACTION FILE                                      *
001900*  MTPT---TRANSACTION FILE  POSTING FILE                        *
002000*  MTSH---TRANSACTION FILE  SETTLEMENT HISTORY (OUTPUT)         *
002100*  MTTD---TRANSACTION FILE  USER INPUT (DISK/AUX)               *
002200*  MTTI---TRANSACTION FILE  USER INPUT MERGED                   *
002300*  MTTT---TRANSACTION FILE  USER INPUT (TAPE/AUX/CARTRIDGE)     *
002400*  MTT1---TRANSACTION FILE (LOCAL INPUT ADJUSTMENTS)       TEMP *
002500*                                                               *
002600*****************************************************************
002700 01  :MTPT:-RECORD.
002800     03  :MTPT:-KEY.
002900         05  :MTPT:-ALIGN-KEY.
003000             07  :MTPT:-ORG-MERCHANT.
003100                 88  :MTPT:-HEADER           VALUE ZERO.
003200                 88  :MTPT:-TRAILER          VALUE '999999999999'.
003300                 09  :MTPT:-ORG-X.
003400                     11  :MTPT:-ORG
003500                             PIC  9(03).
003600                 09  :MTPT:-MERCHANT-X.
003700                     11  :MTPT:-MERCHANT
003800                             PIC  9(09).
003900*
004000         05  :MTPT:-SEQ-NBR  PIC S9(08)      BINARY.
004100*
004200     03  :MTPT:-STORE-AREA.
004300         05  :MTPT:-STORE    PIC S9(09)      COMP-3.
004400*
004500     03  :MTPT:-POST-KEY.
004600         05  :MTPT:-PRODUCT-X.
004700             07  :MTPT:-PRODUCT
004800                             PIC  9(02).
004900                 88  :MTPT:-NON-PRODUCT      VALUE ZERO.
005000                 88  :MTPT:-PROD-IS-VISA     VALUE 01.
005100                 88  :MTPT:-PROD-IS-MC       VALUE 02.
005200                 88  :MTPT:-PROD-IS-PL       VALUE 03 THRU 99.
005300*
005400         05  :MTPT:-PLAN-X.
005500             07  :MTPT:-PLAN
005600                             PIC  9(05).
005700*
005800         05  :MTPT:-LOGIC-MODULE
005900                             PIC  9(03).
006000*
006100         05  :MTPT:-QUAL-LEVEL-X.
006200             07  :MTPT:-QUAL-LEVEL
006300                             PIC  9(02).
006400*
006500     03  :MTPT:-DATA.
006600         05  :MTPT:-TRANS-CODE
006700                             PIC S9(03)      COMP-3.
006800*
006900         05  :MTPT:-TRANS-FLAG
007000                             PIC  X(01).
007100             88  :MTPT:-TF-MEMO              VALUE 'M' SPACE.
007200             88  :MTPT:-TF-CREDIT            VALUE 'C'.
007300             88  :MTPT:-TF-DEBIT             VALUE 'D'.
007400             88  :MTPT:-TF-NOT-YET-ASSIGNED  VALUE SPACE.
007500*
007600         05  :MTPT:-NBR-ITEMS
007700                             PIC S9(08)      BINARY.
007800*
007900         05  :MTPT:-AMOUNT   PIC S9(17)      COMP-3.
008000*
008100         05  :MTPT:-POST-DATE
008200                             PIC S9(07)      COMP-3.
008300*
008400         05  :MTPT:-ENTRY-DATE
008500                             PIC S9(07)      COMP-3.
008600*
008700         05  :MTPT:-STMT-FLAG
008800                             PIC  X(01).
008900             88  :MTPT:-STATEMENTED          VALUE 'Y'.
009000             88  :MTPT:-NOT-STATEMENTED      VALUE 'N'.
009100*
009200         05  :MTPT:-SETT-FLAG
009300                             PIC  X(01).
009400             88  :MTPT:-SETTLED              VALUE 'S' 'B' 'W'
009500                                                   '1' '2'
009600                                                   '3' '4'.
009700             88  :MTPT:-NOT-SETTLED          VALUE 'N'.
009800             88  :MTPT:-SETTLED-ACH-MAN      VALUE 'S'.
009900             88  :MTPT:-SETTLED-BILLED       VALUE 'B'.
010000             88  :MTPT:-SETTLED-WINDOW       VALUE 'W'.
010100             88  :MTPT:-SETTLED-RESV-1       VALUE '1'.
010200             88  :MTPT:-SETTLED-RESV-2       VALUE '2'.
010300             88  :MTPT:-SETTLED-RESV-3       VALUE '3'.
010400             88  :MTPT:-SETTLED-RESV-4       VALUE '4'.
010500*
010600         05  :MTPT:-SETT-ACCT
010700                             PIC  9(01).
010800             88  :MTPT:-SA-NOT-APPLICABLE    VALUE ZERO.
010900             88  :MTPT:-SETT-ACCT-1          VALUE 1.
011000             88  :MTPT:-SETT-ACCT-2          VALUE 2.
011100             88  :MTPT:-SETT-ACCT-3          VALUE 3.
011200             88  :MTPT:-SETT-ACCT-4          VALUE 4.
011300             88  :MTPT:-SA-WINDOW            VALUE 5.
011400*
011500         05  :MTPT:-SETT-DATE
011600                             PIC S9(07)      COMP-3.
011700*
011800         05  :MTPT:-BATCH.
011900             07  :MTPT:-BATCH-SORT.
012000                 09  :MTPT:-BATCH-DATE
012100                             PIC S9(07)      COMP-3.
012200                 09  :MTPT:-BATCH-SOURCE
012300                             PIC S9(05)      COMP-3.
012400                 09  :MTPT:-BATCH-NBR
012500                             PIC S9(05)      COMP-3.
012600             07  :MTPT:-BATCH-SEQ
012700                             PIC S9(08)      BINARY.
012800*
012900         05  :MTPT:-REF-BATCH.
013000             07  :MTPT:-REF-BATCH-SORT.
013100                 09  :MTPT:-REF-BATCH-DATE
013200                             PIC S9(07)      COMP-3.
013300                 09  :MTPT:-REF-BATCH-SOURCE
013400                             PIC S9(05)      COMP-3.
013500                 09  :MTPT:-REF-BATCH-NBR
013600                             PIC S9(05)      COMP-3.
013700             07  :MTPT:-REF-BATCH-SEQ
013800                             PIC S9(08)      BINARY.
013900*
014000         05  :MTPT:-REF-DATA.
014100             07  :MTPT:-REF-NBR
014200                             PIC  X(23).
014300             07  :MTPT:-REF-AMOUNT-1
014400                             PIC S9(17)      COMP-3.
014500             07  :MTPT:-REF-AMOUNT-2
014600                             PIC S9(17)      COMP-3.
014700             07  :MTPT:-REF-NBR-ITEMS
014800                             PIC S9(08)      BINARY.
014900             07  :MTPT:-REF-PRODUCT-X.
015000                 09  :MTPT:-REF-PRODUCT
015100                             PIC  9(02).
015200             07  :MTPT:-REF-PLAN-X.
015300                 09  :MTPT:-REF-PLAN
015400                             PIC S9(05)      COMP-3.
015500             07  :MTPT:-REF-QUAL-LEVEL-X.
015600                 09  :MTPT:-REF-QUAL-LEVEL
015700                             PIC  9(02).
015800*
015900         05  :MTPT:-ORIG-GL-SOURCE
016000                             PIC  9(01).
016100             88  :MTPT:-OGL-LOCAL-INP        VALUE ZERO.
016200             88  :MTPT:-OGL-POS-1-INPUT      VALUE 1.
016300             88  :MTPT:-OGL-POS-2-INPUT      VALUE 2.
016400             88  :MTPT:-OGL-POS-3-INPUT      VALUE 3.
016500             88  :MTPT:-OGL-DATA-CAPTURE-INPUT
016600                                             VALUE 4.
016700             88  :MTPT:-OGL-USER-INP         VALUE 5.
016800             88  :MTPT:-OGL-FE-GENERATED     VALUE 6.
016900             88  :MTPT:-OGL-WAREHOUSED       VALUE 7.
017000             88  :MTPT:-OGL-GENERATED        VALUE 8.
017100             88  :MTPT:-OGL-RESERVED         VALUE 9.
017200*
017300         05  :MTPT:-GL-SOURCE
017400                             PIC  9(01).
017500             88  :MTPT:-GL-LOCAL-INP         VALUE ZERO.
017600             88  :MTPT:-GL-POS-1-INPUT       VALUE 1.
017700             88  :MTPT:-GL-POS-2-INPUT       VALUE 2.
017800             88  :MTPT:-GL-POS-3-INPUT       VALUE 3.
017900             88  :MTPT:-GL-DATA-CAPTURE-INPUT
018000                                             VALUE 4.
018100             88  :MTPT:-GL-USER-INP          VALUE 5.
018200             88  :MTPT:-GL-FE-GENERATED      VALUE 6.
018300             88  :MTPT:-GL-WAREHOUSED        VALUE 7.
018400             88  :MTPT:-GL-GENERATED         VALUE 8.
018500             88  :MTPT:-GL-RESERVED          VALUE 9.
018600*
018700         05  :MTPT:-TRANS-STATUS
018800                             PIC  X(01).
018900             88  :MTPT:-TRANS-ACTIVE         VALUE 'R' 'A' SPACE.
019000             88  :MTPT:-TRANS-FORCE-ADJ      VALUE 'A'.
019100             88  :MTPT:-TRANS-REACTIVATED    VALUE 'R'.
019200             88  :MTPT:-TRANS-DELETED        VALUE 'D'.
019300*
019400         05  :MTPT:-QUAL-INDICATOR
019500                             PIC  X(01).
019600             88  :MTPT:-QI-NOT-APPLICABLE    VALUE ZERO.
019700             88  :MTPT:-QI-INTRACHANGE-DIFF  VALUE '1'.
019800             88  :MTPT:-QI-INTRACHANGE-ONUS  VALUE '2'.
019900             88  :MTPT:-QI-DOMESTIC-NORMAL   VALUE '3'.
020000             88  :MTPT:-QI-DOMESTIC-ABOVE    VALUE '4'.
020100             88  :MTPT:-QI-DOMESTIC-BELOW    VALUE '5'.
020200             88  :MTPT:-QI-INTERNATIONAL-NORMAL
020300                                             VALUE '6'.
020400             88  :MTPT:-QI-INTERNATIONAL-ABOVE
020500                                             VALUE '7'.
020600             88  :MTPT:-QI-INTERNATIONAL-BELOW
020700                                             VALUE '8'.
020800             88  :MTPT:-QI-REGIONAL-NORMAL   VALUE '9'.
020900             88  :MTPT:-QI-REGIONAL-ABOVE    VALUE 'A'.
021000             88  :MTPT:-QI-REGIONAL-BELOW    VALUE 'B'.
021100             88  :MTPT:-QI-QUALIFIED         VALUE '3' '6' '9'.
021200             88  :MTPT:-QI-NON-QUAL-ABOVE    VALUE '4' '7' 'A'.
021300             88  :MTPT:-QI-NON-QUAL-BELOW    VALUE '5' '8' 'B'.
021400             88  :MTPT:-QI-INTRACHANGE       VALUE '1' '2'.
021500             88  :MTPT:-QI-INTERCHANGE       VALUE '3' THRU '9'
021600                                                   'A' 'B'.
021700             88  :MTPT:-QI-DOMESTIC          VALUE '3' '4' '5'.
021800             88  :MTPT:-QI-INTERNATIONAL     VALUE '6' '7' '8'.
021900             88  :MTPT:-QI-REGIONAL          VALUE '9' 'A' 'B'.
022000*
022100         05  :MTPT:-DATA-ENTRY-MODE
022200                             PIC  X(01).
022300             88  :MTPT:-DEM-IS-NOT-APPLICABLE
022400                                             VALUE ZERO.
022500             88  :MTPT:-DEM-IS-KEYED         VALUE '1'.
022600             88  :MTPT:-DEM-IS-SWIPED        VALUE '2'.
022700*
022800         05  :MTPT:-REJECT-REENTRY-FLAG
022900                             PIC  X(01).
023000             88  :MTPT:-RR-POSTED-TO-MERCH   VALUE 'Y'.
023100             88  :MTPT:-RR-NOT-POSTED-TO-MERCH
023200                                             VALUE 'N'.
023300*
023400         05  :MTPT:-AR-CURR-INPUT-SOURCE
023500                             PIC  X(01).
023600             88  :MTPT:-CIS-1ST-TIME         VALUE '0' SPACE.
023700             88  :MTPT:-CIS-SUBSEQUENT       VALUE '1'.
023800             88  :MTPT:-CIS-XFER-HISTORY     VALUE '9'.
023900*
024000         05  :MTPT:-AR-MT-TYPE
024100                             PIC  X(01).
024200             88  :MTPT:-AR-MT-MEMO           VALUE 'M' SPACE.
024300             88  :MTPT:-AR-MT-CREDIT         VALUE 'C'.
024400             88  :MTPT:-AR-MT-DEBIT          VALUE 'D'.
024500             88  :MTPT:-AR-MT-NOT-FROM-CMS   VALUE 'N'.
024600*
024700         05  :MTPT:-STORE-DUP-IND                                 RG800902
024800                             PIC  X(01).
024900             88  :MTPT:-STORE-DUP-INIT       VALUE LOW-VALUES.    RG800902
025100*
025200         05  :MTPT:-MERCH-DUP-IND                                 RG800902
025300                             PIC  X(01).
025400             88  :MTPT:-MERCH-DUP-INIT       VALUE LOW-VALUES.    RG800902
025600*
025700         05  :MTPT:-ORIG-OPERATOR
025800                             PIC  X(03).
025900*
026000         05  :MTPT:-LAST-OPERATOR
026100                             PIC  X(03).
026200*
026300         05  :MTPT:-GOVERNING-STATE
026400                             PIC  X(03).
026500*
026600         05  :MTPT:-LOGO-X.
026700             07  :MTPT:-LOGO
026800                             PIC  9(03).
026900*
027000         05  :MTPT:-SKU-NBR-X.
027100             07  :MTPT:-SKU-NBR
027200                             PIC  9(09).
027300*
027400         05  :MTPT:-DEPT-CODE
027500                             PIC  X(04).
027600*
027700         05  :MTPT:-DESC     PIC  X(40).
027800*
027900         05  :MTPT:-RPT-DESC PIC  X(15).
027902         05  :MTPT:-CARD-PROD-TYPE                                EH800900
027904                             PIC  X(03).                          EH800900
028000*
028010         05  :MTPT:-CATEGORY-CODE                                 RG800902
028012                             PIC  X(04).                          RG800902
028014             88  :MTPT:-NO-CATEGORY-CODE     VALUE ZERO SPACES.   RG800902
028016*                                                                 RG800902
028100     03  :MTPT:-FILLER       PIC  X(14).                          RG800902
028200*
028300     03  :MTPT:-USER-FILLER  PIC  X(15).
028400*
028500     03  :MTPT:-POST-FLAG    PIC  9(02).
028600         88  :MTPT:-PF-POSTED-TRANSACTION    VALUE ZERO.
028700         88  :MTPT:-PF-NO-STORE              VALUE 50.
028800         88  :MTPT:-PF-NO-TC-TRANSLATION     VALUE 51.
028900         88  :MTPT:-PF-INVALID-TC-OR-LM      VALUE 52.
029000         88  :MTPT:-PF-NON-POST-MERCH-ITEM   VALUE 53.
029100         88  :MTPT:-PF-PROCESSED-REPEAT-REJ  VALUE 54.
029200         88  :MTPT:-PF-PROCESSED-POSTED-REJ  VALUE 55.
029300         88  :MTPT:-PF-STORE-NON-SETTLEMENT  VALUE 56.
029400         88  :MTPT:-PF-MERCHANT-BLOCKED      VALUE 57.
029500         88  :MTPT:-PF-NO-POSTING-TO-STORE   VALUE 58.
029600         88  :MTPT:-PF-NO-STORE-FOUND        VALUE 59.
029700         88  :MTPT:-PF-QUALIFIED-NON-POST    VALUE 50 THRU 59.
029800         88  :MTPT:-PF-NON-MERCH-ITEM        VALUE 50 THRU 52.
029900         88  :MTPT:-PF-WAREHOUSED            VALUE 90.
030000*
030100     03  :MTPT:-VAR-DATA-IND PIC  9(01).
030200         88  :MTPT:-VDI-NOT-PRESENT          VALUE ZERO.
030300         88  :MTPT:-VDI-DEPOSIT-DATA         VALUE 1.
030400         88  :MTPT:-VDI-FEE-DATA             VALUE 2.
030500         88  :MTPT:-VDI-HEADER-DATA          VALUE 3.
030600*
030700     03  :MTPT:-VARIABLE-DATA.
030800*
030900* N O T E --- AR ORG, ACCT AND TC ARE ONLY VALID ON VARIABLE DATA
031000*             AREAS 1 AND 2.
031100*
031200         05  :MTPT:-VD-AR-ORG-ACCT-TC.
031300             07  :MTPT:-AR-KEY.
031400                 09  :MTPT:-AR-ORG-X.
031500                     11  :MTPT:-AR-ORG
031600                             PIC  9(03).
031700                 09  :MTPT:-AR-ACCT
031800                             PIC  X(19).
031900             07  :MTPT:-AR-TRANS-CODE
032000                             PIC S9(03)      COMP-3.
032100             07  :MTPT:-AR-LOGIC-MODULE
032200                             PIC  9(02).
032300             07  :MTPT:-AR-POST-FLAG
032400                             PIC  9(02).
032500*
032600         05  FILLER          PIC  X(49).
032700*
032800     03  :MTPT:-VD-DEPOSIT-DATA
032900                             REDEFINES :MTPT:-VARIABLE-DATA.
033000         05  :MTPT:-VD-DD-AR-ORG-ACCT-TC
033100                             PIC  X(28).
033200         05  :MTPT:-INDIV-DISC-FLAG
033300                             PIC  X(01).
033400             88  :MTPT:-INDIV-DISCOUNT       VALUE 'D'.
033500             88  :MTPT:-INDIV-REFUND         VALUE 'C'.
033600*
033700         05  :MTPT:-INDIV-DISC-AMT
033800                             PIC S9(17)      COMP-3.
033900*
034000         05  :MTPT:-INDIV-DISC-IND
034100                             PIC  X(01).
034200             88  :MTPT:-IDI-IS-RATE          VALUE 'R'.
034300             88  :MTPT:-IDI-IS-PER-ITEM      VALUE 'P'.
034400*
034500         05  :MTPT:-INDIV-DISC-RATE
034600                             PIC S9(09)      COMP-3.
034700         05  :MTPT:-INDIV-DISC-PER-ITEM
034800                             REDEFINES :MTPT:-INDIV-DISC-RATE
034900                             PIC S9(09)      COMP-3.
035000*
035100         05  :MTPT:-INDIV-DISC-ADJ-RATE
035200                             PIC S9(09)      COMP-3.
035300         05  :MTPT:-INDIV-DISC-ADJ-PER-ITEM
035400                             REDEFINES :MTPT:-INDIV-DISC-ADJ-RATE
035500                             PIC S9(09)      COMP-3.
035600*
035700         05  :MTPT:-INDIV-PART-FLAG
035800                             PIC  X(01).
035900             88  :MTPT:-INDIV-PART-DR        VALUE 'D'.
036000             88  :MTPT:-INDIV-PART-CR        VALUE 'C'.
036100*
036200         05  :MTPT:-INDIV-PART-AMT
036300                             PIC S9(17)      COMP-3.
036400*
036500         05  :MTPT:-INDIV-PART-IND
036600                             PIC  X(01).
036700             88  :MTPT:-IPI-IS-RATE          VALUE 'R'.
036800             88  :MTPT:-IPI-IS-PER-ITEM      VALUE 'P'.
036900*
037000         05  :MTPT:-INDIV-PART-RATE
037100                             PIC S9(09)      COMP-3.
037200         05  :MTPT:-INDIV-PART-PER-ITEM
037300                             REDEFINES :MTPT:-INDIV-PART-RATE
037400                             PIC S9(09)      COMP-3.
037500*
037600         05  :MTPT:-INDIV-PART-ADJ-RATE
037700                             PIC S9(09)      COMP-3.
037800         05  :MTPT:-INDIV-PART-ADJ-PER-ITEM
037900                             REDEFINES :MTPT:-INDIV-PART-ADJ-RATE
038000                             PIC S9(09)      COMP-3.
038100*
038200         05  :MTPT:-AR-AUTH-CODE
038300                             PIC  X(06).
038400         05  FILLER          PIC  X(01).
038500*
038600     03  :MTPT:-VD-FEE-DATA  REDEFINES :MTPT:-VARIABLE-DATA.
038700         05  :MTPT:-VD-FEE-AREA.
038800             07  :MTPT:-VD-FA-AR-ORG-ACCT-TC
038900                             PIC  X(28).
039000             07  :MTPT:-FEE-FACTOR-NBR
039100                             PIC S9(09)      COMP-3.
039200             07  :MTPT:-FEE-FACTOR-AMT
039300                             PIC S9(17)      COMP-3.
039400             07  :MTPT:-FEE-INC-PER-ITEM
039500                             PIC S9(09)      COMP-3.
039600             07  :MTPT:-FEE-INC-RATE
039700                             PIC S9(07)      COMP-3.
039800             07  :MTPT:-FEE-EXP-PER-ITEM
039900                             PIC S9(09)      COMP-3.
040000             07  :MTPT:-FEE-EXP-RATE
040100                             PIC S9(07)      COMP-3.
040200             07  :MTPT:-FEE-EXP-AMOUNT
040300                             PIC S9(17)      COMP-3.
040400             07  FILLER      PIC  X(08).
040500*
040600     03  :MTPT:-VD-HEADER-DATA
040700                             REDEFINES :MTPT:-VARIABLE-DATA.
040800         05  :MTPT:-VD-HEADER-TOTALS.
040900             07  :MTPT:-SALES-NBR
041000                             PIC S9(09)      COMP-3.
041100             07  :MTPT:-SALES-AMT
041200                             PIC S9(17)      COMP-3.
041300             07  :MTPT:-SALES-REV-NBR
041400                             PIC S9(09)      COMP-3.
041500             07  :MTPT:-SALES-REV-AMT
041600                             PIC S9(17)      COMP-3.
041700             07  :MTPT:-RETURNS-NBR
041800                             PIC S9(09)      COMP-3.
041900             07  :MTPT:-RETURNS-AMT
042000                             PIC S9(17)      COMP-3.
042100             07  :MTPT:-RETURNS-REV-NBR
042200                             PIC S9(09)      COMP-3.
042300             07  :MTPT:-RETURNS-REV-AMT
042400                             PIC S9(17)      COMP-3.
042500             07  :MTPT:-MEMO-NBR
042600                             PIC S9(09)      COMP-3.
042700             07  :MTPT:-MEMO-AMT
042800                             PIC S9(17)      COMP-3.
042900         05  FILLER          PIC  X(07).
043000*
043100*       ***************************************************
043200*       *              END OF COPYBOOK MTPTRL             *
043300*       ***************************************************
