//TSUUUCOB JOB (PAYSYS),'COB MODULES',CLASS=Z,MSGCLASS=P,
//         MSGLEVEL=(1,1),REGION=2M,NOTIFY=&SYSUID
//JESDATA  OUTPUT DEFAULT=YES,JESDS=ALL,GROUPID=JESDATA
//COMPILE  OUTPUT GROUPID=COMPILE
//*------------------------------------------ PAYSYS INTERNATIONAL ----
//*  COBCL - COMPILES AND LINKS COBOL PROGRAMS.              IM85ZJCL -
//*          STEP1 - IKFCBL00 OR IGYCRCTL - COMPILES COBOL SRCE       -
//*          STEP2 - IEWL     - LINKS TO LOADLIB (BATCH)              -
//*          STEP3 - IEFBR14  - CONDITIONAL DELETE                    -
//*--------------------------------------------------------------------
//IMPCOBCL PROC  APPB='Y.MBS.P000806.PA',   APPL BASE LIBRARY
//         APPL='Y.MBS.P000806.PA',         APPL TARGET LIBRARY
//         APP1='Y.MBS.P000806.PA',         APPL 1 VER/REL NBR
//         APP3='Y.CMS.P000806.PA',         APPL 3 VER/REL NBR
//         APP4='X.SSC.P000805.PA',         APPL 4 VER/REL NBR
//         APP0='X.SSC.P000805.PA',         SSC  VER/REL NBR
//         COBLIB='SYS1.COB39022.SIGYCOMP', COBOL COMPILER LIBR
//         CLINKLIB='SYS1.SCEELKED',        COBOL LINK LIBRARY
//         SRC='S,X,MAP,OFF',               SOURCE/NO SOURCE LISTING
//*        SRC='NOS,NOX,NOMAP',             SOURCE/NO SOURCE LISTING
//         LINK2=IEWL                   SINGLE LINK    (IEWL)
//STEP1    EXEC PGM=IGYCRCTL,
//* TO RUN BELOW THE LINE USE THE FOLLOWING:
//*        PARM=(NOADV,APOST,C,DYN,FSRT,LIB,'OPT(FULL)',
//* TO RUN ABOVE THE LINE USE THE FOLLOWING:
//         PARM=(NOADV,APOST,C,DYN,FSRT,LIB,'OPT(FULL)',RENT,
//         &SRC,
//         'TRUNC(BIN)','LANG(UE)',AWO)
//STEPLIB  DD   DSN=&COBLIB,DISP=SHR
//SYSIN    DD   DSN=&APPB..BSELIB(&PRGM),DISP=SHR
//SYSLIB   DD   DSN=&APP1..CPYLIB,DISP=SHR
//         DD   DSN=&APP3..CPYLIB,DISP=SHR
//         DD   DSN=&APP4..CPYLIB,DISP=SHR
//         DD   DSN=&APP0..CPYLIB,DISP=SHR
//SYSLIN   DD   DSN=&&LOADSET,
//         DCB=(BLKSIZE=3120,LRECL=80,RECFM=FB),
//         DISP=(,PASS),
//         SPACE=(CYL,(2,2),RLSE),
//         UNIT=VIO
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSPUNCH DD   DUMMY,DCB=BLKSIZE=80
//SYSUT1   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT2   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT3   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT4   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT5   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT6   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT7   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//STEP2    EXEC PGM=&LINK2,COND=(8,LT,STEP1),
//         PARM='LET,LIST,MAP,XREF'
//SYSLIB   DD   DSN=&APP1..LOADLIBB,DISP=SHR
//         DD   DSN=&APP3..LOADLIBB,DISP=SHR
//         DD   DSN=&APP4..LOADLIBB,DISP=SHR
//         DD   DSN=&APP0..LOADLIBB,DISP=SHR
//         DD   DSN=&CLINKLIB,DISP=SHR
//SYSLIN   DD   DSN=&&LOADSET,DISP=(OLD,DELETE,DELETE)
//SYSLMOD  DD   DSN=&APPL..LOADLIBB(&PRGM),DISP=SHR
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSUT1   DD   SPACE=(CYL,(1,1),RLSE),UNIT=VIO
//STEP3    EXEC PGM=IEFBR14,COND=((8,GE,STEP1),(8,GE,STEP2))
//DELLOAD  DD   DSN=&&LOADSET,DISP=(OLD,DELETE,DELETE)
//IMPCOBCL PEND
//MBC000   EXEC IMPCOBCL,PRGM=MBC000
//MBC800   EXEC IMPCOBCL,PRGM=MBC800
//MBC801   EXEC IMPCOBCL,PRGM=MBC801
//MBC802   EXEC IMPCOBCL,PRGM=MBC802
//MBC803   EXEC IMPCOBCL,PRGM=MBC803
//MBC804   EXEC IMPCOBCL,PRGM=MBC804
//MBC805   EXEC IMPCOBCL,PRGM=MBC805
//MBC809   EXEC IMPCOBCL,PRGM=MBC809
//MBC820   EXEC IMPCOBCL,PRGM=MBC820
//MBC821   EXEC IMPCOBCL,PRGM=MBC821
//MBC822   EXEC IMPCOBCL,PRGM=MBC822
//MBC823   EXEC IMPCOBCL,PRGM=MBC823
//MBC824   EXEC IMPCOBCL,PRGM=MBC824
//MBC829   EXEC IMPCOBCL,PRGM=MBC829
//MBC830   EXEC IMPCOBCL,PRGM=MBC830
//MBD000   EXEC IMPCOBCL,PRGM=MBD000
//MBD040   EXEC IMPCOBCL,PRGM=MBD040
//MBD060   EXEC IMPCOBCL,PRGM=MBD060
//MBD070   EXEC IMPCOBCL,PRGM=MBD070
//MBD080   EXEC IMPCOBCL,PRGM=MBD080
//MBD100   EXEC IMPCOBCL,PRGM=MBD100
//MBD180   EXEC IMPCOBCL,PRGM=MBD180
//MBD200   EXEC IMPCOBCL,PRGM=MBD200
//MBD210   EXEC IMPCOBCL,PRGM=MBD210
//MBD220   EXEC IMPCOBCL,PRGM=MBD220
//MBD230   EXEC IMPCOBCL,PRGM=MBD230
//MBD240   EXEC IMPCOBCL,PRGM=MBD240
//MBD260   EXEC IMPCOBCL,PRGM=MBD260
//MBD280   EXEC IMPCOBCL,PRGM=MBD280
//MBD300   EXEC IMPCOBCL,PRGM=MBD300
//MBD320   EXEC IMPCOBCL,PRGM=MBD320
//MBD340   EXEC IMPCOBCL,PRGM=MBD340
//MBD360   EXEC IMPCOBCL,PRGM=MBD360
//MBD371   EXEC IMPCOBCL,PRGM=MBD371
//MBD372   EXEC IMPCOBCL,PRGM=MBD372
//MBD373   EXEC IMPCOBCL,PRGM=MBD373
//MBD374   EXEC IMPCOBCL,PRGM=MBD374
//MBD375   EXEC IMPCOBCL,PRGM=MBD375
//MBD376   EXEC IMPCOBCL,PRGM=MBD376
//MBD400   EXEC IMPCOBCL,PRGM=MBD400
//MBD410   EXEC IMPCOBCL,PRGM=MBD410
//MBD420   EXEC IMPCOBCL,PRGM=MBD420
//MBD500   EXEC IMPCOBCL,PRGM=MBD500
//MBD520   EXEC IMPCOBCL,PRGM=MBD520
//MBD600   EXEC IMPCOBCL,PRGM=MBD600
//MBD660   EXEC IMPCOBCL,PRGM=MBD660
//MBD661   EXEC IMPCOBCL,PRGM=MBD661
//MBD700   EXEC IMPCOBCL,PRGM=MBD700
//MBD720   EXEC IMPCOBCL,PRGM=MBD720
//MBD740   EXEC IMPCOBCL,PRGM=MBD740
//MBD741   EXEC IMPCOBCL,PRGM=MBD741
//MBD750   EXEC IMPCOBCL,PRGM=MBD750
//MBD754   EXEC IMPCOBCL,PRGM=MBD754
//MBD760   EXEC IMPCOBCL,PRGM=MBD760
//MBD762   EXEC IMPCOBCL,PRGM=MBD762
//MBD764   EXEC IMPCOBCL,PRGM=MBD764
//MBD766   EXEC IMPCOBCL,PRGM=MBD766
//MBU000   EXEC IMPCOBCL,PRGM=MBU000
//MBU020   EXEC IMPCOBCL,PRGM=MBU020
//MBU021   EXEC IMPCOBCL,PRGM=MBU021
//MBU022   EXEC IMPCOBCL,PRGM=MBU022
//MBU023   EXEC IMPCOBCL,PRGM=MBU023
//MBU024   EXEC IMPCOBCL,PRGM=MBU024
//MBU025   EXEC IMPCOBCL,PRGM=MBU025
//MBU040   EXEC IMPCOBCL,PRGM=MBU040
//MBU045   EXEC IMPCOBCL,PRGM=MBU045
//MBU050   EXEC IMPCOBCL,PRGM=MBU050
//MBU060   EXEC IMPCOBCL,PRGM=MBU060
//MBU070   EXEC IMPCOBCL,PRGM=MBU070
//MBU100   EXEC IMPCOBCL,PRGM=MBU100
//MBU120   EXEC IMPCOBCL,PRGM=MBU120
//MBU200   EXEC IMPCOBCL,PRGM=MBU200
//MBU210   EXEC IMPCOBCL,PRGM=MBU210
//MBU220   EXEC IMPCOBCL,PRGM=MBU220
//MBU240   EXEC IMPCOBCL,PRGM=MBU240
//MBU260   EXEC IMPCOBCL,PRGM=MBU260
//MBU261   EXEC IMPCOBCL,PRGM=MBU261
//MBU300   EXEC IMPCOBCL,PRGM=MBU300
//MBU320   EXEC IMPCOBCL,PRGM=MBU320
//MBU340   EXEC IMPCOBCL,PRGM=MBU340
//MBU360   EXEC IMPCOBCL,PRGM=MBU360
//MBU370   EXEC IMPCOBCL,PRGM=MBU370
//MBU371   EXEC IMPCOBCL,PRGM=MBU371
//MBU372   EXEC IMPCOBCL,PRGM=MBU372
//MBU373   EXEC IMPCOBCL,PRGM=MBU373
//MBU374   EXEC IMPCOBCL,PRGM=MBU374
//MBU375   EXEC IMPCOBCL,PRGM=MBU375
//MBU376   EXEC IMPCOBCL,PRGM=MBU376
//MBU380   EXEC IMPCOBCL,PRGM=MBU380
//MBU381   EXEC IMPCOBCL,PRGM=MBU381
//MBU401   EXEC IMPCOBCL,PRGM=MBU401
//MBU402   EXEC IMPCOBCL,PRGM=MBU402
//MBU403   EXEC IMPCOBCL,PRGM=MBU403
//MBU404   EXEC IMPCOBCL,PRGM=MBU404
//MBU420   EXEC IMPCOBCL,PRGM=MBU420
//MBU430   EXEC IMPCOBCL,PRGM=MBU430
//MBU440   EXEC IMPCOBCL,PRGM=MBU440
//MBU460   EXEC IMPCOBCL,PRGM=MBU460
//MBU480   EXEC IMPCOBCL,PRGM=MBU480
//MBU500   EXEC IMPCOBCL,PRGM=MBU500
//MBU520   EXEC IMPCOBCL,PRGM=MBU520
//MBU540   EXEC IMPCOBCL,PRGM=MBU540
//MBU560   EXEC IMPCOBCL,PRGM=MBU560
//MBU600   EXEC IMPCOBCL,PRGM=MBU600
//MBU601   EXEC IMPCOBCL,PRGM=MBU601
//MBU610   EXEC IMPCOBCL,PRGM=MBU610
//MBU620   EXEC IMPCOBCL,PRGM=MBU620
//MBU700   EXEC IMPCOBCL,PRGM=MBU700
//MBU760   EXEC IMPCOBCL,PRGM=MBU760
//MBU761   EXEC IMPCOBCL,PRGM=MBU761
//MBU820   EXEC IMPCOBCL,PRGM=MBU820
//MBU840   EXEC IMPCOBCL,PRGM=MBU840
//MBU880   EXEC IMPCOBCL,PRGM=MBU880
//MBU890   EXEC IMPCOBCL,PRGM=MBU890
//MBU900   EXEC IMPCOBCL,PRGM=MBU900
//MBU901   EXEC IMPCOBCL,PRGM=MBU901
//MBU902   EXEC IMPCOBCL,PRGM=MBU902
//MBU903   EXEC IMPCOBCL,PRGM=MBU903
//MBU904   EXEC IMPCOBCL,PRGM=MBU904
//MBU905   EXEC IMPCOBCL,PRGM=MBU905
//MBU906   EXEC IMPCOBCL,PRGM=MBU906
//MBU907   EXEC IMPCOBCL,PRGM=MBU907
//MBU908   EXEC IMPCOBCL,PRGM=MBU908
//MBU909   EXEC IMPCOBCL,PRGM=MBU909
//MBU910   EXEC IMPCOBCL,PRGM=MBU910
//MBU911   EXEC IMPCOBCL,PRGM=MBU911
//MBU912   EXEC IMPCOBCL,PRGM=MBU912
//MBU913   EXEC IMPCOBCL,PRGM=MBU913
//MBU914   EXEC IMPCOBCL,PRGM=MBU914
//MBU915   EXEC IMPCOBCL,PRGM=MBU915
//MBU916   EXEC IMPCOBCL,PRGM=MBU916
//MBU917   EXEC IMPCOBCL,PRGM=MBU917
//MBU918   EXEC IMPCOBCL,PRGM=MBU918
//MBU919   EXEC IMPCOBCL,PRGM=MBU919
//MBU920   EXEC IMPCOBCL,PRGM=MBU920
//MBU921   EXEC IMPCOBCL,PRGM=MBU921
//MBU922   EXEC IMPCOBCL,PRGM=MBU922
//MBU923   EXEC IMPCOBCL,PRGM=MBU923
//MBU924   EXEC IMPCOBCL,PRGM=MBU924
//MBU925   EXEC IMPCOBCL,PRGM=MBU925
//MBU926   EXEC IMPCOBCL,PRGM=MBU926
//MBU927   EXEC IMPCOBCL,PRGM=MBU927
//MBU931   EXEC IMPCOBCL,PRGM=MBU931
//MBU932   EXEC IMPCOBCL,PRGM=MBU932
//MBU933   EXEC IMPCOBCL,PRGM=MBU933
//MBU934   EXEC IMPCOBCL,PRGM=MBU934
//MBU935   EXEC IMPCOBCL,PRGM=MBU935
//MBU936   EXEC IMPCOBCL,PRGM=MBU936
//MBU937   EXEC IMPCOBCL,PRGM=MBU937
//MBU938   EXEC IMPCOBCL,PRGM=MBU938
//MBU939   EXEC IMPCOBCL,PRGM=MBU939
//MBU940   EXEC IMPCOBCL,PRGM=MBU940
//MBU941   EXEC IMPCOBCL,PRGM=MBU941
//MBU942   EXEC IMPCOBCL,PRGM=MBU942
//MBU950   EXEC IMPCOBCL,PRGM=MBU950
//MBU961   EXEC IMPCOBCL,PRGM=MBU961
//MBU962   EXEC IMPCOBCL,PRGM=MBU962
//MBU963   EXEC IMPCOBCL,PRGM=MBU963
//MBU964   EXEC IMPCOBCL,PRGM=MBU964
//MBU965   EXEC IMPCOBCL,PRGM=MBU965
//MBU966   EXEC IMPCOBCL,PRGM=MBU966
//MBU990   EXEC IMPCOBCL,PRGM=MBU990
//MBU991   EXEC IMPCOBCL,PRGM=MBU991
//*
//*
//*
