//TSUUUMAP JOB (PAYSYS),'MAP MODULES',CLASS=Z,MSGCLASS=P,
//         MSGLEVEL=(1,1),REGION=2M,NOTIFY=&SYSUID
//JESDATA  OUTPUT DEFAULT=YES,JESDS=ALL,GROUPID=JESDATA
//COMPILE  OUTPUT GROUPID=COMPILE
//*------------------------------------------ PAYSYS INTERNATIONAL ----
//*                                                                   -
//*-------------------- N O T I C E -----------------------------------
//*                                                                   -
//*  CUT AND PASTE LINES 1 THRU PEND STATEMENT AFTER EVERY PROC       -
//*  EXECUTIONS.                                                      -
//*--------------------------------------------------------------------
//*  MAPAL - TRANSLATES, ASSEMBLES, AND LINKS CICS MAPS.     IM85ZJCL -
//*          STEP1 - IEBGENER - COPY MAP TO SEQ DATA SET              -
//*          STEP2 - ASMA90   - ASSEMBLES MAP                         -
//*          STEP3 - IEWL     - LINKS                                 -
//*          STEP4 - ASMA90   - ASSEMBLES DSECT                       -
//*          STEP5 - IEFBR14  - CONDITIONAL DELETE                    -
//*--------------------------------------------------------------------
//IMPMAPAL PROC  APPB='Y.MBS.P000806.PA',   APPL BASE LIBRARY
//         APPL='Y.MBS.P000806.PA',         APPL TARGET LIBRARY
//         APP1='Y.MBS.P000806.PA',         APPL 1 VER/REL NBR
//         APP3='Y.CMS.P000806.PA',         APPL 3 VER/REL NBR
//         APP4='X.SSC.P000805.PA',         APPL 4 VER/REL NBR
//         APP0='X.SSC.P000805.PA',         SSC  VER/REL NBR
//         CICSMAC='SYS2.CICS410.SDFHMAC',    CICS MACRO LIBRARY
//         SYSMAC='SYS1.MACLIB',              SYSTEM MACRO LIBRAR
//         LINK2=IEWL,                    SINGLE LINK (IEWL)
//         LINK2M=ASMA90
//STEP1    EXEC PGM=IEBGENER
//SYSPRINT DD SYSOUT=*
//SYSUDUMP DD SYSOUT=*
//SYSIN    DD DUMMY
//SYSUT1   DD DSN=&APPB..BSELIB(&PRGM),DISP=SHR
//SYSUT2   DD DSN=&&MAPIN,
//         DCB=(BLKSIZE=3120,LRECL=80,RECFM=FB),
//         DISP=(NEW,PASS,DELETE),
//         SPACE=(CYL,(2,2),RLSE),
//         UNIT=VIO
//STEP2    EXEC PGM=ASMA90,COND=(0,NE,STEP1),
//         PARM=(DECK,NOOBJECT,'SYSPARM(MAP)')
//SYSIN    DD   DSN=&&MAPIN,DISP=(OLD,PASS,DELETE)
//SYSLIB   DD   DSN=&CICSMAC,DISP=SHR
//         DD   DSN=&SYSMAC,DISP=SHR
//         DD   DSN=&APP1..CPYLIB,DISP=SHR
//         DD   DSN=&APP3..CPYLIB,DISP=SHR
//         DD   DSN=&APP4..CPYLIB,DISP=SHR
//         DD   DSN=&APP0..CPYLIB,DISP=SHR
//SYSLIN   DD   DUMMY
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSPUNCH DD   DSN=&&MAP,
//         DCB=(BLKSIZE=3120,LRECL=80,RECFM=FB),
//         DISP=(,PASS),
//         SPACE=(CYL,(2,2),RLSE),
//         UNIT=VIO
//SYSUT1   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT2   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT3   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//STEP3    EXEC PGM=&LINK2,COND=(8,LT,STEP2),
//         PARM='LET,LIST,MAP,XREF'
//SYSLIN   DD   DSN=&&MAP,DISP=(OLD,DELETE,DELETE)
//SYSLMOD  DD   DSN=&APPL..LOADLIBC(&PRGM),DISP=SHR
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSUT1   DD   SPACE=(CYL,(1,1),RLSE),UNIT=VIO
//*
//STEP4    EXEC PGM=&LINK2M,COND=(8,LT,STEP2),
//         PARM=(DECK,NOOBJECT,'SYSPARM(DSECT)')
//SYSIN    DD   DSN=&&MAPIN,DISP=(OLD,DELETE,DELETE)
//SYSLIB   DD   DSN=&CICSMAC,DISP=SHR
//         DD   DSN=&SYSMAC,DISP=SHR
//         DD   DSN=&APP1..CPYLIB,DISP=SHR
//         DD   DSN=&APP3..CPYLIB,DISP=SHR
//         DD   DSN=&APP4..CPYLIB,DISP=SHR
//         DD   DSN=&APP0..CPYLIB,DISP=SHR
//SYSLIN   DD   DUMMY
//SYSPRINT DD   SYSOUT=*,OUTPUT=*.COMPILE
//SYSPUNCH DD   DSN=&APPL..CPYLIB(&PRGM),DISP=SHR
//SYSUT1   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT2   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//SYSUT3   DD   SPACE=(CYL,(1,5),RLSE),UNIT=VIO
//STEP5    EXEC PGM=IEFBR14,
//         COND=((8,GE,STEP2),(8,GE,STEP3),(8,GE,STEP4))
//DELMAP   DD   DSN=&&MAP,DISP=(OLD,DELETE,DELETE)
//DELMAPIN DD   DSN=&&MAPIN,DISP=(OLD,DELETE,DELETE)
//IMPMAPAL PEND
//MBCM00   EXEC IMPMAPAL,PRGM=MBCM00
//MBCM01   EXEC IMPMAPAL,PRGM=MBCM01
//MBCS00   EXEC IMPMAPAL,PRGM=MBCS00
//MBCS01   EXEC IMPMAPAL,PRGM=MBCS01
//MBDA00   EXEC IMPMAPAL,PRGM=MBDA00
//MBDA01   EXEC IMPMAPAL,PRGM=MBDA01
//MBDC00   EXEC IMPMAPAL,PRGM=MBDC00
//MBDC01   EXEC IMPMAPAL,PRGM=MBDC01
//MBDD01   EXEC IMPMAPAL,PRGM=MBDD01
//MBDE00   EXEC IMPMAPAL,PRGM=MBDE00
//MBDE01   EXEC IMPMAPAL,PRGM=MBDE01
//MBDF00   EXEC IMPMAPAL,PRGM=MBDF00
//MBDF01   EXEC IMPMAPAL,PRGM=MBDF01
//MBDG00   EXEC IMPMAPAL,PRGM=MBDG00
//MBDG01   EXEC IMPMAPAL,PRGM=MBDG01
//MBDI00   EXEC IMPMAPAL,PRGM=MBDI00
//MBDI01   EXEC IMPMAPAL,PRGM=MBDI01
//MBDM00   EXEC IMPMAPAL,PRGM=MBDM00
//MBDM01   EXEC IMPMAPAL,PRGM=MBDM01
//MBDO01   EXEC IMPMAPAL,PRGM=MBDO01
//MBDQ00   EXEC IMPMAPAL,PRGM=MBDQ00
//MBDQ01   EXEC IMPMAPAL,PRGM=MBDQ01
//MBDR00   EXEC IMPMAPAL,PRGM=MBDR00
//MBDR01   EXEC IMPMAPAL,PRGM=MBDR01
//MBDS00   EXEC IMPMAPAL,PRGM=MBDS00
//MBDS01   EXEC IMPMAPAL,PRGM=MBDS01
//MBDU00   EXEC IMPMAPAL,PRGM=MBDU00
//MBDU01   EXEC IMPMAPAL,PRGM=MBDU01
//MBDV00   EXEC IMPMAPAL,PRGM=MBDV00
//MBDV01   EXEC IMPMAPAL,PRGM=MBDV01
//MBDX00   EXEC IMPMAPAL,PRGM=MBDX00
//MBDX01   EXEC IMPMAPAL,PRGM=MBDX01
//MBIB00   EXEC IMPMAPAL,PRGM=MBIB00
//MBIB01   EXEC IMPMAPAL,PRGM=MBIB01
//MBIB02   EXEC IMPMAPAL,PRGM=MBIB02
//MBIB03   EXEC IMPMAPAL,PRGM=MBIB03
//MBIB04   EXEC IMPMAPAL,PRGM=MBIB04
//MBIB05   EXEC IMPMAPAL,PRGM=MBIB05
//MBIC00   EXEC IMPMAPAL,PRGM=MBIC00
//MBIC01   EXEC IMPMAPAL,PRGM=MBIC01
//MBIC02   EXEC IMPMAPAL,PRGM=MBIC02
//MBIC03   EXEC IMPMAPAL,PRGM=MBIC03
//MBIC04   EXEC IMPMAPAL,PRGM=MBIC04
//MBIC05   EXEC IMPMAPAL,PRGM=MBIC05
//MBIC08   EXEC IMPMAPAL,PRGM=MBIC08
//MBIC09   EXEC IMPMAPAL,PRGM=MBIC09
//MBIM00   EXEC IMPMAPAL,PRGM=MBIM00
//MBIM01   EXEC IMPMAPAL,PRGM=MBIM01
//MBIM02   EXEC IMPMAPAL,PRGM=MBIM02
//MBIM03   EXEC IMPMAPAL,PRGM=MBIM03
//MBIM04   EXEC IMPMAPAL,PRGM=MBIM04
//MBIM05   EXEC IMPMAPAL,PRGM=MBIM05
//MBIM06   EXEC IMPMAPAL,PRGM=MBIM06
//MBIM09   EXEC IMPMAPAL,PRGM=MBIM09
//MBIM10   EXEC IMPMAPAL,PRGM=MBIM10
//MBIS00   EXEC IMPMAPAL,PRGM=MBIS00
//MBIS01   EXEC IMPMAPAL,PRGM=MBIS01
//MBIS02   EXEC IMPMAPAL,PRGM=MBIS02
//MBIS03   EXEC IMPMAPAL,PRGM=MBIS03
//MBIS04   EXEC IMPMAPAL,PRGM=MBIS04
//MBIS05   EXEC IMPMAPAL,PRGM=MBIS05
//MBIS06   EXEC IMPMAPAL,PRGM=MBIS06
//MBIS07   EXEC IMPMAPAL,PRGM=MBIS07
//MBIS08   EXEC IMPMAPAL,PRGM=MBIS08
//MBIS09   EXEC IMPMAPAL,PRGM=MBIS09
//MBIS10   EXEC IMPMAPAL,PRGM=MBIS10
//MBIS11   EXEC IMPMAPAL,PRGM=MBIS11
//MBIT00   EXEC IMPMAPAL,PRGM=MBIT00
//MBIT01   EXEC IMPMAPAL,PRGM=MBIT01
//MBMA00   EXEC IMPMAPAL,PRGM=MBMA00
//MBMA01   EXEC IMPMAPAL,PRGM=MBMA01
//MBMA02   EXEC IMPMAPAL,PRGM=MBMA02
//MBMA03   EXEC IMPMAPAL,PRGM=MBMA03
//MBMB00   EXEC IMPMAPAL,PRGM=MBMB00
//MBMB01   EXEC IMPMAPAL,PRGM=MBMB01
//MBMB02   EXEC IMPMAPAL,PRGM=MBMB02
//MBMC00   EXEC IMPMAPAL,PRGM=MBMC00
//MBMC01   EXEC IMPMAPAL,PRGM=MBMC01
//MBMC02   EXEC IMPMAPAL,PRGM=MBMC02
//MBME00   EXEC IMPMAPAL,PRGM=MBME00
//MBME01   EXEC IMPMAPAL,PRGM=MBME01
//MBME02   EXEC IMPMAPAL,PRGM=MBME02
//MBME03   EXEC IMPMAPAL,PRGM=MBME03
//MBME04   EXEC IMPMAPAL,PRGM=MBME04
//MBME06   EXEC IMPMAPAL,PRGM=MBME06
//MBMF00   EXEC IMPMAPAL,PRGM=MBMF00
//MBMF01   EXEC IMPMAPAL,PRGM=MBMF01
//MBMF02   EXEC IMPMAPAL,PRGM=MBMF02
//MBMG00   EXEC IMPMAPAL,PRGM=MBMG00
//MBMG01   EXEC IMPMAPAL,PRGM=MBMG01
//MBMI00   EXEC IMPMAPAL,PRGM=MBMI00
//MBMI01   EXEC IMPMAPAL,PRGM=MBMI01
//MBMI02   EXEC IMPMAPAL,PRGM=MBMI02
//MBMI03   EXEC IMPMAPAL,PRGM=MBMI03
//MBMI04   EXEC IMPMAPAL,PRGM=MBMI04
//MBMI06   EXEC IMPMAPAL,PRGM=MBMI06
//MBML00   EXEC IMPMAPAL,PRGM=MBML00
//MBML01   EXEC IMPMAPAL,PRGM=MBML01
//MBMM00   EXEC IMPMAPAL,PRGM=MBMM00
//MBMM01   EXEC IMPMAPAL,PRGM=MBMM01
//MBMM02   EXEC IMPMAPAL,PRGM=MBMM02
//MBMM03   EXEC IMPMAPAL,PRGM=MBMM03
//MBMM04   EXEC IMPMAPAL,PRGM=MBMM04
//MBMM05   EXEC IMPMAPAL,PRGM=MBMM05
//MBMM07   EXEC IMPMAPAL,PRGM=MBMM07
//MBMM08   EXEC IMPMAPAL,PRGM=MBMM08
//MBMM09   EXEC IMPMAPAL,PRGM=MBMM09
//MBMM10   EXEC IMPMAPAL,PRGM=MBMM10
//MBMM11   EXEC IMPMAPAL,PRGM=MBMM11
//MBMM12   EXEC IMPMAPAL,PRGM=MBMM12
//MBMM13   EXEC IMPMAPAL,PRGM=MBMM13
//MBMM14   EXEC IMPMAPAL,PRGM=MBMM14
//MBMM15   EXEC IMPMAPAL,PRGM=MBMM15
//MBMM16   EXEC IMPMAPAL,PRGM=MBMM16
//MBMO00   EXEC IMPMAPAL,PRGM=MBMO00
//MBMO01   EXEC IMPMAPAL,PRGM=MBMO01
//MBMO02   EXEC IMPMAPAL,PRGM=MBMO02
//MBMO03   EXEC IMPMAPAL,PRGM=MBMO03
//MBMO04   EXEC IMPMAPAL,PRGM=MBMO04
//MBMO05   EXEC IMPMAPAL,PRGM=MBMO05
//MBMO06   EXEC IMPMAPAL,PRGM=MBMO06
//MBMO08   EXEC IMPMAPAL,PRGM=MBMO08
//MBMO09   EXEC IMPMAPAL,PRGM=MBMO09
//MBMO10   EXEC IMPMAPAL,PRGM=MBMO10
//MBMO11   EXEC IMPMAPAL,PRGM=MBMO11
//MBMO12   EXEC IMPMAPAL,PRGM=MBMO12
//MBMO13   EXEC IMPMAPAL,PRGM=MBMO13
//MBMO14   EXEC IMPMAPAL,PRGM=MBMO14
//MBMO22   EXEC IMPMAPAL,PRGM=MBMO22
//MBMO30   EXEC IMPMAPAL,PRGM=MBMO30
//MBMO32   EXEC IMPMAPAL,PRGM=MBMO32
//MBMP01   EXEC IMPMAPAL,PRGM=MBMP01
//MBMQ00   EXEC IMPMAPAL,PRGM=MBMQ00
//MBMQ01   EXEC IMPMAPAL,PRGM=MBMQ01
//MBMQ02   EXEC IMPMAPAL,PRGM=MBMQ02
//MBMQ03   EXEC IMPMAPAL,PRGM=MBMQ03
//MBMQ04   EXEC IMPMAPAL,PRGM=MBMQ04
//MBMR00   EXEC IMPMAPAL,PRGM=MBMR00
//MBMR01   EXEC IMPMAPAL,PRGM=MBMR01
//MBMR02   EXEC IMPMAPAL,PRGM=MBMR02
//MBMR03   EXEC IMPMAPAL,PRGM=MBMR03
//MBMR05   EXEC IMPMAPAL,PRGM=MBMR05
//MBMR07   EXEC IMPMAPAL,PRGM=MBMR07
//MBMR09   EXEC IMPMAPAL,PRGM=MBMR09
//MBMR11   EXEC IMPMAPAL,PRGM=MBMR11
//MBMR13   EXEC IMPMAPAL,PRGM=MBMR13
//MBMS00   EXEC IMPMAPAL,PRGM=MBMS00
//MBMS01   EXEC IMPMAPAL,PRGM=MBMS01
//MBMS02   EXEC IMPMAPAL,PRGM=MBMS02
//MBMS03   EXEC IMPMAPAL,PRGM=MBMS03
//MBMS04   EXEC IMPMAPAL,PRGM=MBMS04
//MBMS05   EXEC IMPMAPAL,PRGM=MBMS05
//MBMS06   EXEC IMPMAPAL,PRGM=MBMS06
//MBMS07   EXEC IMPMAPAL,PRGM=MBMS07
//MBMS08   EXEC IMPMAPAL,PRGM=MBMS08
//MBMS09   EXEC IMPMAPAL,PRGM=MBMS09
//MBMS10   EXEC IMPMAPAL,PRGM=MBMS10
//MBMT00   EXEC IMPMAPAL,PRGM=MBMT00
//MBMT01   EXEC IMPMAPAL,PRGM=MBMT01
//MBMU00   EXEC IMPMAPAL,PRGM=MBMU00
//MBMU01   EXEC IMPMAPAL,PRGM=MBMU01
//MBMU02   EXEC IMPMAPAL,PRGM=MBMU02
//MBMV00   EXEC IMPMAPAL,PRGM=MBMV00
//MBMV01   EXEC IMPMAPAL,PRGM=MBMV01
//MBMV02   EXEC IMPMAPAL,PRGM=MBMV02
//MBMV03   EXEC IMPMAPAL,PRGM=MBMV03
//MBMX00   EXEC IMPMAPAL,PRGM=MBMX00
//MBMX01   EXEC IMPMAPAL,PRGM=MBMX01
//MBMX02   EXEC IMPMAPAL,PRGM=MBMX02
//MBMX03   EXEC IMPMAPAL,PRGM=MBMX03
//MBMY01   EXEC IMPMAPAL,PRGM=MBMY01
//MBMY02   EXEC IMPMAPAL,PRGM=MBMY02
//MBMY03   EXEC IMPMAPAL,PRGM=MBMY03
//MBNL00   EXEC IMPMAPAL,PRGM=MBNL00
//MBNL01   EXEC IMPMAPAL,PRGM=MBNL01
//MBNU01   EXEC IMPMAPAL,PRGM=MBNU01
//MBPL00   EXEC IMPMAPAL,PRGM=MBPL00
//MBPL01   EXEC IMPMAPAL,PRGM=MBPL01
//MBPL02   EXEC IMPMAPAL,PRGM=MBPL02
//MBRC00   EXEC IMPMAPAL,PRGM=MBRC00
//MBRC01   EXEC IMPMAPAL,PRGM=MBRC01
//MBRG00   EXEC IMPMAPAL,PRGM=MBRG00
//MBRG01   EXEC IMPMAPAL,PRGM=MBRG01
//MBRR01   EXEC IMPMAPAL,PRGM=MBRR01
//MBRS00   EXEC IMPMAPAL,PRGM=MBRS00
//MBRS01   EXEC IMPMAPAL,PRGM=MBRS01
//MBSM00   EXEC IMPMAPAL,PRGM=MBSM00
//MBSM01   EXEC IMPMAPAL,PRGM=MBSM01
//MBSS00   EXEC IMPMAPAL,PRGM=MBSS00
//MBTM00   EXEC IMPMAPAL,PRGM=MBTM00
//MBTM01   EXEC IMPMAPAL,PRGM=MBTM01
//MBTM02   EXEC IMPMAPAL,PRGM=MBTM02
//MBTM03   EXEC IMPMAPAL,PRGM=MBTM03
//MBTV00   EXEC IMPMAPAL,PRGM=MBTV00
//MBT001   EXEC IMPMAPAL,PRGM=MBT001
//MBT002   EXEC IMPMAPAL,PRGM=MBT002
//MBT101   EXEC IMPMAPAL,PRGM=MBT101
//MBT102   EXEC IMPMAPAL,PRGM=MBT102
//MBT201   EXEC IMPMAPAL,PRGM=MBT201
//MBT202   EXEC IMPMAPAL,PRGM=MBT202
//MBT301   EXEC IMPMAPAL,PRGM=MBT301
//MBT302   EXEC IMPMAPAL,PRGM=MBT302
//MBT401   EXEC IMPMAPAL,PRGM=MBT401
//MBT402   EXEC IMPMAPAL,PRGM=MBT402
//MBT501   EXEC IMPMAPAL,PRGM=MBT501
//MBT502   EXEC IMPMAPAL,PRGM=MBT502
//MBT601   EXEC IMPMAPAL,PRGM=MBT601
//MBT602   EXEC IMPMAPAL,PRGM=MBT602
//MBT701   EXEC IMPMAPAL,PRGM=MBT701
//MBT702   EXEC IMPMAPAL,PRGM=MBT702
//MBT801   EXEC IMPMAPAL,PRGM=MBT801
//MBT802   EXEC IMPMAPAL,PRGM=MBT802
//MBT901   EXEC IMPMAPAL,PRGM=MBT901
//MBT902   EXEC IMPMAPAL,PRGM=MBT902
//MBUI00   EXEC IMPMAPAL,PRGM=MBUI00
//MBVR00   EXEC IMPMAPAL,PRGM=MBVR00
//MBVR01   EXEC IMPMAPAL,PRGM=MBVR01
//MB1M00   EXEC IMPMAPAL,PRGM=MB1M00
//MB1M01   EXEC IMPMAPAL,PRGM=MB1M01
//MB1S00   EXEC IMPMAPAL,PRGM=MB1S00
//MB1S01   EXEC IMPMAPAL,PRGM=MB1S01
//MB3M00   EXEC IMPMAPAL,PRGM=MB3M00
//MB3M01   EXEC IMPMAPAL,PRGM=MB3M01
//MB3S00   EXEC IMPMAPAL,PRGM=MB3S00
//MB3S01   EXEC IMPMAPAL,PRGM=MB3S01
//MB6M00   EXEC IMPMAPAL,PRGM=MB6M00
//MB6M01   EXEC IMPMAPAL,PRGM=MB6M01
//MB6S00   EXEC IMPMAPAL,PRGM=MB6S00
//MB6S01   EXEC IMPMAPAL,PRGM=MB6S01
//MB7M00   EXEC IMPMAPAL,PRGM=MB7M00
//MB7M01   EXEC IMPMAPAL,PRGM=MB7M01
//MB7S00   EXEC IMPMAPAL,PRGM=MB7S00
//MB7S01   EXEC IMPMAPAL,PRGM=MB7S01
//MB9B00   EXEC IMPMAPAL,PRGM=MB9B00
//MB9B01   EXEC IMPMAPAL,PRGM=MB9B01
//MB9C00   EXEC IMPMAPAL,PRGM=MB9C00
//MB9C01   EXEC IMPMAPAL,PRGM=MB9C01
//MB9E00   EXEC IMPMAPAL,PRGM=MB9E00
//MB9E01   EXEC IMPMAPAL,PRGM=MB9E01
//MB9F00   EXEC IMPMAPAL,PRGM=MB9F00
//MB9F01   EXEC IMPMAPAL,PRGM=MB9F01
//MB9G00   EXEC IMPMAPAL,PRGM=MB9G00
//MB9G01   EXEC IMPMAPAL,PRGM=MB9G01
//MB9I00   EXEC IMPMAPAL,PRGM=MB9I00
//MB9I01   EXEC IMPMAPAL,PRGM=MB9I01
//MB9M00   EXEC IMPMAPAL,PRGM=MB9M00
//MB9M01   EXEC IMPMAPAL,PRGM=MB9M01
//MB9R00   EXEC IMPMAPAL,PRGM=MB9R00
//MB9R01   EXEC IMPMAPAL,PRGM=MB9R01
//MB9S00   EXEC IMPMAPAL,PRGM=MB9S00
//MB9S01   EXEC IMPMAPAL,PRGM=MB9S01
//MB9U00   EXEC IMPMAPAL,PRGM=MB9U00
//MB9U01   EXEC IMPMAPAL,PRGM=MB9U01
//MB9V00   EXEC IMPMAPAL,PRGM=MB9V00
//MB9V01   EXEC IMPMAPAL,PRGM=MB9V01
//*
//*
//*
