//MBXXX00A JOB (,MBS),'TRAMS PRE-PROC 04/18',
//         CLASS=C,
//         MSGCLASS=C,
//         MSGLEVEL=(1,1),
//         REGION=4M,
//*****    RESTART=MBU890,
//*****    TYPRUN=SCAN,
//         NOTIFY=&SYSUID
//*
//JESDS    OUTPUT DEFAULT=YES,JESDS=ALL,GROUPID=JESDATA
//PRT1     OUTPUT GROUPID=REPORT,DEST=LOCAL,COPIES=1
//PRT2     OUTPUT GROUPID=DUMP
//*
//**********************************************************************
//*
//* THIS JOB PROVIDES FOR USER, LOCAL, AND TRAMS-INTERFACE MONETARY
//* INPUT TO THE MBS SYSTEM.
//* THE CMS-TO-MBS MONETARY INFERFACE HAS BEEN DISABLED.
//*
//**********************************************************************
//*
//* N O T E --- ANY OF THE INPUT FILES TO BE SUPPLIED TO THIS JOB MAY
//*             BE NULL FILES OR MAY BE DUMMY-IED IN THE JCL.
//*             THE JOB STREAM PROVIDED HAS NO DUMMY-IED FILES OR NULL
//*             FILES EXCEPT WHERE SPECIFIED.
//*
//* INPUT FILES TO BE SUPPLIED TO THIS JOB......
//*
//* 1. A USER INPUT DISK FILE (MTTD) MUST BE SUPPLIED TO THE
//*    DSN=Y.MBS.P000700.SE.MTTD.F1
//*    SEE JOB MBSPRE1 FOR MORE INFORMATION ON THE MTTD FILE.
//*
//* 2. THE USER INPUT TAPE/CART FILE (MTTT) IS INITIALIZED BY THE MBU060
//*    PROGRAM AND A NULL FILE IS PASSED TO THE MBU020 PROGRAM.
//*    TO UTILIZE THE MTTT FILE, REMOVE MTTT FROM THE IEFBR14 STEP,
//*    REMOVE THE "TT" FROM THE MBU060 STEP AND REMOVE THE "DD" CARD
//*    FOR FILE MTTT FROM THE MBU060 STEP.
//*    SEE JOB MBSPRE2 FOR MORE INFORMATION ON THE MTTT FILE.
//*
//* 3. TO PROVIDE LOCAL INPUT, THE MMT1 (NOTE VSAM FILE) MUST BE
//*    SUPPLIED TO THE DSN=Y.MBS.P000700.KE.MMT1.F1
//*    SEE JOB MBSPRE3 FOR MORE INFORMATION ON THE MMT1 FILE.
//*
//* 5. TO PROVIDE TRAMS OR OTHER FRONT-END INPUT, THE MTFI FILE MUST BE
//*    SUPPLIED TO THE DSN=Y.MBS.P000700.SE.MTFI.F1.  ALSO, IF USING
//*    TRAMS, THE MTFJ FILE MUST BE SUPPLIED.  THE MTFJ FILE CONTAINS
//*    BYPASSED/REJECTED MERCHANT TRANSACTIONS NECESSARY FOR BALANCING
//*    TRAMS TO THE MBS SYSTEM VIA THE MBU890 PROGRAM.  THE MTFJ FILE
//*    IS TO BE SUPPLIED IN THE DSN=Y.MBS.P000700.SE.MTFJ.F1.
//*    N O T E--THE MTFI FILE IS OVERLAYED IN THIS JOB.  DURING AND
//*             AFTER THE MBU880 PROGRAM PROCESS, THE CONTENT OF THE
//*             MTFI FILE IS MODIFIED.  TO RESTART THIS JOB, YOU MUST
//*             REFRESH THE ORIGINAL CONTENT OF THE MTFI FILE.
//*             IT IS SUGGESTED THAT YOU COPY THE FILE SUPPLIED BY THE
//*             TRAMS OR OTHER FRONT-END SYSTEM TO THE DSN LABELED
//*             Y.MBS.P000700.SE.MTFI.F1 IN THE EVENT A RESTART OF THIS
//*             JOB IS NECESSARY.
//*    SEE JOB MBSPRE5 FOR MORE INFORMATION ON THE MTFI AND MTFJ FILES.
//*
//**********************************************************************
//*
//JOBLIB   DD  DSN=Y.MBS.P000804.PC.LOADLIBB,DISP=SHR
//         DD  DSN=Y.MBS.P000804.PA.LOADLIBB,DISP=SHR
//         DD  DSN=X.SSC.P000802.PC.LOADLIBB,DISP=SHR
//         DD  DSN=X.SSC.P000802.PA.LOADLIBB,DISP=SHR
//         DD  DSN=SYS1.SCEERUN,DISP=SHR
//*
//DELSAMF1 EXEC PGM=IEFBR14
//********************************************************************
//* STEP 000 DELETE SAM FILES                              IEFBR14   *
//********************************************************************
//MTCC     DD  DSN=Y.MBS.P000804.SJ.MTCC.F1.MBSDLYA,
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//MTCI     DD  DSN=Y.MBS.P000804.SE.MTCI.F1,
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//MTCJ     DD  DSN=Y.MBS.P000804.SE.MTCJ.F1,
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//MTTI     DD  DSN=Y.MBS.P000804.SE.MTTI.F1,
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//MTTD     DD  DSN=Y.MBS.P000804.SE.MTTD.F1,
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//MTTT     DD  DSN=Y.MBS.P000804.SE.MTTT.F1,
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//MTT1     DD  DSN=Y.MBS.P000804.SE.MTT1.F1,
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//MTL1     DD  DSN=Y.MBS.P000804.SE.MTL1.F1,
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//*
//MBU000   EXEC PGM=MBU000,COND=(0,NE)
//*******************************************************************
//* STEP 001 CONTROL CARD LOAD                             MBU000   *
//*******************************************************************
//SYSOUT   DD  SYSOUT=(*,5)
//SYSPRINT DD  SYSOUT=(*,5)
//SYSUDUMP DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//SYSDBOUT DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//MBPRT00  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MTCC     DD  DSN=Y.MBS.P000804.SJ.MTCC.F1.MBSDLYA,
//             DISP=(NEW,CATLG,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,(1,1),RLSE),
//             DCB=(RECFM=FB,LRECL=86)
//SWCC     DD  *
++MBU820
BOTH
++MBU890
DN
++MBU060
TDTT
++MBD040
DISK
/*
//*
//MBU060   EXEC PGM=MBU060,COND=(0,NE)
//********************************************************************
//* STEP 002 INITIALIZE MTTT                               MBU060   *
//********************************************************************
//SYSOUT   DD  SYSOUT=(*,5)
//SYSPRINT DD  SYSOUT=(*,5)
//SYSUDUMP DD  SYSOUT=(*,5)
//SYSDBOUT DD  SYSOUT=(*,5)
//MBPRT00  DD  SYSOUT=(*,5)
//MTCC     DD  DSN=Y.MBS.P000804.SJ.MTCC.F1.MBSDLYA,
//             DISP=SHR
//MTTD     DD  DSN=Y.MBS.P000804.SE.MTTD.F1,
//             DISP=(NEW,CATLG,DELETE),
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),
//             DCB=(RECFM=FB,LRECL=350)
//MTTT     DD  DSN=Y.MBS.P000804.SE.MTTT.F1,
//             DISP=(NEW,CATLG,DELETE),
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),
//             DCB=(RECFM=FB,LRECL=350)
//*
//MBD040   EXEC PGM=MBD040,COND=(0,NE)
//********************************************************************
//* STEP 003  CREATE MTT1 FILE FROM ON-LINE FILE           MBD040    *
//********************************************************************
//SYSOUT   DD  SYSOUT=(*,5)
//SYSPRINT DD  SYSOUT=(*,5)
//SYSUDUMP DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//SYSDBOUT DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MTCC     DD  DSN=Y.MBS.P000804.SJ.MTCC.F1.MBSDLYA,
//             DISP=SHR
//MML1     DD  DSN=Y.MBS.P000804.KE.MML1.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),
//             DISP=SHR
//MMT1     DD  DSN=Y.MBS.P000804.KE.MMT1.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),
//             DISP=SHR
//MTL1     DD  DSN=Y.MBS.P000804.SE.MTL1.F1,
//             DISP=(NEW,CATLG,DELETE),
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),
//             DCB=(RECFM=VB,LRECL=16378)
//MTT1     DD  DSN=Y.MBS.P000804.SE.MTT1.F1,
//             DISP=(NEW,CATLG,DELETE),
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),
//             DCB=(RECFM=FB,LRECL=350)                                 500)
//MBTF     DD  DSN=Y.MBS.P000804.SE.MBTF.F1(+1),
//             DISP=(NEW,CATLG,DELETE),
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),
//             DCB=(SYS2.GDG.MODEL,RECFM=VB,LRECL=16384)
//*
//MBU820   EXEC PGM=MBU820,COND=(0,NE)
//*******************************************************************
//* STEP 004 USER INPUT PRE-EDIT                           MBU820   *
//*******************************************************************
//SYSOUT   DD  SYSOUT=(*,5)
//SYSPRINT DD  SYSOUT=(*,5)
//SYSUDUMP DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//SYSDBOUT DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//SMCU     DD  DSN=X.SSC.P000800.KE.SMCU.F1.C4D4,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//SMRT     DD  DSN=X.SSC.P000800.KE.SMRT.F1.C4D4,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MTCC     DD  DSN=Y.MBS.P000804.SJ.MTCC.F1.MBSDLYA,
//             DISP=SHR
//MTTD     DD  DSN=Y.MBS.P000804.SE.MTTD.F1,                            00060023
//             DISP=SHR
//MTTT     DD  DSN=Y.MBS.P000804.SE.MTTT.F1,                            00060023
//             DISP=SHR
//MMOC     DD  DSN=Y.MBS.P000804.KE.MMOC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMSC     DD  DSN=Y.MBS.P000804.KE.MMSC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMMM     DD  DSN=Y.MBS.P000804.KE.MMMM.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMSM     DD  DSN=Y.MBS.P000804.KE.MMSM.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMTC     DD  DSN=Y.MBS.P000804.KE.MMTC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MTTI     DD  DSN=Y.MBS.P000804.SE.MTTI.F1,
//             DISP=(NEW,CATLG,DELETE),
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),
//             DCB=(RECFM=FB,LRECL=350)                                 500)
//SORTWK01 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//SORTWK02 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//SORTWK03 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//SORTWK04 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//MBPRT00  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT01  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT02  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT03  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT04  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT05  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT06  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT07  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT08  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT09  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT10  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT11  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT12  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT13  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT14  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT15  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT16  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT17  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT18  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT19  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT20  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT21  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT22  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT23  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT24  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT25  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT26  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT27  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT28  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT29  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT30  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT31  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT32  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT33  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT34  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT35  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT36  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT37  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT38  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT39  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT40  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT41  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT42  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT43  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT44  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT45  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT46  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT47  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT48  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT49  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT50  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT51  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT52  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT53  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT54  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT55  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT56  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT57  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT58  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT59  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT60  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT61  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT62  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT63  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT64  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT65  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT66  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT67  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT68  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT69  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT70  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT71  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT72  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT73  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT74  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT75  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT76  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT77  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT78  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT79  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT80  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT81  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT82  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT83  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT84  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT85  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT86  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT87  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT88  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT89  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT90  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT91  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT92  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT93  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT94  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT95  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT96  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT97  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT98  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT99  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MTF1     DD  DUMMY,DCB=BLKSIZE=133
//MTF2     DD  DUMMY,DCB=BLKSIZE=133
//MTF3     DD  DUMMY,DCB=BLKSIZE=133
//MTF4     DD  DUMMY,DCB=BLKSIZE=133
//MTF5     DD  DUMMY,DCB=BLKSIZE=133
//MTF6     DD  DUMMY,DCB=BLKSIZE=133
//MTF7     DD  DUMMY,DCB=BLKSIZE=133
//MTF8     DD  DUMMY,DCB=BLKSIZE=133
//MTF9     DD  DUMMY,DCB=BLKSIZE=133
//*
//MBU840  EXEC PGM=MBU840,COND=(0,NE)
//*******************************************************************
//* STEP 005 MERGE USER, LOCAL AND CMS MONETARY INPUT      MBU840   *
//*******************************************************************
//SYSOUT   DD  SYSOUT=(*,5)
//SYSPRINT DD  SYSOUT=(*,5)
//SYSUDUMP DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//SYSDBOUT DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//MMCT     DD  DSN=Y.MBS.P000804.KE.MMCT.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMGD     DD  DSN=Y.MBS.P000804.KE.MMGD.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMMM     DD  DSN=Y.MBS.P000804.KE.MMMM.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMOC     DD  DSN=Y.MBS.P000804.KE.MMOC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMSC     DD  DSN=Y.MBS.P000804.KE.MMSC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMSM     DD  DSN=Y.MBS.P000804.KE.MMSM.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMSS     DD  DSN=Y.MBS.P000804.KE.MMSS.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMTC     DD  DSN=Y.MBS.P000804.KE.MMTC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMXT     DD  DSN=Y.MBS.P000804.KE.MMXT.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MTCI     DD  DSN=Y.MBS.P000804.SE.MTCI.F1,
//             DISP=(NEW,CATLG,DELETE),
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),
//             DCB=(RECFM=FB,LRECL=350)                                 500)
//MTCJ     DD  DSN=Y.MBS.P000804.SE.MTCJ.F1,
//             DISP=(NEW,CATLG,DELETE),
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),
//             DCB=(RECFM=FB,LRECL=350)                                 500)
//MTI1     DD  DUMMY,DCB=BLKSIZE=458
//MTI2     DD  DUMMY,DCB=BLKSIZE=458
//MTI3     DD  DUMMY,DCB=BLKSIZE=161
//MTT1     DD  DSN=Y.MBS.P000804.SE.MTT1.F1,
//             DISP=SHR
//MTTI     DD  DSN=Y.MBS.P000804.SE.MTTI.F1,
//             DISP=SHR
//SORTWK01 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//SORTWK02 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//SORTWK03 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//SORTWK04 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//*
//MBU880   EXEC PGM=MBU880,COND=(0,NE)
//********************************************************************
//* STEP 006  PRE-PROCESS MTCI, MTCJ, MTFI AND MTFJ FILES  MBU880    *
//********************************************************************
//SYSOUT   DD  SYSOUT=(*,5)
//SYSPRINT DD  SYSOUT=(*,5)
//SYSUDUMP DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//SYSDBOUT DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//MMCT     DD  DSN=Y.MBS.P000804.KE.MMCT.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMGD     DD  DSN=Y.MBS.P000804.KE.MMGD.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMSC     DD  DSN=Y.MBS.P000804.KE.MMSC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMSS     DD  DSN=Y.MBS.P000804.KE.MMSS.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMTC     DD  DSN=Y.MBS.P000804.KE.MMTC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MTCI     DD  DSN=Y.MBS.P000804.SE.MTCI.F1,
//             DISP=SHR
//MTCJ     DD  DSN=Y.MBS.P000804.SE.MTCJ.F1,
//             DISP=SHR
//MTFI     DD  DSN=N.TRM.P000800.SE.MBSMTFI,
//             DISP=SHR
//MTFJ     DD  DSN=N.TRM.P000800.SE.MBSMTFJ,
//             DISP=SHR
//*
//SORTWK01 DD  UNIT=WORK05,SPACE=(CYL,(5,5),RLSE)
//SORTWK02 DD  UNIT=WORK05,SPACE=(CYL,(5,5),RLSE)
//SORTWK03 DD  UNIT=WORK05,SPACE=(CYL,(5,5),RLSE)
//SORTWK04 DD  UNIT=WORK05,SPACE=(CYL,(5,5),RLSE)
//*
//MBU890   EXEC PGM=MBU890,COND=(0,NE)
//*******************************************************************
//* STEP 007 TRANSACTION SOURC LISTING RPT - INPUT VERIFICATION U890*
//*******************************************************************
//** THE MBU890 STEP IS PROVIDED IN THIS JOB STREAM USING THE INPUT
//** INTERFACE FILES, AND CAN BE RUN TO VERIFY INTERFACE FILE TOTALS.
//** UNDER NORMAL PROCESSING CONDITIONS, THIS PROGRAM IS EXECUTED
//** IN THE DAILY (MBSDLY) AFTER POSTING.
//*******************************************************************
//*
//SYSOUT   DD  SYSOUT=(*,5)
//SYSPRINT DD  SYSOUT=(*,5)
//SYSUDUMP DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//SYSDBOUT DD  SYSOUT=(*,5),OUTPUT=*.PRT2
//*
//SMCU     DD  DSN=X.SSC.P000800.KE.SMCU.F1.C4D4,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//SMRT     DD  DSN=X.SSC.P000800.KE.SMRT.F1.C4D4,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//*
//MTCC     DD  DSN=Y.MBS.P000804.SJ.MTCC.F1.MBSDLYA,
//             DISP=SHR
//MTFI     DD  DSN=N.TRM.P000800.SE.MBSMTFI,
//             DISP=SHR
//MTFJ     DD  DSN=N.TRM.P000800.SE.MBSMTFJ,
//             DISP=SHR
//*
//MMOC     DD  DSN=Y.MBS.P000804.KE.MMOC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMGD     DD  DSN=Y.MBS.P000804.KE.MMGD.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//MMSC     DD  DSN=Y.MBS.P000804.KE.MMSC.F1,
//             AMP=(AMORG,'BUFND=10','BUFNI=3'),DISP=SHR
//*
//MBPRT00  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT01  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT02  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT03  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT04  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT05  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT06  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT07  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT08  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT09  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT10  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT11  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT12  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT13  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT14  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT15  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT16  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT17  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT18  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT19  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT20  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT21  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT22  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT23  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT24  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT25  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT26  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT27  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT28  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT29  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT30  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT31  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT32  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT33  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT34  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT35  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT36  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT37  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT38  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT39  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT40  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT41  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT42  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT43  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT44  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT45  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT46  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT47  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT48  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT49  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT50  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT51  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT52  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT53  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT54  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT55  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT56  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT57  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT58  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT59  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT60  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT61  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT62  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT63  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT64  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT65  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT66  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT67  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT68  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT69  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT70  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT71  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT72  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT73  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT74  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT75  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT76  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT77  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT78  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT79  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT80  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT81  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT82  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT83  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT84  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT85  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT86  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT87  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT88  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT89  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT90  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT91  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT92  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT93  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT94  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT95  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT96  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT97  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT98  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//MBPRT99  DD  SYSOUT=(*,5),OUTPUT=*.PRT1
//*
//MTF1     DD  DUMMY,DCB=BLKSIZE=133
//MTF2     DD  DUMMY,DCB=BLKSIZE=133
//MTF3     DD  DUMMY,DCB=BLKSIZE=133
//MTF4     DD  DUMMY,DCB=BLKSIZE=133
//MTF5     DD  DUMMY,DCB=BLKSIZE=133
//MTF6     DD  DUMMY,DCB=BLKSIZE=133
//MTF7     DD  DUMMY,DCB=BLKSIZE=133
//MTF8     DD  DUMMY,DCB=BLKSIZE=133
//MTF9     DD  DUMMY,DCB=BLKSIZE=133
//*
//SORTWK01 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//SORTWK02 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//SORTWK03 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//SORTWK04 DD  UNIT=WORK50,SPACE=(CYL,(50,50),RLSE)
//*
