//MBXXX805 JOB (,MBS),'PRE-PROC 5 04/18/02',
//****     TYPRUN=HOLD,
//         CLASS=A,
//         MSGCLASS=C,
//         MSGLEVEL=(1,1),
//         REGION=2M,
//         NOTIFY=&SYSUID
//*
//**********************************************************************
//* MBS TRANSACTION PRE-PROCESS 5.
//*
//* THIS JOB IS USED TO SUPPLY THE MTFI AND MTFJ FILES FROM THE TRAMS
//* SYSTEM TO THE MBS SYSTEM.  THE MTFI FILE CONTAINS THE TRANSACTIONS
//* TO BE POSTED IN THE MBS SYSTEM.  THE MTFJ FILE IS THE BYPASSED OR
//* NON-PROCESSING MBS TRANSACTIONS USED TO BALANCE TRAMS TO MBS VIA
//* PROGRAM MBU890.  IF YOU ARE NOT UTILIZING THE TRAMS SYSTEM, THE MTFI
//* MAY BE DUMMY-IED IN THE MBSDLYA PROGRAM, INITIALIZED VIA THE
//* MBU060FI JOB, OR BE A USER-SUPPLIED FILE.
//*
//**********************************************************************
//*
//DELSAM   EXEC PGM=IEFBR14
//********************************************************************
//* STEP 000 DELETE SAM FILES                                IEFBR14 *
//********************************************************************
//MTFI     DD  DSN=Y.MBS.P000804.SE.MTFI.F1,                            00060008
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//MTFJ     DD  DSN=Y.MBS.P000804.SE.MTFJ.F1,                            00060008
//             DISP=(MOD,DELETE,DELETE),
//             UNIT=VPLUS,SPACE=(TRK,0)
//*
//STEP100  EXEC  PGM=IDCAMS,COND=(0,NE)                                 00030000
//********************************************************************
//* STEP 100 COPY USER FILE(S) TO MTFI FOR DAILY PROCESSING  IDCAMS  *
//********************************************************************
//SYSPRINT DD  SYSOUT=*                                                 00040000
//*INDSN    DD  DSN=N.TRM.P000804.SE.MBSOUT.MTFI.M2166A,
//INDSN    DD  DSN=N.TRM.P000804.SE.MBSOUT.MTFI.CONCAT.J01036,
//             DISP=SHR
//MTFI     DD  DSN=Y.MBS.P000804.SE.MTFI.F1,                            00060008
//             DISP=(NEW,CATLG,DELETE),                                 00060000
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),                       00060041
//             DCB=(RECFM=FB,LRECL=350)                                  0006000
//SYSIN    DD  *                                                        00050000
  REPRO INFILE(INDSN) OUTFILE(MTFI)                                     00050000
/*
//STEP200  EXEC  PGM=IDCAMS,COND=(0,NE)                                 00030000
//********************************************************************
//* STEP 200 COPY USER FILE(S) TO MTFJ FOR DAILY PROCESSING  IDCAMS  *
//********************************************************************
//SYSPRINT DD  SYSOUT=*                                                 00040000
//*INDSN    DD  DSN=N.TRM.P000804.SE.MBSOUT.MTFJ.M2166A,
//INDSN    DD  DSN=Y.MBS.P000804.SE.MTFJ.TRAMS.INPUT,
//             DISP=SHR
//MTFJ     DD  DSN=Y.MBS.P000804.SE.MTFJ.F1,                            00060008
//             DISP=(NEW,CATLG,DELETE),                                 00060000
//             UNIT=VPLUS,SPACE=(CYL,(1,5),RLSE),                       00060041
//             DCB=(RECFM=FB,LRECL=350)                                  0006000
//SYSIN    DD  *                                                        00050000
  REPRO INFILE(INDSN) OUTFILE(MTFJ)                                     00050000
/*
//*
